var Module = {};

Module['noInitialRun'] = true;
Module['OpenModelica_readFile'] = function(fname) {
  return intArrayToString(FS.findObject(fname).contents);
};

try { // Try to add an event listener like a webworker thread
  self.addEventListener('message', function(e) {
    var data = e.data;
    if (!data) return;
    var result = {};
    try {
        shouldRunNow = true;
        var args = ['-override','outputFormat=csv,stopTime=' +  data.stopTime +',tolerance=' + data.tolerance + ',stepSize=' + data.stepSize];
        Module.callMain(args);
        result.csv = intArrayToString(FS.findObject(data.basename + "_res.csv").contents);
        result.status = "Simulation finished";
    } catch(err) {
        result.status = "Simulation failed";
    };
    self.postMessage(result);
  }, false);
} catch (e) {
}

// Note: For maximum-speed code, see "Optimizing Code" on the Emscripten wiki, https://github.com/kripken/emscripten/wiki/Optimizing-Code
// Note: Some Emscripten settings may limit the speed of the generated code.
// The Module object: Our interface to the outside world. We import
// and export values on it, and do the work to get that through
// closure compiler if necessary. There are various ways Module can be used:
// 1. Not defined. We create it here
// 2. A function parameter, function(Module) { ..generated code.. }
// 3. pre-run appended it, var Module = {}; ..generated code..
// 4. External script tag defines var Module.
// We need to do an eval in order to handle the closure compiler
// case, where this code here is minified but Module was defined
// elsewhere (e.g. case 4 above). We also need to check if Module
// already exists (e.g. case 3 above).
// Note that if you want to run closure, and also to use Module
// after the generated code, you will need to define   var Module = {};
// before the code. Then that object will be used in the code, and you
// can continue to use Module afterwards as well.
var Module;
if (!Module) Module = eval('(function() { try { return Module || {} } catch(e) { return {} } })()');

// Sometimes an existing Module object exists with properties
// meant to overwrite the default module functionality. Here
// we collect those properties and reapply _after_ we configure
// the current environment's defaults to avoid having to be so
// defensive during initialization.
var moduleOverrides = {};
for (var key in Module) {
  if (Module.hasOwnProperty(key)) {
    moduleOverrides[key] = Module[key];
  }
}

// The environment setup code below is customized to use Module.
// *** Environment setup code ***
var ENVIRONMENT_IS_NODE = typeof process === 'object' && typeof require === 'function';
var ENVIRONMENT_IS_WEB = typeof window === 'object';
var ENVIRONMENT_IS_WORKER = typeof importScripts === 'function';
var ENVIRONMENT_IS_SHELL = !ENVIRONMENT_IS_WEB && !ENVIRONMENT_IS_NODE && !ENVIRONMENT_IS_WORKER;

if (ENVIRONMENT_IS_NODE) {
  // Expose functionality in the same simple way that the shells work
  // Note that we pollute the global namespace here, otherwise we break in node
  if (!Module['print']) Module['print'] = function print(x) {
    process['stdout'].write(x + '\n');
  };
  if (!Module['printErr']) Module['printErr'] = function printErr(x) {
    process['stderr'].write(x + '\n');
  };

  var nodeFS = require('fs');
  var nodePath = require('path');

  Module['read'] = function read(filename, binary) {
    filename = nodePath['normalize'](filename);
    var ret = nodeFS['readFileSync'](filename);
    // The path is absolute if the normalized version is the same as the resolved.
    if (!ret && filename != nodePath['resolve'](filename)) {
      filename = path.join(__dirname, '..', 'src', filename);
      ret = nodeFS['readFileSync'](filename);
    }
    if (ret && !binary) ret = ret.toString();
    return ret;
  };

  Module['readBinary'] = function readBinary(filename) { return Module['read'](filename, true) };

  Module['load'] = function load(f) {
    globalEval(read(f));
  };

  Module['arguments'] = process['argv'].slice(2);

  module['exports'] = Module;
}
else if (ENVIRONMENT_IS_SHELL) {
  if (!Module['print']) Module['print'] = print;
  if (typeof printErr != 'undefined') Module['printErr'] = printErr; // not present in v8 or older sm

  if (typeof read != 'undefined') {
    Module['read'] = read;
  } else {
    Module['read'] = function read() { throw 'no read() available (jsc?)' };
  }

  Module['readBinary'] = function readBinary(f) {
    return read(f, 'binary');
  };

  if (typeof scriptArgs != 'undefined') {
    Module['arguments'] = scriptArgs;
  } else if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  this['Module'] = Module;

  eval("if (typeof gc === 'function' && gc.toString().indexOf('[native code]') > 0) var gc = undefined"); // wipe out the SpiderMonkey shell 'gc' function, which can confuse closure (uses it as a minified name, and it is then initted to a non-falsey value unexpectedly)
}
else if (ENVIRONMENT_IS_WEB || ENVIRONMENT_IS_WORKER) {
  Module['read'] = function read(url) {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', url, false);
    xhr.send(null);
    return xhr.responseText;
  };

  if (typeof arguments != 'undefined') {
    Module['arguments'] = arguments;
  }

  if (typeof console !== 'undefined') {
    if (!Module['print']) Module['print'] = function print(x) {
      console.log(x);
    };
    if (!Module['printErr']) Module['printErr'] = function printErr(x) {
      console.log(x);
    };
  } else {
    // Probably a worker, and without console.log. We can do very little here...
    var TRY_USE_DUMP = false;
    if (!Module['print']) Module['print'] = (TRY_USE_DUMP && (typeof(dump) !== "undefined") ? (function(x) {
      dump(x);
    }) : (function(x) {
      // self.postMessage(x); // enable this if you want stdout to be sent as messages
    }));
  }

  if (ENVIRONMENT_IS_WEB) {
    this['Module'] = Module;
  } else {
    Module['load'] = importScripts;
  }
}
else {
  // Unreachable because SHELL is dependant on the others
  throw 'Unknown runtime environment. Where are we?';
}

function globalEval(x) {
  eval.call(null, x);
}
if (!Module['load'] == 'undefined' && Module['read']) {
  Module['load'] = function load(f) {
    globalEval(Module['read'](f));
  };
}
if (!Module['print']) {
  Module['print'] = function(){};
}
if (!Module['printErr']) {
  Module['printErr'] = Module['print'];
}
if (!Module['arguments']) {
  Module['arguments'] = [];
}
// *** Environment setup code ***

// Closure helpers
Module.print = Module['print'];
Module.printErr = Module['printErr'];

// Callbacks
Module['preRun'] = [];
Module['postRun'] = [];

// Merge back in the overrides
for (var key in moduleOverrides) {
  if (moduleOverrides.hasOwnProperty(key)) {
    Module[key] = moduleOverrides[key];
  }
}



// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackSave: function () {
    return STACKTOP;
  },
  stackRestore: function (stackTop) {
    STACKTOP = stackTop;
  },
  forceAlign: function (target, quantum) {
    quantum = quantum || 4;
    if (quantum == 1) return target;
    if (isNumber(target) && isNumber(quantum)) {
      return Math.ceil(target/quantum)*quantum;
    } else if (isNumber(quantum) && isPowerOfTwo(quantum)) {
      return '(((' +target + ')+' + (quantum-1) + ')&' + -quantum + ')';
    }
    return 'Math.ceil((' + target + ')/' + quantum + ')*' + quantum;
  },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return type[type.length-1] == '*';
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (isArrayType(type)) return true;
  if (/<?\{ ?[^}]* ?\}>?/.test(type)) return true; // { i32, i8 } etc. - anonymous struct types
  // See comment in isStructPointerType()
  return type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  or64: function (x, y) {
    var l = (x | 0) | (y | 0);
    var h = (Math.round(x / 4294967296) | Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  and64: function (x, y) {
    var l = (x | 0) & (y | 0);
    var h = (Math.round(x / 4294967296) & Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  xor64: function (x, y) {
    var l = (x | 0) ^ (y | 0);
    var h = (Math.round(x / 4294967296) ^ Math.round(y / 4294967296)) * 4294967296;
    return l + h;
  },
  getNativeTypeSize: function (type) {
    switch (type) {
      case 'i1': case 'i8': return 1;
      case 'i16': return 2;
      case 'i32': return 4;
      case 'i64': return 8;
      case 'float': return 4;
      case 'double': return 8;
      default: {
        if (type[type.length-1] === '*') {
          return Runtime.QUANTUM_SIZE; // A pointer
        } else if (type[0] === 'i') {
          var bits = parseInt(type.substr(1));
          assert(bits % 8 === 0);
          return bits/8;
        } else {
          return 0;
        }
      }
    }
  },
  getNativeFieldSize: function (type) {
    return Math.max(Runtime.getNativeTypeSize(type), Runtime.QUANTUM_SIZE);
  },
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  STACK_ALIGN: 8,
  getAlignSize: function (type, size, vararg) {
    // we align i64s and doubles on 64-bit boundaries, unlike x86
    if (vararg) return 8;
    if (!vararg && (type == 'i64' || type == 'double')) return 8;
    if (!type) return Math.min(size, 8); // align structures internally to 64 bits
    return Math.min(size || (type ? Runtime.getNativeFieldSize(type) : 0), Runtime.QUANTUM_SIZE);
  },
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    var index = 0;
    type.flatIndexes = type.fields.map(function(field) {
      index++;
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeTypeSize(field); // pack char; char; in structs, also char[X]s.
        alignSize = Runtime.getAlignSize(field, size);
      } else if (Runtime.isStructType(field)) {
        if (field[1] === '0') {
          // this is [0 x something]. When inside another structure like here, it must be at the end,
          // and it adds no size
          // XXX this happens in java-nbody for example... assert(index === type.fields.length, 'zero-length in the middle!');
          size = 0;
          if (Types.types[field]) {
            alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
          } else {
            alignSize = type.alignSize || QUANTUM_SIZE;
          }
        } else {
          size = Types.types[field].flatSize;
          alignSize = Runtime.getAlignSize(null, Types.types[field].alignSize);
        }
      } else if (field[0] == 'b') {
        // bN, large number field, like a [N x i8]
        size = field.substr(1)|0;
        alignSize = 1;
      } else if (field[0] === '<') {
        // vector type
        size = alignSize = Types.types[field].flatSize; // fully aligned
      } else if (field[0] === 'i') {
        // illegal integer field, that could not be legalized because it is an internal structure field
        // it is ok to have such fields, if we just use them as markers of field size and nothing more complex
        size = alignSize = parseInt(field.substr(1))/8;
        assert(size % 1 === 0, 'cannot handle non-byte-size field ' + field);
      } else {
        assert(false, 'invalid type for calculateStructAlignment');
      }
      if (type.packed) alignSize = 1;
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    if (type.name_ && type.name_[0] === '[') {
      // arrays have 2 elements, so we get the proper difference. then we scale here. that way we avoid
      // allocating a potentially huge array for [999999 x i8] etc.
      type.flatSize = parseInt(type.name_.substr(1))*type.flatSize/2;
    }
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  generateStructInfo: function (struct, typeName, offset) {
    var type, alignment;
    if (typeName) {
      offset = offset || 0;
      type = (typeof Types === 'undefined' ? Runtime.typeInfo : Types.types)[typeName];
      if (!type) return null;
      if (type.fields.length != struct.length) {
        printErr('Number of named fields must match the type for ' + typeName + ': possibly duplicate struct names. Cannot return structInfo');
        return null;
      }
      alignment = type.flatIndexes;
    } else {
      var type = { fields: struct.map(function(item) { return item[0] }) };
      alignment = Runtime.calculateStructAlignment(type);
    }
    var ret = {
      __size__: type.flatSize
    };
    if (typeName) {
      struct.forEach(function(item, i) {
        if (typeof item === 'string') {
          ret[item] = alignment[i] + offset;
        } else {
          // embedded struct
          var key;
          for (var k in item) key = k;
          ret[key] = Runtime.generateStructInfo(item[key], type.fields[i], alignment[i]);
        }
      });
    } else {
      struct.forEach(function(item, i) {
        ret[item[1]] = alignment[i];
      });
    }
    return ret;
  },
  dynCall: function (sig, ptr, args) {
    if (args && args.length) {
      if (!args.splice) args = Array.prototype.slice.call(args);
      args.splice(0, 0, ptr);
      return Module['dynCall_' + sig].apply(null, args);
    } else {
      return Module['dynCall_' + sig].call(null, ptr);
    }
  },
  functionPointers: [],
  addFunction: function (func) {
    for (var i = 0; i < Runtime.functionPointers.length; i++) {
      if (!Runtime.functionPointers[i]) {
        Runtime.functionPointers[i] = func;
        return 2*(1 + i);
      }
    }
    throw 'Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS.';
  },
  removeFunction: function (index) {
    Runtime.functionPointers[(index-2)/2] = null;
  },
  getAsmConst: function (code, numArgs) {
    // code is a constant string on the heap, so we can cache these
    if (!Runtime.asmConstCache) Runtime.asmConstCache = {};
    var func = Runtime.asmConstCache[code];
    if (func) return func;
    var args = [];
    for (var i = 0; i < numArgs; i++) {
      args.push(String.fromCharCode(36) + i); // $0, $1 etc
    }
    code = Pointer_stringify(code);
    if (code[0] === '"') {
      // tolerate EM_ASM("..code..") even though EM_ASM(..code..) is correct
      if (code.indexOf('"', 1) === code.length-1) {
        code = code.substr(1, code.length-2);
      } else {
        // something invalid happened, e.g. EM_ASM("..code($0)..", input)
        abort('invalid EM_ASM input |' + code + '|. Please use EM_ASM(..code..) (no quotes) or EM_ASM({ ..code($0).. }, input) (to input values)');
      }
    }
    return Runtime.asmConstCache[code] = eval('(function(' + args.join(',') + '){ ' + code + ' })'); // new Function does not allow upvars in node
  },
  warnOnce: function (text) {
    if (!Runtime.warnOnce.shown) Runtime.warnOnce.shown = {};
    if (!Runtime.warnOnce.shown[text]) {
      Runtime.warnOnce.shown[text] = 1;
      Module.printErr(text);
    }
  },
  funcWrappers: {},
  getFuncWrapper: function (func, sig) {
    assert(sig);
    if (!Runtime.funcWrappers[func]) {
      Runtime.funcWrappers[func] = function dynCall_wrapper() {
        return Runtime.dynCall(sig, func, arguments);
      };
    }
    return Runtime.funcWrappers[func];
  },
  UTF8Processor: function () {
    var buffer = [];
    var needed = 0;
    this.processCChar = function (code) {
      code = code & 0xFF;

      if (buffer.length == 0) {
        if ((code & 0x80) == 0x00) {        // 0xxxxxxx
          return String.fromCharCode(code);
        }
        buffer.push(code);
        if ((code & 0xE0) == 0xC0) {        // 110xxxxx
          needed = 1;
        } else if ((code & 0xF0) == 0xE0) { // 1110xxxx
          needed = 2;
        } else {                            // 11110xxx
          needed = 3;
        }
        return '';
      }

      if (needed) {
        buffer.push(code);
        needed--;
        if (needed > 0) return '';
      }

      var c1 = buffer[0];
      var c2 = buffer[1];
      var c3 = buffer[2];
      var c4 = buffer[3];
      var ret;
      if (buffer.length == 2) {
        ret = String.fromCharCode(((c1 & 0x1F) << 6)  | (c2 & 0x3F));
      } else if (buffer.length == 3) {
        ret = String.fromCharCode(((c1 & 0x0F) << 12) | ((c2 & 0x3F) << 6)  | (c3 & 0x3F));
      } else {
        // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
        var codePoint = ((c1 & 0x07) << 18) | ((c2 & 0x3F) << 12) |
                        ((c3 & 0x3F) << 6)  | (c4 & 0x3F);
        ret = String.fromCharCode(
          Math.floor((codePoint - 0x10000) / 0x400) + 0xD800,
          (codePoint - 0x10000) % 0x400 + 0xDC00);
      }
      buffer.length = 0;
      return ret;
    }
    this.processJSString = function processJSString(string) {
      string = unescape(encodeURIComponent(string));
      var ret = [];
      for (var i = 0; i < string.length; i++) {
        ret.push(string.charCodeAt(i));
      }
      return ret;
    }
  },
  getCompilerSetting: function (name) {
    throw 'You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work';
  },
  stackAlloc: function (size) { var ret = STACKTOP;STACKTOP = (STACKTOP + size)|0;STACKTOP = (((STACKTOP)+7)&-8); return ret; },
  staticAlloc: function (size) { var ret = STATICTOP;STATICTOP = (STATICTOP + size)|0;STATICTOP = (((STATICTOP)+7)&-8); return ret; },
  dynamicAlloc: function (size) { var ret = DYNAMICTOP;DYNAMICTOP = (DYNAMICTOP + size)|0;DYNAMICTOP = (((DYNAMICTOP)+7)&-8); if (DYNAMICTOP >= TOTAL_MEMORY) enlargeMemory();; return ret; },
  alignMemory: function (size,quantum) { var ret = size = Math.ceil((size)/(quantum ? quantum : 8))*(quantum ? quantum : 8); return ret; },
  makeBigInt: function (low,high,unsigned) { var ret = (unsigned ? ((+((low>>>0)))+((+((high>>>0)))*(+4294967296))) : ((+((low>>>0)))+((+((high|0)))*(+4294967296)))); return ret; },
  GLOBAL_BASE: 8,
  QUANTUM_SIZE: 4,
  __dummy__: 0
}


Module['Runtime'] = Runtime;









//========================================
// Runtime essentials
//========================================

var __THREW__ = 0; // Used in checking for thrown exceptions.

var ABORT = false; // whether we are quitting the application. no code should run after this. set in exit() and abort()
var EXITSTATUS = 0;

var undef = 0;
// tempInt is used for 32-bit signed values or smaller. tempBigInt is used
// for 32-bit unsigned values or more than 32 bits. TODO: audit all uses of tempInt
var tempValue, tempInt, tempBigInt, tempInt2, tempBigInt2, tempPair, tempBigIntI, tempBigIntR, tempBigIntS, tempBigIntP, tempBigIntD, tempDouble, tempFloat;
var tempI64, tempI64b;
var tempRet0, tempRet1, tempRet2, tempRet3, tempRet4, tempRet5, tempRet6, tempRet7, tempRet8, tempRet9;

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

var globalScope = this;

// C calling interface. A convenient way to call C functions (in C files, or
// defined with extern "C").
//
// Note: LLVM optimizations can inline and remove functions, after which you will not be
//       able to call them. Closure can also do so. To avoid that, add your function to
//       the exports using something like
//
//         -s EXPORTED_FUNCTIONS='["_main", "_myfunc"]'
//
// @param ident      The name of the C function (note that C++ functions will be name-mangled - use extern "C")
// @param returnType The return type of the function, one of the JS types 'number', 'string' or 'array' (use 'number' for any C pointer, and
//                   'array' for JavaScript arrays and typed arrays; note that arrays are 8-bit).
// @param argTypes   An array of the types of arguments for the function (if there are no arguments, this can be ommitted). Types are as in returnType,
//                   except that 'array' is not possible (there is no way for us to know the length of the array)
// @param args       An array of the arguments to the function, as native JS values (as in returnType)
//                   Note that string arguments will be stored on the stack (the JS string will become a C string on the stack).
// @return           The return value, as a native JS value (as in returnType)
function ccall(ident, returnType, argTypes, args) {
  return ccallFunc(getCFunc(ident), returnType, argTypes, args);
}
Module["ccall"] = ccall;

// Returns the C function with a specified identifier (for C++, you need to do manual name mangling)
function getCFunc(ident) {
  try {
    var func = Module['_' + ident]; // closure exported function
    if (!func) func = eval('_' + ident); // explicit lookup
  } catch(e) {
  }
  assert(func, 'Cannot call unknown function ' + ident + ' (perhaps LLVM optimizations or closure removed it?)');
  return func;
}

// Internal function that does a C call using a function, not an identifier
function ccallFunc(func, returnType, argTypes, args) {
  var stack = 0;
  function toC(value, type) {
    if (type == 'string') {
      if (value === null || value === undefined || value === 0) return 0; // null string
      value = intArrayFromString(value);
      type = 'array';
    }
    if (type == 'array') {
      if (!stack) stack = Runtime.stackSave();
      var ret = Runtime.stackAlloc(value.length);
      writeArrayToMemory(value, ret);
      return ret;
    }
    return value;
  }
  function fromC(value, type) {
    if (type == 'string') {
      return Pointer_stringify(value);
    }
    assert(type != 'array');
    return value;
  }
  var i = 0;
  var cArgs = args ? args.map(function(arg) {
    return toC(arg, argTypes[i++]);
  }) : [];
  var ret = fromC(func.apply(null, cArgs), returnType);
  if (stack) Runtime.stackRestore(stack);
  return ret;
}

// Returns a native JS wrapper for a C function. This is similar to ccall, but
// returns a function you can call repeatedly in a normal way. For example:
//
//   var my_function = cwrap('my_c_function', 'number', ['number', 'number']);
//   alert(my_function(5, 22));
//   alert(my_function(99, 12));
//
function cwrap(ident, returnType, argTypes) {
  var func = getCFunc(ident);
  return function() {
    return ccallFunc(func, returnType, argTypes, Array.prototype.slice.call(arguments));
  }
}
Module["cwrap"] = cwrap;

// Sets a value in memory in a dynamic way at run-time. Uses the
// type data. This is the same as makeSetValue, except that
// makeSetValue is done at compile-time and generates the needed
// code then, whereas this function picks the right code at
// run-time.
// Note that setValue and getValue only do *aligned* writes and reads!
// Note that ccall uses JS types as for defining types, while setValue and
// getValue need LLVM types ('i8', 'i32') - this is a lower-level operation
function setValue(ptr, value, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': HEAP8[(ptr)]=value; break;
      case 'i8': HEAP8[(ptr)]=value; break;
      case 'i16': HEAP16[((ptr)>>1)]=value; break;
      case 'i32': HEAP32[((ptr)>>2)]=value; break;
      case 'i64': (tempI64 = [value>>>0,(tempDouble=value,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((ptr)>>2)]=tempI64[0],HEAP32[(((ptr)+(4))>>2)]=tempI64[1]); break;
      case 'float': HEAPF32[((ptr)>>2)]=value; break;
      case 'double': HEAPF64[((ptr)>>3)]=value; break;
      default: abort('invalid type for setValue: ' + type);
    }
}
Module['setValue'] = setValue;

// Parallel to setValue.
function getValue(ptr, type, noSafe) {
  type = type || 'i8';
  if (type.charAt(type.length-1) === '*') type = 'i32'; // pointers are 32-bit
    switch(type) {
      case 'i1': return HEAP8[(ptr)];
      case 'i8': return HEAP8[(ptr)];
      case 'i16': return HEAP16[((ptr)>>1)];
      case 'i32': return HEAP32[((ptr)>>2)];
      case 'i64': return HEAP32[((ptr)>>2)];
      case 'float': return HEAPF32[((ptr)>>2)];
      case 'double': return HEAPF64[((ptr)>>3)];
      default: abort('invalid type for setValue: ' + type);
    }
  return null;
}
Module['getValue'] = getValue;

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed
var ALLOC_DYNAMIC = 3; // Cannot be freed except through sbrk
var ALLOC_NONE = 4; // Do not allocate
Module['ALLOC_NORMAL'] = ALLOC_NORMAL;
Module['ALLOC_STACK'] = ALLOC_STACK;
Module['ALLOC_STATIC'] = ALLOC_STATIC;
Module['ALLOC_DYNAMIC'] = ALLOC_DYNAMIC;
Module['ALLOC_NONE'] = ALLOC_NONE;

// allocate(): This is for internal use. You can use it yourself as well, but the interface
//             is a little tricky (see docs right below). The reason is that it is optimized
//             for multiple syntaxes to save space in generated code. So you should
//             normally not use allocate(), and instead allocate memory using _malloc(),
//             initialize it with setValue(), and so forth.
// @slab: An array of data, or a number. If a number, then the size of the block to allocate,
//        in *bytes* (note that this is sometimes confusing: the next parameter does not
//        affect this!)
// @types: Either an array of types, one for each byte (or 0 if no type at that position),
//         or a single type which is used for the entire block. This only matters if there
//         is initial data - if @slab is a number, then this does not matter at all and is
//         ignored.
// @allocator: How to allocate memory, see ALLOC_*
function allocate(slab, types, allocator, ptr) {
  var zeroinit, size;
  if (typeof slab === 'number') {
    zeroinit = true;
    size = slab;
  } else {
    zeroinit = false;
    size = slab.length;
  }

  var singleType = typeof types === 'string' ? types : null;

  var ret;
  if (allocator == ALLOC_NONE) {
    ret = ptr;
  } else {
    ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc, Runtime.dynamicAlloc][allocator === undefined ? ALLOC_STATIC : allocator](Math.max(size, singleType ? 1 : types.length));
  }

  if (zeroinit) {
    var ptr = ret, stop;
    assert((ret & 3) == 0);
    stop = ret + (size & ~3);
    for (; ptr < stop; ptr += 4) {
      HEAP32[((ptr)>>2)]=0;
    }
    stop = ret + size;
    while (ptr < stop) {
      HEAP8[((ptr++)|0)]=0;
    }
    return ret;
  }

  if (singleType === 'i8') {
    if (slab.subarray || slab.slice) {
      HEAPU8.set(slab, ret);
    } else {
      HEAPU8.set(new Uint8Array(slab), ret);
    }
    return ret;
  }

  var i = 0, type, typeSize, previousType;
  while (i < size) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    type = singleType || types[i];
    if (type === 0) {
      i++;
      continue;
    }

    if (type == 'i64') type = 'i32'; // special case: we have one i32 here, and one i32 later

    setValue(ret+i, curr, type);

    // no need to look up size unless type changes, so cache it
    if (previousType !== type) {
      typeSize = Runtime.getNativeTypeSize(type);
      previousType = type;
    }
    i += typeSize;
  }

  return ret;
}
Module['allocate'] = allocate;

function Pointer_stringify(ptr, /* optional */ length) {
  // TODO: use TextDecoder
  // Find the length, and check for UTF while doing so
  var hasUtf = false;
  var t;
  var i = 0;
  while (1) {
    t = HEAPU8[(((ptr)+(i))|0)];
    if (t >= 128) hasUtf = true;
    else if (t == 0 && !length) break;
    i++;
    if (length && i == length) break;
  }
  if (!length) length = i;

  var ret = '';

  if (!hasUtf) {
    var MAX_CHUNK = 1024; // split up into chunks, because .apply on a huge string can overflow the stack
    var curr;
    while (length > 0) {
      curr = String.fromCharCode.apply(String, HEAPU8.subarray(ptr, ptr + Math.min(length, MAX_CHUNK)));
      ret = ret ? ret + curr : curr;
      ptr += MAX_CHUNK;
      length -= MAX_CHUNK;
    }
    return ret;
  }

  var utf8 = new Runtime.UTF8Processor();
  for (i = 0; i < length; i++) {
    t = HEAPU8[(((ptr)+(i))|0)];
    ret += utf8.processCChar(t);
  }
  return ret;
}
Module['Pointer_stringify'] = Pointer_stringify;

// Given a pointer 'ptr' to a null-terminated UTF16LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF16ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var codeUnit = HEAP16[(((ptr)+(i*2))>>1)];
    if (codeUnit == 0)
      return str;
    ++i;
    // fromCharCode constructs a character from a UTF-16 code unit, so we can pass the UTF16 string right through.
    str += String.fromCharCode(codeUnit);
  }
}
Module['UTF16ToString'] = UTF16ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF16LE form. The copy will require at most (str.length*2+1)*2 bytes of space in the HEAP.
function stringToUTF16(str, outPtr) {
  for(var i = 0; i < str.length; ++i) {
    // charCodeAt returns a UTF-16 encoded code unit, so it can be directly written to the HEAP.
    var codeUnit = str.charCodeAt(i); // possibly a lead surrogate
    HEAP16[(((outPtr)+(i*2))>>1)]=codeUnit;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP16[(((outPtr)+(str.length*2))>>1)]=0;
}
Module['stringToUTF16'] = stringToUTF16;

// Given a pointer 'ptr' to a null-terminated UTF32LE-encoded string in the emscripten HEAP, returns
// a copy of that string as a Javascript String object.
function UTF32ToString(ptr) {
  var i = 0;

  var str = '';
  while (1) {
    var utf32 = HEAP32[(((ptr)+(i*4))>>2)];
    if (utf32 == 0)
      return str;
    ++i;
    // Gotcha: fromCharCode constructs a character from a UTF-16 encoded code (pair), not from a Unicode code point! So encode the code point to UTF-16 for constructing.
    if (utf32 >= 0x10000) {
      var ch = utf32 - 0x10000;
      str += String.fromCharCode(0xD800 | (ch >> 10), 0xDC00 | (ch & 0x3FF));
    } else {
      str += String.fromCharCode(utf32);
    }
  }
}
Module['UTF32ToString'] = UTF32ToString;

// Copies the given Javascript String object 'str' to the emscripten HEAP at address 'outPtr',
// null-terminated and encoded in UTF32LE form. The copy will require at most (str.length+1)*4 bytes of space in the HEAP,
// but can use less, since str.length does not return the number of characters in the string, but the number of UTF-16 code units in the string.
function stringToUTF32(str, outPtr) {
  var iChar = 0;
  for(var iCodeUnit = 0; iCodeUnit < str.length; ++iCodeUnit) {
    // Gotcha: charCodeAt returns a 16-bit word that is a UTF-16 encoded code unit, not a Unicode code point of the character! We must decode the string to UTF-32 to the heap.
    var codeUnit = str.charCodeAt(iCodeUnit); // possibly a lead surrogate
    if (codeUnit >= 0xD800 && codeUnit <= 0xDFFF) {
      var trailSurrogate = str.charCodeAt(++iCodeUnit);
      codeUnit = 0x10000 + ((codeUnit & 0x3FF) << 10) | (trailSurrogate & 0x3FF);
    }
    HEAP32[(((outPtr)+(iChar*4))>>2)]=codeUnit;
    ++iChar;
  }
  // Null-terminate the pointer to the HEAP.
  HEAP32[(((outPtr)+(iChar*4))>>2)]=0;
}
Module['stringToUTF32'] = stringToUTF32;

function demangle(func) {
  try {
    // Special-case the entry point, since its name differs from other name mangling.
    if (func == 'Object._main' || func == '_main') {
      return 'main()';
    }
    if (typeof func === 'number') func = Pointer_stringify(func);
    if (func[0] !== '_') return func;
    if (func[1] !== '_') return func; // C function
    if (func[2] !== 'Z') return func;
    switch (func[3]) {
      case 'n': return 'operator new()';
      case 'd': return 'operator delete()';
    }
    var i = 3;
    // params, etc.
    var basicTypes = {
      'v': 'void',
      'b': 'bool',
      'c': 'char',
      's': 'short',
      'i': 'int',
      'l': 'long',
      'f': 'float',
      'd': 'double',
      'w': 'wchar_t',
      'a': 'signed char',
      'h': 'unsigned char',
      't': 'unsigned short',
      'j': 'unsigned int',
      'm': 'unsigned long',
      'x': 'long long',
      'y': 'unsigned long long',
      'z': '...'
    };
    function dump(x) {
      //return;
      if (x) Module.print(x);
      Module.print(func);
      var pre = '';
      for (var a = 0; a < i; a++) pre += ' ';
      Module.print (pre + '^');
    }
    var subs = [];
    function parseNested() {
      i++;
      if (func[i] === 'K') i++; // ignore const
      var parts = [];
      while (func[i] !== 'E') {
        if (func[i] === 'S') { // substitution
          i++;
          var next = func.indexOf('_', i);
          var num = func.substring(i, next) || 0;
          parts.push(subs[num] || '?');
          i = next+1;
          continue;
        }
        if (func[i] === 'C') { // constructor
          parts.push(parts[parts.length-1]);
          i += 2;
          continue;
        }
        var size = parseInt(func.substr(i));
        var pre = size.toString().length;
        if (!size || !pre) { i--; break; } // counter i++ below us
        var curr = func.substr(i + pre, size);
        parts.push(curr);
        subs.push(curr);
        i += pre + size;
      }
      i++; // skip E
      return parts;
    }
    var first = true;
    function parse(rawList, limit, allowVoid) { // main parser
      limit = limit || Infinity;
      var ret = '', list = [];
      function flushList() {
        return '(' + list.join(', ') + ')';
      }
      var name;
      if (func[i] === 'N') {
        // namespaced N-E
        name = parseNested().join('::');
        limit--;
        if (limit === 0) return rawList ? [name] : name;
      } else {
        // not namespaced
        if (func[i] === 'K' || (first && func[i] === 'L')) i++; // ignore const and first 'L'
        var size = parseInt(func.substr(i));
        if (size) {
          var pre = size.toString().length;
          name = func.substr(i + pre, size);
          i += pre + size;
        }
      }
      first = false;
      if (func[i] === 'I') {
        i++;
        var iList = parse(true);
        var iRet = parse(true, 1, true);
        ret += iRet[0] + ' ' + name + '<' + iList.join(', ') + '>';
      } else {
        ret = name;
      }
      paramLoop: while (i < func.length && limit-- > 0) {
        //dump('paramLoop');
        var c = func[i++];
        if (c in basicTypes) {
          list.push(basicTypes[c]);
        } else {
          switch (c) {
            case 'P': list.push(parse(true, 1, true)[0] + '*'); break; // pointer
            case 'R': list.push(parse(true, 1, true)[0] + '&'); break; // reference
            case 'L': { // literal
              i++; // skip basic type
              var end = func.indexOf('E', i);
              var size = end - i;
              list.push(func.substr(i, size));
              i += size + 2; // size + 'EE'
              break;
            }
            case 'A': { // array
              var size = parseInt(func.substr(i));
              i += size.toString().length;
              if (func[i] !== '_') throw '?';
              i++; // skip _
              list.push(parse(true, 1, true)[0] + ' [' + size + ']');
              break;
            }
            case 'E': break paramLoop;
            default: ret += '?' + c; break paramLoop;
          }
        }
      }
      if (!allowVoid && list.length === 1 && list[0] === 'void') list = []; // avoid (void)
      return rawList ? list : ret + flushList();
    }
    return parse();
  } catch(e) {
    return func;
  }
}

function demangleAll(text) {
  return text.replace(/__Z[\w\d_]+/g, function(x) { var y = demangle(x); return x === y ? x : (x + ' [' + y + ']') });
}

function stackTrace() {
  var stack = new Error().stack;
  return stack ? demangleAll(stack) : '(no stack trace available)'; // Stack trace is not available at least on IE10 and Safari 6.
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return (x+4095)&-4096;
}

var HEAP;
var HEAP8, HEAPU8, HEAP16, HEAPU16, HEAP32, HEAPU32, HEAPF32, HEAPF64;

var STATIC_BASE = 0, STATICTOP = 0, staticSealed = false; // static area
var STACK_BASE = 0, STACKTOP = 0, STACK_MAX = 0; // stack area
var DYNAMIC_BASE = 0, DYNAMICTOP = 0; // dynamic area handled by sbrk

function enlargeMemory() {
  abort('Cannot enlarge memory arrays. Either (1) compile with -s TOTAL_MEMORY=X with X higher than the current value ' + TOTAL_MEMORY + ', (2) compile with ALLOW_MEMORY_GROWTH which adjusts the size at runtime but prevents some optimizations, or (3) set Module.TOTAL_MEMORY before the program runs.');
}

var TOTAL_STACK = Module['TOTAL_STACK'] || 5242880;
var TOTAL_MEMORY = Module['TOTAL_MEMORY'] || 536870912;
var FAST_MEMORY = Module['FAST_MEMORY'] || 2097152;

var totalMemory = 4096;
while (totalMemory < TOTAL_MEMORY || totalMemory < 2*TOTAL_STACK) {
  if (totalMemory < 16*1024*1024) {
    totalMemory *= 2;
  } else {
    totalMemory += 16*1024*1024
  }
}
if (totalMemory !== TOTAL_MEMORY) {
  Module.printErr('increasing TOTAL_MEMORY to ' + totalMemory + ' to be more reasonable');
  TOTAL_MEMORY = totalMemory;
}

// Initialize the runtime's memory
// check for full engine support (use string 'subarray' to avoid closure compiler confusion)
assert(typeof Int32Array !== 'undefined' && typeof Float64Array !== 'undefined' && !!(new Int32Array(1)['subarray']) && !!(new Int32Array(1)['set']),
       'Cannot fallback to non-typed array case: Code is too specialized');

var buffer = new ArrayBuffer(TOTAL_MEMORY);
HEAP8 = new Int8Array(buffer);
HEAP16 = new Int16Array(buffer);
HEAP32 = new Int32Array(buffer);
HEAPU8 = new Uint8Array(buffer);
HEAPU16 = new Uint16Array(buffer);
HEAPU32 = new Uint32Array(buffer);
HEAPF32 = new Float32Array(buffer);
HEAPF64 = new Float64Array(buffer);

// Endianness check (note: assumes compiler arch was little-endian)
HEAP32[0] = 255;
assert(HEAPU8[0] === 255 && HEAPU8[3] === 0, 'Typed arrays 2 must be run on a little-endian system');

Module['HEAP'] = HEAP;
Module['HEAP8'] = HEAP8;
Module['HEAP16'] = HEAP16;
Module['HEAP32'] = HEAP32;
Module['HEAPU8'] = HEAPU8;
Module['HEAPU16'] = HEAPU16;
Module['HEAPU32'] = HEAPU32;
Module['HEAPF32'] = HEAPF32;
Module['HEAPF64'] = HEAPF64;

function callRuntimeCallbacks(callbacks) {
  while(callbacks.length > 0) {
    var callback = callbacks.shift();
    if (typeof callback == 'function') {
      callback();
      continue;
    }
    var func = callback.func;
    if (typeof func === 'number') {
      if (callback.arg === undefined) {
        Runtime.dynCall('v', func);
      } else {
        Runtime.dynCall('vi', func, [callback.arg]);
      }
    } else {
      func(callback.arg === undefined ? null : callback.arg);
    }
  }
}

var __ATPRERUN__  = []; // functions called before the runtime is initialized
var __ATINIT__    = []; // functions called during startup
var __ATMAIN__    = []; // functions called when main() is to be run
var __ATEXIT__    = []; // functions called during shutdown
var __ATPOSTRUN__ = []; // functions called after the runtime has exited

var runtimeInitialized = false;

function preRun() {
  // compatibility - merge in anything from Module['preRun'] at this time
  if (Module['preRun']) {
    if (typeof Module['preRun'] == 'function') Module['preRun'] = [Module['preRun']];
    while (Module['preRun'].length) {
      addOnPreRun(Module['preRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPRERUN__);
}

function ensureInitRuntime() {
  if (runtimeInitialized) return;
  runtimeInitialized = true;
  callRuntimeCallbacks(__ATINIT__);
}

function preMain() {
  callRuntimeCallbacks(__ATMAIN__);
}

function exitRuntime() {
  callRuntimeCallbacks(__ATEXIT__);
}

function postRun() {
  // compatibility - merge in anything from Module['postRun'] at this time
  if (Module['postRun']) {
    if (typeof Module['postRun'] == 'function') Module['postRun'] = [Module['postRun']];
    while (Module['postRun'].length) {
      addOnPostRun(Module['postRun'].shift());
    }
  }
  callRuntimeCallbacks(__ATPOSTRUN__);
}

function addOnPreRun(cb) {
  __ATPRERUN__.unshift(cb);
}
Module['addOnPreRun'] = Module.addOnPreRun = addOnPreRun;

function addOnInit(cb) {
  __ATINIT__.unshift(cb);
}
Module['addOnInit'] = Module.addOnInit = addOnInit;

function addOnPreMain(cb) {
  __ATMAIN__.unshift(cb);
}
Module['addOnPreMain'] = Module.addOnPreMain = addOnPreMain;

function addOnExit(cb) {
  __ATEXIT__.unshift(cb);
}
Module['addOnExit'] = Module.addOnExit = addOnExit;

function addOnPostRun(cb) {
  __ATPOSTRUN__.unshift(cb);
}
Module['addOnPostRun'] = Module.addOnPostRun = addOnPostRun;

// Tools

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy, dontAddNull, length /* optional */) {
  var ret = (new Runtime.UTF8Processor()).processJSString(stringy);
  if (length) {
    ret.length = length;
  }
  if (!dontAddNull) {
    ret.push(0);
  }
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = [];
  for (var i = 0; i < array.length; i++) {
    var chr = array[i];
    if (chr > 0xFF) {
      chr &= 0xFF;
    }
    ret.push(String.fromCharCode(chr));
  }
  return ret.join('');
}
Module['intArrayToString'] = intArrayToString;

// Write a Javascript array to somewhere in the heap
function writeStringToMemory(string, buffer, dontAddNull) {
  var array = intArrayFromString(string, dontAddNull);
  var i = 0;
  while (i < array.length) {
    var chr = array[i];
    HEAP8[(((buffer)+(i))|0)]=chr;
    i = i + 1;
  }
}
Module['writeStringToMemory'] = writeStringToMemory;

function writeArrayToMemory(array, buffer) {
  for (var i = 0; i < array.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=array[i];
  }
}
Module['writeArrayToMemory'] = writeArrayToMemory;

function writeAsciiToMemory(str, buffer, dontAddNull) {
  for (var i = 0; i < str.length; i++) {
    HEAP8[(((buffer)+(i))|0)]=str.charCodeAt(i);
  }
  if (!dontAddNull) HEAP8[(((buffer)+(str.length))|0)]=0;
}
Module['writeAsciiToMemory'] = writeAsciiToMemory;

function unSign(value, bits, ignore) {
  if (value >= 0) {
    return value;
  }
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
}
function reSign(value, bits, ignore) {
  if (value <= 0) {
    return value;
  }
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half && (bits <= 32 || value > half)) { // for huge values, we can hit the precision limit and always get true here. so don't do that
                                                       // but, in general there is no perfect solution here. With 64-bit ints, we get rounding and errors
                                                       // TODO: In i64 mode 1, resign the two parts separately and safely
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// check for imul support, and also for correctness ( https://bugs.webkit.org/show_bug.cgi?id=126345 )
if (!Math['imul'] || Math['imul'](0xffffffff, 5) !== -5) Math['imul'] = function imul(a, b) {
  var ah  = a >>> 16;
  var al = a & 0xffff;
  var bh  = b >>> 16;
  var bl = b & 0xffff;
  return (al*bl + ((ah*bl + al*bh) << 16))|0;
};
Math.imul = Math['imul'];


var Math_abs = Math.abs;
var Math_cos = Math.cos;
var Math_sin = Math.sin;
var Math_tan = Math.tan;
var Math_acos = Math.acos;
var Math_asin = Math.asin;
var Math_atan = Math.atan;
var Math_atan2 = Math.atan2;
var Math_exp = Math.exp;
var Math_log = Math.log;
var Math_sqrt = Math.sqrt;
var Math_ceil = Math.ceil;
var Math_floor = Math.floor;
var Math_pow = Math.pow;
var Math_imul = Math.imul;
var Math_fround = Math.fround;
var Math_min = Math.min;

// A counter of dependencies for calling run(). If we need to
// do asynchronous work before running, increment this and
// decrement it. Incrementing must happen in a place like
// PRE_RUN_ADDITIONS (used by emcc to add file preloading).
// Note that you can add dependencies in preRun, even though
// it happens right before run - run will be postponed until
// the dependencies are met.
var runDependencies = 0;
var runDependencyWatcher = null;
var dependenciesFulfilled = null; // overridden to take different actions when all run dependencies are fulfilled

function addRunDependency(id) {
  runDependencies++;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
}
Module['addRunDependency'] = addRunDependency;
function removeRunDependency(id) {
  runDependencies--;
  if (Module['monitorRunDependencies']) {
    Module['monitorRunDependencies'](runDependencies);
  }
  if (runDependencies == 0) {
    if (runDependencyWatcher !== null) {
      clearInterval(runDependencyWatcher);
      runDependencyWatcher = null;
    }
    if (dependenciesFulfilled) {
      var callback = dependenciesFulfilled;
      dependenciesFulfilled = null;
      callback(); // can add another dependenciesFulfilled
    }
  }
}
Module['removeRunDependency'] = removeRunDependency;

Module["preloadedImages"] = {}; // maps url to image data
Module["preloadedAudios"] = {}; // maps url to audio data


var memoryInitializer = null;

// === Body ===



STATIC_BASE = 8;

STATICTOP = STATIC_BASE + 1654928;



















































































































































var _stdout;
var _stdout=_stdout=allocate(1, "i32*", ALLOC_STATIC);
var _stdin;
var _stdin=_stdin=allocate(1, "i32*", ALLOC_STATIC);
var _stderr;
var _stderr=_stderr=allocate(1, "i32*", ALLOC_STATIC);































































































































































































































































































/* global initializers */ __ATINIT__.push({ func: function() { runPostSets() } },{ func: function() { __GLOBAL__I_a() } });























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var ___dso_handle;
var ___dso_handle=___dso_handle=allocate(1, "i32*", ALLOC_STATIC);


































































































































































var __ZTVN10__cxxabiv120__si_class_type_infoE;
__ZTVN10__cxxabiv120__si_class_type_infoE=allocate([0,0,0,0,80,189,24,0,56,1,0,0,176,0,0,0,84,0,0,0,198,0,0,0,14,0,0,0,10,0,0,0,12,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;
var __ZTVN10__cxxabiv117__class_type_infoE;
__ZTVN10__cxxabiv117__class_type_infoE=allocate([0,0,0,0,96,189,24,0,56,1,0,0,46,1,0,0,84,0,0,0,198,0,0,0,14,0,0,0,32,0,0,0,6,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_STATIC);;






















































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































var __ZNSt13runtime_errorC1EPKc;
var __ZNSt13runtime_errorD1Ev;
var __ZNSt12length_errorD1Ev;
var __ZNSt12out_of_rangeD1Ev;
var __ZNSt3__16localeC1Ev;
var __ZNSt3__16localeC1ERKS0_;
var __ZNSt3__16localeD1Ev;
var __ZNSt8bad_castC1Ev;
var __ZNSt8bad_castD1Ev;
/* memory initializer */ allocate([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,44,51,120,44,2,82,50,32,61,2,44,101,50,49,46,49,51,41,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,82,49,32,61,2,44,101,50,49,46,49,51,41,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,44,51,120,44,2,73,50,32,61,2,44,105,49,48,41,0,0,0,0,0,0,0,0,40,54,120,44,2,73,110,32,97,98,111,118,101,32,109,101,115,115,97,103,101,44,32,32,73,49,32,61,2,44,105,49,48,41,0,0,0,0,0,0,40,49,120,44,56,48,97,49,41,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,0,0,0,0,0,0,0,97,108,110,117,109,0,97,108,112,104,97,0,98,108,97,110,107,0,99,110,116,114,108,0,100,105,103,105,116,0,103,114,97,112,104,0,108,111,119,101,114,0,112,114,105,110,116,0,112,117,110,99,116,0,115,112,97,99,101,0,117,112,112,101,114,0,120,100,105,103,105,116,0,0,0,0,0,0,0,0,38,0,0,0,78,0,0,0,36,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,40,0,0,0,22,0,0,0,76,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,72,0,0,0,16,0,0,0,60,0,0,0,18,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,40,0,0,0,4,0,0,0,6,0,0,0,40,0,0,0,34,0,0,0,38,0,0,0,36,0,0,0,38,0,0,0,78,0,0,0,36,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,40,0,0,0,22,0,0,0,76,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,72,0,0,0,16,0,0,0,60,0,0,0,18,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,40,0,0,0,4,0,0,0,6,0,0,0,40,0,0,0,34,0,0,0,38,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,40,188,0,0,110,0,0,0,96,79,24,0,114,0,0,0,72,56,1,0,102,0,0,0,160,31,1,0,97,0,0,0,176,242,0,0,101,0,0,0,192,207,0,0,119,0,0,0,104,175,0,0,87,0,0,0,48,146,0,0,115,0,0,0,64,122,0,0,83,0,0,0,16,99,0,0,100,0,0,0,192,149,24,0,68,0,0,0,64,124,24,0,0,0,0,0,0,0,0,0,96,37,25,0,0,0,0,0,187,189,215,217,223,124,219,61,0,0,0,0,104,43,1,0,8,40,1,0,208,47,25,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,104,38,25,0,0,0,0,0,18,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,16,16,34,35,16,36,37,38,39,40,41,42,43,16,44,45,46,17,47,48,17,17,49,17,17,17,50,51,52,53,54,55,56,57,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,58,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,59,16,60,61,62,63,64,65,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,66,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,67,16,16,68,16,69,70,71,16,72,16,73,16,16,16,16,74,75,76,77,16,16,78,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,16,16,16,16,82,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,83,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,84,85,86,87,16,16,88,89,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,90,16,91,92,93,94,95,96,97,98,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,254,255,0,252,1,0,0,248,1,0,0,120,0,0,0,0,255,251,223,251,0,0,128,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,60,0,252,255,224,175,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,32,64,176,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,134,254,255,255,255,0,64,73,0,0,0,0,0,24,0,223,255,0,200,0,0,0,0,0,0,0,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,16,224,1,30,0,96,255,191,0,0,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,207,3,0,0,0,3,0,32,255,127,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,16,0,32,30,0,48,0,1,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,252,15,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,3,0,0,0,0,0,0,0,0,16,0,32,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,255,7,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,255,0,0,0,0,0,0,0,16,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,63,2,0,0,0,0,0,0,0,0,0,4,0,0,0,0,16,0,0,0,0,0,0,128,0,128,192,223,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,254,255,255,255,0,252,255,255,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,192,255,223,255,7,0,0,0,0,0,0,0,0,0,0,128,6,0,252,0,0,24,62,0,0,128,191,0,204,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,96,255,255,255,31,0,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,56,0,0,0,0,16,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,254,127,47,0,0,255,3,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,255,255,255,255,0,0,0,192,0,0,0,0,0,0,0,0,1,0,224,159,0,0,0,0,127,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,16,0,0,252,255,255,255,31,0,0,0,0,0,12,0,0,0,0,0,0,64,0,12,240,0,0,0,0,0,0,192,248,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,255,0,255,255,255,33,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,127,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,160,3,224,0,224,0,224,0,96,128,248,255,255,255,252,255,255,255,255,255,127,31,252,241,127,255,127,0,0,255,255,255,3,0,0,255,255,255,255,1,0,123,3,208,193,175,66,0,12,31,188,255,255,0,0,0,0,0,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,127,0,0,0,255,7,0,0,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,252,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,135,3,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,255,15,0,0,0,0,0,0,0,0,255,255,255,251,255,255,255,255,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,255,15,30,255,255,255,1,252,193,224,0,0,0,0,0,0,0,0,0,0,0,30,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,0,0,0,0,255,255,255,255,15,0,0,0,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,0,0,0,0,0,0,192,0,224,0,0,0,0,0,0,0,0,0,0,0,128,15,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,0,255,255,127,0,3,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,8,0,0,0,15,255,3,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,16,192,0,0,255,255,3,7,0,0,0,0,0,248,0,0,0,0,8,128,0,0,0,0,0,0,0,0,0,0,8,0,255,63,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,0,0,128,11,0,0,0,0,0,0,0,128,2,0,0,192,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,252,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,255,255,255,3,127,0,255,255,255,255,247,255,127,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,254,255,0,252,1,0,0,248,1,0,0,248,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,127,127,0,48,135,255,255,255,255,255,143,255,0,0,0,0,0,0,224,255,255,7,255,15,0,0,0,0,0,0,255,255,255,255,255,63,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,143,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135,255,0,255,1,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,0,0,0,255,0,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,63,252,255,63,0,0,0,3,0,0,0,0,0,0,254,3,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,7,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,255,255,255,255,127,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,127,0,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,8,0,0,0,8,0,0,32,0,0,0,32,0,0,128,0,0,0,128,0,0,0,2,0,0,0,2,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,127,254,127,254,255,254,255,0,0,0,0,255,7,255,255,255,127,255,255,255,255,255,255,255,15,255,255,255,255,255,7,0,0,0,0,0,0,0,0,192,255,255,255,7,0,255,255,255,255,255,7,255,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,1,0,191,255,255,255,255,255,255,255,255,31,255,255,15,0,255,255,255,255,223,7,0,0,255,255,1,0,255,255,255,255,255,255,255,127,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,30,255,255,255,255,255,255,255,63,15,0,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,255,255,255,255,255,255,255,255,225,255,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,17,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,17,34,35,36,17,37,38,39,40,41,42,43,44,17,45,46,47,16,16,48,16,16,16,16,16,16,16,49,50,51,16,52,53,16,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,54,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,55,17,17,17,17,56,17,57,58,59,60,61,62,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,63,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,64,65,17,66,67,68,69,70,71,72,73,16,16,16,74,75,76,77,78,16,16,16,79,80,16,16,16,16,81,16,16,16,16,16,16,16,16,16,17,17,17,82,83,16,16,16,16,16,16,16,16,16,16,16,17,17,17,17,84,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,17,85,16,16,16,16,86,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,87,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,88,89,90,91,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,92,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,7,254,255,255,7,0,0,0,0,0,4,32,4,255,255,127,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,195,255,3,0,31,80,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,223,60,64,215,255,255,251,255,255,255,255,255,255,255,255,255,191,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,3,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,254,255,255,255,127,2,254,255,255,255,255,0,0,0,0,0,255,191,182,0,255,255,255,7,7,0,0,0,255,7,255,255,255,255,255,255,255,254,255,195,255,255,255,255,255,255,255,255,255,255,255,255,239,31,254,225,255,159,0,0,255,255,255,255,255,255,0,224,255,255,255,255,255,255,255,255,255,255,255,255,3,0,255,255,255,255,255,7,48,4,255,255,255,252,255,31,0,0,255,255,255,1,0,0,0,0,0,0,0,0,253,31,0,0,0,0,0,0,240,3,255,127,255,255,255,255,255,255,255,239,255,223,225,255,207,255,254,254,238,159,249,255,255,253,197,227,159,89,128,176,207,255,3,0,238,135,249,255,255,253,109,195,135,25,2,94,192,255,63,0,238,191,251,255,255,253,237,227,191,27,1,0,207,255,0,0,238,159,249,255,255,253,237,227,159,25,192,176,207,255,2,0,236,199,61,214,24,199,255,195,199,29,129,0,192,255,0,0,238,223,253,255,255,253,239,227,223,29,96,3,207,255,0,0,236,223,253,255,255,253,239,227,223,29,96,64,207,255,6,0,236,223,253,255,255,255,255,231,223,93,128,0,207,255,0,252,236,255,127,252,255,255,251,47,127,128,95,255,0,0,12,0,254,255,255,255,255,127,255,7,63,32,255,3,0,0,0,0,150,37,240,254,174,236,255,59,95,32,255,243,0,0,0,0,1,0,0,0,255,3,0,0,255,254,255,255,255,31,254,255,3,255,255,254,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,255,127,249,255,3,255,255,231,193,255,255,127,64,255,51,255,255,255,255,191,32,255,255,255,255,255,247,255,255,255,255,255,255,255,255,255,61,127,61,255,255,255,255,255,61,255,255,255,255,61,127,61,255,127,255,255,255,255,255,255,255,61,255,255,255,255,255,255,255,255,135,0,0,0,0,255,255,0,0,255,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,159,255,255,254,255,255,7,255,255,255,255,255,255,255,255,255,199,1,0,255,223,15,0,255,255,15,0,255,255,15,0,255,223,13,0,255,255,255,255,255,255,207,255,255,1,128,16,255,3,0,0,0,0,255,3,255,255,255,255,255,255,255,255,255,255,255,0,255,255,255,255,255,7,255,255,255,255,255,255,255,255,63,0,255,255,255,31,255,15,255,1,192,255,255,255,255,63,31,0,255,255,255,255,255,15,255,255,255,3,255,3,0,0,0,0,255,255,255,15,255,255,255,255,255,255,255,127,254,255,31,0,255,3,255,3,128,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,239,255,239,15,255,3,0,0,0,0,255,255,255,255,255,243,255,255,255,255,255,255,191,255,3,0,255,255,255,255,255,255,63,0,255,227,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,222,111,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,128,0,0,255,31,0,0,0,0,0,0,0,0,0,0,0,0,132,252,47,62,80,189,255,243,224,67,0,0,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,192,255,255,255,255,255,255,3,0,0,255,255,255,255,255,127,255,255,255,255,255,127,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,120,12,0,255,255,255,255,191,32,255,255,255,255,255,255,255,128,0,0,255,255,127,0,127,127,127,127,127,127,127,127,255,255,255,255,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,254,3,62,31,254,255,255,255,255,255,255,255,255,255,127,224,254,255,255,255,255,255,255,255,255,255,255,247,224,255,255,255,255,63,254,255,255,255,255,255,255,255,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,255,255,255,255,255,63,255,31,255,255,255,15,0,0,255,255,255,255,255,127,240,143,255,255,255,128,255,255,255,255,255,255,255,255,255,255,0,0,0,0,128,255,252,255,255,255,255,255,255,255,255,255,255,255,255,121,15,0,255,7,0,0,0,0,0,0,0,0,0,255,187,247,255,255,255,0,0,0,255,255,255,255,255,255,15,0,255,255,255,255,255,255,255,255,15,0,255,3,0,0,252,8,255,255,255,255,255,7,255,255,255,255,7,0,255,255,255,31,255,255,255,255,255,255,247,255,0,128,255,3,0,0,0,0,255,255,255,255,255,255,127,0,255,63,255,3,255,255,127,4,255,255,255,255,255,255,255,127,5,0,0,56,255,255,60,0,126,126,126,0,127,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,7,255,3,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,255,255,127,248,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,0,127,0,248,224,255,253,127,95,219,255,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,248,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,255,255,255,255,255,255,255,255,252,255,255,255,255,255,255,0,0,0,0,0,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,223,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,31,0,0,255,3,254,255,255,7,254,255,255,7,192,255,255,255,255,255,255,255,255,255,255,127,252,252,252,28,0,0,0,0,255,239,255,255,127,255,255,183,255,63,255,63,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,255,255,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,31,255,255,255,255,255,255,1,0,0,0,0,0,255,255,255,127,0,0,255,255,255,7,0,0,0,0,0,0,255,255,255,63,255,255,255,255,15,255,62,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,3,0,0,0,0,0,0,0,0,0,0,63,253,255,255,255,255,191,145,255,255,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,63,0,255,255,255,3,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,192,0,0,0,0,0,0,0,0,111,240,239,254,255,255,15,0,0,0,0,0,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,255,63,0,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,192,255,0,0,252,255,255,255,255,255,255,1,0,0,255,255,255,1,255,3,255,255,255,255,255,255,199,255,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,30,0,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,63,0,255,3,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,31,0,255,255,255,255,255,127,0,0,248,255,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,223,255,255,255,255,255,255,255,255,223,100,222,255,235,239,255,255,255,255,255,255,255,191,231,223,223,255,255,255,123,95,252,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,255,255,255,253,255,255,247,255,255,255,247,255,255,223,255,255,255,223,255,255,127,255,255,255,127,255,255,255,253,255,255,255,253,255,255,247,207,255,255,255,255,255,255,239,255,255,255,150,254,247,10,132,234,150,170,150,247,247,94,255,251,255,15,238,251,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,97,108,117,99,117,108,97,116,101,32,111,110,101,32,99,111,108,58,0,0,0,0,0,60,47,115,116,97,116,117,115,62,0,0,0,0,0,0,0,34,62,0,0,0,0,0,0,60,115,116,97,116,117,115,62,0,0,0,0,0,0,0,0,10,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,0,0,0,0,0,0,0,60,112,104,97,115,101,62,85,78,75,78,79,87,78,60,47,112,104,97,115,101,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,28,0,0,0,28,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,63,0,0,0,0,0,0,224,63,0,0,0,0,0,0,240,63,112,39,25,0,0,0,0,0,248,39,25,0,0,0,0,0,128,40,25,0,0,0,0,0,8,41,25,0,0,0,0,0,73,0,49,1,83,0,127,1,48,1,105,0,120,1,255,0,129,1,83,2,130,1,131,1,132,1,133,1,134,1,84,2,135,1,136,1,137,1,86,2,138,1,87,2,139,1,140,1,142,1,221,1,143,1,89,2,144,1,91,2,145,1,146,1,147,1,96,2,148,1,99,2,150,1,105,2,151,1,104,2,152,1,153,1,156,1,111,2,157,1,114,2,159,1,117,2,166,1,128,2,167,1,168,1,169,1,131,2,172,1,173,1,174,1,136,2,175,1,176,1,177,1,138,2,178,1,139,2,183,1,146,2,184,1,185,1,188,1,189,1,196,1,198,1,196,1,197,1,197,1,198,1,199,1,201,1,199,1,200,1,200,1,201,1,202,1,204,1,202,1,203,1,203,1,204,1,241,1,243,1,241,1,242,1,242,1,243,1,244,1,245,1,246,1,149,1,247,1,191,1,32,2,158,1,134,3,172,3,136,3,173,3,137,3,174,3,138,3,175,3,140,3,204,3,142,3,205,3,143,3,206,3,153,3,69,3,153,3,190,31,163,3,194,3,247,3,248,3,250,3,251,3,96,30,155,30,223,0,223,0,158,30,223,0,89,31,81,31,91,31,83,31,93,31,85,31,95,31,87,31,188,31,179,31,204,31,195,31,236,31,229,31,252,31,243,31,58,2,101,44,59,2,60,2,61,2,154,1,62,2,102,44,65,2,66,2,67,2,128,1,68,2,137,2,69,2,140,2,244,3,184,3,249,3,242,3,253,3,123,3,254,3,124,3,255,3,125,3,192,4,207,4,38,33,201,3,42,33,107,0,43,33,229,0,50,33,78,33,131,33,132,33,96,44,97,44,98,44,107,2,99,44,125,29,100,44,125,2,109,44,81,2,110,44,113,2,111,44,80,2,112,44,82,2,114,44,115,44,117,44,118,44,126,44,63,2,127,44,64,2,242,44,243,44,125,167,121,29,139,167,140,167,141,167,101,2,170,167,102,2,199,16,39,45,205,16,45,45,118,3,119,3,156,3,181,0,146,3,208,3,152,3,209,3,166,3,213,3,160,3,214,3,154,3,240,3,161,3,241,3,149,3,245,3,207,3,215,3,0,0,0,0,0,0,0,0,51,0,0,0,51,0,0,0,51,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,144,63,1,0,232,19,1,0,120,232,0,0,200,198,0,0,144,166,0,0,0,140,0,0,2,0,0,0,0,0,0,0,10,0,0,0,94,0,0,0,94,0,0,0,46,0,0,0,100,0,0,0,12,0,0,0,8,0,0,0,88,0,0,0,208,0,0,0,208,0,0,0,24,0,0,0,10,0,0,0,67,68,65,84,65,91,0,0,2,3,4,5,6,7,8,0,0,9,10,11,12,13,14,15,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,192,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,16,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,88,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,96,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,184,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,16,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,65,116,32,116,104,101,32,114,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,2,44,53,120,44,2,78,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,40,52,120,44,2,76,101,97,115,116,32,118,97,108,117,101,32,111,102,32,70,32,61,2,44,49,112,100,50,51,46,49,53,44,57,120,44,2,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,0,0,0,0,40,47,52,120,44,2,78,101,119,32,82,72,79,32,61,2,44,49,112,100,49,49,46,52,44,53,120,44,2,78,117,109,98,101,114,32,111,102,2,44,2,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,61,2,44,105,54,41,0,0,0,0,0,0,0,0,40,53,120,41,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,97,32,116,114,117,115,116,2,44,2,32,114,101,103,105,111,110,32,115,116,101,112,32,104,97,115,32,102,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,81,46,2,41,0,0,0,0,0,0,0,40,47,52,120,44,2,70,117,110,99,116,105,111,110,32,110,117,109,98,101,114,2,44,105,54,44,2,32,32,32,32,70,32,61,2,44,49,112,100,49,56,46,49,48,44,2,32,32,32,32,84,104,101,32,99,111,114,114,101,115,112,111,110,100,105,110,103,32,88,32,105,115,58,2,47,40,50,120,44,53,100,49,53,46,54,41,41,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,67,65,76,70,85,78,32,104,97,115,32,98,101,101,110,2,44,2,32,99,97,108,108,101,100,32,77,65,88,70,85,78,32,116,105,109,101,115,46,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,8,39,0,0,0,0,0,0,0,0,0,0,40,47,52,120,44,2,82,101,116,117,114,110,32,102,114,111,109,32,78,69,87,85,79,65,32,98,101,99,97,117,115,101,32,78,80,84,32,105,115,32,110,111,116,32,105,110,2,44,2,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,110,116,101,114,118,97,108,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,43], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE);
/* memory initializer */ allocate([40,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,41,0,0,0,0,0,40,49,120,44,54,103,49,51,46,53,41,0,0,0,0,0,40,47,2,32,65,32,102,117,114,116,104,101,114,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,104,97,118,101,32,98,101,101,110,32,117,115,101,100,2,47,41,0,0,0,0,0,0,40,47,47,2,32,67,79,82,82,69,76,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,41,0,0,0,0,0,40,2,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,58,45,2,47,41,0,0,0,0,0,0,40,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,109,105,110,105,109,105,122,101,100,32,119,97,115,32,45,76,79,71,40,76,73,75,69,76,73,72,79,79,68,41,44,2,47,2,32,116,104,105,115,32,105,115,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,32,111,102,32,116,104,101,32,112,97,114,97,109,101,116,101,114,115,46,2,47,2,32,73,102,32,116,104,101,32,102,117,110,99,116,105,111,110,32,119,97,115,32,97,32,115,117,109,32,111,102,32,115,113,117,97,114,101,115,32,111,102,32,114,101,115,105,100,117,97,108,115,44,2,47,2,32,116,104,105,115,32,109,97,116,114,105,120,32,109,117,115,116,32,98,101,32,109,117,108,116,105,112,108,105,101,100,32,98,121,32,116,119,105,99,101,32,116,104,101,32,101,115,116,105,109,97,116,101,100,2,44,49,120,44,2,114,101,115,105,100,117,97,108,32,118,97,114,105,97,110,99,101,2,47,2,32,116,111,32,111,98,116,97,105,110,32,116,104,101,32,99,111,118,97,114,105,97,110,99,101,32,109,97,116,114,105,120,46,2,47,41,0,0,0,0,40,2,32,82,97,110,107,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,61,2,44,105,51,47,2,32,73,110,118,101,114,115,101,32,111,102,32,105,110,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,58,45,2,41,0,40,2,32,73,70,32,84,72,73,83,32,68,73,70,70,69,82,83,32,66,89,32,77,85,67,72,32,70,82,79,77,32,84,72,69,32,77,73,78,73,77,85,77,32,69,83,84,73,77,65,84,69,68,2,44,49,120,44,2,70,82,79,77,32,84,72,69,32,77,73,78,73,77,73,90,65,84,73,79,78,44,2,47,2,32,84,72,69,32,77,73,78,73,77,85,77,32,77,65,89,32,66,69,32,70,65,76,83,69,32,38,47,79,82,32,84,72,69,32,73,78,70,79,82,77,65,84,73,79,78,32,77,65,84,82,73,88,32,77,65,89,32,66,69,2,44,49,120,44,2,73,78,65,67,67,85,82,65,84,69,2,47,41,0,0,0,0,0,40,2,32,77,105,110,105,109,117,109,32,111,102,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,61,2,44,103,49,52,46,54,44,2,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,47,49,48,120,44,2,83,101,97,114,99,104,32,114,101,115,116,97,114,116,105,110,103,2,47,41,0,0,0,0,0,40,47,2,32,77,65,84,82,73,88,32,79,70,32,69,83,84,73,77,65,84,69,68,32,83,69,67,79,78,68,32,68,69,82,73,86,65,84,73,86,69,83,32,78,79,84,32,43,86,69,32,68,69,70,78,46,2,47,2,32,77,73,78,73,77,85,77,32,80,82,79,66,65,66,76,89,32,78,79,84,32,70,79,85,78,68,2,47,41,0,0,0,0,0,0,0,40,47,2,32,70,105,116,116,105,110,103,32,113,117,97,100,114,97,116,105,99,32,115,117,114,102,97,99,101,32,97,98,111,117,116,32,115,117,112,112,111,115,101,100,32,109,105,110,105,109,117,109,2,47,41,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,109,105,110,105,109,117,109,32,61,2,44,103,49,52,46,54,41,0,0,40,2,32,77,105,110,105,109,117,109,32,97,116,2,44,52,40,47,49,120,44,54,103,49,51,46,54,41,41,0,0,0,40,47,47,2,32,77,105,110,105,109,117,109,32,102,111,117,110,100,32,97,102,116,101,114,2,44,105,53,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,41,0,0,0,40,47,2,32,69,86,73,68,69,78,67,69,32,79,70,32,67,79,78,86,69,82,71,69,78,67,69,2,41,0,0,0,40,2,32,70,117,110,99,116,105,111,110,32,118,97,108,117,101,32,97,116,32,99,101,110,116,114,111,105,100,32,61,2,44,103,49,52,46,54,41,0,40,2,32,67,101,110,116,114,111,105,100,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,52,40,47,49,120,44,54,103,49,51,46,53,41,41,0,0,0,40,2,32,82,77,83,32,111,102,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,115,32,111,102,32,108,97,115,116,32,115,105,109,112,108,101,120,32,61,2,44,103,49,52,46,54,41,0,0,0,0,0,40,2,32,78,111,46,32,111,102,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,32,62,32,2,44,105,53,41,0,0,40,47,49,120,44,105,52,44,50,120,44,103,49,50,46,53,44,50,120,44,53,103,49,49,46,52,44,51,40,47,50,49,120,44,53,103,49,49,46,52,41,41,0,0,0,0,0,0,40,2,32,80,114,111,103,114,101,115,115,32,82,101,112,111,114,116,32,101,118,101,114,121,2,44,105,52,44,2,32,102,117,110,99,116,105,111,110,32,101,118,97,108,117,97,116,105,111,110,115,2,47,44,2,32,69,86,65,76,46,32,32,32,70,85,78,67,46,86,65,76,85,69,46,2,44,49,48,120,44,2,80,65,82,65,77,69,84,69,82,32,86,65,76,85,69,83,2,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,4,254,255,255,135,254,255,255,7,0,0,0,0,0,0,0,0,255,255,127,255,255,255,127,255,255,255,255,255,255,255,243,127,254,253,255,255,255,255,255,127,255,255,255,255,255,255,255,255,15,224,255,255,255,255,49,252,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,3,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,0,0,0,0,0,0,0,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,254,7,0,0,0,0,254,255,255,255,255,255,255,255,255,124,255,127,47,0,96,0,0,0,224,255,255,255,255,255,255,35,0,0,0,255,3,0,0,0,224,159,249,255,255,253,197,3,0,0,0,176,3,0,3,0,224,135,249,255,255,253,109,3,0,0,0,94,0,0,28,0,224,175,251,255,255,253,237,35,0,0,0,0,1,0,0,0,224,159,249,255,255,253,205,35,0,0,0,176,3,0,0,0,224,199,61,214,24,199,191,3,0,0,0,0,0,0,0,0,224,223,253,255,255,253,239,3,0,0,0,0,3,0,0,0,224,223,253,255,255,253,239,3,0,0,0,64,3,0,0,0,224,223,253,255,255,253,255,3,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,13,0,63,0,0,0,0,0,0,0,150,37,240,254,174,108,13,32,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,63,0,255,255,255,255,127,0,237,218,7,0,0,0,0,80,1,80,49,130,171,98,44,0,0,0,0,64,0,201,128,245,7,0,0,0,0,8,1,2,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,255,255,255,255,255,255,255,255,255,255,255,3,255,255,63,63,255,255,255,255,63,63,255,170,255,255,255,63,255,255,255,255,255,255,223,95,220,31,207,15,255,31,220,31,0,0,0,0,64,76,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,254,3,0,0,254,255,255,255,255,255,255,255,255,255,31,0,254,255,255,255,255,255,255,255,255,255,255,7,224,255,255,255,255,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,63,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,255,7,254,255,255,135,254,255,255,7,0,0,0,0,0,0,128,0,255,255,127,255,255,255,127,255,255,255,255,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,1,0,248,3,0,3,0,0,0,0,0,255,255,255,255,255,255,255,255,63,0,0,0,3,0,0,0,192,215,255,255,251,255,255,255,255,127,127,84,253,255,15,0,254,223,255,255,255,255,255,255,255,255,254,223,255,255,255,255,123,0,255,255,255,255,255,255,159,25,255,255,255,207,63,3,0,0,0,0,0,0,254,255,255,255,127,2,254,255,255,255,127,0,254,255,251,255,255,187,22,0,255,255,255,7,7,0,0,0,0,0,254,255,255,7,255,255,7,0,255,3,255,255,255,255,255,255,255,255,255,124,255,127,239,255,255,61,255,3,238,255,255,255,255,255,255,243,255,63,30,255,207,255,0,0,238,159,249,255,255,253,197,211,159,57,128,176,207,255,3,0,228,135,249,255,255,253,109,211,135,57,0,94,192,255,31,0,238,175,251,255,255,253,237,243,191,59,0,0,193,255,0,0,238,159,249,255,255,253,205,243,143,57,192,176,195,255,0,0,236,199,61,214,24,199,191,195,199,61,128,0,128,255,0,0,238,223,253,255,255,253,239,195,223,61,96,0,195,255,0,0,236,223,253,255,255,253,239,195,223,61,96,64,195,255,0,0,236,223,253,255,255,253,255,195,207,61,128,0,195,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,254,255,255,255,255,127,255,7,255,127,255,3,0,0,0,0,150,37,240,254,174,108,255,59,95,63,255,3,0,0,0,0,0,0,0,3,255,3,160,194,255,254,255,255,255,3,254,255,223,15,191,254,255,63,254,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,31,2,0,0,0,160,0,0,0,254,255,62,0,254,255,255,255,255,255,255,255,255,255,31,102,254,255,255,255,255,255,255,255,255,255,255,119,25,3,26,27,28,29,30,0,0,31,32,33,34,35,36,37,16,17,0,0,0,0,0,0,0,0,0,0,0,0,18,19,38,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,39,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,23,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,111,32,101,114,114,111,114,0,78,111,32,109,97,116,99,104,0,73,110,118,97,108,105,100,32,114,101,103,101,120,112,0,85,110,107,110,111,119,110,32,99,111,108,108,97,116,105,110,103,32,101,108,101,109,101,110,116,0,85,110,107,110,111,119,110,32,99,104,97,114,97,99,116,101,114,32,99,108,97,115,115,32,110,97,109,101,0,84,114,97,105,108,105,110,103,32,98,97,99,107,115,108,97,115,104,0,73,110,118,97,108,105,100,32,98,97,99,107,32,114,101,102,101,114,101,110,99,101,0,77,105,115,115,105,110,103,32,39,93,39,0,77,105,115,115,105,110,103,32,39,41,39,0,77,105,115,115,105,110,103,32,39,125,39,0,73,110,118,97,108,105,100,32,99,111,110,116,101,110,116,115,32,111,102,32,123,125,0,73,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,114,97,110,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,112,101,116,105,116,105,111,110,32,110,111,116,32,112,114,101,99,101,100,101,100,32,98,121,32,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,0,0,85,110,107,110,111,119,110,32,101,114,114,111,114,0,0,0,36,0,0,0,0,0,0,0,194,0,0,0,0,0,0,0,144,41,25,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,46,0,0,0,26,0,0,0,62,0,0,0,54,0,0,0,72,0,0,0,52,0,0,0,26,0,0,0,18,0,0,0,88,0,0,0,96,0,0,0,28,0,0,0,80,0,0,0,36,0,0,0,10,0,0,0,6,0,0,0,4,0,0,0,20,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,26,0,0,0,62,0,0,0,54,0,0,0,72,0,0,0,52,0,0,0,26,0,0,0,18,0,0,0,88,0,0,0,96,0,0,0,28,0,0,0,80,0,0,0,36,0,0,0,10,0,0,0,6,0,0,0,4,0,0,0,20,0,0,0,2,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,78,0,0,0,36,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,40,0,0,0,22,0,0,0,76,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,72,0,0,0,16,0,0,0,60,0,0,0,8,0,0,0,22,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,78,0,0,0,36,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,40,0,0,0,22,0,0,0,76,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,72,0,0,0,16,0,0,0,60,0,0,0,8,0,0,0,22,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,9,0,0,0,10,0,0,0,13,0,0,0,11,0,0,0,12,0,0,0,133,0,0,0,0,32,0,0,1,32,0,0,2,32,0,0,3,32,0,0,4,32,0,0,5,32,0,0,6,32,0,0,8,32,0,0,9,32,0,0,10,32,0,0,40,32,0,0,41,32,0,0,95,32,0,0,0,48,0,0,0,0,0,0,38,0,0,0,78,0,0,0,36,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,40,0,0,0,22,0,0,0,76,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,72,0,0,0,16,0,0,0,60,0,0,0,18,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,40,0,0,0,4,0,0,0,6,0,0,0,40,0,0,0,34,0,0,0,38,0,0,0,36,0,0,0,38,0,0,0,78,0,0,0,36,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,40,0,0,0,22,0,0,0,76,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,72,0,0,0,16,0,0,0,60,0,0,0,18,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,0,0,0,0,0,0,0,0,0,1,1,94,0,0,0,92,0,0,0,40,0,0,0,4,0,0,0,6,0,0,0,40,0,0,0,34,0,0,0,38,0,0,0,36,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,120,109,108,61,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,0,0,0,0,114,101,99,111,110,58,119,97,108,108,58,118,48,49,0,0,224,209,24,0,120,209,24,0,72,209,24,0,112,209,24,0,96,209,24,0,80,209,24,0,3,0,0,0,0,0,0,0,255,255,255,255,192,47,25,0,192,47,25,0,192,47,25,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,0,0,0,0,40,54,24,0,152,31,1,0,168,242,0,0,184,207,0,0,160,70,24,0,232,112,24,0,144,1,0,0,0,0,0,0,240,33,25,0,0,0,0,0,72,58,0,0,208,79,0,0,192,1,0,0,208,76,0,0,208,76,0,0,104,55,0,0,192,1,0,0,0,0,0,0,184,59,0,0,64,81,0,0,48,3,0,0,64,78,0,0,64,78,0,0,216,56,0,0,48,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,79,84,65,84,73,79,78,40,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,67,68,65,84,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,128,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,47,47,2,32,87,65,82,78,73,78,71,46,32,84,104,101,32,118,97,108,117,101,32,69,77,73,78,32,109,97,121,32,98,101,32,105,110,99,111,114,114,101,99,116,58,45,2,44,2,32,32,69,77,73,78,32,61,32,2,44,105,56,44,47,2,32,73,102,44,32,97,102,116,101,114,32,105,110,115,112,101,99,116,105,111,110,44,32,116,104,101,32,118,97,108,117,101,32,69,77,73,78,32,108,111,111,107,115,2,44,2,32,97,99,99,101,112,116,97,98,108,101,32,112,108,101,97,115,101,32,99,111,109,109,101,110,116,32,111,117,116,32,2,44,47,2,32,116,104,101,32,73,70,32,98,108,111,99,107,32,97,115,32,109,97,114,107,101,100,32,119,105,116,104,105,110,32,116,104,101,32,99,111,100,101,32,111,102,32,114,111,117,116,105,110,101,2,44,2,32,68,76,65,77,67,50,44,2,44,47,2,32,111,116,104,101,114,119,105,115,101,32,115,117,112,112,108,121,32,69,77,73,78,32,101,120,112,108,105,99,105,116,108,121,46,2,44,47,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,95,112,137,0,255,9,47,15,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,249,0,0,32,242,0,0,240,237,0,0,144,234,0,0,16,231,0,0,200,227,0,0,8,225,0,0,8,222,0,0,48,249,0,0,128,219,0,0,192,215,0,0,120,212,0,0,112,207,0,0,192,203,0,0,152,200,0,0,56,197,0,0,0,0,0,0,184,55,1,0,152,51,1,0,208,47,25,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,0,32,26,192,0,32,31,0,1,1,47,50,1,1,5,57,1,1,15,74,1,1,45,121,1,1,5,112,3,1,3,145,3,32,17,163,3,32,9,0,4,80,16,16,4,32,32,96,4,1,33,138,4,1,53,193,4,1,13,208,4,1,63,20,5,1,19,49,5,48,38,160,1,1,5,179,1,1,3,205,1,1,15,222,1,1,17,248,1,1,39,34,2,1,17,216,3,1,23,0,30,1,149,160,30,1,95,8,31,248,8,24,31,248,6,40,31,248,8,56,31,248,8,72,31,248,6,104,31,248,8,136,31,248,8,152,31,248,8,168,31,248,8,184,31,248,2,186,31,182,2,200,31,170,4,216,31,248,2,218,31,156,2,232,31,248,2,234,31,144,2,248,31,128,2,250,31,130,2,70,2,1,9,16,5,1,3,96,33,16,16,0,44,48,47,103,44,1,5,128,44,1,99,235,44,1,3,64,166,1,45,128,166,1,23,34,167,1,13,50,167,1,61,121,167,1,3,126,167,1,9,144,167,1,3,160,167,1,9,33,255,32,26,0,0,0,0,0,0,0,0,0,0,240,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,34,3,0,0,0,0,0,0,33,3,0,0,0,0,0,0,7,0,0,0,0,0,0,0,174,2,0,0,0,0,0,0,6,0,0,0,0,0,0,0,173,2,0,0,0,0,0,0,169,2,0,0,0,0,0,0,168,2,0,0,0,0,0,0,165,2,0,0,0,0,0,0,164,2,0,0,0,0,0,0,163,2,0,0,0,0,0,0,160,2,0,0,0,0,0,0,159,2,0,0,0,0,0,0,158,2,0,0,0,0,0,0,149,2,0,0,0,0,0,0,148,2,0,0,0,0,0,0,140,2,0,0,0,0,0,0,139,2,0,0,0,0,0,0,138,2,0,0,0,0,0,0,129,2,0,0,0,0,0,0,128,2,0,0,0,0,0,0,119,2,0,0,0,0,0,0,118,2,0,0,0,0,0,0,110,2,0,0,0,0,0,0,109,2,0,0,0,0,0,0,108,2,0,0,0,0,0,0,99,2,0,0,0,0,0,0,98,2,0,0,0,0,0,0,60,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,232,240,0,0,0,0,0,0,40,87,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,68,65,84,65,91,0,0,96,0,0,0,8,0,0,0,30,0,0,0,64,0,0,0,50,0,0,0,84,0,0,0,30,0,0,0,70,0,0,0,28,0,0,0,56,0,0,0,88,0,0,0,72,0,0,0,68,0,0,0,30,0,0,0,12,0,0,0,2,0,0,0,26,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,8,0,0,0,30,0,0,0,64,0,0,0,50,0,0,0,84,0,0,0,30,0,0,0,70,0,0,0,28,0,0,0,56,0,0,0,88,0,0,0,72,0,0,0,68,0,0,0,30,0,0,0,12,0,0,0,2,0,0,0,26,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,22,28,28,28,28,28,28,28,28,28,28,22,28,26,28,28,22,28,28,28,28,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,22,22,22,22,22,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,210,24,0,24,210,24,0,16,210,24,0,8,210,24,0,40,210,24,0,48,210,24,0,208,209,24,0,192,209,24,0,38,0,0,0,78,0,0,0,36,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,40,0,0,0,22,0,0,0,76,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,72,0,0,0,16,0,0,0,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+10244);
/* memory initializer */ allocate([10,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,23,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,78,0,0,0,36,0,0,0,20,0,0,0,80,0,0,0,56,0,0,0,40,0,0,0,22,0,0,0,76,0,0,0,18,0,0,0,16,0,0,0,50,0,0,0,72,0,0,0,16,0,0,0,60,0,0,0,10,0,0,0,22,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,21,10,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,16,12,19,28,30,3,13,31,32,33,34,35,27,26,17,25,25,25,25,25,25,25,25,25,25,22,18,2,14,11,15,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,20,28,4,28,22,28,24,24,24,24,24,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,36,28,28,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,50,48,48,48,47,120,109,108,110,115,47,0,0,0,104,116,116,112,58,47,47,119,119,119,46,119,51,46,111,114,103,47,88,77,76,47,49,57,57,56,47,110,97,109,101,115,112,97,99,101,0,0,0,0,152,42,25,0,0,0,0,0,114,97,100,97,117,49,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,91,37,108,100,93,32,37,115,0,0,0,0,0,0,0,0,102,105,110,100,84,105,109,101,58,32,116,105,109,101,32,60,61,32,116,83,116,97,114,116,32,43,32,100,101,108,97,121,84,105,109,101,58,32,91,37,100,93,32,61,32,37,103,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,38,108,116,59,0,0,0,0,68,101,115,105,114,101,100,32,115,116,101,112,32,116,111,32,115,109,97,108,108,32,116,114,121,32,110,101,120,116,32,111,110,101,0,0,0,0,0,0,74,117,108,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,50,46,95,78,111,114,50,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,100,101,114,40,0,0,0,0,79,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,114,98,0,0,0,0,0,0,114,97,100,97,117,51,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,0,0,0,0,0,0,74,117,110,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,50,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,47,102,111,114,109,97,116,62,10,0,0,0,0,0,0,114,97,100,97,117,53,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,65,112,114,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,50,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,115,41,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,115,116,111,114,101,68,101,108,97,121,101,100,69,120,112,114,101,115,115,105,111,110,58,32,105,110,118,97,108,105,100,32,101,120,112,114,101,115,115,105,111,110,32,110,117,109,98,101,114,32,37,100,0,0,0,0,32,40,99,112,117,32,116,105,109,101,41,60,47,100,111,117,98,108,101,62,10,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,77,97,114,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,49,46,95,84,68,49,46,95,120,95,100,101,108,97,121,101,100,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,105,110,116,101,114,97,99,116,105,118,101,0,0,0,0,0,105,109,112,111,114,116,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,100,117,112,108,105,99,97,116,101,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,100,111,117,98,108,101,62,0,0,0,0,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,70,101,98,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,49,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,116,105,109,101,32,62,61,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,49,41,0,0,0,0,0,0,32,40,99,97,108,108,115,41,60,47,117,105,110,116,51,50,62,10,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,74,97,110,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,49,46,95,78,111,114,50,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,108,100,41,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,117,105,110,116,51,50,62,0,0,0,0,0,0,0,0,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,68,101,99,101,109,98,101,114,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,49,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,100,111,117,98,108,101,62,99,112,117,32,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,0,0,0,0,101,117,108,101,114,0,0,0,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,0,0,78,111,118,101,109,98,101,114,0,0,0,0,0,0,0,0,105,109,112,111,114,116,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,52,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,119,101,32,111,110,108,121,32,104,97,118,101,32,37,108,100,32,115,117,99,104,32,98,108,111,99,107,115,0,0,0,0,115,0,0,0,0,0,0,0,91,94,91,58,115,112,97,99,101,58,93,93,0,0,0,0,60,33,68,79,67,84,89,80,69,32,100,111,99,32,91,32,32,60,33,69,76,69,77,69,78,84,32,115,105,109,117,108,97,116,105,111,110,32,40,109,111,100,101,108,105,110,102,111,44,32,118,97,114,105,97,98,108,101,115,44,32,102,117,110,99,116,105,111,110,115,44,32,101,113,117,97,116,105,111,110,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,118,97,114,105,97,98,108,101,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,101,113,117,97,116,105,111,110,32,40,114,101,102,115,41,62,32,32,60,33,65,84,84,76,73,83,84,32,101,113,117,97,116,105,111,110,32,105,100,32,73,68,32,35,82,69,81,85,73,82,69,68,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,115,32,40,112,114,111,102,105,108,101,98,108,111,99,107,42,41,62,32,32,60,33,69,76,69,77,69,78,84,32,112,114,111,102,105,108,101,98,108,111,99,107,32,40,114,101,102,115,44,32,110,99,97,108,108,44,32,116,105,109,101,44,32,109,97,120,84,105,109,101,41,62,32,32,60,33,69,76,69,77,69,78,84,32,114,101,102,115,32,40,114,101,102,42,41,62,32,32,60,33,65,84,84,76,73,83,84,32,114,101,102,32,114,101,102,105,100,32,73,68,82,69,70,32,35,82,69,81,85,73,82,69,68,62,32,32,93,62,10,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,65,32,0,0,0,0,86,97,114,105,97,98,108,101,32,81,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,81,49,46,110,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,115,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,0,37,115,44,32,37,115,32,37,108,117,10,0,0,0,0,0,88,76,97,98,101,108,58,32,116,10,10,0,0,0,0,0,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,0,37,108,100,44,0,0,0,0,76,79,71,95,73,78,73,84,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,0,0,60,100,111,117,98,108,101,62,116,105,109,101,60,47,100,111,117,98,108,101,62,10,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,79,99,116,111,98,101,114,0,105,109,112,111,114,116,32,114,101,97,108,32,100,105,115,99,114,101,116,101,0,0,0,0,117,110,105,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,0,0,0,0,0,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,50,46,95,84,68,49,46,95,120,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,112,105,118,111,116,32,33,61,32,48,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,117,105,110,116,51,50,62,115,116,101,112,60,47,117,105,110,116,51,50,62,10,0,0,110,117,109,101,114,105,99,0,83,101,112,116,101,109,98,101,114,0,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,50,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,68,105,115,97,98,108,101,100,32,116,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,98,101,99,97,117,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,99,111,117,108,100,32,110,111,116,32,98,101,32,103,101,110,101,114,97,116,101,100,58,32,37,115,0,0,0,91,37,108,100,93,32,115,97,109,112,108,101,40,37,103,44,32,37,103,41,0,0,0,0,100,101,108,97,121,73,109,112,108,58,32,77,105,115,115,105,110,103,32,105,110,105,116,105,97,108,32,118,97,108,117,101,44,32,117,115,105,110,103,32,97,114,103,117,109,101,110,116,32,118,97,108,117,101,32,37,103,32,105,110,115,116,101,97,100,46,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,102,111,114,109,97,116,62,10,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,0,0,65,117,103,117,115,116,0,0,105,109,112,111,114,116,32,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,50,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,76,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,102,105,108,101,115,105,122,101,62,37,108,100,60,47,102,105,108,101,115,105,122,101,62,10,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,74,117,108,121,0,0,0,0,117,110,97,98,108,101,32,116,111,32,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,32,37,115,32,102,114,111,109,32,103,105,118,101,110,32,102,105,108,101,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,52,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,47,102,105,108,101,110,97,109,101,62,10,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,74,117,110,101,0,0,0,0,36,112,68,69,82,46,0,0,68,65,83,83,76,45,45,32,32,87,69,82,69,32,73,78,67,82,69,65,83,69,68,32,84,79,32,65,80,80,82,79,80,82,73,65,84,69,32,86,65,76,85,69,83,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,51,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,102,105,108,101,110,97,109,101,62,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,103,101,98,114,97,105,99,0,0,0,0,0,0,0,0,77,97,121,0,0,0,0,0,36,90,69,82,79,46,0,0,99,97,110,39,116,32,115,116,97,116,32,102,105,108,101,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,51,46,95,120,91,49,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,105,108,115,0,0,0,0,0,109,105,115,109,97,116,99,104,101,100,32,116,97,103,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,69,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,116,111,116,97,108,32,33,61,32,48,0,0,0,0,0,0,0,37,115,95,112,114,111,102,46,100,97,116,97,0,0,0,0,105,112,111,112,116,0,0,0,65,112,114,105,108,0,0,0,124,32,37,115,40,115,116,97,114,116,61,37,103,41,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,51,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,105,110,116,101,103,101,114,40,100,101,108,97,121,40,50,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,51,41,0,60,47,118,97,114,105,97,98,108,101,62,10,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,77,97,114,99,104,0,0,0,105,109,112,111,114,116,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,49,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,34,32,99,111,109,109,101,110,116,61,34,0,0,0,0,0,107,105,110,115,111,108,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,68,101,114,105,118,97,116,105,118,101,115,0,0,0,0,0,0,70,101,98,114,117,97,114,121,0,0,0,0,0,0,0,0,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,45,102,105,108,101,32,60,37,115,62,32,91,37,115,93,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,50,46,95,84,68,49,46,95,120,95,100,101,108,97,121,101,100,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+20484);
/* memory initializer */ allocate([32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,60,118,97,114,105,97,98,108,101,32,105,100,61,34,118,97,114,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,74,97,110,117,97,114,121,0,105,109,112,111,114,116,32,115,116,97,114,116,32,118,97,108,117,101,115,10,102,105,108,101,58,32,37,115,10,116,105,109,101,58,32,37,103,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,50,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,120,109,108,45,62,110,70,117,110,99,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,51,93,0,0,0,110,111,32,115,112,97,99,101,0,0,0,0,0,0,0,0,91,91,58,115,112,97,99,101,58,93,93,0,0,0,0,0,99,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,86,97,114,105,97,98,108,101,32,81,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,81,50,46,110,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,108,105,115,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,84,105,116,108,101,84,101,120,116,58,32,79,112,101,110,77,111,100,101,108,105,99,97,32,115,105,109,117,108,97,116,105,111,110,32,112,108,111,116,10,0,0,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,102,105,108,101,32,37,115,0,0,0,0,0,76,79,71,95,69,86,69,78,84,83,95,86,0,0,0,0,91,37,108,100,93,32,114,101,115,105,100,117,97,108,32,105,115,32,105,110,101,102,102,101,99,116,105,118,101,32,40,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,32,105,115,32,115,101,116,32,116,111,32,49,46,48,41,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,112,97,114,97,109,101,116,101,114,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,0,0,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,112,114,101,45,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,0,0,110,101,119,117,111,97,0,0,102,97,108,115,101,0,0,0,115,121,109,98,111,108,105,99,0,0,0,0,0,0,0,0,78,101,119,116,111,110,32,82,97,112,104,115,111,110,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,50,46,95,78,111,114,50,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,116,114,117,101,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,110,117,109,101,114,105,99,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,50,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,115,116,97,116,101,0,0,0,78,101,103,97,116,105,118,101,32,100,101,108,97,121,32,114,101,113,117,101,115,116,101,100,32,37,103,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,34,32,115,116,97,114,116,108,105,110,101,61,34,37,100,34,32,115,116,97,114,116,99,111,108,61,34,37,100,34,32,101,110,100,108,105,110,101,61,34,37,100,34,32,101,110,100,99,111,108,61,34,37,100,34,32,114,101,97,100,111,110,108,121,61,34,37,115,34,32,47,62,10,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,99,111,117,108,100,32,110,111,116,32,112,97,115,115,101,100,32,116,111,32,68,68,65,83,82,84,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,110,111,110,101,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,50,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,100,101,98,117,103,0,0,0,85,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,105,110,102,111,32,102,105,108,101,110,97,109,101,61,34,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,123,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,115,121,109,98,111,108,105,99,97,108,108,121,32,45,32,100,101,102,97,117,108,116,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,49,46,95,84,68,49,46,95,120,95,100,101,108,97,121,101,100,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,101,114,114,111,114,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,47,102,117,110,99,116,105,111,110,62,10,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,115,111,108,118,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,98,108,101,109,32,110,117,109,101,114,105,99,97,108,108,121,0,0,0,68,65,83,83,76,45,45,32,32,70,79,82,32,80,82,69,67,73,83,73,79,78,32,79,70,32,77,65,67,72,73,78,69,46,32,82,84,79,76,32,65,78,68,32,65,84,79,76,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,49,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,119,97,114,110,105,110,103,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,102,117,110,99,116,105,111,110,32,105,100,61,34,102,117,110,37,100,34,62,10,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,82,101,97,108,32,37,115,40,37,115,115,116,97,114,116,61,37,103,37,115,44,32,102,105,120,101,100,61,37,115,44,32,37,115,110,111,109,105,110,97,108,61,37,103,37,115,44,32,109,105,110,61,37,103,44,32,109,97,120,61,37,103,41,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,115,101,116,115,32,97,108,108,32,118,97,114,105,97,98,108,101,115,32,116,111,32,116,104,101,105,114,32,115,116,97,114,116,32,118,97,108,117,101,115,32,97,110,100,32,115,107,105,112,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,112,114,111,99,101,115,115,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,49,46,95,78,111,114,50,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,105,105,116,0,0,0,0,0,112,97,114,116,105,97,108,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,105,110,102,111,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,10,32,32,110,111,116,101,32,116,104,97,116,58,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,67,65,78,78,79,84,32,98,101,32,117,115,101,100,32,119,105,116,104,32,45,111,118,101,114,114,105,100,101,10,32,32,117,115,101,32,119,104,101,110,32,118,97,114,105,97,98,108,101,115,32,102,111,114,32,45,111,118,101,114,114,105,100,101,32,97,114,101,32,116,111,111,32,109,97,110,121,32,97,110,100,32,100,111,32,110,111,116,32,102,105,116,32,105,110,32,99,111,109,109,97,110,100,32,108,105,110,101,32,115,105,122,101,10,32,32,111,118,101,114,114,105,100,101,70,105,108,101,78,97,109,101,32,99,111,110,116,97,105,110,115,32,108,105,110,101,115,32,111,102,32,116,104,101,32,102,111,114,109,58,32,118,97,114,49,61,115,116,97,114,116,49,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,97,120,32,33,61,32,48,0,102,117,110,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,109,97,120,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,105,112,111,112,116,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,49,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,38,103,116,59,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,10,32,32,101,46,103,46,32,118,97,114,49,61,115,116,97,114,116,49,44,118,97,114,50,61,115,116,97,114,116,50,44,112,97,114,51,61,115,116,97,114,116,51,44,115,116,97,114,116,84,105,109,101,61,118,97,108,49,44,115,116,111,112,84,105,109,101,61,118,97,108,50,44,115,116,101,112,83,105,122,101,61,118,97,108,51,44,10,32,32,32,32,32,32,32,116,111,108,101,114,97,110,99,101,61,118,97,108,52,44,115,111,108,118,101,114,61,34,115,101,101,32,45,115,34,44,111,117,116,112,117,116,70,111,114,109,97,116,61,34,109,97,116,124,112,108,116,124,99,115,118,124,101,109,112,116,121,34,44,118,97,114,105,97,98,108,101,70,105,108,116,101,114,61,34,102,105,108,116,101,114,34,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,100,97,116,97,95,50,0,0,116,105,109,101,32,62,61,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,0,60,47,101,113,117,97,116,105,111,110,62,10,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,109,105,110,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,107,105,110,115,111,108,95,115,99,97,108,101,100,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,52,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,38,108,116,59,0,0,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,10,32,32,116,105,109,101,32,61,32,118,97,108,117,101,44,32,97,32,61,32,118,97,108,117,101,44,32,98,32,61,32,118,97,108,117,101,44,32,99,32,61,32,118,97,108,117,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,99,97,108,99,105,110,102,111,32,116,105,109,101,61,34,37,102,34,32,99,111,117,110,116,61,34,37,108,117,34,47,62,10,0,0,0,0,0,0,117,110,107,110,111,119,110,0,110,111,109,105,110,97,108,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,107,105,110,115,111,108,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,50,46,95,84,68,49,46,95,120,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,38,97,109,112,59,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,10,32,32,115,118,103,10,32,32,106,112,103,10,32,32,112,115,10,32,32,103,105,102,10,32,32,46,46,46,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,60,47,114,101,102,115,62,10,0,0,0,0,0,0,0,0,117,115,101,78,111,109,105,110,97,108,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,110,101,108,100,101,114,95,109,101,97,100,95,101,120,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,50,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,37,115,0,120,109,108,45,62,110,69,113,117,97,116,105,111,110,115,32,61,61,32,40,108,111,110,103,41,32,117,115,101,114,68,97,116,97,91,49,93,0,0,0,102,111,114,116,46,37,108,100,0,0,0,0,0,0,0,0,91,94,91,58,97,108,110,117,109,58,93,95,93,0,0,0,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,111,102,32,103,108,111,98,97,108,32,115,116,101,112,115,0,0,34,32,47,62,10,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,0,0,0,0,0,0,108,97,112,97,99,107,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,35,73,110,116,101,114,118,97,108,83,105,122,101,61,37,108,100,10,0,0,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,108,97,109,98,100,97,0,0,76,79,71,95,69,86,69,78,84,83,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,97,114,116,32,118,97,108,117,101,32,114,101,115,105,100,117,97,108,115,58,32,37,108,100,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,0,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,118,97,114,37,100,34,32,47,62,10,0,0,116,105,109,101,114,0,0,0,102,105,120,101,100,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,110,101,119,117,111,97,0,0,110,117,108,108,32,102,105,108,101,32,110,97,109,101,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,50,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,60,47,109,101,115,115,97,103,101,62,10,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,73,112,111,112,116,44,32,100,101,102,97,117,108,116,32,109,117,109,112,115,46,10,32,78,111,116,101,58,32,85,115,101,32,105,102,32,121,111,117,32,98,117,105,108,100,32,105,112,111,112,116,32,119,105,116,104,32,111,116,104,101,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,105,107,101,32,109,97,50,55,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,114,101,102,115,62,10,0,115,116,97,114,116,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,115,105,109,112,108,101,120,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,52,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,116,105,109,101,0,0,0,0,70,65,76,83,69,0,0,0,100,101,108,97,121,73,109,112,108,58,32,69,110,116,101,114,101,100,32,97,116,32,116,105,109,101,32,60,32,115,116,97,114,116,105,110,103,32,116,105,109,101,58,32,37,103,46,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,10,32,32,108,97,112,97,99,107,44,32,108,105,115,0,0,68,65,83,83,76,45,45,32,32,84,72,69,32,76,65,83,84,32,83,84,69,80,32,84,69,82,77,73,78,65,84,69,68,32,87,73,84,72,32,65,32,78,69,71,65,84,73,86,69,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,34,62,10,0,0,0,0,0,60,117,115,101,100,32,105,110,100,101,120,61,34,37,100,34,32,47,62,10,0,0,0,0,87,97,114,110,105,110,103,58,32,0,0,0,0,0,0,0,117,115,101,83,116,97,114,116,0,0,0,0,0,0,0,0,74,97,99,111,98,105,97,110,32,111,114,32,83,112,97,114,115,101,80,97,116,116,101,114,110,32,105,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,32,111,114,32,102,97,105,108,101,100,32,116,111,32,105,110,105,116,105,97,108,105,122,101,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,73,110,116,101,114,105,111,114,32,80,111,105,110,116,32,79,80,84,105,109,105,122,101,114,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,51,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,34,62,10,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,32,40,115,105,109,44,32,99,111,110,115,116,41,0,77,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,69,110,97,98,108,101,46,98,101,102,111,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,69,110,97,98,108,101,46,98,101,102,111,114,101,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,69,110,97,98,108,101,46,98,101,102,111,114,101,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,60,101,113,117,97,116,105,111,110,32,105,100,61,34,101,113,37,100,34,32,110,97,109,101,61,34,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,51,46,95,120,91,49,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,60,109,101,115,115,97,103,101,32,115,116,114,101,97,109,61,34,37,115,34,32,116,121,112,101,61,34,37,115,34,32,116,101,120,116,61,34,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,40,83,89,77,44,32,78,85,77,44,32,78,85,77,68,69,78,83,69,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,69,110,97,98,108,101,46,97,102,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,69,110,97,98,108,101,46,97,102,116,101,114,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,69,110,97,98,108,101,46,97,102,116,101,114,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,0,0,0,0,0,0,0,102,105,108,101,87,114,105,116,97,98,108,101,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,84,79,79,32,77,85,67,72,32,65,67,67,85,82,65,67,89,32,82,69,81,85,69,83,84,69,68,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,51,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+30724);
/* memory initializer */ allocate([32,37,108,100,32,116,111,32,37,108,100,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,101,109,97,116,114,105,120,32,102,111,114,32,73,112,111,112,116,40,79,77,67,44,32,66,70,71,83,44,32,99,111,110,115,116,41,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,108,111,99,107,46,112,101,114,105,111,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,108,111,99,107,46,112,101,114,105,111,100,32,62,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,116,105,109,101,62,37,46,57,102,60,47,116,105,109,101,62,10,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,69,120,116,101,110,100,101,100,32,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,32,40,115,101,101,32,45,105,108,115,32,102,111,114,32,103,108,111,98,97,108,32,104,111,109,111,116,111,112,121,41,32,45,32,100,101,102,97,117,108,116,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,49,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,105,105,109,0,0,0,0,0,99,97,110,39,116,32,98,97,99,107,115,112,97,99,101,32,102,105,108,101,0,0,0,0,117,110,99,108,111,115,101,100,32,116,111,107,101,110,0,0,124,32,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,102,111,114,32,104,111,109,111,116,111,112,121,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,115,121,109,98,111,108,105,99,41,32,111,114,10,39,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,39,32,109,101,116,104,111,100,32,40,114,101,113,117,105,114,101,100,58,32,45,105,105,109,61,110,117,109,101,114,105,99,32,45,105,111,109,61,110,101,108,100,101,114,95,109,101,97,100,95,101,120,41,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,95,109,105,110,32,33,61,32,48,0,86,97,114,105,97,98,108,101,32,67,108,111,99,107,46,119,105,100,116,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,108,111,99,107,46,119,105,100,116,104,32,62,61,32,49,101,45,54,48,32,97,110,100,32,67,108,111,99,107,46,119,105,100,116,104,32,60,61,32,49,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,60,110,99,97,108,108,62,37,100,60,47,110,99,97,108,108,62,10,0,0,0,0,0,0,101,110,100,67,111,108,117,109,110,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,66,114,101,110,116,39,115,32,109,101,116,104,111,100,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,49,46,95,84,68,49,46,95,120,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,37,45,55,115,32,124,32,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,100,97,116,97,95,49,0,0,103,0,0,0,0,0,0,0,60,114,101,102,32,114,101,102,105,100,61,34,101,113,37,100,34,47,62,10,0,0,0,0,60,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,100,105,102,102,67,117,114,114,101,110,116,84,105,109,101,62,10,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,78,101,108,100,101,114,45,77,101,97,100,32,109,101,116,104,111,100,0,0,0,0,0,0,105,110,116,101,103,101,114,40,100,101,108,97,121,40,51,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,50,41,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,49,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,110,117,109,101,114,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,0,124,0,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,10,32,32,101,46,103,46,32,45,104,101,108,112,61,102,32,112,114,105,110,116,115,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,102,111,114,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,32,102,0,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,60,112,114,111,102,105,108,101,98,108,111,99,107,62,10,0,60,99,117,114,114,101,110,116,84,105,109,101,62,37,103,60,47,99,117,114,114,101,110,116,84,105,109,101,62,10,0,0,101,110,100,76,105,110,101,0,117,110,107,110,111,119,110,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,82,83,49,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,37,115,0,0,0,0,0,0,37,45,49,55,115,32,124,32,0,0,0,0,0,0,0,0,32,32,45,32,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,10,32,32,45,32,36,99,112,117,84,105,109,101,32,105,115,32,116,104,101,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,105,110,115,105,100,101,32,116,104,101,32,114,101,115,117,108,116,45,102,105,108,101,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,101,113,0,0,0,0,0,0,60,100,105,102,102,79,108,100,84,105,109,101,62,37,103,60,47,100,105,102,102,79,108,100,84,105,109,101,62,10,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,45,99,97,108,108,115,58,32,37,108,100,0,105,110,102,105,110,105,116,121,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,78,111,116,49,46,95,97,117,120,105,108,105,97,114,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,101,97,99,104,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,32,99,97,110,32,111,110,108,121,32,98,101,32,117,115,101,100,32,111,110,99,101,58,32,37,115,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,111,112,101,110,0,0,0,0,37,115,37,103,32,0,0,0,91,91,58,97,108,110,117,109,58,93,95,93,0,0,0,0,115,101,116,32,102,111,114,109,97,116,32,121,32,34,37,103,34,10,0,0,0,0,0,0,37,32,46,53,101,32,0,0,86,97,114,105,97,98,108,101,32,81,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,81,51,46,110,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,10,32,32,82,84,61,109,111,110,111,116,111,110,105,99,32,114,101,97,108,45,116,105,109,101,32,99,108,111,99,107,44,32,67,80,85,61,112,114,111,99,101,115,115,45,98,97,115,101,100,32,67,80,85,45,116,105,109,101,44,32,67,89,67,61,99,112,117,32,99,121,99,108,101,115,32,109,101,97,115,117,114,101,100,32,119,105,116,104,32,82,68,84,83,67,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,116,104,101,32,88,77,76,32,112,97,114,115,101,114,33,0,0,0,35,78,117,109,98,101,114,111,102,86,97,114,105,97,98,108,101,115,61,37,100,10,0,0,100,97,116,97,95,50,0,0,116,105,109,101,0,0,0,0,105,116,101,114,97,116,105,111,110,0,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,116,101,114,110,97,108,32,101,114,114,111,114,44,32,78,76,79,79,80,32,60,32,49,46,0,0,0,0,0,76,79,71,95,68,83,83,95,74,65,67,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,58,32,32,37,108,100,32,40,37,108,100,32,101,113,117,97,116,105,111,110,115,32,43,32,37,108,100,32,97,108,103,111,114,105,116,104,109,115,41,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,0,0,0,117,37,100,40,116,41,61,32,37,102,32,9,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,115,101,108,101,99,116,32,37,115,0,0,0,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,97,114,101,32,115,116,111,114,101,100,32,105,110,32,37,115,95,112,114,111,102,46,104,116,109,108,32,40,104,117,109,97,110,45,114,101,97,100,97,98,108,101,41,32,97,110,100,32,37,115,95,112,114,111,102,46,120,109,108,32,40,102,111,114,32,88,83,76,32,116,114,97,110,115,102,111,114,109,115,32,111,114,32,109,111,114,101,32,100,101,116,97,105,108,115,41,0,0,0,0,0,0,37,115,0,0,0,0,0,0,35,35,35,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,0,0,0,0,60,111,108,100,84,105,109,101,50,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,50,62,10,0,0,0,0,0,115,116,97,114,116,67,111,108,117,109,110,0,0,0,0,0,110,111,116,32,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,0,0,0,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,83,84,79,80,32,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,51,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,115,104,111,119,115,32,97,108,108,32,119,97,114,110,105,110,103,115,32,101,118,101,110,32,105,102,32,97,32,114,101,108,97,116,101,100,32,108,111,103,45,115,116,114,101,97,109,32,105,115,32,105,110,97,99,116,105,118,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,70,97,105,108,101,100,32,116,111,32,103,101,110,101,114,97,116,101,32,104,116,109,108,32,118,101,114,115,105,111,110,32,111,102,32,112,114,111,102,105,108,105,110,103,32,114,101,115,117,108,116,115,58,32,37,115,10,0,0,0,0,0,0,0,60,111,108,100,84,105,109,101,62,37,46,49,50,103,60,47,111,108,100,84,105,109,101,62,10,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,98,101,115,116,90,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,37,115,32,101,118,101,110,116,32,97,116,32,116,105,109,101,32,37,46,49,50,103,0,0,84,82,85,69,0,0,0,0,97,110,97,108,121,116,105,99,97,108,32,74,97,99,111,98,105,97,110,0,0,0,0,0,105,110,118,97,108,105,100,32,101,120,112,114,78,117,109,98,101,114,32,61,32,37,100,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,115,111,108,118,101,114,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,109,105,115,115,105,110,103,0,0,0,0,0,0,0,0,60,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,37,103,60,47,99,117,114,114,101,110,116,83,116,101,112,83,105,122,101,62,10,0,0,115,116,97,114,116,76,105,110,101,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,78,111,32,83,112,97,114,115,101,80,97,116,116,101,114,110,44,32,115,105,110,99,101,32,116,104,101,114,101,32,97,114,101,32,110,111,32,115,116,97,116,101,115,33,32,83,119,105,116,99,104,32,98,97,99,107,32,116,111,32,110,111,114,109,97,108,46,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,111,109,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,50,46,95,120,91,49,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,91,37,108,100,93,32,37,103,0,0,0,0,0,0,0,0,70,76,65,71,95,85,78,75,78,79,87,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,114,101,115,117,108,116,32,102,105,108,101,32,116,104,97,110,32,116,104,101,32,100,101,102,97,117,108,116,32,77,111,100,101,108,95,114,101,115,46,109,97,116,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,37,115,32,45,111,32,37,115,95,112,114,111,102,46,104,116,109,108,32,37,115,47,115,104,97,114,101,47,111,109,99,47,115,99,114,105,112,116,115,47,100,101,102,97,117,108,116,95,112,114,111,102,105,108,105,110,103,46,120,115,108,32,37,115,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,45,110,114,46,32,37,108,100,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,115,116,97,116,101,115,0,0,119,114,105,116,97,98,108,101,0,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,32,112,111,114,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,120,115,108,116,112,114,111,99,0,0,0,0,0,0,0,0,60,109,111,100,101,108,62,37,115,60,47,109,111,100,101,108,62,10,0,0,0,0,0,0,102,105,108,101,78,97,109,101,0,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,35,35,35,32,70,73,78,65,76,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,82,69,83,85,76,84,83,32,35,35,35,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,84,65,75,69,78,32,79,78,32,84,72,73,83,32,67,65,76,76,32,66,69,70,79,82,69,32,82,69,65,67,72,73,78,71,32,84,79,85,84,0,0,0,0,0,0,0,0,99,106,58,32,37,103,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,119,105,108,108,32,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,32,119,105,116,104,32,116,104,101,32,118,97,108,117,101,115,32,102,114,111,109,32,116,104,101,32,102,105,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,87,97,114,110,105,110,103,58,32,80,108,111,116,32,99,111,109,109,97,110,100,32,102,97,105,108,101,100,10,0,0,0,115,107,105,112,32,119,47,111,32,115,99,97,108,105,110,103,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,52,93,46,95,65,110,100,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,105,105,102,0,0,0,0,0,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,32,40,105,110,118,97,108,105,100,32,116,111,107,101,110,41,0,97,116,32,112,111,105,110,116,32,105,110,32,116,105,109,101,58,32,37,103,0,0,0,0,115,101,113,117,101,110,116,105,97,108,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,91,37,115,58,37,100,58,37,100,45,37,100,58,37,100,58,37,115,93,0,0,0,0,0,111,118,101,114,114,105,100,101,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,111,114,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,115,101,116,116,105,110,103,115,32,105,110,32,116,104,101,32,88,77,76,32,115,101,116,117,112,32,102,105,108,101,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,114,116,95,99,108,111,99,107,95,110,99,97,108,108,32,33,61,32,48,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,115,105,109,117,108,97,116,105,111,110,47,109,111,100,101,108,105,110,102,111,46,99,0,0,78,111,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,46,0,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,80,77,0,0,0,0,0,0,115,116,97,114,116,32,119,105,116,104,32,115,99,97,108,105,110,103,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,49,46,95,84,68,49,46,95,120,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,116,104,101,32,122,101,114,111,99,114,111,115,115,105,110,103,115,0,0,111,117,116,112,117,116,32,116,104,101,32,118,97,114,105,97,98,108,101,115,32,97,44,32,98,32,97,110,100,32,99,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,32,116,111,32,116,104,101,32,115,116,97,110,100,97,114,100,32,111,117,116,112,117,116,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,98,117,102,0,0,0,0,0,69,114,114,111,114,58,32,67,111,117,108,100,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,116,104,101,32,103,108,111,98,97,108,32,100,97,116,97,32,115,116,114,117,99,116,117,114,101,32,102,105,108,101,0,0,0,0,0,0,65,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+40964);
/* memory initializer */ allocate([111,118,101,114,45,100,101,116,101,114,109,105,110,101,100,0,116,105,109,101,32,62,61,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,49,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,63,63,63,0,0,0,0,0,100,111,32,110,111,116,32,101,109,105,116,32,101,118,101,110,116,32,112,111,105,110,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,105,110,118,97,108,105,100,32,100,97,116,97,32,110,111,100,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,115,105,109,117,108,97,116,105,111,110,62,10,0,0,117,115,101,32,37,115,32,45,104,101,108,112,32,102,111,114,32,97,32,108,105,115,116,32,111,102,32,97,108,108,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,115,0,0,0,0,0,0,0,118,97,108,117,101,82,101,102,101,114,101,110,99,101,0,0,110,111,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,0,0,101,114,114,111,114,32,105,110,32,102,111,114,109,97,116,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,49,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,115,116,97,116,105,115,116,105,99,115,32,97,98,111,117,116,32,116,105,109,101,114,47,101,118,101,110,116,115,47,115,111,108,118,101,114,0,100,111,32,110,111,116,32,101,109,105,116,32,97,110,121,32,114,101,115,117,108,116,115,32,116,111,32,116,104,101,32,114,101,115,117,108,116,32,102,105,108,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,104,101,108,112,61,37,115,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,37,115,40,102,105,120,101,100,61,116,114,117,101,41,32,61,32,37,103,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,78,111,116,49,46,95,97,117,120,105,108,105,97,114,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,84,65,73,76,69,68,95,68,69,83,67,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,105,109,117,108,97,116,105,111,110,95,105,110,102,111,95,120,109,108,46,99,0,0,0,0,0,0,0,0,97,99,99,95,116,112,32,33,61,32,48,0,0,0,0,0,114,43,0,0,0,0,0,0,27,0,0,0,0,0,0,0,115,101,116,32,110,111,107,101,121,10,0,0,0,0,0,0,80,114,105,110,116,32,106,97,99,58,0,0,0,0,0,0,102,105,110,97,108,32,115,111,108,117,116,105,111,110,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,100,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,110,108,115,61,37,115,44,32,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,99,97,110,32,110,111,116,32,114,101,97,100,32,102,105,108,101,32,37,115,32,97,115,32,115,101,116,117,112,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,46,0,0,0,35,80,116,111,108,101,109,121,32,80,108,111,116,32,102,105,108,101,44,32,103,101,110,101,114,97,116,101,100,32,98,121,32,79,112,101,110,77,111,100,101,108,105,99,97,10,0,0,100,97,116,97,73,110,102,111,0,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,37,115,44,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,78,117,109,98,101,114,32,111,102,32,105,110,105,116,105,97,108,32,118,97,108,117,101,115,32,116,111,32,99,97,108,99,117,108,97,116,101,32,60,32,49,0,0,0,0,0,0,76,79,71,95,68,83,83,0,91,37,108,100,93,32,100,105,115,99,114,101,116,101,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,10,73,110,112,117,116,58,32,116,61,37,102,32,32,32,9,0,0,0,0,0,0,0,0,115,101,108,101,99,116,32,110,101,119,32,115,116,97,116,101,115,32,97,116,32,116,105,109,101,32,37,102,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,112,114,111,102,105,108,101,98,108,111,99,107,115,62,10,0,0,0,0,0,0,0,0,70,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,37,115,0,0,0,0,110,97,109,101,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,115,101,116,116,105,110,103,32,102,105,120,101,100,61,116,114,117,101,32,102,111,114,58,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,117,110,107,110,111,119,110,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,51,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,109,101,97,115,117,114,101,32,116,105,109,101,32,102,117,110,99,116,105,111,110,97,108,105,116,121,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,101,113,117,97,116,105,111,110,115,62,10,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,111,108,118,101,114,32,112,114,111,99,101,115,115,0,0,0,0,0,100,101,116,97,105,108,101,100,32,102,108,97,103,45,100,101,115,99,114,105,112,116,105,111,110,32,102,111,114,58,32,60,45,37,115,62,10,37,115,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,97,116,101,115,0,0,0,0,0,0,0,0,117,110,100,101,114,45,100,101,116,101,114,109,105,110,101,100,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,82,117,110,110,105,110,103,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,115,105,109,117,108,97,116,105,111,110,32,112,114,111,99,101,115,115,0,100,101,108,97,121,73,109,112,108,58,32,101,120,112,114,78,117,109,98,101,114,32,61,32,37,100,44,32,101,120,112,114,86,97,108,117,101,32,61,32,37,103,44,32,116,105,109,101,32,61,32,37,103,44,32,100,101,108,97,121,84,105,109,101,32,61,32,37,103,0,0,0,91,115,116,114,105,110,103,32,108,105,115,116,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,103,105,110,103,32,108,101,118,101,108,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,60,101,113,117,97,116,105,111,110,115,62,10,0,0,0,0,105,110,118,97,108,105,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,111,112,116,105,111,110,58,32,45,108,111,103,70,111,114,109,97,116,61,37,115,44,32,101,120,112,101,99,116,101,100,32,116,101,120,116,32,111,114,32,120,109,108,0,0,0,0,0,0,0,0,110,121,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,32,40,110,101,105,116,104,101,114,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,110,111,114,32,105,110,105,116,105,97,108,32,97,108,103,111,114,105,116,104,109,115,41,0,101,110,100,102,105,108,101,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,50,46,95,120,91,49,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,100,97,115,115,108,0,0,0,111,117,116,112,117,116,115,32,114,101,115,105,100,117,97,108,115,32,111,102,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,102,111,114,32,105,112,111,112,116,0,0,0,0,0,0,78,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,102,117,110,99,116,105,111,110,115,62,10,0,0,0,116,101,120,116,0,0,0,0,110,112,115,116,114,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,110,111,32,118,97,114,105,97,98,108,101,115,32,116,111,32,105,110,105,116,105,97,108,105,122,101,0,0,0,0,0,0,32,73,79,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,109,101,116,104,111,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,102,117,110,99,116,105,111,110,115,62,10,0,0,0,0,111,117,116,112,117,116,115,32,101,118,101,114,121,32,101,118,97,108,117,97,116,105,111,110,32,111,102,32,116,104,101,32,114,101,115,105,100,117,97,108,32,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,120,109,108,0,0,0,0,0,110,121,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,67,97,110,110,111,116,32,105,110,105,116,105,97,108,105,122,101,32,117,110,105,113,117,101,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,46,32,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,32,116,111,32,115,101,101,32,116,104,101,32,115,119,105,116,99,104,105,110,103,32,115,116,97,116,101,32,115,101,116,46,0,0,0,105,110,116,101,114,110,97,108,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,67,85,82,82,69,78,84,32,84,32,40,61,82,49,41,32,32,53,48,48,32,83,84,69,80,83,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,108,111,103,32,102,111,114,109,97,116,32,111,102,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,46,32,45,108,111,103,70,111,114,109,97,116,61,116,101,120,116,32,40,100,101,102,97,117,108,116,41,32,111,114,32,45,108,111,103,70,111,114,109,97,116,61,120,109,108,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,118,97,114,105,97,98,108,101,115,62,10,0,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,102,108,97,103,45,116,121,112,101,93,32,60,45,37,115,62,0,0,0,0,0,0,0,110,112,98,111,111,108,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,37,46,49,54,103,44,0,0,101,120,116,101,114,110,97,108,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,65,110,100,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,104,101,108,112,0,0,0,0,110,111,32,101,108,101,109,101,110,116,32,102,111,117,110,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,46,32,65,80,80,65,82,69,78,84,32,73,78,70,73,78,73,84,69,32,76,79,79,80,0,100,105,114,101,99,116,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,119,104,101,114,101,32,116,104,101,32,108,105,110,101,97,114,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,115,104,111,117,108,100,32,98,101,32,112,101,114,102,111,114,109,101,100,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,116,105,99,107,95,116,112,32,33,61,32,48,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,118,97,114,105,97,98,108,101,115,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,60,45,37,115,61,118,97,108,117,101,62,32,111,114,32,60,45,37,115,32,118,97,108,117,101,62,10,32,32,37,115,0,110,121,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,108,97,109,98,100,97,32,61,32,37,103,32,100,111,110,101,0,0,0,0,0,0,0,0,117,110,102,111,114,109,97,116,116,101,100,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,49,46,95,84,68,49,46,95,120,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,68,65,83,83,76,45,45,32,32,82,69,80,69,65,84,69,68,32,79,67,67,85,82,82,69,78,67,69,83,32,79,70,32,73,76,76,69,71,65,76,32,73,78,80,85,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,111,114,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,108,111,103,103,105,110,103,32,102,111,114,32,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,60,45,37,115,62,10,32,32,37,115,0,0,0,0,0,0,110,112,105,110,116,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,104,111,109,111,116,111,112,121,32,112,114,111,99,101,115,115,0,0,0,0,0,0,0,0,102,111,114,109,97,116,116,101,100,0,0,0,0,0,0,0,83,101,116,32,116,111,108,101,114,97,110,99,101,32,102,111,114,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,104,121,115,116,101,114,101,115,105,115,32,116,111,58,32,37,101,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,49,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,105,110,116,101,103,101,114,40,100,101,108,97,121,40,48,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,49,41,0,100,105,114,101,99,116,0,0,32,32,32,32,32,32,32,32,32,84,79,79,32,78,69,65,82,32,84,79,32,84,72,69,32,73,78,73,84,73,65,76,32,80,79,73,78,84,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,110,111,100,101,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,112,114,111,102,105,108,105,110,103,100,97,116,97,104,101,97,100,101,114,62,10,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,0,117,115,97,103,101,58,32,37,115,0,0,0,0,0,0,0,110,112,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,49,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,78,69,32,79,82,32,77,79,82,69,32,67,79,77,80,79,78,69,78,84,83,32,79,70,32,71,32,72,65,83,32,65,32,82,79,79,84,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,104,101,115,115,105,97,110,32,102,111,114,32,73,112,111,112,116,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+51208);
/* memory initializer */ allocate([32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,98,105,110,84,114,97,110,115,0,0,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,108,111,103,103,105,110,103,32,102,111,114,32,108,105,110,101,97,114,32,115,121,115,116,101,109,115,0,0,0,0,0,0,114,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,37,115,0,0,0,110,121,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,108,100,0,0,0,0,0,0,108,97,109,98,100,97,0,0,115,101,113,117,101,110,116,105,97,108,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,78,111,116,49,46,95,97,117,120,105,108,105,97,114,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,68,69,83,67,0,0,0,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,44,32,119,105,116,104,32,105,110,116,101,114,118,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,0,0,37,115,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,102,105,108,101,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,0,0,0,0,0,0,0,114,43,98,0,0,0,0,0,7,0,0,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,115,118,103,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,78,71,32,40,61,73,49,41,32,46,76,84,46,32,48,0,0,0,0,0,0,0,0,119,114,105,116,101,32,105,110,32,106,97,99,91,37,100,93,45,91,37,100,44,37,100,93,61,37,103,32,102,114,111,109,32,114,111,119,91,37,100,93,61,37,103,0,0,0,0,0,37,115,40,115,116,97,114,116,61,37,103,41,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,112,114,101,102,105,120,32,109,117,115,116,32,110,111,116,32,98,101,32,98,111,117,110,100,32,116,111,32,111,110,101,32,111,102,32,116,104,101,32,114,101,115,101,114,118,101,100,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,115,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,108,118,32,37,115,0,0,0,0,0,0,114,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,58,32,91,37,115,93,32,98,101,99,97,117,115,101,32,111,102,32,37,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,119,0,0,0,0,0,0,0,119,116,0,0,0,0,0,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,73,110,99,111,110,115,105,115,116,101,110,116,32,105,110,105,116,105,97,108,32,99,111,110,100,105,116,105,111,110,115,46,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,76,79,71,95,68,69,66,85,71,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,102,111,114,109,97,116,32,116,111,111,32,99,111,109,112,108,105,99,97,116,101,100,58,10,0,0,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,0,0,69,114,114,111,114,44,32,115,105,110,103,117,108,97,114,32,74,97,99,111,98,105,97,110,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,32,97,116,32,116,105,109,101,32,37,102,10,85,115,101,32,45,108,118,32,76,79,71,95,68,83,83,95,74,65,67,32,116,111,32,103,101,116,32,116,104,101,32,74,97,99,111,98,105,97,110,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,82,101,102,101,114,101,110,99,101,100,32,39,37,115,39,32,116,104,97,116,32,119,97,115,32,110,111,116,32,100,101,99,108,97,114,101,100,32,97,115,32,60,118,97,114,105,97,98,108,101,62,0,0,0,0,0,60,111,100,101,84,105,109,101,84,105,99,107,115,62,37,108,117,60,47,111,100,101,84,105,109,101,84,105,99,107,115,62,10,0,0,0,0,0,0,0,116,101,114,109,105,110,97,108,32,101,118,101,110,116,32,97,116,32,115,116,111,112,32,116,105,109,101,32,37,103,0,0,111,117,116,112,117,116,115,32,116,104,101,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,117,115,101,100,32,98,121,32,100,97,115,115,108,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,115,32,37,115,0,0,0,0,0,0,0,110,120,32,105,110,32,115,101,116,117,112,32,102,105,108,101,58,32,37,108,100,32,102,114,111,109,32,109,111,100,101,108,32,99,111,100,101,58,32,37,100,0,0,0,0,0,0,0,37,115,44,0,0,0,0,0,44,37,115,61,34,37,115,34,0,0,0,0,0,0,0,0,119,114,105,116,105,110,103,0,89,111,117,114,32,109,101,109,111,114,121,32,105,115,32,110,111,116,32,115,116,114,111,110,103,32,101,110,111,117,103,104,32,102,111,114,32,111,117,114,32,82,105,110,103,98,117,102,102,101,114,33,0,0,0,0,78,76,83,95,77,65,88,0,69,82,82,79,82,58,32,84,111,111,32,109,97,110,121,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,115,46,32,83,121,115,116,101,109,32,105,115,32,105,110,99,111,110,115,105,115,116,101,110,116,46,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,46,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,51,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,117,110,107,110,111,119,110,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,73,83,32,69,81,85,65,76,32,84,79,32,84,32,40,61,82,50,41,0,115,112,101,99,105,102,121,32,105,110,116,101,114,97,99,116,105,118,101,32,115,105,109,117,108,97,116,105,111,110,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,110,115,41,32,109,117,115,116,32,110,111,116,32,98,101,32,100,101,99,108,97,114,101,100,32,111,114,32,117,110,100,101,99,108,97,114,101,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,111,100,101,84,105,109,101,62,37,102,60,47,111,100,101,84,105,109,101,62,10,0,0,99,104,101,99,107,32,104,101,115,115,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,65,108,108,111,99,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,115,116,111,114,97,103,101,32,102,111,114,32,109,101,116,104,111,100,32,39,37,115,39,32,97,110,100,32,102,105,108,101,61,39,37,115,39,0,0,69,114,114,111,114,44,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,109,111,100,101,108,46,0,0,0,0,119,116,0,0,0,0,0,0,44,37,115,61,37,105,0,0,114,101,97,100,105,110,103,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,99,97,108,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,32,40,115,116,101,112,83,105,122,101,58,32,37,103,41,0,0,0,0,0,0,0,0,84,104,101,32,99,111,100,101,32,104,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,116,114,111,117,98,108,101,32,102,114,111,109,32,119,104,105,99,104,32,105,116,32,99,97,110,110,111,116,32,114,101,99,111,118,101,114,46,0,0,68,65,83,83,76,45,45,32,32,77,85,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,100,101,108,97,121,73,109,112,108,58,32,100,101,113,117,101,117,101,78,70,105,114,115,116,82,105,110,103,68,97,116,97,115,91,37,100,93,32,37,103,32,61,32,37,103,0,0,0,91,105,110,116,93,32,100,101,102,97,117,108,116,58,32,49,0,0,0,0,0,0,0,0,114,101,115,101,114,118,101,100,32,112,114,101,102,105,120,32,40,120,109,108,41,32,109,117,115,116,32,110,111,116,32,98,101,32,117,110,100,101,99,108,97,114,101,100,32,111,114,32,98,111,117,110,100,32,116,111,32,97,110,111,116,104,101,114,32,110,97,109,101,115,112,97,99,101,32,110,97,109,101,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,100,117,109,109,121,86,97,114,83,116,97,116,101,83,101,116,74,97,99,0,0,0,0,0,60,109,111,100,101,108,105,110,102,111,95,101,120,116,62,10,0,0,0,0,0,0,0,0,99,104,101,99,107,32,106,97,99,111,98,105,97,110,32,109,97,116,114,105,120,32,119,105,116,104,32,73,112,111,112,116,0,0,0,0,0,0,0,0,85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,0,0,37,115,95,104,111,109,111,116,111,112,121,46,99,115,118,0,44,37,115,61,37,108,105,0,124,32,115,111,108,118,101,114,32,124,32,85,115,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,9,37,115,0,0,0,0,0,108,97,116,101,108,121,32,37,115,32,37,115,32,37,115,32,37,115,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,50,46,95,120,91,49,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,68,68,65,83,83,76,32,102,97,105,108,101,100,32,116,111,32,99,111,109,112,117,116,101,32,116,104,101,32,105,110,105,116,105,97,108,32,89,80,82,73,77,69,46,0,0,0,0,108,97,115,116,32,102,111,114,109,97,116,58,32,37,115,10,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,77,76,32,40,61,73,49,41,32,73,76,76,69,71,65,76,46,32,69,73,84,72,69,82,32,46,76,84,46,32,48,32,79,82,32,46,71,84,46,32,78,69,81,0,0,0,0,91,100,111,117,98,108,101,93,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,116,105,109,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,0,99,97,110,110,111,116,32,115,117,115,112,101,110,100,32,105,110,32,101,120,116,101,114,110,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,80,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,109,111,100,101,108,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,69,108,101,99,116,114,105,99,97,108,95,68,105,103,105,116,97,108,95,69,120,97,109,112,108,101,115,95,67,111,117,110,116,101,114,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,110,32,61,32,49,59,32,47,47,32,115,116,97,116,101,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,107,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,105,110,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,108,32,61,32,48,59,32,47,47,32,116,111,112,45,108,101,118,101,108,32,111,117,116,112,117,116,115,32,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,120,48,91,49,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,117,48,91,48,93,32,61,32,123,37,115,125,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,65,91,49,44,49,93,32,61,32,91,37,115,93,59,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,66,91,49,44,48,93,32,61,32,122,101,114,111,115,40,49,44,48,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,67,91,48,44,49,93,32,61,32,122,101,114,111,115,40,48,44,49,41,59,37,115,10,32,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,68,91,48,44,48,93,32,61,32,122,101,114,111,115,40,48,44,48,41,59,37,115,10,32,32,82,101,97,108,32,120,91,49,93,40,115,116,97,114,116,61,120,48,41,59,10,32,32,105,110,112,117,116,32,82,101,97,108,32,117,91,48,93,59,10,32,32,111,117,116,112,117,116,32,82,101,97,108,32,121,91,48,93,59,10,10,32,32,82,101,97,108,32,120,95,80,36,100,117,109,109,121,32,61,32,120,91,49,93,59,10,32,32,32,32,32,32,10,101,113,117,97,116,105,111,110,10,32,32,100,101,114,40,120,41,32,61,32,65,32,42,32,120,32,43,32,66,32,42,32,117,59,10,32,32,121,32,61,32,67,32,42,32,120,32,43,32,68,32,42,32,117,59,10,101,110,100,32,108,105,110,101,97,114,95,77,111,100,101,108,105,99,97,95,69,108,101,99,116,114,105,99,97,108,95,68,105,103,105,116,97,108,95,69,120,97,109,112,108,101,115,95,67,111,117,110,116,101,114,59,10,0,84,79,68,79,58,32,83,101,116,32,109,101,32,117,112,33,33,33,0,0,0,0,0,0,60,47,109,111,100,101,108,105,110,102,111,62,10,0,0,0,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,0,0,0,112,108,116,0,0,0,0,0,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,44,37,115,61,37,46,50,48,103,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,73,82,69,83,32,101,113,117,97,108,32,116,111,32,45,50,32,119,97,115,32,101,110,99,111,117,110,116,101,114,101,100,32,97,110,100,32,99,111,110,116,114,111,108,32,105,115,32,98,101,105,110,103,32,114,101,116,117,114,110,101,100,32,116,111,32,116,104,101,32,99,97,108,108,105,110,103,32,112,114,111,103,114,97,109,46,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,61,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,0,0,0,0,0,0,0,112,97,114,115,105,110,103,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,35,70,73,88,77,69,35,0,60,109,97,120,84,105,109,101,62,37,46,57,102,60,47,109,97,120,84,105,109,101,62,10,0,0,0,0,0,0,0,0,105,110,102,111,114,109,97,116,105,111,110,32,102,114,111,109,32,73,112,111,112,116,0,0,119,97,108,108,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,105,110,118,0,0,0,0,0,35,35,35,32,69,78,68,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,0,0,116,105,109,101,61,37,46,50,48,103,0,0,0,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,105,110,116,101,114,110,97,108,32,73,47,79,10,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,65,32,77,111,100,101,108,105,99,97,32,97,115,115,101,114,116,32,112,114,101,118,101,110,116,115,32,116,104,101,32,105,110,116,101,103,114,97,116,111,114,32,116,111,32,99,111,110,116,105,110,117,101,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,45,108,118,32,76,79,71,95,68,68,65,83,82,84,0,0,68,65,83,83,76,45,45,32,84,79,85,84,32,40,61,82,49,41,32,84,79,79,32,67,76,79,83,69,32,84,79,32,84,32,40,61,82,50,41,32,84,79,32,83,84,65,82,84,32,73,78,84,69,71,82,65,84,73,79,78,0,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,110,32,101,120,116,101,114,110,97,108,32,102,105,108,101,32,102,111,114,32,116,104,101,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,0,0,0,0,112,97,114,115,105,110,103,32,97,98,111,114,116,101,100,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,60,118,97,114,62,45,116,97,103,32,100,105,100,32,110,111,116,32,115,101,116,32,110,97,109,101,32,97,110,100,32,99,111,109,109,101,110,116,0,0,60,110,117,109,83,116,101,112,62,37,100,60,47,110,117,109,83,116,101,112,62,10,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,0,0,0,109,97,116,0,0,0,0,0,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,117,110,115,117,112,112,111,114,116,101,100,32,111,112,116,105,111,110,32,45,105,105,109,0,44,0,0,0,0,0,0,0,40,117,110,110,97,109,101,100,41,10,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,32,84,104,101,114,101,32,119,101,114,101,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,105,110,32,116,104,105,115,32,115,116,101,112,46,0,102,0,0,0,0,0,0,0,115,121,110,116,97,120,32,101,114,114,111,114,0,0,0,0,110,97,109,101,100,32,37,115,10,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,87,84,32,73,83,32,46,76,69,46,32,48,46,48,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,49,46,95,84,68,49,46,95,120,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,103,101,116,32,100,101,116,97,105,108,101,100,32,105,110,102,111,114,109,97,116,105,111,110,32,116,104,97,116,32,115,112,101,99,105,102,105,101,115,32,116,104,101,32,99,111,109,109,97,110,100,45,108,105,110,101,32,102,108,97,103,0,0,0,112,97,114,115,101,114,32,110,111,116,32,115,117,115,112,101,110,100,101,100,0,0,0,0,117,110,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,116,111,116,97,108,95,116,112,32,33,61,32,48,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,99,111,109,109,101,110,116,0,60,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,37,102,60,47,116,111,116,97,108,83,116,101,112,115,84,105,109,101,62,10,0,0,0,0,118,101,114,98,111,115,101,32,108,111,103,103,105,110,103,32,111,102,32,101,118,101,110,116,32,115,121,115,116,101,109,0,99,115,118,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,111,112,116,105,109,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,83,116,97,114,116,32,110,117,109,101,114,105,99,97,108,32,115,111,108,118,101,114,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,0,0,115,97,109,112,108,101,45,105,110,116,101,114,118,97,108,32,60,61,32,48,46,48,0,0,84,104,101,32,109,97,116,114,105,120,32,111,102,32,112,97,114,116,105,97,108,32,100,101,114,105,118,97,116,105,118,101,115,32,105,115,32,115,105,110,103,117,108,97,114,46,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,56,41,61,49,32,65,78,68,32,72,48,61,48,46,48,0,0,0,118,97,108,117,101,32,115,112,101,99,105,102,105,101,115,32,97,32,110,101,119,32,115,101,116,117,112,32,88,77,76,32,102,105,108,101,32,116,111,32,116,104,101,32,103,101,110,101,114,97,116,101,100,32,115,105,109,117,108,97,116,105,111,110,32,99,111,100,101,0,0,0,112,97,114,115,101,114,32,115,117,115,112,101,110,100,101,100,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,83,79,77,69,32,78,73,67,69,32,69,81,85,65,84,73,79,78,32,78,65,77,69,32,40,116,111,32,98,101,32,115,101,116,32,97,32,108,105,116,116,108,101,32,108,97,116,101,114,41,0,0,0,0,0,0,60,116,111,116,97,108,84,105,109,101,62,37,102,60,47,116,111,116,97,108,84,105,109,101,62,10,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,100,117,114,105,110,103,32,101,118,101,110,116,32,105,116,101,114,97,116,105,111,110,0,0,0,101,109,112,116,121,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,97,108,115,0,0,0,0,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,109,101,116,104,111,100,58,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,82,75,46,0,0,0,97,112,112,97,114,101,110,116,32,115,116,97,116,101,58,32,117,110,105,116,32,37,100,32,0,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,49,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,84,104,101,32,99,111,114,114,101,99,116,111,114,32,99,111,117,108,100,32,110,111,116,32,99,111,110,118,101,114,103,101,46,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,68,65,83,83,76,45,45,32,32,84,79,85,84,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,32,40,61,82,50,41,0,0,0,0,0,0,100,117,109,112,115,32,116,104,101,32,99,112,117,45,116,105,109,101,32,105,110,116,111,32,116,104,101,32,114,101,115,117,108,116,115,45,102,105,108,101,0,0,0,0,0,0,0,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,32,105,110,32,112,117,98,108,105,99,32,105,100,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,102,105,115,116,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+61448);
/* memory initializer */ allocate([111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,103,111,116,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,105,110,100,101,120,32,37,108,100,44,32,101,120,112,101,99,116,101,100,32,37,108,100,0,0,0,0,0,0,0,60,108,105,110,101,97,114,105,122,101,84,105,109,101,62,37,102,60,47,108,105,110,101,97,114,105,122,101,84,105,109,101,62,10,0,0,0,0,0,0,115,118,103,0,0,0,0,0,111,117,116,112,117,116,115,32,106,97,99,111,98,105,97,110,32,111,102,32,116,104,101,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,0,0,100,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,111,109,32,37,115,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,37,115,58,32,37,115,10,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,49,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,68,68,65,83,83,76,32,104,97,100,32,114,101,112,101,97,116,101,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,32,111,110,32,116,104,101,32,108,97,115,116,32,97,116,116,101,109,112,116,101,100,32,115,116,101,112,46,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,77,65,88,32,40,61,82,49,41,32,46,76,84,46,32,48,46,48,0,0,0,0,115,101,108,101,99,116,115,32,116,104,101,32,116,121,112,101,32,111,102,32,99,108,111,99,107,32,116,111,32,117,115,101,32,45,99,108,111,99,107,61,82,84,44,32,45,99,108,111,99,107,61,67,89,67,32,111,114,32,45,99,108,111,99,107,61,67,80,85,0,0,0,0,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,0,0,0,0,0,0,0,114,101,99,101,110,100,0,0,37,35,46,42,102,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,111,117,116,32,105,110,100,101,120,0,0,0,0,0,0,0,0,60,111,117,116,112,117,116,84,105,109,101,62,37,102,60,47,111,117,116,112,117,116,84,105,109,101,62,10,0,0,0,0,95,112,114,111,102,46,112,108,116,0,0,0,0,0,0,0,111,117,116,112,117,116,115,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,0,0,84,105,109,101,0,0,0,0,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,0,115,101,101,32,108,97,115,116,32,119,97,114,110,105,110,103,0,0,0,0,0,0,0,0,82,101,99,111,103,110,105,122,101,100,32,115,111,108,118,101,114,58,32,105,110,108,105,110,101,45,101,117,108,101,114,44,32,98,117,116,32,116,104,101,32,101,120,101,99,117,116,97,98,108,101,32,119,97,115,32,110,111,116,32,99,111,109,112,105,108,101,100,32,119,105,116,104,32,115,117,112,112,111,114,116,32,102,111,114,32,105,116,46,32,67,111,109,112,105,108,101,32,119,105,116,104,32,45,68,95,79,77,67,95,73,78,76,73,78,69,95,69,85,76,69,82,46,0,0,0,0,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,0,37,115,58,32,101,110,100,32,111,102,32,102,105,108,101,10,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,78,111,116,49,46,95,97,117,120,105,108,105,97,114,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,117,110,98,97,108,97,110,99,101,100,32,99,111,109,109,97,110,100,32,108,105,110,101,32,102,108,97,103,32,115,116,114,117,99,116,117,114,101,58,32,70,76,65,71,95,78,65,77,69,0,0,0,0,0,0,0,84,104,101,32,101,114,114,111,114,32,116,111,108,101,114,97,110,99,101,115,32,97,114,101,32,116,111,111,32,115,116,114,105,110,103,101,110,116,0,0,68,117,109,109,121,32,101,113,117,97,116,105,111,110,32,115,111,32,119,101,32,99,97,110,32,105,110,100,101,120,32,102,114,111,109,32,49,0,0,0,119,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,58,32,37,115,10,0,0,115,101,101,100,58,32,100,97,116,97,45,62,115,105,109,117,108,97,116,105,111,110,73,110,102,111,46,97,110,97,108,121,116,105,99,74,97,99,111,98,105,97,110,115,91,105,110,100,101,120,93,46,115,101,101,100,86,97,114,115,91,37,100,93,61,32,37,102,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,70,79,40,52,41,32,61,32,49,32,65,78,68,32,84,83,84,79,80,32,40,61,82,49,41,32,66,69,72,73,78,68,32,84,79,85,84,32,40,61,82,50,41,0,0,117,112,100,97,116,105,110,103,32,115,116,97,114,116,45,118,97,108,117,101,115,0,0,0,117,110,107,110,111,119,110,0,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,119,101,108,108,45,102,111,114,109,101,100,0,37,45,49,56,115,32,91,37,115,93,0,0,0,0,0,0,117,116,105,108,47,114,101,97,100,95,109,97,116,108,97,98,52,46,99,0,0,0,0,0,99,111,110,116,105,110,117,111,117,115,0,0,0,0,0,0,119,0,0,0,0,0,0,0,110,97,109,101,0,0,0,0,37,115,95,105,110,105,116,80,97,116,104,46,99,115,118,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,111,108,118,101,114,32,105,116,101,114,97,116,101,100,32,37,100,32,116,105,109,101,115,32,119,105,116,104,111,117,116,32,102,105,110,100,105,110,103,32,97,32,115,111,108,117,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,0,0,0,0,0,0,0,0,76,79,71,95,68,68,65,83,82,84,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,98,97,100,32,115,116,114,105,110,103,0,0,0,0,0,0,108,101,97,115,116,32,115,113,117,97,114,101,32,118,97,108,117,101,58,32,37,103,32,91,115,99,97,108,101,100,58,32,37,103,93,0,0,0,0,0,10,69,120,116,101,114,110,97,108,32,73,110,112,117,116,0,37,115,0,0,0,0,0,0,105,110,100,101,120,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,101,118,101,110,116,84,105,109,101,62,37,102,60,47,101,118,101,110,116,84,105,109,101,62,10,0,0,0,0,0,0,87,114,111,116,101,32,112,97,114,97,109,101,116,101,114,115,32,116,111,32,116,104,101,32,102,105,108,101,32,97,102,116,101,114,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,40,102,111,114,32,111,117,116,112,117,116,32,102,111,114,109,97,116,115,32,116,104,97,116,32,115,117,112,112,111,114,116,32,116,104,105,115,41,0,0,0,0,0,0,0,0,95,112,114,111,102,46,120,109,108,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,100,101,98,117,103,32,105,110,102,111,114,109,97,116,105,111,110,0,0,0,0,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,0,0,0,0,0,0,0,0,118,109,101,116,97,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,124,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,105,110,108,105,110,101,45,101,117,108,101,114,0,0,0,0,37,115,58,32,105,108,108,101,103,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,10,0,0,0,0,110,101,119,116,111,110,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,51,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,68,65,83,83,76,45,45,32,32,65,76,76,32,69,76,69,77,69,78,84,83,32,79,70,32,82,84,79,76,32,65,78,68,32,65,84,79,76,32,65,82,69,32,90,69,82,79,0,110,109,76,98,117,102,32,111,118,101,114,102,108,111,119,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,105,110,99,111,109,112,108,101,116,101,32,109,97,114,107,117,112,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,97,98,115,86,97,114,73,110,100,101,120,32,62,32,48,32,38,38,32,97,98,115,86,97,114,73,110,100,101,120,32,60,61,32,114,101,97,100,101,114,45,62,110,118,97,114,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,37,115,58,32,73,110,102,111,32,88,77,76,32,37,115,32,99,111,110,116,97,105,110,101,100,32,109,111,114,101,32,101,113,117,97,116,105,111,110,115,32,116,104,97,110,32,101,120,112,101,99,116,101,100,32,40,37,108,100,41,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,105,110,105,116,84,105,109,101,62,37,102,60,47,105,110,105,116,84,105,109,101,62,10,0,0,0,0,0,0,0,0,76,105,110,101,97,114,32,109,111,100,101,108,32,105,115,32,99,114,101,97,116,101,100,33,0,0,0,0,0,0,0,0,97,100,100,105,116,105,111,110,97,108,32,105,110,102,111,114,109,97,116,105,111,110,32,97,98,111,117,116,32,100,97,115,115,108,32,115,111,108,118,101,114,0,0,0,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,58,32,37,115,0,0,0,0,116,105,109,101,0,0,0,0,83,105,109,117,108,97,116,105,111,110,32,116,105,109,101,32,91,115,93,0,0,0,0,0,37,109,47,37,100,47,37,121,0,0,0,0,0,0,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,73,112,111,112,116,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,111,102,102,115,101,116,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,110,101,120,116,32,115,116,101,112,58,32,37,46,49,48,102,0,0,0,70,105,110,105,115,104,101,100,32,68,68,65,83,82,84,32,115,116,101,112,46,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,65,84,79,76,32,73,83,32,46,76,84,46,32,48,0,115,116,111,114,101,68,101,108,97,121,101,100,91,37,100,93,32,37,103,58,37,103,32,112,111,115,105,116,105,111,110,61,37,100,0,0,0,0,0,0,119,0,0,0,0,0,0,0,109,117,115,116,32,110,111,116,32,117,110,100,101,99,108,97,114,101,32,112,114,101,102,105,120,0,0,0,0,0,0,0,73,109,112,108,101,109,101,110,116,97,116,105,111,110,32,101,114,114,111,114,58,32,85,110,107,110,111,119,110,32,99,97,115,101,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,37,115,58,32,85,110,107,110,111,119,110,32,97,116,116,114,105,98,117,116,101,32,105,110,32,60,105,110,102,111,62,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,112,114,101,105,110,105,116,84,105,109,101,62,37,102,60,47,112,114,101,105,110,105,116,84,105,109,101,62,10,0,0,116,104,105,115,32,115,116,114,101,97,109,32,105,115,32,97,108,119,97,121,115,32,97,99,116,105,118,101,0,0,0,0,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,0,0,0,0,0,0,0,0,115,105,103,115,0,0,0,0,116,105,109,101,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,32,45,105,105,109,32,37,115,0,0,0,0,0,83,117,110,100,105,97,108,47,107,105,110,115,111,108,32,105,115,32,110,101,101,100,101,100,32,98,117,116,32,110,111,116,32,97,118,97,105,108,97,98,108,101,46,32,80,108,101,97,115,101,32,99,104,111,111,115,101,32,111,116,104,101,114,32,115,111,108,118,101,114,46,0,110,111,110,45,112,111,115,105,116,105,118,101,32,114,101,99,111,114,100,32,110,117,109,98,101,114,0,0,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,100,97,115,115,108,32,115,111,108,118,101,114,32,109,101,116,104,111,100,32,37,115,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,50,46,95,120,91,49,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,100,97,115,115,108,46,99,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,82,84,79,76,32,73,83,32,46,76,84,46,32,48,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,115,0,0,0,0,0,0,0,117,110,98,111,117,110,100,32,112,114,101,102,105,120,0,0,66,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,60,111,118,101,114,104,101,97,100,84,105,109,101,62,37,102,60,47,111,118,101,114,104,101,97,100,84,105,109,101,62,10,0,0,0,0,0,0,0,0,95,114,101,115,46,0,0,0,117,110,107,110,111,119,110,0,118,97,114,105,97,98,108,101,32,102,105,108,116,101,114,58,32,37,115,0,0,0,0,0,116,109,101,116,97,0,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,35,35,35,32,69,78,68,32,83,84,65,84,73,83,84,73,67,83,32,35,35,35,0,0,99,97,110,39,116,32,97,112,112,101,110,100,32,116,111,32,102,105,108,101,0,0,0,0,91,37,108,100,93,32,37,115,32,61,32,37,99,32,124,32,112,114,101,40,37,115,41,32,61,32,37,99,0,0,0,0,115,97,118,101,32,97,108,108,32,122,101,114,111,99,114,111,115,115,105,110,103,115,32,97,102,116,101,114,32,97,110,32,101,118,101,110,116,0,0,0,49,48,32,43,32,117,105,32,60,32,100,97,115,115,108,68,97,116,97,45,62,108,105,119,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,73,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,73,87,32,40,61,73,50,41,0,0,0,0,39,110,101,119,39,32,102,105,108,101,32,101,120,105,115,116,115,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,99,97,110,110,111,116,32,99,104,97,110,103,101,32,115,101,116,116,105,110,103,32,111,110,99,101,32,112,97,114,115,105,110,103,32,104,97,115,32,98,101,103,117,110,0,0,0,0,84,111,111,32,102,101,119,32,114,111,119,115,32,105,110,32,100,97,116,97,95,50,32,109,97,116,114,105,120,0,0,0,102,97,108,115,101,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,114,101,97,100,111,110,108,121,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,37,108,100,60,47,111,117,116,112,117,116,70,105,108,101,115,105,122,101,62,10,0,0,0,111,118,101,114,119,114,105,116,101,32,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,32,91,102,114,111,109,32,99,111,109,109,97,110,100,32,108,105,110,101,93,0,76,79,71,95,90,69,82,79,67,82,79,83,83,73,78,71,83,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,70,105,108,116,101,114,0,0,111,98,106,115,0,0,0,0,99,112,117,32,116,105,109,101,32,91,115,93,0,0,0,0,35,35,35,32,83,84,65,82,84,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,0,0,115,111,114,114,121,32,45,32,110,111,32,115,111,108,118,101,114,32,115,116,97,116,105,115,116,105,99,115,32,97,118,97,105,108,97,98,108,101,46,32,91,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,93,0,0,0,115,116,97,116,117,115,32,111,102,32,114,101,108,97,116,105,111,110,115,0,0,0,0,0,69,120,101,99,117,116,105,111,110,32,102,97,105,108,101,100,33,10,0,0,0,0,0,0,37,108,100,32,99,104,97,110,103,101,100,32,102,114,111,109,32,37,115,32,116,111,32,99,117,114,114,101,110,116,32,37,115,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,67,84,73,79,78,32,87,65,83,32,84,65,75,69,78,46,32,82,85,78,32,84,69,82,77,73,78,65,84,69,68,0,0,0,0,0,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,68,65,83,83,76,45,45,32,32,82,87,79,82,75,32,76,69,78,71,84,72,32,78,69,69,68,69,68,44,32,76,69,78,82,87,32,40,61,73,49,41,44,32,69,88,67,69,69,68,83,32,76,82,87,32,40,61,73,50,41,0,0,0,0,112,111,114,116,0,0,0,0,114,101,113,117,101,115,116,101,100,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,115,32,88,77,76,95,68,84,68,32,115,117,112,112,111,114,116,32,105,110,32,69,120,112,97,116,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,58,32,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,114,111,119,115,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,99,111,108,69,110,100,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,10,0,0,0,0,0,0,76,105,110,101,97,114,105,122,97,116,105,111,110,32,119,105,108,108,32,112,101,114,102,111,114,109,101,100,32,97,116,32,112,111,105,110,116,32,111,102,32,116,105,109,101,58,32,37,102,0,0,0,0,0,0,0,76,79,71,95,85,84,73,76,0,0,0,0,0,0,0,0,111,117,116,112,117,116,32,102,111,114,109,97,116,58,32,37,115,0,0,0,0,0,0,0,116,97,98,115,0,0,0,0,36,99,112,117,84,105,109,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,32,40,112,114,101,58,32,34,37,115,34,41,0,0,115,111,108,118,101,114,0,0,99,97,110,39,116,32,119,114,105,116,101,32,102,105,108,101,0,0,0,0,0,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,115,116,97,114,116,61,34,37,115,34,41,32,61,32,34,37,115,34,0,0,0,0,13,0,0,0,0,0,0,0,83,116,97,99,107,32,111,118,101,114,102,108,111,119,32,100,101,116,101,99,116,101,100,32,97,110,100,32,119,97,115,32,110,111,116,32,99,97,117,103,104,116,46,10,83,101,110,100,32,117,115,32,97,32,98,117,103,32,114,101,112,111,114,116,32,97,116,32,104,116,116,112,115,58,47,47,116,114,97,99,46,111,112,101,110,109,111,100,101,108,105,99,97,46,111,114,103,47,79,112,101,110,77,111,100,101,108,105,99,97,47,110,101,119,116,105,99,107,101,116,10,32,32,32,32,73,110,99,108,117,100,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,114,97,99,101,58,10,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,99,104,101,99,107,115,32,102,111,114,32,99,111,110,100,105,116,105,111,110,32,99,104,97,110,103,101,115,0,0,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,58,32,37,100,0,0,0,99,112,117,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,68,65,83,83,76,45,45,32,32,77,65,88,79,82,68,32,40,61,73,49,41,32,78,79,84,32,73,78,32,82,65,78,71,69,0,0,0,0,0,0,115,116,97,114,116,105,111,0,111,118,101,114,114,105,100,101,70,105,108,101,0,0,0,0,101,110,116,105,116,121,32,100,101,99,108,97,114,101,100,32,105,110,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,101,110,97,98,108,101,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,102,111,114,109,97,116,116,101,100,32,105,111,32,110,111,116,32,97,108,108,111,119,101,100,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,99,111,110,116,97,105,110,101,100,32,112,97,114,97,109,101,116,101,114,32,116,104,97,116,32,99,104,97,110,103,101,100,32,98,101,116,119,101,101,110,32,115,116,97,114,116,32,97,110,100,32,115,116,111,112,45,116,105,109,101,0,0,0,0,0,0,116,114,117,101,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,109,97,120,95,116,112,32,33,61,32,48,0,0,0,0,0,99,111,108,83,116,97,114,116,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,111,117,116,112,117,116,70,105,108,101,110,97,109,101,62,0,0,0,0,0,0,0,0,67,104,111,115,101,110,32,99,108,111,99,107,45,116,121,112,101,58,32,37,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,32,102,111,114,32,116,104,101,32,99,117,114,114,101,110,116,32,112,108,97,116,102,111,114,109,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,114,101,97,108,45,116,105,109,101,46,0,0,76,79,71,95,83,84,65,84,83,0,0,0,0,0,0,0,111,117,116,112,117,116,70,111,114,109,97,116,0,0,0,0,102,109,101,116,97,0,0,0,100,101,114,40,0,0,0,0,105,110,100,101,120,32,91,37,100,93,32,111,117,116,32,111,102,32,114,97,110,103,101,32,91,37,100,58,37,100,93,0,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,37,53,100,32,99,111,110,118,101,114,103,101,110,99,101,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,0,0,99,97,110,39,116,32,114,101,97,100,32,102,105,108,101,0,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,0,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,95,105,110,102,111,46,120,109,108,0,0,0,84,84,79,76,32,105,115,32,115,101,116,32,116,111,58,32,37,101,0,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,99,117,108,97,116,105,111,110,32,111,102,32,106,97,99,111,98,105,97,110,32,58,32,37,100,0,0,68,65,83,83,76,45,45,32,32,78,69,81,32,40,61,73,49,41,32,46,76,69,46,32,48,0,0,0,0,0,0,0,119,95,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,0,115,117,98,115,99,114,105,112,116,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,118,101,114,114,105,100,101,0,0,0,0,0,0,0,0,117,110,101,120,112,101,99,116,101,100,32,112,97,114,115,101,114,32,115,116,97,116,101,32,45,32,112,108,101,97,115,101,32,115,101,110,100,32,97,32,98,117,103,32,114,101,112,111,114,116,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,108,111,99,107,46,95,116,95,105,32,102,114,111,109,32,37,103,32,116,111,32,37,103,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,95,49,32,109,97,116,114,105,120,0,0,0,37,35,46,42,69,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,65,99,108,97,115,115,0,0,108,105,110,101,69,110,100,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+71688);
/* memory initializer */ allocate([103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,111,117,116,112,117,116,70,111,114,109,97,116,62,10,0,0,0,0,0,0,0,0,91,117,110,107,110,111,119,110,32,99,108,111,99,107,45,116,121,112,101,93,32,103,111,116,32,37,115,44,32,101,120,112,101,99,116,101,100,32,67,80,85,124,82,84,124,67,89,67,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,82,84,46,0,0,0,0,0,76,79,71,95,83,79,84,73,0,0,0,0,0,0,0,0,115,111,108,118,101,114,32,109,101,116,104,111,100,58,32,37,115,0,0,0,0,0,0,0,97,43,98,0,0,0,0,0,102,97,108,115,101,0,0,0,37,53,100,32,101,114,114,111,114,32,116,101,115,116,32,102,97,105,108,117,114,101,115,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,115,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,61,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,60,63,120,109,108,45,115,116,121,108,101,115,104,101,101,116,32,116,121,112,101,61,34,97,112,112,108,105,99,97,116,105,111,110,47,120,109,108,34,32,104,114,101,102,61,34,115,105,109,99,111,100,101,100,117,109,112,46,120,115,108,34,63,62,10,60,115,105,109,99,111,100,101,100,117,109,112,32,109,111,100,101,108,61,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,34,62,10,60,118,97,114,105,97,98,108,101,115,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,100,117,109,109,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,100,101,114,40,36,100,117,109,109,121,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,100,101,114,40,36,100,117,109,109,121,41,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,49,34,32,108,105,110,101,69,110,100,61,34,52,56,49,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,66,108,111,99,107,115,46,73,110,116,101,114,102,97,99,101,115,46,82,101,97,108,79,117,116,112,117,116,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,105,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,116,105,109,101,32,111,102,32,99,117,114,114,101,110,116,32,112,101,114,105,111,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,56,34,32,108,105,110,101,69,110,100,61,34,52,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,108,111,99,107,46,116,95,105,34,32,99,111,109,109,101,110,116,61,34,83,116,97,114,116,32,116,105,109,101,32,111,102,32,99,117,114,114,101,110,116,32,112,101,114,105,111,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,56,34,32,108,105,110,101,69,110,100,61,34,52,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,119,105,100,116,104,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+81928);
/* memory initializer */ allocate([83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,48,34,32,108,105,110,101,69,110,100,61,34,52,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,108,111,99,107,46,116,95,119,105,100,116,104,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,48,34,32,108,105,110,101,69,110,100,61,34,52,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+92168);
/* memory initializer */ allocate([68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+102408);
/* memory initializer */ allocate([46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+112648);
/* memory initializer */ allocate([68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+122888);
/* memory initializer */ allocate([34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+133128);
/* memory initializer */ allocate([111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+143368);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+153608);
/* memory initializer */ allocate([111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+163848);
/* memory initializer */ allocate([46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+174088);
/* memory initializer */ allocate([101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+184328);
/* memory initializer */ allocate([116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+194568);
/* memory initializer */ allocate([111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+204808);
/* memory initializer */ allocate([73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+215048);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+225288);
/* memory initializer */ allocate([111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+235528);
/* memory initializer */ allocate([121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+245768);
/* memory initializer */ allocate([32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+256008);
/* memory initializer */ allocate([69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+266248);
/* memory initializer */ allocate([47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+276488);
/* memory initializer */ allocate([99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+286728);
/* memory initializer */ allocate([103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,48,34,32,108,105,110,101,69,110,100,61,34,50,52,55,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,48,34,32,108,105,110,101,69,110,100,61,34,50,52,55,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,52,34,32,108,105,110,101,69,110,100,61,34,52,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,108,111,99,107,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,52,34,32,108,105,110,101,69,110,100,61,34,52,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,51,34,32,108,105,110,101,69,110,100,61,34,52,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,51,34,32,108,105,110,101,69,110,100,61,34,52,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+296968);
/* memory initializer */ allocate([99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,56,34,32,108,105,110,101,69,110,100,61,34,49,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,56,34,32,108,105,110,101,69,110,100,61,34,49,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,120,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,56,34,32,108,105,110,101,69,110,100,61,34,49,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,56,34,32,108,105,110,101,69,110,100,61,34,49,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,120,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+307208);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,99,108,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,99,108,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,56,34,32,108,105,110,101,69,110,100,61,34,49,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,56,34,32,108,105,110,101,69,110,100,61,34,49,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,120,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+317448);
/* memory initializer */ allocate([32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,99,108,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,99,108,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,56,34,32,108,105,110,101,69,110,100,61,34,49,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,56,34,32,108,105,110,101,69,110,100,61,34,49,56,50,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+327688);
/* memory initializer */ allocate([32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,113,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,113,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,113,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,91,52,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,113,91,52,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,55,34,32,108,105,110,101,69,110,100,61,34,50,52,55,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,120,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,48,56,34,32,108,105,110,101,69,110,100,61,34,52,56,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,99,108,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,99,108,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+337928);
/* memory initializer */ allocate([117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,99,108,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,99,108,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,51,34,32,108,105,110,101,69,110,100,61,34,49,56,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,106,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,54,34,32,108,105,110,101,69,110,100,61,34,49,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,106,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,54,34,32,108,105,110,101,69,110,100,61,34,49,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,53,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,53,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+348168);
/* memory initializer */ allocate([116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,106,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,54,34,32,108,105,110,101,69,110,100,61,34,49,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,106,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,54,34,32,108,105,110,101,69,110,100,61,34,49,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,53,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,53,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+358408);
/* memory initializer */ allocate([98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,106,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,54,34,32,108,105,110,101,69,110,100,61,34,49,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,106,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,54,34,32,108,105,110,101,69,110,100,61,34,49,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+368648);
/* memory initializer */ allocate([60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,53,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,53,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,106,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,54,34,32,108,105,110,101,69,110,100,61,34,49,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,106,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,54,34,32,108,105,110,101,69,110,100,61,34,49,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+378888);
/* memory initializer */ allocate([34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,53,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,107,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,53,34,32,108,105,110,101,69,110,100,61,34,49,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+389128);
/* memory initializer */ allocate([49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,51,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,110,34,32,99,111,109,109,101,110,116,61,34,110,111,116,32,81,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,48,34,32,108,105,110,101,69,110,100,61,34,49,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,110,34,32,99,111,109,109,101,110,116,61,34,110,111,116,32,81,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,48,34,32,108,105,110,101,69,110,100,61,34,49,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+399368);
/* memory initializer */ allocate([105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,110,34,32,99,111,109,109,101,110,116,61,34,110,111,116,32,81,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,48,34,32,108,105,110,101,69,110,100,61,34,49,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,110,34,32,99,111,109,109,101,110,116,61,34,110,111,116,32,81,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,48,34,32,108,105,110,101,69,110,100,61,34,49,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+409608);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+419848);
/* memory initializer */ allocate([116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,110,34,32,99,111,109,109,101,110,116,61,34,110,111,116,32,81,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,48,34,32,108,105,110,101,69,110,100,61,34,49,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,110,34,32,99,111,109,109,101,110,116,61,34,110,111,116,32,81,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,48,34,32,108,105,110,101,69,110,100,61,34,49,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+430088);
/* memory initializer */ allocate([77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,110,34,32,99,111,109,109,101,110,116,61,34,110,111,116,32,81,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,48,34,32,108,105,110,101,69,110,100,61,34,49,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,110,34,32,99,111,109,109,101,110,116,61,34,110,111,116,32,81,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,51,48,34,32,108,105,110,101,69,110,100,61,34,49,56,51,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+440328);
/* memory initializer */ allocate([97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+450568);
/* memory initializer */ allocate([101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+460808);
/* memory initializer */ allocate([117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+471048);
/* memory initializer */ allocate([101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+481288);
/* memory initializer */ allocate([60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+491528);
/* memory initializer */ allocate([62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+501768);
/* memory initializer */ allocate([110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+512008);
/* memory initializer */ allocate([121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+522248);
/* memory initializer */ allocate([111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+532488);
/* memory initializer */ allocate([105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+542728);
/* memory initializer */ allocate([110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+552968);
/* memory initializer */ allocate([67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+563208);
/* memory initializer */ allocate([60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+573448);
/* memory initializer */ allocate([10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+583688);
/* memory initializer */ allocate([101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+593928);
/* memory initializer */ allocate([50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+604168);
/* memory initializer */ allocate([101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+614408);
/* memory initializer */ allocate([60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+624648);
/* memory initializer */ allocate([101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+634888);
/* memory initializer */ allocate([115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,55,34,32,108,105,110,101,69,110,100,61,34,49,53,51,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+645128);
/* memory initializer */ allocate([46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,110,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,57,34,32,108,105,110,101,69,110,100,61,34,49,53,52,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+655368);
/* memory initializer */ allocate([112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,115,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,51,34,32,108,105,110,101,69,110,100,61,34,49,53,51,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+665608);
/* memory initializer */ allocate([62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+675848);
/* memory initializer */ allocate([110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,114,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,51,53,34,32,108,105,110,101,69,110,100,61,34,49,53,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+686088);
/* memory initializer */ allocate([101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,34,32,99,111,109,109,101,110,116,61,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,56,34,32,108,105,110,101,69,110,100,61,34,50,55,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,99,111,117,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,51,34,32,108,105,110,101,69,110,100,61,34,50,52,55,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,99,111,117,110,116,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,108,111,99,107,46,121,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,51,34,32,108,105,110,101,69,110,100,61,34,50,52,55,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,69,110,97,98,108,101,46,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,48,49,34,32,108,105,110,101,69,110,100,61,34,52,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,69,110,97,98,108,101,46,121,34,32,99,111,109,109,101,110,116,61,34,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,97,108,105,97,115,62,67,111,117,110,116,101,114,46,101,110,97,98,108,101,60,47,97,108,105,97,115,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,48,49,34,32,108,105,110,101,69,110,100,61,34,52,49,48,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+696328);
/* memory initializer */ allocate([61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+706568);
/* memory initializer */ allocate([46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+716808);
/* memory initializer */ allocate([97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,100,101,108,97,121,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+727048);
/* memory initializer */ allocate([116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,69,110,97,98,108,101,46,115,116,101,112,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,115,116,101,112,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,48,48,34,32,108,105,110,101,69,110,100,61,34,52,49,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,69,110,97,98,108,101,46,115,116,101,112,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,115,116,101,112,32,116,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,48,48,34,32,108,105,110,101,69,110,100,61,34,52,49,48,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,53,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,52,55,34,32,108,105,110,101,69,110,100,61,34,52,51,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,52,55,34,32,108,105,110,101,69,110,100,61,34,52,51,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,108,111,99,107,46,112,101,114,105,111,100,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,102,111,114,32,111,110,101,32,112,101,114,105,111,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,52,57,34,32,108,105,110,101,69,110,100,61,34,52,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,108,111,99,107,46,112,101,114,105,111,100,34,32,99,111,109,109,101,110,116,61,34,84,105,109,101,32,102,111,114,32,111,110,101,32,112,101,114,105,111,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,52,57,34,32,108,105,110,101,69,110,100,61,34,52,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,108,111,99,107,46,119,105,100,116,104,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,111,102,32,112,117,108,115,101,115,32,105,110,32,37,32,111,102,32,112,101,114,105,111,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,109,97,120,61,34,49,48,48,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,49,34,32,108,105,110,101,69,110,100,61,34,52,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,108,111,99,107,46,119,105,100,116,104,34,32,99,111,109,109,101,110,116,61,34,87,105,100,116,104,32,111,102,32,112,117,108,115,101,115,32,105,110,32,37,32,111,102,32,112,101,114,105,111,100,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,109,97,120,61,34,49,48,48,46,48,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,49,34,32,108,105,110,101,69,110,100,61,34,52,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,111,102,32,101,97,99,104,32,74,75,70,70,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,56,34,32,108,105,110,101,69,110,100,61,34,50,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,99,111,109,109,101,110,116,61,34,68,101,108,97,121,32,111,102,32,101,97,99,104,32,74,75,70,70,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,56,34,32,108,105,110,101,69,110,100,61,34,50,52,54,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,85,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,53,34,32,108,105,110,101,69,110,100,61,34,52,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,85,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,53,34,32,108,105,110,101,69,110,100,61,34,52,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,88,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,55,34,32,108,105,110,101,69,110,100,61,34,52,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,88,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,55,34,32,108,105,110,101,69,110,100,61,34,52,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,48,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,48,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+737288);
/* memory initializer */ allocate([32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,49,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,48,34,32,108,105,110,101,69,110,100,61,34,52,56,50,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,49,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,48,34,32,108,105,110,101,69,110,100,61,34,52,56,50,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,90,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,49,34,32,108,105,110,101,69,110,100,61,34,52,56,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,90,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,49,34,32,108,105,110,101,69,110,100,61,34,52,56,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,87,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,51,34,32,108,105,110,101,69,110,100,61,34,52,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,87,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,51,34,32,108,105,110,101,69,110,100,61,34,52,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,76,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,53,34,32,108,105,110,101,69,110,100,61,34,52,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,76,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,53,34,32,108,105,110,101,69,110,100,61,34,52,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,72,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,54,34,32,108,105,110,101,69,110,100,61,34,52,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,72,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,54,34,32,108,105,110,101,69,110,100,61,34,52,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,109,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,55,34,32,108,105,110,101,69,110,100,61,34,52,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,118,97,108,117,101,95,109,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,55,34,32,108,105,110,101,69,110,100,61,34,52,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,85,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,53,34,32,108,105,110,101,69,110,100,61,34,52,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,85,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,53,34,32,108,105,110,101,69,110,100,61,34,52,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,88,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,55,34,32,108,105,110,101,69,110,100,61,34,52,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,88,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,55,34,32,108,105,110,101,69,110,100,61,34,52,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+747528);
/* memory initializer */ allocate([111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,48,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,48,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,49,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,48,34,32,108,105,110,101,69,110,100,61,34,52,56,50,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,49,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,48,34,32,108,105,110,101,69,110,100,61,34,52,56,50,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,90,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,49,34,32,108,105,110,101,69,110,100,61,34,52,56,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,90,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,49,34,32,108,105,110,101,69,110,100,61,34,52,56,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,87,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,51,34,32,108,105,110,101,69,110,100,61,34,52,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,87,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,51,34,32,108,105,110,101,69,110,100,61,34,52,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,76,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,53,34,32,108,105,110,101,69,110,100,61,34,52,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,76,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,53,34,32,108,105,110,101,69,110,100,61,34,52,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,72,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,54,34,32,108,105,110,101,69,110,100,61,34,52,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,72,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,54,34,32,108,105,110,101,69,110,100,61,34,52,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,109,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,55,34,32,108,105,110,101,69,110,100,61,34,52,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,118,97,108,117,101,95,109,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,55,34,32,108,105,110,101,69,110,100,61,34,52,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,85,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,53,34,32,108,105,110,101,69,110,100,61,34,52,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,85,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,53,34,32,108,105,110,101,69,110,100,61,34,52,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,88,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+757768);
/* memory initializer */ allocate([97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,55,34,32,108,105,110,101,69,110,100,61,34,52,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,88,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,55,34,32,108,105,110,101,69,110,100,61,34,52,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,48,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,48,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,49,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,48,34,32,108,105,110,101,69,110,100,61,34,52,56,50,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,49,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,48,34,32,108,105,110,101,69,110,100,61,34,52,56,50,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,90,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,49,34,32,108,105,110,101,69,110,100,61,34,52,56,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,90,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,49,34,32,108,105,110,101,69,110,100,61,34,52,56,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,87,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,51,34,32,108,105,110,101,69,110,100,61,34,52,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,87,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,51,34,32,108,105,110,101,69,110,100,61,34,52,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,76,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,53,34,32,108,105,110,101,69,110,100,61,34,52,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,76,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,53,34,32,108,105,110,101,69,110,100,61,34,52,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,72,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,54,34,32,108,105,110,101,69,110,100,61,34,52,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,72,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,54,34,32,108,105,110,101,69,110,100,61,34,52,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,109,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,55,34,32,108,105,110,101,69,110,100,61,34,52,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,118,97,108,117,101,95,109,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,55,34,32,108,105,110,101,69,110,100,61,34,52,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,85,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,53,34,32,108,105,110,101,69,110,100,61,34,52,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+768008);
/* memory initializer */ allocate([10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,85,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,53,34,32,108,105,110,101,69,110,100,61,34,52,56,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,88,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,55,34,32,108,105,110,101,69,110,100,61,34,52,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,88,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,55,34,32,108,105,110,101,69,110,100,61,34,52,56,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,48,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,48,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,57,34,32,108,105,110,101,69,110,100,61,34,52,56,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,49,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,48,34,32,108,105,110,101,69,110,100,61,34,52,56,50,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,49,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,48,34,32,108,105,110,101,69,110,100,61,34,52,56,50,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,90,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,49,34,32,108,105,110,101,69,110,100,61,34,52,56,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,90,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,49,34,32,108,105,110,101,69,110,100,61,34,52,56,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,87,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,51,34,32,108,105,110,101,69,110,100,61,34,52,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,87,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,51,34,32,108,105,110,101,69,110,100,61,34,52,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,76,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,53,34,32,108,105,110,101,69,110,100,61,34,52,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,76,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,53,34,32,108,105,110,101,69,110,100,61,34,52,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,72,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,54,34,32,108,105,110,101,69,110,100,61,34,52,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,72,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,54,34,32,108,105,110,101,69,110,100,61,34,52,56,50,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,109,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,55,34,32,108,105,110,101,69,110,100,61,34,52,56,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,118,97,108,117,101,95,109,34,32,99,111,109,109,101,110,116,61,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,50,55,34,32,108,105,110,101,69,110,100,61,34,52,56,50,55,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+778248);
/* memory initializer */ allocate([99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+788488);
/* memory initializer */ allocate([98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+798728);
/* memory initializer */ allocate([32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+808968);
/* memory initializer */ allocate([105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+819208);
/* memory initializer */ allocate([32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+829448);
/* memory initializer */ allocate([32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+839688);
/* memory initializer */ allocate([47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+849928);
/* memory initializer */ allocate([32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+860168);
/* memory initializer */ allocate([108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,34,32,99,111,109,109,101,110,116,61,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,69,110,97,98,108,101,46,98,101,102,111,114,101,34,32,99,111,109,109,101,110,116,61,34,76,111,103,105,99,32,118,97,108,117,101,32,98,101,102,111,114,101,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,69,110,97,98,108,101,46,98,101,102,111,114,101,34,32,99,111,109,109,101,110,116,61,34,76,111,103,105,99,32,118,97,108,117,101,32,98,101,102,111,114,101,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,69,110,97,98,108,101,46,97,102,116,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,103,105,99,32,118,97,108,117,101,32,97,102,116,101,114,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,69,110,97,98,108,101,46,97,102,116,101,114,34,32,99,111,109,109,101,110,116,61,34,76,111,103,105,99,32,118,97,108,117,101,32,97,102,116,101,114,32,115,116,101,112,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,98,105,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,55,34,32,108,105,110,101,69,110,100,61,34,50,52,54,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,110,34,32,99,111,109,109,101,110,116,61,34,78,117,109,98,101,114,32,111,102,32,98,105,116,115,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,55,34,32,108,105,110,101,69,110,100,61,34,50,52,54,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,57,34,32,108,105,110,101,69,110,100,61,34,50,52,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,113,48,34,32,99,111,109,109,101,110,116,61,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,57,34,32,108,105,110,101,69,110,100,61,34,50,52,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,48,46,110,34,32,99,111,109,109,101,110,116,61,34,115,105,103,110,97,108,32,119,105,100,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,48,46,110,34,32,99,111,109,109,101,110,116,61,34,115,105,103,110,97,108,32,119,105,100,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,49,46,110,34,32,99,111,109,109,101,110,116,61,34,115,105,103,110,97,108,32,119,105,100,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,49,46,110,34,32,99,111,109,109,101,110,116,61,34,115,105,103,110,97,108,32,119,105,100,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+870408);
/* memory initializer */ allocate([32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,50,46,110,34,32,99,111,109,109,101,110,116,61,34,115,105,103,110,97,108,32,119,105,100,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,50,46,110,34,32,99,111,109,109,101,110,116,61,34,115,105,103,110,97,108,32,119,105,100,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,81,51,46,110,34,32,99,111,109,109,101,110,116,61,34,115,105,103,110,97,108,32,119,105,100,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,32,32,60,118,97,114,105,97,98,108,101,32,110,97,109,101,61,34,36,80,82,69,46,81,51,46,110,34,32,99,111,109,109,101,110,116,61,34,115,105,103,110,97,108,32,119,105,100,116,104,34,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,62,10,32,32,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,118,97,114,105,97,98,108,101,62,10,60,47,118,97,114,105,97,98,108,101,115,62,10,60,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,50,48,54,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+880648);
/* memory initializer */ allocate([68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,41,41,44,32,55,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,101,108,115,101,32,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,41,41,44,32,54,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,101,108,115,101,32,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+890888);
/* memory initializer */ allocate([100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,41,41,44,32,53,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,101,108,115,101,32,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+901128);
/* memory initializer */ allocate([101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,41,41,44,32,52,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,101,108,115,101,32,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+911368);
/* memory initializer */ allocate([108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,41,41,44,32,51,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,101,108,115,101,32,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,41,41,44,32,50,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,101,108,115,101,32,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+921608);
/* memory initializer */ allocate([49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,41,41,44,32,49,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+931848);
/* memory initializer */ allocate([46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,101,108,115,101,32,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,41,41,44,32,48,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,101,108,115,101,32,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,108,111,99,107,46,116,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,95,115,116,97,114,116,40,67,108,111,99,107,46,116,95,105,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,119,105,100,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,119,105,100,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,112,101,114,105,111,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,32,42,32,67,108,111,99,107,46,112,101,114,105,111,100,32,42,32,67,108,111,99,107,46,119,105,100,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,48,34,32,108,105,110,101,69,110,100,61,34,52,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,108,111,99,107,46,116,95,105,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,108,111,99,107,46,116,95,105,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,51,34,32,108,105,110,101,69,110,100,61,34,52,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,119,105,100,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,116,32,116,105,109,101,32,38,103,116,59,61,32,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,32,111,114,32,116,105,109,101,32,38,103,116,59,61,32,67,108,111,99,107,46,116,95,105,32,43,32,67,108,111,99,107,46,116,95,119,105,100,116,104,32,116,104,101,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,101,108,115,101,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,53,34,32,108,105,110,101,69,110,100,61,34,52,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,108,111,99,107,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,51,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,69,110,97,98,108,101,46,115,116,101,112,84,105,109,101,32,116,104,101,110,10,32,32,32,32,32,32,32,32,32,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,58,61,32,69,110,97,98,108,101,46,97,102,116,101,114,59,10,32,32,32,32,32,32,32,32,101,108,115,101,10,32,32,32,32,32,32,32,32,32,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,58,61,32,69,110,97,98,108,101,46,98,101,102,111,114,101,59,10,32,32,32,32,32,32,32,32,101,110,100,32,105,102,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,49,48,55,34,32,108,105,110,101,69,110,100,61,34,52,49,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,49,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,108,111,99,107,46,121,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+942088);
/* memory initializer */ allocate([105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,51,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,81,48,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,87,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,90,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,88,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,85,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,88,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,48,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,49,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,90,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,87,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,76,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,72,32,101,108,115,101,32,81,48,46,118,97,108,117,101,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,48,34,32,108,105,110,101,69,110,100,61,34,52,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,50,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,51,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,81,49,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,87,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,90,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,88,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,85,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,88,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,48,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,49,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,90,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,87,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,76,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,72,32,101,108,115,101,32,81,49,46,118,97,108,117,101,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,48,34,32,108,105,110,101,69,110,100,61,34,52,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,50,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+952328);
/* memory initializer */ allocate([111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,51,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,81,50,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,87,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,90,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,88,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,85,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,88,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,48,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,49,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,90,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,87,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,76,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,72,32,101,108,115,101,32,81,50,46,118,97,108,117,101,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,48,34,32,108,105,110,101,69,110,100,61,34,52,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,50,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,81,51,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,87,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,90,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,88,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,85,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,88,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,48,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,49,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,90,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,87,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,76,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,72,32,101,108,115,101,32,81,51,46,118,97,108,117,101,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,48,34,32,108,105,110,101,69,110,100,61,34,52,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,50,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+962568);
/* memory initializer */ allocate([121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+972808);
/* memory initializer */ allocate([47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,108,111,99,107,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,102,97,108,115,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,51,34,32,108,105,110,101,69,110,100,61,34,52,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+983048);
/* memory initializer */ allocate([61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+993288);
/* memory initializer */ allocate([109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,49,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,36,80,82,69,46,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,105,110,105,116,105,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,114,101,115,105,100,117,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,50,49,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,100,101,114,40,36,100,117,109,109,121,41,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,100,101,108,97,121,40,49,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,48,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,101,108,115,101,32,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1003528);
/* memory initializer */ allocate([62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,100,101,108,97,121,40,48,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,49,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,101,108,115,101,32,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,100,101,108,97,121,40,51,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,50,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,101,108,115,101,32,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1013768);
/* memory initializer */ allocate([111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,100,101,108,97,121,40,50,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,51,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,101,108,115,101,32,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,53,34,62], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1024008);
/* memory initializer */ allocate([10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,100,101,108,97,121,40,53,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,52,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,101,108,115,101,32,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,100,101,108,97,121,40,52,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,53,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,101,108,115,101,32,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1034248);
/* memory initializer */ allocate([115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,100,101,108,97,121,40,55,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,54,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,101,108,115,101,32,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,48,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,105,110,116,101,103,101,114,40,100,101,108,97,121,40,54,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,55,41,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,52,34,32,108,105,110,101,69,110,100,61,34,50,57,57,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,38,103,116,59,32,48,46,48,32,116,104,101,110,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,32,116,104,101,110,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,101,108,115,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,101,108,115,101,32,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,53,34,32,108,105,110,101,69,110,100,61,34,50,57,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,52,34,32,108,105,110,101,69,110,100,61,34,51,50,55,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,50,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1044488);
/* memory initializer */ allocate([62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,55,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,112,101,114,105,111,100,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,115,97,109,112,108,101,40,49,44,32,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,44,32,67,108,111,99,107,46,112,101,114,105,111,100,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,51,34,32,108,105,110,101,69,110,100,61,34,52,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,58,61,32,112,114,101,40,67,111,117,110,116,101,114,46,101,110,97,98,108,101,41,59,10,32,32,32,32,32,32,32,32,105,102,32,116,105,109,101,32,38,103,116,59,61,32,69,110,97,98,108,101,46,115,116,101,112,84,105,109,101,32,116,104,101,110,10,32,32,32,32,32,32,32,32,32,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,58,61,32,69,110,97,98,108,101,46,97,102,116,101,114,59,10,32,32,32,32,32,32,32,32,101,108,115,101,10,32,32,32,32,32,32,32,32,32,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,58,61,32,69,110,97,98,108,101,46,98,101,102,111,114,101,59,10,32,32,32,32,32,32,32,32,101,110,100,32,105,102,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,34,32,108,105,110,101,83,116,97,114,116,61,34,48,34,32,108,105,110,101,69,110,100,61,34,48,34,32,99,111,108,83,116,97,114,116,61,34,48,34,32,99,111,108,69,110,100,61,34,48,34,47,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,50,34,62,10,32,32,60,119,104,101,110,62,10,32,32,32,32,60,99,111,110,100,62,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,60,47,99,111,110,100,62,10,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,105,34,32,47,62,10,32,32,32,32,60,114,104,115,62,116,105,109,101,60,47,114,104,115,62,10,32,32,60,47,119,104,101,110,62,10,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,51,34,32,108,105,110,101,69,110,100,61,34,52,51,54,51,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,50,52,34,47,62,10,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,119,105,100,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,116,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,110,111,116,32,116,105,109,101,32,38,103,116,59,61,32,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,32,111,114,32,116,105,109,101,32,38,103,116,59,61,32,67,108,111,99,107,46,116,95,105,32,43,32,67,108,111,99,107,46,116,95,119,105,100,116,104,32,116,104,101,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,101,108,115,101,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,53,34,32,108,105,110,101,69,110,100,61,34,52,51,54,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,108,111,99,107,46,121,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,108,111,99,107,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,51,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,56,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1054728);
/* memory initializer */ allocate([97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,108,111,99,107,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,51,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,50,57,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,51,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,48,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1064968);
/* memory initializer */ allocate([66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,57,34,32,108,105,110,101,69,110,100,61,34,51,51,49,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,51,34,32,108,105,110,101,69,110,100,61,34,51,50,55,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,56,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,49,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,41,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,49,34,32,108,105,110,101,69,110,100,61,34,51,52,53,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,49,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,55,34,32,108,105,110,101,69,110,100,61,34,51,52,52,56,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,50,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,53,48,34,32,108,105,110,101,69,110,100,61,34,51,52,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,56,50,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,44,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,40,35,83,72,65,82,69,68,95,76,73,84,69,82,65,76,95,51,40,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,91,57,44,32,57,93,41,35,41,91,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,93,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,53,34,32,108,105,110,101,69,110,100,61,34,51,51,49,54,34,32,99,111,108,83,116,97,114,116,61,34,49,51,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,81,48,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,87,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,90,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,88,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,48,46,118,97,108,117,101,95,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,85,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,88,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,48,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,49,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,90,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,87,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,76,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1075208);
/* memory initializer */ allocate([101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,32,116,104,101,110,32,81,48,46,118,97,108,117,101,95,72,32,101,108,115,101,32,81,48,46,118,97,108,117,101,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,48,34,32,108,105,110,101,69,110,100,61,34,52,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,50,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,81,49,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,87,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,90,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,88,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,49,46,118,97,108,117,101,95,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,85,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,88,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,48,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,49,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,90,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,87,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,76,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,32,116,104,101,110,32,81,49,46,118,97,108,117,101,95,72,32,101,108,115,101,32,81,49,46,118,97,108,117,101,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,48,34,32,108,105,110,101,69,110,100,61,34,52,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,50,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,81,50,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,87,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,90,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,88,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,50,46,118,97,108,117,101,95,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,85,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,88,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,48,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,49,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,90,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,87,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,76,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,32,116,104,101,110,32,81,50,46,118,97,108,117,101,95,72,32,101,108,115,101,32,81,50,46,118,97,108,117,101,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,48,34,32,108,105,110,101,69,110,100,61,34,52,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,50,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,81,51,46,121,91,49,93,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,109,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,72,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,76,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,87,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,90,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,49,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,88,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,81,51,46,118,97,108,117,101,95,85,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,85,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,88,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,48,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,49,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,90,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,87,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,76,32,101,108,115,101,32,105,102,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,61,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,32,116,104,101,110,32,81,51,46,118,97,108,117,101,95,72,32,101,108,115,101,32,81,51,46,118,97,108,117,101,95,109,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,51,48,34,32,108,105,110,101,69,110,100,61,34,52,56,51,54,34,32,99,111,108,83,116,97,114,116,61,34,49,50,34,32,99,111,108,69,110,100,61,34,53,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,46,36,102,111,114,32,108,111,111,112,32,115,99,111,112,101,36,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,101,113,117,97,116,105,111,110,115,62,10,60,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,105,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,56,34,32,108,105,110,101,69,110,100,61,34,52,51,53,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,115,116,97,114,116,45,101,113,117,97,116,105,111,110,115,62,10,60,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,110,111,109,105,110,97,108,45,101,113,117,97,116,105,111,110,115,62,10,60,109,105,110,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,105,110,45,101,113,117,97,116,105,111,110,115,62,10,60,109,97,120,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,109,97,120,45,101,113,117,97,116,105,111,110,115,62,10,60,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,32,115,105,122,101,61,34,49,48,50,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,50,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,108,111,99,107,46,116,95,119,105,100,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,119,105,100,116,104,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,108,111,99,107,46,112,101,114,105,111,100,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,48,46,48,49,32,42,32,67,108,111,99,107,46,112,101,114,105,111,100,32,42,32,67,108,111,99,107,46,119,105,100,116,104,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,54,48,34,32,108,105,110,101,69,110,100,61,34,52,51,54,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1085448);
/* memory initializer */ allocate([34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,51,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1095688);
/* memory initializer */ allocate([32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,52,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1105928);
/* memory initializer */ allocate([46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,53,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,48,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,52,34,32,108,105,110,101,69,110,100,61,34,49,56,50,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,49,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,50,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,51,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,52,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,53,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,54,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,55,34,32,108,105,110,101,69,110,100,61,34,49,53,50,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,55,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,56,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,55,34,32,108,105,110,101,69,110,100,61,34,50,57,56,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,54,57,34,62,10,32,32,32,32,60,97,115,115,105,103,110,62,10,32,32,32,32,32,32,60,100,101,102,105,110,101,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,34,32,47,62,10,32,32,32,32,32,32,60,100,101,112,101,110,100,115,32,110,97,109,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,34,32,47,62,10,32,32,32,32,32,32,60,114,104,115,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,60,47,114,104,115,62,10,32,32,32,32,60,47,97,115,115,105,103,110,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,81,51,46,110,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,81,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,81,51,46,110,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,81,51,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,81,50,46,110,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,81,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,81,50,46,110,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,81,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1116168);
/* memory initializer */ allocate([49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,81,49,46,110,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,81,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,81,49,46,110,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,81,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,81,48,46,110,32,38,103,116,59,61,32,49,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,81,48,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,81,48,46,110,32,38,103,116,59,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,81,48,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,56,49,52,34,32,108,105,110,101,69,110,100,61,34,52,56,49,52,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,81,48,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,67,111,110,118,101,114,116,101,114,115,46,76,111,103,105,99,84,111,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1126408);
/* memory initializer */ allocate([111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1136648);
/* memory initializer */ allocate([47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,51,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1146888);
/* memory initializer */ allocate([101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1157128);
/* memory initializer */ allocate([46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,56,56,34,32,108,105,110,101,69,110,100,61,34,50,57,56,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,53,50,56,34,32,108,105,110,101,69,110,100,61,34,49,53,50,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1167368);
/* memory initializer */ allocate([60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,32,38,103,116,59,61,32,50,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,32,38,103,116,59,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,56,34,32,108,105,110,101,69,110,100,61,34,50,55,49,56,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,54,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,73,110,116,101,103,101,114,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,73,110,116,101,103,101,114,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,49,56,50,53,34,32,108,105,110,101,69,110,100,61,34,49,56,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,113,48,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,113,48,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,113,48,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,54,57,34,32,108,105,110,101,69,110,100,61,34,50,52,54,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,108,111,99,107,46,119,105,100,116,104,32,38,103,116,59,61,32,49,101,45,54,48,32,97,110,100,32,67,108,111,99,107,46,119,105,100,116,104,32,38,108,116,59,61,32,49,48,48,46,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,108,111,99,107,46,119,105,100,116,104,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,108,111,99,107,46,119,105,100,116,104,32,38,103,116,59,61,32,49,101,45,54,48,32,97,110,100,32,67,108,111,99,107,46,119,105,100,116,104,32,38,108,116,59,61,32,49,48,48,46,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,108,111,99,107,46,119,105,100,116,104,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,49,34,32,108,105,110,101,69,110,100,61,34,52,51,53,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,82,101,97,108,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,108,111,99,107,46,112,101,114,105,111,100,32,38,103,116,59,61,32,49,101,45,54,48,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,108,111,99,107,46,112,101,114,105,111,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,108,111,99,107,46,112,101,114,105,111,100,32,38,103,116,59,61,32,49,101,45,54,48,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,108,111,99,107,46,112,101,114,105,111,100,44,32,38,113,117,111,116,59,103,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,52,57,34,32,108,105,110,101,69,110,100,61,34,52,51,53,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,55,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,82,101,97,108,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,83,73,117,110,105,116,115,46,84,105,109,101,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,69,110,97,98,108,101,46,97,102,116,101,114,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,69,110,97,98,108,101,46,97,102,116,101,114,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,69,110,97,98,108,101,46,97,102,116,101,114,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,69,110,97,98,108,101,46,97,102,116,101,114,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,69,110,97,98,108,101,46,97,102,116,101,114,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,69,110,97,98,108,101,46,97,102,116,101,114,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,56,34,32,108,105,110,101,69,110,100,61,34,52,48,57,57,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,51,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,69,110,97,98,108,101,46,98,101,102,111,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,69,110,97,98,108,101,46,98,101,102,111,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,69,110,97,98,108,101,46,98,101,102,111,114,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,69,110,97,98,108,101,46,98,101,102,111,114,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,69,110,97,98,108,101,46,98,101,102,111,114,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,69,110,97,98,108,101,46,98,101,102,111,114,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,48,57,54,34,32,108,105,110,101,69,110,100,61,34,52,48,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,69,110,97,98,108,101,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,83,116,101,112,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,112,97,114,97,109,101,116,101,114,45,101,113,117,97,116,105,111,110,115,62,10,60,97,115,115,101,114,116,105,111,110,115,32,115,105,122,101,61,34,49,49,52,34,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1177608);
/* memory initializer */ allocate([99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1187848);
/* memory initializer */ allocate([97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,52,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1198088);
/* memory initializer */ allocate([97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1208328);
/* memory initializer */ allocate([114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,53,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1218568);
/* memory initializer */ allocate([97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,54,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1228808);
/* memory initializer */ allocate([82,83,49,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,55,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1239048);
/* memory initializer */ allocate([32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,56,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,44,32,38,113,117,111,116,59,100,38,113,117], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1249288);
/* memory initializer */ allocate([111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,57,57,49,34,32,108,105,110,101,69,110,100,61,34,50,57,57,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,51,57,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1259528);
/* memory initializer */ allocate([108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,52,57,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,108,111,99,107,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,108,111,99,107,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,108,111,99,107,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,108,111,99,107,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,108,111,99,107,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,108,111,99,107,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,52,51,53,52,34,32,108,105,110,101,69,110,100,61,34,52,51,53,54,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,108,111,99,107,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,83,111,117,114,99,101,115,46,67,108,111,99,107,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,101,110,97,98,108,101,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,101,110,97,98,108,101,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,52,55,48,34,32,108,105,110,101,69,110,100,61,34,50,52,55,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,53,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1269768);
/* memory initializer */ allocate([105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,48,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1280008);
/* memory initializer */ allocate([101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,49,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1290248);
/* memory initializer */ allocate([69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,50,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1300488);
/* memory initializer */ allocate([114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,53,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,54,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,55,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,49,34,32,108,105,110,101,69,110,100,61,34,51,51,49,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,56,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,49,57,34,32,108,105,110,101,69,110,100,61,34,50,55,50,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,49,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,51,57,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,51,49,48,34,32,108,105,110,101,69,110,100,61,34,51,51,49,48,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,48,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1310728);
/* memory initializer */ allocate([97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,55,50,51,34,32,108,105,110,101,69,110,100,61,34,50,55,50,53,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,65,110,100,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,49,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,50,55,49,34,32,108,105,110,101,69,110,100,61,34,51,50,55,49,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,52,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,116,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,50,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,51,34,32,108,105,110,101,69,110,100,61,34,51,52,52,51,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,55,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,51,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,51,52,52,50,34,32,108,105,110,101,69,110,100,61,34,51,52,52,50,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,54,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,66,97,115,105,99,46,78,111,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,32,32,60,101,113,117,97,116,105,111,110,32,105,110,100,101,120,61,34,53,52,52,34,62,10,32,32,32,32,60,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,32,32,32,32,97,115,115,101,114,116,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,44,32,38,113,117,111,116,59,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,38,103,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,32,38,108,116,59,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,38,113,117,111,116,59,32,43,32,83,116,114,105,110,103,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,44,32,38,113,117,111,116,59,100,38,113,117,111,116,59,41,41,59,10,32,32,32,32,60,47,115,116,97,116,101,109,101,110,116,62,10,32,32,32,32,60,115,111,117,114,99,101,62,10,32,32,32,32,32,32,60,105,110,102,111,32,102,105,108,101,61,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,108,105,110,101,83,116,97,114,116,61,34,50,54,57,53,34,32,108,105,110,101,69,110,100,61,34,50,54,57,55,34,32,99,111,108,83,116,97,114,116,61,34,49,49,34,32,99,111,108,69,110,100,61,34,52,48,34,47,62,10,32,32,32,32,32,32,60,112,97,114,116,45,111,102,62,119,105,116,104,105,110,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,59,60,47,112,97,114,116,45,111,102,62,10,32,32,32,32,32,32,60,105,110,115,116,97,110,99,101,62,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,60,47,105,110,115,116,97,110,99,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,67,111,117,110,116,101,114,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,74,75,70,70,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,85,116,105,108,105,116,105,101,115,46,82,83,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,68,101,108,97,121,46,84,114,97,110,115,112,111,114,116,68,101,108,97,121,60,47,116,121,112,101,62,10,32,32,32,32,32,32,60,116,121,112,101,62,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,60,47,116,121,112,101,62,10,32,32,32,32,60,47,115,111,117,114,99,101,62,10,32,32,60,47,101,113,117,97,116,105,111,110,62,10,60,47,97,115,115,101,114,116,105,111,110,115,62,10,60,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,47,106,97,99,111,98,105,97,110,45,101,113,117,97,116,105,111,110,115,62,10,60,108,105,116,101,114,97,108,115,32,115,105,122,101,61,34,52,34,62,10,32,32,60,101,120,112,62,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,90,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,87,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,76,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,72,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1320968);
/* memory initializer */ allocate([99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,60,47,101,120,112,62,10,32,32,60,101,120,112,62,123,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,44,32,123,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,44,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,88,39,125,125,60,47,101,120,112,62,10,60,47,108,105,116,101,114,97,108,115,62,10,60,102,117,110,99,116,105,111,110,115,32,115,105,122,101,61,34,48,34,62,10,60,47,102,117,110,99,116,105,111,110,115,62,10,60,47,115,105,109,99,111,100,101,100,117,109,112,62,10,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,32,109,101,116,104,111,100,32,115,116,97,114,116,115,32,105,110,32,105,110,116,101,114,118,97,108,32,91,37,101,44,32,37,101,93,0,0,0,0,110,117,109,98,101,114,32,111,102,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,40,41,32,58,32,37,100,0,0,0,100,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,83,79,77,69,32,69,76,69,77,69,78,84,32,79,70,32,73,78,70,79,32,86,69,67,84,79,82,32,73,83,32,78,79,84,32,90,69,82,79,32,79,82,32,79,78,69,0,105,110,116,101,103,101,114,40,100,101,108,97,121,40,49,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,48,41,0,115,117,98,115,116,114,105,110,103,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,111,117,116,112,117,116,0,0,100,111,99,117,109,101,110,116,32,105,115,32,110,111,116,32,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,108,111,99,107,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,32,111,114,32,50,32,99,111,108,115,0,101,109,112,116,121,32,108,105,115,116,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,108,105,110,101,83,116,97,114,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,60,111,117,116,112,117,116,70,111,114,109,97,116,62,0,0,67,89,67,0,0,0,0,0,76,79,71,95,83,79,76,86,69,82,0,0,0,0,0,0,115,111,108,118,101,114,0,0,119,43,98,0,0,0,0,0,116,114,117,101,0,0,0,0,37,53,100,32,101,118,97,108,117,97,116,105,111,110,115,32,111,102,32,106,97,99,111,98,105,97,110,0,0,0,0,0,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,60,63,120,109,108,32,118,101,114,115,105,111,110,32,61,32,34,49,46,48,34,32,101,110,99,111,100,105,110,103,61,34,85,84,70,45,56,34,63,62,10,10,60,33,45,45,32,100,101,115,99,114,105,112,116,105,111,110,32,111,102,32,116,104,101,32,109,111,100,101,108,32,105,110,116,101,114,102,97,99,101,32,117,115,105,110,103,32,97,110,32,101,120,116,101,110,116,105,111,110,32,111,102,32,116,104,101,32,70,77,73,32,115,116,97,110,100,97,114,100,32,45,45,62,10,60,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,10,32,32,102,109,105,86,101,114,115,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,46,48,34,10,10,32,32,109,111,100,101,108,78,97,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,34,10,32,32,109,111,100,101,108,73,100,101,110,116,105,102,105,101,114,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,77,111,100,101,108,105,99,97,95,69,108,101,99,116,114,105,99,97,108,95,68,105,103,105,116,97,108,95,69,120,97,109,112,108,101,115,95,67,111,117,110,116,101,114,34,10,32,32,10,32,32,79,80,69,78,77,79,68,69,76,73,67,65,72,79,77,69,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,34,10,32,32,10,32,32,103,117,105,100,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,34,10,32,32,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,71,101,110,101,114,105,99,32,78,32,66,105,116,32,67,111,117,110,116,101,114,32,69,120,97,109,112,108,101,34,10,32,32,103,101,110,101,114,97,116,105,111,110,84,111,111,108,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,79,112,101,110,77,111,100,101,108,105,99,97,32,67,111,109,112,105,108,101,114,32,49,46,57,46,49,43,100,101,118,32,40,114,49,57,50,52,53,41,32,40,66,111,111,116,115,116,114,97,112,112,105,110,103,32,118,101,114,115,105,111,110,41,34,10,32,32,103,101,110,101,114,97,116,105,111,110,68,97,116,101,65,110,100,84,105,109,101,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,50,48,49,52,45,48,50,45,50,53,84,49,50,58,51,51,58,50,57,90,34,10,32,32,10,32,32,118,97,114,105,97,98,108,101,78,97,109,105,110,103,67,111,110,118,101,110,116,105,111,110,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,115,116,114,117,99,116,117,114,101,100,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,56,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,118,101,110,116,73,110,100,105,99,97,116,111,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,84,105,109,101,69,118,101,110,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,71,95,83,65,77,58,32,32,32,110,117,109,98,101,114,32,111,102,32,122,101,114,111,32,99,114,111,115,115,105,110,103,115,32,116,104,97,116,32,97,114,101,32,115,97,109,112,108,101,115,44,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,73,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,79,117,116,112,117,116,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,79,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,111,117,116,112,117,116,118,97,114,32,111,110,32,116,111,112,109,111,100,101,108,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,115,105,100,117,97,108,115,70,111,114,73,110,105,116,105,97,108,105,122,97,116,105,111,110,32,32,61,32,34,78,82,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,115,105,100,117,97,108,115,32,102,111,114,32,105,110,105,116,105,97,108,105,97,108,105,122,97,116,105,111,110,32,102,117,110,99,116,105,111,110,44,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,69,120,116,101,114,110,97,108,79,98,106,101,99,116,115,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,69,88,84,58,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,101,120,116,101,114,110,97,108,32,111,98,106,101,99,116,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,70,117,110,99,116,105,111,110,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,70,85,78,67,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,102,117,110,99,116,105,111,110,115,32,117,115,101,100,32,98,121,32,116,104,101,32,115,105,109,117,108,97,116,105,111,110,44,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,67,111,110,116,105,110,117,111,117,115,83,116,97,116,101,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,88,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,97,116,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,70,77,73,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,54,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,61,32,34,78,89,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,65,108,103,101,98,114,97,105,99,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,61,32,34,78,65,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,54,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,82,101,97,108,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,58,32,32,32,32,32,32,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,49,49,52,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,49,57,52,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,105,110,116,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,54,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,73,110,116,101,103,101,114,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,73,78,84,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,105,110,116,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,32,61,32,34,78,89,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,32,61,32,34,78,65,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,83,116,114,105,110,103,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,83,84,82,58,32,32,32,32,110,117,109,98,101,114,32,111,102,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,49,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,103,101,98,114,97,105,99,86,97,114,105,97,98,108,101,115,32,32,32,61,32,34,78,89,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,103,46,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,65,108,105,97,115,86,97,114,105,97,98,108,101,115,32,32,32,32,32,32,32,61,32,34,78,65,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,97,108,105,97,115,32,98,111,111,108,32,118,97,114,105,97,98,108,101,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,10,32,32,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,48,34,32,32,99,109,116,95,110,117,109,98,101,114,79,102,66,111,111,108,101,97,110,80,97,114,97,109,101,116,101,114,115,32,32,32,32,32,32,32,32,32,32,32,61,32,34,78,80,66,79,79,76,58,32,32,32,110,117,109,98,101,114,32,111,102,32,98,111,111,108,32,112,97,114,97,109,101,116,101,114,115,44,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,79,77,67,34,32,62,10,32,32,10,32,32,10,32,32,60,33,45,45,32,115,116,97,114,116,84,105,109,101,44,32,115,116,111,112,84,105,109,101,44,32,116,111,108,101,114,97,110,99,101,32,97,114,101,32,70,77,73,32,115,112,101,99,105,102,105,99,44,32,97,108,108,32,111,116,104,101,114,115,32,97,114,101,32,79,77,67,32,115,112,101,99,105,102,105,99,32,45,45,62,10,32,32,60,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,10,32,32,32,32,115,116,97,114,116,84,105,109,101,32,32,32,32,32,32,61,32,34,48,46,48,34,10,32,32,32,32,115,116,111,112,84,105,109,101,32,32,32,32,32,32,32,61,32,34,49,48,48,46,48,34,10,32,32,32,32,115,116,101,112,83,105,122,101,32,32,32,32,32,32,32,61,32,34,48,46,48,50,34,10,32,32,32,32,116,111,108,101,114,97,110,99,101,32,32,32,32,32,32,61,32,34,49,101,45,48,54,34,10,32,32,32,32,115,111,108,118,101,114,32,32,32,32,32,32,32,32,32,61,32,34,100,97,115,115,108,34,10,32,32,32,32,111,117,116,112,117,116,70,111,114,109,97,116,32,32,32,61,32,34,99,115,118,34,10,32,32,32,32,118,97,114,105,97,98,108,101,70,105,108,116,101,114,32,61,32,34,46,42,34,32,47,62,10,32,32,32,32,10,32,32,60,33,45,45,32,118,97,114,105,97,98,108,101,115,32,105,110,32,116,104,101,32,109,111,100,101,108,32,45,45,62,10], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1331208);
/* memory initializer */ allocate([32,32,60,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,100,117,109,109,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,83,116,97,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,100,101,114,40,36,100,117,109,109,121,41,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,68,101,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,48,34,32,101,110,100,76,105,110,101,32,61,32,34,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,108,111,99,107,46,116,95,105,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,83,116,97,114,116,32,116,105,109,101,32,111,102,32,99,117,114,114,101,110,116,32,112,101,114,105,111,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,53,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,53,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,108,111,99,107,46,116,95,119,105,100,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,99,111,110,116,105,110,117,111,117,115,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,54,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,54,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,100,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,100,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,100,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,100,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1341448);
/* memory initializer */ allocate([118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,100,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,100,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,100,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,100,101,108,97,121,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,69,110,97,98,108,101,46,115,116,101,112,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,115,116,101,112,32,116,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,48,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,79,117,116,112,117,116,32,61,32,111,102,102,115,101,116,32,102,111,114,32,116,105,109,101,32,38,108,116,59,32,115,116,97,114,116,84,105,109,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,52,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,52,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,108,111,99,107,46,112,101,114,105,111,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,84,105,109,101,32,102,111,114,32,111,110,101,32,112,101,114,105,111,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,52,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,53,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,108,111,99,107,46,119,105,100,116,104,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,87,105,100,116,104,32,111,102,32,112,117,108,115,101,115,32,105,110,32,37,32,111,102,32,112,101,114,105,111,100,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,53,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,53,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,53,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,109,105,110,61,34,49,101,45,54,48,34,32,109,97,120,61,34,49,48,48,46,48,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,100,101,108,97,121,84,105,109,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,68,101,108,97,121,32,111,102,32,101,97,99,104,32,74,75,70,70,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,54,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,48,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,117,110,105,116,61,34,115,34,32,100,105,115,112,108,97,121,85,110,105,116,61,34,115,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,85,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,88,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,49,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,90,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1351688);
/* memory initializer */ allocate([97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,87,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,118,97,108,117,101,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,85,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,88,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,49,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,90,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,87,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,118,97,108,117,101,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,85,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,88,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,49,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,90,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,49,34,32,115,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1361928);
/* memory initializer */ allocate([97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,87,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,118,97,108,117,101,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,85,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,85,32,40,117,110,105,110,105,116,105,97,108,105,122,101,100,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,88,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,88,32,40,70,111,114,99,105,110,103,32,85,110,107,110,111,119,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,48,32,40,70,111,114,99,105,110,103,32,48,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,49,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,49,32,40,70,111,114,99,105,110,103,32,49,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,90,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,90,32,40,72,105,103,104,32,73,109,112,101,100,97,110,99,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,87,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,87,32,40,87,101,97,107,32,32,32,32,85,110,107,110,111,119,110,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,56,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,76,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,76,32,40,87,101,97,107,32,48,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,72,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,72,32,40,87,101,97,107,32,49,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,46,48,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,118,97,108,117,101,95,109,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,118,97,108,117,101,32,102,111,114,32,100,105,103,105,116,97,108,32,109,32,40,68,111,32,110,111,116,32,99,97,114,101,41,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,102,97,108,115,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,114,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,50,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,56,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,82,101,97,108,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,48,46,53,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,117,115,101,78,111,109,105,110,97,108,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1372168);
/* memory initializer */ allocate([105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,55,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1382408);
/* memory initializer */ allocate([116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,48,57,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1392648);
/* memory initializer */ allocate([10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,57,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,57,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1402888);
/* memory initializer */ allocate([47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1413128);
/* memory initializer */ allocate([101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,53,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1423368);
/* memory initializer */ allocate([102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,50,55,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,50,55,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,49,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,108,111,99,107,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,53,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,53,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1433608);
/* memory initializer */ allocate([32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,49,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,52,34,10,32,32,100,101,115,99,114,105,112,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1443848);
/* memory initializer */ allocate([105,111,110,32,61,32,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1454088);
/* memory initializer */ allocate([80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,50,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,50,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,105,110,112,117,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,49,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,50,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,105,110,105,116,105,97,108,32,118,97,108,117,101,32,111,102,32,111,117,116,112,117,116,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,57,56,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,57,56,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,55,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,69,110,97,98,108,101,46,98,101,102,111,114,101,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,103,105,99,32,118,97,108,117,101,32,98,101,102,111,114,101,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,69,110,97,98,108,101,46,97,102,116,101,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,76,111,103,105,99,32,118,97,108,117,101,32,97,102,116,101,114,32,115,116,101,112,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,48,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,48,57,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,49,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,78,117,109,98,101,114,32,111,102,32,98,105,116,115,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,54,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,52,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,113,48,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,73,110,105,116,105,97,108,32,118,97,108,117,101,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,116,114,117,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,54,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,54,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,51,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,48,39,42,47,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,51,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,115,105,103,110,97,108,32,119,105,100,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,115,105,103,110,97,108,32,119,105,100,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,115,105,103,110,97,108,32,119,105,100,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,115,105,103,110,97,108,32,119,105,100,116,104,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,112,97,114,97,109,101,116,101,114,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,80,97,114,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1464328);
/* memory initializer */ allocate([46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,49,52,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,51,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,52,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,99,108,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,99,108,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1474568);
/* memory initializer */ allocate([56,50,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,57,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,54,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,113,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,113,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,113,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,113,91,52,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,81,48,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,56,48,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,56,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,50,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,99,108,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,99,108,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,108,111,99,107,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,120,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,108,111,99,107,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,54,57,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,106,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,106,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,120,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1484808);
/* memory initializer */ allocate([101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,106,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,120,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,106,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,56,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,50,54,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,50,55,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,120,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,107,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,108,111,99,107,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,108,111,99,107,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,120,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1495048);
/* memory initializer */ allocate([117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,50,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,111,116,32,81,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,111,116,32,81,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,48,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,111,116,32,81,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1505288);
/* memory initializer */ allocate([99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,110,111,116,32,81,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,56,51,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,56,51,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,51,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1515528);
/* memory initializer */ allocate([121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,51,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,108,111,99,107,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,51,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,57,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,78,111,116,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,52,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,120], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1525768);
/* memory initializer */ allocate([91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,48,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,53,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,49,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,78,111,116,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,54,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1536008);
/* memory initializer */ allocate([117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,50,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,49,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,55,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,51,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1546248);
/* memory initializer */ allocate([117,110,116,101,114,46,70,70,91,51,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,56,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,52,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,51,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,51,57,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,50,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,53,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,10,32], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1556488);
/* memory initializer */ allocate([32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,53,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,84,68,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,55,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,56,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,48,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,84,68,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,54,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,55,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,56,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,54,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,50,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,113,110,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,52,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,51,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,49,57,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,115,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,48,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,52,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,55,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,49,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,120,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,49,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,55,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1566728);
/* memory initializer */ allocate([97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,52,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,91,50,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,97,117,120,105,108,105,97,114,121,95,110,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,51,49,48,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,51,49,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,52,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,56,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,53,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,50,57,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,54,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,48,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,55,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,114,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,49,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,56,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,49,53,51,53,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,49,53,51,54,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,53,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,50,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,105,110,112,117,116,32,115,105,103,110,97,108,32,118,101,99,116,111,114,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,56,57,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,55,49,57,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,50,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,49,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,49,93,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,51,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,51,52,52,50,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,51,52,52,50,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,54,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,116,114,117,101,34,32,115,116,97,114,116,61,34,49,32,47,42,69,78,85,77,58,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,42,47,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,52,34,10,32,32,100,101,115,99,114,105,112,116,105,111,110,32,61,32,34,67,111,110,110,101,99,116,111,114,32,111,102,32,68,105,103,105,116,97,108,32,111,117,116,112,117,116,32,115,105,103,110,97,108,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,49,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,54,57,56,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,55,48,48,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,67,111,117,110,116,101,114,46,99,111,117,110,116,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,53,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,108,111,99,107,46,121,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,50,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,50,52,55,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,50,52,55,53,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,53,57,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,69,110,97,98,108,101,46,121,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,54,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,97,108,105,97,115,34,32,97,108,105,97,115,86,97,114,105,97,98,108,101,61,34,67,111,117,110,116,101,114,46,101,110,97,98,108,101,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,49,57,51,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,105,65,108,105,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,49,48,49,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,49,34,32,101,110,100,76,105,110,101,32,61,32,34,52,49,48,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,52,48,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,73,110,116,101,103,101,114,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,102,97,108,115,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,83,99,97,108,97,114,86,97,114,105,97,98,108,101,10,32,32,110,97,109,101,32,61,32,34,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,34,10,32,32,118,97,108,117,101,82,101,102,101,114,101,110,99,101,32,61,32,34,49,52,51,55,34,10,32,32,118,97,114,105,97,98,105,108,105,116,121,32,61,32,34,100,105,115,99,114,101,116,101,34,32,105,115,68,105,115,99,114,101,116,101,32,61,32,34,116,114,117,101,34,10,32,32,99,97,117,115,97,108,105,116,121,32,61,32,34,105,110,116,101,114,110,97,108,34,32,105,115,86,97,108,117,101,67,104,97,110,103,101,97,98,108,101,32,61,32,34,102,97,108,115,101,34,10,32,32,97,108,105,97,115,32,61,32,34,110,111,65,108,105,97,115,34,10,32,32,99,108,97,115,115,73,110,100,101,120,32,61,32,34,48,34,32,99,108,97,115,115,84,121,112,101,32,61,32,34,98,65,108,103,34,10,32,32,102,105,108,101,78,97,109,101,32,61,32,34,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,34,32,115,116,97,114,116,76,105,110,101,32,61,32,34,52,51,54,51,34,32,115,116,97,114,116,67,111,108,117,109,110,32,61,32,34,49,51,34,32,101,110,100,76,105,110,101,32,61,32,34,52,51,54,51,34,32,101,110,100,67,111,108,117,109,110,32,61,32,34,50,52,34,32,102,105,108,101,87,114,105,116,97,98,108,101,32,61,32,34,116,114,117,101,34,62,10,32,32,60,66,111,111,108,101,97,110,32,117,115,101,83,116,97,114,116,61,34,102,97,108,115,101,34,32,102,105,120,101,100,61,34,116,114,117,101,34,32,47,62,10,32,32,60,47,83,99,97,108,97,114,86,97,114,105,97,98,108,101,62,10,10,32,32,60,47,77,111,100,101,108,86,97,114,105,97,98,108,101,115,62,10,32,32,10,32,32,10,60,47,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,62,10,10,0,0,0,0,0,0,0,0,98,97,99,107,117,112,95,103,111,117,116,0,0,0,0,0,110,117,109,98,101,114,32,111,102,32,115,116,101,112,115,32,116,97,107,101,110,32,115,111,32,102,97,114,58,32,37,100,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,78,73,84,73,65,76,32,89,80,82,73,77,69,32,67,79,85,76,68,32,78,79,84,32,66,69,32,67,79,77,80,85,84,69,68,0,0,0,110,111,69,118,101,110,116,69,109,105,116,0,0,0,0,0,101,114,114,111,114,32,105,110,32,112,114,111,99,101,115,115,105,110,103,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,36,119,104,101,110,67,111,110,100,105,116,105,111,110,49,32,102,114,111,109,32,37,100,32,116,111,32,37,100,0,0,0,0,0,108,101,102,116,32,111,102,102,0,0,0,0,0,0,0,0,100,97,116,97,95,49,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,97,116,32,108,101,97,115,116,32,49,32,118,97,114,105,97,98,108,101,0,0,0,0,0,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,47,68,105,103,105,116,97,108,46,109,111,0,0,0,0,0,115,116,97,114,116,105,111,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,102,105,108,101,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,109,101,116,104,111,100,62,10,0,0,0,0,0,0,82,84,0,0,0,0,0,0,76,79,71,95,83,73,77,85,76,65,84,73,79,78,0,0,116,111,108,101,114,97,110,99,101,32,61,32,37,103,0,0,114,43,98,0,0,0,0,0,91,37,108,100,93,32,66,111,111,108,101,97,110,32,37,115,40,115,116,97,114,116,61,37,115,41,32,61,32,37,115,32,40,112,114,101,58,32,37,115,41,0,0,0,0,0,0,0,37,53,100,32,99,97,108,108,115,32,111,102,32,102,117,110,99,116,105,111,110,79,68,69,0,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,97,114,114,97,121,32,115,101,99,116,105,111,110,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,108,100,0,0,0,123,56,99,52,101,56,49,48,102,45,51,100,102,51,45,52,97,48,48,45,56,50,55,54,45,49,55,54,102,97,51,99,57,102,57,101,48,125,0,0,70,76,65,71,95,77,65,88,0,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,117,115,101,100,32,111,110,32,108,97,115,116,32,115,117,99,99,101,115,115,102,117,108,32,115,116,101,112,58,32,37,48,46,52,103,0,0,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,120,112,97,116,32,111,98,106,101,99,116,0,0,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,119,98,0,0,0,0,0,0,80,108,111,116,115,32,111,102,32,112,114,111,102,105,108,105,110,103,32,100,97,116,97,32,119,101,114,101,32,100,105,115,97,98,108,101,100,58,32,37,115,10,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,84,87,79,0,0,0,0,117,112,100,97,116,105,110,103,32,110,111,109,105,110,97,108,45,118,97,108,117,101,115,0,110,111,101,109,105,116,0,0,117,110,99,108,111,115,101,100,32,67,68,65,84,65,32,115,101,99,116,105,111,110,0,0,99,117,114,114,101,110,116,32,111,112,116,105,111,110,115,32,97,114,101,58,0,0,0,0,99,104,101,99,107,32,102,111,114,32,100,105,115,99,114,101,116,101,32,99,104,97,110,103,101,115,0,0,0,0,0,0,112,97,114,97,109,115,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,100,97,116,97,73,110,102,111,32,109,97,116,114,105,120,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,32,102,97,105,108,101,100,0,0,0,0,0,0,65,99,108,97,115,115,0,0,34,37,115,34,44,0,0,0,116,114,121,32,45,105,108,115,32,116,111,32,97,99,116,105,118,97,116,101,32,115,116,97,114,116,32,118,97,108,117,101,32,104,111,109,111,116,111,112,121,0,0,0,0,0,0,0,108,101,97,115,116,83,113,117,97,114,101,61,37,103,0,0,110,117,109,98,101,114,32,111,102,32,117,110,102,105,120,101,100,32,118,97,114,105,97,98,108,101,115,58,32,32,37,108,100,32,40,37,108,100,32,115,116,97,116,101,115,32,43,32,37,108,100,32,112,97,114,97,109,101,116,101,114,115,32,43,32,37,108,100,32,100,105,115,99,114,101,116,101,32,114,101,97,108,115,41,0,0,0,0,97,115,115,101,114,116], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1576968);
/* memory initializer */ allocate([86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,102,109,116,0,0,0,0,0,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,115,116,97,116,117,115,0,0,0,37,108,102,0,0,0,0,0,37,115,37,46,53,101,32,0,105,110,102,111,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,109,101,116,104,111,100,62,0,0,0,0,0,0,0,0,115,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,98,121,32,97,110,32,97,115,115,101,114,116,105,111,110,32,97,116,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,0,67,80,85,0,0,0,0,0,116,111,108,101,114,97,110,99,101,0,0,0,0,0,0,0,76,79,71,95,82,69,83,95,73,78,73,84,0,0,0,0,114,98,0,0,0,0,0,0,98,111,111,108,101,97,110,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,37,53,100,32,115,116,101,112,115,32,116,97,107,101,110,0,115,117,98,115,99,114,105,112,116,32,102,111,114,32,115,99,97,108,97,114,32,118,97,114,105,97,98,108,101,0,0,0,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,0,107,105,110,115,111,108,0,0,91,37,100,93,32,37,115,0,91,37,100,93,32,37,115,0,47,104,111,109,101,47,109,97,114,116,105,110,47,116,114,117,110,107,47,98,117,105,108,100,47,108,105,98,47,111,109,108,105,98,114,97,114,121,47,77,111,100,101,108,105,99,97,32,51,46,50,46,49,47,69,108,101,99,116,114,105,99,97,108,0,0,0,0,0,0,0,0,37,108,100,32,0,0,0,0,114,101,116,117,114,110,32,116,105,109,101,91,37,100,44,32,37,100,93,32,61,32,37,101,0,0,0,0,0,0,0,0,115,116,101,112,32,115,105,122,101,32,72,32,116,111,32,98,101,32,97,116,116,101,109,112,116,101,100,32,111,110,32,110,101,120,116,32,115,116,101,112,58,32,37,48,46,52,103,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,0,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,99,111,117,110,116,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,0,0,110,108,115,0,0,0,0,0,101,110,99,111,100,105,110,103,32,115,112,101,99,105,102,105,101,100,32,105,110,32,88,77,76,32,100,101,99,108,97,114,97,116,105,111,110,32,105,115,32,105,110,99,111,114,114,101,99,116,0,0,0,0,0,0,116,105,109,101,32,62,61,32,67,108,111,99,107,46,116,95,105,32,43,32,67,108,111,99,107,46,116,95,119,105,100,116,104,0,0,0,0,0,0,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,110,97,109,101,115,32,109,97,116,114,105,120,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,100,101,102,105,110,101,115,62,32,110,101,101,100,115,32,116,111,32,104,97,118,101,32,101,120,97,99,116,108,121,32,111,110,101,32,97,116,116,114,105,98,117,116,101,58,32,110,97,109,101,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,51,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,47,100,97,116,101,62,10,0,0,0,0,0,0,0,0,110,117,109,98,101,114,79,102,73,110,116,101,114,118,97,108,115,32,61,32,37,108,100,0,115,116,101,112,83,105,122,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,82,69,83,0,0,0,0,0,97,98,0,0,0,0,0,0,91,37,108,100,93,32,73,110,116,101,103,101,114,32,37,115,40,115,116,97,114,116,61,37,108,100,41,32,61,32,37,108,100,32,40,112,114,101,58,32,37,108,100,41,0,0,0,0,115,111,108,118,101,114,58,32,68,65,83,83,76,0,0,0,91,37,108,100,93,32,112,97,114,97,109,101,116,101,114,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,102,105,120,101,100,61,37,115,41,32,61,32,37,103,0,0,0,0,0,0,0,0,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,69,120,97,109,112,108,101,115,46,67,111,117,110,116,101,114,0,0,0,0,84,105,109,101,32,109,101,97,115,117,114,101,109,101,110,116,115,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,32,99,111,117,108,100,32,110,111,116,32,98,101,32,111,112,101,110,101,100,58,32,37,115,0,0,0,0,0,0,0,0,116,105,109,101,40,37,100,44,32,37,100,41,91,37,100,93,32,61,32,37,101,0,0,0,99,117,114,114,101,110,116,32,105,110,116,101,103,114,97,116,105,111,110,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,68,65,83,83,76,45,45,32,32,73,82,69,83,32,87,65,83,32,69,81,85,65,76,32,84,79,32,77,73,78,85,83,32,79,78,69,0,0,0,0,110,111,32,101,110,100,32,114,101,99,111,114,100,0,0,0,115,116,111,114,101,68,101,108,97,121,101,100,69,120,112,114,101,115,115,105,111,110,58,32,116,105,109,101,32,105,115,32,115,109,97,108,108,101,114,32,116,104,97,110,32,115,116,97,114,116,105,110,103,32,116,105,109,101,46,32,86,97,108,117,101,32,105,103,110,111,114,101,100,0,0,0,0,0,0,0,109,101,97,115,117,114,101,84,105,109,101,80,108,111,116,70,111,114,109,97,116,0,0,0,117,110,107,110,111,119,110,32,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,0,63,0,0,0,0,0,0,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,98,105,110,84,114,97,110,115,32,111,114,32,98,105,110,78,111,114,109,97,108,32,102,111,114,109,97,116,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,51,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,0,0,110,97,109,101,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,65,110,100,52,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,100,97,116,101,62,0,0,46,32,68,101,102,97,117,108,116,105,110,103,32,116,111,32,111,117,116,112,117,116,116,105,110,103,32,97,108,108,32,118,97,114,105,97,98,108,101,115,46,0,0,0,0,0,0,0,115,116,101,112,83,105,122,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,95,74,65,67,0,0,0,0,0,119,98,0,0,0,0,0,0,105,110,116,101,103,101,114,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,37,53,108,100,32,116,105,109,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,0,114,101,97,108,32,112,97,114,97,109,101,116,101,114,115,0,32,32,37,45,49,53,115,32,91,37,115,93,0,0,0,0,109,97,116,104,45,115,117,112,112,111,114,116,47,112,105,118,111,116,46,99,0,0,0,0,69,114,114,111,114,32,119,104,105,108,101,32,105,110,105,116,105,97,108,105,122,101,32,68,97,116,97,0,0,0,0,0,114,0,0,0,0,0,0,0,102,105,110,100,84,105,109,101,32,37,101,0,0,0,0,0,99,117,114,114,101,110,116,32,116,105,109,101,32,118,97,108,117,101,58,32,37,48,46,52,103,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,32,66,69,67,65,85,83,69,0,0,0,105,111,115,116,114,101,97,109,0,0,0,0,0,0,0,0,108,118,0,0,0,0,0,0,88,77,76,32,111,114,32,116,101,120,116,32,100,101,99,108,97,114,97,116,105,111,110,32,110,111,116,32,97,116,32,115,116,97,114,116,32,111,102,32,101,110,116,105,116,121,0,0,83,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,69,110,97,98,108,101,46,115,116,101,112,84,105,109,101,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,58,32,65,99,108,97,115,115,32,109,97,116,114,105,120,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,100,101,102,105,110,101,115,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,60,47,112,114,101,102,105,120,62,10,0,0,0,0,0,0,32,119,105,116,104,32,101,114,114,111,114,58,32,0,0,0,115,116,111,112,84,105,109,101,32,61,32,37,103,0,0,0,76,79,71,95,78,76,83,95,86,0,0,0,0,0,0,0,97,43,0,0,0,0,0,0,111,116,104,101,114,32,114,101,97,108,32,118,97,114,105,97,98,108,101,115,0,0,0,0,37,53,108,100,32,115,116,97,116,101,32,101,118,101,110,116,115,0,0,0,0,0,0,0,118,97,114,105,97,98,108,101,32,110,111,116,32,105,110,32,110,97,109,101,108,105,115,116,0,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,118,97,108,117,101,115,0,0,0,0,0,0,0,0,97,100,100,101,100,32,116,109,112,32,101,118,101,110,116,32,58,32,37,108,100,0,0,0,100,101,108,97,121,73,109,112,108,58,32,76,105,110,101,97,114,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,111,102,32,37,103,32,118,97,108,117,101,58,32,37,103,32,97,110,100,32,37,103,32,61,32,37,103,0,0,0,0,0,118,97,108,117,101,32,111,102,32,105,100,105,100,58,32,37,100,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,46,0,0,119,0,0,0,0,0,0,0,114,98,0,0,0,0,0,0,118,97,114,105,97,98,108,101,84,121,112,101,0,0,0,0,98,97,100,32,110,97,109,101,108,105,115,116,32,110,97,109,101,0,0,0,0,0,0,0,108,115,95,105,112,111,112,116,0,0,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,101,120,116,101,114,110,97,108,32,101,110,116,105,116,121,32,105,110,32,97,116,116,114,105,98,117,116,101,0,0,0,0,0,0,0,83,116,114,105,110,103,0,0,66,111,111,108,101,97,110,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,49,49,32,99,111,108,115,0,0,0,0,0,73,110,116,101,103,101,114,0,67,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,82,101,97,108,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,120,91,49,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,102,117,110,99,116,105,111,110,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,60,112,114,101,102,105,120,62,0,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,99,111,109,112,105,108,101,32,114,101,103,117,108,97,114,32,101,120,112,114,101,115,115,105,111,110,58,32,0,0,115,116,111,112,84,105,109,101,0,0,0,0,0,0,0,0,76,79,71,95,78,76,83,0,119,43,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,101,118,101,110,116,115,0,0,32,115,116,97,116,101,109,101,110,116,32,101,120,101,99,117,116,101,100,10,0,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,101,114,114,111,114,32,114,101,97,100,105,110,103,32,116,104,101,32,120,109,108,32,102,105,108,101,44,32,102,111,117,110,100,32,117,110,107,110,111,119,110,32,99,108,97,115,115,58,32,37,115,32,32,102,111,114,32,118,97,114,105,97,98,108,101,58,32,37,115,0,115,65,108,105,0,0,0,0,110,111,116,32,116,105,109,101,32,62,61,32,67,108,111,99,107,46,115,116,97,114,116,84,105,109,101,32,111,114,32,116,105,109,101,32,62,61,32,67,108,111,99,107,46,116,95,105,32,43,32,67,108,111,99,107,46,116,95,119,105,100,116,104,0,0,0,0,0,0,0,0,115,80,97,114,0,0,0,0,77,105,110,105,109,117,109,32,118,97,108,117,101,58,32,37,101,0,0,0,0,0,0,0,100,101,108,97,121,73,109,112,108,58,32,76,105,110,101,97,114,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,111,102,32,37,103,32,98,101,116,119,101,101,110,32,37,103,32,97,110,100,32,37,103,0,68,65,83,83,76,45,45,32,32,86,65,76,85,69,32,40,61,73,49,41,32,79,70,32,73,68,73,68,32,65,78,68,32,78,79,32,65,80,80,82,79,80,82,73,65,84,69,0,100,97,115,115,108,32,99,97,108,108,32,115,116,97,105,115,116,105,99,115,58,32,0,0,115,65,108,103,0,0,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,67,79,85,76,68,32,78,79,84,32,67,79,78,86,69,82,71,69,46,32,32,65,76,83,79,44,32,84,72,69,0,0,0,0,0,0,0,98,65,108,105,0,0,0,0,98,80,97,114,0,0,0,0,98,97,100,32,118,97,114,105,97,98,108,101,32,116,121,112,101,0,0,0,0,0,0,0,108,115,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,98,105,110,97,114,121,32,101,110,116,105,116,121,0,0,0,0,0,0,98,65,108,103,0,0,0,0,105,110,116,101,103,101,114,40,100,101,108,97,121,40,54,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,55,41,0,65,99,108,97,115,115,32,109,97,116,114,105,120,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,52,32,114,111,119,115,0,0,0,0,0,0,105,65,108,105,0,0,0,0,105,80,97,114,0,0,0,0,118,101,99,116,111,114,0,0,105,65,108,103,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,105,110,45,118,97,108,117,101,115,0,0,0,0,0,78,111,110,108,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,114,101,115,105,100,117,97,108,70,117,110,99,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,60,47,110,97,109,101,62,10,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,78,111,114,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,119,98,0,0,0,0,0,0,46,42,0,0,0,0,0,0,115,116,97,114,116,84,105,109,101,32,61,32,37,103,0,0,76,79,71,95,76,83,95,86,0,0,0,0,0,0,0,0,114,43,0,0,0,0,0,0,117,110,100,101,102,105,110,101,100,32,101,114,114,111,114,32,105,110,32,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,0,0,0,100,101,114,105,118,97,116,105,118,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,116,111,116,97,108,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,0,0,0,37,115,10,0,0,0,0,0,102,97,108,115,101,0,0,0,114,65,108,105,0,0,0,0,114,80,97,114,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,0,0,0,0,0,0,0,114,65,108,103,0,0,0,0,115,101,97,114,99,104,32,102,111,114,32,99,117,114,114,101,110,116,32,101,118,101,110,116,46,32,69,118,101,110,116,115,32,105,110,32,108,105,115,116,58,32,37,108,100,0,0,0,100,101,108,97,121,73,109,112,108,58,32,69,120,97,99,116,32,109,97,116,99,104,32,97,116,32,37,103,32,61,32,37,103,0,0,0,0,0,0,0,99,97,110,39,116,32,99,111,110,116,105,110,117,101,46,32,116,105,109,101,32,61,32,37,102,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,114,68,101,114,0,0,0,0,99,108,111,99,107,0,0,0,76,79,71,95,65,76,76,0,114,83,116,97,0,0,0,0,68,65,83,83,76,45,45,32,32,73,84,69,82,65,84,73,79,78,32,77,65,84,82,73,88,32,73,83,32,83,73,78,71,85,76,65,82,0,0,0,99,108,97,115,115,84,121,112,101,0,0,0,0,0,0,0,98,97,100,32,108,111,103,105,99,97,108,32,105,110,112,117,116,32,102,105,101,108,100,0,108,111,103,70,111,114,109,97,116,0,0,0,0,0,0,0,114,101,102,101,114,101,110,99,101,32,116,111,32,105,110,118,97,108,105,100,32,99,104,97,114,97,99,116,101,114,32,110,117,109,98,101,114,0,0,0,116,105,109,101,32,62,61,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,0,99,108,97,115,115,73,110,100,101,120,0,0,0,0,0,0,83,99,97,108,97,114,86,97,114,105,97,98,108,101,0,0,77,97,116,114,105,120,32,110,97,109,101,32,109,105,115,109,97,116,99,104,0,0,0,0,105,108,108,101,103,97,108,32,117,110,105,116,32,110,117,109,98,101,114,0,0,0,0,0,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,0,0,0,0,0,0,0,37,46,48,76,102,0,0,0,102,109,105,77,111,100,101,108,68,101,115,99,114,105,112,116,105,111,110,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,117,116,105,108,47,114,116,99,108,111,99,107,46,99,0,0,110,111,110,108,105,110,101,97,114,0,0,0,0,0,0,0,60,110,97,109,101,62,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,49,46,84,68,49,46,121,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,46,109,111,0,0,0,0,0,36,100,117,109,109,121,0,0,115,116,97,114,116,84,105,109,101,0,0,0,0,0,0,0,37,46,49,54,103,44,32,37,46,49,54,103,10,0,0,0,76,79,71,95,76,83,0,0,114,0,0,0,0,0,0,0,102,120,107,32,61,32,37,103,0,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,32,61,32,37,103,32,40,112,114,101,58,32,37,103,41,0,0,0,0,0,0,101,109,112,116,121,32,82,105,110,103,66,117,102,102,101,114,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,112,116,105,109,105,122,97,116,105,111,110,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,63,44,32,110,111,109,105,110,97,108,61,63,41,0,0,0,0,0,0,0,116,114,117,101,0,0,0,0,101,114,114,111,114,32,114,101,97,100,95,118,97,108,117,101,44,32,110,111,32,100,97,116,97,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,115,116,111,114,105,110,103,32,115,116,114,105,110,103,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,112,114,111,98,97,98,108,121,32,97,32,115,116,114,111,110,103,32,99,111,109,112,111,110,101,110,116,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,70,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,32,117,115,101,32,102,108,97,103,115,32,45,108,118,32,76,79,71,95,78,76,83,44,32,76,79,71,95,76,83,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,115,116,97,116,101,115,95,108,101,102,116,0,0,0,0,0,37,100,32,61,32,105,32,60,32,108,101,110,103,116,104,32,61,32,37,100,0,0,0,0,68,65,83,83,76,32,119,105,108,108,32,116,114,121,32,97,103,97,105,110,46,46,46,0,95,105,110,105,116,46,120,109,108,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,108,0,0,0,0,0,0,0,97,115,121,110,99,104,114,111,110,111,117,115,32,101,110,116,105,116,121,0,0,0,0,0,105,110,116,101,103,101,114,40,100,101,108,97,121,40,55,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,54,41,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,51,41,0,0,0,0,0,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,115,105,109,117,108,97,116,105,111,110,32,114,101,115,117,108,116,32,100,97,116,97,32,111,102,32,115,105,122,101,32,37,108,100,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,50,93,46,65,110,100,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,98,105,110,78,111,114,109,97,108,0,0,0,0,0,0,0,76,105,110,101,97,114,32,102,117,110,99,116,105,111,110,32,40,105,110,100,101,120,32,37,108,100,44,32,115,105,122,101,32,37,100,41,0,0,0,0,60,109,111,100,101,108,105,110,102,111,62,10,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,113,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,108,105,110,101,97,114,95,0,41,36,0,0,0,0,0,0,114,101,97,100,32,97,108,108,32,116,104,101,32,68,101,102,97,117,108,116,69,120,112,101,114,105,109,101,110,116,32,118,97,108,117,101,115,58,0,0,69,114,114,111,114,44,32,99,111,117,108,100,110,39,116,32,119,114,105,116,101,32,116,111,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,10,0,0,0,0,0,0,0,0,76,79,71,95,74,65,67,0,97,0,0,0,0,0,0,0,102,120,114,32,61,32,37,103,0,0,0,0,0,0,0,0,115,116,97,116,101,115,32,118,97,114,105,97,98,108,101,115,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,105,109,117,108,97,116,105,111,110,0,0,0,0,0,0,114,101,97,100,32,117,110,101,120,112,101,99,116,101,100,32,99,104,97,114,97,99,116,101,114,0,0,0,0,0,0,0,91,37,108,100,93,32,82,101,97,108,32,37,115,40,115,116,97,114,116,61,37,103,44,32,110,111,109,105,110,97,108,61,37,103,41,0,0,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,109,105,120,101,100,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,0,100,97,116,97,95,49,0,0,115,105,109,117,108,97,116,105,111,110,47,115,111,108,118,101,114,47,101,118,101,110,116,115,46,99,0,0,0,0,0,0,100,101,108,97,121,73,109,112,108,58,32,118,97,108,117,101,115,32,37,103,32,97,110,100,32,32,37,103,0,0,0,0,65,32,108,97,114,103,101,32,97,109,111,117,110,116,32,111,102,32,119,111,114,107,32,104,97,115,32,98,101,101,110,32,101,120,112,101,110,100,101,100,46,40,65,98,111,117,116,32,53,48,48,32,115,116,101,112,115,41,46,32,84,114,121,105,110,103,32,116,111,32,99,111,110,116,105,110,117,101,32,46,46,46,0,0,0,0,0,0,37,46,49,54,103,44,0,0,78,79,32,111,118,101,114,114,105,100,101,32,103,105,118,101,110,32,111,110,32,116,104,101,32,99,111,109,109,97,110,100,32,108,105,110,101,46,0,0,101,109,112,116,121,0,0,0,111,118,101,114,114,105,100,101,32,100,111,110,101,33,0,0,78,101,108,100,101,114,77,101,97,100,79,112,116,105,109,105,122,97,116,105,111,110,0,0,68,65,83,83,76,45,45,32,32,67,79,82,82,69,67,84,79,82,32,70,65,73,76,69,68,32,84,79,32,67,79,78,86,69,82,71,69,32,82,69,80,69,65,84,69,68,76,89,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,50,46,95,84,68,49,46,95,120,95,100,101,108,97,121,101,100,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,111,118,101,114,114,105,100,101,32,37,115,32,61,32,37,115,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,50,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,105,112,111,112,116,95,105,110,105,116,0,0,0,0,0,0,116,105,109,101,32,62,61,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,0,114,101,99,117,114,115,105,118,101,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,61,0,0,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,110,111,32,105,112,111,112,116,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,50,46,95,78,111,114,50,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,58,32,37,115,0,0,0,0,0,0,0,0,116,105,109,101,32,62,61,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,0,67,111,114,114,117,112,116,32,104,101,97,100,101,114,32,40,50,41,0,0,0,0,0,0,83,97,116,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,50,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,44,0,0,0,0,0,0,0,105,110,118,97,108,105,100,32,108,105,115,116,45,112,111,105,110,116,101,114,0,0,0,0,37,76,102,0,0,0,0,0,70,114,105,0,0,0,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,50,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,105,108,101,32,103,105,118,101,110,32,116,111,32,45,111,118,101,114,114,105,100,101,70,105,108,101,61,37,115,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,84,104,117,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,49,46,95,84,68,49,46,95,120,95,100,101,108,97,121,101,100,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,109,97,108,108,111,99,32,102,97,105,108,117,114,101,0,0,114,101,97,100,32,111,118,101,114,114,105,100,101,32,118,97,108,117,101,115,32,102,114,111,109,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,108,105,110,101,97,114,0,0,60,115,105,109,117,108,97,116,105,111,110,62,10,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,49,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1587208);
/* memory initializer */ allocate([91,52,93,46,82,83,50,46,78,111,114,49,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,105,32,102,111,114,32,105,32,105,110,32,49,58,48,0,0,94,40,0,0,0,0,0,0,69,114,114,111,114,44,32,116,104,101,32,71,85,73,68,58,32,37,115,32,102,114,111,109,32,105,110,112,117,116,32,100,97,116,97,32,102,105,108,101,58,32,37,115,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,116,104,101,32,71,85,73,68,32,99,111,109,112,105,108,101,100,32,105,110,32,116,104,101,32,109,111,100,101,108,58,32,37,115,0,0,68,97,116,97,83,101,116,58,32,37,115,10,0,0,0,0,76,79,71,95,73,80,79,80,84,95,72,69,83,83,69,0,119,0,0,0,0,0,0,0,105,110,99,114,101,97,115,105,110,103,32,108,97,109,98,100,97,32,116,111,32,37,45,51,103,32,105,110,32,115,116,101,112,32,37,54,100,32,97,116,32,102,61,37,103,0,0,0,35,35,35,32,83,79,76,85,84,73,79,78,32,79,70,32,84,72,69,32,73,78,73,84,73,65,76,73,90,65,84,73,79,78,32,35,35,35,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,111,118,101,114,104,101,97,100,0,0,0,0,0,0,0,0,87,101,100,0,0,0,0,0,111,117,116,32,111,102,32,102,114,101,101,32,115,112,97,99,101,0,0,0,0,0,0,0,112,114,111,112,101,114,32,115,116,97,114,116,45,118,97,108,117,101,115,32,102,111,114,32,115,111,109,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,115,32,109,105,103,104,116,32,104,101,108,112,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,49,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,117,115,97,103,101,32,101,114,114,111,114,32,121,111,117,32,99,97,110,110,111,116,32,104,97,118,101,32,98,111,116,104,32,45,111,118,101,114,114,105,100,101,32,97,110,100,32,45,111,118,101,114,114,105,100,101,70,105,108,101,32,97,99,116,105,118,101,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,46,32,115,101,101,32,77,111,100,101,108,32,45,63,32,102,111,114,32,109,111,114,101,32,105,110,102,111,33,0,0,0,0,0,84,117,101,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,49,46,95,78,111,114,50,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,0,0,0,0,115,116,97,116,101,115,95,114,105,103,104,116,0,0,0,0,100,101,108,97,121,73,109,112,108,58,32,116,105,109,101,115,32,37,103,32,97,110,100,32,37,103,0,0,0,0,0,0,76,79,71,95,85,78,75,78,79,87,78,0,0,0,0,0,83,116,97,114,116,32,115,116,101,112,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,0,77,111,110,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,49,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,37,115,34,10,0,0,0,0,0,83,117,110,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,52,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,83,116,114,105,110,103,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,99,111,117,110,116,34,10,0,0,0,83,97,116,117,114,100,97,121,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,69,82,82,79,82,32,84,69,83,84,32,70,65,73,76,69,68,32,82,69,80,69,65,84,69,68,76,89,32,79,82,32,87,73,84,72,32,65,66,83,40,72,41,61,72,77,73,78,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,50,46,95,84,68,49,46,95,120,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,70,114,105,100,97,121,0,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,110,117,109,98,101,114,34,10,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,50,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,105,112,111,112,116,95,106,97,99,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,37,115,34,10,0,0,0,117,110,100,101,102,105,110,101,100,32,101,110,116,105,116,121,0,0,0,0,0,0,0,0,119,114,105,116,101,32,115,116,97,114,116,0,0,0,0,0,84,104,117,114,115,100,97,121,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,82,83,50,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,115,101,116,32,121,108,97,98,101,108,32,34,69,120,101,99,117,116,105,111,110,32,116,105,109,101,32,91,115,93,34,10,0,0,0,0,0,0,0,0,119,95,110,101,100,44,32,117,110,101,120,112,101,99,116,101,100,32,99,111,100,101,58,32,37,100,10,0,0,0,0,0,105,110,116,101,103,101,114,40,100,101,108,97,121,40,52,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,53,41,0,37,43,46,50,100,0,0,0,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,115,105,122,101,32,111,102,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,115,0,0,0,0,0,87,101,100,110,101,115,100,97,121,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,52,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,66,111,111,108,101,97,110,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,86,97,114,105,97,98,108,101,32,67,108,111,99,107,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,108,111,99,107,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,108,111,99,107,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,101,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,121,115,116,101,109,32,111,102,32,105,110,105,116,105,97,108,32,101,113,117,97,116,105,111,110,115,32,97,114,101,32,110,111,116,32,99,111,110,115,105,115,116,101,110,116,10,40,108,101,97,115,116,32,115,113,117,97,114,101,32,102,117,110,99,116,105,111,110,32,118,97,108,117,101,32,105,115,32,37,103,41,0,0,0,0,0,84,117,101,115,100,97,121,0,115,101,116,32,120,108,97,98,101,108,32,34,71,108,111,98,97,108,32,115,116,101,112,32,97,116,32,116,105,109,101,34,10,0,0,0,0,0,0,0,100,97,115,115,108,73,110,116,101,114,110,97,108,78,117,109,74,97,99,0,0,0,0,0,98,97,115,105,99,95,115,116,114,105,110,103,0,0,0,0,117,110,107,110,111,119,110,32,99,111,100,101,32,105,110,32,100,111,95,102,105,111,58,32,37,100,10,37,115,10,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,51,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,101,120,116,101,114,110,97,108,73,110,112,117,116,46,99,115,118,0,0,0,0,0,0,0,115,102,101,0,0,0,0,0,115,101,116,32,116,105,116,108,101,32,34,37,115,34,10,0,100,97,115,115,108,67,111,108,111,114,83,121,109,74,97,99,0,0,0,0,0,0,0,0,77,111,110,100,97,121,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,51,46,95,120,91,49,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,100,97,115,115,108,78,117,109,74,97,99,0,0,0,0,0,117,0,0,0,0,0,0,0,101,113,117,97,116,105,111,110,0,0,0,0,0,0,0,0,115,116,114,102,116,105,109,101,40,41,32,102,97,105,108,101,100,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,68,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,78,111,114,50,46,110,32,62,61,32,50,32,104,97,115,32,118,97,108,117,101,58,32,0,84,104,101,32,77,111,100,101,108,32,71,85,73,68,58,32,37,115,32,105,115,32,110,111,116,32,115,101,116,32,105,110,32,102,105,108,101,58,32,37,115,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,36,99,112,117,84,105,109,101,10,0,0,0,0,0,0,77,97,108,108,111,99,32,102,97,105,108,101,100,0,0,0,76,79,71,95,73,80,79,80,84,95,74,65,67,0,0,0,108,97,109,98,100,97,32,105,115,32,37,45,51,103,32,105,110,32,115,116,101,112,61,37,54,100,32,97,116,32,102,61,37,103,32,91,37,103,93,0,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,0,115,101,116,32,116,101,114,109,105,110,97,108,32,37,115,10,0,0,0,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,101,118,101,110,116,45,104,97,110,100,108,105,110,103,0,0,83,117,110,100,97,121,0,0,105,110,99,111,109,112,114,101,104,101,110,115,105,98,108,101,32,108,105,115,116,32,105,110,112,117,116,0,0,0,0,0,99,97,110,32,110,111,116,32,105,110,105,116,105,97,108,122,101,32,74,97,99,111,98,105,97,110,115,32,102,111,114,32,100,121,110,97,109,105,99,32,115,116,97,116,101,32,115,101,108,101,99,116,105,111,110,0,110,111,110,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,51,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,100,97,115,115,108,83,121,109,74,97,99,0,0,0,0,0,115,101,116,32,98,111,114,100,101,114,10,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,49,93,46,95,65,110,100,49,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,110,111,110,45,108,105,110,101,97,114,32,115,121,115,116,101,109,32,115,111,108,118,101,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,0,0,73,110,116,101,103,101,114,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,100,101,108,97,121,73,109,112,108,58,32,102,105,110,100,32,116,104,101,32,114,111,119,32,32,37,103,32,61,32,37,103,0,0,0,0,0,0,0,0,104,101,108,112,0,0,0,0,115,101,116,32,120,116,105,99,115,10,0,0,0,0,0,0,67,97,108,108,105,110,103,32,68,68,65,83,82,84,32,102,114,111,109,32,37,46,49,53,103,32,116,111,32,37,46,49,53,103,0,0,0,0,0,0,100,97,115,115,108,116,101,115,116,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,102,105,108,101,32,37,115,58,32,37,115,10,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,50,46,95,84,68,49,46,95,120,95,100,101,108,97,121,101,100,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,0,0,0,0,115,101,116,32,121,116,105,99,115,10,0,0,0,0,0,0,100,97,115,115,108,119,111,114,116,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,50,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,108,111,98,97,116,116,111,54,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,103,110,117,112,108,111,116,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,50,46,95,78,111,114,50,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,59,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,95,99,111,117,110,116,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,65,84,32,84,32,40,61,82,49,41,32,65,78,68,32,83,84,69,80,83,73,90,69,32,72,32,40,61,82,50,41,32,84,72,69,0,0,0,0,99,97,108,108,32,101,120,116,101,114,110,97,108,32,79,98,106,101,99,116,32,67,111,110,115,116,114,117,99,116,111,114,115,32,102,105,110,105,115,104,101,100,0,0,0,0,0,0,108,111,98,97,116,116,111,52,0,0,0,0,0,0,0,0,73,110,105,116,105,97,108,105,122,105,110,103,32,68,65,83,83,76,0,0,0,0,0,0,117,112,100,97,116,105,110,103,32,109,97,120,45,118,97,108,117,101,115,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,37,103,58,37,103,93,10,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,50,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,105,112,111,112,116,95,104,101,115,115,101,0,0,0,0,0,108,111,98,97,116,116,111,50,0,0,0,0,0,0,0,0,105,108,108,101,103,97,108,32,112,97,114,97,109,101,116,101,114,32,101,110,116,105,116,121,32,114,101,102,101,114,101,110,99,101,0,0,0,0,0,0,44,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,101,116,32,110,111,108,111,103,32,120,121,10,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,50,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,37,115,0,0,0,0,0,0,116,105,109,101,32,62,61,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,49,46,84,68,49,46,100,101,108,97,121,84,105,109,101,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,109,97,116,32,102,105,108,101,32,37,115,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,77,97,116,114,105,120,32,117,115,101,115,32,105,109,97,103,105,110,97,114,121,32,110,117,109,98,101,114,115,0,0,0,65,117,116,111,109,97,116,105,99,32,111,117,116,112,117,116,32,115,116,101,112,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,79,112,101,110,77,111,100,101,108,105,99,97,32,121,101,116,46,32,83,101,116,32,110,117,109,112,111,105,110,116,115,32,62,61,32,48,46,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,42,93,10,0,0,0,0,0,0,0,114,97,100,97,117,49,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,67,97,110,110,111,116,32,111,112,101,110,32,70,105,108,101,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,49,46,95,84,68,49,46,95,120,95,100,101,108,97,121,101,100,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,37,105,44,0,0,0,0,0,32,110,111,116,32,102,111,117,110,100,46,0,0,0,0,0,117,112,100,97,116,105,110,103,32,105,110,105,116,105,97,108,32,114,101,115,105,100,117,97,108,115,0,0,0,0,0,0,105,116,101,114,97,116,105,111,110,115,58,32,37,108,100,0,115,105,109,112,108,101,120,95,105,110,105,116,105,97,108,105,122,97,116,105,111,110,32,124,32,82,101,115,117,108,116,32,111,102,32,108,101,97,115,116,83,113,117,97,114,101,32,109,101,116,104,111,100,32,61,32,37,103,46,32,84,104,101,32,105,110,105,116,105,97,108,32,103,117,101,115,115,32,102,105,116,115,32,116,111,32,116,104,101,32,115,121,115,116,101,109,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,105,110,105,116,105,97,108,32,112,114,111,98,108,101,109,58,0,0,0,0,0,0,0,0,115,101,116,32,121,114,97,110,103,101,32,91,42,58,37,103,93,10,0,0,0,0,0,0,114,97,100,97,117,51,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,115,116,100,111,117,116,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,49,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,82,101,97,108,32,65,108,105,97,115,32,118,97,114,105,97,98,108,101,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,100,111,95,102,105,111,0,0,114,101,115,105,100,117,97,108,91,37,108,100,93,32,61,32,37,103,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,114,0,0,0,0,0,0,0,115,101,116,32,108,111,103,32,121,10,0,0,0,0,0,0,114,97,100,97,117,53,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,37,100,120,37,100,32,91,105,100,58,32,37,108,100,93,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,49,46,95,78,111,114,50,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,102,0,0,0,0,0,0,0,116,105,109,101,0,0,0,0,118,97,114,105,97,98,108,101,0,0,0,0,0,0,0,0,91,94,91,58,100,105,103,105,116,58,93,93,0,0,0,0,37,89,45,37,109,45,37,100,32,37,72,58,37,77,58,37,83,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,67,32,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,52,93,46,82,83,50,46,84,68,49,46,121,48,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,69,114,114,111,114,32,105,110,32,105,110,105,116,105,97,108,105,122,97,116,105,111,110,46,32,83,116,111,114,105,110,103,32,114,101,115,117,108,116,115,32,97,110,100,32,101,120,105,116,105,110,103,46,10,85,115,101,32,45,108,118,61,76,79,71,95,73,78,73,84,32,45,119,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,0,76,105,115,0,0,0,0,0,103,117,105,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,78,101,119,116,111,110,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,0,0,0,0,0,76,79,71,95,73,80,79,80,84,95,70,85,76,76,0,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,50,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,0,0,0,115,101,116,32,121,108,97,98,101,108,10,0,0,0,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,45,102,105,108,101,0,0,0,0,100,97,115,115,108,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,116,114,117,110,99,97,116,105,111,110,32,102,97,105,108,101,100,32,105,110,32,101,110,100,102,105,108,101,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,110,111,110,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,49,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,104,121,98,114,105,100,0,0,45,105,32,102,103,109,114,101,115,32,0,0,0,0,0,0,108,105,110,101,97,114,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,97,108,108,111,99,97,116,101,77,105,120,101,100,83,101,97,114,99,104,68,97,116,97,40,41,32,118,111,105,100,100,97,116,97,32,102,97,105,108,101,100,33,0,0,0,0,0,0,109,105,120,101,100,32,115,121,115,116,101,109,32,102,97,105,108,115,58,32,37,115,32,97,116,32,116,61,37,103,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,84,68,49,46,120,95,100,101,108,97,121,101,100,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,115,101,116,32,120,108,97,98,101,108,10,0,0,0,0,0,113,115,115,0,0,0,0,0,97,108,105,97,115,86,97,114,105,97,98,108,101,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,52,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,109,111,100,101,108,32,116,101,114,109,105,110,97,116,101,32,124,32,73,110,116,101,103,114,97,116,111,114,32,102,97,105,108,101,100,46,32,124,32,83,105,109,117,108,97,116,105,111,110,32,116,101,114,109,105,110,97,116,101,100,32,97,116,32,116,105,109,101,32,37,103,0,114,101,97,100,32,102,111,114,32,37,115,32,110,101,103,97,116,101,100,32,37,100,32,102,114,111,109,32,115,101,116,117,112,32,102,105,108,101,0,0,67,104,97,116,116,101,114,105,110,103,32,100,101,116,101,99,116,101,100,32,97,114,111,117,110,100,32,116,105,109,101,32,37,46,49,50,103,46,46,37,46,49,50,103,32,40,37,100,32,115,116,97,116,101,32,101,118,101,110,116,115,32,105,110,32,97,32,114,111,119,32,119,105,116,104,32,97,32,116,111,116,97,108,32,116,105,109,101,32,100,101,108,116,97,32,108,101,115,115,32,116,104,97,110,32,116,104,101,32,115,116,101,112,32,115,105,122,101,32,37,46,49,50,103,41,46,32,84,104,105,115,32,99,97,110,32,98,101,32,97,32,112,101,114,102,111,114,109,97,110,99,101,32,98,111,116,116,108,101,110,101,99,107,46,32,85,115,101,32,45,108,118,32,76,79,71,95,69,86,69,78,84,83,32,102,111,114,32,109,111,114,101,32,105,110,102,111,114,109,97,116,105,111,110,46,32,84,104,101,32,122,101,114,111,45,99,114,111,115,115,105,110,103,32,119,97,115,58,32,37,115,0,78,101,103,97,116,105,118,101,32,100,101,108,97,121,32,114,101,113,117,101,115,116,101,100,58,32,100,101,108,97,121,84,105,109,101,32,61,32,37,103,0,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,115,101,116,32,116,105,116,108,101,10,0,0,0,0,0,0,105,110,108,105,110,101,45,114,117,110,103,101,107,117,116,116,97,0,0,0,0,0,0,0,73,110,116,101,114,112,111,108,97,116,101,32,108,105,110,101,97,114,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,50,46,95,84,68,49,46,95,120,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,110,101,103,97,116,101,100,65,108,105,97,115,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,115,101,116,32,111,117,116,112,117,116,32,34,37,115,95,112,114,111,102,46,37,115,37,100,46,116,104,117,109,98,46,115,118,103,34,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,105,110,116,101,114,110,97,108,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,50,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,97,108,105,97,115,0,0,0,78,76,83,95,85,78,75,78,79,87,78,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1597448);
/* memory initializer */ allocate([49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,49,46,78,111,114,50,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,117,110,115,101,116,32,98,111,114,100,101,114,10,0,0,0,100,97,115,115,108,32,119,105,116,104,32,99,111,108,111,114,101,100,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,68,65,83,83,76,45,45,32,32,72,65,83,32,66,69,67,79,77,69,32,46,76,69,46,32,48,46,48,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,82,83,50,46,95,78,111,114,49,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,114,101,97,108,32,97,108,105,97,115,32,118,97,114,115,0,0,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,76,105,115,46,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,117,110,115,101,116,32,121,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,110,117,109,101,114,105,99,97,108,32,106,97,99,111,98,105,97,110,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,52,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,105,111,109,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,83,116,114,105,110,103,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,41,0,0,0,0,0,0,0,106,117,110,107,32,97,102,116,101,114,32,100,111,99,117,109,101,110,116,32,101,108,101,109,101,110,116,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,100,97,116,97,32,102,111,114,32,108,105,110,101,97,114,32,115,111,108,118,101,114,32,108,97,112,97,99,107,46,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,84,68,49,46,120,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,117,110,115,101,116,32,120,116,105,99,115,10,0,0,0,0,100,97,115,115,108,32,119,105,116,104,32,115,121,109,98,111,108,105,99,32,106,97,99,111,98,105,97,110,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,108,105,110,101,97,114,32,115,111,108,118,101,114,0,0,0,0,0,0,110,111,32,115,117,110,100,105,97,108,115,47,107,105,110,115,111,108,32,115,117,112,112,111,114,116,32,97,99,116,105,118,97,116,101,100,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,51,46,95,120,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,115,116,114,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,0,105,110,116,101,103,101,114,40,100,101,108,97,121,40,53,44,32,47,42,82,101,97,108,42,47,40,73,110,116,101,103,101,114,40,112,114,101,40,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,120,41,41,41,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,44,32,67,111,117,110,116,101,114,46,70,70,91,51,93,46,82,83,50,46,84,68,49,46,100,101,108,97,121,84,105,109,101,41,44,32,52,41,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,0,77,97,116,114,105,120,32,116,121,112,101,32,109,105,115,109,97,116,99,104,0,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,42,50,100,111,117,98,108,101,37,37,37,100,117,105,110,116,51,50,37,37,42,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,37,100,32,119,32,108,32,108,119,32,37,100,10,0,0,0,0,0,0,0,0,100,97,115,115,108,32,102,111,114,32,100,101,98,117,103,32,112,114,111,112,111,115,101,0,68,101,99,0,0,0,0,0,97,108,108,111,99,97,116,105,111,110,72,121,98,114,100,68,97,116,97,40,41,32,102,97,105,108,101,100,33,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,51,46,95,120,91,49,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,66,111,111,108,101,97,110,32,37,115,40,37,115,115,116,97,114,116,61,37,115,37,115,44,32,102,105,120,101,100,61,37,115,41,0,0,0,0,117,110,114,101,99,111,103,110,105,122,101,100,32,109,105,120,101,100,32,115,111,108,118,101,114,0,0,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,82,83,50,46,78,111,114,49,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,112,108,111,116,32,34,37,115,95,112,114,111,102,46,100,97,116,97,34,32,98,105,110,97,114,121,32,102,111,114,109,97,116,61,34,37,37,42,117,105,110,116,51,50,37,37,50,100,111,117,98,108,101,37,37,42,37,100,117,105,110,116,51,50,37,37,37,100,100,111,117,98,108,101,34,32,117,115,105,110,103,32,49,58,40,36,37,100,62,49,101,45,57,32,63,32,36,37,100,32,58,32,49,101,45,51,48,41,32,119,32,108,32,108,119,32,37,100,10,0,100,97,115,115,108,32,119,105,116,104,111,117,116,32,105,110,116,101,114,110,97,108,32,114,111,111,116,32,102,105,110,100,105,110,103,0,0,0,0,0,78,111,118,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,51,46,95,97,117,120,105,108,105,97,114,121,95,110,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,98,111,111,108,101,97,110,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,78,111,116,49,46,97,117,120,105,108,105,97,114,121,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,52,46,97,117,120,105,108,105,97,114,121,95,110,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,0,0,0,38,113,117,111,116,59,0,0,108,111,98,97,116,116,111,54,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,79,99,116,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,50,93,46,95,65,110,100,49,46,95,121,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,100,0,0,0,0,0,0,0,82,101,113,117,101,115,116,101,100,32,101,113,117,97,116,105,111,110,32,119,105,116,104,32,112,114,111,102,105,108,101,114,32,105,110,100,101,120,32,37,108,100,44,32,98,117,116,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,105,116,33,0,0,0,0,0,0,112,97,114,97,109,101,116,101,114,32,73,110,116,101,103,101,114,32,37,115,40,37,115,115,116,97,114,116,61,37,108,100,37,115,44,32,102,105,120,101,100,61,37,115,44,32,109,105,110,61,37,108,100,44,32,109,97,120,61,37,108,100,41,0,91,91,58,100,105,103,105,116,58,93,93,0,0,0,0,0,116,105,109,101,40,41,32,102,97,105,108,101,100,58,32,37,115,0,0,0,0,0,0,0,69,114,114,111,114,44,32,99,97,110,32,110,111,116,32,103,101,116,32,77,97,116,114,105,120,32,66,32,0,0,0,0,86,97,114,105,97,98,108,101,32,81,48,46,110,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,81,48,46,110,32,62,61,32,49,32,104,97,115,32,118,97,108,117,101,58,32,0,100,101,102,97,117,108,116,32,109,101,116,104,111,100,0,0,115,105,109,117,108,97,116,105,111,110,95,105,110,112,117,116,95,120,109,108,46,99,112,112,58,32,69,114,114,111,114,58,32,102,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,88,77,76,32,100,97,116,97,32,37,115,58,32,37,115,32,97,116,32,108,105,110,101,32,37,108,117,10,0,0,0,0,0,0,0,0,68,97,116,97,83,101,116,58,32,116,105,109,101,10,0,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,102,105,108,101,32,37,115,0,76,79,71,95,73,80,79,80,84,0,0,0,0,0,0,0,37,46,49,54,103,44,0,0,83,101,112,0,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,50,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,91,37,108,100,93,32,91,37,49,53,103,93,32,58,61,32,37,115,32,40,100,105,115,99,114,101,116,101,41,32,91,115,99,97,108,105,110,103,32,99,111,101,102,102,105,99,105,101,110,116,58,32,37,103,93,0,38,97,112,111,115,59,0,0,37,49,50,103,115,32,91,37,53,46,49,102,37,37,93,32,115,116,101,112,115,0,0,0,108,111,98,97,116,116,111,52,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,111,102,102,32,101,110,100,32,111,102,32,114,101,99,111,114,100,0,0,0,0,0,0,0,106,97,99,111,98,105,97,110,32,102,117,110,99,116,105,111,110,32,112,111,105,110,116,101,114,32,105,115,32,105,110,118,97,108,105,100,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,50,46,95,84,68,49,46,95,120,95,100,101,108,97,121,101,100,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,0,0,0,0,114,101,97,100,32,120,109,108,32,102,105,108,101,32,102,111,114,32,105,110,116,101,103,101,114,32,112,97,114,97,109,101,116,101,114,115,0,0,0,0,86,97,114,105,97,98,108,101,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,32,111,117,116,32,111,102,32,91,109,105,110,44,32,109,97,120,93,32,105,110,116,101,114,118,97,108,58,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,32,62,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,85,39,32,97,110,100,32,67,111,117,110,116,101,114,46,70,70,91,49,93,46,65,110,100,51,46,120,91,49,93,32,60,61,32,77,111,100,101,108,105,99,97,46,69,108,101,99,116,114,105,99,97,108,46,68,105,103,105,116,97,108,46,73,110,116,101,114,102,97,99,101,115,46,76,111,103,105,99,46,39,45,39,32,104,97,115,32,118,97,108,117,101,58,32,0,0,0,0,38,103,116,59,0,0,0,0,108,111,98,97,116,116,111,50,32,91,115,117,110,100,105,97,108,47,107,105,110,115,111,108,32,110,101,101,100,101,100,93,0,0,0,0,0,0,0,0,65,117,103,0,0,0,0,0,100,105,115,99,114,101,116,101,32,118,97,114,32,99,104,97,110,103,101,100,58,32,67,111,117,110,116,101,114,46,95,70,70,91,51,93,46,95,82,83,50,46,95,78,111,114,50,46,95,97,117,120,105,108,105,97,114,121,91,50,93,32,102,114,111,109,32,37,108,100,32,116,111,32,37,108,100,0,0,0,83,105,109,117,108,97,116,105,111,110,32,99,97,108,108,32,116,101,114,109,105,110,97,116,101,40,41,32,97,116,32,116,105,109,101,32,37,102,10,77,101,115,115,97,103,101,32,58,32,37,115,0,0,0,0,0,119,98,0,0,0,0,0,0,95,112,114,111,102,46,100,97,116,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,116,95,105,110,105,116,0,112,114,105,110,116,77,111,100,101,108,73,110,102,111,0,0,112,105,118,111,116,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,118,97,108,115,0,0,0,111,109,99,95,109,97,116,108,97,98,52,95,114,101,97,100,95,115,105,110,103,108,101,95,118,97,108,0,0,0,0,0,109,111,100,101,108,73,110,102,111,88,109,108,73,110,105,116,0,0,0,0,0,0,0,0,102,105,110,100,82,111,111,116,0,0,0,0,0,0,0,0,100,97,115,114,116,95,115,116,101,112,0,0,0,0,0,0,98,105,115,101,99,116,105,111,110,0,0,0,0,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,0,0,0,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,72,58,37,77,58,37,83,37,72,58,37,77,0,0,0,37,73,58,37,77,58,37,83,32,37,112,0,0,0,0,0,37,89,45,37,109,45,37,100,37,109,47,37,100,47,37,121,37,72,58,37,77,58,37,83,37,0,0,0,0,0,0,0,37,112,0,0,0,0,0,0,0,0,0,0,8,183,24,0,196,0,0,0,152,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,183,24,0,248,0,0,0,208,0,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,183,24,0,92,0,0,0,70,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,183,24,0,122,0,0,0,36,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,183,24,0,122,0,0,0,10,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,183,24,0,122,0,0,0,28,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,183,24,0,214,0,0,0,104,0,0,0,66,0,0,0,2,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,183,24,0,60,1,0,0,238,0,0,0,66,0,0,0,4,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,183,24,0,206,0,0,0,240,0,0,0,66,0,0,0,8,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,208,183,24,0,62,1,0,0,186,0,0,0,66,0,0,0,6,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,24,0,10,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,112,184,24,0,58,1,0,0,118,0,0,0,66,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,144,184,24,0,204,0,0,0,146,0,0,0,66,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,184,24,0,54,0,0,0,148,0,0,0,66,0,0,0,180,0,0,0,6,0,0,0,32,0,0,0,8,0,0,0,20,0,0,0,58,0,0,0,2,0,0,0,248,255,255,255,176,184,24,0,28,0,0,0,12,0,0,0,60,0,0,0,18,0,0,0,6,0,0,0,56,0,0,0,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,184,24,0,244,0,0,0,32,1,0,0,66,0,0,0,26,0,0,0,2,0,0,0,62,0,0,0,26,0,0,0,18,0,0,0,4,0,0,0,4,0,0,0,248,255,255,255,216,184,24,0,106,0,0,0,158,0,0,0,174,0,0,0,192,0,0,0,146,0,0,0,70,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,185,24,0,98,0,0,0,242,0,0,0,66,0,0,0,74,0,0,0,182,0,0,0,16,0,0,0,68,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,185,24,0,128,0,0,0,88,0,0,0,66,0,0,0,68,0,0,0,128,0,0,0,30,0,0,0,86,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,185,24,0,48,1,0,0,2,0,0,0,66,0,0,0,50,0,0,0,38,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,185,24,0,64,0,0,0,6,0,0,0,66,0,0,0,16,0,0,0,22,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,185,24,0,18,1,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,185,24,0,40,0,0,0,184,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,185,24,0,72,0,0,0,220,0,0,0,66,0,0,0,8,0,0,0,6,0,0,0,14,0,0,0,4,0,0,0,12,0,0,0,4,0,0,0,2,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,185,24,0,126,0,0,0,24,0,0,0,66,0,0,0,24,0,0,0,28,0,0,0,36,0,0,0,26,0,0,0,34,0,0,0,8,0,0,0,6,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,185,24,0,56,0,0,0,34,0,0,0,66,0,0,0,50,0,0,0,48,0,0,0,40,0,0,0,42,0,0,0,28,0,0,0,46,0,0,0,38,0,0,0,56,0,0,0,54,0,0,0,52,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,185,24,0,76,0,0,0,4,0,0,0,66,0,0,0,76,0,0,0,68,0,0,0,24,0,0,0,66,0,0,0,60,0,0,0,30,0,0,0,64,0,0,0,74,0,0,0,72,0,0,0,70,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,248,185,24,0,94,0,0,0,116,0,0,0,66,0,0,0,48,0,0,0,20,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,186,24,0,38,0,0,0,222,0,0,0,66,0,0,0,98,0,0,0,28,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,186,24,0,14,0,0,0,236,0,0,0,66,0,0,0,2,0,0,0,12,0,0,0,108,0,0,0,178,0,0,0,102,0,0,0,116,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,186,24,0,230,0,0,0,178,0,0,0,66,0,0,0,14,0,0,0,16,0,0,0,102,0,0,0,80,0,0,0,10,0,0,0,104,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,186,24,0,230,0,0,0,30,0,0,0,66,0,0,0,6,0,0,0,4,0,0,0,26,0,0,0,152,0,0,0,120,0,0,0,54,0,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,120,186,24,0,230,0,0,0,130,0,0,0,66,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,54,0,0,0,16,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,152,186,24,0,230,0,0,0,50,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,186,24,0,80,0,0,0,202,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,184,186,24,0,230,0,0,0,100,0,0,0,66,0,0,0,46,0,0,0,32,0,0,0,48,0,0,0,94,0,0,0,26,0,0,0,58,0,0,0,68,0,0,0,8,0,0,0,12,0,0,0,86,0,0,0,24,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,216,186,24,0,68,1,0,0,52,0,0,0,66,0,0,0,20,0,0,0,22,0,0,0,48,0,0,0,66,0,0,0,16,0,0,0,58,0,0,0,54,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,8,187,24,0,6,1,0,0,246,0,0,0,200,255,255,255,200,255,255,255,8,187,24,0,44,0,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,187,24,0,168,0,0,0,108,0,0,0,114,0,0,0,10,0,0,0,38,0,0,0,64,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,187,24,0,230,0,0,0,106,0,0,0,66,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,54,0,0,0,16,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,56,187,24,0,230,0,0,0,210,0,0,0,66,0,0,0,8,0,0,0,10,0,0,0,114,0,0,0,54,0,0,0,16,0,0,0,50,0,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,187,24,0,68,0,0,0,16,1,0,0,92,0,0,0,70,0,0,0,30,0,0,0,2,0,0,0,76,0,0,0,130,0,0,0,44,0,0,0,188,0,0,0,14,0,0,0,78,0,0,0,42,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,187,24,0,174,0,0,0,40,1,0,0,40,0,0,0,48,0,0,0,18,0,0,0,22,0,0,0,134,0,0,0,122,0,0,0,62,0,0,0,48,0,0,0,44,0,0,0,14,0,0,0,2,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,96,187,24,0,12,0,0,0,156,0,0,0,92,0,0,0,70,0,0,0,34,0,0,0,18,0,0,0,76,0,0,0,130,0,0,0,44,0,0,0,8,0,0,0,14,0,0,0,84,0,0,0,42,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,112,187,24,0,154,0,0,0,134,0,0,0,152,255,255,255,152,255,255,255,112,187,24,0,110,0,0,0,226,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,128,187,24,0,170,0,0,0,224,0,0,0,148,255,255,255,148,255,255,255,128,187,24,0,136,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,176,187,24,0,60,0,0,0,12,1,0,0,252,255,255,255,252,255,255,255,176,187,24,0,192,0,0,0,172,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,200,187,24,0,20,1,0,0,42,1,0,0,252,255,255,255,252,255,255,255,200,187,24,0,144,0,0,0,254,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,224,187,24,0,112,0,0,0,72,1,0,0,248,255,255,255,248,255,255,255,224,187,24,0,232,0,0,0,38,1,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,248,187,24,0,142,0,0,0,4,1,0,0,248,255,255,255,248,255,255,255,248,187,24,0,182,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,188,24,0,14,1,0,0,86,0,0,0,70,0,0,0,18,0,0,0,16,0,0,0,8,0,0,0,72,0,0,0,130,0,0,0,44,0,0,0,78,0,0,0,14,0,0,0,44,0,0,0,42,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,188,24,0,2,1,0,0,22,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,72,188,24,0,52,1,0,0,36,1,0,0,34,0,0,0,48,0,0,0,18,0,0,0,22,0,0,0,86,0,0,0,122,0,0,0,62,0,0,0,48,0,0,0,44,0,0,0,14,0,0,0,60,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,88,188,24,0,200,0,0,0,8,1,0,0,62,0,0,0,70,0,0,0,34,0,0,0,18,0,0,0,136,0,0,0,130,0,0,0,44,0,0,0,8,0,0,0,14,0,0,0,84,0,0,0,74,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,136,188,24,0,30,1,0,0,190,0,0,0,66,0,0,0,104,0,0,0,176,0,0,0,76,0,0,0,116,0,0,0,8,0,0,0,54,0,0,0,82,0,0,0,44,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,168,188,24,0,140,0,0,0,78,0,0,0,66,0,0,0,166,0,0,0,172,0,0,0,100,0,0,0,112,0,0,0,114,0,0,0,50,0,0,0,170,0,0,0,82,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,200,188,24,0,34,1,0,0,150,0,0,0,66,0,0,0,22,0,0,0,92,0,0,0,12,0,0,0,72,0,0,0,118,0,0,0,84,0,0,0,144,0,0,0,88,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,232,188,24,0,96,0,0,0,218,0,0,0,66,0,0,0,156,0,0,0,160,0,0,0,52,0,0,0,106,0,0,0,4,0,0,0,42,0,0,0,116,0,0,0,104,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,189,24,0,114,0,0,0,20,0,0,0,90,0,0,0,48,0,0,0,18,0,0,0,22,0,0,0,134,0,0,0,122,0,0,0,62,0,0,0,108,0,0,0,124,0,0,0,22,0,0,0,2,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,189,24,0,18,0,0,0,24,1,0,0,98,0,0,0,70,0,0,0,34,0,0,0,18,0,0,0,76,0,0,0,130,0,0,0,44,0,0,0,150,0,0,0,40,0,0,0,2,0,0,0,42,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,189,24,0,56,1,0,0,250,0,0,0,84,0,0,0,198,0,0,0,14,0,0,0,2,0,0,0,28,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,116,164,24,0,140,189,24,0,160,189,24,0,136,164,24,0,28,166,24,0,180,189,24,0,200,189,24,0,48,166,24,0,76,166,24,0,220,189,24,0,240,189,24,0,96,166,24,0,83,116,57,116,121,112,101,95,105,110,102,111,0,0,0,0,83,116,57,101,120,99,101,112,116,105,111,110,0,0,0,0,83,116,57,98,97,100,95,97,108,108,111,99,0,0,0,0,83,116,56,98,97,100,95,99,97,115,116,0,0,0,0,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,0,0,0,0,0,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,0,0,0,0,0,0,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,0,0,0,0,0,0,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,78,83,116,51,95,95,49,57,116,105,109,101,95,98,97,115,101,69,0,0,0,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,0,0,78,83,116,51,95,95,49,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,110,117,109,112,117,110,99,116,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,119,69,69,0,0,0,0,78,83,116,51,95,95,49,56,109,101,115,115,97,103,101,115,73,99,69,69,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,119,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,108,108,97,116,101,73,99,69,69,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1607688);
/* memory initializer */ allocate([68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,0,0,78,83,116,51,95,95,49,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,53,99,116,121,112,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,78,83,116,51,95,95,49,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,0,0,78,83,116,51,95,95,49,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,78,83,116,51,95,95,49,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,111,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,49,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,0,78,83,116,51,95,95,49,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,0,78,83,116,51,95,95,49,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,0,78,83,116,51,95,95,49,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,0,0,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,0,0,0,0,78,83,116,51,95,95,49,49,48,109,111,110,101,121,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,99,116,121,112,101,95,98,97,115,101,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,116,105,109,101,95,112,117,116,69,0,0,0,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,49,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,0,0,0,0,0,0,0,0,0,0,0,24,170,24,0,0,0,0,0,40,170,24,0,0,0,0,0,56,170,24,0,0,183,24,0,0,0,0,0,0,0,0,0,72,170,24,0,0,183,24,0,0,0,0,0,0,0,0,0,88,170,24,0,0,183,24,0,0,0,0,0,0,0,0,0,112,170,24,0,88,183,24,0,0,0,0,0,0,0,0,0,136,170,24,0,88,183,24,0,0,0,0,0,0,0,0,0,160,170,24,0,0,183,24,0,0,0,0,0,0,0,0,0,176,170,24,0,192,169,24,0,200,170,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,104,188,24,0,0,0,0,0,192,169,24,0,16,171,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,112,188,24,0,0,0,0,0,192,169,24,0,88,171,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,120,188,24,0,0,0,0,0,192,169,24,0,160,171,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,128,188,24,0,0,0,0,0,0,0,0,0,232,171,24,0,96,185,24,0,0,0,0,0,0,0,0,0,24,172,24,0,96,185,24,0,0,0,0,0,192,169,24,0,72,172,24,0,0,0,0,0,1,0,0,0,152,187,24,0,0,0,0,0,192,169,24,0,96,172,24,0,0,0,0,0,1,0,0,0,152,187,24,0,0,0,0,0,192,169,24,0,120,172,24,0,0,0,0,0,1,0,0,0,160,187,24,0,0,0,0,0,192,169,24,0,144,172,24,0,0,0,0,0,1,0,0,0,160,187,24,0,0,0,0,0,192,169,24,0,168,172,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,24,189,24,0,0,8,0,0,192,169,24,0,240,172,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,24,189,24,0,0,8,0,0,192,169,24,0,56,173,24,0,0,0,0,0,3,0,0,0,152,186,24,0,2,0,0,0,104,183,24,0,2,0,0,0,248,186,24,0,0,8,0,0,192,169,24,0,128,173,24,0,0,0,0,0,3,0,0,0,152,186,24,0,2,0,0,0,104,183,24,0,2,0,0,0,0,187,24,0,0,8,0,0,0,0,0,0,200,173,24,0,152,186,24,0,0,0,0,0,0,0,0,0,224,173,24,0,152,186,24,0,0,0,0,0,192,169,24,0,248,173,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,168,187,24,0,2,0,0,0,192,169,24,0,16,174,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,168,187,24,0,2,0,0,0,0,0,0,0,40,174,24,0,0,0,0,0,64,174,24,0,32,188,24,0,0,0,0,0,192,169,24,0,96,174,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,16,184,24,0,0,0,0,0,192,169,24,0,168,174,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,40,184,24,0,0,0,0,0,192,169,24,0,240,174,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,64,184,24,0,0,0,0,0,192,169,24,0,56,175,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,88,184,24,0,0,0,0,0,0,0,0,0,128,175,24,0,152,186,24,0,0,0,0,0,0,0,0,0,152,175,24,0,152,186,24,0,0,0,0,0,192,169,24,0,176,175,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,48,188,24,0,2,0,0,0,192,169,24,0,216,175,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,48,188,24,0,2,0,0,0,192,169,24,0,0,176,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,48,188,24,0,2,0,0,0,192,169,24,0,40,176,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,48,188,24,0,2,0,0,0,0,0,0,0,80,176,24,0,144,187,24,0,0,0,0,0,0,0,0,0,104,176,24,0,152,186,24,0,0,0,0,0,192,169,24,0,128,176,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,16,189,24,0,2,0,0,0,192,169,24,0,152,176,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,16,189,24,0,2,0,0,0,0,0,0,0,176,176,24,0,0,0,0,0,216,176,24,0,0,0,0,0,0,177,24,0,200,187,24,0,0,0,0,0,0,0,0,0,72,177,24,0,56,188,24,0,0,0,0,0,0,0,0,0,104,177,24,0,120,186,24,0,0,0,0,0,0,0,0,0,144,177,24,0,120,186,24,0,0,0,0,0,0,0,0,0,184,177,24,0,96,187,24,0,0,0,0,0,0,0,0,0,0,178,24,0,0,0,0,0,56,178,24,0,0,0,0,0,112,178,24,0,0,0,0,0,144,178,24,0,200,187,24,0,0,0,0,0,0,0,0,0,192,178,24,0,248,187,24,0,0,0,0,0,0,0,0,0,240,178,24,0,0,0,0,0,16,179,24,0,0,0,0,0,48,179,24,0,0,0,0,0,80,179,24,0,192,169,24,0,104,179,24,0,0,0,0,0,1,0,0,0,240,183,24,0,3,244,255,255,192,169,24,0,152,179,24,0,0,0,0,0,1,0,0,0,0,184,24,0,3,244,255,255,192,169,24,0,200,179,24,0,0,0,0,0,1,0,0,0,240,183,24,0,3,244,255,255,192,169,24,0,248,179,24,0,0,0,0,0,1,0,0,0,0,184,24,0,3,244,255,255,0,0,0,0,40,180,24,0,96,187,24,0,0,0,0,0,0,0,0,0,88,180,24,0,40,183,24,0,0,0,0,0,0,0,0,0,112,180,24,0,0,0,0,0,136,180,24,0,104,187,24,0,0,0,0,0,0,0,0,0,160,180,24,0,88,187,24,0,0,0,0,0,0,0,0,0,192,180,24,0,96,187,24,0,0,0,0,0,0,0,0,0,224,180,24,0,0,0,0,0,0,181,24,0,0,0,0,0,32,181,24,0,0,0,0,0,64,181,24,0,192,169,24,0,96,181,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,8,189,24,0,2,0,0,0,192,169,24,0,128,181,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,8,189,24,0,2,0,0,0,192,169,24,0,160,181,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,8,189,24,0,2,0,0,0,192,169,24,0,192,181,24,0,0,0,0,0,2,0,0,0,152,186,24,0,2,0,0,0,8,189,24,0,2,0,0,0,0,0,0,0,224,181,24,0,0,0,0,0,248,181,24,0,0,0,0,0,16,182,24,0,0,0,0,0,40,182,24,0,88,187,24,0,0,0,0,0,0,0,0,0,64,182,24,0,96,187,24,0,0,0,0,0,0,0,0,0,88,182,24,0,96,189,24,0,0,0,0,0,0,0,0,0,128,182,24,0,96,189,24,0,0,0,0,0,0,0,0,0,168,182,24,0,112,189,24,0,0,0,0,0,0,0,0,0,208,182,24,0,248,182,24,0,0,0,0,0,56,0,0,0,0,0,0,0,200,187,24,0,20,1,0,0,42,1,0,0,200,255,255,255,200,255,255,255,200,187,24,0,144,0,0,0,254,0,0,0,104,0,0,0,0,0,0,0,200,187,24,0,20,1,0,0,42,1,0,0,152,255,255,255,152,255,255,255,200,187,24,0,144,0,0,0,254,0,0,0,108,0,0,0,0,0,0,0,248,187,24,0,142,0,0,0,4,1,0,0,148,255,255,255,148,255,255,255,248,187,24,0,182,0,0,0,74,0,0,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,0,0,0,0,0,0,0,9,0,0,0,9,0,0,0,9,0,0,0,9,0,0,0,1,0,0,0,1,0,0,0,3,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,3,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,3,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,3,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,32,190,24,0,48,190,24,0,0,0,0,0,2,0,0,0,40,190,24,0,120,191,24,0,0,0,0,0,9,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,4,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,3,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,4,0,0,0,3,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,3,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,224,192,24,0,240,192,24,0,0,0,0,0,1,0,0,0,232,192,24,0,24,193,24,0,0,0,0,0,9,0,0,0,9,0,0,0,9,0,0,0,9,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,4,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,4,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,4,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,4,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,2,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,4,0,0,0,2,0,0,0,0,0,0,0,2,0,0,0,96,193,24,0,112,193,24,0,0,0,0,0,2,0,0,0,104,193,24,0,184,194,24,0,0,0,0,0,9,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,1,0,0,0,32,196,24,0,48,196,24,0,0,0,0,0,1,0,0,0,40,196,24,0,88,196,24,0,0,0,0,0,0,0,0,0,80,57,1,0,120,14,1,0,248,227,0,0,64,194,0,0,144,162,0,0,32,135,0,0,248,113,0,0,168,90,0,0,136,139,24,0,192,114,24,0,16,102,24,0,232,91,24,0,8,85,24,0,232,79,24,0,56,75,24,0,224,70,24,0,248,66,24,0,192,63,24,0,152,59,24,0,168,54,24,0,48,50,24,0,120,100,20,0,0,62,1,0,160,57,1,0,0,53,1,0,224,48,1,0,0,45,1,0,88,41,1,0,128,37,1,0,96,32,1,0,184,26,1,0,248,22,1,0,208,18,1,0,72,15,1,0,16,11,1,0,240,6,1,0,80,1,1,0,160,253,0,0,128,249,0,0,104,243,0,0,0,0,0,0,136,142,0,0,24,98,0,0,168,95,0,0,120,127,24,0,200,91,0,0,16,90,0,0,136,123,24,0,184,120,24,0,88,118,24,0,176,114,24,0,232,113,24,0,216,112,24,0,104,112,24,0,120,111,24,0,64,110,24,0,200,107,24,0,96,107,24,0,104,105,24,0,56,133,24,0,240,129,24,0,136,142,0,0,24,98,0,0,168,95,0,0,168,93,0,0,200,91,0,0,16,90,0,0,232,87,0,0,216,85,0,0,0,83,0,0,8,154,24,0,56,152,24,0,192,148,24,0,32,146,24,0,200,143,24,0,216,140,24,0,208,138,24,0,208,136,24,0,40,135,24,0,56,133,24,0,240,129,24,0,136,142,0,0,72,126,0,0,224,124,0,0,120,121,0,0,184,118,0,0,80,117,0,0,72,115,0,0,0,0,0,0,168,170,0,0,48,151,0,0,32,149,0,0,120,145,0,0,168,142,0,0,112,140,0,0,160,137,0,0,0,0,0,0,136,142,0,0,64,140,0,0,120,137,0,0,232,133,0,0,232,131,0,0,16,130,0,0,56,128,0,0,0,0,0,0,168,170,0,0,0,167,0,0,8,165,0,0,232,161,0,0,144,159,0,0,160,156,0,0,200,153,0,0,0,0,0,0,168,135,24,0,88,128,24,0,136,58,24,0,232,36,1,0,152,248,0,0,0,0,0,0,48,212,0,0,64,180,0,0,56,149,0,0,0,125,0,0,152,248,0,0,0,0,0,0,192,91,24,0,208,99,20,0,104,22,1,0,176,234,0,0,32,200,0,0,24,167,0,0,8,140,0,0,184,116,0,0,72,92,0,0,176,141,24,0,88,116,24,0,224,102,24,0,208,92,24,0,32,85,24,0,16,80,24,0,96,75,24,0,224,73,24,0,48,67,24,0,1,0,0,0,209,0,0,0,1,0,0,0,207,0,0,0,1,0,0,0,209,0,0,0,1,0,0,0,207,0,0,0,1,0,0,0,209,0,0,0,1,0,0,0,207,0,0,0,1,0,0,0,209,0,0,0,1,0,0,0,207,0,0,0,1,0,0,0,25,1,0,0,1,0,0,0,27,1,0,0,1,0,0,0,209,0,0,0,1,0,0,0,207,0,0,0,1,0,0,0,209,0,0,0,1,0,0,0,207,0,0,0,1,0,0,0,209,0,0,0,1,0,0,0,207,0,0,0,1,0,0,0,209,0,0,0,1,0,0,0,207,0,0,0,104,199,24,0,96,199,24,0,24,199,24,0,16,199,24,0,8,199,24,0,0,199,24,0,248,198,24,0,240,198,24,0,232,198,24,0,224,198,24,0,88,199,24,0,80,199,24,0,72,199,24,0,64,199,24,0,56,199,24,0,48,199,24,0,40,199,24,0,32,199,24,0,192,91,24,0,104,22,1,0,32,200,0,0,8,140,0,0,72,92,0,0,88,116,24,0,208,92,24,0,16,80,24,0,216,63,24,0,208,59,24,0,48,67,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,199,12,0,0,11,0,0,0,199,12,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,238,12,0,0,11,0,0,0,238,12,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,166,9,0,0,11,0,0,0,168,9,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,2,17,0,0,11,0,0,0,4,17,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,135,10,0,0,11,0,0,0,137,10,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,239,12,0,0,11,0,0,0,239,12,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,175,11,0,0,11,0,0,0,175,11,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,114,13,0,0,11,0,0,0,114,13,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,159,10,0,0,11,0,0,0,162,10,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,115,13,0,0,11,0,0,0,115,13,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,50,24,0,163,10,0,0,11,0,0,0,165,10,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,0,16,0,0,11,0,0,0,1,16,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,2,16,0,0,11,0,0,0,3,16,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,253,16,0,0,11,0,0,0,254,16,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,255,16,0,0,11,0,0,0,1,17,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,165,9,0,0,11,0,0,0,165,9,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,33,7,0,0,11,0,0,0,33,7,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,158,10,0,0,11,0,0,0,158,10,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,248,5,0,0,11,0,0,0,248,5,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,172,11,0,0,11,0,0,0,172,11,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,104,146,0,0,206,18,0,0,11,0,0,0,206,18,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,54,0,0,0,70,0,0,0,48,0,0,0,28,1,0,0,64,1,0,0,252,0,0,0,46,0,0,0,66,0,0,0,58,0,0,0,148,0,0,0,110,0,0,0,204,0,0,0,190,0,0,0,20,0,0,0,2,0,0,0,118,0,0,0,164,0,0,0,42,0,0,0,1,0,0,0,0,0,0,0,4,0,0,0,184,0,0,0,140,0,0,0,34,0,0,0,90,0,0,0,202,0,0,0,8,0,0,0,138,0,0,0,54,1,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,30,0,0,0,38,0,0,0,36,0,0,0,34,0,0,0,32,0,0,0,186,0,0,0,52,0,0,0,62,0,0,0,96,0,0,0,90,0,0,0,4,0,0,0,52,0,0,0,62,0,0,0,6,0,0,0,88,47,1,0,56,135,0,0,192,132,0,0,216,130,0,0,8,56,24,0,216,128,0,0,112,99,24,0,208,120,24,0,8,56,24,0,88,33,1,0,160,244,0,0,168,209,0,0,88,177,0,0,144,147,0,0,16,123,0,0,88,101,0,0,216,150,24,0,32,126,24,0,232,108,24,0,184,96,24,0,184,88,24,0,0,83,24,0,16,78,24,0,40,73,24,0,128,69,24,0,216,65,24,0,224,61,24,0,16,58,24,0,200,52,24,0,224,102,20,0,232,64,1,0,112,60,1,0,136,55,1,0,104,51,1,0,88,47,1,0,40,43,1,0,40,43,1,0,184,39,1,0,56,36,1,0,152,29,1,0,248,24,1,0,168,20,1,0,32,17,1,0,48,13,1,0,48,9,1,0,128,5,1,0,104,255,0,0,176,251,0,0,192,247,0,0,16,241,0,0,16,237,0,0,128,233,0,0,40,230,0,0,232,226,0,0,168,223,0,0,136,219,0,0,208,215,0,0,216,214,0,0,232,207,0,0,216,203,0,0,176,200,0,0,72,197,0,0,121,101,115,0,0,0,0,0,118,101,114,115,105,111,110,0,115,116,97,110,100,97,108,111,110,101,0,0,0,0,0,0,110,111,0,0,0,0,0,0,101,110,99,111,100,105,110,103,0,0,0,0,0,0,0,0,85,84,70,45,56,0,0,0,85,84,70,45,49,54,76,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,66,69,0,0,0,0,0,0,0,0,85,84,70,45,49,54,0,0,85,83,45,65,83,67,73,73,0,0,0,0,0,0,0,0,83,89,83,84,69,77,0,0,82,69,81,85,73,82,69,68,0,0,0,0,0,0,0,0,80,85,66,76,73,67,0,0,80,67,68,65,84,65,0,0,78,79,84,65,84,73,79,78,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,83,0,0,0,0,0,0,0,0,78,77,84,79,75,69,78,0,78,68,65,84,65,0,0,0,73,83,79,45,56,56,53,57,45,49,0,0,0,0,0,0,73,78,67,76,85,68,69,0,73,77,80,76,73,69,68,0,73,71,78,79,82,69,0,0,73,68,82,69,70,83,0,0,73,68,82,69,70,0,0,0,73,68,0,0,0,0,0,0,70,73,88,69,68,0,0,0,69,78,84,73,84,89,0,0,69,78,84,73,84,73,69,83,0,0,0,0,0,0,0,0,69,77,80,84,89,0,0,0,69,76,69,77,69,78,84,0,68,79,67,84,89,80,69,0,67,68,65,84,65,0,0,0,65,84,84,76,73,83,84,0,65,78,89,0,0,0,0,0,168,170,0,0,144,128,0,0,104,126,0,0,240,124,0,0,168,170,0,0,128,134,0,0,8,132,0,0,72,130,0,0,96,203,0,0,112,80,24,0,0,58,1,0,96,15,1,0,64,228,0,0,120,194,0,0,120,162,0,0,40,149,0,0,152,113,0,0,80,103,0,0,96,152,24,0,160,127,24,0,120,109,24,0,80,97,24,0,80,103,0,0,16,89,24,0,192,79,24,0,24,75,24,0,184,70,24,0,200,69,24,0,72,63,24,0,112,59,24,0,80,58,24,0,64,53,24,0,88,100,20,0,216,61,1,0,248,60,1,0,0,56,1,0,112,48,1,0,176,47,1,0,216,43,1,0,96,37,1,0,0,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,16,186,0,0,112,79,24,0,72,57,1,0,112,14,1,0,240,227,0,0,56,194,0,0,112,162,0,0,24,135,0,0,240,113,0,0,120,90,0,0,88,139,24,0,160,114,24,0,224,101,24,0,176,91,24,0,0,85,24,0,216,79,24,0,48,75,24,0,208,70,24,0,240,66,24,0,168,63,24,0,144,59,24,0,160,54,24,0,32,50,24,0,112,100,20,0,240,61,1,0,144,57,1,0,248,52,1,0,136,48,1,0,248,44,1,0,80,41,1,0,112,37,1,0,0,0,0,0,88,32,1,0,216,175,0,0,24,171,0,0,136,18,1,0,16,168,0,0,200,10,1,0,192,6,1,0,104,165,0,0,168,162,0,0,96,249,0,0,48,243,0,0,24,160,0,0,48,157,0,0,56,154,0,0,88,228,0,0,48,225,0,0,192,151,0,0,168,149,0,0,184,146,0,0,0,143,0,0,24,208,0,0,8,204,0,0,184,200,0,0,200,140,0,0,0,138,0,0,64,135,0,0,208,188,0,0,32,186,0,0,112,183,0,0,152,180,0,0,112,37,1,0,0,0,0,0,88,32,1,0,112,26,1,0,200,22,1,0,136,18,1,0,8,15,1,0,200,10,1,0,192,6,1,0,8,1,1,0,136,253,0,0,96,249,0,0,48,243,0,0,72,238,0,0,104,235,0,0,96,231,0,0,88,228,0,0,48,225,0,0,32,222,0,0,176,219,0,0,72,216,0,0,136,212,0,0,24,208,0,0,8,204,0,0,184,200,0,0,120,197,0,0,176,194,0,0,224,191,0,0,208,188,0,0,32,186,0,0,112,183,0,0,152,180,0,0,112,37,1,0,0,0,0,0,65,49,32,98,116,46,32,105,114,49,32,110,97,32,32,84,106,32,32,114,101,32,32,97,99,32,32,110,116,32,32,115,111,32,32,32,114,32,32,32,121,32,32,32,0,0,0,0], "i8", ALLOC_NONE, Runtime.GLOBAL_BASE+1617928);



var tempDoublePtr = Runtime.alignMemory(allocate(12, "i8", ALLOC_STATIC), 8);

assert(tempDoublePtr % 8 == 0);

function copyTempFloat(ptr) { // functions, because inlining this code increases code size too much

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

}

function copyTempDouble(ptr) {

  HEAP8[tempDoublePtr] = HEAP8[ptr];

  HEAP8[tempDoublePtr+1] = HEAP8[ptr+1];

  HEAP8[tempDoublePtr+2] = HEAP8[ptr+2];

  HEAP8[tempDoublePtr+3] = HEAP8[ptr+3];

  HEAP8[tempDoublePtr+4] = HEAP8[ptr+4];

  HEAP8[tempDoublePtr+5] = HEAP8[ptr+5];

  HEAP8[tempDoublePtr+6] = HEAP8[ptr+6];

  HEAP8[tempDoublePtr+7] = HEAP8[ptr+7];

}


   
  Module["_strlen"] = _strlen;

   
  Module["_strncpy"] = _strncpy;

  
  
  var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};
  
  var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};
  
  
  var ___errno_state=0;function ___setErrNo(value) {
      // For convenient setting and returning of errno.
      HEAP32[((___errno_state)>>2)]=value;
      return value;
    }
  
  var PATH={splitPath:function (filename) {
        var splitPathRe = /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
        return splitPathRe.exec(filename).slice(1);
      },normalizeArray:function (parts, allowAboveRoot) {
        // if the path tries to go above the root, `up` ends up > 0
        var up = 0;
        for (var i = parts.length - 1; i >= 0; i--) {
          var last = parts[i];
          if (last === '.') {
            parts.splice(i, 1);
          } else if (last === '..') {
            parts.splice(i, 1);
            up++;
          } else if (up) {
            parts.splice(i, 1);
            up--;
          }
        }
        // if the path is allowed to go above the root, restore leading ..s
        if (allowAboveRoot) {
          for (; up--; up) {
            parts.unshift('..');
          }
        }
        return parts;
      },normalize:function (path) {
        var isAbsolute = path.charAt(0) === '/',
            trailingSlash = path.substr(-1) === '/';
        // Normalize the path
        path = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), !isAbsolute).join('/');
        if (!path && !isAbsolute) {
          path = '.';
        }
        if (path && trailingSlash) {
          path += '/';
        }
        return (isAbsolute ? '/' : '') + path;
      },dirname:function (path) {
        var result = PATH.splitPath(path),
            root = result[0],
            dir = result[1];
        if (!root && !dir) {
          // No dirname whatsoever
          return '.';
        }
        if (dir) {
          // It has a dirname, strip trailing slash
          dir = dir.substr(0, dir.length - 1);
        }
        return root + dir;
      },basename:function (path) {
        // EMSCRIPTEN return '/'' for '/', not an empty string
        if (path === '/') return '/';
        var lastSlash = path.lastIndexOf('/');
        if (lastSlash === -1) return path;
        return path.substr(lastSlash+1);
      },extname:function (path) {
        return PATH.splitPath(path)[3];
      },join:function () {
        var paths = Array.prototype.slice.call(arguments, 0);
        return PATH.normalize(paths.join('/'));
      },join2:function (l, r) {
        return PATH.normalize(l + '/' + r);
      },resolve:function () {
        var resolvedPath = '',
          resolvedAbsolute = false;
        for (var i = arguments.length - 1; i >= -1 && !resolvedAbsolute; i--) {
          var path = (i >= 0) ? arguments[i] : FS.cwd();
          // Skip empty and invalid entries
          if (typeof path !== 'string') {
            throw new TypeError('Arguments to path.resolve must be strings');
          } else if (!path) {
            continue;
          }
          resolvedPath = path + '/' + resolvedPath;
          resolvedAbsolute = path.charAt(0) === '/';
        }
        // At this point the path should be resolved to a full absolute path, but
        // handle relative paths to be safe (might happen when process.cwd() fails)
        resolvedPath = PATH.normalizeArray(resolvedPath.split('/').filter(function(p) {
          return !!p;
        }), !resolvedAbsolute).join('/');
        return ((resolvedAbsolute ? '/' : '') + resolvedPath) || '.';
      },relative:function (from, to) {
        from = PATH.resolve(from).substr(1);
        to = PATH.resolve(to).substr(1);
        function trim(arr) {
          var start = 0;
          for (; start < arr.length; start++) {
            if (arr[start] !== '') break;
          }
          var end = arr.length - 1;
          for (; end >= 0; end--) {
            if (arr[end] !== '') break;
          }
          if (start > end) return [];
          return arr.slice(start, end - start + 1);
        }
        var fromParts = trim(from.split('/'));
        var toParts = trim(to.split('/'));
        var length = Math.min(fromParts.length, toParts.length);
        var samePartsLength = length;
        for (var i = 0; i < length; i++) {
          if (fromParts[i] !== toParts[i]) {
            samePartsLength = i;
            break;
          }
        }
        var outputParts = [];
        for (var i = samePartsLength; i < fromParts.length; i++) {
          outputParts.push('..');
        }
        outputParts = outputParts.concat(toParts.slice(samePartsLength));
        return outputParts.join('/');
      }};
  
  var TTY={ttys:[],init:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // currently, FS.init does not distinguish if process.stdin is a file or TTY
        //   // device, it always assumes it's a TTY device. because of this, we're forcing
        //   // process.stdin to UTF8 encoding to at least make stdin reading compatible
        //   // with text files until FS.init can be refactored.
        //   process['stdin']['setEncoding']('utf8');
        // }
      },shutdown:function () {
        // https://github.com/kripken/emscripten/pull/1555
        // if (ENVIRONMENT_IS_NODE) {
        //   // inolen: any idea as to why node -e 'process.stdin.read()' wouldn't exit immediately (with process.stdin being a tty)?
        //   // isaacs: because now it's reading from the stream, you've expressed interest in it, so that read() kicks off a _read() which creates a ReadReq operation
        //   // inolen: I thought read() in that case was a synchronous operation that just grabbed some amount of buffered data if it exists?
        //   // isaacs: it is. but it also triggers a _read() call, which calls readStart() on the handle
        //   // isaacs: do process.stdin.pause() and i'd think it'd probably close the pending call
        //   process['stdin']['pause']();
        // }
      },register:function (dev, ops) {
        TTY.ttys[dev] = { input: [], output: [], ops: ops };
        FS.registerDevice(dev, TTY.stream_ops);
      },stream_ops:{open:function (stream) {
          var tty = TTY.ttys[stream.node.rdev];
          if (!tty) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          stream.tty = tty;
          stream.seekable = false;
        },close:function (stream) {
          // flush any pending line data
          if (stream.tty.output.length) {
            stream.tty.ops.put_char(stream.tty, 10);
          }
        },read:function (stream, buffer, offset, length, pos /* ignored */) {
          if (!stream.tty || !stream.tty.ops.get_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          var bytesRead = 0;
          for (var i = 0; i < length; i++) {
            var result;
            try {
              result = stream.tty.ops.get_char(stream.tty);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            if (result === undefined && bytesRead === 0) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
            if (result === null || result === undefined) break;
            bytesRead++;
            buffer[offset+i] = result;
          }
          if (bytesRead) {
            stream.node.timestamp = Date.now();
          }
          return bytesRead;
        },write:function (stream, buffer, offset, length, pos) {
          if (!stream.tty || !stream.tty.ops.put_char) {
            throw new FS.ErrnoError(ERRNO_CODES.ENXIO);
          }
          for (var i = 0; i < length; i++) {
            try {
              stream.tty.ops.put_char(stream.tty, buffer[offset+i]);
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
          }
          if (length) {
            stream.node.timestamp = Date.now();
          }
          return i;
        }},default_tty_ops:{get_char:function (tty) {
          if (!tty.input.length) {
            var result = null;
            if (ENVIRONMENT_IS_NODE) {
              result = process['stdin']['read']();
              if (!result) {
                if (process['stdin']['_readableState'] && process['stdin']['_readableState']['ended']) {
                  return null;  // EOF
                }
                return undefined;  // no data available
              }
            } else if (typeof window != 'undefined' &&
              typeof window.prompt == 'function') {
              // Browser.
              result = window.prompt('Input: ');  // returns null on cancel
              if (result !== null) {
                result += '\n';
              }
            } else if (typeof readline == 'function') {
              // Command line.
              result = readline();
              if (result !== null) {
                result += '\n';
              }
            }
            if (!result) {
              return null;
            }
            tty.input = intArrayFromString(result, true);
          }
          return tty.input.shift();
        },put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['print'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }},default_tty1_ops:{put_char:function (tty, val) {
          if (val === null || val === 10) {
            Module['printErr'](tty.output.join(''));
            tty.output = [];
          } else {
            tty.output.push(TTY.utf8.processCChar(val));
          }
        }}};
  
  var MEMFS={ops_table:null,CONTENT_OWNING:1,CONTENT_FLEXIBLE:2,CONTENT_FIXED:3,mount:function (mount) {
        return MEMFS.createNode(null, '/', 16384 | 0777, 0);
      },createNode:function (parent, name, mode, dev) {
        if (FS.isBlkdev(mode) || FS.isFIFO(mode)) {
          // no supported
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (!MEMFS.ops_table) {
          MEMFS.ops_table = {
            dir: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                lookup: MEMFS.node_ops.lookup,
                mknod: MEMFS.node_ops.mknod,
                mknod: MEMFS.node_ops.mknod,
                rename: MEMFS.node_ops.rename,
                unlink: MEMFS.node_ops.unlink,
                rmdir: MEMFS.node_ops.rmdir,
                readdir: MEMFS.node_ops.readdir,
                symlink: MEMFS.node_ops.symlink
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek
              }
            },
            file: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: {
                llseek: MEMFS.stream_ops.llseek,
                read: MEMFS.stream_ops.read,
                write: MEMFS.stream_ops.write,
                allocate: MEMFS.stream_ops.allocate,
                mmap: MEMFS.stream_ops.mmap
              }
            },
            link: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr,
                readlink: MEMFS.node_ops.readlink
              },
              stream: {}
            },
            chrdev: {
              node: {
                getattr: MEMFS.node_ops.getattr,
                setattr: MEMFS.node_ops.setattr
              },
              stream: FS.chrdev_stream_ops
            },
          };
        }
        var node = FS.createNode(parent, name, mode, dev);
        if (FS.isDir(node.mode)) {
          node.node_ops = MEMFS.ops_table.dir.node;
          node.stream_ops = MEMFS.ops_table.dir.stream;
          node.contents = {};
        } else if (FS.isFile(node.mode)) {
          node.node_ops = MEMFS.ops_table.file.node;
          node.stream_ops = MEMFS.ops_table.file.stream;
          node.contents = [];
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        } else if (FS.isLink(node.mode)) {
          node.node_ops = MEMFS.ops_table.link.node;
          node.stream_ops = MEMFS.ops_table.link.stream;
        } else if (FS.isChrdev(node.mode)) {
          node.node_ops = MEMFS.ops_table.chrdev.node;
          node.stream_ops = MEMFS.ops_table.chrdev.stream;
        }
        node.timestamp = Date.now();
        // add the new node to the parent
        if (parent) {
          parent.contents[name] = node;
        }
        return node;
      },ensureFlexible:function (node) {
        if (node.contentMode !== MEMFS.CONTENT_FLEXIBLE) {
          var contents = node.contents;
          node.contents = Array.prototype.slice.call(contents);
          node.contentMode = MEMFS.CONTENT_FLEXIBLE;
        }
      },node_ops:{getattr:function (node) {
          var attr = {};
          // device numbers reuse inode numbers.
          attr.dev = FS.isChrdev(node.mode) ? node.id : 1;
          attr.ino = node.id;
          attr.mode = node.mode;
          attr.nlink = 1;
          attr.uid = 0;
          attr.gid = 0;
          attr.rdev = node.rdev;
          if (FS.isDir(node.mode)) {
            attr.size = 4096;
          } else if (FS.isFile(node.mode)) {
            attr.size = node.contents.length;
          } else if (FS.isLink(node.mode)) {
            attr.size = node.link.length;
          } else {
            attr.size = 0;
          }
          attr.atime = new Date(node.timestamp);
          attr.mtime = new Date(node.timestamp);
          attr.ctime = new Date(node.timestamp);
          // NOTE: In our implementation, st_blocks = Math.ceil(st_size/st_blksize),
          //       but this is not required by the standard.
          attr.blksize = 4096;
          attr.blocks = Math.ceil(attr.size / attr.blksize);
          return attr;
        },setattr:function (node, attr) {
          if (attr.mode !== undefined) {
            node.mode = attr.mode;
          }
          if (attr.timestamp !== undefined) {
            node.timestamp = attr.timestamp;
          }
          if (attr.size !== undefined) {
            MEMFS.ensureFlexible(node);
            var contents = node.contents;
            if (attr.size < contents.length) contents.length = attr.size;
            else while (attr.size > contents.length) contents.push(0);
          }
        },lookup:function (parent, name) {
          throw FS.genericErrors[ERRNO_CODES.ENOENT];
        },mknod:function (parent, name, mode, dev) {
          return MEMFS.createNode(parent, name, mode, dev);
        },rename:function (old_node, new_dir, new_name) {
          // if we're overwriting a directory at new_name, make sure it's empty.
          if (FS.isDir(old_node.mode)) {
            var new_node;
            try {
              new_node = FS.lookupNode(new_dir, new_name);
            } catch (e) {
            }
            if (new_node) {
              for (var i in new_node.contents) {
                throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
              }
            }
          }
          // do the internal rewiring
          delete old_node.parent.contents[old_node.name];
          old_node.name = new_name;
          new_dir.contents[new_name] = old_node;
          old_node.parent = new_dir;
        },unlink:function (parent, name) {
          delete parent.contents[name];
        },rmdir:function (parent, name) {
          var node = FS.lookupNode(parent, name);
          for (var i in node.contents) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
          }
          delete parent.contents[name];
        },readdir:function (node) {
          var entries = ['.', '..']
          for (var key in node.contents) {
            if (!node.contents.hasOwnProperty(key)) {
              continue;
            }
            entries.push(key);
          }
          return entries;
        },symlink:function (parent, newname, oldpath) {
          var node = MEMFS.createNode(parent, newname, 0777 | 40960, 0);
          node.link = oldpath;
          return node;
        },readlink:function (node) {
          if (!FS.isLink(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          return node.link;
        }},stream_ops:{read:function (stream, buffer, offset, length, position) {
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (size > 8 && contents.subarray) { // non-trivial, and typed array
            buffer.set(contents.subarray(position, position + size), offset);
          } else
          {
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          }
          return size;
        },write:function (stream, buffer, offset, length, position, canOwn) {
          var node = stream.node;
          node.timestamp = Date.now();
          var contents = node.contents;
          if (length && contents.length === 0 && position === 0 && buffer.subarray) {
            // just replace it with the new data
            if (canOwn && offset === 0) {
              node.contents = buffer; // this could be a subarray of Emscripten HEAP, or allocated from some other source.
              node.contentMode = (buffer.buffer === HEAP8.buffer) ? MEMFS.CONTENT_OWNING : MEMFS.CONTENT_FIXED;
            } else {
              node.contents = new Uint8Array(buffer.subarray(offset, offset+length));
              node.contentMode = MEMFS.CONTENT_FIXED;
            }
            return length;
          }
          MEMFS.ensureFlexible(node);
          var contents = node.contents;
          while (contents.length < position) contents.push(0);
          for (var i = 0; i < length; i++) {
            contents[position + i] = buffer[offset + i];
          }
          return length;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              position += stream.node.contents.length;
            }
          }
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          stream.ungotten = [];
          stream.position = position;
          return position;
        },allocate:function (stream, offset, length) {
          MEMFS.ensureFlexible(stream.node);
          var contents = stream.node.contents;
          var limit = offset + length;
          while (limit > contents.length) contents.push(0);
        },mmap:function (stream, buffer, offset, length, position, prot, flags) {
          if (!FS.isFile(stream.node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
          }
          var ptr;
          var allocated;
          var contents = stream.node.contents;
          // Only make a new copy when MAP_PRIVATE is specified.
          if ( !(flags & 2) &&
                (contents.buffer === buffer || contents.buffer === buffer.buffer) ) {
            // We can't emulate MAP_SHARED when the file is not backed by the buffer
            // we're mapping to (e.g. the HEAP buffer).
            allocated = false;
            ptr = contents.byteOffset;
          } else {
            // Try to avoid unnecessary slices.
            if (position > 0 || position + length < contents.length) {
              if (contents.subarray) {
                contents = contents.subarray(position, position + length);
              } else {
                contents = Array.prototype.slice.call(contents, position, position + length);
              }
            }
            allocated = true;
            ptr = _malloc(length);
            if (!ptr) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOMEM);
            }
            buffer.set(contents, ptr);
          }
          return { ptr: ptr, allocated: allocated };
        }}};
  
  var IDBFS={dbs:{},indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:function (mount) {
        // reuse all of the core MEMFS functionality
        return MEMFS.mount.apply(null, arguments);
      },syncfs:function (mount, populate, callback) {
        IDBFS.getLocalSet(mount, function(err, local) {
          if (err) return callback(err);
  
          IDBFS.getRemoteSet(mount, function(err, remote) {
            if (err) return callback(err);
  
            var src = populate ? remote : local;
            var dst = populate ? local : remote;
  
            IDBFS.reconcile(src, dst, callback);
          });
        });
      },getDB:function (name, callback) {
        // check the cache first
        var db = IDBFS.dbs[name];
        if (db) {
          return callback(null, db);
        }
  
        var req;
        try {
          req = IDBFS.indexedDB().open(name, IDBFS.DB_VERSION);
        } catch (e) {
          return callback(e);
        }
        req.onupgradeneeded = function(e) {
          var db = e.target.result;
          var transaction = e.target.transaction;
  
          var fileStore;
  
          if (db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)) {
            fileStore = transaction.objectStore(IDBFS.DB_STORE_NAME);
          } else {
            fileStore = db.createObjectStore(IDBFS.DB_STORE_NAME);
          }
  
          fileStore.createIndex('timestamp', 'timestamp', { unique: false });
        };
        req.onsuccess = function() {
          db = req.result;
  
          // add to the cache
          IDBFS.dbs[name] = db;
          callback(null, db);
        };
        req.onerror = function() {
          callback(this.error);
        };
      },getLocalSet:function (mount, callback) {
        var entries = {};
  
        function isRealDir(p) {
          return p !== '.' && p !== '..';
        };
        function toAbsolute(root) {
          return function(p) {
            return PATH.join2(root, p);
          }
        };
  
        var check = FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));
  
        while (check.length) {
          var path = check.pop();
          var stat;
  
          try {
            stat = FS.stat(path);
          } catch (e) {
            return callback(e);
          }
  
          if (FS.isDir(stat.mode)) {
            check.push.apply(check, FS.readdir(path).filter(isRealDir).map(toAbsolute(path)));
          }
  
          entries[path] = { timestamp: stat.mtime };
        }
  
        return callback(null, { type: 'local', entries: entries });
      },getRemoteSet:function (mount, callback) {
        var entries = {};
  
        IDBFS.getDB(mount.mountpoint, function(err, db) {
          if (err) return callback(err);
  
          var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readonly');
          transaction.onerror = function() { callback(this.error); };
  
          var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
          var index = store.index('timestamp');
  
          index.openKeyCursor().onsuccess = function(event) {
            var cursor = event.target.result;
  
            if (!cursor) {
              return callback(null, { type: 'remote', db: db, entries: entries });
            }
  
            entries[cursor.primaryKey] = { timestamp: cursor.key };
  
            cursor.continue();
          };
        });
      },loadLocalEntry:function (path, callback) {
        var stat, node;
  
        try {
          var lookup = FS.lookupPath(path);
          node = lookup.node;
          stat = FS.stat(path);
        } catch (e) {
          return callback(e);
        }
  
        if (FS.isDir(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode });
        } else if (FS.isFile(stat.mode)) {
          return callback(null, { timestamp: stat.mtime, mode: stat.mode, contents: node.contents });
        } else {
          return callback(new Error('node type not supported'));
        }
      },storeLocalEntry:function (path, entry, callback) {
        try {
          if (FS.isDir(entry.mode)) {
            FS.mkdir(path, entry.mode);
          } else if (FS.isFile(entry.mode)) {
            FS.writeFile(path, entry.contents, { encoding: 'binary', canOwn: true });
          } else {
            return callback(new Error('node type not supported'));
          }
  
          FS.utime(path, entry.timestamp, entry.timestamp);
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },removeLocalEntry:function (path, callback) {
        try {
          var lookup = FS.lookupPath(path);
          var stat = FS.stat(path);
  
          if (FS.isDir(stat.mode)) {
            FS.rmdir(path);
          } else if (FS.isFile(stat.mode)) {
            FS.unlink(path);
          }
        } catch (e) {
          return callback(e);
        }
  
        callback(null);
      },loadRemoteEntry:function (store, path, callback) {
        var req = store.get(path);
        req.onsuccess = function(event) { callback(null, event.target.result); };
        req.onerror = function() { callback(this.error); };
      },storeRemoteEntry:function (store, path, entry, callback) {
        var req = store.put(entry, path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },removeRemoteEntry:function (store, path, callback) {
        var req = store.delete(path);
        req.onsuccess = function() { callback(null); };
        req.onerror = function() { callback(this.error); };
      },reconcile:function (src, dst, callback) {
        var total = 0;
  
        var create = [];
        Object.keys(src.entries).forEach(function (key) {
          var e = src.entries[key];
          var e2 = dst.entries[key];
          if (!e2 || e.timestamp > e2.timestamp) {
            create.push(key);
            total++;
          }
        });
  
        var remove = [];
        Object.keys(dst.entries).forEach(function (key) {
          var e = dst.entries[key];
          var e2 = src.entries[key];
          if (!e2) {
            remove.push(key);
            total++;
          }
        });
  
        if (!total) {
          return callback(null);
        }
  
        var errored = false;
        var completed = 0;
        var db = src.type === 'remote' ? src.db : dst.db;
        var transaction = db.transaction([IDBFS.DB_STORE_NAME], 'readwrite');
        var store = transaction.objectStore(IDBFS.DB_STORE_NAME);
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= total) {
            return callback(null);
          }
        };
  
        transaction.onerror = function() { done(this.error); };
  
        // sort paths in ascending order so directory entries are created
        // before the files inside them
        create.sort().forEach(function (path) {
          if (dst.type === 'local') {
            IDBFS.loadRemoteEntry(store, path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeLocalEntry(path, entry, done);
            });
          } else {
            IDBFS.loadLocalEntry(path, function (err, entry) {
              if (err) return done(err);
              IDBFS.storeRemoteEntry(store, path, entry, done);
            });
          }
        });
  
        // sort paths in descending order so files are deleted before their
        // parent directories
        remove.sort().reverse().forEach(function(path) {
          if (dst.type === 'local') {
            IDBFS.removeLocalEntry(path, done);
          } else {
            IDBFS.removeRemoteEntry(store, path, done);
          }
        });
      }};
  
  var NODEFS={isWindows:false,staticInit:function () {
        NODEFS.isWindows = !!process.platform.match(/^win/);
      },mount:function (mount) {
        assert(ENVIRONMENT_IS_NODE);
        return NODEFS.createNode(null, '/', NODEFS.getMode(mount.opts.root), 0);
      },createNode:function (parent, name, mode, dev) {
        if (!FS.isDir(mode) && !FS.isFile(mode) && !FS.isLink(mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node = FS.createNode(parent, name, mode);
        node.node_ops = NODEFS.node_ops;
        node.stream_ops = NODEFS.stream_ops;
        return node;
      },getMode:function (path) {
        var stat;
        try {
          stat = fs.lstatSync(path);
          if (NODEFS.isWindows) {
            // On Windows, directories return permission bits 'rw-rw-rw-', even though they have 'rwxrwxrwx', so 
            // propagate write bits to execute bits.
            stat.mode = stat.mode | ((stat.mode & 146) >> 1);
          }
        } catch (e) {
          if (!e.code) throw e;
          throw new FS.ErrnoError(ERRNO_CODES[e.code]);
        }
        return stat.mode;
      },realPath:function (node) {
        var parts = [];
        while (node.parent !== node) {
          parts.push(node.name);
          node = node.parent;
        }
        parts.push(node.mount.opts.root);
        parts.reverse();
        return PATH.join.apply(null, parts);
      },flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:function (flags) {
        if (flags in NODEFS.flagsToPermissionStringMap) {
          return NODEFS.flagsToPermissionStringMap[flags];
        } else {
          return flags;
        }
      },node_ops:{getattr:function (node) {
          var path = NODEFS.realPath(node);
          var stat;
          try {
            stat = fs.lstatSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          // node.js v0.10.20 doesn't report blksize and blocks on Windows. Fake them with default blksize of 4096.
          // See http://support.microsoft.com/kb/140365
          if (NODEFS.isWindows && !stat.blksize) {
            stat.blksize = 4096;
          }
          if (NODEFS.isWindows && !stat.blocks) {
            stat.blocks = (stat.size+stat.blksize-1)/stat.blksize|0;
          }
          return {
            dev: stat.dev,
            ino: stat.ino,
            mode: stat.mode,
            nlink: stat.nlink,
            uid: stat.uid,
            gid: stat.gid,
            rdev: stat.rdev,
            size: stat.size,
            atime: stat.atime,
            mtime: stat.mtime,
            ctime: stat.ctime,
            blksize: stat.blksize,
            blocks: stat.blocks
          };
        },setattr:function (node, attr) {
          var path = NODEFS.realPath(node);
          try {
            if (attr.mode !== undefined) {
              fs.chmodSync(path, attr.mode);
              // update the common node structure mode as well
              node.mode = attr.mode;
            }
            if (attr.timestamp !== undefined) {
              var date = new Date(attr.timestamp);
              fs.utimesSync(path, date, date);
            }
            if (attr.size !== undefined) {
              fs.truncateSync(path, attr.size);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },lookup:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          var mode = NODEFS.getMode(path);
          return NODEFS.createNode(parent, name, mode);
        },mknod:function (parent, name, mode, dev) {
          var node = NODEFS.createNode(parent, name, mode, dev);
          // create the backing node for this in the fs root as well
          var path = NODEFS.realPath(node);
          try {
            if (FS.isDir(node.mode)) {
              fs.mkdirSync(path, node.mode);
            } else {
              fs.writeFileSync(path, '', { mode: node.mode });
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return node;
        },rename:function (oldNode, newDir, newName) {
          var oldPath = NODEFS.realPath(oldNode);
          var newPath = PATH.join2(NODEFS.realPath(newDir), newName);
          try {
            fs.renameSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },unlink:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.unlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },rmdir:function (parent, name) {
          var path = PATH.join2(NODEFS.realPath(parent), name);
          try {
            fs.rmdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readdir:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readdirSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },symlink:function (parent, newName, oldPath) {
          var newPath = PATH.join2(NODEFS.realPath(parent), newName);
          try {
            fs.symlinkSync(oldPath, newPath);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },readlink:function (node) {
          var path = NODEFS.realPath(node);
          try {
            return fs.readlinkSync(path);
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        }},stream_ops:{open:function (stream) {
          var path = NODEFS.realPath(stream.node);
          try {
            if (FS.isFile(stream.node.mode)) {
              stream.nfd = fs.openSync(path, NODEFS.flagsToPermissionString(stream.flags));
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },close:function (stream) {
          try {
            if (FS.isFile(stream.node.mode) && stream.nfd) {
              fs.closeSync(stream.nfd);
            }
          } catch (e) {
            if (!e.code) throw e;
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
        },read:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(length);
          var res;
          try {
            res = fs.readSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          if (res > 0) {
            for (var i = 0; i < res; i++) {
              buffer[offset + i] = nbuffer[i];
            }
          }
          return res;
        },write:function (stream, buffer, offset, length, position) {
          // FIXME this is terrible.
          var nbuffer = new Buffer(buffer.subarray(offset, offset + length));
          var res;
          try {
            res = fs.writeSync(stream.nfd, nbuffer, 0, length, position);
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES[e.code]);
          }
          return res;
        },llseek:function (stream, offset, whence) {
          var position = offset;
          if (whence === 1) {  // SEEK_CUR.
            position += stream.position;
          } else if (whence === 2) {  // SEEK_END.
            if (FS.isFile(stream.node.mode)) {
              try {
                var stat = fs.fstatSync(stream.nfd);
                position += stat.size;
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES[e.code]);
              }
            }
          }
  
          if (position < 0) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
  
          stream.position = position;
          return position;
        }}};
  
  var _stdin=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stdout=allocate(1, "i32*", ALLOC_STATIC);
  
  var _stderr=allocate(1, "i32*", ALLOC_STATIC);
  
  function _fflush(stream) {
      // int fflush(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fflush.html
      // we don't currently perform any user-space buffering of data
    }var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},handleFSError:function (e) {
        if (!(e instanceof FS.ErrnoError)) throw e + ' : ' + stackTrace();
        return ___setErrNo(e.errno);
      },lookupPath:function (path, opts) {
        path = PATH.resolve(FS.cwd(), path);
        opts = opts || {};
  
        var defaults = {
          follow_mount: true,
          recurse_count: 0
        };
        for (var key in defaults) {
          if (opts[key] === undefined) {
            opts[key] = defaults[key];
          }
        }
  
        if (opts.recurse_count > 8) {  // max recursive lookup of 8
          throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
        }
  
        // split the path
        var parts = PATH.normalizeArray(path.split('/').filter(function(p) {
          return !!p;
        }), false);
  
        // start at the root
        var current = FS.root;
        var current_path = '/';
  
        for (var i = 0; i < parts.length; i++) {
          var islast = (i === parts.length-1);
          if (islast && opts.parent) {
            // stop resolving
            break;
          }
  
          current = FS.lookupNode(current, parts[i]);
          current_path = PATH.join2(current_path, parts[i]);
  
          // jump to the mount's root node if this is a mountpoint
          if (FS.isMountpoint(current)) {
            if (!islast || (islast && opts.follow_mount)) {
              current = current.mounted.root;
            }
          }
  
          // by default, lookupPath will not follow a symlink if it is the final path component.
          // setting opts.follow = true will override this behavior.
          if (!islast || opts.follow) {
            var count = 0;
            while (FS.isLink(current.mode)) {
              var link = FS.readlink(current_path);
              current_path = PATH.resolve(PATH.dirname(current_path), link);
              
              var lookup = FS.lookupPath(current_path, { recurse_count: opts.recurse_count });
              current = lookup.node;
  
              if (count++ > 40) {  // limit max consecutive symlinks to 40 (SYMLOOP_MAX).
                throw new FS.ErrnoError(ERRNO_CODES.ELOOP);
              }
            }
          }
        }
  
        return { path: current_path, node: current };
      },getPath:function (node) {
        var path;
        while (true) {
          if (FS.isRoot(node)) {
            var mount = node.mount.mountpoint;
            if (!path) return mount;
            return mount[mount.length-1] !== '/' ? mount + '/' + path : mount + path;
          }
          path = path ? node.name + '/' + path : node.name;
          node = node.parent;
        }
      },hashName:function (parentid, name) {
        var hash = 0;
  
  
        for (var i = 0; i < name.length; i++) {
          hash = ((hash << 5) - hash + name.charCodeAt(i)) | 0;
        }
        return ((parentid + hash) >>> 0) % FS.nameTable.length;
      },hashAddNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        node.name_next = FS.nameTable[hash];
        FS.nameTable[hash] = node;
      },hashRemoveNode:function (node) {
        var hash = FS.hashName(node.parent.id, node.name);
        if (FS.nameTable[hash] === node) {
          FS.nameTable[hash] = node.name_next;
        } else {
          var current = FS.nameTable[hash];
          while (current) {
            if (current.name_next === node) {
              current.name_next = node.name_next;
              break;
            }
            current = current.name_next;
          }
        }
      },lookupNode:function (parent, name) {
        var err = FS.mayLookup(parent);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        var hash = FS.hashName(parent.id, name);
        for (var node = FS.nameTable[hash]; node; node = node.name_next) {
          var nodeName = node.name;
          if (node.parent.id === parent.id && nodeName === name) {
            return node;
          }
        }
        // if we failed to find it in the cache, call into the VFS
        return FS.lookup(parent, name);
      },createNode:function (parent, name, mode, rdev) {
        if (!FS.FSNode) {
          FS.FSNode = function(parent, name, mode, rdev) {
            if (!parent) {
              parent = this;  // root node sets parent to itself
            }
            this.parent = parent;
            this.mount = parent.mount;
            this.mounted = null;
            this.id = FS.nextInode++;
            this.name = name;
            this.mode = mode;
            this.node_ops = {};
            this.stream_ops = {};
            this.rdev = rdev;
          };
  
          FS.FSNode.prototype = {};
  
          // compatibility
          var readMode = 292 | 73;
          var writeMode = 146;
  
          // NOTE we must use Object.defineProperties instead of individual calls to
          // Object.defineProperty in order to make closure compiler happy
          Object.defineProperties(FS.FSNode.prototype, {
            read: {
              get: function() { return (this.mode & readMode) === readMode; },
              set: function(val) { val ? this.mode |= readMode : this.mode &= ~readMode; }
            },
            write: {
              get: function() { return (this.mode & writeMode) === writeMode; },
              set: function(val) { val ? this.mode |= writeMode : this.mode &= ~writeMode; }
            },
            isFolder: {
              get: function() { return FS.isDir(this.mode); },
            },
            isDevice: {
              get: function() { return FS.isChrdev(this.mode); },
            },
          });
        }
  
        var node = new FS.FSNode(parent, name, mode, rdev);
  
        FS.hashAddNode(node);
  
        return node;
      },destroyNode:function (node) {
        FS.hashRemoveNode(node);
      },isRoot:function (node) {
        return node === node.parent;
      },isMountpoint:function (node) {
        return !!node.mounted;
      },isFile:function (mode) {
        return (mode & 61440) === 32768;
      },isDir:function (mode) {
        return (mode & 61440) === 16384;
      },isLink:function (mode) {
        return (mode & 61440) === 40960;
      },isChrdev:function (mode) {
        return (mode & 61440) === 8192;
      },isBlkdev:function (mode) {
        return (mode & 61440) === 24576;
      },isFIFO:function (mode) {
        return (mode & 61440) === 4096;
      },isSocket:function (mode) {
        return (mode & 49152) === 49152;
      },flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function (str) {
        var flags = FS.flagModes[str];
        if (typeof flags === 'undefined') {
          throw new Error('Unknown file open mode: ' + str);
        }
        return flags;
      },flagsToPermissionString:function (flag) {
        var accmode = flag & 2097155;
        var perms = ['r', 'w', 'rw'][accmode];
        if ((flag & 512)) {
          perms += 'w';
        }
        return perms;
      },nodePermissions:function (node, perms) {
        if (FS.ignorePermissions) {
          return 0;
        }
        // return 0 if any user, group or owner bits are set.
        if (perms.indexOf('r') !== -1 && !(node.mode & 292)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('w') !== -1 && !(node.mode & 146)) {
          return ERRNO_CODES.EACCES;
        } else if (perms.indexOf('x') !== -1 && !(node.mode & 73)) {
          return ERRNO_CODES.EACCES;
        }
        return 0;
      },mayLookup:function (dir) {
        return FS.nodePermissions(dir, 'x');
      },mayCreate:function (dir, name) {
        try {
          var node = FS.lookupNode(dir, name);
          return ERRNO_CODES.EEXIST;
        } catch (e) {
        }
        return FS.nodePermissions(dir, 'wx');
      },mayDelete:function (dir, name, isdir) {
        var node;
        try {
          node = FS.lookupNode(dir, name);
        } catch (e) {
          return e.errno;
        }
        var err = FS.nodePermissions(dir, 'wx');
        if (err) {
          return err;
        }
        if (isdir) {
          if (!FS.isDir(node.mode)) {
            return ERRNO_CODES.ENOTDIR;
          }
          if (FS.isRoot(node) || FS.getPath(node) === FS.cwd()) {
            return ERRNO_CODES.EBUSY;
          }
        } else {
          if (FS.isDir(node.mode)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return 0;
      },mayOpen:function (node, flags) {
        if (!node) {
          return ERRNO_CODES.ENOENT;
        }
        if (FS.isLink(node.mode)) {
          return ERRNO_CODES.ELOOP;
        } else if (FS.isDir(node.mode)) {
          if ((flags & 2097155) !== 0 ||  // opening for write
              (flags & 512)) {
            return ERRNO_CODES.EISDIR;
          }
        }
        return FS.nodePermissions(node, FS.flagsToPermissionString(flags));
      },MAX_OPEN_FDS:4096,nextfd:function (fd_start, fd_end) {
        fd_start = fd_start || 0;
        fd_end = fd_end || FS.MAX_OPEN_FDS;
        for (var fd = fd_start; fd <= fd_end; fd++) {
          if (!FS.streams[fd]) {
            return fd;
          }
        }
        throw new FS.ErrnoError(ERRNO_CODES.EMFILE);
      },getStream:function (fd) {
        return FS.streams[fd];
      },createStream:function (stream, fd_start, fd_end) {
        if (!FS.FSStream) {
          FS.FSStream = function(){};
          FS.FSStream.prototype = {};
          // compatibility
          Object.defineProperties(FS.FSStream.prototype, {
            object: {
              get: function() { return this.node; },
              set: function(val) { this.node = val; }
            },
            isRead: {
              get: function() { return (this.flags & 2097155) !== 1; }
            },
            isWrite: {
              get: function() { return (this.flags & 2097155) !== 0; }
            },
            isAppend: {
              get: function() { return (this.flags & 1024); }
            }
          });
        }
        if (stream.__proto__) {
          // reuse the object
          stream.__proto__ = FS.FSStream.prototype;
        } else {
          var newStream = new FS.FSStream();
          for (var p in stream) {
            newStream[p] = stream[p];
          }
          stream = newStream;
        }
        var fd = FS.nextfd(fd_start, fd_end);
        stream.fd = fd;
        FS.streams[fd] = stream;
        return stream;
      },closeStream:function (fd) {
        FS.streams[fd] = null;
      },getStreamFromPtr:function (ptr) {
        return FS.streams[ptr - 1];
      },getPtrForStream:function (stream) {
        return stream ? stream.fd + 1 : 0;
      },chrdev_stream_ops:{open:function (stream) {
          var device = FS.getDevice(stream.node.rdev);
          // override node's stream ops with the device's
          stream.stream_ops = device.stream_ops;
          // forward the open call
          if (stream.stream_ops.open) {
            stream.stream_ops.open(stream);
          }
        },llseek:function () {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }},major:function (dev) {
        return ((dev) >> 8);
      },minor:function (dev) {
        return ((dev) & 0xff);
      },makedev:function (ma, mi) {
        return ((ma) << 8 | (mi));
      },registerDevice:function (dev, ops) {
        FS.devices[dev] = { stream_ops: ops };
      },getDevice:function (dev) {
        return FS.devices[dev];
      },getMounts:function (mount) {
        var mounts = [];
        var check = [mount];
  
        while (check.length) {
          var m = check.pop();
  
          mounts.push(m);
  
          check.push.apply(check, m.mounts);
        }
  
        return mounts;
      },syncfs:function (populate, callback) {
        if (typeof(populate) === 'function') {
          callback = populate;
          populate = false;
        }
  
        var mounts = FS.getMounts(FS.root.mount);
        var completed = 0;
  
        function done(err) {
          if (err) {
            if (!done.errored) {
              done.errored = true;
              return callback(err);
            }
            return;
          }
          if (++completed >= mounts.length) {
            callback(null);
          }
        };
  
        // sync all mounts
        mounts.forEach(function (mount) {
          if (!mount.type.syncfs) {
            return done(null);
          }
          mount.type.syncfs(mount, populate, done);
        });
      },mount:function (type, opts, mountpoint) {
        var root = mountpoint === '/';
        var pseudo = !mountpoint;
        var node;
  
        if (root && FS.root) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        } else if (!root && !pseudo) {
          var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
          mountpoint = lookup.path;  // use the absolute path
          node = lookup.node;
  
          if (FS.isMountpoint(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
          }
  
          if (!FS.isDir(node.mode)) {
            throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
          }
        }
  
        var mount = {
          type: type,
          opts: opts,
          mountpoint: mountpoint,
          mounts: []
        };
  
        // create a root node for the fs
        var mountRoot = type.mount(mount);
        mountRoot.mount = mount;
        mount.root = mountRoot;
  
        if (root) {
          FS.root = mountRoot;
        } else if (node) {
          // set as a mountpoint
          node.mounted = mount;
  
          // add the new mount to the current mount's children
          if (node.mount) {
            node.mount.mounts.push(mount);
          }
        }
  
        return mountRoot;
      },unmount:function (mountpoint) {
        var lookup = FS.lookupPath(mountpoint, { follow_mount: false });
  
        if (!FS.isMountpoint(lookup.node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
  
        // destroy the nodes for this mount, and all its child mounts
        var node = lookup.node;
        var mount = node.mounted;
        var mounts = FS.getMounts(mount);
  
        Object.keys(FS.nameTable).forEach(function (hash) {
          var current = FS.nameTable[hash];
  
          while (current) {
            var next = current.name_next;
  
            if (mounts.indexOf(current.mount) !== -1) {
              FS.destroyNode(current);
            }
  
            current = next;
          }
        });
  
        // no longer a mountpoint
        node.mounted = null;
  
        // remove this mount from the child mounts
        var idx = node.mount.mounts.indexOf(mount);
        assert(idx !== -1);
        node.mount.mounts.splice(idx, 1);
      },lookup:function (parent, name) {
        return parent.node_ops.lookup(parent, name);
      },mknod:function (path, mode, dev) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var err = FS.mayCreate(parent, name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.mknod) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.mknod(parent, name, mode, dev);
      },create:function (path, mode) {
        mode = mode !== undefined ? mode : 0666;
        mode &= 4095;
        mode |= 32768;
        return FS.mknod(path, mode, 0);
      },mkdir:function (path, mode) {
        mode = mode !== undefined ? mode : 0777;
        mode &= 511 | 512;
        mode |= 16384;
        return FS.mknod(path, mode, 0);
      },mkdev:function (path, mode, dev) {
        if (typeof(dev) === 'undefined') {
          dev = mode;
          mode = 0666;
        }
        mode |= 8192;
        return FS.mknod(path, mode, dev);
      },symlink:function (oldpath, newpath) {
        var lookup = FS.lookupPath(newpath, { parent: true });
        var parent = lookup.node;
        var newname = PATH.basename(newpath);
        var err = FS.mayCreate(parent, newname);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.symlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return parent.node_ops.symlink(parent, newname, oldpath);
      },rename:function (old_path, new_path) {
        var old_dirname = PATH.dirname(old_path);
        var new_dirname = PATH.dirname(new_path);
        var old_name = PATH.basename(old_path);
        var new_name = PATH.basename(new_path);
        // parents must exist
        var lookup, old_dir, new_dir;
        try {
          lookup = FS.lookupPath(old_path, { parent: true });
          old_dir = lookup.node;
          lookup = FS.lookupPath(new_path, { parent: true });
          new_dir = lookup.node;
        } catch (e) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // need to be part of the same mount
        if (old_dir.mount !== new_dir.mount) {
          throw new FS.ErrnoError(ERRNO_CODES.EXDEV);
        }
        // source must exist
        var old_node = FS.lookupNode(old_dir, old_name);
        // old path should not be an ancestor of the new path
        var relative = PATH.relative(old_path, new_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        // new path should not be an ancestor of the old path
        relative = PATH.relative(new_path, old_dirname);
        if (relative.charAt(0) !== '.') {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY);
        }
        // see if the new path already exists
        var new_node;
        try {
          new_node = FS.lookupNode(new_dir, new_name);
        } catch (e) {
          // not fatal
        }
        // early out if nothing needs to change
        if (old_node === new_node) {
          return;
        }
        // we'll need to delete the old entry
        var isdir = FS.isDir(old_node.mode);
        var err = FS.mayDelete(old_dir, old_name, isdir);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // need delete permissions if we'll be overwriting.
        // need create permissions if new doesn't already exist.
        err = new_node ?
          FS.mayDelete(new_dir, new_name, isdir) :
          FS.mayCreate(new_dir, new_name);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!old_dir.node_ops.rename) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(old_node) || (new_node && FS.isMountpoint(new_node))) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        // if we are going to change the parent, check write permissions
        if (new_dir !== old_dir) {
          err = FS.nodePermissions(old_dir, 'w');
          if (err) {
            throw new FS.ErrnoError(err);
          }
        }
        // remove the node from the lookup hash
        FS.hashRemoveNode(old_node);
        // do the underlying fs rename
        try {
          old_dir.node_ops.rename(old_node, new_dir, new_name);
        } catch (e) {
          throw e;
        } finally {
          // add the node back to the hash (in case node_ops.rename
          // changed its name)
          FS.hashAddNode(old_node);
        }
      },rmdir:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, true);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.rmdir) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.rmdir(parent, name);
        FS.destroyNode(node);
      },readdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        if (!node.node_ops.readdir) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        return node.node_ops.readdir(node);
      },unlink:function (path) {
        var lookup = FS.lookupPath(path, { parent: true });
        var parent = lookup.node;
        var name = PATH.basename(path);
        var node = FS.lookupNode(parent, name);
        var err = FS.mayDelete(parent, name, false);
        if (err) {
          // POSIX says unlink should set EPERM, not EISDIR
          if (err === ERRNO_CODES.EISDIR) err = ERRNO_CODES.EPERM;
          throw new FS.ErrnoError(err);
        }
        if (!parent.node_ops.unlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isMountpoint(node)) {
          throw new FS.ErrnoError(ERRNO_CODES.EBUSY);
        }
        parent.node_ops.unlink(parent, name);
        FS.destroyNode(node);
      },readlink:function (path) {
        var lookup = FS.lookupPath(path);
        var link = lookup.node;
        if (!link.node_ops.readlink) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        return link.node_ops.readlink(link);
      },stat:function (path, dontFollow) {
        var lookup = FS.lookupPath(path, { follow: !dontFollow });
        var node = lookup.node;
        if (!node.node_ops.getattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        return node.node_ops.getattr(node);
      },lstat:function (path) {
        return FS.stat(path, true);
      },chmod:function (path, mode, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          mode: (mode & 4095) | (node.mode & ~4095),
          timestamp: Date.now()
        });
      },lchmod:function (path, mode) {
        FS.chmod(path, mode, true);
      },fchmod:function (fd, mode) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chmod(stream.node, mode);
      },chown:function (path, uid, gid, dontFollow) {
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: !dontFollow });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        node.node_ops.setattr(node, {
          timestamp: Date.now()
          // we ignore the uid / gid for now
        });
      },lchown:function (path, uid, gid) {
        FS.chown(path, uid, gid, true);
      },fchown:function (fd, uid, gid) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        FS.chown(stream.node, uid, gid);
      },truncate:function (path, len) {
        if (len < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var node;
        if (typeof path === 'string') {
          var lookup = FS.lookupPath(path, { follow: true });
          node = lookup.node;
        } else {
          node = path;
        }
        if (!node.node_ops.setattr) {
          throw new FS.ErrnoError(ERRNO_CODES.EPERM);
        }
        if (FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!FS.isFile(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var err = FS.nodePermissions(node, 'w');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        node.node_ops.setattr(node, {
          size: len,
          timestamp: Date.now()
        });
      },ftruncate:function (fd, len) {
        var stream = FS.getStream(fd);
        if (!stream) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        FS.truncate(stream.node, len);
      },utime:function (path, atime, mtime) {
        var lookup = FS.lookupPath(path, { follow: true });
        var node = lookup.node;
        node.node_ops.setattr(node, {
          timestamp: Math.max(atime, mtime)
        });
      },open:function (path, flags, mode, fd_start, fd_end) {
        flags = typeof flags === 'string' ? FS.modeStringToFlags(flags) : flags;
        mode = typeof mode === 'undefined' ? 0666 : mode;
        if ((flags & 64)) {
          mode = (mode & 4095) | 32768;
        } else {
          mode = 0;
        }
        var node;
        if (typeof path === 'object') {
          node = path;
        } else {
          path = PATH.normalize(path);
          try {
            var lookup = FS.lookupPath(path, {
              follow: !(flags & 131072)
            });
            node = lookup.node;
          } catch (e) {
            // ignore
          }
        }
        // perhaps we need to create the node
        if ((flags & 64)) {
          if (node) {
            // if O_CREAT and O_EXCL are set, error out if the node already exists
            if ((flags & 128)) {
              throw new FS.ErrnoError(ERRNO_CODES.EEXIST);
            }
          } else {
            // node doesn't exist, try to create it
            node = FS.mknod(path, mode, 0);
          }
        }
        if (!node) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOENT);
        }
        // can't truncate a device
        if (FS.isChrdev(node.mode)) {
          flags &= ~512;
        }
        // check permissions
        var err = FS.mayOpen(node, flags);
        if (err) {
          throw new FS.ErrnoError(err);
        }
        // do truncation if necessary
        if ((flags & 512)) {
          FS.truncate(node, 0);
        }
        // we've already handled these, don't pass down to the underlying vfs
        flags &= ~(128 | 512);
  
        // register the stream with the filesystem
        var stream = FS.createStream({
          node: node,
          path: FS.getPath(node),  // we want the absolute path to the node
          flags: flags,
          seekable: true,
          position: 0,
          stream_ops: node.stream_ops,
          // used by the file family libc calls (fopen, fwrite, ferror, etc.)
          ungotten: [],
          error: false
        }, fd_start, fd_end);
        // call the new stream's open function
        if (stream.stream_ops.open) {
          stream.stream_ops.open(stream);
        }
        if (Module['logReadFiles'] && !(flags & 1)) {
          if (!FS.readFiles) FS.readFiles = {};
          if (!(path in FS.readFiles)) {
            FS.readFiles[path] = 1;
            Module['printErr']('read file: ' + path);
          }
        }
        return stream;
      },close:function (stream) {
        try {
          if (stream.stream_ops.close) {
            stream.stream_ops.close(stream);
          }
        } catch (e) {
          throw e;
        } finally {
          FS.closeStream(stream.fd);
        }
      },llseek:function (stream, offset, whence) {
        if (!stream.seekable || !stream.stream_ops.llseek) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        return stream.stream_ops.llseek(stream, offset, whence);
      },read:function (stream, buffer, offset, length, position) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.read) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        var bytesRead = stream.stream_ops.read(stream, buffer, offset, length, position);
        if (!seeking) stream.position += bytesRead;
        return bytesRead;
      },write:function (stream, buffer, offset, length, position, canOwn) {
        if (length < 0 || position < 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (FS.isDir(stream.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.EISDIR);
        }
        if (!stream.stream_ops.write) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        var seeking = true;
        if (typeof position === 'undefined') {
          position = stream.position;
          seeking = false;
        } else if (!stream.seekable) {
          throw new FS.ErrnoError(ERRNO_CODES.ESPIPE);
        }
        if (stream.flags & 1024) {
          // seek to the end before writing in append mode
          FS.llseek(stream, 0, 2);
        }
        var bytesWritten = stream.stream_ops.write(stream, buffer, offset, length, position, canOwn);
        if (!seeking) stream.position += bytesWritten;
        return bytesWritten;
      },allocate:function (stream, offset, length) {
        if (offset < 0 || length <= 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
        }
        if ((stream.flags & 2097155) === 0) {
          throw new FS.ErrnoError(ERRNO_CODES.EBADF);
        }
        if (!FS.isFile(stream.node.mode) && !FS.isDir(node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        if (!stream.stream_ops.allocate) {
          throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
        }
        stream.stream_ops.allocate(stream, offset, length);
      },mmap:function (stream, buffer, offset, length, position, prot, flags) {
        // TODO if PROT is PROT_WRITE, make sure we have write access
        if ((stream.flags & 2097155) === 1) {
          throw new FS.ErrnoError(ERRNO_CODES.EACCES);
        }
        if (!stream.stream_ops.mmap) {
          throw new FS.ErrnoError(ERRNO_CODES.ENODEV);
        }
        return stream.stream_ops.mmap(stream, buffer, offset, length, position, prot, flags);
      },ioctl:function (stream, cmd, arg) {
        if (!stream.stream_ops.ioctl) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTTY);
        }
        return stream.stream_ops.ioctl(stream, cmd, arg);
      },readFile:function (path, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'r';
        opts.encoding = opts.encoding || 'binary';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var ret;
        var stream = FS.open(path, opts.flags);
        var stat = FS.stat(path);
        var length = stat.size;
        var buf = new Uint8Array(length);
        FS.read(stream, buf, 0, length, 0);
        if (opts.encoding === 'utf8') {
          ret = '';
          var utf8 = new Runtime.UTF8Processor();
          for (var i = 0; i < length; i++) {
            ret += utf8.processCChar(buf[i]);
          }
        } else if (opts.encoding === 'binary') {
          ret = buf;
        }
        FS.close(stream);
        return ret;
      },writeFile:function (path, data, opts) {
        opts = opts || {};
        opts.flags = opts.flags || 'w';
        opts.encoding = opts.encoding || 'utf8';
        if (opts.encoding !== 'utf8' && opts.encoding !== 'binary') {
          throw new Error('Invalid encoding type "' + opts.encoding + '"');
        }
        var stream = FS.open(path, opts.flags, opts.mode);
        if (opts.encoding === 'utf8') {
          var utf8 = new Runtime.UTF8Processor();
          var buf = new Uint8Array(utf8.processJSString(data));
          FS.write(stream, buf, 0, buf.length, 0, opts.canOwn);
        } else if (opts.encoding === 'binary') {
          FS.write(stream, data, 0, data.length, 0, opts.canOwn);
        }
        FS.close(stream);
      },cwd:function () {
        return FS.currentPath;
      },chdir:function (path) {
        var lookup = FS.lookupPath(path, { follow: true });
        if (!FS.isDir(lookup.node.mode)) {
          throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR);
        }
        var err = FS.nodePermissions(lookup.node, 'x');
        if (err) {
          throw new FS.ErrnoError(err);
        }
        FS.currentPath = lookup.path;
      },createDefaultDirectories:function () {
        FS.mkdir('/tmp');
      },createDefaultDevices:function () {
        // create /dev
        FS.mkdir('/dev');
        // setup /dev/null
        FS.registerDevice(FS.makedev(1, 3), {
          read: function() { return 0; },
          write: function() { return 0; }
        });
        FS.mkdev('/dev/null', FS.makedev(1, 3));
        // setup /dev/tty and /dev/tty1
        // stderr needs to print output using Module['printErr']
        // so we register a second tty just for it.
        TTY.register(FS.makedev(5, 0), TTY.default_tty_ops);
        TTY.register(FS.makedev(6, 0), TTY.default_tty1_ops);
        FS.mkdev('/dev/tty', FS.makedev(5, 0));
        FS.mkdev('/dev/tty1', FS.makedev(6, 0));
        // we're not going to emulate the actual shm device,
        // just create the tmp dirs that reside in it commonly
        FS.mkdir('/dev/shm');
        FS.mkdir('/dev/shm/tmp');
      },createStandardStreams:function () {
        // TODO deprecate the old functionality of a single
        // input / output callback and that utilizes FS.createDevice
        // and instead require a unique set of stream ops
  
        // by default, we symlink the standard streams to the
        // default tty devices. however, if the standard streams
        // have been overwritten we create a unique device for
        // them instead.
        if (Module['stdin']) {
          FS.createDevice('/dev', 'stdin', Module['stdin']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdin');
        }
        if (Module['stdout']) {
          FS.createDevice('/dev', 'stdout', null, Module['stdout']);
        } else {
          FS.symlink('/dev/tty', '/dev/stdout');
        }
        if (Module['stderr']) {
          FS.createDevice('/dev', 'stderr', null, Module['stderr']);
        } else {
          FS.symlink('/dev/tty1', '/dev/stderr');
        }
  
        // open default streams for the stdin, stdout and stderr devices
        var stdin = FS.open('/dev/stdin', 'r');
        HEAP32[((_stdin)>>2)]=FS.getPtrForStream(stdin);
        assert(stdin.fd === 0, 'invalid handle for stdin (' + stdin.fd + ')');
  
        var stdout = FS.open('/dev/stdout', 'w');
        HEAP32[((_stdout)>>2)]=FS.getPtrForStream(stdout);
        assert(stdout.fd === 1, 'invalid handle for stdout (' + stdout.fd + ')');
  
        var stderr = FS.open('/dev/stderr', 'w');
        HEAP32[((_stderr)>>2)]=FS.getPtrForStream(stderr);
        assert(stderr.fd === 2, 'invalid handle for stderr (' + stderr.fd + ')');
      },ensureErrnoError:function () {
        if (FS.ErrnoError) return;
        FS.ErrnoError = function ErrnoError(errno) {
          this.errno = errno;
          for (var key in ERRNO_CODES) {
            if (ERRNO_CODES[key] === errno) {
              this.code = key;
              break;
            }
          }
          this.message = ERRNO_MESSAGES[errno];
        };
        FS.ErrnoError.prototype = new Error();
        FS.ErrnoError.prototype.constructor = FS.ErrnoError;
        // Some errors may happen quite a bit, to avoid overhead we reuse them (and suffer a lack of stack info)
        [ERRNO_CODES.ENOENT].forEach(function(code) {
          FS.genericErrors[code] = new FS.ErrnoError(code);
          FS.genericErrors[code].stack = '<generic error, no stack>';
        });
      },staticInit:function () {
        FS.ensureErrnoError();
  
        FS.nameTable = new Array(4096);
  
        FS.mount(MEMFS, {}, '/');
  
        FS.createDefaultDirectories();
        FS.createDefaultDevices();
      },init:function (input, output, error) {
        assert(!FS.init.initialized, 'FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)');
        FS.init.initialized = true;
  
        FS.ensureErrnoError();
  
        // Allow Module.stdin etc. to provide defaults, if none explicitly passed to us here
        Module['stdin'] = input || Module['stdin'];
        Module['stdout'] = output || Module['stdout'];
        Module['stderr'] = error || Module['stderr'];
  
        FS.createStandardStreams();
      },quit:function () {
        FS.init.initialized = false;
        for (var i = 0; i < FS.streams.length; i++) {
          var stream = FS.streams[i];
          if (!stream) {
            continue;
          }
          FS.close(stream);
        }
      },getMode:function (canRead, canWrite) {
        var mode = 0;
        if (canRead) mode |= 292 | 73;
        if (canWrite) mode |= 146;
        return mode;
      },joinPath:function (parts, forceRelative) {
        var path = PATH.join.apply(null, parts);
        if (forceRelative && path[0] == '/') path = path.substr(1);
        return path;
      },absolutePath:function (relative, base) {
        return PATH.resolve(base, relative);
      },standardizePath:function (path) {
        return PATH.normalize(path);
      },findObject:function (path, dontResolveLastLink) {
        var ret = FS.analyzePath(path, dontResolveLastLink);
        if (ret.exists) {
          return ret.object;
        } else {
          ___setErrNo(ret.error);
          return null;
        }
      },analyzePath:function (path, dontResolveLastLink) {
        // operate from within the context of the symlink's target
        try {
          var lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          path = lookup.path;
        } catch (e) {
        }
        var ret = {
          isRoot: false, exists: false, error: 0, name: null, path: null, object: null,
          parentExists: false, parentPath: null, parentObject: null
        };
        try {
          var lookup = FS.lookupPath(path, { parent: true });
          ret.parentExists = true;
          ret.parentPath = lookup.path;
          ret.parentObject = lookup.node;
          ret.name = PATH.basename(path);
          lookup = FS.lookupPath(path, { follow: !dontResolveLastLink });
          ret.exists = true;
          ret.path = lookup.path;
          ret.object = lookup.node;
          ret.name = lookup.node.name;
          ret.isRoot = lookup.path === '/';
        } catch (e) {
          ret.error = e.errno;
        };
        return ret;
      },createFolder:function (parent, name, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.mkdir(path, mode);
      },createPath:function (parent, path, canRead, canWrite) {
        parent = typeof parent === 'string' ? parent : FS.getPath(parent);
        var parts = path.split('/').reverse();
        while (parts.length) {
          var part = parts.pop();
          if (!part) continue;
          var current = PATH.join2(parent, part);
          try {
            FS.mkdir(current);
          } catch (e) {
            // ignore EEXIST
          }
          parent = current;
        }
        return current;
      },createFile:function (parent, name, properties, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(canRead, canWrite);
        return FS.create(path, mode);
      },createDataFile:function (parent, name, data, canRead, canWrite, canOwn) {
        var path = name ? PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name) : parent;
        var mode = FS.getMode(canRead, canWrite);
        var node = FS.create(path, mode);
        if (data) {
          if (typeof data === 'string') {
            var arr = new Array(data.length);
            for (var i = 0, len = data.length; i < len; ++i) arr[i] = data.charCodeAt(i);
            data = arr;
          }
          // make sure we can write to the file
          FS.chmod(node, mode | 146);
          var stream = FS.open(node, 'w');
          FS.write(stream, data, 0, data.length, 0, canOwn);
          FS.close(stream);
          FS.chmod(node, mode);
        }
        return node;
      },createDevice:function (parent, name, input, output) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        var mode = FS.getMode(!!input, !!output);
        if (!FS.createDevice.major) FS.createDevice.major = 64;
        var dev = FS.makedev(FS.createDevice.major++, 0);
        // Create a fake device that a set of stream ops to emulate
        // the old behavior.
        FS.registerDevice(dev, {
          open: function(stream) {
            stream.seekable = false;
          },
          close: function(stream) {
            // flush any pending line data
            if (output && output.buffer && output.buffer.length) {
              output(10);
            }
          },
          read: function(stream, buffer, offset, length, pos /* ignored */) {
            var bytesRead = 0;
            for (var i = 0; i < length; i++) {
              var result;
              try {
                result = input();
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
              if (result === undefined && bytesRead === 0) {
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
              if (result === null || result === undefined) break;
              bytesRead++;
              buffer[offset+i] = result;
            }
            if (bytesRead) {
              stream.node.timestamp = Date.now();
            }
            return bytesRead;
          },
          write: function(stream, buffer, offset, length, pos) {
            for (var i = 0; i < length; i++) {
              try {
                output(buffer[offset+i]);
              } catch (e) {
                throw new FS.ErrnoError(ERRNO_CODES.EIO);
              }
            }
            if (length) {
              stream.node.timestamp = Date.now();
            }
            return i;
          }
        });
        return FS.mkdev(path, mode, dev);
      },createLink:function (parent, name, target, canRead, canWrite) {
        var path = PATH.join2(typeof parent === 'string' ? parent : FS.getPath(parent), name);
        return FS.symlink(target, path);
      },forceLoadFile:function (obj) {
        if (obj.isDevice || obj.isFolder || obj.link || obj.contents) return true;
        var success = true;
        if (typeof XMLHttpRequest !== 'undefined') {
          throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.");
        } else if (Module['read']) {
          // Command-line.
          try {
            // WARNING: Can't read binary files in V8's d8 or tracemonkey's js, as
            //          read() will try to parse UTF8.
            obj.contents = intArrayFromString(Module['read'](obj.url), true);
          } catch (e) {
            success = false;
          }
        } else {
          throw new Error('Cannot load without read() or XMLHttpRequest.');
        }
        if (!success) ___setErrNo(ERRNO_CODES.EIO);
        return success;
      },createLazyFile:function (parent, name, url, canRead, canWrite) {
        if (typeof XMLHttpRequest !== 'undefined') {
          if (!ENVIRONMENT_IS_WORKER) throw 'Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc';
          // Lazy chunked Uint8Array (implements get and length from Uint8Array). Actual getting is abstracted away for eventual reuse.
          function LazyUint8Array() {
            this.lengthKnown = false;
            this.chunks = []; // Loaded chunks. Index is the chunk number
          }
          LazyUint8Array.prototype.get = function LazyUint8Array_get(idx) {
            if (idx > this.length-1 || idx < 0) {
              return undefined;
            }
            var chunkOffset = idx % this.chunkSize;
            var chunkNum = Math.floor(idx / this.chunkSize);
            return this.getter(chunkNum)[chunkOffset];
          }
          LazyUint8Array.prototype.setDataGetter = function LazyUint8Array_setDataGetter(getter) {
            this.getter = getter;
          }
          LazyUint8Array.prototype.cacheLength = function LazyUint8Array_cacheLength() {
              // Find length
              var xhr = new XMLHttpRequest();
              xhr.open('HEAD', url, false);
              xhr.send(null);
              if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
              var datalength = Number(xhr.getResponseHeader("Content-length"));
              var header;
              var hasByteServing = (header = xhr.getResponseHeader("Accept-Ranges")) && header === "bytes";
              var chunkSize = 1024*1024; // Chunk size in bytes
  
              if (!hasByteServing) chunkSize = datalength;
  
              // Function to get a range from the remote URL.
              var doXHR = (function(from, to) {
                if (from > to) throw new Error("invalid range (" + from + ", " + to + ") or no bytes requested!");
                if (to > datalength-1) throw new Error("only " + datalength + " bytes available! programmer error!");
  
                // TODO: Use mozResponseArrayBuffer, responseStream, etc. if available.
                var xhr = new XMLHttpRequest();
                xhr.open('GET', url, false);
                if (datalength !== chunkSize) xhr.setRequestHeader("Range", "bytes=" + from + "-" + to);
  
                // Some hints to the browser that we want binary data.
                if (typeof Uint8Array != 'undefined') xhr.responseType = 'arraybuffer';
                if (xhr.overrideMimeType) {
                  xhr.overrideMimeType('text/plain; charset=x-user-defined');
                }
  
                xhr.send(null);
                if (!(xhr.status >= 200 && xhr.status < 300 || xhr.status === 304)) throw new Error("Couldn't load " + url + ". Status: " + xhr.status);
                if (xhr.response !== undefined) {
                  return new Uint8Array(xhr.response || []);
                } else {
                  return intArrayFromString(xhr.responseText || '', true);
                }
              });
              var lazyArray = this;
              lazyArray.setDataGetter(function(chunkNum) {
                var start = chunkNum * chunkSize;
                var end = (chunkNum+1) * chunkSize - 1; // including this byte
                end = Math.min(end, datalength-1); // if datalength-1 is selected, this is the last block
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") {
                  lazyArray.chunks[chunkNum] = doXHR(start, end);
                }
                if (typeof(lazyArray.chunks[chunkNum]) === "undefined") throw new Error("doXHR failed!");
                return lazyArray.chunks[chunkNum];
              });
  
              this._length = datalength;
              this._chunkSize = chunkSize;
              this.lengthKnown = true;
          }
  
          var lazyArray = new LazyUint8Array();
          Object.defineProperty(lazyArray, "length", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._length;
              }
          });
          Object.defineProperty(lazyArray, "chunkSize", {
              get: function() {
                  if(!this.lengthKnown) {
                      this.cacheLength();
                  }
                  return this._chunkSize;
              }
          });
  
          var properties = { isDevice: false, contents: lazyArray };
        } else {
          var properties = { isDevice: false, url: url };
        }
  
        var node = FS.createFile(parent, name, properties, canRead, canWrite);
        // This is a total hack, but I want to get this lazy file code out of the
        // core of MEMFS. If we want to keep this lazy file concept I feel it should
        // be its own thin LAZYFS proxying calls to MEMFS.
        if (properties.contents) {
          node.contents = properties.contents;
        } else if (properties.url) {
          node.contents = null;
          node.url = properties.url;
        }
        // override each stream op with one that tries to force load the lazy file first
        var stream_ops = {};
        var keys = Object.keys(node.stream_ops);
        keys.forEach(function(key) {
          var fn = node.stream_ops[key];
          stream_ops[key] = function forceLoadLazyFile() {
            if (!FS.forceLoadFile(node)) {
              throw new FS.ErrnoError(ERRNO_CODES.EIO);
            }
            return fn.apply(null, arguments);
          };
        });
        // use a custom read function
        stream_ops.read = function stream_ops_read(stream, buffer, offset, length, position) {
          if (!FS.forceLoadFile(node)) {
            throw new FS.ErrnoError(ERRNO_CODES.EIO);
          }
          var contents = stream.node.contents;
          if (position >= contents.length)
            return 0;
          var size = Math.min(contents.length - position, length);
          assert(size >= 0);
          if (contents.slice) { // normal array
            for (var i = 0; i < size; i++) {
              buffer[offset + i] = contents[position + i];
            }
          } else {
            for (var i = 0; i < size; i++) { // LazyUint8Array from sync binary XHR
              buffer[offset + i] = contents.get(position + i);
            }
          }
          return size;
        };
        node.stream_ops = stream_ops;
        return node;
      },createPreloadedFile:function (parent, name, url, canRead, canWrite, onload, onerror, dontCreateFile, canOwn) {
        Browser.init();
        // TODO we should allow people to just pass in a complete filename instead
        // of parent and name being that we just join them anyways
        var fullname = name ? PATH.resolve(PATH.join2(parent, name)) : parent;
        function processData(byteArray) {
          function finish(byteArray) {
            if (!dontCreateFile) {
              FS.createDataFile(parent, name, byteArray, canRead, canWrite, canOwn);
            }
            if (onload) onload();
            removeRunDependency('cp ' + fullname);
          }
          var handled = false;
          Module['preloadPlugins'].forEach(function(plugin) {
            if (handled) return;
            if (plugin['canHandle'](fullname)) {
              plugin['handle'](byteArray, fullname, finish, function() {
                if (onerror) onerror();
                removeRunDependency('cp ' + fullname);
              });
              handled = true;
            }
          });
          if (!handled) finish(byteArray);
        }
        addRunDependency('cp ' + fullname);
        if (typeof url == 'string') {
          Browser.asyncLoad(url, function(byteArray) {
            processData(byteArray);
          }, onerror);
        } else {
          processData(url);
        }
      },indexedDB:function () {
        return window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;
      },DB_NAME:function () {
        return 'EM_FS_' + window.location.pathname;
      },DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = function openRequest_onupgradeneeded() {
          console.log('creating db');
          var db = openRequest.result;
          db.createObjectStore(FS.DB_STORE_NAME);
        };
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          var transaction = db.transaction([FS.DB_STORE_NAME], 'readwrite');
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var putRequest = files.put(FS.analyzePath(path).object.contents, path);
            putRequest.onsuccess = function putRequest_onsuccess() { ok++; if (ok + fail == total) finish() };
            putRequest.onerror = function putRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      },loadFilesFromDB:function (paths, onload, onerror) {
        onload = onload || function(){};
        onerror = onerror || function(){};
        var indexedDB = FS.indexedDB();
        try {
          var openRequest = indexedDB.open(FS.DB_NAME(), FS.DB_VERSION);
        } catch (e) {
          return onerror(e);
        }
        openRequest.onupgradeneeded = onerror; // no database to load from
        openRequest.onsuccess = function openRequest_onsuccess() {
          var db = openRequest.result;
          try {
            var transaction = db.transaction([FS.DB_STORE_NAME], 'readonly');
          } catch(e) {
            onerror(e);
            return;
          }
          var files = transaction.objectStore(FS.DB_STORE_NAME);
          var ok = 0, fail = 0, total = paths.length;
          function finish() {
            if (fail == 0) onload(); else onerror();
          }
          paths.forEach(function(path) {
            var getRequest = files.get(path);
            getRequest.onsuccess = function getRequest_onsuccess() {
              if (FS.analyzePath(path).exists) {
                FS.unlink(path);
              }
              FS.createDataFile(PATH.dirname(path), PATH.basename(path), getRequest.result, true, true, true);
              ok++;
              if (ok + fail == total) finish();
            };
            getRequest.onerror = function getRequest_onerror() { fail++; if (ok + fail == total) finish() };
          });
          transaction.onerror = onerror;
        };
        openRequest.onerror = onerror;
      }};
  
  function _open(path, oflag, varargs) {
      // int open(const char *path, int oflag, ...);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/open.html
      var mode = HEAP32[((varargs)>>2)];
      path = Pointer_stringify(path);
      try {
        var stream = FS.open(path, oflag, mode);
        return stream.fd;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fopen(filename, mode) {
      // FILE *fopen(const char *restrict filename, const char *restrict mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fopen.html
      var flags;
      mode = Pointer_stringify(mode);
      if (mode[0] == 'r') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 0;
        }
      } else if (mode[0] == 'w') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 512;
      } else if (mode[0] == 'a') {
        if (mode.indexOf('+') != -1) {
          flags = 2;
        } else {
          flags = 1;
        }
        flags |= 64;
        flags |= 1024;
      } else {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return 0;
      }
      var fd = _open(filename, flags, allocate([0x1FF, 0, 0, 0], 'i32', ALLOC_STACK));  // All creation permissions.
      return fd === -1 ? 0 : FS.getPtrForStream(FS.getStream(fd));
    }

  
  function _strerror_r(errnum, strerrbuf, buflen) {
      if (errnum in ERRNO_MESSAGES) {
        if (ERRNO_MESSAGES[errnum].length > buflen - 1) {
          return ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          var msg = ERRNO_MESSAGES[errnum];
          writeAsciiToMemory(msg, strerrbuf);
          return 0;
        }
      } else {
        return ___setErrNo(ERRNO_CODES.EINVAL);
      }
    }function _strerror(errnum) {
      if (!_strerror.buffer) _strerror.buffer = _malloc(256);
      _strerror_r(errnum, _strerror.buffer, 256);
      return _strerror.buffer;
    }

  function ___errno_location() {
      return ___errno_state;
    }

  
  function _close(fildes) {
      // int close(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/close.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        FS.close(stream);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }
  
  function _fsync(fildes) {
      // int fsync(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fsync.html
      var stream = FS.getStream(fildes);
      if (stream) {
        // We write directly to the file system, so there's nothing to do here.
        return 0;
      } else {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
    }
  
  function _fileno(stream) {
      // int fileno(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fileno.html
      return FS.getStreamFromPtr(stream).fd;
    }function _fclose(stream) {
      // int fclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fclose.html
      var fd = _fileno(stream);
      _fsync(fd);
      return _close(fd);
    }

  
  
  
  
  function _mkport() { throw 'TODO' }var SOCKFS={mount:function (mount) {
        return FS.createNode(null, '/', 16384 | 0777, 0);
      },createSocket:function (family, type, protocol) {
        var streaming = type == 1;
        if (protocol) {
          assert(streaming == (protocol == 6)); // if SOCK_STREAM, must be tcp
        }
  
        // create our internal socket structure
        var sock = {
          family: family,
          type: type,
          protocol: protocol,
          server: null,
          peers: {},
          pending: [],
          recv_queue: [],
          sock_ops: SOCKFS.websocket_sock_ops
        };
  
        // create the filesystem node to store the socket structure
        var name = SOCKFS.nextname();
        var node = FS.createNode(SOCKFS.root, name, 49152, 0);
        node.sock = sock;
  
        // and the wrapping stream that enables library functions such
        // as read and write to indirectly interact with the socket
        var stream = FS.createStream({
          path: name,
          node: node,
          flags: FS.modeStringToFlags('r+'),
          seekable: false,
          stream_ops: SOCKFS.stream_ops
        });
  
        // map the new stream to the socket structure (sockets have a 1:1
        // relationship with a stream)
        sock.stream = stream;
  
        return sock;
      },getSocket:function (fd) {
        var stream = FS.getStream(fd);
        if (!stream || !FS.isSocket(stream.node.mode)) {
          return null;
        }
        return stream.node.sock;
      },stream_ops:{poll:function (stream) {
          var sock = stream.node.sock;
          return sock.sock_ops.poll(sock);
        },ioctl:function (stream, request, varargs) {
          var sock = stream.node.sock;
          return sock.sock_ops.ioctl(sock, request, varargs);
        },read:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          var msg = sock.sock_ops.recvmsg(sock, length);
          if (!msg) {
            // socket is closed
            return 0;
          }
          buffer.set(msg.buffer, offset);
          return msg.buffer.length;
        },write:function (stream, buffer, offset, length, position /* ignored */) {
          var sock = stream.node.sock;
          return sock.sock_ops.sendmsg(sock, buffer, offset, length);
        },close:function (stream) {
          var sock = stream.node.sock;
          sock.sock_ops.close(sock);
        }},nextname:function () {
        if (!SOCKFS.nextname.current) {
          SOCKFS.nextname.current = 0;
        }
        return 'socket[' + (SOCKFS.nextname.current++) + ']';
      },websocket_sock_ops:{createPeer:function (sock, addr, port) {
          var ws;
  
          if (typeof addr === 'object') {
            ws = addr;
            addr = null;
            port = null;
          }
  
          if (ws) {
            // for sockets that've already connected (e.g. we're the server)
            // we can inspect the _socket property for the address
            if (ws._socket) {
              addr = ws._socket.remoteAddress;
              port = ws._socket.remotePort;
            }
            // if we're just now initializing a connection to the remote,
            // inspect the url property
            else {
              var result = /ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);
              if (!result) {
                throw new Error('WebSocket URL must be in the format ws(s)://address:port');
              }
              addr = result[1];
              port = parseInt(result[2], 10);
            }
          } else {
            // create the actual websocket object and connect
            try {
              var url = 'ws://' + addr + ':' + port;
              // the node ws library API is slightly different than the browser's
              var opts = ENVIRONMENT_IS_NODE ? {headers: {'websocket-protocol': ['binary']}} : ['binary'];
              // If node we use the ws library.
              var WebSocket = ENVIRONMENT_IS_NODE ? require('ws') : window['WebSocket'];
              ws = new WebSocket(url, opts);
              ws.binaryType = 'arraybuffer';
            } catch (e) {
              throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH);
            }
          }
  
  
          var peer = {
            addr: addr,
            port: port,
            socket: ws,
            dgram_send_queue: []
          };
  
          SOCKFS.websocket_sock_ops.addPeer(sock, peer);
          SOCKFS.websocket_sock_ops.handlePeerEvents(sock, peer);
  
          // if this is a bound dgram socket, send the port number first to allow
          // us to override the ephemeral port reported to us by remotePort on the
          // remote end.
          if (sock.type === 2 && typeof sock.sport !== 'undefined') {
            peer.dgram_send_queue.push(new Uint8Array([
                255, 255, 255, 255,
                'p'.charCodeAt(0), 'o'.charCodeAt(0), 'r'.charCodeAt(0), 't'.charCodeAt(0),
                ((sock.sport & 0xff00) >> 8) , (sock.sport & 0xff)
            ]));
          }
  
          return peer;
        },getPeer:function (sock, addr, port) {
          return sock.peers[addr + ':' + port];
        },addPeer:function (sock, peer) {
          sock.peers[peer.addr + ':' + peer.port] = peer;
        },removePeer:function (sock, peer) {
          delete sock.peers[peer.addr + ':' + peer.port];
        },handlePeerEvents:function (sock, peer) {
          var first = true;
  
          var handleOpen = function () {
            try {
              var queued = peer.dgram_send_queue.shift();
              while (queued) {
                peer.socket.send(queued);
                queued = peer.dgram_send_queue.shift();
              }
            } catch (e) {
              // not much we can do here in the way of proper error handling as we've already
              // lied and said this data was sent. shut it down.
              peer.socket.close();
            }
          };
  
          function handleMessage(data) {
            assert(typeof data !== 'string' && data.byteLength !== undefined);  // must receive an ArrayBuffer
            data = new Uint8Array(data);  // make a typed array view on the array buffer
  
  
            // if this is the port message, override the peer's port with it
            var wasfirst = first;
            first = false;
            if (wasfirst &&
                data.length === 10 &&
                data[0] === 255 && data[1] === 255 && data[2] === 255 && data[3] === 255 &&
                data[4] === 'p'.charCodeAt(0) && data[5] === 'o'.charCodeAt(0) && data[6] === 'r'.charCodeAt(0) && data[7] === 't'.charCodeAt(0)) {
              // update the peer's port and it's key in the peer map
              var newport = ((data[8] << 8) | data[9]);
              SOCKFS.websocket_sock_ops.removePeer(sock, peer);
              peer.port = newport;
              SOCKFS.websocket_sock_ops.addPeer(sock, peer);
              return;
            }
  
            sock.recv_queue.push({ addr: peer.addr, port: peer.port, data: data });
          };
  
          if (ENVIRONMENT_IS_NODE) {
            peer.socket.on('open', handleOpen);
            peer.socket.on('message', function(data, flags) {
              if (!flags.binary) {
                return;
              }
              handleMessage((new Uint8Array(data)).buffer);  // copy from node Buffer -> ArrayBuffer
            });
            peer.socket.on('error', function() {
              // don't throw
            });
          } else {
            peer.socket.onopen = handleOpen;
            peer.socket.onmessage = function peer_socket_onmessage(event) {
              handleMessage(event.data);
            };
          }
        },poll:function (sock) {
          if (sock.type === 1 && sock.server) {
            // listen sockets should only say they're available for reading
            // if there are pending clients.
            return sock.pending.length ? (64 | 1) : 0;
          }
  
          var mask = 0;
          var dest = sock.type === 1 ?  // we only care about the socket state for connection-based sockets
            SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport) :
            null;
  
          if (sock.recv_queue.length ||
              !dest ||  // connection-less sockets are always ready to read
              (dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {  // let recv return 0 once closed
            mask |= (64 | 1);
          }
  
          if (!dest ||  // connection-less sockets are always ready to write
              (dest && dest.socket.readyState === dest.socket.OPEN)) {
            mask |= 4;
          }
  
          if ((dest && dest.socket.readyState === dest.socket.CLOSING) ||
              (dest && dest.socket.readyState === dest.socket.CLOSED)) {
            mask |= 16;
          }
  
          return mask;
        },ioctl:function (sock, request, arg) {
          switch (request) {
            case 21531:
              var bytes = 0;
              if (sock.recv_queue.length) {
                bytes = sock.recv_queue[0].data.length;
              }
              HEAP32[((arg)>>2)]=bytes;
              return 0;
            default:
              return ERRNO_CODES.EINVAL;
          }
        },close:function (sock) {
          // if we've spawned a listen server, close it
          if (sock.server) {
            try {
              sock.server.close();
            } catch (e) {
            }
            sock.server = null;
          }
          // close any peer connections
          var peers = Object.keys(sock.peers);
          for (var i = 0; i < peers.length; i++) {
            var peer = sock.peers[peers[i]];
            try {
              peer.socket.close();
            } catch (e) {
            }
            SOCKFS.websocket_sock_ops.removePeer(sock, peer);
          }
          return 0;
        },bind:function (sock, addr, port) {
          if (typeof sock.saddr !== 'undefined' || typeof sock.sport !== 'undefined') {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already bound
          }
          sock.saddr = addr;
          sock.sport = port || _mkport();
          // in order to emulate dgram sockets, we need to launch a listen server when
          // binding on a connection-less socket
          // note: this is only required on the server side
          if (sock.type === 2) {
            // close the existing server if it exists
            if (sock.server) {
              sock.server.close();
              sock.server = null;
            }
            // swallow error operation not supported error that occurs when binding in the
            // browser where this isn't supported
            try {
              sock.sock_ops.listen(sock, 0);
            } catch (e) {
              if (!(e instanceof FS.ErrnoError)) throw e;
              if (e.errno !== ERRNO_CODES.EOPNOTSUPP) throw e;
            }
          }
        },connect:function (sock, addr, port) {
          if (sock.server) {
            throw new FS.ErrnoError(ERRNO_CODS.EOPNOTSUPP);
          }
  
          // TODO autobind
          // if (!sock.addr && sock.type == 2) {
          // }
  
          // early out if we're already connected / in the middle of connecting
          if (typeof sock.daddr !== 'undefined' && typeof sock.dport !== 'undefined') {
            var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
            if (dest) {
              if (dest.socket.readyState === dest.socket.CONNECTING) {
                throw new FS.ErrnoError(ERRNO_CODES.EALREADY);
              } else {
                throw new FS.ErrnoError(ERRNO_CODES.EISCONN);
              }
            }
          }
  
          // add the socket to our peer list and set our
          // destination address / port to match
          var peer = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
          sock.daddr = peer.addr;
          sock.dport = peer.port;
  
          // always "fail" in non-blocking mode
          throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS);
        },listen:function (sock, backlog) {
          if (!ENVIRONMENT_IS_NODE) {
            throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP);
          }
          if (sock.server) {
             throw new FS.ErrnoError(ERRNO_CODES.EINVAL);  // already listening
          }
          var WebSocketServer = require('ws').Server;
          var host = sock.saddr;
          sock.server = new WebSocketServer({
            host: host,
            port: sock.sport
            // TODO support backlog
          });
  
          sock.server.on('connection', function(ws) {
            if (sock.type === 1) {
              var newsock = SOCKFS.createSocket(sock.family, sock.type, sock.protocol);
  
              // create a peer on the new socket
              var peer = SOCKFS.websocket_sock_ops.createPeer(newsock, ws);
              newsock.daddr = peer.addr;
              newsock.dport = peer.port;
  
              // push to queue for accept to pick up
              sock.pending.push(newsock);
            } else {
              // create a peer on the listen socket so calling sendto
              // with the listen socket and an address will resolve
              // to the correct client
              SOCKFS.websocket_sock_ops.createPeer(sock, ws);
            }
          });
          sock.server.on('closed', function() {
            sock.server = null;
          });
          sock.server.on('error', function() {
            // don't throw
          });
        },accept:function (listensock) {
          if (!listensock.server) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
          var newsock = listensock.pending.shift();
          newsock.stream.flags = listensock.stream.flags;
          return newsock;
        },getname:function (sock, peer) {
          var addr, port;
          if (peer) {
            if (sock.daddr === undefined || sock.dport === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            }
            addr = sock.daddr;
            port = sock.dport;
          } else {
            // TODO saddr and sport will be set for bind()'d UDP sockets, but what
            // should we be returning for TCP sockets that've been connect()'d?
            addr = sock.saddr || 0;
            port = sock.sport || 0;
          }
          return { addr: addr, port: port };
        },sendmsg:function (sock, buffer, offset, length, addr, port) {
          if (sock.type === 2) {
            // connection-less sockets will honor the message address,
            // and otherwise fall back to the bound destination address
            if (addr === undefined || port === undefined) {
              addr = sock.daddr;
              port = sock.dport;
            }
            // if there was no address to fall back to, error out
            if (addr === undefined || port === undefined) {
              throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ);
            }
          } else {
            // connection-based sockets will only use the bound
            addr = sock.daddr;
            port = sock.dport;
          }
  
          // find the peer for the destination address
          var dest = SOCKFS.websocket_sock_ops.getPeer(sock, addr, port);
  
          // early out if not connected with a connection-based socket
          if (sock.type === 1) {
            if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
              throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
            } else if (dest.socket.readyState === dest.socket.CONNECTING) {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // create a copy of the incoming data to send, as the WebSocket API
          // doesn't work entirely with an ArrayBufferView, it'll just send
          // the entire underlying buffer
          var data;
          if (buffer instanceof Array || buffer instanceof ArrayBuffer) {
            data = buffer.slice(offset, offset + length);
          } else {  // ArrayBufferView
            data = buffer.buffer.slice(buffer.byteOffset + offset, buffer.byteOffset + offset + length);
          }
  
          // if we're emulating a connection-less dgram socket and don't have
          // a cached connection, queue the buffer to send upon connect and
          // lie, saying the data was sent now.
          if (sock.type === 2) {
            if (!dest || dest.socket.readyState !== dest.socket.OPEN) {
              // if we're not connected, open a new connection
              if (!dest || dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                dest = SOCKFS.websocket_sock_ops.createPeer(sock, addr, port);
              }
              dest.dgram_send_queue.push(data);
              return length;
            }
          }
  
          try {
            // send the actual data
            dest.socket.send(data);
            return length;
          } catch (e) {
            throw new FS.ErrnoError(ERRNO_CODES.EINVAL);
          }
        },recvmsg:function (sock, length) {
          // http://pubs.opengroup.org/onlinepubs/7908799/xns/recvmsg.html
          if (sock.type === 1 && sock.server) {
            // tcp servers should not be recv()'ing on the listen socket
            throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
          }
  
          var queued = sock.recv_queue.shift();
          if (!queued) {
            if (sock.type === 1) {
              var dest = SOCKFS.websocket_sock_ops.getPeer(sock, sock.daddr, sock.dport);
  
              if (!dest) {
                // if we have a destination address but are not connected, error out
                throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN);
              }
              else if (dest.socket.readyState === dest.socket.CLOSING || dest.socket.readyState === dest.socket.CLOSED) {
                // return null if the socket has closed
                return null;
              }
              else {
                // else, our socket is in a valid state but truly has nothing available
                throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
              }
            } else {
              throw new FS.ErrnoError(ERRNO_CODES.EAGAIN);
            }
          }
  
          // queued.data will be an ArrayBuffer if it's unadulterated, but if it's
          // requeued TCP data it'll be an ArrayBufferView
          var queuedLength = queued.data.byteLength || queued.data.length;
          var queuedOffset = queued.data.byteOffset || 0;
          var queuedBuffer = queued.data.buffer || queued.data;
          var bytesRead = Math.min(length, queuedLength);
          var res = {
            buffer: new Uint8Array(queuedBuffer, queuedOffset, bytesRead),
            addr: queued.addr,
            port: queued.port
          };
  
  
          // push back any unread data for TCP connections
          if (sock.type === 1 && bytesRead < queuedLength) {
            var bytesRemaining = queuedLength - bytesRead;
            queued.data = new Uint8Array(queuedBuffer, queuedOffset + bytesRead, bytesRemaining);
            sock.recv_queue.unshift(queued);
          }
  
          return res;
        }}};function _send(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _write(fd, buf, len);
    }
  
  function _pwrite(fildes, buf, nbyte, offset) {
      // ssize_t pwrite(int fildes, const void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _write(fildes, buf, nbyte) {
      // ssize_t write(int fildes, const void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/write.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.write(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fwrite(ptr, size, nitems, stream) {
      // size_t fwrite(const void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fwrite.html
      var bytesToWrite = nitems * size;
      if (bytesToWrite == 0) return 0;
      var fd = _fileno(stream);
      var bytesWritten = _write(fd, ptr, bytesToWrite);
      if (bytesWritten == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return 0;
      } else {
        return Math.floor(bytesWritten / size);
      }
    }

  function _fputc(c, stream) {
      // int fputc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputc.html
      var chr = unSign(c & 0xFF);
      HEAP8[((_fputc.ret)|0)]=chr;
      var fd = _fileno(stream);
      var ret = _write(fd, _fputc.ret, 1);
      if (ret == -1) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (streamObj) streamObj.error = true;
        return -1;
      } else {
        return chr;
      }
    }

  
  
  function _emscripten_memcpy_big(dest, src, num) {
      HEAPU8.set(HEAPU8.subarray(src, src+num), dest);
      return dest;
    } 
  Module["_memcpy"] = _memcpy;var _llvm_memcpy_p0i8_p0i8_i32=_memcpy;

  
   
  Module["_memset"] = _memset;var _llvm_memset_p0i8_i32=_memset;

  
  var PTHREAD_SPECIFIC={};function _pthread_getspecific(key) {
      return PTHREAD_SPECIFIC[key] || 0;
    }

  function _pthread_setspecific(key, value) {
      if (!(key in PTHREAD_SPECIFIC)) {
        return ERRNO_CODES.EINVAL;
      }
      PTHREAD_SPECIFIC[key] = value;
      return 0;
    }

  
  
  function _putchar(c) {
      // int putchar(int c);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/putchar.html
      return _fputc(c, HEAP32[((_stdout)>>2)]);
    } 
  Module["_saveSetjmp"] = _saveSetjmp;
  
   
  Module["_testSetjmp"] = _testSetjmp;var _setjmp=undefined;


  function __exit(status) {
      // void _exit(int status);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/exit.html
      Module['exit'](status);
    }

  var _llvm_memset_p0i8_i64=_memset;

  var _floor=Math_floor;

  var _sqrt=Math_sqrt;

  var _cos=Math_cos;

  
   
  Module["_memmove"] = _memmove;var _llvm_memmove_p0i8_p0i8_i32=_memmove;

  function _time(ptr) {
      var ret = Math.floor(Date.now()/1000);
      if (ptr) {
        HEAP32[((ptr)>>2)]=ret;
      }
      return ret;
    }

  
  var ___rand_seed=allocate([0x0273459b, 0, 0, 0], "i32", ALLOC_STATIC);function _srand(seed) {
      HEAP32[((___rand_seed)>>2)]=seed
    }

  
   
  Module["_rand_r"] = _rand_r; 
  Module["_rand"] = _rand;

  var _llvm_pow_f64=Math_pow;

  var _fabs=Math_abs;

  
  
  
  function __reallyNegative(x) {
      return x < 0 || (x === 0 && (1/x) === -Infinity);
    }function __formatString(format, varargs) {
      var textIndex = format;
      var argIndex = 0;
      function getNextArg(type) {
        // NOTE: Explicitly ignoring type safety. Otherwise this fails:
        //       int x = 4; printf("%c\n", (char)x);
        var ret;
        if (type === 'double') {
          ret = HEAPF64[(((varargs)+(argIndex))>>3)];
        } else if (type == 'i64') {
          ret = [HEAP32[(((varargs)+(argIndex))>>2)],
                 HEAP32[(((varargs)+(argIndex+8))>>2)]];
          argIndex += 8; // each 32-bit chunk is in a 64-bit block
  
        } else {
          type = 'i32'; // varargs are always i32, i64, or double
          ret = HEAP32[(((varargs)+(argIndex))>>2)];
        }
        argIndex += Math.max(Runtime.getNativeFieldSize(type), Runtime.getAlignSize(type, null, true));
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        var startTextIndex = textIndex;
        curr = HEAP8[(textIndex)];
        if (curr === 0) break;
        next = HEAP8[((textIndex+1)|0)];
        if (curr == 37) {
          // Handle flags.
          var flagAlwaysSigned = false;
          var flagLeftAlign = false;
          var flagAlternative = false;
          var flagZeroPad = false;
          var flagPadSign = false;
          flagsLoop: while (1) {
            switch (next) {
              case 43:
                flagAlwaysSigned = true;
                break;
              case 45:
                flagLeftAlign = true;
                break;
              case 35:
                flagAlternative = true;
                break;
              case 48:
                if (flagZeroPad) {
                  break flagsLoop;
                } else {
                  flagZeroPad = true;
                  break;
                }
              case 32:
                flagPadSign = true;
                break;
              default:
                break flagsLoop;
            }
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          }
  
          // Handle width.
          var width = 0;
          if (next == 42) {
            width = getNextArg('i32');
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
          } else {
            while (next >= 48 && next <= 57) {
              width = width * 10 + (next - 48);
              textIndex++;
              next = HEAP8[((textIndex+1)|0)];
            }
          }
  
          // Handle precision.
          var precisionSet = false, precision = -1;
          if (next == 46) {
            precision = 0;
            precisionSet = true;
            textIndex++;
            next = HEAP8[((textIndex+1)|0)];
            if (next == 42) {
              precision = getNextArg('i32');
              textIndex++;
            } else {
              while(1) {
                var precisionChr = HEAP8[((textIndex+1)|0)];
                if (precisionChr < 48 ||
                    precisionChr > 57) break;
                precision = precision * 10 + (precisionChr - 48);
                textIndex++;
              }
            }
            next = HEAP8[((textIndex+1)|0)];
          }
          if (precision === -1) {
            precision = 6; // Standard default.
            precisionSet = false;
          }
  
          // Handle integer sizes. WARNING: These assume a 32-bit architecture!
          var argSize;
          switch (String.fromCharCode(next)) {
            case 'h':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 104) {
                textIndex++;
                argSize = 1; // char (actually i32 in varargs)
              } else {
                argSize = 2; // short (actually i32 in varargs)
              }
              break;
            case 'l':
              var nextNext = HEAP8[((textIndex+2)|0)];
              if (nextNext == 108) {
                textIndex++;
                argSize = 8; // long long
              } else {
                argSize = 4; // long
              }
              break;
            case 'L': // long long
            case 'q': // int64_t
            case 'j': // intmax_t
              argSize = 8;
              break;
            case 'z': // size_t
            case 't': // ptrdiff_t
            case 'I': // signed ptrdiff_t or unsigned size_t
              argSize = 4;
              break;
            default:
              argSize = null;
          }
          if (argSize) textIndex++;
          next = HEAP8[((textIndex+1)|0)];
  
          // Handle type specifier.
          switch (String.fromCharCode(next)) {
            case 'd': case 'i': case 'u': case 'o': case 'x': case 'X': case 'p': {
              // Integer.
              var signed = next == 100 || next == 105;
              argSize = argSize || 4;
              var currArg = getNextArg('i' + (argSize * 8));
              var origArg = currArg;
              var argText;
              // Flatten i64-1 [low, high] into a (slightly rounded) double
              if (argSize == 8) {
                currArg = Runtime.makeBigInt(currArg[0], currArg[1], next == 117);
              }
              // Truncate to requested size.
              if (argSize <= 4) {
                var limit = Math.pow(256, argSize) - 1;
                currArg = (signed ? reSign : unSign)(currArg & limit, argSize * 8);
              }
              // Format the number.
              var currAbsArg = Math.abs(currArg);
              var prefix = '';
              if (next == 100 || next == 105) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], null); else
                argText = reSign(currArg, 8 * argSize, 1).toString(10);
              } else if (next == 117) {
                if (argSize == 8 && i64Math) argText = i64Math.stringify(origArg[0], origArg[1], true); else
                argText = unSign(currArg, 8 * argSize, 1).toString(10);
                currArg = Math.abs(currArg);
              } else if (next == 111) {
                argText = (flagAlternative ? '0' : '') + currAbsArg.toString(8);
              } else if (next == 120 || next == 88) {
                prefix = (flagAlternative && currArg != 0) ? '0x' : '';
                if (argSize == 8 && i64Math) {
                  if (origArg[1]) {
                    argText = (origArg[1]>>>0).toString(16);
                    var lower = (origArg[0]>>>0).toString(16);
                    while (lower.length < 8) lower = '0' + lower;
                    argText += lower;
                  } else {
                    argText = (origArg[0]>>>0).toString(16);
                  }
                } else
                if (currArg < 0) {
                  // Represent negative numbers in hex as 2's complement.
                  currArg = -currArg;
                  argText = (currAbsArg - 1).toString(16);
                  var buffer = [];
                  for (var i = 0; i < argText.length; i++) {
                    buffer.push((0xF - parseInt(argText[i], 16)).toString(16));
                  }
                  argText = buffer.join('');
                  while (argText.length < argSize * 2) argText = 'f' + argText;
                } else {
                  argText = currAbsArg.toString(16);
                }
                if (next == 88) {
                  prefix = prefix.toUpperCase();
                  argText = argText.toUpperCase();
                }
              } else if (next == 112) {
                if (currAbsArg === 0) {
                  argText = '(nil)';
                } else {
                  prefix = '0x';
                  argText = currAbsArg.toString(16);
                }
              }
              if (precisionSet) {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
  
              // Add sign if needed
              if (currArg >= 0) {
                if (flagAlwaysSigned) {
                  prefix = '+' + prefix;
                } else if (flagPadSign) {
                  prefix = ' ' + prefix;
                }
              }
  
              // Move sign to prefix so we zero-pad after the sign
              if (argText.charAt(0) == '-') {
                prefix = '-' + prefix;
                argText = argText.substr(1);
              }
  
              // Add padding.
              while (prefix.length + argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad) {
                    argText = '0' + argText;
                  } else {
                    prefix = ' ' + prefix;
                  }
                }
              }
  
              // Insert the result into the buffer.
              argText = prefix + argText;
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 'f': case 'F': case 'e': case 'E': case 'g': case 'G': {
              // Float.
              var currArg = getNextArg('double');
              var argText;
              if (isNaN(currArg)) {
                argText = 'nan';
                flagZeroPad = false;
              } else if (!isFinite(currArg)) {
                argText = (currArg < 0 ? '-' : '') + 'inf';
                flagZeroPad = false;
              } else {
                var isGeneral = false;
                var effectivePrecision = Math.min(precision, 20);
  
                // Convert g/G to f/F or e/E, as per:
                // http://pubs.opengroup.org/onlinepubs/9699919799/functions/printf.html
                if (next == 103 || next == 71) {
                  isGeneral = true;
                  precision = precision || 1;
                  var exponent = parseInt(currArg.toExponential(effectivePrecision).split('e')[1], 10);
                  if (precision > exponent && exponent >= -4) {
                    next = ((next == 103) ? 'f' : 'F').charCodeAt(0);
                    precision -= exponent + 1;
                  } else {
                    next = ((next == 103) ? 'e' : 'E').charCodeAt(0);
                    precision--;
                  }
                  effectivePrecision = Math.min(precision, 20);
                }
  
                if (next == 101 || next == 69) {
                  argText = currArg.toExponential(effectivePrecision);
                  // Make sure the exponent has at least 2 digits.
                  if (/[eE][-+]\d$/.test(argText)) {
                    argText = argText.slice(0, -1) + '0' + argText.slice(-1);
                  }
                } else if (next == 102 || next == 70) {
                  argText = currArg.toFixed(effectivePrecision);
                  if (currArg === 0 && __reallyNegative(currArg)) {
                    argText = '-' + argText;
                  }
                }
  
                var parts = argText.split('e');
                if (isGeneral && !flagAlternative) {
                  // Discard trailing zeros and periods.
                  while (parts[0].length > 1 && parts[0].indexOf('.') != -1 &&
                         (parts[0].slice(-1) == '0' || parts[0].slice(-1) == '.')) {
                    parts[0] = parts[0].slice(0, -1);
                  }
                } else {
                  // Make sure we have a period in alternative mode.
                  if (flagAlternative && argText.indexOf('.') == -1) parts[0] += '.';
                  // Zero pad until required precision.
                  while (precision > effectivePrecision++) parts[0] += '0';
                }
                argText = parts[0] + (parts.length > 1 ? 'e' + parts[1] : '');
  
                // Capitalize 'E' if needed.
                if (next == 69) argText = argText.toUpperCase();
  
                // Add sign.
                if (currArg >= 0) {
                  if (flagAlwaysSigned) {
                    argText = '+' + argText;
                  } else if (flagPadSign) {
                    argText = ' ' + argText;
                  }
                }
              }
  
              // Add padding.
              while (argText.length < width) {
                if (flagLeftAlign) {
                  argText += ' ';
                } else {
                  if (flagZeroPad && (argText[0] == '-' || argText[0] == '+')) {
                    argText = argText[0] + '0' + argText.slice(1);
                  } else {
                    argText = (flagZeroPad ? '0' : ' ') + argText;
                  }
                }
              }
  
              // Adjust case.
              if (next < 97) argText = argText.toUpperCase();
  
              // Insert the result into the buffer.
              argText.split('').forEach(function(chr) {
                ret.push(chr.charCodeAt(0));
              });
              break;
            }
            case 's': {
              // String.
              var arg = getNextArg('i8*');
              var argLength = arg ? _strlen(arg) : '(null)'.length;
              if (precisionSet) argLength = Math.min(argLength, precision);
              if (!flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              if (arg) {
                for (var i = 0; i < argLength; i++) {
                  ret.push(HEAPU8[((arg++)|0)]);
                }
              } else {
                ret = ret.concat(intArrayFromString('(null)'.substr(0, argLength), true));
              }
              if (flagLeftAlign) {
                while (argLength < width--) {
                  ret.push(32);
                }
              }
              break;
            }
            case 'c': {
              // Character.
              if (flagLeftAlign) ret.push(getNextArg('i8'));
              while (--width > 0) {
                ret.push(32);
              }
              if (!flagLeftAlign) ret.push(getNextArg('i8'));
              break;
            }
            case 'n': {
              // Write the length written so far to the next parameter.
              var ptr = getNextArg('i32*');
              HEAP32[((ptr)>>2)]=ret.length;
              break;
            }
            case '%': {
              // Literal percent sign.
              ret.push(curr);
              break;
            }
            default: {
              // Unknown specifiers remain untouched.
              for (var i = startTextIndex; i < textIndex + 2; i++) {
                ret.push(HEAP8[(i)]);
              }
            }
          }
          textIndex += 2;
          // TODO: Support a/A (hex float) and m (last error) specifiers.
          // TODO: Support %1${specifier} for arg selection.
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return ret;
    }function _snprintf(s, n, format, varargs) {
      // int snprintf(char *restrict s, size_t n, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var limit = (n === undefined) ? result.length
                                    : Math.min(result.length, Math.max(n - 1, 0));
      if (s < 0) {
        s = -s;
        var buf = _malloc(limit+1);
        HEAP32[((s)>>2)]=buf;
        s = buf;
      }
      for (var i = 0; i < limit; i++) {
        HEAP8[(((s)+(i))|0)]=result[i];
      }
      if (limit < n || (n === undefined)) HEAP8[(((s)+(i))|0)]=0;
      return result.length;
    }function _sprintf(s, format, varargs) {
      // int sprintf(char *restrict s, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      return _snprintf(s, undefined, format, varargs);
    }

  function _longjmp(env, value) {
      asm['setThrew'](env, value || 1);
      throw 'longjmp';
    }

  
  
  function _isspace(chr) {
      return (chr == 32) || (chr >= 9 && chr <= 13);
    }function __parseInt(str, endptr, base, min, max, bits, unsign) {
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      var multiplier = 1;
      if (HEAP8[(str)] == 45) {
        multiplier = -1;
        str++;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            str++;
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
  
      // Get digits.
      var chr;
      var ret = 0;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          ret = ret * finalBase + digit;
          str++;
        }
      }
  
      // Apply sign.
      ret *= multiplier;
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      // Unsign if needed.
      if (unsign) {
        if (Math.abs(ret) > max) {
          ret = max;
          ___setErrNo(ERRNO_CODES.ERANGE);
        } else {
          ret = unSign(ret, bits);
        }
      }
  
      // Validate range.
      if (ret > max || ret < min) {
        ret = ret > max ? max : min;
        ___setErrNo(ERRNO_CODES.ERANGE);
      }
  
      if (bits == 64) {
        return ((asm["setTempRet0"]((tempDouble=ret,(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)),ret>>>0)|0);
      }
  
      return ret;
    }function _strtol(str, endptr, base) {
      return __parseInt(str, endptr, base, -2147483648, 2147483647, 32);  // LONG_MIN, LONG_MAX.
    }

  function _fprintf(stream, format, varargs) {
      // int fprintf(FILE *restrict stream, const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var result = __formatString(format, varargs);
      var stack = Runtime.stackSave();
      var ret = _fwrite(allocate(result, 'i8', ALLOC_STACK), 1, result.length, stream);
      Runtime.stackRestore(stack);
      return ret;
    }

  function _fputs(s, stream) {
      // int fputs(const char *restrict s, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fputs.html
      var fd = _fileno(stream);
      return _write(fd, s, _strlen(s));
    }


  
  var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key, destructor) {
      if (key == 0) {
        return ERRNO_CODES.EINVAL;
      }
      HEAP32[((key)>>2)]=PTHREAD_SPECIFIC_NEXT_KEY;
      // values start at 0
      PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY] = 0;
      PTHREAD_SPECIFIC_NEXT_KEY++;
      return 0;
    }

  function _GC_init() {
  Module['printErr']('missing function: GC_init'); abort(-1);
  }

  function ___assert_fail(condition, filename, line, func) {
      ABORT = true;
      throw 'Assertion failed: ' + Pointer_stringify(condition) + ', at: ' + [filename ? Pointer_stringify(filename) : 'unknown filename', line, func ? Pointer_stringify(func) : 'unknown function'] + ' at ' + stackTrace();
    }

  function _fmax(x, y) {
      return isNaN(x) ? y : isNaN(y) ? x : Math.max(x, y);
    }

  function _GC_malloc() {
  Module['printErr']('missing function: GC_malloc'); abort(-1);
  }

  var _llvm_va_start=undefined;

  function _llvm_va_end() {}

  function _printf(format, varargs) {
      // int printf(const char *restrict format, ...);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/printf.html
      var stdout = HEAP32[((_stdout)>>2)];
      return _fprintf(stdout, format, varargs);
    }


  function _puts(s) {
      // int puts(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/puts.html
      // NOTE: puts() always writes an extra newline.
      var stdout = HEAP32[((_stdout)>>2)];
      var ret = _fputs(s, stdout);
      if (ret < 0) {
        return ret;
      } else {
        var newlineRet = _fputc(10, stdout);
        return (newlineRet < 0) ? -1 : ret + 1;
      }
    }

  function _vfprintf(s, f, va_arg) {
      return _fprintf(s, f, HEAP32[((va_arg)>>2)]);
    }

  function _vsnprintf(s, n, format, va_arg) {
      return _snprintf(s, n, format, HEAP32[((va_arg)>>2)]);
    }

  function _GC_malloc_atomic() {
  Module['printErr']('missing function: GC_malloc_atomic'); abort(-1);
  }

  function _GC_strdup() {
  Module['printErr']('missing function: GC_strdup'); abort(-1);
  }

  function _GC_collect_a_little() {
  Module['printErr']('missing function: GC_collect_a_little'); abort(-1);
  }

  function _strdup(ptr) {
      var len = _strlen(ptr);
      var newStr = _malloc(len + 1);
      (_memcpy(newStr, ptr, len)|0);
      HEAP8[(((newStr)+(len))|0)]=0;
      return newStr;
    }

  function _pthread_mutex_lock() {}

  function _pthread_mutex_unlock() {}

   
  Module["_strcpy"] = _strcpy;

  
  
  function _recv(fd, buf, len, flags) {
      var sock = SOCKFS.getSocket(fd);
      if (!sock) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      // TODO honor flags
      return _read(fd, buf, len);
    }
  
  function _pread(fildes, buf, nbyte, offset) {
      // ssize_t pread(int fildes, void *buf, size_t nbyte, off_t offset);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte, offset);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _read(fildes, buf, nbyte) {
      // ssize_t read(int fildes, void *buf, size_t nbyte);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/read.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
  
  
      try {
        var slab = HEAP8;
        return FS.read(stream, slab, buf, nbyte);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fread(ptr, size, nitems, stream) {
      // size_t fread(void *restrict ptr, size_t size, size_t nitems, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fread.html
      var bytesToRead = nitems * size;
      if (bytesToRead == 0) {
        return 0;
      }
      var bytesRead = 0;
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      while (streamObj.ungotten.length && bytesToRead > 0) {
        HEAP8[((ptr++)|0)]=streamObj.ungotten.pop();
        bytesToRead--;
        bytesRead++;
      }
      var err = _read(streamObj.fd, ptr, bytesToRead);
      if (err == -1) {
        if (streamObj) streamObj.error = true;
        return 0;
      }
      bytesRead += err;
      if (bytesRead < bytesToRead) streamObj.eof = true;
      return Math.floor(bytesRead / size);
    }

  function _qsort(base, num, size, cmp) {
      if (num == 0 || size == 0) return;
      // forward calls to the JavaScript sort method
      // first, sort the items logically
      var keys = [];
      for (var i = 0; i < num; i++) keys.push(i);
      keys.sort(function(a, b) {
        return Module['dynCall_iii'](cmp, base+a*size, base+b*size);
      });
      // apply the sort
      var temp = _malloc(num*size);
      _memcpy(temp, base, num*size);
      for (var i = 0; i < num; i++) {
        if (keys[i] == i) continue; // already in place
        _memcpy(base+i*size, temp+keys[i]*size, size);
      }
      _free(temp);
    }

  function _ftell(stream) {
      // long ftell(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftell.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      if (FS.isChrdev(stream.node.mode)) {
        ___setErrNo(ERRNO_CODES.ESPIPE);
        return -1;
      } else {
        return stream.position;
      }
    }

  
  function _lseek(fildes, offset, whence) {
      // off_t lseek(int fildes, off_t offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/lseek.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      try {
        return FS.llseek(stream, offset, whence);
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fseek(stream, offset, whence) {
      // int fseek(FILE *stream, long offset, int whence);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fseek.html
      var fd = _fileno(stream);
      var ret = _lseek(fd, offset, whence);
      if (ret == -1) {
        return -1;
      }
      stream = FS.getStreamFromPtr(stream);
      stream.eof = false;
      return 0;
    }

  function _bsearch(key, base, num, size, compar) {
      function cmp(x, y) {
        return Module['dynCall_iii'](compar, x, y);
      };
      var left = 0;
      var right = num;
      var mid, test, addr;
  
      while (left < right) {
        mid = (left + right) >>> 1;
        addr = base + (mid * size);
        test = cmp(key, addr);
        if (test < 0) {
          right = mid;
        } else if (test > 0) {
          left = mid + 1;
        } else {
          return addr;
        }
      }
  
      return 0;
    }

  
  function _emscripten_get_now() {
      if (!_emscripten_get_now.actual) {
        if (ENVIRONMENT_IS_NODE) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() {
            var t = process['hrtime']();
            return t[0] * 1e3 + t[1] / 1e6;
          }
        } else if (typeof dateNow !== 'undefined') {
          _emscripten_get_now.actual = dateNow;
        } else if (ENVIRONMENT_IS_WEB && window['performance'] && window['performance']['now']) {
          _emscripten_get_now.actual = function _emscripten_get_now_actual() { return window['performance']['now'](); };
        } else {
          _emscripten_get_now.actual = Date.now;
        }
      }
      return _emscripten_get_now.actual();
    }function _clock_gettime(clk_id, tp) {
      // int clock_gettime(clockid_t clk_id, struct timespec *tp);
      var now;
      if (clk_id === 0) {
        now = Date.now();
      } else {
        now = _emscripten_get_now();
      }
      HEAP32[((tp)>>2)]=Math.floor(now/1000); // seconds
      HEAP32[(((tp)+(4))>>2)]=Math.floor((now % 1000)*1000*1000); // nanoseconds
      return 0;
    }

  function _fgetc(stream) {
      // int fgetc(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/fgetc.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) return -1;
      if (streamObj.eof || streamObj.error) return -1;
      var ret = _fread(_fgetc.ret, 1, 1, stream);
      if (ret == 0) {
        return -1;
      } else if (ret == -1) {
        streamObj.error = true;
        return -1;
      } else {
        return HEAPU8[((_fgetc.ret)|0)];
      }
    }


  function _perror(s) {
      // void perror(const char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/perror.html
      var stdout = HEAP32[((_stdout)>>2)];
      if (s) {
        _fputs(s, stdout);
        _fputc(58, stdout);
        _fputc(32, stdout);
      }
      var errnum = HEAP32[((___errno_location())>>2)];
      _puts(_strerror(errnum));
    }

  var _sin=Math_sin;

  var _ceil=Math_ceil;

  function _lis_matrix_set_value() {
  Module['printErr']('missing function: lis_matrix_set_value'); abort(-1);
  }

  function _lis_vector_create() {
  Module['printErr']('missing function: lis_vector_create'); abort(-1);
  }

  function _lis_vector_set_size() {
  Module['printErr']('missing function: lis_vector_set_size'); abort(-1);
  }

  function _lis_solver_create() {
  Module['printErr']('missing function: lis_solver_create'); abort(-1);
  }

  function _lis_solver_set_option() {
  Module['printErr']('missing function: lis_solver_set_option'); abort(-1);
  }

  function _lis_solver_destroy() {
  Module['printErr']('missing function: lis_solver_destroy'); abort(-1);
  }

  function _lis_vector_destroy() {
  Module['printErr']('missing function: lis_vector_destroy'); abort(-1);
  }

  
  var ___strtok_state=0;
  
  function _strtok_r(s, delim, lasts) {
      var skip_leading_delim = 1;
      var spanp;
      var c, sc;
      var tok;
  
  
      if (s == 0 && (s = getValue(lasts, 'i8*')) == 0) {
        return 0;
      }
  
      cont: while (1) {
        c = getValue(s++, 'i8');
        for (spanp = delim; (sc = getValue(spanp++, 'i8')) != 0;) {
          if (c == sc) {
            if (skip_leading_delim) {
              continue cont;
            } else {
              setValue(lasts, s, 'i8*');
              setValue(s - 1, 0, 'i8');
              return s - 1;
            }
          }
        }
        break;
      }
  
      if (c == 0) {
        setValue(lasts, 0, 'i8*');
        return 0;
      }
      tok = s - 1;
  
      for (;;) {
        c = getValue(s++, 'i8');
        spanp = delim;
        do {
          if ((sc = getValue(spanp++, 'i8')) == c) {
            if (c == 0) {
              s = 0;
            } else {
              setValue(s - 1, 0, 'i8');
            }
            setValue(lasts, s, 'i8*');
            return tok;
          }
        } while (sc != 0);
      }
      abort('strtok_r error!');
    }function _strtok(s, delim) {
      return _strtok_r(s, delim, ___strtok_state);
    }

  function _rewind(stream) {
      // void rewind(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/rewind.html
      _fseek(stream, 0, 0);  // SEEK_SET.
      var streamObj = FS.getStreamFromPtr(stream);
      if (streamObj) streamObj.error = false;
    }

  
  
  function __getFloat(text) {
      return /^[+-]?[0-9]*\.?[0-9]+([eE][+-]?[0-9]+)?/.exec(text);
    }function __scanString(format, get, unget, varargs) {
      if (!__scanString.whiteSpace) {
        __scanString.whiteSpace = {};
        __scanString.whiteSpace[32] = 1;
        __scanString.whiteSpace[9] = 1;
        __scanString.whiteSpace[10] = 1;
        __scanString.whiteSpace[11] = 1;
        __scanString.whiteSpace[12] = 1;
        __scanString.whiteSpace[13] = 1;
      }
      // Supports %x, %4x, %d.%d, %lld, %s, %f, %lf.
      // TODO: Support all format specifiers.
      format = Pointer_stringify(format);
      var soFar = 0;
      if (format.indexOf('%n') >= 0) {
        // need to track soFar
        var _get = get;
        get = function get() {
          soFar++;
          return _get();
        }
        var _unget = unget;
        unget = function unget() {
          soFar--;
          return _unget();
        }
      }
      var formatIndex = 0;
      var argsi = 0;
      var fields = 0;
      var argIndex = 0;
      var next;
  
      mainLoop:
      for (var formatIndex = 0; formatIndex < format.length;) {
        if (format[formatIndex] === '%' && format[formatIndex+1] == 'n') {
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          HEAP32[((argPtr)>>2)]=soFar;
          formatIndex += 2;
          continue;
        }
  
        if (format[formatIndex] === '%') {
          var nextC = format.indexOf('c', formatIndex+1);
          if (nextC > 0) {
            var maxx = 1;
            if (nextC > formatIndex+1) {
              var sub = format.substring(formatIndex+1, nextC);
              maxx = parseInt(sub);
              if (maxx != sub) maxx = 0;
            }
            if (maxx) {
              var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
              argIndex += Runtime.getAlignSize('void*', null, true);
              fields++;
              for (var i = 0; i < maxx; i++) {
                next = get();
                HEAP8[((argPtr++)|0)]=next;
                if (next === 0) return i > 0 ? fields : fields-1; // we failed to read the full length of this field
              }
              formatIndex += nextC - formatIndex + 1;
              continue;
            }
          }
        }
  
        // handle %[...]
        if (format[formatIndex] === '%' && format.indexOf('[', formatIndex+1) > 0) {
          var match = /\%([0-9]*)\[(\^)?(\]?[^\]]*)\]/.exec(format.substring(formatIndex));
          if (match) {
            var maxNumCharacters = parseInt(match[1]) || Infinity;
            var negateScanList = (match[2] === '^');
            var scanList = match[3];
  
            // expand "middle" dashs into character sets
            var middleDashMatch;
            while ((middleDashMatch = /([^\-])\-([^\-])/.exec(scanList))) {
              var rangeStartCharCode = middleDashMatch[1].charCodeAt(0);
              var rangeEndCharCode = middleDashMatch[2].charCodeAt(0);
              for (var expanded = ''; rangeStartCharCode <= rangeEndCharCode; expanded += String.fromCharCode(rangeStartCharCode++));
              scanList = scanList.replace(middleDashMatch[1] + '-' + middleDashMatch[2], expanded);
            }
  
            var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
            argIndex += Runtime.getAlignSize('void*', null, true);
            fields++;
  
            for (var i = 0; i < maxNumCharacters; i++) {
              next = get();
              if (negateScanList) {
                if (scanList.indexOf(String.fromCharCode(next)) < 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              } else {
                if (scanList.indexOf(String.fromCharCode(next)) >= 0) {
                  HEAP8[((argPtr++)|0)]=next;
                } else {
                  unget();
                  break;
                }
              }
            }
  
            // write out null-terminating character
            HEAP8[((argPtr++)|0)]=0;
            formatIndex += match[0].length;
            
            continue;
          }
        }      
        // remove whitespace
        while (1) {
          next = get();
          if (next == 0) return fields;
          if (!(next in __scanString.whiteSpace)) break;
        }
        unget();
  
        if (format[formatIndex] === '%') {
          formatIndex++;
          var suppressAssignment = false;
          if (format[formatIndex] == '*') {
            suppressAssignment = true;
            formatIndex++;
          }
          var maxSpecifierStart = formatIndex;
          while (format[formatIndex].charCodeAt(0) >= 48 &&
                 format[formatIndex].charCodeAt(0) <= 57) {
            formatIndex++;
          }
          var max_;
          if (formatIndex != maxSpecifierStart) {
            max_ = parseInt(format.slice(maxSpecifierStart, formatIndex), 10);
          }
          var long_ = false;
          var half = false;
          var longLong = false;
          if (format[formatIndex] == 'l') {
            long_ = true;
            formatIndex++;
            if (format[formatIndex] == 'l') {
              longLong = true;
              formatIndex++;
            }
          } else if (format[formatIndex] == 'h') {
            half = true;
            formatIndex++;
          }
          var type = format[formatIndex];
          formatIndex++;
          var curr = 0;
          var buffer = [];
          // Read characters according to the format. floats are trickier, they may be in an unfloat state in the middle, then be a valid float later
          if (type == 'f' || type == 'e' || type == 'g' ||
              type == 'F' || type == 'E' || type == 'G') {
            next = get();
            while (next > 0 && (!(next in __scanString.whiteSpace)))  {
              buffer.push(String.fromCharCode(next));
              next = get();
            }
            var m = __getFloat(buffer.join(''));
            var last = m ? m[0].length : 0;
            for (var i = 0; i < buffer.length - last + 1; i++) {
              unget();
            }
            buffer.length = last;
          } else {
            next = get();
            var first = true;
            
            // Strip the optional 0x prefix for %x.
            if ((type == 'x' || type == 'X') && (next == 48)) {
              var peek = get();
              if (peek == 120 || peek == 88) {
                next = get();
              } else {
                unget();
              }
            }
            
            while ((curr < max_ || isNaN(max_)) && next > 0) {
              if (!(next in __scanString.whiteSpace) && // stop on whitespace
                  (type == 's' ||
                   ((type === 'd' || type == 'u' || type == 'i') && ((next >= 48 && next <= 57) ||
                                                                     (first && next == 45))) ||
                   ((type === 'x' || type === 'X') && (next >= 48 && next <= 57 ||
                                     next >= 97 && next <= 102 ||
                                     next >= 65 && next <= 70))) &&
                  (formatIndex >= format.length || next !== format[formatIndex].charCodeAt(0))) { // Stop when we read something that is coming up
                buffer.push(String.fromCharCode(next));
                next = get();
                curr++;
                first = false;
              } else {
                break;
              }
            }
            unget();
          }
          if (buffer.length === 0) return 0;  // Failure.
          if (suppressAssignment) continue;
  
          var text = buffer.join('');
          var argPtr = HEAP32[(((varargs)+(argIndex))>>2)];
          argIndex += Runtime.getAlignSize('void*', null, true);
          switch (type) {
            case 'd': case 'u': case 'i':
              if (half) {
                HEAP16[((argPtr)>>1)]=parseInt(text, 10);
              } else if (longLong) {
                (tempI64 = [parseInt(text, 10)>>>0,(tempDouble=parseInt(text, 10),(+(Math_abs(tempDouble))) >= (+1) ? (tempDouble > (+0) ? ((Math_min((+(Math_floor((tempDouble)/(+4294967296)))), (+4294967295)))|0)>>>0 : (~~((+(Math_ceil((tempDouble - +(((~~(tempDouble)))>>>0))/(+4294967296))))))>>>0) : 0)],HEAP32[((argPtr)>>2)]=tempI64[0],HEAP32[(((argPtr)+(4))>>2)]=tempI64[1]);
              } else {
                HEAP32[((argPtr)>>2)]=parseInt(text, 10);
              }
              break;
            case 'X':
            case 'x':
              HEAP32[((argPtr)>>2)]=parseInt(text, 16);
              break;
            case 'F':
            case 'f':
            case 'E':
            case 'e':
            case 'G':
            case 'g':
            case 'E':
              // fallthrough intended
              if (long_) {
                HEAPF64[((argPtr)>>3)]=parseFloat(text);
              } else {
                HEAPF32[((argPtr)>>2)]=parseFloat(text);
              }
              break;
            case 's':
              var array = intArrayFromString(text);
              for (var j = 0; j < array.length; j++) {
                HEAP8[(((argPtr)+(j))|0)]=array[j];
              }
              break;
          }
          fields++;
        } else if (format[formatIndex].charCodeAt(0) in __scanString.whiteSpace) {
          next = get();
          while (next in __scanString.whiteSpace) {
            if (next <= 0) break mainLoop;  // End of input.
            next = get();
          }
          unget(next);
          formatIndex++;
        } else {
          // Not a specifier.
          next = get();
          if (format[formatIndex].charCodeAt(0) !== next) {
            unget(next);
            break mainLoop;
          }
          formatIndex++;
        }
      }
      return fields;
    }
  
  function _ungetc(c, stream) {
      // int ungetc(int c, FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ungetc.html
      stream = FS.getStreamFromPtr(stream);
      if (!stream) {
        return -1;
      }
      if (c === -1) {
        // do nothing for EOF character
        return c;
      }
      c = unSign(c & 0xFF);
      stream.ungotten.push(c);
      stream.eof = false;
      return c;
    }function _fscanf(stream, format, varargs) {
      // int fscanf(FILE *restrict stream, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var streamObj = FS.getStreamFromPtr(stream);
      if (!streamObj) {
        return -1;
      }
      var buffer = [];
      function get() {
        var c = _fgetc(stream);
        buffer.push(c);
        return c;
      };
      function unget() {
        _ungetc(buffer.pop(), stream);
      };
      return __scanString(format, get, unget, varargs);
    }

  
  function __ZSt18uncaught_exceptionv() { // std::uncaught_exception()
      return !!__ZSt18uncaught_exceptionv.uncaught_exception;
    }
  
  
  
  function ___cxa_is_number_type(type) {
      var isNumber = false;
      try { if (type == __ZTIi) isNumber = true } catch(e){}
      try { if (type == __ZTIj) isNumber = true } catch(e){}
      try { if (type == __ZTIl) isNumber = true } catch(e){}
      try { if (type == __ZTIm) isNumber = true } catch(e){}
      try { if (type == __ZTIx) isNumber = true } catch(e){}
      try { if (type == __ZTIy) isNumber = true } catch(e){}
      try { if (type == __ZTIf) isNumber = true } catch(e){}
      try { if (type == __ZTId) isNumber = true } catch(e){}
      try { if (type == __ZTIe) isNumber = true } catch(e){}
      try { if (type == __ZTIc) isNumber = true } catch(e){}
      try { if (type == __ZTIa) isNumber = true } catch(e){}
      try { if (type == __ZTIh) isNumber = true } catch(e){}
      try { if (type == __ZTIs) isNumber = true } catch(e){}
      try { if (type == __ZTIt) isNumber = true } catch(e){}
      return isNumber;
    }function ___cxa_does_inherit(definiteType, possibilityType, possibility) {
      if (possibility == 0) return false;
      if (possibilityType == 0 || possibilityType == definiteType)
        return true;
      var possibility_type_info;
      if (___cxa_is_number_type(possibilityType)) {
        possibility_type_info = possibilityType;
      } else {
        var possibility_type_infoAddr = HEAP32[((possibilityType)>>2)] - 8;
        possibility_type_info = HEAP32[((possibility_type_infoAddr)>>2)];
      }
      switch (possibility_type_info) {
      case 0: // possibility is a pointer
        // See if definite type is a pointer
        var definite_type_infoAddr = HEAP32[((definiteType)>>2)] - 8;
        var definite_type_info = HEAP32[((definite_type_infoAddr)>>2)];
        if (definite_type_info == 0) {
          // Also a pointer; compare base types of pointers
          var defPointerBaseAddr = definiteType+8;
          var defPointerBaseType = HEAP32[((defPointerBaseAddr)>>2)];
          var possPointerBaseAddr = possibilityType+8;
          var possPointerBaseType = HEAP32[((possPointerBaseAddr)>>2)];
          return ___cxa_does_inherit(defPointerBaseType, possPointerBaseType, possibility);
        } else
          return false; // one pointer and one non-pointer
      case 1: // class with no base class
        return false;
      case 2: // class with base class
        var parentTypeAddr = possibilityType + 8;
        var parentType = HEAP32[((parentTypeAddr)>>2)];
        return ___cxa_does_inherit(definiteType, parentType, possibility);
      default:
        return false; // some unencountered type
      }
    }
  
  function ___resumeException(ptr) {
      if (!___cxa_last_thrown_exception) { ___cxa_last_thrown_exception = ptr; }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }
  
  var ___cxa_last_thrown_exception=0;
  
  var ___cxa_exception_header_size=8;function ___cxa_find_matching_catch(thrown, throwntype) {
      if (thrown == -1) thrown = ___cxa_last_thrown_exception;
      header = thrown - ___cxa_exception_header_size;
      if (throwntype == -1) throwntype = HEAP32[((header)>>2)];
      var typeArray = Array.prototype.slice.call(arguments, 2);
  
      // If throwntype is a pointer, this means a pointer has been
      // thrown. When a pointer is thrown, actually what's thrown
      // is a pointer to the pointer. We'll dereference it.
      if (throwntype != 0 && !___cxa_is_number_type(throwntype)) {
        var throwntypeInfoAddr= HEAP32[((throwntype)>>2)] - 8;
        var throwntypeInfo= HEAP32[((throwntypeInfoAddr)>>2)];
        if (throwntypeInfo == 0)
          thrown = HEAP32[((thrown)>>2)];
      }
      // The different catch blocks are denoted by different types.
      // Due to inheritance, those types may not precisely match the
      // type of the thrown object. Find one which matches, and
      // return the type of the catch block which should be called.
      for (var i = 0; i < typeArray.length; i++) {
        if (___cxa_does_inherit(typeArray[i], throwntype, thrown))
          return ((asm["setTempRet0"](typeArray[i]),thrown)|0);
      }
      // Shouldn't happen unless we have bogus data in typeArray
      // or encounter a type for which emscripten doesn't have suitable
      // typeinfo defined. Best-efforts match just in case.
      return ((asm["setTempRet0"](throwntype),thrown)|0);
    }function ___gxx_personality_v0() {
    }

  
  var ___cxa_caught_exceptions=[];function ___cxa_begin_catch(ptr) {
      __ZSt18uncaught_exceptionv.uncaught_exception--;
      ___cxa_caught_exceptions.push(___cxa_last_thrown_exception);
      return ptr;
    }

  
  
  function ___cxa_free_exception(ptr) {
      try {
        return _free(ptr - ___cxa_exception_header_size);
      } catch(e) { // XXX FIXME
      }
    }function ___cxa_end_catch() {
      if (___cxa_end_catch.rethrown) {
        ___cxa_end_catch.rethrown = false;
        return;
      }
      // Clear state flag.
      asm['setThrew'](0);
      // Call destructor if one is registered then clear it.
      var ptr = ___cxa_caught_exceptions.pop();
      if (ptr) {
        header = ptr - ___cxa_exception_header_size;
        var destructor = HEAP32[(((header)+(4))>>2)];
        if (destructor) {
          Runtime.dynCall('vi', destructor, [ptr]);
          HEAP32[(((header)+(4))>>2)]=0;
        }
        ___cxa_free_exception(ptr);
        ___cxa_last_thrown_exception = 0;
      }
    }function ___cxa_rethrow() {
      ___cxa_end_catch.rethrown = true;
      var ptr = ___cxa_caught_exceptions.pop();
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }


  
  function _exit(status) {
      __exit(status);
    }function __ZSt9terminatev() {
      _exit(-1234);
    }


  function ___cxa_call_unexpected(exception) {
      Module.printErr('Unexpected exception thrown, this is not properly supported - aborting');
      ABORT = true;
      throw exception;
    }

  function _strrchr(ptr, chr) {
      var ptr2 = ptr + _strlen(ptr);
      do {
        if (HEAP8[(ptr2)] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }

  function ___cxa_allocate_exception(size) {
      var ptr = _malloc(size + ___cxa_exception_header_size);
      return ptr + ___cxa_exception_header_size;
    }

  function ___cxa_throw(ptr, type, destructor) {
      if (!___cxa_throw.initialized) {
        try {
          HEAP32[((__ZTVN10__cxxabiv119__pointer_type_infoE)>>2)]=0; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv117__class_type_infoE)>>2)]=1; // Workaround for libcxxabi integration bug
        } catch(e){}
        try {
          HEAP32[((__ZTVN10__cxxabiv120__si_class_type_infoE)>>2)]=2; // Workaround for libcxxabi integration bug
        } catch(e){}
        ___cxa_throw.initialized = true;
      }
      var header = ptr - ___cxa_exception_header_size;
      HEAP32[((header)>>2)]=type;
      HEAP32[(((header)+(4))>>2)]=destructor;
      ___cxa_last_thrown_exception = ptr;
      if (!("uncaught_exception" in __ZSt18uncaught_exceptionv)) {
        __ZSt18uncaught_exceptionv.uncaught_exception = 1;
      } else {
        __ZSt18uncaught_exceptionv.uncaught_exception++;
      }
      throw ptr + " - Exception catching is disabled, this exception cannot be caught. Compile with -s DISABLE_EXCEPTION_CATCHING=0 or DISABLE_EXCEPTION_CATCHING=2 to catch.";
    }

  var _fseeko=_fseek;

  var _ftello=_ftell;

  function _htonl(value) {
      return ((value & 0xff) << 24) + ((value & 0xff00) << 8) +
             ((value & 0xff0000) >>> 8) + ((value & 0xff000000) >>> 24);
    }


  function _atoi(ptr) {
      return _strtol(ptr, null, 10);
    }

  var _atol=_atoi;

  function _round(x) {
      return (x < 0) ? -Math.round(-x) : Math.round(x);
    }

  function _signal(sig, func) {
      // TODO
      return 0;
    }

  function _popen(command, mode) {
      // FILE *popen(const char *command, const char *mode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/popen.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.EMFILE);
      return 0;
    }

  function _pclose(stream) {
      // int pclose(FILE *stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/pclose.html
      // We allow only one process, so no pipes.
      ___setErrNo(ERRNO_CODES.ECHILD);
      return -1;
    }

  
  function __isLeapYear(year) {
        return year%4 === 0 && (year%100 !== 0 || year%400 === 0);
    }
  
  function __arraySum(array, index) {
      var sum = 0;
      for (var i = 0; i <= index; sum += array[i++]);
      return sum;
    }
  
  
  var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];
  
  var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date, days) {
      var newDate = new Date(date.getTime());
      while(days > 0) {
        var leap = __isLeapYear(newDate.getFullYear());
        var currentMonth = newDate.getMonth();
        var daysInCurrentMonth = (leap ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR)[currentMonth];
  
        if (days > daysInCurrentMonth-newDate.getDate()) {
          // we spill over to next month
          days -= (daysInCurrentMonth-newDate.getDate()+1);
          newDate.setDate(1);
          if (currentMonth < 11) {
            newDate.setMonth(currentMonth+1)
          } else {
            newDate.setMonth(0);
            newDate.setFullYear(newDate.getFullYear()+1);
          }
        } else {
          // we stay in current month 
          newDate.setDate(newDate.getDate()+days);
          return newDate;
        }
      }
  
      return newDate;
    }function _strftime(s, maxsize, format, tm) {
      // size_t strftime(char *restrict s, size_t maxsize, const char *restrict format, const struct tm *restrict timeptr);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/strftime.html
      
      var date = {
        tm_sec: HEAP32[((tm)>>2)],
        tm_min: HEAP32[(((tm)+(4))>>2)],
        tm_hour: HEAP32[(((tm)+(8))>>2)],
        tm_mday: HEAP32[(((tm)+(12))>>2)],
        tm_mon: HEAP32[(((tm)+(16))>>2)],
        tm_year: HEAP32[(((tm)+(20))>>2)],
        tm_wday: HEAP32[(((tm)+(24))>>2)],
        tm_yday: HEAP32[(((tm)+(28))>>2)],
        tm_isdst: HEAP32[(((tm)+(32))>>2)]
      };
  
      var pattern = Pointer_stringify(format);
  
      // expand format
      var EXPANSION_RULES_1 = {
        '%c': '%a %b %d %H:%M:%S %Y',     // Replaced by the locale's appropriate date and time representation - e.g., Mon Aug  3 14:02:01 2013
        '%D': '%m/%d/%y',                 // Equivalent to %m / %d / %y
        '%F': '%Y-%m-%d',                 // Equivalent to %Y - %m - %d
        '%h': '%b',                       // Equivalent to %b
        '%r': '%I:%M:%S %p',              // Replaced by the time in a.m. and p.m. notation
        '%R': '%H:%M',                    // Replaced by the time in 24-hour notation
        '%T': '%H:%M:%S',                 // Replaced by the time
        '%x': '%m/%d/%y',                 // Replaced by the locale's appropriate date representation
        '%X': '%H:%M:%S',                 // Replaced by the locale's appropriate date representation
      };
      for (var rule in EXPANSION_RULES_1) {
        pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_1[rule]);
      }
  
      var WEEKDAYS = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
      var MONTHS = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
  
      function leadingSomething(value, digits, character) {
        var str = typeof value === 'number' ? value.toString() : (value || '');
        while (str.length < digits) {
          str = character[0]+str;
        }
        return str;
      };
  
      function leadingNulls(value, digits) {
        return leadingSomething(value, digits, '0');
      };
  
      function compareByDay(date1, date2) {
        function sgn(value) {
          return value < 0 ? -1 : (value > 0 ? 1 : 0);
        };
  
        var compare;
        if ((compare = sgn(date1.getFullYear()-date2.getFullYear())) === 0) {
          if ((compare = sgn(date1.getMonth()-date2.getMonth())) === 0) {
            compare = sgn(date1.getDate()-date2.getDate());
          }
        }
        return compare;
      };
  
      function getFirstWeekStartDate(janFourth) {
          switch (janFourth.getDay()) {
            case 0: // Sunday
              return new Date(janFourth.getFullYear()-1, 11, 29);
            case 1: // Monday
              return janFourth;
            case 2: // Tuesday
              return new Date(janFourth.getFullYear(), 0, 3);
            case 3: // Wednesday
              return new Date(janFourth.getFullYear(), 0, 2);
            case 4: // Thursday
              return new Date(janFourth.getFullYear(), 0, 1);
            case 5: // Friday
              return new Date(janFourth.getFullYear()-1, 11, 31);
            case 6: // Saturday
              return new Date(janFourth.getFullYear()-1, 11, 30);
          }
      };
  
      function getWeekBasedYear(date) {
          var thisDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          var janFourthThisYear = new Date(thisDate.getFullYear(), 0, 4);
          var janFourthNextYear = new Date(thisDate.getFullYear()+1, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          if (compareByDay(firstWeekStartThisYear, thisDate) <= 0) {
            // this date is after the start of the first week of this year
            if (compareByDay(firstWeekStartNextYear, thisDate) <= 0) {
              return thisDate.getFullYear()+1;
            } else {
              return thisDate.getFullYear();
            }
          } else { 
            return thisDate.getFullYear()-1;
          }
      };
  
      var EXPANSION_RULES_2 = {
        '%a': function(date) {
          return WEEKDAYS[date.tm_wday].substring(0,3);
        },
        '%A': function(date) {
          return WEEKDAYS[date.tm_wday];
        },
        '%b': function(date) {
          return MONTHS[date.tm_mon].substring(0,3);
        },
        '%B': function(date) {
          return MONTHS[date.tm_mon];
        },
        '%C': function(date) {
          var year = date.tm_year+1900;
          return leadingNulls(Math.floor(year/100),2);
        },
        '%d': function(date) {
          return leadingNulls(date.tm_mday, 2);
        },
        '%e': function(date) {
          return leadingSomething(date.tm_mday, 2, ' ');
        },
        '%g': function(date) {
          // %g, %G, and %V give values according to the ISO 8601:2000 standard week-based year. 
          // In this system, weeks begin on a Monday and week 1 of the year is the week that includes 
          // January 4th, which is also the week that includes the first Thursday of the year, and 
          // is also the first week that contains at least four days in the year. 
          // If the first Monday of January is the 2nd, 3rd, or 4th, the preceding days are part of 
          // the last week of the preceding year; thus, for Saturday 2nd January 1999, 
          // %G is replaced by 1998 and %V is replaced by 53. If December 29th, 30th, 
          // or 31st is a Monday, it and any following days are part of week 1 of the following year. 
          // Thus, for Tuesday 30th December 1997, %G is replaced by 1998 and %V is replaced by 01.
          
          return getWeekBasedYear(date).toString().substring(2);
        },
        '%G': function(date) {
          return getWeekBasedYear(date);
        },
        '%H': function(date) {
          return leadingNulls(date.tm_hour, 2);
        },
        '%I': function(date) {
          return leadingNulls(date.tm_hour < 13 ? date.tm_hour : date.tm_hour-12, 2);
        },
        '%j': function(date) {
          // Day of the year (001-366)
          return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, date.tm_mon-1), 3);
        },
        '%m': function(date) {
          return leadingNulls(date.tm_mon+1, 2);
        },
        '%M': function(date) {
          return leadingNulls(date.tm_min, 2);
        },
        '%n': function() {
          return '\n';
        },
        '%p': function(date) {
          if (date.tm_hour > 0 && date.tm_hour < 13) {
            return 'AM';
          } else {
            return 'PM';
          }
        },
        '%S': function(date) {
          return leadingNulls(date.tm_sec, 2);
        },
        '%t': function() {
          return '\t';
        },
        '%u': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay() || 7;
        },
        '%U': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Sunday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year+1900, 0, 1);
          var firstSunday = janFirst.getDay() === 0 ? janFirst : __addDays(janFirst, 7-janFirst.getDay());
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
          
          // is target date after the first Sunday?
          if (compareByDay(firstSunday, endDate) < 0) {
            // calculate difference in days between first Sunday and endDate
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstSundayUntilEndJanuary = 31-firstSunday.getDate();
            var days = firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
  
          return compareByDay(firstSunday, janFirst) === 0 ? '01': '00';
        },
        '%V': function(date) {
          // Replaced by the week number of the year (Monday as the first day of the week) 
          // as a decimal number [01,53]. If the week containing 1 January has four 
          // or more days in the new year, then it is considered week 1. 
          // Otherwise, it is the last week of the previous year, and the next week is week 1. 
          // Both January 4th and the first Thursday of January are always in week 1. [ tm_year, tm_wday, tm_yday]
          var janFourthThisYear = new Date(date.tm_year+1900, 0, 4);
          var janFourthNextYear = new Date(date.tm_year+1901, 0, 4);
  
          var firstWeekStartThisYear = getFirstWeekStartDate(janFourthThisYear);
          var firstWeekStartNextYear = getFirstWeekStartDate(janFourthNextYear);
  
          var endDate = __addDays(new Date(date.tm_year+1900, 0, 1), date.tm_yday);
  
          if (compareByDay(endDate, firstWeekStartThisYear) < 0) {
            // if given date is before this years first week, then it belongs to the 53rd week of last year
            return '53';
          } 
  
          if (compareByDay(firstWeekStartNextYear, endDate) <= 0) {
            // if given date is after next years first week, then it belongs to the 01th week of next year
            return '01';
          }
  
          // given date is in between CW 01..53 of this calendar year
          var daysDifference;
          if (firstWeekStartThisYear.getFullYear() < date.tm_year+1900) {
            // first CW of this year starts last year
            daysDifference = date.tm_yday+32-firstWeekStartThisYear.getDate()
          } else {
            // first CW of this year starts this year
            daysDifference = date.tm_yday+1-firstWeekStartThisYear.getDate();
          }
          return leadingNulls(Math.ceil(daysDifference/7), 2);
        },
        '%w': function(date) {
          var day = new Date(date.tm_year+1900, date.tm_mon+1, date.tm_mday, 0, 0, 0, 0);
          return day.getDay();
        },
        '%W': function(date) {
          // Replaced by the week number of the year as a decimal number [00,53]. 
          // The first Monday of January is the first day of week 1; 
          // days in the new year before this are in week 0. [ tm_year, tm_wday, tm_yday]
          var janFirst = new Date(date.tm_year, 0, 1);
          var firstMonday = janFirst.getDay() === 1 ? janFirst : __addDays(janFirst, janFirst.getDay() === 0 ? 1 : 7-janFirst.getDay()+1);
          var endDate = new Date(date.tm_year+1900, date.tm_mon, date.tm_mday);
  
          // is target date after the first Monday?
          if (compareByDay(firstMonday, endDate) < 0) {
            var februaryFirstUntilEndMonth = __arraySum(__isLeapYear(endDate.getFullYear()) ? __MONTH_DAYS_LEAP : __MONTH_DAYS_REGULAR, endDate.getMonth()-1)-31;
            var firstMondayUntilEndJanuary = 31-firstMonday.getDate();
            var days = firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();
            return leadingNulls(Math.ceil(days/7), 2);
          }
          return compareByDay(firstMonday, janFirst) === 0 ? '01': '00';
        },
        '%y': function(date) {
          // Replaced by the last two digits of the year as a decimal number [00,99]. [ tm_year]
          return (date.tm_year+1900).toString().substring(2);
        },
        '%Y': function(date) {
          // Replaced by the year as a decimal number (for example, 1997). [ tm_year]
          return date.tm_year+1900;
        },
        '%z': function(date) {
          // Replaced by the offset from UTC in the ISO 8601:2000 standard format ( +hhmm or -hhmm ),
          // or by no characters if no timezone is determinable. 
          // For example, "-0430" means 4 hours 30 minutes behind UTC (west of Greenwich). 
          // If tm_isdst is zero, the standard time offset is used. 
          // If tm_isdst is greater than zero, the daylight savings time offset is used. 
          // If tm_isdst is negative, no characters are returned. 
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%Z': function(date) {
          // Replaced by the timezone name or abbreviation, or by no bytes if no timezone information exists. [ tm_isdst]
          // FIXME: we cannot determine time zone (or can we?)
          return '';
        },
        '%%': function() {
          return '%';
        }
      };
      for (var rule in EXPANSION_RULES_2) {
        if (pattern.indexOf(rule) >= 0) {
          pattern = pattern.replace(new RegExp(rule, 'g'), EXPANSION_RULES_2[rule](date));
        }
      }
  
      var bytes = intArrayFromString(pattern, false);
      if (bytes.length > maxsize) {
        return 0;
      } 
  
      writeArrayToMemory(bytes, s);
      return bytes.length-1;
    }

  
  var ___tm_current=allocate(44, "i8", ALLOC_STATIC);
  
  
  var ___tm_timezone=allocate(intArrayFromString("GMT"), "i8", ALLOC_STATIC);
  
  
  var _tzname=allocate(8, "i32*", ALLOC_STATIC);
  
  var _daylight=allocate(1, "i32*", ALLOC_STATIC);
  
  var _timezone=allocate(1, "i32*", ALLOC_STATIC);function _tzset() {
      // TODO: Use (malleable) environment variables instead of system settings.
      if (_tzset.called) return;
      _tzset.called = true;
  
      HEAP32[((_timezone)>>2)]=-(new Date()).getTimezoneOffset() * 60;
  
      var winter = new Date(2000, 0, 1);
      var summer = new Date(2000, 6, 1);
      HEAP32[((_daylight)>>2)]=Number(winter.getTimezoneOffset() != summer.getTimezoneOffset());
  
      var winterName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | winter.toString().match(/\(([A-Z]+)\)/)[1];
      var summerName = 'GMT'; // XXX do not rely on browser timezone info, it is very unpredictable | summer.toString().match(/\(([A-Z]+)\)/)[1];
      var winterNamePtr = allocate(intArrayFromString(winterName), 'i8', ALLOC_NORMAL);
      var summerNamePtr = allocate(intArrayFromString(summerName), 'i8', ALLOC_NORMAL);
      HEAP32[((_tzname)>>2)]=winterNamePtr;
      HEAP32[(((_tzname)+(4))>>2)]=summerNamePtr;
    }function _localtime_r(time, tmPtr) {
      _tzset();
      var date = new Date(HEAP32[((time)>>2)]*1000);
      HEAP32[((tmPtr)>>2)]=date.getSeconds();
      HEAP32[(((tmPtr)+(4))>>2)]=date.getMinutes();
      HEAP32[(((tmPtr)+(8))>>2)]=date.getHours();
      HEAP32[(((tmPtr)+(12))>>2)]=date.getDate();
      HEAP32[(((tmPtr)+(16))>>2)]=date.getMonth();
      HEAP32[(((tmPtr)+(20))>>2)]=date.getFullYear()-1900;
      HEAP32[(((tmPtr)+(24))>>2)]=date.getDay();
  
      var start = new Date(date.getFullYear(), 0, 1);
      var yday = Math.floor((date.getTime() - start.getTime()) / (1000 * 60 * 60 * 24));
      HEAP32[(((tmPtr)+(28))>>2)]=yday;
      HEAP32[(((tmPtr)+(36))>>2)]=start.getTimezoneOffset() * 60;
  
      var dst = Number(start.getTimezoneOffset() != date.getTimezoneOffset());
      HEAP32[(((tmPtr)+(32))>>2)]=dst;
  
      HEAP32[(((tmPtr)+(40))>>2)]=___tm_timezone;
  
      return tmPtr;
    }function _localtime(time) {
      return _localtime_r(time, ___tm_current);
    }

  function _system(command) {
      // int system(const char *command);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/system.html
      // Can't call external programs.
      ___setErrNo(ERRNO_CODES.EAGAIN);
      return -1;
    }

  function _asprintf(s, format, varargs) {
      return _sprintf(-s, format, varargs);
    }


  function _strstr(ptr1, ptr2) {
      var check = 0, start;
      do {
        if (!check) {
          start = ptr1;
          check = ptr2;
        }
        var curr1 = HEAP8[((ptr1++)|0)];
        var curr2 = HEAP8[((check++)|0)];
        if (curr2 == 0) return start;
        if (curr2 != curr1) {
          // rewind to one character after start, to find ez in eeez
          ptr1 = start + 1;
          check = 0;
        }
      } while (curr1);
      return 0;
    }

  var _putc=_fputc;

  function _isatty(fildes) {
      // int isatty(int fildes);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/isatty.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return 0;
      }
      // HACK - implement tcgetattr
      if (!stream.tty) {
        ___setErrNo(ERRNO_CODES.ENOTTY);
        return 0;
      }
      return 1;
    }


  var _getc=_fgetc;

  function _abort() {
      Module['abort']();
    }

  function _unlink(path) {
      // int unlink(const char *path);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/unlink.html
      path = Pointer_stringify(path);
      try {
        FS.unlink(path);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _truncate(path, length) {
      // int truncate(const char *path, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/truncate.html
      // NOTE: The path argument may be a string, to simplify ftruncate().
      if (typeof path !== 'string') path = Pointer_stringify(path);
      try {
        FS.truncate(path, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _ftruncate(fildes, length) {
      // int ftruncate(int fildes, off_t length);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/ftruncate.html
      try {
        FS.ftruncate(fildes, length);
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }

  
  function _stat(path, buf, dontResolveLastLink) {
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/stat.html
      // int stat(const char *path, struct stat *buf);
      // NOTE: dontResolveLastLink is a shortcut for lstat(). It should never be
      //       used in client code.
      path = typeof path !== 'string' ? Pointer_stringify(path) : path;
      try {
        var stat = dontResolveLastLink ? FS.lstat(path) : FS.stat(path);
        HEAP32[((buf)>>2)]=stat.dev;
        HEAP32[(((buf)+(4))>>2)]=0;
        HEAP32[(((buf)+(8))>>2)]=stat.ino;
        HEAP32[(((buf)+(12))>>2)]=stat.mode;
        HEAP32[(((buf)+(16))>>2)]=stat.nlink;
        HEAP32[(((buf)+(20))>>2)]=stat.uid;
        HEAP32[(((buf)+(24))>>2)]=stat.gid;
        HEAP32[(((buf)+(28))>>2)]=stat.rdev;
        HEAP32[(((buf)+(32))>>2)]=0;
        HEAP32[(((buf)+(36))>>2)]=stat.size;
        HEAP32[(((buf)+(40))>>2)]=4096;
        HEAP32[(((buf)+(44))>>2)]=stat.blocks;
        HEAP32[(((buf)+(48))>>2)]=Math.floor(stat.atime.getTime() / 1000);
        HEAP32[(((buf)+(52))>>2)]=0;
        HEAP32[(((buf)+(56))>>2)]=Math.floor(stat.mtime.getTime() / 1000);
        HEAP32[(((buf)+(60))>>2)]=0;
        HEAP32[(((buf)+(64))>>2)]=Math.floor(stat.ctime.getTime() / 1000);
        HEAP32[(((buf)+(68))>>2)]=0;
        HEAP32[(((buf)+(72))>>2)]=stat.ino;
        return 0;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
    }function _fstat(fildes, buf) {
      // int fstat(int fildes, struct stat *buf);
      // http://pubs.opengroup.org/onlinepubs/7908799/xsh/fstat.html
      var stream = FS.getStream(fildes);
      if (!stream) {
        ___setErrNo(ERRNO_CODES.EBADF);
        return -1;
      }
      return _stat(stream.path, buf);
    }

  function _freopen(filename, mode, stream) {
      // FILE *freopen(const char *restrict filename, const char *restrict mode, FILE *restrict stream);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/freopen.html
      if (!filename) {
        var streamObj = FS.getStreamFromPtr(stream);
        if (!streamObj) {
          ___setErrNo(ERRNO_CODES.EBADF);
          return 0;
        }
        if (_freopen.buffer) _free(_freopen.buffer);
        filename = intArrayFromString(streamObj.path);
        filename = allocate(filename, 'i8', ALLOC_NORMAL);
      }
      _fclose(stream);
      return _fopen(filename, mode);
    }


  function _access(path, amode) {
      // int access(const char *path, int amode);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/access.html
      path = Pointer_stringify(path);
      if (amode & ~7) {
        // need a valid mode
        ___setErrNo(ERRNO_CODES.EINVAL);
        return -1;
      }
      var node;
      try {
        var lookup = FS.lookupPath(path, { follow: true });
        node = lookup.node;
      } catch (e) {
        FS.handleFSError(e);
        return -1;
      }
      var perms = '';
      if (amode & 4) perms += 'r';
      if (amode & 2) perms += 'w';
      if (amode & 1) perms += 'x';
      if (perms /* otherwise, they've just passed F_OK */ && FS.nodePermissions(node, perms)) {
        ___setErrNo(ERRNO_CODES.EACCES);
        return -1;
      }
      return 0;
    }

  
  function _tmpnam(s, dir, prefix) {
      // char *tmpnam(char *s);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpnam.html
      // NOTE: The dir and prefix arguments are for internal use only.
      var folder = FS.findObject(dir || '/tmp');
      if (!folder || !folder.isFolder) {
        dir = '/tmp';
        folder = FS.findObject(dir);
        if (!folder || !folder.isFolder) return 0;
      }
      var name = prefix || 'file';
      do {
        name += String.fromCharCode(65 + Math.floor(Math.random() * 25));
      } while (name in folder.contents);
      var result = dir + '/' + name;
      if (!_tmpnam.buffer) _tmpnam.buffer = _malloc(256);
      if (!s) s = _tmpnam.buffer;
      writeAsciiToMemory(result, s);
      return s;
    }function _tmpfile() {
      // FILE *tmpfile(void);
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/tmpfile.html
      // TODO: Delete the created file on closing.
      if (_tmpfile.mode) {
        _tmpfile.mode = allocate(intArrayFromString('w+'), 'i8', ALLOC_NORMAL);
      }
      return _fopen(_tmpnam(0), _tmpfile.mode);
    }


  function ___cxa_guard_acquire(variable) {
      if (!HEAP8[(variable)]) { // ignore SAFE_HEAP stuff because llvm mixes i64 and i8 here
        HEAP8[(variable)]=1;
        return 1;
      }
      return 0;
    }

  function ___cxa_guard_release() {}

  function _pthread_cond_broadcast() {
      return 0;
    }

  function _pthread_cond_wait() {
      return 0;
    }

  
  function _atexit(func, arg) {
      __ATEXIT__.unshift({ func: func, arg: arg });
    }var ___cxa_atexit=_atexit;

  function _llvm_lifetime_start() {}

  function _llvm_lifetime_end() {}

  function __ZNSt9exceptionD2Ev() {}

  function _sysconf(name) {
      // long sysconf(int name);
      // http://pubs.opengroup.org/onlinepubs/009695399/functions/sysconf.html
      switch(name) {
        case 30: return PAGE_SIZE;
        case 132:
        case 133:
        case 12:
        case 137:
        case 138:
        case 15:
        case 235:
        case 16:
        case 17:
        case 18:
        case 19:
        case 20:
        case 149:
        case 13:
        case 10:
        case 236:
        case 153:
        case 9:
        case 21:
        case 22:
        case 159:
        case 154:
        case 14:
        case 77:
        case 78:
        case 139:
        case 80:
        case 81:
        case 79:
        case 82:
        case 68:
        case 67:
        case 164:
        case 11:
        case 29:
        case 47:
        case 48:
        case 95:
        case 52:
        case 51:
        case 46:
          return 200809;
        case 27:
        case 246:
        case 127:
        case 128:
        case 23:
        case 24:
        case 160:
        case 161:
        case 181:
        case 182:
        case 242:
        case 183:
        case 184:
        case 243:
        case 244:
        case 245:
        case 165:
        case 178:
        case 179:
        case 49:
        case 50:
        case 168:
        case 169:
        case 175:
        case 170:
        case 171:
        case 172:
        case 97:
        case 76:
        case 32:
        case 173:
        case 35:
          return -1;
        case 176:
        case 177:
        case 7:
        case 155:
        case 8:
        case 157:
        case 125:
        case 126:
        case 92:
        case 93:
        case 129:
        case 130:
        case 131:
        case 94:
        case 91:
          return 1;
        case 74:
        case 60:
        case 69:
        case 70:
        case 4:
          return 1024;
        case 31:
        case 42:
        case 72:
          return 32;
        case 87:
        case 26:
        case 33:
          return 2147483647;
        case 34:
        case 1:
          return 47839;
        case 38:
        case 36:
          return 99;
        case 43:
        case 37:
          return 2048;
        case 0: return 2097152;
        case 3: return 65536;
        case 28: return 32768;
        case 44: return 32767;
        case 75: return 16384;
        case 39: return 1000;
        case 89: return 700;
        case 71: return 256;
        case 40: return 255;
        case 2: return 100;
        case 180: return 64;
        case 25: return 20;
        case 5: return 16;
        case 6: return 6;
        case 73: return 4;
        case 84: return 1;
      }
      ___setErrNo(ERRNO_CODES.EINVAL);
      return -1;
    }

  function ___cxa_guard_abort() {}

  
  function _isxdigit(chr) {
      return (chr >= 48 && chr <= 57) ||
             (chr >= 97 && chr <= 102) ||
             (chr >= 65 && chr <= 70);
    }function _isxdigit_l(chr) {
      return _isxdigit(chr); // no locale support yet
    }

  
  function _isdigit(chr) {
      return chr >= 48 && chr <= 57;
    }function _isdigit_l(chr) {
      return _isdigit(chr); // no locale support yet
    }

  function _sscanf(s, format, varargs) {
      // int sscanf(const char *restrict s, const char *restrict format, ... );
      // http://pubs.opengroup.org/onlinepubs/000095399/functions/scanf.html
      var index = 0;
      function get() { return HEAP8[(((s)+(index++))|0)]; };
      function unget() { index--; };
      return __scanString(format, get, unget, varargs);
    }

  function _catopen(name, oflag) {
      // nl_catd catopen (const char *name, int oflag)
      return -1;
    }

  function _catgets(catd, set_id, msg_id, s) {
      // char *catgets (nl_catd catd, int set_id, int msg_id, const char *s)
      return s;
    }

  function _catclose(catd) {
      // int catclose (nl_catd catd)
      return 0;
    }

  function _newlocale(mask, locale, base) {
      return _malloc(4);
    }

  function _freelocale(locale) {
      _free(locale);
    }

  function ___ctype_b_loc() {
      // http://refspecs.freestandards.org/LSB_3.0.0/LSB-Core-generic/LSB-Core-generic/baselib---ctype-b-loc.html
      var me = ___ctype_b_loc;
      if (!me.ret) {
        var values = [
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,8195,8194,8194,8194,8194,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24577,49156,49156,49156,
          49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,49156,55304,55304,55304,55304,55304,55304,55304,55304,
          55304,55304,49156,49156,49156,49156,49156,49156,49156,54536,54536,54536,54536,54536,54536,50440,50440,50440,50440,50440,
          50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,50440,49156,49156,49156,49156,49156,
          49156,54792,54792,54792,54792,54792,54792,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,50696,
          50696,50696,50696,50696,50696,50696,50696,49156,49156,49156,49156,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
        ];
        var i16size = 2;
        var arr = _malloc(values.length * i16size);
        for (var i = 0; i < values.length; i++) {
          HEAP16[(((arr)+(i * i16size))>>1)]=values[i];
        }
        me.ret = allocate([arr + 128 * i16size], 'i16*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_tolower_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-tolower-loc.html
      var me = ___ctype_tolower_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,91,92,93,94,95,96,97,98,99,100,101,102,103,
          104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,
          134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,
          164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,
          194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,
          224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,
          254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function ___ctype_toupper_loc() {
      // http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/libutil---ctype-toupper-loc.html
      var me = ___ctype_toupper_loc;
      if (!me.ret) {
        var values = [
          128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,
          158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,
          188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,
          218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,
          248,249,250,251,252,253,254,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,
          33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,
          73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
          81,82,83,84,85,86,87,88,89,90,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,
          145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,
          175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,
          205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,
          235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255
        ];
        var i32size = 4;
        var arr = _malloc(values.length * i32size);
        for (var i = 0; i < values.length; i++) {
          HEAP32[(((arr)+(i * i32size))>>2)]=values[i];
        }
        me.ret = allocate([arr + 128 * i32size], 'i32*', ALLOC_NORMAL);
      }
      return me.ret;
    }

  function _strftime_l(s, maxsize, format, tm) {
      return _strftime(s, maxsize, format, tm); // no locale support yet
    }

  
  
  function __parseInt64(str, endptr, base, min, max, unsign) {
      var isNegative = false;
      // Skip space.
      while (_isspace(HEAP8[(str)])) str++;
  
      // Check for a plus/minus sign.
      if (HEAP8[(str)] == 45) {
        str++;
        isNegative = true;
      } else if (HEAP8[(str)] == 43) {
        str++;
      }
  
      // Find base.
      var ok = false;
      var finalBase = base;
      if (!finalBase) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            finalBase = 16;
            str += 2;
          } else {
            finalBase = 8;
            ok = true; // we saw an initial zero, perhaps the entire thing is just "0"
          }
        }
      } else if (finalBase==16) {
        if (HEAP8[(str)] == 48) {
          if (HEAP8[((str+1)|0)] == 120 ||
              HEAP8[((str+1)|0)] == 88) {
            str += 2;
          }
        }
      }
      if (!finalBase) finalBase = 10;
      var start = str;
  
      // Get digits.
      var chr;
      while ((chr = HEAP8[(str)]) != 0) {
        var digit = parseInt(String.fromCharCode(chr), finalBase);
        if (isNaN(digit)) {
          break;
        } else {
          str++;
          ok = true;
        }
      }
  
      if (!ok) {
        ___setErrNo(ERRNO_CODES.EINVAL);
        return ((asm["setTempRet0"](0),0)|0);
      }
  
      // Set end pointer.
      if (endptr) {
        HEAP32[((endptr)>>2)]=str;
      }
  
      try {
        var numberString = isNegative ? '-'+Pointer_stringify(start, str - start) : Pointer_stringify(start, str - start);
        i64Math.fromString(numberString, finalBase, min, max, unsign);
      } catch(e) {
        ___setErrNo(ERRNO_CODES.ERANGE); // not quite correct
      }
  
      return ((asm["setTempRet0"](((HEAP32[(((tempDoublePtr)+(4))>>2)])|0)),((HEAP32[((tempDoublePtr)>>2)])|0))|0);
    }function _strtoull(str, endptr, base) {
      return __parseInt64(str, endptr, base, 0, '18446744073709551615', true);  // ULONG_MAX.
    }function _strtoull_l(str, endptr, base) {
      return _strtoull(str, endptr, base); // no locale support yet
    }

  
  function _strtoll(str, endptr, base) {
      return __parseInt64(str, endptr, base, '-9223372036854775808', '9223372036854775807');  // LLONG_MIN, LLONG_MAX.
    }function _strtoll_l(str, endptr, base) {
      return _strtoll(str, endptr, base); // no locale support yet
    }

  function _uselocale(locale) {
      return 0;
    }

  function _vasprintf(s, format, va_arg) {
      return _asprintf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _vsscanf(s, format, va_arg) {
      return _sscanf(s, format, HEAP32[((va_arg)>>2)]);
    }

  function _isblank(chr) {
      return chr == 32 || chr == 9;
    }

  function _sbrk(bytes) {
      // Implement a Linux-like 'memory area' for our 'process'.
      // Changes the size of the memory area by |bytes|; returns the
      // address of the previous top ('break') of the memory area
      // We control the "dynamic" memory - DYNAMIC_BASE to DYNAMICTOP
      var self = _sbrk;
      if (!self.called) {
        DYNAMICTOP = alignMemoryPage(DYNAMICTOP); // make sure we start out aligned
        self.called = true;
        assert(Runtime.dynamicAlloc);
        self.alloc = Runtime.dynamicAlloc;
        Runtime.dynamicAlloc = function() { abort('cannot dynamically allocate, sbrk now has control') };
      }
      var ret = DYNAMICTOP;
      if (bytes != 0) self.alloc(bytes);
      return ret;  // Previous break location.
    }

  
  function _copysign(a, b) {
      return __reallyNegative(a) === __reallyNegative(b) ? a : -a;
    }var _copysignl=_copysign;

  
  function _fmod(x, y) {
      return x % y;
    }var _fmodl=_fmod;






  var Browser={mainLoop:{scheduler:null,method:"",shouldPause:false,paused:false,queue:[],pause:function () {
          Browser.mainLoop.shouldPause = true;
        },resume:function () {
          if (Browser.mainLoop.paused) {
            Browser.mainLoop.paused = false;
            Browser.mainLoop.scheduler();
          }
          Browser.mainLoop.shouldPause = false;
        },updateStatus:function () {
          if (Module['setStatus']) {
            var message = Module['statusMessage'] || 'Please wait...';
            var remaining = Browser.mainLoop.remainingBlockers;
            var expected = Browser.mainLoop.expectedBlockers;
            if (remaining) {
              if (remaining < expected) {
                Module['setStatus'](message + ' (' + (expected - remaining) + '/' + expected + ')');
              } else {
                Module['setStatus'](message);
              }
            } else {
              Module['setStatus']('');
            }
          }
        }},isFullScreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:function () {
        if (!Module["preloadPlugins"]) Module["preloadPlugins"] = []; // needs to exist even in workers
  
        if (Browser.initted || ENVIRONMENT_IS_WORKER) return;
        Browser.initted = true;
  
        try {
          new Blob();
          Browser.hasBlobConstructor = true;
        } catch(e) {
          Browser.hasBlobConstructor = false;
          console.log("warning: no blob constructor, cannot create blobs with mimetypes");
        }
        Browser.BlobBuilder = typeof MozBlobBuilder != "undefined" ? MozBlobBuilder : (typeof WebKitBlobBuilder != "undefined" ? WebKitBlobBuilder : (!Browser.hasBlobConstructor ? console.log("warning: no BlobBuilder") : null));
        Browser.URLObject = typeof window != "undefined" ? (window.URL ? window.URL : window.webkitURL) : undefined;
        if (!Module.noImageDecoding && typeof Browser.URLObject === 'undefined') {
          console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");
          Module.noImageDecoding = true;
        }
  
        // Support for plugins that can process preloaded files. You can add more of these to
        // your app by creating and appending to Module.preloadPlugins.
        //
        // Each plugin is asked if it can handle a file based on the file's name. If it can,
        // it is given the file's raw data. When it is done, it calls a callback with the file's
        // (possibly modified) data. For example, a plugin might decompress a file, or it
        // might create some side data structure for use later (like an Image element, etc.).
  
        var imagePlugin = {};
        imagePlugin['canHandle'] = function imagePlugin_canHandle(name) {
          return !Module.noImageDecoding && /\.(jpg|jpeg|png|bmp)$/i.test(name);
        };
        imagePlugin['handle'] = function imagePlugin_handle(byteArray, name, onload, onerror) {
          var b = null;
          if (Browser.hasBlobConstructor) {
            try {
              b = new Blob([byteArray], { type: Browser.getMimetype(name) });
              if (b.size !== byteArray.length) { // Safari bug #118630
                // Safari's Blob can only take an ArrayBuffer
                b = new Blob([(new Uint8Array(byteArray)).buffer], { type: Browser.getMimetype(name) });
              }
            } catch(e) {
              Runtime.warnOnce('Blob constructor present but fails: ' + e + '; falling back to blob builder');
            }
          }
          if (!b) {
            var bb = new Browser.BlobBuilder();
            bb.append((new Uint8Array(byteArray)).buffer); // we need to pass a buffer, and must copy the array to get the right data range
            b = bb.getBlob();
          }
          var url = Browser.URLObject.createObjectURL(b);
          var img = new Image();
          img.onload = function img_onload() {
            assert(img.complete, 'Image ' + name + ' could not be decoded');
            var canvas = document.createElement('canvas');
            canvas.width = img.width;
            canvas.height = img.height;
            var ctx = canvas.getContext('2d');
            ctx.drawImage(img, 0, 0);
            Module["preloadedImages"][name] = canvas;
            Browser.URLObject.revokeObjectURL(url);
            if (onload) onload(byteArray);
          };
          img.onerror = function img_onerror(event) {
            console.log('Image ' + url + ' could not be decoded');
            if (onerror) onerror();
          };
          img.src = url;
        };
        Module['preloadPlugins'].push(imagePlugin);
  
        var audioPlugin = {};
        audioPlugin['canHandle'] = function audioPlugin_canHandle(name) {
          return !Module.noAudioDecoding && name.substr(-4) in { '.ogg': 1, '.wav': 1, '.mp3': 1 };
        };
        audioPlugin['handle'] = function audioPlugin_handle(byteArray, name, onload, onerror) {
          var done = false;
          function finish(audio) {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = audio;
            if (onload) onload(byteArray);
          }
          function fail() {
            if (done) return;
            done = true;
            Module["preloadedAudios"][name] = new Audio(); // empty shim
            if (onerror) onerror();
          }
          if (Browser.hasBlobConstructor) {
            try {
              var b = new Blob([byteArray], { type: Browser.getMimetype(name) });
            } catch(e) {
              return fail();
            }
            var url = Browser.URLObject.createObjectURL(b); // XXX we never revoke this!
            var audio = new Audio();
            audio.addEventListener('canplaythrough', function() { finish(audio) }, false); // use addEventListener due to chromium bug 124926
            audio.onerror = function audio_onerror(event) {
              if (done) return;
              console.log('warning: browser could not fully decode audio ' + name + ', trying slower base64 approach');
              function encode64(data) {
                var BASE = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
                var PAD = '=';
                var ret = '';
                var leftchar = 0;
                var leftbits = 0;
                for (var i = 0; i < data.length; i++) {
                  leftchar = (leftchar << 8) | data[i];
                  leftbits += 8;
                  while (leftbits >= 6) {
                    var curr = (leftchar >> (leftbits-6)) & 0x3f;
                    leftbits -= 6;
                    ret += BASE[curr];
                  }
                }
                if (leftbits == 2) {
                  ret += BASE[(leftchar&3) << 4];
                  ret += PAD + PAD;
                } else if (leftbits == 4) {
                  ret += BASE[(leftchar&0xf) << 2];
                  ret += PAD;
                }
                return ret;
              }
              audio.src = 'data:audio/x-' + name.substr(-3) + ';base64,' + encode64(byteArray);
              finish(audio); // we don't wait for confirmation this worked - but it's worth trying
            };
            audio.src = url;
            // workaround for chrome bug 124926 - we do not always get oncanplaythrough or onerror
            Browser.safeSetTimeout(function() {
              finish(audio); // try to use it even though it is not necessarily ready to play
            }, 10000);
          } else {
            return fail();
          }
        };
        Module['preloadPlugins'].push(audioPlugin);
  
        // Canvas event setup
  
        var canvas = Module['canvas'];
        canvas.requestPointerLock = canvas['requestPointerLock'] ||
                                    canvas['mozRequestPointerLock'] ||
                                    canvas['webkitRequestPointerLock'];
        canvas.exitPointerLock = document['exitPointerLock'] ||
                                 document['mozExitPointerLock'] ||
                                 document['webkitExitPointerLock'] ||
                                 function(){}; // no-op if function does not exist
        canvas.exitPointerLock = canvas.exitPointerLock.bind(document);
  
        function pointerLockChange() {
          Browser.pointerLock = document['pointerLockElement'] === canvas ||
                                document['mozPointerLockElement'] === canvas ||
                                document['webkitPointerLockElement'] === canvas;
        }
  
        document.addEventListener('pointerlockchange', pointerLockChange, false);
        document.addEventListener('mozpointerlockchange', pointerLockChange, false);
        document.addEventListener('webkitpointerlockchange', pointerLockChange, false);
  
        if (Module['elementPointerLock']) {
          canvas.addEventListener("click", function(ev) {
            if (!Browser.pointerLock && canvas.requestPointerLock) {
              canvas.requestPointerLock();
              ev.preventDefault();
            }
          }, false);
        }
      },createContext:function (canvas, useWebGL, setInModule, webGLContextAttributes) {
        var ctx;
        try {
          if (useWebGL) {
            var contextAttributes = {
              antialias: false,
              alpha: false
            };
  
            if (webGLContextAttributes) {
              for (var attribute in webGLContextAttributes) {
                contextAttributes[attribute] = webGLContextAttributes[attribute];
              }
            }
  
  
            var errorInfo = '?';
            function onContextCreationError(event) {
              errorInfo = event.statusMessage || errorInfo;
            }
            canvas.addEventListener('webglcontextcreationerror', onContextCreationError, false);
            try {
              ['experimental-webgl', 'webgl'].some(function(webglId) {
                return ctx = canvas.getContext(webglId, contextAttributes);
              });
            } finally {
              canvas.removeEventListener('webglcontextcreationerror', onContextCreationError, false);
            }
          } else {
            ctx = canvas.getContext('2d');
          }
          if (!ctx) throw ':(';
        } catch (e) {
          Module.print('Could not create canvas: ' + [errorInfo, e]);
          return null;
        }
        if (useWebGL) {
          // Set the background of the WebGL canvas to black
          canvas.style.backgroundColor = "black";
  
          // Warn on context loss
          canvas.addEventListener('webglcontextlost', function(event) {
            alert('WebGL context lost. You will need to reload the page.');
          }, false);
        }
        if (setInModule) {
          GLctx = Module.ctx = ctx;
          Module.useWebGL = useWebGL;
          Browser.moduleContextCreatedCallbacks.forEach(function(callback) { callback() });
          Browser.init();
        }
        return ctx;
      },destroyContext:function (canvas, useWebGL, setInModule) {},fullScreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullScreen:function (lockPointer, resizeCanvas) {
        Browser.lockPointer = lockPointer;
        Browser.resizeCanvas = resizeCanvas;
        if (typeof Browser.lockPointer === 'undefined') Browser.lockPointer = true;
        if (typeof Browser.resizeCanvas === 'undefined') Browser.resizeCanvas = false;
  
        var canvas = Module['canvas'];
        function fullScreenChange() {
          Browser.isFullScreen = false;
          if ((document['webkitFullScreenElement'] || document['webkitFullscreenElement'] ||
               document['mozFullScreenElement'] || document['mozFullscreenElement'] ||
               document['fullScreenElement'] || document['fullscreenElement']) === canvas) {
            canvas.cancelFullScreen = document['cancelFullScreen'] ||
                                      document['mozCancelFullScreen'] ||
                                      document['webkitCancelFullScreen'];
            canvas.cancelFullScreen = canvas.cancelFullScreen.bind(document);
            if (Browser.lockPointer) canvas.requestPointerLock();
            Browser.isFullScreen = true;
            if (Browser.resizeCanvas) Browser.setFullScreenCanvasSize();
          } else if (Browser.resizeCanvas){
            Browser.setWindowedCanvasSize();
          }
          if (Module['onFullScreen']) Module['onFullScreen'](Browser.isFullScreen);
        }
  
        if (!Browser.fullScreenHandlersInstalled) {
          Browser.fullScreenHandlersInstalled = true;
          document.addEventListener('fullscreenchange', fullScreenChange, false);
          document.addEventListener('mozfullscreenchange', fullScreenChange, false);
          document.addEventListener('webkitfullscreenchange', fullScreenChange, false);
        }
  
        canvas.requestFullScreen = canvas['requestFullScreen'] ||
                                   canvas['mozRequestFullScreen'] ||
                                   (canvas['webkitRequestFullScreen'] ? function() { canvas['webkitRequestFullScreen'](Element['ALLOW_KEYBOARD_INPUT']) } : null);
        canvas.requestFullScreen();
      },requestAnimationFrame:function requestAnimationFrame(func) {
        if (typeof window === 'undefined') { // Provide fallback to setTimeout if window is undefined (e.g. in Node.js)
          setTimeout(func, 1000/60);
        } else {
          if (!window.requestAnimationFrame) {
            window.requestAnimationFrame = window['requestAnimationFrame'] ||
                                           window['mozRequestAnimationFrame'] ||
                                           window['webkitRequestAnimationFrame'] ||
                                           window['msRequestAnimationFrame'] ||
                                           window['oRequestAnimationFrame'] ||
                                           window['setTimeout'];
          }
          window.requestAnimationFrame(func);
        }
      },safeCallback:function (func) {
        return function() {
          if (!ABORT) return func.apply(null, arguments);
        };
      },safeRequestAnimationFrame:function (func) {
        return Browser.requestAnimationFrame(function() {
          if (!ABORT) func();
        });
      },safeSetTimeout:function (func, timeout) {
        return setTimeout(function() {
          if (!ABORT) func();
        }, timeout);
      },safeSetInterval:function (func, timeout) {
        return setInterval(function() {
          if (!ABORT) func();
        }, timeout);
      },getMimetype:function (name) {
        return {
          'jpg': 'image/jpeg',
          'jpeg': 'image/jpeg',
          'png': 'image/png',
          'bmp': 'image/bmp',
          'ogg': 'audio/ogg',
          'wav': 'audio/wav',
          'mp3': 'audio/mpeg'
        }[name.substr(name.lastIndexOf('.')+1)];
      },getUserMedia:function (func) {
        if(!window.getUserMedia) {
          window.getUserMedia = navigator['getUserMedia'] ||
                                navigator['mozGetUserMedia'];
        }
        window.getUserMedia(func);
      },getMovementX:function (event) {
        return event['movementX'] ||
               event['mozMovementX'] ||
               event['webkitMovementX'] ||
               0;
      },getMovementY:function (event) {
        return event['movementY'] ||
               event['mozMovementY'] ||
               event['webkitMovementY'] ||
               0;
      },getMouseWheelDelta:function (event) {
        return Math.max(-1, Math.min(1, event.type === 'DOMMouseScroll' ? event.detail : -event.wheelDelta));
      },mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,calculateMouseEvent:function (event) { // event should be mousemove, mousedown or mouseup
        if (Browser.pointerLock) {
          // When the pointer is locked, calculate the coordinates
          // based on the movement of the mouse.
          // Workaround for Firefox bug 764498
          if (event.type != 'mousemove' &&
              ('mozMovementX' in event)) {
            Browser.mouseMovementX = Browser.mouseMovementY = 0;
          } else {
            Browser.mouseMovementX = Browser.getMovementX(event);
            Browser.mouseMovementY = Browser.getMovementY(event);
          }
          
          // check if SDL is available
          if (typeof SDL != "undefined") {
          	Browser.mouseX = SDL.mouseX + Browser.mouseMovementX;
          	Browser.mouseY = SDL.mouseY + Browser.mouseMovementY;
          } else {
          	// just add the mouse delta to the current absolut mouse position
          	// FIXME: ideally this should be clamped against the canvas size and zero
          	Browser.mouseX += Browser.mouseMovementX;
          	Browser.mouseY += Browser.mouseMovementY;
          }        
        } else {
          // Otherwise, calculate the movement based on the changes
          // in the coordinates.
          var rect = Module["canvas"].getBoundingClientRect();
          var x, y;
          
          // Neither .scrollX or .pageXOffset are defined in a spec, but
          // we prefer .scrollX because it is currently in a spec draft.
          // (see: http://www.w3.org/TR/2013/WD-cssom-view-20131217/)
          var scrollX = ((typeof window.scrollX !== 'undefined') ? window.scrollX : window.pageXOffset);
          var scrollY = ((typeof window.scrollY !== 'undefined') ? window.scrollY : window.pageYOffset);
          if (event.type == 'touchstart' ||
              event.type == 'touchend' ||
              event.type == 'touchmove') {
            var t = event.touches.item(0);
            if (t) {
              x = t.pageX - (scrollX + rect.left);
              y = t.pageY - (scrollY + rect.top);
            } else {
              return;
            }
          } else {
            x = event.pageX - (scrollX + rect.left);
            y = event.pageY - (scrollY + rect.top);
          }
  
          // the canvas might be CSS-scaled compared to its backbuffer;
          // SDL-using content will want mouse coordinates in terms
          // of backbuffer units.
          var cw = Module["canvas"].width;
          var ch = Module["canvas"].height;
          x = x * (cw / rect.width);
          y = y * (ch / rect.height);
  
          Browser.mouseMovementX = x - Browser.mouseX;
          Browser.mouseMovementY = y - Browser.mouseY;
          Browser.mouseX = x;
          Browser.mouseY = y;
        }
      },xhrLoad:function (url, onload, onerror) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'arraybuffer';
        xhr.onload = function xhr_onload() {
          if (xhr.status == 200 || (xhr.status == 0 && xhr.response)) { // file URLs can return 0
            onload(xhr.response);
          } else {
            onerror();
          }
        };
        xhr.onerror = onerror;
        xhr.send(null);
      },asyncLoad:function (url, onload, onerror, noRunDep) {
        Browser.xhrLoad(url, function(arrayBuffer) {
          assert(arrayBuffer, 'Loading data file "' + url + '" failed (no arrayBuffer).');
          onload(new Uint8Array(arrayBuffer));
          if (!noRunDep) removeRunDependency('al ' + url);
        }, function(event) {
          if (onerror) {
            onerror();
          } else {
            throw 'Loading data file "' + url + '" failed.';
          }
        });
        if (!noRunDep) addRunDependency('al ' + url);
      },resizeListeners:[],updateResizeListeners:function () {
        var canvas = Module['canvas'];
        Browser.resizeListeners.forEach(function(listener) {
          listener(canvas.width, canvas.height);
        });
      },setCanvasSize:function (width, height, noUpdates) {
        var canvas = Module['canvas'];
        canvas.width = width;
        canvas.height = height;
        if (!noUpdates) Browser.updateResizeListeners();
      },windowedWidth:0,windowedHeight:0,setFullScreenCanvasSize:function () {
        var canvas = Module['canvas'];
        this.windowedWidth = canvas.width;
        this.windowedHeight = canvas.height;
        canvas.width = screen.width;
        canvas.height = screen.height;
        // check if SDL is available   
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags | 0x00800000; // set SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      },setWindowedCanvasSize:function () {
        var canvas = Module['canvas'];
        canvas.width = this.windowedWidth;
        canvas.height = this.windowedHeight;
        // check if SDL is available       
        if (typeof SDL != "undefined") {
        	var flags = HEAPU32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)];
        	flags = flags & ~0x00800000; // clear SDL_FULLSCREEN flag
        	HEAP32[((SDL.screen+Runtime.QUANTUM_SIZE*0)>>2)]=flags
        }
        Browser.updateResizeListeners();
      }};
FS.staticInit();__ATINIT__.unshift({ func: function() { if (!Module["noFSInit"] && !FS.init.initialized) FS.init() } });__ATMAIN__.push({ func: function() { FS.ignorePermissions = false } });__ATEXIT__.push({ func: function() { FS.quit() } });Module["FS_createFolder"] = FS.createFolder;Module["FS_createPath"] = FS.createPath;Module["FS_createDataFile"] = FS.createDataFile;Module["FS_createPreloadedFile"] = FS.createPreloadedFile;Module["FS_createLazyFile"] = FS.createLazyFile;Module["FS_createLink"] = FS.createLink;Module["FS_createDevice"] = FS.createDevice;
___errno_state = Runtime.staticAlloc(4); HEAP32[((___errno_state)>>2)]=0;
__ATINIT__.unshift({ func: function() { TTY.init() } });__ATEXIT__.push({ func: function() { TTY.shutdown() } });TTY.utf8 = new Runtime.UTF8Processor();
if (ENVIRONMENT_IS_NODE) { var fs = require("fs"); NODEFS.staticInit(); }
__ATINIT__.push({ func: function() { SOCKFS.root = FS.mount(SOCKFS, {}, null); } });
_fputc.ret = allocate([0], "i8", ALLOC_STATIC);
_fgetc.ret = allocate([0], "i8", ALLOC_STATIC);
___strtok_state = Runtime.staticAlloc(4);
Module["requestFullScreen"] = function Module_requestFullScreen(lockPointer, resizeCanvas) { Browser.requestFullScreen(lockPointer, resizeCanvas) };
  Module["requestAnimationFrame"] = function Module_requestAnimationFrame(func) { Browser.requestAnimationFrame(func) };
  Module["setCanvasSize"] = function Module_setCanvasSize(width, height, noUpdates) { Browser.setCanvasSize(width, height, noUpdates) };
  Module["pauseMainLoop"] = function Module_pauseMainLoop() { Browser.mainLoop.pause() };
  Module["resumeMainLoop"] = function Module_resumeMainLoop() { Browser.mainLoop.resume() };
  Module["getUserMedia"] = function Module_getUserMedia() { Browser.getUserMedia() }
STACK_BASE = STACKTOP = Runtime.alignMemory(STATICTOP);

staticSealed = true; // seal the static portion of memory

STACK_MAX = STACK_BASE + 5242880;

DYNAMIC_BASE = DYNAMICTOP = Runtime.alignMemory(STACK_MAX);

assert(DYNAMIC_BASE < TOTAL_MEMORY, "TOTAL_MEMORY not big enough for stack");

 var ctlz_i8 = allocate([8,7,6,6,5,5,5,5,4,4,4,4,4,4,4,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0], "i8", ALLOC_DYNAMIC);
 var cttz_i8 = allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0], "i8", ALLOC_DYNAMIC);

var Math_min = Math.min;
function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vd(index,a1) {
  try {
    Module["dynCall_vd"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vi(index,a1) {
  try {
    Module["dynCall_vi"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_vii(index,a1,a2) {
  try {
    Module["dynCall_vii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10) {
  try {
    return Module["dynCall_iiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_ii(index,a1) {
  try {
    return Module["dynCall_ii"](index,a1);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiii(index,a1,a2,a3,a4,a5) {
  try {
    return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiii(index,a1,a2,a3) {
  try {
    return Module["dynCall_iiii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiid(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiid"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6) {
  try {
    Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viidii(index,a1,a2,a3,a4,a5) {
  try {
    Module["dynCall_viidii"](index,a1,a2,a3,a4,a5);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iid(index,a1,a2) {
  try {
    return Module["dynCall_iid"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiid(index,a1,a2,a3,a4,a5,a6,a7) {
  try {
    Module["dynCall_viiiiiid"](index,a1,a2,a3,a4,a5,a6,a7);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9) {
  try {
    Module["dynCall_viiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iii(index,a1,a2) {
  try {
    return Module["dynCall_iii"](index,a1,a2);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiidi(index,a1,a2,a3,a4,a5,a6) {
  try {
    return Module["dynCall_iiiiidi"](index,a1,a2,a3,a4,a5,a6);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_i(index) {
  try {
    return Module["dynCall_i"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiii(index,a1,a2,a3,a4) {
  try {
    return Module["dynCall_iiiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viii(index,a1,a2,a3) {
  try {
    Module["dynCall_viii"](index,a1,a2,a3);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_v(index) {
  try {
    Module["dynCall_v"](index);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8) {
  try {
    return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function invoke_viiii(index,a1,a2,a3,a4) {
  try {
    Module["dynCall_viiii"](index,a1,a2,a3,a4);
  } catch(e) {
    if (typeof e !== 'number' && e !== 'longjmp') throw e;
    asm["setThrew"](1, 0);
  }
}

function asmPrintInt(x, y) {
  Module.print('int ' + x + ',' + y);// + ' ' + new Error().stack);
}
function asmPrintFloat(x, y) {
  Module.print('float ' + x + ',' + y);// + ' ' + new Error().stack);
}
// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer){"use asm";var a=new global.Int8Array(buffer);var b=new global.Int16Array(buffer);var c=new global.Int32Array(buffer);var d=new global.Uint8Array(buffer);var e=new global.Uint16Array(buffer);var f=new global.Uint32Array(buffer);var g=new global.Float32Array(buffer);var h=new global.Float64Array(buffer);var i=env.STACKTOP|0;var j=env.STACK_MAX|0;var k=env.tempDoublePtr|0;var l=env.ABORT|0;var m=env.cttz_i8|0;var n=env.ctlz_i8|0;var o=env.___rand_seed|0;var p=env._stdin|0;var q=env.__ZTVN10__cxxabiv117__class_type_infoE|0;var r=env._stdout|0;var s=env.___dso_handle|0;var t=env.__ZTVN10__cxxabiv120__si_class_type_infoE|0;var u=env._stderr|0;var v=+env.NaN;var w=+env.Infinity;var x=0;var y=0;var z=0;var A=0;var B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0.0;var K=0;var L=0;var M=0;var N=0;var O=0;var P=0;var Q=0;var R=0;var S=0;var T=0;var U=global.Math.floor;var V=global.Math.abs;var W=global.Math.sqrt;var X=global.Math.pow;var Y=global.Math.cos;var Z=global.Math.sin;var _=global.Math.tan;var $=global.Math.acos;var aa=global.Math.asin;var ba=global.Math.atan;var ca=global.Math.atan2;var da=global.Math.exp;var ea=global.Math.log;var fa=global.Math.ceil;var ga=global.Math.imul;var ha=env.abort;var ia=env.assert;var ja=env.asmPrintInt;var ka=env.asmPrintFloat;var la=env.min;var ma=env.invoke_iiiiiiii;var na=env.invoke_vd;var oa=env.invoke_viiiii;var pa=env.invoke_vi;var qa=env.invoke_vii;var ra=env.invoke_iiiiiiiiiii;var sa=env.invoke_ii;var ta=env.invoke_iiiiii;var ua=env.invoke_iiii;var va=env.invoke_viiiiid;var wa=env.invoke_viiiiiiii;var xa=env.invoke_viiiiii;var ya=env.invoke_viidii;var za=env.invoke_iid;var Aa=env.invoke_viiiiiii;var Ba=env.invoke_viiiiiid;var Ca=env.invoke_viiiiiiiii;var Da=env.invoke_iii;var Ea=env.invoke_iiiiidi;var Fa=env.invoke_i;var Ga=env.invoke_iiiii;var Ha=env.invoke_viii;var Ia=env.invoke_v;var Ja=env.invoke_iiiiiiiii;var Ka=env.invoke_viiii;var La=env._llvm_lifetime_end;var Ma=env._lseek;var Na=env.__scanString;var Oa=env._fclose;var Pa=env._pthread_mutex_lock;var Qa=env.___cxa_end_catch;var Ra=env._strtoull;var Sa=env._fflush;var Ta=env._lis_solver_create;var Ua=env._strtol;var Va=env._fputc;var Wa=env._strtok;var Xa=env._fwrite;var Ya=env._send;var Za=env._fputs;var _a=env._emscripten_get_now;var $a=env._tmpnam;var ab=env._isspace;var bb=env._localtime;var cb=env._read;var db=env._GC_init;var eb=env._ceil;var fb=env.___ctype_b_loc;var gb=env._GC_malloc_atomic;var hb=env._isxdigit_l;var ib=env._strstr;var jb=env._fileno;var kb=env._perror;var lb=env._fsync;var mb=env.___cxa_guard_abort;var nb=env._newlocale;var ob=env._signal;var pb=env.___gxx_personality_v0;var qb=env._pthread_cond_wait;var rb=env.___cxa_rethrow;var sb=env._freopen;var tb=env.___resumeException;var ub=env._sscanf;var vb=env._round;var wb=env._llvm_va_end;var xb=env._clock_gettime;var yb=env._tmpfile;var zb=env._vsscanf;var Ab=env._snprintf;var Bb=env._fgetc;var Cb=env._pclose;var Db=env.__getFloat;var Eb=env._atexit;var Fb=env.___cxa_free_exception;var Gb=env._close;var Hb=env._isdigit_l;var Ib=env._vasprintf;var Jb=env.___setErrNo;var Kb=env._isxdigit;var Lb=env._access;var Mb=env._ftell;var Nb=env._exit;var Ob=env._sprintf;var Pb=env._pthread_setspecific;var Qb=env._asprintf;var Rb=env._GC_strdup;var Sb=env._strrchr;var Tb=env._freelocale;var Ub=env._catgets;var Vb=env._fmod;var Wb=env.__isLeapYear;var Xb=env._fmax;var Yb=env.___cxa_is_number_type;var Zb=env._GC_malloc;var _b=env.___cxa_does_inherit;var $b=env.___cxa_guard_acquire;var ac=env._lis_vector_destroy;var bc=env._localtime_r;var cc=env.___cxa_begin_catch;var dc=env._lis_vector_create;var ec=env.__ZNSt9exceptionD2Ev;var fc=env._recv;var gc=env.__parseInt64;var hc=env.__ZSt18uncaught_exceptionv;var ic=env._cos;var jc=env._lis_matrix_set_value;var kc=env._putchar;var lc=env.___cxa_call_unexpected;var mc=env._popen;var nc=env._isblank;var oc=env._copysign;var pc=env._bsearch;var qc=env.__exit;var rc=env._strftime;var sc=env._tzset;var tc=env.___cxa_throw;var uc=env._emscripten_memcpy_big;var vc=env._printf;var wc=env._pread;var xc=env._fopen;var yc=env._open;var zc=env._strtoull_l;var Ac=env.__arraySum;var Bc=env._sysconf;var Cc=env._puts;var Dc=env._pthread_key_create;var Ec=env._strtoll_l;var Fc=env._qsort;var Gc=env._system;var Hc=env.___cxa_find_matching_catch;var Ic=env._strdup;var Jc=env._srand;var Kc=env._isatty;var Lc=env.__formatString;var Mc=env._pthread_cond_broadcast;var Nc=env.__ZSt9terminatev;var Oc=env._atoi;var Pc=env._vfprintf;var Qc=env._pthread_mutex_unlock;var Rc=env._llvm_pow_f64;var Sc=env._sbrk;var Tc=env._fscanf;var Uc=env._lis_solver_destroy;var Vc=env.___errno_location;var Wc=env._strerror;var Xc=env._fstat;var Yc=env._catclose;var Zc=env._llvm_lifetime_start;var _c=env.__parseInt;var $c=env.___cxa_guard_release;var ad=env._ungetc;var bd=env._ftruncate;var cd=env._uselocale;var dd=env._vsnprintf;var ed=env._htonl;var fd=env.___assert_fail;var gd=env._fread;var hd=env._strtok_r;var id=env._strftime_l;var jd=env._abort;var kd=env._fprintf;var ld=env._isdigit;var md=env._strtoll;var nd=env.__addDays;var od=env._pthread_getspecific;var pd=env._fabs;var qd=env._GC_collect_a_little;var rd=env.__reallyNegative;var sd=env._fseek;var td=env._sqrt;var ud=env._write;var vd=env._mkport;var wd=env._rewind;var xd=env.___cxa_allocate_exception;var yd=env._sin;var zd=env._stat;var Ad=env._longjmp;var Bd=env._truncate;var Cd=env._catopen;var Dd=env.___ctype_toupper_loc;var Ed=env.___ctype_tolower_loc;var Fd=env._lis_vector_set_size;var Gd=env._unlink;var Hd=env._pwrite;var Id=env._strerror_r;var Jd=env._floor;var Kd=env._lis_solver_set_option;var Ld=env._time;var Md=0.0;
// EMSCRIPTEN_START_FUNCS
function us(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g|0]|0)==0){j=a[g+1|0]|0}else{j=-1}if((j|0)!=120)if((j|0)==88){f=1}else{h=1;break}g=g+2|0;if((a[g|0]|0)==0){k=a[g+1|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g|0]|0)==0){l=a[g+1|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function vs(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e|0]|0)==0){m=d[b+76+(d[e+1|0]|0)|0]|0}else{m=Gr(a[e|0]|0,a[e+1|0]|0)|0}h=m;switch(h|0){case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 0:case 1:case 8:{l=16;break a;break};case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e|0]|0)==0){p=d[b+76+(d[e+1|0]|0)|0]|0}else{p=Gr(a[e|0]|0,a[e+1|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function ws(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==27){k=ps(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 22:case 24:{break};case 21:case 9:case 10:{break a;break};case 30:{n=17;break a;break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Gr(a[b+2|0]|0,a[b+3|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function xs(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 7:{m=37;break c;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}break};case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function ys(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 36:{c[f>>2]=b+1;k=21;break a;break};case 32:{b=b+1|0;if((b|0)==(e|0)){k=-24;break a}switch(d[j+76+(d[b]|0)|0]|0){case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 33:{c[f>>2]=b+1;k=36;break a;break};case 15:{c[f>>2]=b+1;k=35;break a;break};case 34:{c[f>>2]=b+1;k=37;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b]|0)==93){if((b+1|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==62){c[f>>2]=b+2;k=34;break a}else{break}}}while(0);c[f>>2]=b;k=26;break a;break};case 19:{k=it(j,b+1|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}if((ce[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;l=18;m=76;break b}if((ce[c[j+332>>2]&127](j,b)|0)!=0){b=b+2|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 29:{m=75;break};case 35:{c[f>>2]=b+1;k=38;break a;break};case 20:{c[f>>2]=b+1;k=25;break a;break};case 30:{k=Ys(j,b+1|0,e,f)|0;break a;break};case 11:{c[f>>2]=b+1;k=17;break a;break};case 31:{c[f>>2]=b+1;k=23;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((ce[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;l=18;m=76;break b}if((ce[c[j+340>>2]&127](j,b)|0)!=0){b=b+4|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 12:{k=gt(12,j,b+1|0,e,f)|0;break a;break};case 6:{if((e-b|0)<3){k=-2;break a}if((ce[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;l=18;m=76;break b}if((ce[c[j+336>>2]&127](j,b)|0)!=0){b=b+3|0;l=19;m=76;break b}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:{m=16;break};case 2:{b=b+1|0;if((b|0)==(e|0)){k=-1;break a}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-1;k=29;break a;break};case 16:{k=ht(j,b+1|0,e,f)|0;break a;break};case 15:{k=ct(j,b+1|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 9:{if((b+1|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=16;break b}break};case 13:{k=gt(13,j,b+1|0,e,f)|0;break a;break};case 22:case 24:{l=18;b=b+1|0;m=76;break};case 25:case 26:case 27:case 23:{l=19;b=b+1|0;m=76;break};default:{m=75}}}while(0);if((m|0)==16){while(1){b=b+1|0;if((b|0)==(e|0)){m=18;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==9){if((b+1|0)==(e|0)){m=23;break}}else if(!((g|0)==21|(g|0)==10)){break}}if((m|0)==18){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==75){c[f>>2]=b;k=0;break}else if((m|0)==76){c:while(1){if((b|0)==(e|0)){m=133;break}switch(d[j+76+(d[b]|0)|0]|0){case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=96;break c;break};case 23:{b=b+1|0;g=l;if((g|0)==41){l=19}else if((g|0)==18){if((b|0)==(e|0)){m=99;break c}l=41;switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=104;break c}if((ce[c[j+332>>2]&127](j,b)|0)==0){m=106;break c}b=b+2|0;break};case 29:{m=101;break c;break};case 7:{if((e-b|0)<4){m=114;break c}if((ce[c[j+340>>2]&127](j,b)|0)==0){m=116;break c}b=b+4|0;break};case 6:{if((e-b|0)<3){m=109;break c}if((ce[c[j+336>>2]&127](j,b)|0)==0){m=111;break c}b=b+3|0;break};default:{l=19}}}break};case 7:{if((e-b|0)<4){m=92;break c}if((ce[c[j+340>>2]&127](j,b)|0)==0){m=94;break c}b=b+4|0;break};case 29:{m=79;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 5:{if((e-b|0)<2){m=82;break c}if((ce[c[j+332>>2]&127](j,b)|0)==0){m=84;break c}b=b+2|0;break};case 6:{if((e-b|0)<3){m=87;break c}if((ce[c[j+336>>2]&127](j,b)|0)==0){m=89;break c}b=b+3|0;break};case 15:{m=128;break c;break};case 34:{m=122;break c;break};case 33:{m=125;break c;break};default:{m=131;break c}}}if((m|0)==79){c[f>>2]=b;k=0;break}else if((m|0)==82){k=-2;break}else if((m|0)==84){c[f>>2]=b;k=0;break}else if((m|0)==87){k=-2;break}else if((m|0)==89){c[f>>2]=b;k=0;break}else if((m|0)==92){k=-2;break}else if((m|0)==94){c[f>>2]=b;k=0;break}else if((m|0)==96){c[f>>2]=b;k=l;break}else if((m|0)==99){k=-1;break}else if((m|0)==101){c[f>>2]=b;k=0;break}else if((m|0)==104){k=-2;break}else if((m|0)==106){c[f>>2]=b;k=0;break}else if((m|0)==109){k=-2;break}else if((m|0)==111){c[f>>2]=b;k=0;break}else if((m|0)==114){k=-2;break}else if((m|0)==116){c[f>>2]=b;k=0;break}else if((m|0)==122){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=32;break}}else if((m|0)==125){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=31;break}}else if((m|0)==128){if((l|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+1;k=30;break}}else if((m|0)==131){c[f>>2]=b;k=0;break}else if((m|0)==133){k=-l|0;break}}}}while(0);i=h;return k|0}function zs(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ce[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 2:{k=$s(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ce[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ce[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 3:{k=Xs(j,b+1|0,e,f)|0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 9:{b=b+1|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=65;break}c:do{switch(d[j+76+(d[b]|0)|0]|0){case 4:{if((b+1|0)==(e|0)){m=61;break b}if((a[b+1|0]|0)!=93){b=b+1|0;break c}if((b+2|0)==(e|0)){m=60;break b}if((a[b+2|0]|0)==62){m=59;break b}b=b+1|0;break};case 6:{if((e-b|0)<3){m=47;break b}if((ce[c[j+360>>2]&127](j,b)|0)!=0){m=47;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){m=43;break b}if((ce[c[j+356>>2]&127](j,b)|0)!=0){m=43;break b}b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 7:{if((e-b|0)<4){m=51;break b}if((ce[c[j+364>>2]&127](j,b)|0)!=0){m=51;break b}b=b+4|0;break};default:{b=b+1|0}}}while(0)}if((m|0)==43){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==47){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==59){c[f>>2]=b+2;k=0;l=k;i=h;return l|0}else if((m|0)==60){m=61}else if((m|0)==65){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function As(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}a:do{switch(d[j+76+(d[b]|0)|0]|0){case 9:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)==10){b=b+1|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 6:{if((e-b|0)<3){k=-2;l=k;i=h;return l|0}if((ce[c[j+360>>2]&127](j,b)|0)==0){b=b+3|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 7:{if((e-b|0)<4){k=-2;l=k;i=h;return l|0}if((ce[c[j+364>>2]&127](j,b)|0)==0){b=b+4|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=93){break a}b=b+1|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b]|0)!=62){b=b-1|0;break a}c[f>>2]=b+1;k=40;l=k;i=h;return l|0};case 10:{c[f>>2]=b+1;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)<2){k=-2;l=k;i=h;return l|0}if((ce[c[j+356>>2]&127](j,b)|0)==0){b=b+2|0;break a}c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+1|0}}}while(0);b:while(1){if((b|0)==(e|0)){m=54;break}switch(d[j+76+(d[b]|0)|0]|0){case 0:case 1:case 8:case 9:case 10:case 4:{m=51;break b;break};case 5:{if((e-b|0)<2){m=41;break b}if((ce[c[j+356>>2]&127](j,b)|0)!=0){m=41;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){m=45;break b}if((ce[c[j+360>>2]&127](j,b)|0)!=0){m=45;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){m=49;break b}if((ce[c[j+364>>2]&127](j,b)|0)!=0){m=49;break b}b=b+4|0;break};default:{b=b+1|0}}}if((m|0)==41){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==45){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((m|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Bs(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;g=0;a:while(1){if((b|0)==(e|0)){k=42;break}switch(d[j+76+(d[b]|0)|0]|0){case 4:{l=b+1|0;b=l;if((l|0)==(e|0)){k=30;break a}if((a[b]|0)==93){l=b+1|0;b=l;if((l|0)==(e|0)){k=33;break a}if((a[b]|0)==62){b=b+1|0;if((g|0)==0){k=36;break a}g=g-1|0}}break};case 0:case 1:case 8:{k=19;break a;break};case 2:{l=b+1|0;b=l;if((l|0)==(e|0)){k=21;break a}if((a[b]|0)==33){l=b+1|0;b=l;if((l|0)==(e|0)){k=24;break a}if((a[b]|0)==91){g=g+1|0;b=b+1|0}}break};case 7:{if((e-b|0)<4){k=15;break a}if((ce[c[j+364>>2]&127](j,b)|0)!=0){k=17;break a}b=b+4|0;break};case 6:{if((e-b|0)<3){k=10;break a}if((ce[c[j+360>>2]&127](j,b)|0)!=0){k=12;break a}b=b+3|0;break};case 5:{if((e-b|0)<2){k=5;break a}if((ce[c[j+356>>2]&127](j,b)|0)!=0){k=7;break a}b=b+2|0;break};default:{b=b+1|0}}}if((k|0)==5){m=-2}else if((k|0)==7){c[f>>2]=b;m=0}else if((k|0)==10){m=-2}else if((k|0)==12){c[f>>2]=b;m=0}else if((k|0)==15){m=-2}else if((k|0)==17){c[f>>2]=b;m=0}else if((k|0)==19){c[f>>2]=b;m=0}else if((k|0)==21){m=-1}else if((k|0)==24){m=-1}else if((k|0)==30){m=-1}else if((k|0)==33){m=-1}else if((k|0)==36){c[f>>2]=b;m=42}else if((k|0)==42){m=-1}i=h;return m|0}function Cs(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=28;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 21:{k=23;break a;break};case 2:{k=12;break a;break};case 9:{k=16;break a;break};case 10:{k=13;break a;break};case 6:{a=a+3|0;break};case 7:{a=a+4|0;break};case 3:{k=9;break a;break};case 5:{a=a+2|0;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=Xs(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){c[e>>2]=a;j=0;break}else if((k|0)==13){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==16){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==23){if((a|0)==(f|0)){c[e>>2]=a+1;j=39;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==28){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Ds(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)==(b|0)){j=-4}else{f=a;a:while(1){if((a|0)==(b|0)){k=30;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 9:{k=21;break a;break};case 6:{a=a+3|0;break};case 5:{a=a+2|0;break};case 30:{k=12;break a;break};case 7:{a=a+4|0;break};case 10:{k=18;break a;break};case 3:{k=9;break a;break};default:{a=a+1|0}}}if((k|0)==9){if((a|0)==(f|0)){j=Xs(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==12){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}l=Ys(h,a+1|0,b,e)|0;if((l|0)==22){m=0}else{m=l}j=m;break}else if((k|0)==18){if((a|0)==(f|0)){c[e>>2]=a+1;j=7;break}else{c[e>>2]=a;j=6;break}}else if((k|0)==21){if((a|0)!=(f|0)){c[e>>2]=a;j=6;break}a=a+1|0;if((a|0)==(b|0)){j=-3;break}if((d[h+76+(d[a]|0)|0]|0|0)==10){a=a+1|0}c[e>>2]=a;j=7;break}else if((k|0)==30){c[e>>2]=a;j=6;break}}}while(0);i=g;return j|0}function Es(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;g=b;b=c;c=e;a:while(1){switch(d[g+76+(d[b]|0)|0]|0){case 7:{e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=4;break a}j=6;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{h=c;c=h+1|0;e=b;b=e+1|0;if((a[h]|0)!=(a[e]|0)){j=15;break a}break};case 5:{j=9;break};case 6:{j=6;break};default:{j=17;break a}}if((j|0)==6){j=0;e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=7;break}j=9}if((j|0)==9){j=0;h=b;b=h+1|0;e=c;c=e+1|0;if((a[h]|0)!=(a[e]|0)){j=10;break}e=b;b=e+1|0;h=c;c=h+1|0;if((a[e]|0)!=(a[h]|0)){j=12;break}}}if((j|0)==4){k=0;l=k;i=f;return l|0}else if((j|0)==7){k=0;l=k;i=f;return l|0}else if((j|0)==10){k=0;l=k;i=f;return l|0}else if((j|0)==12){k=0;l=k;i=f;return l|0}else if((j|0)==15){k=0;l=k;i=f;return l|0}else if((j|0)==17){if((a[b]|0)==(a[c]|0)){k=1;l=k;i=f;return l|0}switch(d[g+76+(d[c]|0)|0]|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{k=0;l=k;i=f;return l|0};default:{k=1;l=k;i=f;return l|0}}}return 0}function Fs(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=9;break}if((f|0)==(c|0)){g=4;break}if((a[f]|0)!=(a[d]|0)){g=6;break}f=f+1|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==6){h=0;j=h;i=b;return j|0}else if((g|0)==9){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function Gs(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;b=a;a:while(1){switch(d[e+76+(d[a]|0)|0]|0|0){case 5:{a=a+2|0;break};case 6:{a=a+3|0;break};case 7:{a=a+4|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{break a}}}i=c;return a-b|0}function Hs(a,b){a=a|0;b=b|0;var c=0,e=0;c=i;e=a;a=b;while(1){b=d[e+76+(d[a]|0)|0]|0;if(!((b|0)==10|(b|0)==9|(b|0)==21)){break}a=a+1|0}i=c;return a|0}function Is(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+1|0;a:while(1){switch(d[j+76+(d[b]|0)|0]|0){case 11:case 17:{if((g|0)!=2){break a}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+3|0;break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+1}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b]|0)!=32){break}if((a[b+1|0]|0)==32){break}if((d[j+76+(d[b+1|0]|0)|0]|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};default:{}}b=b+1|0}i=h;return k|0}function Js(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;b=i;d=c;c=0;d=d+2|0;do{if((a[d]|0)==120){d=d+1|0;while(1){if(!((a[d]|0)==59^1)){e=12;break}f=a[d]|0;switch(f|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(f-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(f-97+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|f-48;break};default:{}}if((c|0)>=1114112){break}d=d+1|0}if((e|0)==12){break}g=-1;h=g;i=b;return h|0}else{while(1){if(!((a[d]|0)==59^1)){e=19;break}c=c*10|0;c=c+((a[d]|0)-48)|0;if((c|0)>=1114112){break}d=d+1|0}if((e|0)==19){break}g=-1;h=g;i=b;return h|0}}while(0);g=Uq(c)|0;h=g;i=b;return h|0}function Ks(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;b=i;e=c;c=(d-e|0)/1|0;if((c|0)==3){if((a[e]|0)==97){e=e+1|0;do{if((a[e]|0)==109){e=e+1|0;if((a[e]|0)!=112){break}f=38;g=f;i=b;return g|0}}while(0)}}else if((c|0)==4){d=a[e]|0;if((d|0)==97){e=e+1|0;if((a[e]|0)==112){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=115){break}f=39;g=f;i=b;return g|0}}while(0)}}else if((d|0)==113){e=e+1|0;if((a[e]|0)==117){e=e+1|0;do{if((a[e]|0)==111){e=e+1|0;if((a[e]|0)!=116){break}f=34;g=f;i=b;return g|0}}while(0)}}}else if((c|0)==2){do{if((a[e+1|0]|0)==116){c=a[e]|0;if((c|0)==108){f=60;g=f;i=b;return g|0}else if((c|0)==103){f=62;g=f;i=b;return g|0}else{break}}}while(0)}f=0;g=f;i=b;return g|0}function Ls(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0;g=i;h=a;a=b;b=e;e=f;while(1){if(!(a>>>0<b>>>0)){break}switch(d[h+76+(d[a]|0)|0]|0|0){case 9:{f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;do{if((a|0)!=(b|0)){if((d[h+76+(d[a]|0)|0]|0|0)!=10){break}a=a+1|0}}while(0);c[e+4>>2]=-1;break};case 7:{a=a+4|0;break};case 10:{c[e+4>>2]=-1;f=e|0;c[f>>2]=(c[f>>2]|0)+1;a=a+1|0;break};case 6:{a=a+3|0;break};case 5:{a=a+2|0;break};default:{a=a+1|0}}f=e+4|0;c[f>>2]=(c[f>>2]|0)+1}i=g;return}function Ms(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;b=b+1|0;e=e-1|0;a:while(1){if((b|0)==(e|0)){k=17;break}b:do{switch(d[j+76+(d[b]|0)|0]|0){case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 26:case 22:{if((a[b]&-128|0)!=0){k=11;break b}else{break b}break};case 21:{if((a[b]|0)==9){k=6;break a}break};default:{k=11}}}while(0);if((k|0)==11){k=0;g=a[b]|0;if(!((g|0)==36|(g|0)==64)){k=13;break}}b=b+1|0}if((k|0)==6){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==13){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((k|0)==17){l=1;m=l;i=h;return m|0}return 0}function Ns(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;b=i;h=d;d=e;e=f;f=g;if((d-(c[h>>2]|0)|0)>(f-(c[e>>2]|0)|0)){d=(c[h>>2]|0)+(f-(c[e>>2]|0))|0;while(1){if(!(d>>>0>(c[h>>2]|0)>>>0)){break}if((a[d-1|0]&192|0)!=128){f=5;break}d=d-1|0}}f=c[e>>2]|0;g=c[h>>2]|0;while(1){if((g|0)==(d|0)){break}a[f]=a[g]|0;g=g+1|0;f=f+1|0}c[h>>2]=g;c[e>>2]=f;i=b;return}function Os(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;k=i;l=e;e=f;f=g;g=h;h=j;j=c[g>>2]|0;m=c[e>>2]|0;while(1){if((m|0)!=(f|0)){n=(j|0)!=(h|0)}else{n=0}if(!n){o=13;break}p=d[l+76+(d[m]|0)|0]|0;if((p|0)==5){q=j;j=q+2|0;b[q>>1]=(a[m|0]&31)<<6|a[m+1|0]&63;m=m+2|0}else if((p|0)==7){if((j+2|0)==(h|0)){o=9;break}q=(a[m|0]&7)<<18|(a[m+1|0]&63)<<12|(a[m+2|0]&63)<<6|a[m+3|0]&63;q=q-65536|0;b[j>>1]=q>>>10|55296;b[j+2>>1]=q&1023|56320;j=j+4|0;m=m+4|0}else if((p|0)==6){p=j;j=p+2|0;b[p>>1]=(a[m|0]&15)<<12|(a[m+1|0]&63)<<6|a[m+2|0]&63;m=m+3|0}else{p=m;m=p+1|0;q=j;j=q+2|0;b[q>>1]=a[p]|0}}if((o|0)==9){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}else if((o|0)==13){r=m;s=e;c[s>>2]=r;t=j;u=g;c[u>>2]=t;i=k;return}}function Ps(b,e){b=b|0;e=e|0;b=e;i=i;return c[12320+(((d[13600+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function Qs(b,e){b=b|0;e=e|0;b=e;i=i;return c[12320+(((d[13600+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function Rs(a,b){a=a|0;b=b|0;i=i;return 0}function Ss(b,e){b=b|0;e=e|0;b=e;i=i;return c[12320+(((d[8704+((d[b|0]|0)>>2&7)|0]|0)<<3)+((a[b|0]&3)<<1)+((d[b+1|0]|0)>>5&1)<<2)>>2]&1<<(a[b+1|0]&31)|0}function Ts(b,e){b=b|0;e=e|0;b=e;i=i;return c[12320+(((d[8704+(((a[b|0]&15)<<4)+((d[b+1|0]|0)>>2&15))|0]|0)<<3)+((a[b+1|0]&3)<<1)+((d[b+2|0]|0)>>5&1)<<2)>>2]&1<<(a[b+2|0]&31)|0}function Us(b,c){b=b|0;c=c|0;var e=0,f=0;b=i;e=c;do{if((d[e]|0|0)<194){f=1}else{if((a[e+1|0]&128|0)==0){f=1;break}f=(a[e+1|0]&192|0)==192}}while(0);i=b;return f&1|0}function Vs(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;e=c;if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}do{if((d[e]|0|0)==239){if((d[e+1|0]|0|0)!=191){h=5;break}if((d[e+2|0]|0|0)>189){f=1}else{break}g=f&1;i=b;return g|0}else{h=5}}while(0);do{if((h|0)==5){if((a[e+2|0]&192|0)==192){f=1}else{break}g=f&1;i=b;return g|0}}while(0);if((d[e]|0|0)==224){if((d[e+1|0]|0|0)<160){j=1}else{j=(a[e+1|0]&192|0)==192}k=j&1}else{if((a[e+1|0]&128|0)==0){l=1}else{if((d[e]|0|0)==237){m=(d[e+1|0]|0|0)>159|0}else{m=(a[e+1|0]&192|0)==192|0}l=(m|0)!=0}k=l&1}f=(k|0)!=0;g=f&1;i=b;return g|0}function Ws(b,c){b=b|0;c=c|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;e=c;if((a[e+3|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+3|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&128|0)==0){f=1;g=f&1;i=b;return g|0}if((a[e+2|0]&192|0)==192){f=1;g=f&1;i=b;return g|0}if((d[e]|0|0)==240){if((d[e+1|0]|0|0)<144){h=1}else{h=(a[e+1|0]&192|0)==192}j=h&1}else{if((a[e+1|0]&128|0)==0){k=1}else{if((d[e]|0|0)==244){l=(d[e+1|0]|0|0)>143|0}else{l=(a[e+1|0]&192|0)==192|0}k=(l|0)!=0}j=k&1}f=(j|0)!=0;g=f&1;i=b;return g|0}function Xs(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{c[e>>2]=a;j=0;break a;break};case 7:{if((b-a|0)<4){j=-2;break a}if((ce[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 5:{if((b-a|0)<2){j=-2;break a}if((ce[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 19:{j=Zs(h,a+1|0,b,e)|0;break a;break};case 22:case 24:{a=a+1|0;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ce[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 18:{k=43;break c;break};case 7:{if((b-a|0)<4){k=39;break c}if((ce[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 29:{k=26;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((ce[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 6:{if((b-a|0)<3){k=34;break c}if((ce[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=9;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Ys(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((ce[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 6:{if((b-a|0)<3){j=-2;break a}if((ce[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};case 21:case 10:case 9:case 30:{c[e>>2]=a;j=22;break a;break};case 29:{c[e>>2]=a;j=0;break a;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ce[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=46;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 29:{k=26;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 18:{k=43;break c;break};case 7:{if((b-a|0)<4){k=39;break c}if((ce[c[h+340>>2]&127](h,a)|0)==0){k=41;break c}a=a+4|0;break};case 5:{if((b-a|0)<2){k=29;break c}if((ce[c[h+332>>2]&127](h,a)|0)==0){k=31;break c}a=a+2|0;break};case 6:{if((b-a|0)<3){k=34;break c}if((ce[c[h+336>>2]&127](h,a)|0)==0){k=36;break c}a=a+3|0;break};default:{k=44;break c}}}if((k|0)==26){c[e>>2]=a;j=0;break}else if((k|0)==29){j=-2;break}else if((k|0)==31){c[e>>2]=a;j=0;break}else if((k|0)==34){j=-2;break}else if((k|0)==36){c[e>>2]=a;j=0;break}else if((k|0)==39){j=-2;break}else if((k|0)==41){c[e>>2]=a;j=0;break}else if((k|0)==43){c[e>>2]=a+1;j=28;break}else if((k|0)==44){c[e>>2]=a;j=0;break}else if((k|0)==46){j=-1;break}}}while(0);i=g;return j|0}function Zs(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)==120){k=_s(j,b+1|0,e,f)|0;l=k;i=h;return l|0}if((d[j+76+(d[b]|0)|0]|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+1|0;while(1){if((b|0)==(e|0)){m=15;break}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==18){m=11;break}else if((g|0)!=25){m=12;break}b=b+1|0}if((m|0)==11){c[f>>2]=b+1;k=10;l=k;i=h;return l|0}else if((m|0)==12){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((m|0)==15){break}}}while(0);k=-1;l=k;i=h;return l|0}function _s(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;do{if((a|0)!=(b|0)){f=d[h+76+(d[a]|0)|0]|0;if(!((f|0)==25|(f|0)==24)){c[e>>2]=a;j=0;k=j;i=g;return k|0}a=a+1|0;while(1){if((a|0)==(b|0)){l=13;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==18){l=9;break}else if(!((f|0)==25|(f|0)==24)){l=10;break}a=a+1|0}if((l|0)==9){c[e>>2]=a+1;j=10;k=j;i=g;return k|0}else if((l|0)==10){c[e>>2]=a;j=0;k=j;i=g;return k|0}else if((l|0)==13){break}}}while(0);j=-1;k=j;i=g;return k|0}function $s(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{b:do{switch(d[j+76+(d[b]|0)|0]|0){case 15:{k=ct(j,b+1|0,e,f)|0;break a;break};case 22:case 24:{b=b+1|0;break};case 16:{g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break a}g=d[j+76+(d[b]|0)|0]|0;if((g|0)==27){k=at(j,b+1|0,e,f)|0;break a}else if((g|0)==20){k=bt(j,b+1|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}if((ce[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;k=0;break a}break};case 17:{k=dt(j,b+1|0,e,f)|0;break a;break};case 29:{c[f>>2]=b;k=0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}if((ce[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}if((ce[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);g=0;c:while(1){if((b|0)==(e|0)){l=110;break}switch(d[j+76+(d[b]|0)|0]|0){case 21:case 9:case 10:{l=74;break c;break};case 5:{if((e-b|0)<2){l=36;break c}if((ce[c[j+332>>2]&127](j,b)|0)==0){l=38;break c}b=b+2|0;break};case 11:{l=100;break c;break};case 6:{if((e-b|0)<3){l=41;break c}if((ce[c[j+336>>2]&127](j,b)|0)==0){l=43;break c}b=b+3|0;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 23:{if((g|0)!=0){l=51;break c}g=1;b=b+1|0;if((b|0)==(e|0)){l=53;break c}switch(d[j+76+(d[b]|0)|0]|0){case 29:{l=55;break c;break};case 7:{if((e-b|0)<4){l=68;break c}if((ce[c[j+352>>2]&127](j,b)|0)==0){l=70;break c}b=b+4|0;break};case 6:{if((e-b|0)<3){l=63;break c}if((ce[c[j+348>>2]&127](j,b)|0)==0){l=65;break c}b=b+3|0;break};case 22:case 24:{b=b+1|0;break};case 5:{if((e-b|0)<2){l=58;break c}if((ce[c[j+344>>2]&127](j,b)|0)==0){l=60;break c}b=b+2|0;break};default:{l=72;break c}}break};case 17:{l=102;break c;break};case 7:{if((e-b|0)<4){l=46;break c}if((ce[c[j+340>>2]&127](j,b)|0)==0){l=48;break c}b=b+4|0;break};case 29:{l=33;break c;break};default:{l=108;break c}}}d:do{if((l|0)==33){c[f>>2]=b;k=0;break a}else if((l|0)==36){k=-2;break a}else if((l|0)==38){c[f>>2]=b;k=0;break a}else if((l|0)==41){k=-2;break a}else if((l|0)==43){c[f>>2]=b;k=0;break a}else if((l|0)==46){k=-2;break a}else if((l|0)==48){c[f>>2]=b;k=0;break a}else if((l|0)==51){c[f>>2]=b;k=0;break a}else if((l|0)==53){k=-1;break a}else if((l|0)==55){c[f>>2]=b;k=0;break a}else if((l|0)==58){k=-2;break a}else if((l|0)==60){c[f>>2]=b;k=0;break a}else if((l|0)==63){k=-2;break a}else if((l|0)==65){c[f>>2]=b;k=0;break a}else if((l|0)==68){k=-2;break a}else if((l|0)==70){c[f>>2]=b;k=0;break a}else if((l|0)==72){c[f>>2]=b;k=0;break a}else if((l|0)==74){b=b+1|0;e:while(1){if((b|0)==(e|0)){l=99;break}switch(d[j+76+(d[b]|0)|0]|0){case 22:case 24:{l=78;break e;break};case 5:{l=79;break e;break};case 11:{l=94;break e;break};case 17:{l=95;break e;break};case 6:{l=84;break e;break};case 29:{l=77;break e;break};case 7:{l=89;break e;break};case 21:case 9:case 10:{break};default:{l=97;break e}}b=b+1|0}do{if((l|0)==77){c[f>>2]=b;k=0;break a}else if((l|0)==78){b=b+1|0}else if((l|0)==79){if((e-b|0)<2){k=-2;break a}if((ce[c[j+344>>2]&127](j,b)|0)!=0){b=b+2|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==84){if((e-b|0)<3){k=-2;break a}if((ce[c[j+348>>2]&127](j,b)|0)!=0){b=b+3|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==89){if((e-b|0)<4){k=-2;break a}if((ce[c[j+352>>2]&127](j,b)|0)!=0){b=b+4|0;break}else{c[f>>2]=b;k=0;break a}}else if((l|0)==94){l=101;break d}else if((l|0)==95){break d}else if((l|0)==97){c[f>>2]=b;k=0;break a}else if((l|0)==99){k=-1;break a}}while(0);k=et(j,b,e,f)|0;break a}else if((l|0)==100){l=101}else if((l|0)!=102)if((l|0)==108){c[f>>2]=b;k=0;break a}else if((l|0)==110){k=-1;break a}}while(0);if((l|0)==101){c[f>>2]=b+1;k=2;break}b=b+1|0;if((b|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=4;break}else{c[f>>2]=b;k=0;break}}}while(0);i=h;return k|0}function at(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b]|0)!=45){c[f>>2]=b;k=0;break}b=b+1|0;a:while(1){if((b|0)==(e|0)){l=34;break}switch(d[j+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){l=18;break a}if((ce[c[j+364>>2]&127](j,b)|0)!=0){l=20;break a}b=b+4|0;break};case 5:{if((e-b|0)<2){l=8;break a}if((ce[c[j+356>>2]&127](j,b)|0)!=0){l=10;break a}b=b+2|0;break};case 6:{if((e-b|0)<3){l=13;break a}if((ce[c[j+360>>2]&127](j,b)|0)!=0){l=15;break a}b=b+3|0;break};case 0:case 1:case 8:{l=22;break a;break};case 27:{g=b+1|0;b=g;if((g|0)==(e|0)){l=24;break a}if((a[b]|0)==45){l=26;break a}break};default:{b=b+1|0}}}if((l|0)==8){k=-2;break}else if((l|0)==10){c[f>>2]=b;k=0;break}else if((l|0)==13){k=-2;break}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==18){k=-2;break}else if((l|0)==20){c[f>>2]=b;k=0;break}else if((l|0)==22){c[f>>2]=b;k=0;break}else if((l|0)==24){k=-1;break}else if((l|0)==26){g=b+1|0;b=g;if((g|0)==(e|0)){k=-1;break}if((a[b]|0)==62){c[f>>2]=b+1;k=13;break}else{c[f>>2]=b;k=0;break}}else if((l|0)==34){l=35;break}}else{l=35}}while(0);if((l|0)==35){k=-1}i=h;return k|0}function bt(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<6){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=9;break}if((a[g]|0)!=(a[8696+e|0]|0)){k=6;break}e=e+1|0;g=g+1|0}if((k|0)==6){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==9){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function ct(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{b:do{switch(d[k+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){l=-2;break a}if((ce[c[k+352>>2]&127](k,b)|0)!=0){b=b+4|0;break b}else{c[f>>2]=b;l=0;break a}break};case 6:{if((e-b|0)<3){l=-2;break a}if((ce[c[k+348>>2]&127](k,b)|0)!=0){b=b+3|0;break b}else{c[f>>2]=b;l=0;break a}break};case 29:{c[f>>2]=b;l=0;break a;break};case 5:{if((e-b|0)<2){l=-2;break a}if((ce[c[k+344>>2]&127](k,b)|0)!=0){b=b+2|0;break b}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{b=b+1|0;break};default:{c[f>>2]=b;l=0;break a}}}while(0);c:while(1){if((b|0)==(e|0)){m=80;break}switch(d[k+76+(d[b]|0)|0]|0){case 7:{if((e-b|0)<4){m=38;break c}if((ce[c[k+340>>2]&127](k,b)|0)==0){m=40;break c}b=b+4|0;break};case 15:{m=71;break c;break};case 5:{if((e-b|0)<2){m=28;break c}if((ce[c[k+332>>2]&127](k,b)|0)==0){m=30;break c}b=b+2|0;break};case 29:{m=25;break c;break};case 22:case 24:case 25:case 26:case 27:{b=b+1|0;break};case 21:case 9:case 10:{m=42;break c;break};case 6:{if((e-b|0)<3){m=33;break c}if((ce[c[k+336>>2]&127](k,b)|0)==0){m=35;break c}b=b+3|0;break};default:{break c}}}do{if((m|0)==25){c[f>>2]=b;l=0;break a}else if((m|0)==28){l=-2;break a}else if((m|0)==30){c[f>>2]=b;l=0;break a}else if((m|0)==33){l=-2;break a}else if((m|0)==35){c[f>>2]=b;l=0;break a}else if((m|0)==38){l=-2;break a}else if((m|0)==40){c[f>>2]=b;l=0;break a}else if((m|0)==42){if((ft(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;d:while(1){if((b|0)==(e|0)){m=70;break}switch(d[k+76+(d[b]|0)|0]|0){case 5:{if((e-b|0)<2){m=48;break d}if((ce[c[k+356>>2]&127](k,b)|0)!=0){m=50;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){m=53;break d}if((ce[c[k+360>>2]&127](k,b)|0)!=0){m=55;break d}b=b+3|0;break};case 0:case 1:case 8:{m=62;break d;break};case 15:{b=b+1|0;if((b|0)==(e|0)){m=64;break d}if((a[b]|0)==62){m=66;break d}break};case 7:{if((e-b|0)<4){m=58;break d}if((ce[c[k+364>>2]&127](k,b)|0)!=0){m=60;break d}b=b+4|0;break};default:{b=b+1|0}}}if((m|0)==48){l=-2;break a}else if((m|0)==50){c[f>>2]=b;l=0;break a}else if((m|0)==53){l=-2;break a}else if((m|0)==55){c[f>>2]=b;l=0;break a}else if((m|0)==58){l=-2;break a}else if((m|0)==60){c[f>>2]=b;l=0;break a}else if((m|0)==62){c[f>>2]=b;l=0;break a}else if((m|0)==64){l=-1;break a}else if((m|0)==66){c[f>>2]=b+1;l=c[j>>2]|0;break a}else if((m|0)==70){l=-1;break a}}else if((m|0)==71){if((ft(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break a}b=b+1|0;if((b|0)==(e|0)){l=-1;break a}if((a[b]|0)==62){c[f>>2]=b+1;l=c[j>>2]|0;break a}else{break}}else if((m|0)==80){l=-1;break a}}while(0);c[f>>2]=b;l=0}}while(0);i=h;return l|0}function dt(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 7:{if((b-a|0)<4){j=-2;break a}if((ce[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ce[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ce[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=55;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 21:case 9:case 10:{k=42;break c;break};case 23:{a=a+1|0;break};case 11:{k=52;break c;break};case 6:{if((b-a|0)<3){k=33;break c}if((ce[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 29:{k=25;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((ce[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 5:{if((b-a|0)<2){k=28;break c}if((ce[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};default:{k=53;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){a=a+1|0;while(1){if((a|0)==(b|0)){k=50;break}f=d[h+76+(d[a]|0)|0]|0;if((f|0)==11){k=46;break}else if(!((f|0)==21|(f|0)==9|(f|0)==10)){k=47;break}a=a+1|0}if((k|0)==46){c[e>>2]=a+1;j=5;break}else if((k|0)==47){c[e>>2]=a;j=0;break}else if((k|0)==50){j=-1;break}}else if((k|0)==52){c[e>>2]=a+1;j=5;break}else if((k|0)==53){c[e>>2]=a;j=0;break}else if((k|0)==55){j=-1;break}}}while(0);i=g;return j|0}function et(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=137;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=7;break a}if((ce[c[k+332>>2]&127](k,c[j>>2]|0)|0)==0){l=9;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 23:{if((g|0)!=0){l=22;break a}g=1;c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=24;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 5:{if((e-(c[j>>2]|0)|0)<2){l=29;break a}if((ce[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=31;break a}c[j>>2]=(c[j>>2]|0)+2;break};case 22:case 24:{c[j>>2]=(c[j>>2]|0)+1;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=34;break a}if((ce[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=36;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 29:{l=26;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=39;break a}if((ce[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=41;break a}c[j>>2]=(c[j>>2]|0)+4;break};default:{l=43;break a}}break};case 29:{l=4;break a;break};case 22:case 24:case 25:case 26:case 27:{c[j>>2]=(c[j>>2]|0)+1;break};case 14:{l=55;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=47;break a}b=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((b|0)==14){break}m=b;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=52;break a}}l=55;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=12;break a}if((ce[c[k+336>>2]&127](k,c[j>>2]|0)|0)==0){l=14;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=17;break a}if((ce[c[k+340>>2]&127](k,c[j>>2]|0)|0)==0){l=19;break a}c[j>>2]=(c[j>>2]|0)+4;break};default:{l=135;break a}}if((l|0)==55){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=57;break a}n=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((n|0)==12){break}if((n|0)==13){break}m=n;if(!((m|0)==21|(m|0)==10|(m|0)==9)){l=63;break a}}c[j>>2]=(c[j>>2]|0)+1;while(1){if((c[j>>2]|0)==(e|0)){l=67;break a}m=d[k+76+(d[c[j>>2]|0]|0)|0]|0;if((m|0)==(n|0)){break}switch(m|0){case 7:{if((e-(c[j>>2]|0)|0)<4){l=82;break a}if((ce[c[k+364>>2]&127](k,c[j>>2]|0)|0)!=0){l=84;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 6:{if((e-(c[j>>2]|0)|0)<3){l=77;break a}if((ce[c[k+360>>2]&127](k,c[j>>2]|0)|0)!=0){l=79;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 0:case 1:case 8:{l=86;break a;break};case 3:{o=Xs(k,(c[j>>2]|0)+1|0,e,j)|0;if((o|0)<=0){l=88;break a}break};case 2:{l=92;break a;break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=72;break a}if((ce[c[k+356>>2]&127](k,c[j>>2]|0)|0)!=0){l=74;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{c[j>>2]=(c[j>>2]|0)+1}}}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=96;break}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 21:case 9:case 10:{break};case 17:{l=99;break a;break};case 11:{l=100;break a;break};default:{l=101;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){l=104;break a}switch(d[k+76+(d[c[j>>2]|0]|0)|0]|0){case 6:{l=113;break b;break};case 7:{l=118;break b;break};case 29:{l=106;break a;break};case 21:case 9:case 10:{break};case 11:{l=124;break a;break};case 17:{l=126;break a;break};case 22:case 24:{l=107;break b;break};case 5:{l=108;break b;break};default:{l=132;break a}}}if((l|0)==107){l=0;c[j>>2]=(c[j>>2]|0)+1}else if((l|0)==108){l=0;if((e-(c[j>>2]|0)|0)<2){l=109;break}if((ce[c[k+344>>2]&127](k,c[j>>2]|0)|0)==0){l=111;break}c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==113){l=0;if((e-(c[j>>2]|0)|0)<3){l=114;break}if((ce[c[k+348>>2]&127](k,c[j>>2]|0)|0)==0){l=116;break}c[j>>2]=(c[j>>2]|0)+3}else if((l|0)==118){l=0;if((e-(c[j>>2]|0)|0)<4){l=119;break}if((ce[c[k+352>>2]&127](k,c[j>>2]|0)|0)==0){l=121;break}c[j>>2]=(c[j>>2]|0)+4}}}if((l|0)==4){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==7){p=-2;q=p;i=h;return q|0}else if((l|0)==9){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==12){p=-2;q=p;i=h;return q|0}else if((l|0)==14){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==17){p=-2;q=p;i=h;return q|0}else if((l|0)==19){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==22){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==24){p=-1;q=p;i=h;return q|0}else if((l|0)==26){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==29){p=-2;q=p;i=h;return q|0}else if((l|0)==31){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==34){p=-2;q=p;i=h;return q|0}else if((l|0)==36){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==39){p=-2;q=p;i=h;return q|0}else if((l|0)==41){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==43){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==47){p=-1;q=p;i=h;return q|0}else if((l|0)==52){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==57){p=-1;q=p;i=h;return q|0}else if((l|0)==63){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==67){p=-1;q=p;i=h;return q|0}else if((l|0)==72){p=-2;q=p;i=h;return q|0}else if((l|0)==74){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==77){p=-2;q=p;i=h;return q|0}else if((l|0)==79){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==82){p=-2;q=p;i=h;return q|0}else if((l|0)==84){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==86){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==88){if((o|0)==0){c[f>>2]=c[j>>2]}p=o;q=p;i=h;return q|0}else if((l|0)==92){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==96){p=-1;q=p;i=h;return q|0}else if((l|0)!=99)if((l|0)==100){l=125}else if((l|0)==101){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==104){p=-1;q=p;i=h;return q|0}else if((l|0)==106){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==109){p=-2;q=p;i=h;return q|0}else if((l|0)==111){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==114){p=-2;q=p;i=h;return q|0}else if((l|0)==116){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==119){p=-2;q=p;i=h;return q|0}else if((l|0)==121){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==124){l=125}else if((l|0)!=126)if((l|0)==132){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==135){c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}else if((l|0)==137){p=-1;q=p;i=h;return q|0}if((l|0)==125){c[f>>2]=(c[j>>2]|0)+1;p=1;q=p;i=h;return q|0}c[j>>2]=(c[j>>2]|0)+1;if((c[j>>2]|0)==(e|0)){p=-1;q=p;i=h;return q|0}if((a[c[j>>2]|0]|0)==62){c[f>>2]=(c[j>>2]|0)+1;p=3;q=p;i=h;return q|0}else{c[f>>2]=c[j>>2];p=0;q=p;i=h;return q|0}return 0}function ft(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=3){h=1}else{j=a[g]|0;if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+1|0;j=a[g]|0;if((j|0)!=109)if((j|0)==77){f=1}else{h=1;break}g=g+1|0;j=a[g]|0;if((j|0)==76){f=1}else if((j|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function gt(a,b,e,f,g){a=a|0;b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=a;a=b;b=e;e=f;f=g;a:while(1){if((b|0)==(e|0)){k=29;break}g=d[a+76+(d[b]|0)|0]|0;switch(g|0){case 0:case 1:case 8:{k=19;break a;break};case 6:{if((e-b|0)<3){k=10;break a}if((ce[c[a+360>>2]&127](a,b)|0)!=0){k=12;break a}b=b+3|0;break};case 12:case 13:{b=b+1|0;if((g|0)==(j|0)){k=22;break a}break};case 5:{if((e-b|0)<2){k=5;break a}if((ce[c[a+356>>2]&127](a,b)|0)!=0){k=7;break a}b=b+2|0;break};case 7:{if((e-b|0)<4){k=15;break a}if((ce[c[a+364>>2]&127](a,b)|0)!=0){k=17;break a}b=b+4|0;break};default:{b=b+1|0}}}b:do{if((k|0)==5){l=-2}else if((k|0)==7){c[f>>2]=b;l=0}else if((k|0)==10){l=-2}else if((k|0)==12){c[f>>2]=b;l=0}else if((k|0)==15){l=-2}else if((k|0)==17){c[f>>2]=b;l=0}else if((k|0)==19){c[f>>2]=b;l=0}else if((k|0)==22){if((b|0)==(e|0)){l=-27;break}c[f>>2]=b;switch(d[a+76+(d[b]|0)|0]|0|0){case 21:case 9:case 10:case 11:case 30:case 20:{l=27;break b;break};default:{l=0;break b}}}else if((k|0)==29){l=-1}}while(0);i=h;return l|0}function ht(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{f=d[h+76+(d[a]|0)|0]|0;if((f|0)==20){c[e>>2]=a+1;j=33;break}else if((f|0)==22|(f|0)==24){a=a+1|0;b:while(1){if((a|0)==(b|0)){k=20;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:{break};case 21:case 9:case 10:{break b;break};case 30:{k=11;break b;break};default:{k=18;break b}}a=a+1|0}do{if((k|0)==11){if((a+1|0)==(b|0)){j=-1;break a}l=d[h+76+(d[a+1|0]|0)|0]|0;if((l|0)==21|(l|0)==9|(l|0)==10|(l|0)==30){c[e>>2]=a;j=0;break a}else{break}}else if((k|0)==18){c[e>>2]=a;j=0;break a}else if((k|0)==20){j=-1;break a}}while(0);c[e>>2]=a;j=16;break}else if((f|0)==27){j=at(h,a+1|0,b,e)|0;break}else{c[e>>2]=a;j=0;break}}}while(0);i=g;return j|0}function it(a,b,e,f){a=a|0;b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=e;e=f;a:do{if((a|0)==(b|0)){j=-1}else{b:do{switch(d[h+76+(d[a]|0)|0]|0|0){case 22:case 24:{a=a+1|0;break};case 5:{if((b-a|0)<2){j=-2;break a}if((ce[c[h+344>>2]&127](h,a)|0)!=0){a=a+2|0;break b}else{c[e>>2]=a;j=0;break a}break};case 7:{if((b-a|0)<4){j=-2;break a}if((ce[c[h+352>>2]&127](h,a)|0)!=0){a=a+4|0;break b}else{c[e>>2]=a;j=0;break a}break};case 29:{c[e>>2]=a;j=0;break a;break};case 6:{if((b-a|0)<3){j=-2;break a}if((ce[c[h+348>>2]&127](h,a)|0)!=0){a=a+3|0;break b}else{c[e>>2]=a;j=0;break a}break};default:{c[e>>2]=a;j=0;break a}}}while(0);c:while(1){if((a|0)==(b|0)){k=45;break}switch(d[h+76+(d[a]|0)|0]|0|0){case 5:{if((b-a|0)<2){k=28;break c}if((ce[c[h+332>>2]&127](h,a)|0)==0){k=30;break c}a=a+2|0;break};case 7:{if((b-a|0)<4){k=38;break c}if((ce[c[h+340>>2]&127](h,a)|0)==0){k=40;break c}a=a+4|0;break};case 29:{k=25;break c;break};case 6:{if((b-a|0)<3){k=33;break c}if((ce[c[h+336>>2]&127](h,a)|0)==0){k=35;break c}a=a+3|0;break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{k=42;break c;break};case 22:case 24:case 25:case 26:case 27:{a=a+1|0;break};default:{k=43;break c}}}if((k|0)==25){c[e>>2]=a;j=0;break}else if((k|0)==28){j=-2;break}else if((k|0)==30){c[e>>2]=a;j=0;break}else if((k|0)==33){j=-2;break}else if((k|0)==35){c[e>>2]=a;j=0;break}else if((k|0)==38){j=-2;break}else if((k|0)==40){c[e>>2]=a;j=0;break}else if((k|0)==42){c[e>>2]=a;j=20;break}else if((k|0)==43){c[e>>2]=a;j=0;break}else if((k|0)==45){j=-20;break}}}while(0);i=g;return j|0}function jt(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)!=(d|0)){j=(c[e>>2]|0)!=(f|0)}else{j=0}if(!j){break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}i=b;return}function kt(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0;a=i;j=e;e=f;f=g;g=h;while(1){if((c[j>>2]|0)!=(e|0)){k=(c[f>>2]|0)!=(g|0)}else{k=0}if(!k){break}h=j;l=c[h>>2]|0;c[h>>2]=l+1;h=d[l]|0;l=f;m=c[l>>2]|0;c[l>>2]=m+2;b[m>>1]=h}i=a;return}function lt(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;b=i;h=d;d=e;e=f;f=g;while(1){if((c[h>>2]|0)==(d|0)){j=3;break}g=a[c[h>>2]|0]|0;if((g&128|0)!=0){if((f-(c[e>>2]|0)|0)<2){j=6;break}k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=(g&255)>>6|192;l=e;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=g&63|128;g=h;c[g>>2]=(c[g>>2]|0)+1}else{if((c[e>>2]|0)==(f|0)){j=9;break}g=h;k=c[g>>2]|0;c[g>>2]=k+1;g=a[k]|0;k=e;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=g}}if((j|0)==3){i=b;return}else if((j|0)==6){i=b;return}else if((j|0)==9){i=b;return}}function mt(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;k=i;l=b;b=e;e=f;f=g;g=h;h=j;if((f|0)==(g|0)){m=-4;n=m;i=k;return n|0}j=c[b+76>>2]|0;do{if((f+1|0)==(g|0)){o=a[b+73|0]|0;if((o|0)==3|(o|0)==5|(o|0)==4){m=-1;n=m;i=k;return n|0}a:do{switch(d[f]|0){case 254:case 255:case 239:{do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}p=12;break a}}while(0);break};case 0:case 60:{break};default:{p=12}}}while(0);if((p|0)==12){break}m=-1;n=m;i=k;return n|0}else{o=d[f|0]<<8|d[f+1|0];b:do{if((o|0)==15360){if((a[b+73|0]|0)==4){p=20}else{if((a[b+73|0]|0)==3){p=20}}do{if((p|0)==20){if((e|0)!=1){break}break b}}while(0);c[j>>2]=c[l+20>>2];m=fe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}else if((o|0)==61371){c:do{if((e|0)==1){q=a[b+73|0]|0;do{if((q|0)!=0){if((q|0)==4){break}if((q|0)==5){break}if((q|0)==3){break}break c}}while(0);break b}}while(0);if((f+2|0)==(g|0)){m=-1;n=m;i=k;return n|0}if((d[f+2|0]|0)!=191){break}c[h>>2]=f+3;c[j>>2]=c[l+8>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65534){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+20>>2];m=14;n=m;i=k;return n|0}else if((o|0)==65279){do{if((a[b+73|0]|0)==0){if((e|0)!=1){break}break b}}while(0);c[h>>2]=f+2;c[j>>2]=c[l+16>>2];m=14;n=m;i=k;return n|0}else{if((a[f|0]|0)==0){do{if((e|0)==1){if((a[b+73|0]|0)!=5){break}break b}}while(0);c[j>>2]=c[l+16>>2];m=fe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}if((a[f+1|0]|0)!=0){break}if((e|0)==1){break}c[j>>2]=c[l+20>>2];m=fe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}}while(0)}}while(0);c[j>>2]=c[l+(a[b+73|0]<<2)>>2];m=fe[c[(c[j>>2]|0)+(e<<2)>>2]&127](c[j>>2]|0,f,g,h)|0;n=m;i=k;return n|0}function nt(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=b;b=d;d=e;e=f;f=g;g=h;if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}if((pt(ot(k,a,b)|0)|0)==0){c[g>>2]=a;l=0;m=l;i=j;return m|0}do{a=a+(c[k+68>>2]|0)|0;}while((pt(ot(k,a,b)|0)|0)!=0);if((a|0)==(b|0)){c[d>>2]=0;l=1;m=l;i=j;return m|0}c[d>>2]=a;while(1){n=ot(k,a,b)|0;if((n|0)==-1){o=12;break}if((n|0)==61){o=14;break}if((pt(n)|0)!=0){o=16;break}a=a+(c[k+68>>2]|0)|0}do{if((o|0)==12){c[g>>2]=a;l=0;m=l;i=j;return m|0}else if((o|0)==14){c[e>>2]=a}else if((o|0)==16){c[e>>2]=a;do{a=a+(c[k+68>>2]|0)|0;h=ot(k,a,b)|0;n=h;}while((pt(h)|0)!=0);if((n|0)==61){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);if((a|0)==(c[d>>2]|0)){c[g>>2]=a;l=0;m=l;i=j;return m|0}a=a+(c[k+68>>2]|0)|0;n=ot(k,a,b)|0;while(1){if((pt(n)|0)==0){break}a=a+(c[k+68>>2]|0)|0;n=ot(k,a,b)|0}do{if((n|0)!=34){if((n|0)==39){break}c[g>>2]=a;l=0;m=l;i=j;return m|0}}while(0);d=n&255;a=a+(c[k+68>>2]|0)|0;c[f>>2]=a;a:while(1){n=ot(k,a,b)|0;if((n|0)==(d<<24>>24|0)){break}if(97<=(n|0)){if((n|0)>122){o=36}}else{o=36}do{if((o|0)==36){o=0;if(65<=(n|0)){if((n|0)<=90){break}}if(48<=(n|0)){if((n|0)<=57){break}}if((n|0)==46){break}if((n|0)==45){break}if((n|0)!=95){o=43;break a}}}while(0);a=a+(c[k+68>>2]|0)|0}if((o|0)==43){c[g>>2]=a;l=0;m=l;i=j;return m|0}c[g>>2]=a+(c[k+68>>2]|0);l=1;m=l;i=j;return m|0}function ot(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=b;c[g>>2]=d;c[j>>2]=h;Pd[c[k+60>>2]&31](k,g,e,j,(c[j>>2]|0)+1|0);if((c[j>>2]|0)==(h|0)){l=-1;m=l;i=f;return m|0}else{l=a[h|0]|0;m=l;i=f;return m|0}return 0}function pt(a){a=a|0;var b=0,c=0;b=a;if((b|0)==32|(b|0)==13|(b|0)==10|(b|0)==9){c=1}else{c=0}i=i;return c|0}function qt(a){a=a|0;var b=0;b=a;c[b>>2]=2;c[b+16>>2]=1;c[b+12>>2]=0;c[b+20>>2]=0;i=i;return}function rt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 14:{j=0;break};case 16:{if((fe[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,1626704)|0)!=0){c[h>>2]=96;j=3;break a}else{k=11;break a}break};case 15:{c[h>>2]=76;j=0;break};case 29:{c[h>>2]=110;j=2;break};case 13:{c[h>>2]=76;j=56;break};case 12:{c[h>>2]=76;j=1;break};case 11:{c[h>>2]=76;j=55;break};default:{k=11}}}while(0);if((k|0)==11){j=vt(h,a)|0}i=g;return j|0}function st(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;a:do{switch(a|0){case 26:{j=12;break};case 15:{k=0;break};case 33:{c[h>>2]=20;k=0;break};case-4:{if((c[h+12>>2]|0)!=0){j=12;break a}else{k=0;break a}break};case 34:{if((c[h+12>>2]|0)==0){j=12;break a}else{b=h+12|0;c[b>>2]=(c[b>>2]|0)-1;k=0;break a}break};default:{k=ut(h,a,d,e,f)|0}}}while(0);if((j|0)==12){k=vt(h,a)|0}i=g;return k|0}function tt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=0;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((fe[c[e+28>>2]&127](e,b,d,1626608)|0)!=0){c[h>>2]=22;j=0;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,1626624)|0)==0){break}c[h>>2]=24;j=0;k=j;i=g;return k|0}}while(0);j=vt(h,a)|0;k=j;i=g;return k|0}function ut(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;a:do{switch(a|0){case-4:{j=0;break};case 26:{c[h>>2]=120;j=3;break};case 15:{j=0;break};case 11:{j=55;break};case 16:{if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,1626664)|0)!=0){c[h>>2]=38;j=11;break a}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,1626720)|0)!=0){c[h>>2]=90;j=33;break a}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,1626696)|0)!=0){c[h>>2]=66;j=39;break a}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]<<1)|0,d,1626544)|0)!=0){c[h>>2]=6;j=17;break a}else{k=17;break a}break};case 28:{j=60;break};case 13:{j=56;break};default:{k=17}}}while(0);if((k|0)==17){j=vt(h,a)|0}i=g;return j|0}function vt(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;do{if((c[e+16>>2]|0)==0){if((b|0)!=28){break}f=59;g=f;i=d;return g|0}}while(0);c[e>>2]=110;f=-1;g=f;i=d;return g|0}function wt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i=i;return 0}function xt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18){c[e>>2]=34;g=9}else if((b|0)==22){c[e>>2]=40;g=11}else if((b|0)==15){g=11}else{g=vt(e,a)|0}i=f;return g|0}function yt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=88;g=34}else{g=vt(e,a)|0}i=f;return g|0}function zt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=68;g=40}else if((b|0)==15){g=39}else{g=vt(e,a)|0}i=f;return g|0}function At(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==18){c[e>>2]=4;g=18}else{g=vt(e,a)|0}i=f;return g|0}function Bt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==15){g=3}else{g=vt(e,a)|0}i=f;return g|0}function Ct(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==29){c[e>>2]=110;g=2}else if((b|0)==15){g=0}else if((b|0)==11){g=55}else if((b|0)==13){g=56}else{g=vt(e,a)|0}i=f;return g|0}function Dt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;if((f|0)==15){j=17;k=j;i=g;return k|0}else if((f|0)==18){l=3}do{if((l|0)==3){if((fe[c[e+28>>2]&127](e,b,d,1626504)|0)!=0){c[h>>2]=8;j=17;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,1626528)|0)==0){break}c[h>>2]=10;j=17;k=j;i=g;return k|0}}while(0);j=vt(h,a)|0;k=j;i=g;return k|0}function Et(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else{g=vt(e,a)|0}i=f;return g|0}function Ft(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=12;g=21}else if((b|0)==15){g=17}else{g=vt(e,a)|0}i=f;return g|0}function Gt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=17}else if((b|0)==27){c[e>>2]=52;c[e+8>>2]=17;g=19}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=20}else{g=vt(e,a)|0}i=f;return g|0}function Ht(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=c[e+8>>2]|0;h=g;i=f;return h|0}else if((b|0)==15){g=c[e+8>>2]|0;h=g;i=f;return h|0}else{g=vt(e,a)|0;h=g;i=f;return h|0}return 0}function It(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=39;k=j;i=g;return k|0}else if((f|0)==23){c[h>>2]=62;c[h+4>>2]=1;j=44;k=j;i=g;return k|0}else if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,1626688)|0)!=0){c[h>>2]=52;c[h+8>>2]=39;j=42;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,1626728)|0)==0){break}c[h>>2]=52;c[h+8>>2]=39;j=41;k=j;i=g;return k|0}}while(0);j=vt(h,a)|0;k=j;i=g;return k|0}function Jt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 31:{c[h>>2]=56;j=52;break};case 15:{j=39;break};case 18:case 41:{c[h>>2]=56;j=51;break};case 20:{if((fe[c[b+28>>2]&127](b,d+(c[b+68>>2]|0)|0,e,1626536)|0)!=0){c[h>>2]=64;j=43;break a}else{k=11;break a}break};case 32:{c[h>>2]=56;j=54;break};case 30:{c[h>>2]=56;j=53;break};case 23:{c[h+4>>2]=2;c[h>>2]=70;j=44;break};default:{k=11}}}while(0);if((k|0)==11){j=vt(h,a)|0}i=g;return j|0}function Kt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==21){c[e>>2]=58;g=39}else if((b|0)==15){g=39}else if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else if((b|0)==24){c[e>>2]=52;c[e+8>>2]=39;g=45}else{g=vt(e,a)|0}i=f;return g|0}function Lt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;switch(a|0){case 18:case 41:{c[e>>2]=56;g=51;break};case 15:{g=39;break};case 32:{c[e>>2]=56;g=54;break};case 30:{c[e>>2]=56;g=53;break};case 23:{b=e+4|0;c[b>>2]=(c[b>>2]|0)+1;g=44;break};case 31:{c[e>>2]=56;g=52;break};default:{g=vt(e,a)|0}}i=f;return g|0}function Mt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=i;e=a;a=b;switch(a|0){case 15:{g=39;h=g;i=f;return h|0};case 38:{c[e>>2]=70;g=50;h=g;i=f;return h|0};case 24:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=45;h=g;i=f;return h|0};case 21:{c[e>>2]=70;g=49;h=g;i=f;return h|0};case 35:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=47;h=g;i=f;return h|0};case 37:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=48;h=g;i=f;return h|0};case 36:{b=e+4|0;c[b>>2]=(c[b>>2]|0)-1;if((c[e+4>>2]|0)==0){c[e>>2]=52;c[e+8>>2]=39}g=46;h=g;i=f;return h|0};default:{g=vt(e,a)|0;h=g;i=f;return h|0}}return 0}function Nt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==18|(b|0)==41){c[e>>2]=60;g=51}else if((b|0)==15){g=39}else{g=vt(e,a)|0}i=f;return g|0}function Ot(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==21){c[e>>2]=58;g=39}else if((b|0)==15){g=39}else if((b|0)==36){c[e>>2]=52;c[e+8>>2]=39;g=46}else{g=vt(e,a)|0}i=f;return g|0}function Pt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18|(b|0)==41){c[e>>2]=94;g=22}else if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=33}else{g=vt(e,a)|0}i=f;return g|0}function Qt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==23){c[h>>2]=92;j=33;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}else if((f|0)==18){l=0;while(1){if((l|0)>=8){break}if((fe[c[e+28>>2]&127](e,b,d,c[20400+(l<<2)>>2]|0)|0)!=0){m=6;break}l=l+1|0}if((m|0)==6){c[h>>2]=80;j=l+23|0;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,1626544)|0)==0){break}c[h>>2]=82;j=33;k=j;i=g;return k|0}}while(0);j=vt(h,a)|0;k=j;i=g;return k|0}function Rt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=88;j=37;k=j;i=g;return k|0}else if((f|0)==20){if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,1626616)|0)!=0){c[h>>2]=88;j=35;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,1626512)|0)!=0){c[h>>2]=88;j=36;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b+(c[e+68>>2]|0)|0,d,1626656)|0)==0){break}c[h>>2]=78;j=33;k=j;i=g;return k|0}else if((f|0)==15){j=33;k=j;i=g;return k|0}}while(0);j=vt(h,a)|0;k=j;i=g;return k|0}function St(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==23){c[e>>2]=14;g=33}else{g=vt(e,a)|0}i=f;return g|0}function Tt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==19|(b|0)==18|(b|0)==41){c[e>>2]=84;g=31}else if((b|0)==15){g=33}else{g=vt(e,a)|0}i=f;return g|0}function Ut(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==21){c[e>>2]=92;g=33}else if((b|0)==24){c[e>>2]=80;g=33}else{g=vt(e,a)|0}i=f;return g|0}function Vt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=33}else if((b|0)==18){c[e>>2]=86;g=32}else{g=vt(e,a)|0}i=f;return g|0}function Wt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==24){c[e>>2]=80;g=33}else if((b|0)==15){g=33}else if((b|0)==21){c[e>>2]=14;g=33}else{g=vt(e,a)|0}i=f;return g|0}function Xt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=88;g=38}else if((b|0)==15){g=33}else{g=vt(e,a)|0}i=f;return g|0}function Yt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=16;g=10}else{g=vt(e,a)|0}i=f;return g|0}function Zt(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,1626504)|0)!=0){c[h>>2]=112;j=11;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,1626528)|0)==0){break}c[h>>2]=36;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=vt(h,a)|0;k=j;i=g;return k|0}function _t(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==27){c[e>>2]=72;g=13}else if((b|0)==15){g=11}else{g=vt(e,a)|0}i=f;return g|0}function $t(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=112;g=14}else{g=vt(e,a)|0}i=f;return g|0}function au(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;f=a;do{if((f|0)==18){if((fe[c[b+28>>2]&127](b,d,e,1626584)|0)==0){break}c[h>>2]=42;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}else if((f|0)==17){c[h>>2]=(c[h+16>>2]|0)!=0?106:28;j=15;k=j;i=g;return k|0}}while(0);j=vt(h,a)|0;k=j;i=g;return k|0}function bu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==18){c[e>>2]=52;c[e+8>>2]=11;g=16}else{g=vt(e,a)|0}i=f;return g|0}function cu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==27){c[h>>2]=52;c[h+8>>2]=11;j=12;k=j;i=g;return k|0}else if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,1626504)|0)!=0){c[h>>2]=32;j=11;k=j;i=g;return k|0}if((fe[c[e+28>>2]&127](e,b,d,1626528)|0)==0){break}c[h>>2]=30;j=11;k=j;i=g;return k|0}else if((f|0)==15){j=11;k=j;i=g;return k|0}}while(0);j=vt(h,a)|0;k=j;i=g;return k|0}function du(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=44;g=13}else{g=vt(e,a)|0}i=f;return g|0}function eu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=11}else if((b|0)==27){c[e>>2]=32;g=14}else{g=vt(e,a)|0}i=f;return g|0}function fu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=(c[e+16>>2]|0)!=0?106:28;g=15}else if((b|0)==15){g=11}else{g=vt(e,a)|0}i=f;return g|0}function gu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=28;b=e+12|0;c[b>>2]=(c[b>>2]|0)+1;g=0}else{g=vt(e,a)|0}i=f;return g|0}function hu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=0}else if((b|0)==25){c[e>>2]=28;g=58}else{g=vt(e,a)|0}i=f;return g|0}function iu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=f;a:do{switch(a|0){case 16:{if((fe[c[b+28>>2]&127](b,d+(c[b+68>>2]<<1)|0,e,1626704)|0)!=0){c[h>>2]=96;j=3;break a}else{k=10;break a}break};case 29:{c[h>>2]=110;j=2;break};case 11:{j=55;break};case 13:{j=56;break};case 15:{j=0;break};case 14:{j=0;break};default:{k=10}}}while(0);if((k|0)==10){j=vt(h,a)|0}i=g;return j|0}function ju(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==18|(b|0)==41){c[e>>2]=122;g=4}else{g=vt(e,a)|0}i=f;return g|0}function ku(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=a;a=b;b=d;d=e;e=f;f=a;do{if((f|0)==15){j=3}else if((f|0)==17){c[h>>2]=74;j=8}else if((f|0)==18){if((fe[c[e+28>>2]&127](e,b,d,1626504)|0)!=0){c[h>>2]=124;j=3;break}if((fe[c[e+28>>2]&127](e,b,d,1626528)|0)!=0){c[h>>2]=100;j=3;break}else{k=10;break}}else if((f|0)==25){c[h>>2]=106;j=7}else{k=10}}while(0);if((k|0)==10){j=vt(h,a)|0}i=g;return j|0}function lu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=118;g=5}else{g=vt(e,a)|0}i=f;return g|0}function mu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==15){g=3}else if((b|0)==27){c[e>>2]=124;g=6}else{g=vt(e,a)|0}i=f;return g|0}function nu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0;f=i;e=a;a=b;b=a;if((b|0)==17){c[e>>2]=74;g=8}else if((b|0)==15){g=3}else if((b|0)==25){c[e>>2]=106;g=7}else{g=vt(e,a)|0}i=f;return g|0}function ou(){return}function pu(){return}function qu(){Dc(1636696,0)|0;pu();return}function ru(){NY(1627520|0,0|0,112|0)|0;NY(1636784|0,0|0,112|0)|0;NY(1636896|0,0|0,112|0)|0;c[406881]=1;c[406882]=1;return}function su(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;e=b;b=i;i=i+24|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];c[b+8>>2]=c[e+8>>2];c[b+12>>2]=c[e+12>>2];c[b+16>>2]=c[e+16>>2];c[b+20>>2]=c[e+20>>2];e=c[b+4>>2]|0;f=c[b+8>>2]|0;g=c[b+12>>2]|0;h=c[b+16>>2]|0;j=(c[b+20>>2]|0)!=0?49104:48320;kd(a|0,49816,(a=i,i=i+48|0,c[a>>2]=c[b>>2],c[a+8>>2]=e,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,c[a+40>>2]=j,a)|0)|0;i=a;i=d;return}function tu(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;h=i;j=1636896+(d<<2)|0;k=1636784+(d<<2)|0;l=1626136+(b<<2)|0;m=1626160+(d<<2)|0;n=(g|0)!=0;g=f;f=e;a:while(1){b:do{if(n){vc(43784,(o=i,i=i+8|0,c[o>>2]=43016,o)|0)|0;i=o;p=43016}else{if((c[409252]|0)==(d|0)){if((c[k>>2]|0)>0){q=43016}else{r=5}}else{r=5}if((r|0)==5){r=0;q=c[m>>2]|0}vc(43784,(o=i,i=i+8|0,c[o>>2]=q,o)|0)|0;i=o;do{if((c[409252]|0)==(d|0)){if((c[j>>2]|0)!=(b|0)){break}if((c[k>>2]|0)>0){p=43016;break b}}}while(0);p=c[l>>2]|0}}while(0);vc(42336,(o=i,i=i+8|0,c[o>>2]=p,o)|0)|0;i=o;c[j>>2]=b;c[409252]=d;if((c[k>>2]|0)>0){e=0;while(1){vc(41632,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0)|0;i=o;s=e+1|0;if((s|0)<(c[k>>2]|0)){e=s}else{t=0;break}}}else{t=0}while(1){u=g+t|0;e=a[u]|0;if((e<<24>>24|0)==0){break a}else if((e<<24>>24|0)==10){break}t=t+1|0}a[u]=0;Cc(g|0)|0;n=1;g=g+(t+1)|0;f=0}Cc(g|0)|0;Sa(0)|0;if((f|0)==0){i=h;return}c[k>>2]=(c[k>>2]|0)+1;i=h;return}function uu(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0;f=i;h=c[1626136+(a<<2)>>2]|0;vc(40200,(a=i,i=i+16|0,c[a>>2]=c[1626160+(b<<2)>>2],c[a+8>>2]=h,a)|0)|0;i=a;vu(e);if((g|0)==0){e=c[r>>2]|0;Za(((d|0)!=0?39472:37472)|0,e|0)|0;j=e;k=Sa(j|0)|0;i=f;return}Cc(7888)|0;if((c[g>>2]|0)>=1){e=1;do{vc(39200,(a=i,i=i+8|0,c[a>>2]=c[g+(e<<2)>>2],a)|0)|0;i=a;e=e+1|0;}while((e|0)<=(c[g>>2]|0))}g=c[r>>2]|0;if((d|0)!=0){j=g;k=Sa(j|0)|0;i=f;return}Xa(38296,11,1,g|0)|0;j=g;k=Sa(j|0)|0;i=f;return}function vu(b){b=b|0;var d=0,e=0;d=c[r>>2]|0;e=b;while(1){b=a[e]|0;if((b<<24>>24|0)==62){Xa(35320,4,1,d|0)|0}else if((b<<24>>24|0)==38){Xa(36600,5,1,d|0)|0}else if((b<<24>>24|0)==60){Xa(36032,4,1,d|0)|0}else if((b<<24>>24|0)==0){break}else{Va(b<<24>>24|0,d|0)|0}e=e+1|0}return}function wu(a){a=a|0;var b=0;b=1636784+(a<<2)|0;c[b>>2]=(c[b>>2]|0)-1;return}function xu(a){a=a|0;var b=0;b=(a|0)==0;c[3536]=b?36:12;c[3538]=b?194:138;return}function yu(a){a=a|0;a=c[r>>2]|0;Xa(38296,11,1,a|0)|0;Sa(a|0)|0;return}function zu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+2064|0;h=g+2048|0;if((c[1627520+(a<<2)>>2]|0)==0){i=g;return}j=h;c[j>>2]=f;c[j+4>>2]=0;j=g|0;dd(j|0,2048,e|0,h|0)|0;Yd[c[3536]&63](1,a,b,j,0,d);i=g;return}function Au(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+2064|0;g=f+2048|0;if((c[1627520+(a<<2)>>2]|0)==0){i=f;return}h=g;c[h>>2]=e;c[h+4>>2]=0;h=f|0;dd(h|0,2048,d|0,g|0)|0;Yd[c[3536]&63](1,a,b,h,0,0);i=f;return}function Bu(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+2064|0;h=g|0;j=g+2048|0;do{if((c[406964]|0)==0){if((c[1627520+(a<<2)>>2]|0)!=0){break}i=g;return}}while(0);k=j;c[k>>2]=f;c[k+4>>2]=0;k=h|0;dd(k|0,2048,e|0,j|0)|0;Yd[c[3536]&63](2,a,b,k,0,d);i=g;return}function Cu(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+2064|0;g=f|0;h=f+2048|0;do{if((c[406964]|0)==0){if((c[1627520+(a<<2)>>2]|0)!=0){break}i=f;return}}while(0);j=h;c[j>>2]=e;c[j+4>>2]=0;j=g|0;dd(j|0,2048,d|0,h|0)|0;Yd[c[3536]&63](2,a,b,j,0,0);i=f;return}function Du(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+2064|0;g=f+2048|0;if((b|0)!=0){i=f;return}b=g;c[b>>2]=e;c[b+4>>2]=0;b=f|0;dd(b|0,2048,d|0,g|0)|0;Yd[c[3536]&63](4,2,0,b,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}h=od(c[409174]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}function Eu(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;i=i+2064|0;f=e+2048|0;g=f;c[g>>2]=d;c[g+4>>2]=0;g=e|0;dd(g|0,2048,b|0,f|0)|0;Yd[c[3536]&63](5,2,0,g,0,0);if((a|0)!=0){h=a;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}h=od(c[409174]|0)|0;j=h+76|0;k=c[j>>2]|0;l=k|0;Ad(l|0,1)}function Fu(a,b){a=a|0;b=b|0;return c[(c[a+8>>2]|0)+(b<<2)>>2]|0}function Gu(a,b,d){a=a|0;b=b|0;d=d|0;return Fu(a,(ga(c[(c[a+4>>2]|0)+4>>2]|0,b)|0)+d|0)|0}function Hu(a){a=a|0;var b=0,d=0,e=0;b=i;d=iY(16)|0;Du(0,(d|0)!=0|0,71312,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;c[d>>2]=0;c[d+4>>2]=0;c[d+8>>2]=a;c[d+12>>2]=0;i=b;return d|0}function Iu(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)!=0){e=d;while(1){d=c[e+4>>2]|0;jY(c[e>>2]|0);jY(e);if((d|0)==0){break}else{e=d}}}c[a+12>>2]=0;c[b>>2]=0;c[a+4>>2]=0;return}function Ju(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Du(0,(a|0)!=0|0,1596784,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=iY(8)|0;g=f;Du(0,(f|0)!=0|0,71312,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=iY(c[h>>2]|0)|0;c[f>>2]=j;Du(0,(j|0)!=0|0,71312,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;MY(j|0,b|0,c[h>>2]|0)|0;h=a|0;c[f+4>>2]=c[h>>2];f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;c[h>>2]=g;h=a+4|0;if((c[h>>2]|0)!=0){i=d;return}c[h>>2]=g;i=d;return}function Ku(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;Du(0,(a|0)!=0|0,1596784,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=iY(8)|0;g=f;Du(0,(f|0)!=0|0,71312,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;h=a+8|0;j=iY(c[h>>2]|0)|0;c[f>>2]=j;Du(0,(j|0)!=0|0,71312,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;MY(j|0,b|0,c[h>>2]|0)|0;c[f+4>>2]=0;f=a+12|0;c[f>>2]=(c[f>>2]|0)+1;f=a+4|0;h=c[f>>2]|0;if((h|0)!=0){c[h+4>>2]=g}c[f>>2]=g;f=a|0;if((c[f>>2]|0)!=0){i=d;return}c[f>>2]=g;i=d;return}function Lu(a){a=a|0;var b=0,d=0;b=i;Du(0,(a|0)!=0|0,1596784,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[a+12>>2]|0}function Mu(a){a=a|0;var b=0,d=0,e=0;b=i;Du(0,(a|0)!=0|0,1596784,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Du(0,(c[e>>2]|0)!=0|0,1336560,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[c[e>>2]>>2]|0}function Nu(a){a=a|0;var b=0,d=0,e=0;if((a|0)==0){return}b=a|0;d=c[b>>2]|0;if((d|0)==0){return}e=c[d+4>>2]|0;jY(c[d>>2]|0);jY(c[b>>2]|0);c[b>>2]=e;b=a+12|0;c[b>>2]=(c[b>>2]|0)-1;if((e|0)!=0){return}c[a+4>>2]=0;return}function Ou(a){a=a|0;var b=0,d=0,e=0;b=i;Du(0,(a|0)!=0|0,1596784,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Du(0,(c[e>>2]|0)!=0|0,71456,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function Pu(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=(a|0)!=0;Du(0,d&1,60304,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;if(!d){f=0;i=b;return f|0}f=c[a+4>>2]|0;i=b;return f|0}function Qu(a){a=a|0;var b=0,d=0,e=0;b=i;Du(0,(a|0)!=0|0,60304,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=a|0;Du(0,(c[e>>2]|0)!=0|0,51432,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;i=b;return c[e>>2]|0}function Ru(){var a=0;a=iY(16)|0;c[409176]=a;c[a+4>>2]=0;c[a+8>>2]=2097152;c[a>>2]=iY(2097152)|0;c[a+12>>2]=0;return}function Su(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=Uu(a)|0;d;Vu(b);d=c[409176]|0;a=d+4|0;e=c[a>>2]|0;f=(c[d>>2]|0)+e|0;c[a>>2]=e+b;g;NY(f|0,0,b|0)|0;return f|0}function Tu(){var a=0,b=0,d=0;a=c[409176]|0;b=c[a+12>>2]|0;if((b|0)==0){d=a}else{a=b;while(1){b=c[a+12>>2]|0;jY(c[a>>2]|0);jY(a);if((b|0)==0){break}else{a=b}}d=c[409176]|0}c[d+4>>2]=0;c[d+12>>2]=0;return 0}function Uu(a){a=a|0;return a+7&-8|0}function Vu(a){a=a|0;var b=0,d=0,e=0;b=c[409176]|0;d=b+8|0;if(!(((c[d>>2]|0)-(c[b+4>>2]|0)|0)>>>0<a>>>0)){return}e=iY(16)|0;c[e+12>>2]=b;c[409176]=e;c[e+4>>2]=0;b=Wu((((c[d>>2]|0)*3|0)>>>1)+a|0)|0;c[e+8>>2]=b;c[e>>2]=iY(b)|0;return}function Wu(a){a=a|0;var b=0;b=a-1|0;a=b>>>1|b;b=a>>>2|a;a=b>>>4|b;b=a>>>8|a;return(b>>>16|b)+1|0}function Xu(a){a=a|0;return KY(a|0)|0}function Yu(b,c){b=+b;c=c|0;var d=0,e=0,f=0;d=i;i=i+440|0;e=d|0;f=e|0;a[f]=37;TY(e+1|0,c|0)|0;c=d+40|0;Ob(c|0,f|0,(f=i,i=i+8|0,h[f>>3]=b,f)|0)|0;i=f;f=Zu(c)|0;i=d;return f|0}function Zu(a){a=a|0;var b=0,c=0;b=KY(a|0)|0;c=$u(b)|0;MY(c|0,a|0,b)|0;return c|0}function _u(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+440|0;f=e|0;g=f|0;a[g]=37;TY(f+1|0,d|0)|0;d=e+40|0;Ob(d|0,g|0,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;g=Zu(d)|0;i=e;return g|0}function $u(b){b=b|0;var d=0;d=Td[c[2171]&255](b+1|0)|0;if((d|0)==0){return d|0}a[d+b|0]=0;return d|0}function av(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=Xu(a)|0;d=Xu(b)|0;e=$u(d+c|0)|0;MY(e|0,a|0,c)|0;MY(e+c|0,b|0,d)|0;return e|0}function bv(a,b){a=a|0;b=b|0;return IY(c[a>>2]|0,c[b>>2]|0)|0}function cv(a){a=a|0;var b=0,c=0,d=0,e=0;b=(a|0)%100|0;c=(b|0)/10|0;d=(a|0)%10|0;a:do{if((a+999|0)>>>0>1998>>>0){e=-1}else{if((((a|0)%1e3|0)+99|0)>>>0>198>>>0){e=-1;break}if((d|0)==2){e=-1;break}else if((d|0)==1){if((b-50|0)>>>0>9>>>0){e=-1;break}}switch(c|0){case 4:{e=2;break a;break};case 1:{e=4;break a;break};case 0:{e=8;break a;break};case 5:{e=1;break a;break};case 2:{e=4;break a;break};case 3:{e=2;break a;break};default:{e=-1;break a}}}}while(0);return e|0}function dv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=a|0;d=c[b>>2]|0;if((d|0)!=0){Oa(d|0)|0;c[b>>2]=0}d=a+4|0;e=c[d>>2]|0;if((e|0)!=0){jY(e);c[d>>2]=0}d=a+8|0;if((c[d>>2]|0)!=0){e=a+12|0;f=0;do{jY(c[(c[e>>2]|0)+(f<<4)>>2]|0);jY(c[(c[e>>2]|0)+(f<<4)+4>>2]|0);f=f+1|0;}while(f>>>0<(c[d>>2]|0)>>>0)}c[d>>2]=0;if((c[b>>2]|0)!=0){b=a+12|0;jY(c[b>>2]|0);c[b>>2]=0}b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){jY(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;f=a+40|0;if((d&2147483647|0)!=0){a=0;e=d;while(1){d=c[(c[f>>2]|0)+(a<<2)>>2]|0;if((d|0)==0){g=e}else{jY(d);g=c[b>>2]|0}d=a+1|0;if(d>>>0<g<<1>>>0){a=d;e=g}else{break}}}c[b>>2]=0;b=c[f>>2]|0;if((b|0)==0){return}jY(b);c[f>>2]=0;return}function ev(b){b=b|0;var c=0,d=0,e=0,f=0;c=0;d=0;while(1){e=a[b+c|0]|0;if(e<<24>>24==32){f=d}else{a[b+d|0]=e;f=d+1|0}e=c+1|0;if(e>>>0>(KY(b|0)|0)>>>0){break}else{c=e;d=f}}return}function fv(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;e=i;i=i+88|0;f=e|0;j=e+24|0;k=e+72|0;NY(d|0,0,48)|0;l=xc(b|0,29872)|0;m=d|0;c[m>>2]=l;if((l|0)==0){n=Wc(c[(Vc()|0)>>2]|0)|0;i=e;return n|0}c[d+4>>2]=Ic(b|0)|0;c[d+36>>2]=0;b=f;l=d+44|0;o=f|0;p=f+12|0;q=f+16|0;r=f+4|0;s=f+8|0;f=j|0;t=k|0;u=d+8|0;v=d+12|0;w=d+16|0;x=d+20|0;y=d+28|0;z=d+24|0;A=d+32|0;B=d+40|0;d=1;C=0;a:while(1){D=gd(b|0,20,1,c[m>>2]|0)|0;a[l]=1;if((D|0)!=1){n=23928;E=131;break}D=c[o>>2]|0;if((D|0)!=(c[8592+(C<<2)>>2]|0)){if(!((C|0)>3&(D|0)==10)){n=1609544;E=131;break}a[l]=0}F=c[p>>2]|0;if(F>>>0>1>>>0){n=1603024;E=131;break}G=cv(D)|0;if((G|0)==-1){n=1599344;E=131;break}D=c[q>>2]|0;H=iY(D)|0;if((gd(H|0,D|0,1,c[m>>2]|0)|0)!=1){n=1596664;E=131;break}if((a[H+(D-1)|0]|0)!=0){n=1594824;E=131;break}D=c[r>>2]|0;I=c[s>>2]|0;J=ga(ga(ga(D,G)|0,I)|0,F+1|0)|0;if((IY(H,c[8616+(C<<2)>>2]|0)|0)!=0){n=1593432;E=131;break}jY(H);b:do{switch(C|0){case 1:{H=d<<24>>24==0;F=H?D:I;c[u>>2]=F;G=iY(F<<4)|0;c[v>>2]=G;c:do{if(d<<24>>24==1){if((I|0)==0){K=0;break}F=D+1|0;L=0;M=G;while(1){c[M+(L<<4)>>2]=iY(F)|0;if((gd(c[(c[v>>2]|0)+(L<<4)>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=1588216;E=131;break a}a[(c[(c[v>>2]|0)+(L<<4)>>2]|0)+D|0]=0;N=c[v>>2]|0;c[N+(L<<4)+8>>2]=-1;c[N+(L<<4)+12>>2]=-1;ev(c[N+(L<<4)>>2]|0);N=L+1|0;if(!(N>>>0<I>>>0)){K=I;break c}L=N;M=c[v>>2]|0}}else{K=I}}while(0);if(!H){O=d;E=130;break b}G=ga(D,K)|0;P=iY(G+1|0)|0;if((gd(P|0,G|0,1,c[m>>2]|0)|0)!=1){E=33;break a}if((D|0)!=0){G=K+1|0;M=(K|0)==0;L=0;do{F=iY(G)|0;c[(c[v>>2]|0)+(L<<4)>>2]=F;if(!M){F=0;do{N=a[P+((ga(D,F)|0)+L)|0]|0;a[(c[(c[v>>2]|0)+(L<<4)>>2]|0)+F|0]=N;F=F+1|0;}while(F>>>0<K>>>0)}a[(c[(c[v>>2]|0)+(L<<4)>>2]|0)+K|0]=0;F=c[v>>2]|0;c[F+(L<<4)+8>>2]=-1;c[F+(L<<4)+12>>2]=-1;ev(c[F+(L<<4)>>2]|0);L=L+1|0;}while(L>>>0<D>>>0)}jY(P);O=0;E=130;break};case 0:{if((D|0)!=4){n=1592296;E=131;break a}if((I|0)!=11){n=1591072;E=131;break a}if((gd(f|0,44,1,c[m>>2]|0)|0)==1){Q=0}else{n=1590088;E=131;break a}while(1){L=0;do{a[k+L|0]=a[j+((L<<2)+Q)|0]|0;L=L+1|0;}while(L>>>0<11>>>0);a[k+11|0]=0;if((Q|0)==3){break}L=Q+1|0;if(L>>>0<4>>>0){Q=L}else{O=d;E=130;break b}}if((JY(t,c[4792]|0,8)|0)==0){O=1;E=130;break b}if((JY(t,c[4794]|0,9)|0)==0){O=0;E=130}else{n=1589240;E=131;break a}break};case 3:{L=ga(I<<2,D)|0;R=iY(L)|0;M=R;if((gd(R|0,L|0,1,c[m>>2]|0)|0)!=1){E=52;break a}do{if((d<<24>>24|0)==1){if((I|0)==0){break}L=c[v>>2]|0;G=0;do{H=ga(D,G)|0;c[L+(G<<4)+8>>2]=(c[M+(H<<2)>>2]|0)==1;c[L+(G<<4)+12>>2]=c[M+(H+1<<2)>>2];G=G+1|0;}while(G>>>0<I>>>0)}else if((d<<24>>24|0)==0){if((D|0)==0){break}G=c[v>>2]|0;L=0;do{c[G+(L<<4)+8>>2]=(c[M+(L<<2)>>2]|0)==1;c[G+(L<<4)+12>>2]=c[M+(D+L<<2)>>2];L=L+1|0;}while(L>>>0<D>>>0)}}while(0);jY(R);Fc(c[v>>2]|0,c[u>>2]|0,16,64);O=d;E=130;break};case 5:{if((d<<24>>24|0)==1){c[y>>2]=I;if(I>>>0<2>>>0){n=78096;E=131;break a}c[z>>2]=D;c[A>>2]=Mb(c[m>>2]|0)|0;c[B>>2]=kY(c[z>>2]<<1,4)|0;if((sd(c[m>>2]|0,J|0,1)|0)==-1){n=77080;E=131;break a}else{O=1;E=130;break b}}else if((d<<24>>24|0)!=0){n=0;E=131;break a}c[y>>2]=D;if(D>>>0<2>>>0){n=78096;E=131;break a}c[z>>2]=I;c[A>>2]=Mb(c[m>>2]|0)|0;c[B>>2]=kY(c[z>>2]<<1,4)|0;M=ga(I,D)|0;if((a[l]|0)==1){L=iY(M<<3)|0;if((gd(L|0,J|0,1,c[m>>2]|0)|0)!=1){n=77080;E=131;break a}if((I|0)!=0){G=D<<3;H=(D|0)==0;F=D<<3;N=0;do{S=iY(G)|0;c[(c[B>>2]|0)+(N<<2)>>2]=S;if(!H){S=L+(ga(F,N)|0)|0;MY(c[(c[B>>2]|0)+(N<<2)>>2]|0,S|0,F)|0}N=N+1|0;}while(N>>>0<I>>>0)}N=c[z>>2]|0;F=N<<1;if(N>>>0<F>>>0){H=D<<3;G=(D|0)==0;S=N;do{T=iY(H)|0;c[(c[B>>2]|0)+(S<<2)>>2]=T;if(!G){T=c[B>>2]|0;U=c[T+(S-N<<2)>>2]|0;V=c[T+(S<<2)>>2]|0;T=0;do{h[V+(T<<3)>>3]=-0.0- +h[U+(T<<3)>>3];T=T+1|0;}while(T>>>0<D>>>0)}S=S+1|0;}while(S>>>0<F>>>0)}jY(L)}else{F=iY(M<<2)|0;S=F;if((gd(F|0,J|0,1,c[m>>2]|0)|0)!=1){n=77080;E=131;break a}if((I|0)!=0){N=D<<3;G=(D|0)==0;H=0;do{T=iY(N)|0;c[(c[B>>2]|0)+(H<<2)>>2]=T;if(!G){T=c[(c[B>>2]|0)+(H<<2)>>2]|0;U=0;do{h[T+(U<<3)>>3]=+g[S+((ga(D,H)|0)+U<<2)>>2];U=U+1|0;}while(U>>>0<D>>>0)}H=H+1|0;}while(H>>>0<I>>>0)}H=c[z>>2]|0;S=H<<1;if(H>>>0<S>>>0){G=D<<3;N=(D|0)==0;M=H;do{L=iY(G)|0;c[(c[B>>2]|0)+(M<<2)>>2]=L;if(!N){L=c[B>>2]|0;U=c[L+(M-H<<2)>>2]|0;T=c[L+(M<<2)>>2]|0;L=0;do{h[T+(L<<3)>>3]=-0.0- +h[U+(L<<3)>>3];L=L+1|0;}while(L>>>0<D>>>0)}M=M+1|0;}while(M>>>0<S>>>0)}jY(F)}if((sd(c[m>>2]|0,J|0,1)|0)==-1){n=77080;E=131;break a}else{O=d;E=130}break};case 4:{if((d<<24>>24|0)==1){if((D|0)==0){n=1585832;E=131;break a}if(!((I-1|0)>>>0<2>>>0)){n=1336520;E=131;break a}c[w>>2]=D;S=ga(I,D)|0;if((a[l]|0)==1){M=iY(S<<3)|0;c[x>>2]=M;if((gd(M|0,J|0,1,c[m>>2]|0)|0)!=1){n=81512;E=131;break a}}else{M=iY(S<<2)|0;H=M;c[x>>2]=iY(ga(D<<3,I)|0)|0;if((gd(M|0,J|0,1,c[m>>2]|0)|0)!=1){n=81512;E=131;break a}if((S|0)!=0){N=c[x>>2]|0;G=0;do{h[N+(G<<3)>>3]=+g[H+(G<<2)>>2];G=G+1|0;}while(G>>>0<S>>>0)}jY(M)}S=c[w>>2]|0;if(!(S>>>0>1>>>0)){O=1;E=130;break b}G=(I|0)==2;H=1;while(1){if(G){N=c[x>>2]|0;if(+h[N+(H<<3)>>3]!=+h[N+(S+H<<3)>>3]){n=80416;E=131;break a}}N=H+1|0;if(N>>>0<S>>>0){H=N}else{O=1;E=130;break b}}}else if((d<<24>>24|0)!=0){W=d;E=129;break b}if((I|0)==0){n=1585832;E=131;break a}if(!((D-1|0)>>>0<2>>>0)){n=79240;E=131;break a}c[w>>2]=I;H=ga(I,D)|0;if((a[l]|0)==1){S=iY(H<<3)|0;G=S;c[x>>2]=iY(ga(D<<3,I)|0)|0;if((gd(S|0,J|0,1,c[m>>2]|0)|0)!=1){n=81512;E=131;break a}if((D|0)!=0){M=0;do{N=c[x>>2]|0;F=0;do{h[N+((ga(I,M)|0)+F<<3)>>3]=+h[G+((ga(D,F)|0)+M<<3)>>3];F=F+1|0;}while(F>>>0<I>>>0);M=M+1|0;}while(M>>>0<D>>>0)}jY(S)}else{M=iY(H<<2)|0;G=M;c[x>>2]=iY(ga(D<<3,I)|0)|0;if((gd(M|0,J|0,1,c[m>>2]|0)|0)!=1){n=81512;E=131;break a}if((D|0)!=0){F=0;do{N=c[x>>2]|0;L=0;do{h[N+((ga(I,F)|0)+L<<3)>>3]=+g[G+((ga(D,L)|0)+F<<2)>>2];L=L+1|0;}while(L>>>0<I>>>0);F=F+1|0;}while(F>>>0<D>>>0)}jY(M)}F=c[w>>2]|0;if(!(F>>>0>1>>>0)){O=d;E=130;break b}G=(D|0)==2;H=1;while(1){if(G){S=c[x>>2]|0;if(+h[S+(H<<3)>>3]!=+h[S+(F+H<<3)>>3]){n=80416;E=131;break a}}S=H+1|0;if(S>>>0<F>>>0){H=S}else{O=d;E=130;break}}break};case 2:{if((d<<24>>24|0)==1){if((I|0)==0){W=1;E=129;break b}H=D+1|0;F=0;while(1){G=iY(H)|0;c[(c[v>>2]|0)+(F<<4)+4>>2]=G;if((gd(c[(c[v>>2]|0)+(F<<4)+4>>2]|0,D|0,1,c[m>>2]|0)|0)!=1){n=1588216;E=131;break a}a[(c[(c[v>>2]|0)+(F<<4)+4>>2]|0)+D|0]=0;G=F+1|0;if(G>>>0<I>>>0){F=G}else{O=1;E=130;break b}}}else if((d<<24>>24|0)!=0){W=d;E=129;break b}F=ga(D,I)|0;X=iY(F+1|0)|0;if((gd(X|0,F|0,1,c[m>>2]|0)|0)!=1){E=46;break a}if((D|0)!=0){F=I+1|0;H=(I|0)==0;G=0;do{M=iY(F)|0;c[(c[v>>2]|0)+(G<<4)+4>>2]=M;if(!H){M=0;do{S=a[X+((ga(D,M)|0)+G)|0]|0;a[(c[(c[v>>2]|0)+(G<<4)+4>>2]|0)+M|0]=S;M=M+1|0;}while(M>>>0<I>>>0)}a[(c[(c[v>>2]|0)+(G<<4)+4>>2]|0)+I|0]=0;G=G+1|0;}while(G>>>0<D>>>0)}jY(X);O=0;E=130;break};default:{n=76152;E=131;break a}}}while(0);if((E|0)==129){E=0;d=W;C=C+1|0;continue}else if((E|0)==130){E=0;D=C+1|0;if((D|0)<6){d=O;C=D;continue}else{n=0;E=131;break}}}if((E|0)==33){jY(P);n=1588216;i=e;return n|0}else if((E|0)==46){jY(X);n=1588216;i=e;return n|0}else if((E|0)==52){jY(R);n=1586944;i=e;return n|0}else if((E|0)==131){i=e;return n|0}return 0}function gv(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;c[e>>2]=b;b=pc(e|0,c[a+12>>2]|0,c[a+8>>2]|0,16,64)|0;i=d;return b|0}function hv(b,d){b=b|0;d=d|0;var e=0,f=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;e=(d|0)>-1?d:-d|0;f=(d|0)<0;if(f){i=(c[b+24>>2]|0)+e|0}else{i=e}d=i-1|0;if((e|0)==0){fd(75176,73872,399,1612552);return 0}i=b+24|0;j=c[i>>2]|0;if(e>>>0>j>>>0){fd(75176,73872,399,1612552);return 0}k=b+40|0;l=c[(c[k>>2]|0)+(d<<2)>>2]|0;if((l|0)!=0){m=l;return m|0}l=b+28|0;n=c[l>>2]|0;o=iY(n<<3)|0;p=o;a:do{if((a[b+44|0]|0)==1){if((n|0)==0){break}q=b|0;r=b+32|0;s=0;t=j;while(1){sd(c[q>>2]|0,(c[r>>2]|0)-8+((ga(t,s)|0)+e<<3)|0,0)|0;u=p+(s<<3)|0;if((gd(u|0,8,1,c[q>>2]|0)|0)!=1){break}if(f){h[u>>3]=-0.0- +h[u>>3]}u=s+1|0;if(!(u>>>0<(c[l>>2]|0)>>>0)){break a}s=u;t=c[i>>2]|0}jY(o);m=0;return m|0}else{t=iY(n<<2)|0;s=t;q=b|0;r=b+32|0;u=0;v=n;while(1){if(!(u>>>0<v>>>0)){break}sd(c[q>>2]|0,(c[r>>2]|0)-4+((ga(c[i>>2]|0,u)|0)+e<<2)|0,0)|0;if((gd(s+(u<<2)|0,4,1,c[q>>2]|0)|0)!=1){w=20;break}u=u+1|0;v=c[l>>2]|0}if((w|0)==20){jY(t);jY(o);m=0;return m|0}u=(v|0)==0;do{if(f){if(u){break}else{x=0}do{h[p+(x<<3)>>3]=-0.0- +g[s+(x<<2)>>2];x=x+1|0;}while(x>>>0<v>>>0)}else{if(u){break}else{y=0}do{h[p+(y<<3)>>3]=+g[s+(y<<2)>>2];y=y+1|0;}while(y>>>0<v>>>0)}}while(0);jY(t)}}while(0);c[(c[k>>2]|0)+(d<<2)>>2]=p;m=c[(c[k>>2]|0)+(d<<2)>>2]|0;return m|0}function iv(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0.0,t=0.0;j=i;i=i+8|0;k=j|0;l=(e|0)>-1?e:-e|0;m=(e|0)<0;if(m){n=(c[d+24>>2]|0)+l|0}else{n=l}if((l|0)==0){fd(75176,73872,519,1612576);return 0.0}e=c[d+24>>2]|0;if(l>>>0>e>>>0){fd(75176,73872,519,1612576);return 0.0}o=c[(c[d+40>>2]|0)+(n-1<<2)>>2]|0;if((o|0)!=0){h[b>>3]=+h[o+(f<<3)>>3];p=0.0;i=j;return+p}o=d|0;n=c[o>>2]|0;q=c[d+32>>2]|0;r=l-1+(ga(e,f)|0)|0;do{if((a[d+44|0]|0)==1){sd(n|0,q+(r<<3)|0,0)|0;f=(gd(b|0,8,1,c[o>>2]|0)|0)!=1;if(f|m^1){p=f?1.0:0.0;i=j;return+p}else{s=+h[b>>3];break}}else{sd(n|0,q+(r<<2)|0,0)|0;if((gd(k|0,4,1,c[o>>2]|0)|0)!=1){p=1.0;i=j;return+p}t=+g[k>>2];h[b>>3]=t;if(m){s=t;break}else{p=0.0}i=j;return+p}}while(0);h[b>>3]=-0.0-s;p=0.0;i=j;return+p}function jv(a,b,d,e,f,g,i){a=+a;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;j=d-1|0;d=0;while(1){k=((j-d|0)/2|0)+d|0;l=+h[b+(k<<3)>>3];if(l==a){m=k;n=l;o=3;break}p=l<a;q=p?k+1|0:d;r=p?j:k-1|0;if((r|0)>(q|0)){j=r;d=q}else{break}}if((o|0)==3){while(1){o=0;if((m|0)>=(j|0)){break}d=m+1|0;l=+h[b+(d<<3)>>3];if(n==l){m=d;n=l;o=3}else{break}}c[e>>2]=m;h[f>>3]=1.0;c[g>>2]=-1;s=0.0;h[i>>3]=s;return}do{if((r|0)==(q|0)){if(+h[b+(q<<3)>>3]<a){t=q+1|0;u=q;break}else{t=q;u=q-1|0;break}}else{t=r;u=q}}while(0);c[e>>2]=t;c[g>>2]=u;n=+h[b+(u<<3)>>3];l=(a-n)/(+h[b+(t<<3)>>3]-n);h[f>>3]=l;s=1.0-l;h[i>>3]=s;return}function kv(a){a=a|0;return+(+h[c[a+20>>2]>>3])}function lv(a){a=a|0;return+(+h[(c[a+20>>2]|0)+(c[a+16>>2]<<3)>>3])}function mv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;f=i;i=i+48|0;g=f|0;j=f+8|0;k=f+16|0;l=f+24|0;m=f+32|0;n=f+40|0;if((c[d+8>>2]|0)!=0){o=c[d+12>>2]|0;if((o|0)<0){p=-0.0- +h[(c[b+20>>2]|0)+(~o<<3)>>3]}else{p=+h[(c[b+20>>2]|0)+(o-1<<3)>>3]}h[a>>3]=p;q=0;i=f;return q|0}if(+lv(b)<e){q=1;i=f;return q|0}if(+kv(b)>e){q=1;i=f;return q|0}if((hv(b,1)|0)==0){q=1;i=f;return q|0}jv(e,c[c[b+40>>2]>>2]|0,c[b+28>>2]|0,m,g,n,j);o=c[n>>2]|0;if((o|0)==-1){q=~~+iv(a,b,c[d+12>>2]|0,c[m>>2]|0);i=f;return q|0}n=c[m>>2]|0;m=d+12|0;d=c[m>>2]|0;if((n|0)==-1){q=~~+iv(a,b,d,o);i=f;return q|0}if(+iv(k,b,d,n)!=0.0){q=1;i=f;return q|0}if(+iv(l,b,c[m>>2]|0,o)!=0.0){q=1;i=f;return q|0}h[a>>3]=+h[g>>3]*+h[k>>3]+ +h[j>>3]*+h[l>>3];q=0;i=f;return q|0}function nv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=iY(20)|0;Du(0,(e|0)!=0|0,54304,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+8>>2]=0;c[e+12>>2]=0;g=(a|0)<1?1:a;c[e+16>>2]=g;c[e+4>>2]=b;a=kY(g,b)|0;c[e>>2]=a;Du(0,(a|0)!=0|0,54304,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return e|0}function ov(a){a=a|0;jY(c[a>>2]|0);jY(a);return}function pv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;Du(0,(c[e>>2]|0)>0|0,1594200,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;Du(0,(g|0)>(b|0)|0,81056,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;g=c[e>>2]|0;Du(0,(-g|0)<(b|0)|0,81056,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=1-g,c[f+16>>2]=g-1,f)|0);i=f;f=(c[a>>2]|0)+(ga(c[a+4>>2]|0,((c[a+8>>2]|0)+b|0)%(c[a+16>>2]|0)|0)|0)|0;i=d;return f|0}function qv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a+16|0;e=a+4|0;f=kY(c[d>>2]<<1,c[e>>2]|0)|0;Du(0,(f|0)!=0|0,54304,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=a+12|0;if((c[g>>2]|0)>0){h=0;j=c[e>>2]|0;do{k=f+(ga(j,h)|0)|0;l=pv(a,h)|0;j=c[e>>2]|0;MY(k|0,l|0,j)|0;h=h+1|0;}while((h|0)<(c[g>>2]|0))}g=a|0;jY(c[g>>2]|0);c[g>>2]=f;c[d>>2]=c[d>>2]<<1;c[a+8>>2]=0;i=b;return}function rv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=a+16|0;e=c[d>>2]|0;f=a+12|0;g=c[f>>2]|0;if((e|0)<(g+1|0)){qv(a);h=c[f>>2]|0;i=c[d>>2]|0}else{h=g;i=e}e=c[a+4>>2]|0;MY((c[a>>2]|0)+(ga(e,(h+(c[a+8>>2]|0)|0)%(i|0)|0)|0)|0,b|0,e)|0;c[f>>2]=(c[f>>2]|0)+1;return}function sv(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a+12|0;Du(0,(c[e>>2]|0)>0|0,1594200,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=c[e>>2]|0;Du(0,(g|0)>(b|0)|0,81056,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=0,c[f+16>>2]=g-1,f)|0);i=f;g=(c[e>>2]|0)-1|0;Du(0,b>>>31^1,81056,(f=i,i=i+24|0,c[f>>2]=b,c[f+8>>2]=0,c[f+16>>2]=g,f)|0);i=f;f=a+8|0;c[f>>2]=((c[f>>2]|0)+b|0)%(c[a+16>>2]|0)|0;c[e>>2]=(c[e>>2]|0)-b;i=d;return}function tv(a){a=a|0;return c[a+12>>2]|0}function uv(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;f=a+12|0;Du(0,(c[f>>2]|0)>0|0,1594200,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;h=c[f>>2]|0;Du(0,(h|0)>(b|0)|0,81056,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h-1,g)|0);i=g;h=(c[f>>2]|0)-1|0;Du(0,b>>>31^1,81056,(g=i,i=i+24|0,c[g>>2]=b,c[g+8>>2]=0,c[g+16>>2]=h,g)|0);i=g;g=a+8|0;h=c[a+16>>2]|0;c[g>>2]=((ga(h-1|0,b)|0)+(c[g>>2]|0)|0)%(h|0)|0;if((d|0)==0){i=e;return}if((c[f>>2]|0)>0){j=0}else{i=e;return}do{c[d+(j<<2)>>2]=pv(a,j)|0;j=j+1|0;}while((j|0)<(c[f>>2]|0));i=e;return}function vv(a){a=a|0;return c[(c[2022]|0)+(a<<2)>>2]|0}function wv(a){a=a|0;return c[(c[2018]|0)+(a<<2)>>2]|0}function xv(a){a=a|0;return c[(c[2020]|0)+(a<<2)>>2]|0}function yv(a){a=a|0;return c[(c[2016]|0)+(a<<2)>>2]|0}function zv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=(c[2018]|0)+(a<<2)|0;d=c[b>>2]|0;e=(c[2020]|0)+(a<<2)|0;f=c[e>>2]|0;g=c[(c[2022]|0)+(a<<2)>>2]|0;if((g|0)==0){return}c[b>>2]=(d|0)!=0&d>>>0<g>>>0?d:g;c[e>>2]=f>>>0>g>>>0?f:g;return}function Av(a){a=a|0;var b=0;b=c[5310]|0;return+(+Bv(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Bv(a,b){a=a|0;b=b|0;return+(+(a|0)+ +(b|0)*1.0e-9)}function Cv(a){a=a|0;var b=0;b=c[3540]|0;return+(+Bv(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Dv(a){a=a|0;var b=0;b=c[408]|0;return+(+Bv(c[b+(a<<3)>>2]|0,c[b+(a<<3)+4>>2]|0))}function Ev(a){a=a|0;return 0}function Fv(a){a=a|0;var b=0;xb(4,(c[422]|0)+(a<<3)|0)|0;b=(c[2022]|0)+(a<<2)|0;c[b>>2]=(c[b>>2]|0)+1;return}function Gv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=c[5310]|0;f=e+(a<<3)|0;g=c[408]|0;h=g+(a<<3)|0;c[h>>2]=(c[h>>2]|0)+(c[f>>2]|0);h=e+(a<<3)+4|0;e=g+(a<<3)+4|0;c[e>>2]=(c[e>>2]|0)+(c[h>>2]|0);e=(c[2016]|0)+(a<<2)|0;c[e>>2]=(c[e>>2]|0)+(c[(c[2022]|0)+(a<<2)>>2]|0);e=c[3540]|0;g=e+(a<<3)|0;Hv(d,c[g>>2]|0,c[e+(a<<3)+4>>2]|0,c[f>>2]|0,c[h>>2]|0);h=g;g=c[d+4>>2]|0;c[h>>2]=c[d>>2];c[h+4>>2]=g;zv(a);g=c[5310]|0;c[g+(a<<3)>>2]=0;c[g+(a<<3)+4>>2]=0;c[(c[2022]|0)+(a<<2)>>2]=0;i=b;return}function Hv(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;g=a;if((Kv(b,d,e,f)|0)<0){h=f|0;i=e|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}else{h=d|0;i=b|0;j=g|0;c[j>>2]=i;k=g+4|0;c[k>>2]=h;return}}function Iv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+8|0;d=b|0;e=d;c[d>>2]=0;c[d+4>>2]=0;xb(4,e|0)|0;f=c[422]|0;g=c[5310]|0;h=g+(a<<3)|0;j=(c[d>>2]|0)-(c[f+(a<<3)>>2]|0)+(c[h>>2]|0)|0;c[h>>2]=j;d=g+(a<<3)+4|0;g=(c[e+4>>2]|0)-(c[f+(a<<3)+4>>2]|0)+(c[d>>2]|0)|0;c[d>>2]=g;if((g|0)<=999999999){i=b;return}c[h>>2]=j+1;c[d>>2]=~~(+(g|0)+-1.0e9);i=b;return}function Jv(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((a|0)<33){return}b=kY(a,8)|0;c[5310]=b;d=kY(a,8)|0;c[3540]=d;e=kY(a,8)|0;c[408]=e;f=kY(a,8)|0;c[422]=f;g=kY(a,4)|0;c[2022]=g;h=kY(a,4)|0;c[2016]=h;i=a<<2;j=iY(i)|0;c[2018]=j;k=kY(a,4)|0;c[2020]=k;NY(j|0,-1|0,i|0)|0;if((b|0)==0){fd(53160,1593792,393,1612520)}if((d|0)==0){fd(80760,1593792,394,1612520)}if((e|0)==0){fd(69760,1593792,395,1612520)}if((f|0)==0){fd(58792,1593792,396,1612520)}if((g|0)==0){fd(50184,1593792,397,1612520)}if((j|0)==0){fd(42032,1593792,398,1612520)}if((k|0)==0){fd(35160,1593792,399,1612520)}if((h|0)==0){fd(29464,1593792,400,1612520)}else{return}}function Kv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return((a|0)==(c|0)?b-d|0:a-c|0)|0}function Lv(a){a=a|0;jY(c[a+12>>2]|0);jY(c[a+4>>2]|0);jY(c[a+8>>2]|0);return}function Mv(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0.0,N=0,O=0.0,P=0.0,Q=0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0.0,wa=0.0,xa=0,ya=0,za=0,Aa=0,Ba=0.0,Ca=0,Da=0.0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0.0,Ka=0.0,La=0,Ma=0.0,Na=0.0,Oa=0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0.0,Va=0.0,Wa=0.0,Xa=0.0,Ya=0.0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;x=~w;h[2446]=.5;h[2444]=1.0;h[2443]=.25;h[2431]=2.0;h[2430]=6.283185307179586;y=u-1-(c[b>>2]|0)|0;c[412596]=y;z=c[d>>2]|0;c[412600]=1;if((z|0)>=1){A=1;do{h[o+(A-1+(c[b>>2]|0)<<3)>>3]=0.0;A=A+1|0;c[412600]=A;}while((A|0)<=(z|0))}c[412604]=1;z=(y|0)<1;if(!z){A=1;do{B=ga(A,u)|0;C=+h[i+(B+v+(c[m>>2]|0)<<3)>>3];h[2435]=C;if((A|0)<(c[j>>2]|0)){D=-0.0-C;h[2435]=D;E=D}else{E=C}F=c[d>>2]|0;c[412600]=1;a:do{if((F|0)>=1){G=1;C=E;while(1){H=o+(G-1+(c[b>>2]|0)<<3)|0;h[H>>3]=C*+h[i+(G+v+B<<3)>>3]+ +h[H>>3];H=G+1|0;c[412600]=H;if((H|0)>(F|0)){break a}G=H;C=+h[2435]}}}while(0);A=A+1|0;c[412604]=A;}while((A|0)<=(y|0))}A=c[b>>2]|0;h[2456]=+h[o+(A-1+(c[m>>2]|0)<<3)>>3];h[2454]=0.0;h[2449]=0.0;h[2442]=0.0;h[2427]=0.0;c[412612]=1;if((A|0)<1){I=0.0;J=0.0;K=0.0}else{F=1;E=0.0;while(1){B=F-1|0;G=n+(B<<3)|0;C=+h[G>>3];h[2454]=E+C*C;C=+h[f+((c[m>>2]|0)+v+(ga(F,u)|0)<<3)>>3];H=e+(B<<3)|0;D=C- +h[H>>3];L=r+(B<<3)|0;h[L>>3]=D;C=+h[2449]+ +h[G>>3]*D;h[2449]=C;D=+h[L>>3];M=+h[2442]+D*D;h[2442]=M;D=+h[H>>3];h[2427]=+h[2427]+D*D;H=F+1|0;c[412612]=H;D=+h[2454];if((H|0)>(A|0)){I=C;J=D;K=M;break}else{F=H;E=D}}}E=I*I;do{if(E>J*.99*K){F=c[m>>2]|0;c[412598]=F;D=E/K;h[2447]=D;A=c[d>>2]|0;c[412600]=1;if((A|0)<1){N=F;O=K;P=I}else{H=1;L=F;M=D;D=K;C=I;while(1){do{if((H|0)==(c[l>>2]|0)){Q=L;R=M;S=D;T=C}else{h[2448]=0.0;h[2440]=0.0;F=c[b>>2]|0;c[412612]=1;if((F|0)<1){U=0.0;V=0.0}else{G=1;X=0.0;_=0.0;do{$=+h[f+((ga(G,u)|0)+v+H<<3)>>3];aa=$- +h[e+(G-1<<3)>>3];h[2450]=aa;X=X+aa*+h[n+(G-1<<3)>>3];h[2448]=X;_=_+aa*aa;h[2440]=_;G=G+1|0;}while((G|0)<=(F|0));c[412612]=G;U=X;V=_}aa=U*U/V;if(!(aa<M)){Q=L;R=M;S=D;T=C;break}c[412598]=H;h[2447]=aa;h[2449]=U;h[2442]=V;Q=H;R=aa;S=V;T=U}}while(0);F=H+1|0;c[412600]=F;if((F|0)>(A|0)){N=Q;O=S;P=T;break}else{H=F;L=Q;M=R;D=S;C=T}}}L=c[b>>2]|0;c[412612]=1;if((L|0)<1){ba=J;ca=O;da=P;break}else{ea=1}do{C=+h[f+((ga(ea,u)|0)+v+N<<3)>>3];H=ea-1|0;h[r+(H<<3)>>3]=C- +h[e+(H<<3)>>3];ea=ea+1|0;}while((ea|0)<=(L|0));c[412612]=ea;ba=+h[2454];ca=+h[2442];da=+h[2449]}else{ba=J;ca=K;da=I}}while(0);I=ba*ca-da*da;h[2441]=I;c[412606]=0;h[2451]=0.0;ea=(w<<1)+x|0;N=(w<<2)+x|0;Q=(w*3|0)+x|0;L=(w*5|0)+x|0;H=1;ca=I;I=ba;ba=da;while(1){c[412606]=H;da=+h[2444]/+W(ca);h[2435]=da;h[2429]=0.0;h[2428]=0.0;A=c[b>>2]|0;c[412612]=1;if((A|0)<1){fa=0.0;ha=0.0;ia=I}else{F=0;B=1;K=da;da=I;J=ba;while(1){ja=r+(F<<3)|0;h[ja>>3]=K*(da*+h[ja>>3]-J*+h[n+(F<<3)>>3]);ja=B-1|0;ka=e+(ja<<3)|0;la=+h[2429]+ +h[ka>>3]*+h[n+(ja<<3)>>3];h[2429]=la;ma=+h[2428]+ +h[ka>>3]*+h[r+(ja<<3)>>3];h[2428]=ma;na=B+1|0;if((na|0)>(A|0)){break}F=B;B=na;K=+h[2435];da=+h[2454];J=+h[2449]}c[412612]=na;fa=la;ha=ma;ia=+h[2454]}J=+h[2446];da=fa*J*fa;h[2434]=da;K=ha*J*ha;h[2433]=K;h[206316]=K+(da+ia*(+h[2427]+ia*J));J=+h[2431];h[206317]=J*fa*ia;h[206318]=J*ha*ia;h[206319]=da-K;h[206320]=fa*ha;NY(1650568,0,32)|0;c[412612]=10;B=c[d>>2]|0;c[412600]=1;if((B|0)>=1){F=1;do{h[2434]=0.0;h[2433]=0.0;h[2432]=0.0;A=c[b>>2]|0;c[412612]=1;if((A|0)<1){oa=0.0;pa=0.0}else{ja=F+v|0;ka=1;K=0.0;da=0.0;J=0.0;do{P=+h[f+((ga(ka,u)|0)+v+F<<3)>>3];K=K+P*+h[n+(ka-1<<3)>>3];h[2434]=K;qa=f+(ja+(ga(ka,u)|0)<<3)|0;ra=ka-1|0;da=da+ +h[qa>>3]*+h[r+(ra<<3)>>3];h[2433]=da;J=J+ +h[qa>>3]*+h[e+(ra<<3)>>3];h[2432]=J;ka=ka+1|0;}while((ka|0)<=(A|0));c[412612]=ka;oa=K;pa=da}h[s+(F-1<<3)>>3]=+h[2443]*(oa*oa+pa*pa);h[s+(ea+F<<3)>>3]=+h[2434]*+h[2432];h[s+(Q+F<<3)>>3]=+h[2433]*+h[2432];J=+h[2434];P=+h[2433];h[s+(N+F<<3)>>3]=+h[2443]*(J*J-P*P);h[s+(L+F<<3)>>3]=+h[2446]*+h[2434]*+h[2433];F=F+1|0;c[412600]=F;}while((F|0)<=(B|0))}B=c[b>>2]|0;c[412612]=1;if((B|0)>=1){F=1;do{A=(c[d>>2]|0)+F|0;c[412610]=A;h[s+(A-1<<3)>>3]=0.0;ja=F-1|0;h[s+(ea+A<<3)>>3]=+h[n+(ja<<3)>>3];h[s+(Q+A<<3)>>3]=+h[r+(ja<<3)>>3];h[s+(N+A<<3)>>3]=0.0;h[s+(L+A<<3)>>3]=0.0;F=F+1|0;c[412612]=F;}while((F|0)<=(B|0))}c[412602]=1;B=1;do{F=c[d>>2]|0;c[412594]=F;if((B-2|0)>>>0<2>>>0){A=c[k>>2]|0;c[412594]=A;sa=A}else{sa=F}F=c[d>>2]|0;c[412600]=1;if((F|0)>=1){A=ga(B,w)|0;ja=1;do{h[t+(ja+x+A<<3)>>3]=0.0;ja=ja+1|0;}while((ja|0)<=(F|0));c[412600]=ja}c[412604]=1;if(z){ta=B}else{F=B;A=1;while(1){h[2438]=0.0;ka=c[d>>2]|0;c[412600]=1;if((ka|0)<1){ua=F;va=0.0}else{ra=ga(B,w)|0;qa=1;da=0.0;do{K=+h[i+(qa+v+(ga(A,u)|0)<<3)>>3];da=da+K*+h[s+(qa+x+ra<<3)>>3];h[2438]=da;qa=qa+1|0;}while((qa|0)<=(ka|0));c[412600]=qa;ua=B;va=da}if((A|0)<(c[j>>2]|0)){_=-0.0-va;h[2438]=_;wa=_}else{wa=va}ka=c[d>>2]|0;c[412600]=1;if((ka|0)>=1){ra=ga(A,u)|0;G=ga(ua,w)|0;xa=1;ya=2;_=wa;while(1){za=t+(xa+x+G<<3)|0;h[za>>3]=_*+h[i+(xa+v+ra<<3)>>3]+ +h[za>>3];if((ya|0)>(ka|0)){break}xa=ya;ya=ya+1|0;_=+h[2438]}c[412600]=ya}xa=A+1|0;c[412604]=xa;if((xa|0)>(y|0)){ta=ua;break}else{F=ua;A=xa}}}do{if((sa|0)==(c[k>>2]|0)){A=c[d>>2]|0;c[412600]=1;if((A|0)<1){break}else{Aa=1}do{h[2438]=0.0;F=c[b>>2]|0;c[412604]=1;if((F|0)<1){Ba=0.0;Ca=ga(ta,w)|0}else{ja=1;_=0.0;while(1){da=+h[g+((ga(ja,w)|0)+x+Aa<<3)>>3];xa=ga(ta,w)|0;X=_+da*+h[s+(ja+x+(c[d>>2]|0)+xa<<3)>>3];h[2438]=X;ka=ja+1|0;c[412604]=ka;if((ka|0)>(F|0)){Ba=X;Ca=xa;break}else{ja=ka;_=X}}}ja=t+(Aa+x+Ca<<3)|0;h[ja>>3]=Ba+ +h[ja>>3];Aa=Aa+1|0;c[412600]=Aa;}while((Aa|0)<=(A|0))}}while(0);A=c[b>>2]|0;c[412604]=1;if((A|0)>=1){ya=1;do{h[2438]=0.0;c[412612]=1;if((sa|0)<1){Da=0.0;Ea=ga(ta,w)|0}else{ja=ga(ya,w)|0;F=ga(ta,w)|0;ka=1;_=0.0;do{xa=ka+x|0;_=_+ +h[g+(xa+ja<<3)>>3]*+h[s+(xa+F<<3)>>3];h[2438]=_;ka=ka+1|0;}while((ka|0)<=(sa|0));c[412612]=ka;Da=_;Ea=F}h[t+((c[d>>2]|0)+x+ya+Ea<<3)>>3]=Da;ya=ya+1|0;c[412604]=ya;}while((ya|0)<=(A|0))}B=ta+1|0;c[412602]=B;}while((B|0)<6);B=c[k>>2]|0;c[412600]=1;h[2438]=0.0;c[412612]=1;X=+h[2446];if((B|0)>=1){A=1;do{ya=1;da=0.0;do{ja=(ga(ya,w)|0)+x+A|0;h[1650304+(ya-1<<3)>>3]=X*+h[t+(ja<<3)>>3]*+h[s+(ja<<3)>>3];da=+h[1650304+(ya-1<<3)>>3]+da;h[2438]=da;ya=ya+1|0;}while((ya|0)<6);h[206316]=+h[206316]- +h[206288]-da;ya=A-1|0;ja=t+(ya<<3)|0;xa=ea+A|0;ra=s+(xa<<3)|0;G=t+(xa<<3)|0;xa=s+(ya<<3)|0;K=+h[ja>>3]*+h[ra>>3]+ +h[G>>3]*+h[xa>>3];h[2434]=K;ya=N+A|0;qa=s+(ya<<3)|0;za=t+(ya<<3)|0;P=+h[G>>3]*+h[qa>>3]+ +h[za>>3]*+h[ra>>3];h[2433]=P;ya=Q+A|0;Fa=t+(ya<<3)|0;Ga=L+A|0;Ha=s+(Ga<<3)|0;Ia=t+(Ga<<3)|0;Ga=s+(ya<<3)|0;J=+h[Fa>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[Ga>>3];h[2432]=J;h[206317]=+h[206317]-K-X*(J+P);h[206321]=+h[206321]-X*(P-J);J=+h[ja>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[xa>>3];h[2434]=J;P=+h[G>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[ra>>3];h[2433]=P;K=+h[Fa>>3]*+h[qa>>3]+ +h[za>>3]*+h[Ga>>3];h[2432]=K;h[206318]=+h[206318]-J-X*(P-K);h[206322]=+h[206322]-X*(P+K);K=+h[ja>>3]*+h[qa>>3]+ +h[za>>3]*+h[xa>>3];h[2434]=K;h[206319]=+h[206290]+(+h[206319]-K- +h[206289]);K=+h[ja>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[xa>>3];h[2434]=K;P=+h[G>>3]*+h[Ga>>3]+ +h[Fa>>3]*+h[ra>>3];h[2433]=P;h[206320]=+h[206320]-K-P*X;h[206323]=+h[206323]- +h[206291]+ +h[206292];P=+h[za>>3]*+h[Ha>>3]+ +h[Ia>>3]*+h[qa>>3];h[2434]=P;h[206324]=+h[206324]-X*P;A=A+1|0;h[2438]=0.0}while((A|0)<=(B|0));c[412600]=A;c[412612]=1}B=1;P=0.0;do{K=+h[t+((ga(B,w)|0)+x+(c[m>>2]|0)<<3)>>3];h[1650304+(B-1<<3)>>3]=X*K*K;P=+h[1650304+(B-1<<3)>>3]+P;h[2438]=P;B=B+1|0;c[412612]=B;}while((B|0)<6);K=+h[2456];J=K*+h[206316]+ +h[206288]+P;h[206307]=J;O=+h[2431];B=c[m>>2]|0;A=t+(B-1<<3)|0;qa=t+(ea+B<<3)|0;T=O*+h[A>>3]*+h[qa>>3];h[2434]=T;Ia=t+(N+B<<3)|0;S=+h[qa>>3]*+h[Ia>>3];h[2433]=S;Ha=t+(Q+B<<3)|0;za=t+(L+B<<3)|0;R=+h[Ha>>3]*+h[za>>3];h[2432]=R;U=R+(K*+h[206317]+T+S);h[206308]=U;T=K*+h[206321]+S-R;h[206312]=T;R=O*+h[A>>3]*+h[Ha>>3];h[2434]=R;S=+h[qa>>3]*+h[za>>3];h[2433]=S;V=+h[Ha>>3]*+h[Ia>>3];h[2432]=V;h[206309]=K*+h[206318]+R+S-V;h[206313]=K*+h[206322]+S+V;V=O*+h[A>>3]*+h[Ia>>3];h[2434]=V;R=+h[206289]+(V+K*+h[206319])- +h[206290];h[206310]=R;V=O*+h[A>>3]*+h[za>>3];h[2434]=V;h[206311]=V+K*+h[206320]+ +h[qa>>3]*+h[Ha>>3];O=K*+h[206323]+ +h[206291]- +h[206292];h[206314]=O;h[206315]=K*+h[206324]+ +h[Ia>>3]*+h[za>>3];K=J+U+R+T+O;h[2438]=K;h[2452]=K;h[2453]=K;c[412608]=0;O=+h[2430]/50.0;h[2435]=O;h[206288]=+h[2444];c[412612]=1;T=K;za=1;R=V;V=S;S=K;Ia=0;while(1){Ja=+(za|0)*O;U=+Y(Ja);h[206289]=U;J=+Z(Ja);h[206290]=J;Ha=4;E=U;C=J;D=U;U=J;while(1){J=D*E-U*C;h[1650304+(Ha-1<<3)>>3]=J;M=+h[206289]*C+ +h[206290]*E;h[1650304+(Ha<<3)>>3]=M;qa=Ha+2|0;if((qa|0)>=9){Ka=0.0;La=1;break}Ha=qa;E=J;C=M;D=+h[206289];U=+h[206290]}do{Ha=La-1|0;Ka=Ka+ +h[1650456+(Ha<<3)>>3]*+h[1650304+(Ha<<3)>>3];La=La+1|0;}while((La|0)<10);if(Ka<0.0){Ma=-0.0-Ka}else{Ma=Ka}if(S<0.0){Na=-0.0-S}else{Na=S}do{if(Ma>Na){h[2453]=Ka;c[412608]=za;h[2434]=T;Oa=za;Pa=T;Qa=V;Ra=Ka}else{if((za|0)!=(Ia+1|0)){Oa=Ia;Pa=R;Qa=V;Ra=S;break}h[2433]=Ka;Oa=Ia;Pa=R;Qa=Ka;Ra=S}}while(0);Ha=za+1|0;if((Ha|0)>49){break}else{T=Ka;za=Ha;R=Pa;V=Qa;S=Ra;Ia=Oa}}c[412604]=10;h[2438]=Ka;h[2455]=Ja;h[2437]=T;c[412612]=50;if((Oa|0)==0){h[2434]=Ka;Sa=Qa;Ta=Ka}else if((Oa|0)==49){h[2433]=K;Sa=K;Ta=Pa}else{Sa=Qa;Ta=Pa}h[2439]=0.0;if(Ta!=Sa){S=Ta-Ra;h[2434]=S;V=Sa-Ra;h[2433]=V;R=X*(S-V)/(S+V);h[2439]=R;Ua=R}else{Ua=0.0}R=O*(+(Oa|0)+Ua);h[2455]=R;V=+Y(R);h[206289]=V;S=+Z(R);h[206290]=S;c[412604]=4;Ia=4;R=V;P=S;U=V;V=S;while(1){S=U*R-V*P;h[1650304+(Ia-1<<3)>>3]=S;D=+h[206289]*P+ +h[206290]*R;h[1650304+(Ia<<3)>>3]=D;za=Ia+2|0;if((za|0)>=9){break}Ia=za;R=S;P=D;U=+h[206289];V=+h[206290]}h[q>>3]=0.0;h[2453]=0.0;c[412604]=1;Ia=1;do{za=Ia-1|0;Ha=1650304+(za<<3)|0;h[q>>3]=+h[q>>3]+ +h[1650528+(za<<3)>>3]*+h[Ha>>3];h[2453]=+h[2453]+ +h[1650456+(za<<3)>>3]*+h[Ha>>3];Ia=Ia+1|0;}while((Ia|0)<10);c[412604]=10;Ia=c[k>>2]|0;c[412600]=1;if((Ia|0)>=1){Ha=1;do{h[p+(Ha-1<<3)>>3]=0.0;za=1;do{V=+h[t+((ga(za,w)|0)+x+Ha<<3)>>3];qa=p+(Ha-1<<3)|0;h[qa>>3]=+h[qa>>3]+V*+h[1650304+(za-1<<3)>>3];za=za+1|0;}while((za|0)<6);Ha=Ha+1|0;}while((Ha|0)<=(Ia|0));c[412604]=6;c[412600]=Ha}h[2436]=+h[p+((c[m>>2]|0)-1<<3)>>3];h[2454]=0.0;h[2434]=0.0;h[2433]=0.0;Ia=c[b>>2]|0;c[412612]=1;if((Ia|0)<1){Va=0.0;Wa=0.0}else{za=1;do{qa=za-1|0;A=n+(qa<<3)|0;h[A>>3]=+h[206289]*+h[A>>3]+ +h[206290]*+h[r+(qa<<3)>>3];qa=za-1|0;A=n+(qa<<3)|0;B=o+(qa<<3)|0;h[B>>3]=+h[e+(qa<<3)>>3]+ +h[A>>3];V=+h[A>>3];h[2454]=+h[2454]+V*V;Xa=+h[2434]+ +h[A>>3]*+h[B>>3];h[2434]=Xa;V=+h[B>>3];Ya=+h[2433]+V*V;h[2433]=Ya;za=za+1|0;}while((za|0)<=(Ia|0));c[412612]=za;Va=Xa;Wa=Ya}Ia=c[b>>2]|0;if((H|0)>=(Ia|0)){break}if((H|0)>1){V=+h[2451];U=+h[2452];h[2451]=V>=U?V:U}U=+h[2453];if(U<0.0){Za=-0.0-U}else{Za=U}V=+h[2451];if(V<0.0){_a=-0.0-V}else{_a=V}if(!(Za>_a*1.1)){break}h[2451]=U;c[412612]=1;b:do{if((Ia|0)>=1){Ha=1;U=Va;V=Wa;while(1){B=Ha-1|0;P=U*+h[e+(B<<3)>>3]+V*+h[n+(B<<3)>>3]- +h[p+(B+(c[d>>2]|0)<<3)>>3];h[2435]=P;R=+h[2436]*+h[g+((c[m>>2]|0)+x+(ga(Ha,w)|0)<<3)>>3];h[r+(B<<3)>>3]=R+P*+h[2456];B=Ha+1|0;c[412612]=B;if((B|0)>(Ia|0)){break b}Ha=B;U=+h[2434];V=+h[2433]}}}while(0);Ia=c[d>>2]|0;c[412600]=1;if((Ia|0)>=1){za=1;do{h[2438]=0.0;Ha=c[b>>2]|0;c[412604]=1;if((Ha|0)<1){$a=0.0}else{B=1;V=0.0;do{U=+h[f+((ga(B,u)|0)+v+za<<3)>>3];V=V+U*+h[o+(B-1<<3)>>3];h[2438]=V;B=B+1|0;}while((B|0)<=(Ha|0));c[412604]=B;$a=V}Ha=c[b>>2]|0;U=$a*(+h[2436]*+h[o+(Ha-1+za<<3)>>3]- +h[2456]*+h[p+(za-1<<3)>>3]);h[2435]=U;c[412612]=1;if((Ha|0)>=1){A=1;qa=2;P=U;while(1){U=P*+h[f+((ga(A,u)|0)+v+za<<3)>>3];ra=r+(A-1<<3)|0;h[ra>>3]=+h[ra>>3]+U;if((qa|0)>(Ha|0)){break}A=qa;qa=qa+1|0;P=+h[2435]}c[412612]=qa}za=za+1|0;c[412600]=za;}while((za|0)<=(Ia|0))}h[2442]=0.0;h[2449]=0.0;Ia=c[b>>2]|0;c[412612]=1;if((Ia|0)<1){ab=0.0;bb=0.0}else{za=1;P=0.0;V=0.0;do{U=+h[r+(za-1<<3)>>3];P=P+U*U;h[2442]=P;A=za-1|0;V=V+ +h[n+(A<<3)>>3]*+h[r+(A<<3)>>3];h[2449]=V;za=za+1|0;}while((za|0)<=(Ia|0));c[412612]=za;ab=P;bb=V}U=+h[2454];R=U*ab-bb*bb;h[2441]=R;if(R<U*1.0e-8*ab){break}H=H+1|0;ca=R;I=U;ba=bb}a[19560]=1;H=c[k>>2]|0;c[412600]=1;if((H|0)<1){cb=+h[2444];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}else{ib=1}do{h[o+(ib-1<<3)>>3]=0.0;k=1;do{bb=+h[s+((ga(k,w)|0)+x+ib<<3)>>3];r=o+(ib-1<<3)|0;h[r>>3]=+h[r>>3]+bb*+h[1650304+(k-1<<3)>>3];k=k+1|0;}while((k|0)<6);ib=ib+1|0;}while((ib|0)<=(H|0));c[412604]=6;c[412600]=ib;cb=+h[2444];db=c[l>>2]|0;eb=db-1|0;fb=p+(eb<<3)|0;gb=+h[fb>>3];hb=cb+gb;h[fb>>3]=hb;return 0}function Nv(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var u=0,v=0,w=0,x=0.0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0,V=0.0,X=0.0,_=0.0,$=0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0,qa=0.0,ra=0.0,sa=0.0,ta=0,ua=0.0,va=0.0;u=c[d>>2]|0;v=~u;w=c[k>>2]|0;k=~w;h[2414]=.5;h[2412]=1.0;h[2398]=6.283185307179586;x=+h[m>>3];h[2418]=x*x;y=u-1-(c[b>>2]|0)|0;c[412564]=y;c[412570]=0;z=c[d>>2]|0;c[412566]=1;if((z|0)>=1){A=1;do{h[p+(A-1<<3)>>3]=0.0;A=A+1|0;}while((A|0)<=(z|0));c[412566]=A}c[412568]=1;A=c[l>>2]|0;if((y|0)<1){B=A}else{z=1;C=A;while(1){A=ga(z,u)|0;x=+h[i+(A+v+C<<3)>>3];h[2401]=x;if((z|0)<(c[j>>2]|0)){D=-0.0-x;h[2401]=D;E=D}else{E=x}F=c[d>>2]|0;c[412566]=1;if((F|0)>=1){G=1;H=2;x=E;while(1){I=p+(G-1<<3)|0;h[I>>3]=+h[I>>3]+x*+h[i+(G+v+A<<3)>>3];if((H|0)>(F|0)){break}G=H;H=H+1|0;x=+h[2401]}c[412566]=H}G=z+1|0;c[412568]=G;F=c[l>>2]|0;if((G|0)>(y|0)){B=F;break}else{z=G;C=F}}}h[o>>3]=+h[p+(B-1<<3)>>3];h[2419]=0.0;B=c[b>>2]|0;c[412574]=1;if((B|0)>=1){o=1;do{C=c[l>>2]|0;E=+h[f+((ga(o,u)|0)+v+C<<3)>>3];z=o-1|0;y=n+(z<<3)|0;h[y>>3]=E- +h[e+(z<<3)>>3];h[q+(z<<3)>>3]=+h[g+(C+k+(ga(o,w)|0)<<3)>>3];h[r+(z<<3)>>3]=0.0;E=+h[y>>3];h[2419]=+h[2419]+E*E;o=o+1|0;c[412574]=o;}while((o|0)<=(B|0))}B=c[d>>2]|0;c[412566]=1;if((B|0)>=1){o=1;do{h[2401]=0.0;h[2406]=0.0;w=c[b>>2]|0;c[412568]=1;if((w|0)<1){J=0.0;K=0.0}else{k=o+v|0;g=1;E=0.0;x=0.0;do{D=+h[f+((ga(g,u)|0)+v+o<<3)>>3];E=E+D*+h[e+(g-1<<3)>>3];h[2401]=E;D=+h[f+(k+(ga(g,u)|0)<<3)>>3];x=x+D*+h[n+(g-1<<3)>>3];h[2406]=x;g=g+1|0;}while((g|0)<=(w|0));c[412568]=g;J=E;K=x}w=p+(o-1<<3)|0;D=+h[w>>3]*J;h[2401]=D;h[2406]=+h[w>>3]*K;w=c[b>>2]|0;c[412574]=1;if((w|0)>=1){k=o+v|0;H=1;L=D;while(1){D=L*+h[f+((ga(H,u)|0)+v+o<<3)>>3];l=q+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;D=+h[2406]*+h[f+(k+(ga(H,u)|0)<<3)>>3];l=r+(H-1<<3)|0;h[l>>3]=+h[l>>3]+D;M=H+1|0;if((M|0)>(w|0)){break}H=M;L=+h[2401]}c[412574]=M}o=o+1|0;c[412566]=o;}while((o|0)<=(B|0))}h[2415]=0.0;h[2410]=0.0;h[2416]=0.0;B=c[b>>2]|0;c[412574]=1;if((B|0)<1){N=0.0;O=0.0;P=0.0}else{o=1;K=0.0;J=0.0;L=0.0;do{x=+h[q+(o-1<<3)>>3];K=K+x*x;h[2415]=K;M=o-1|0;e=n+(M<<3)|0;J=J+ +h[e>>3]*+h[q+(M<<3)>>3];h[2410]=J;L=L+ +h[e>>3]*+h[r+(M<<3)>>3];h[2416]=L;o=o+1|0;}while((o|0)<=(B|0));c[412574]=o;N=J;O=L;P=K}K=+h[2419];L=+h[m>>3]/+W(K);if(N*O<0.0){Q=-0.0-L}else{Q=L}h[2411]=Q;h[2401]=0.0;if(N*N>K*.99*P){h[2401]=+h[2412]}if(N<0.0){R=-0.0-N}else{R=N}if(O<0.0){S=-0.0-O}else{S=O}O=Q*(R+ +h[2414]*Q*S);h[2405]=O;if(P*+h[2418]<O*O*.01){h[2401]=+h[2412]}m=c[b>>2]|0;c[412574]=1;if((m|0)<1){T=0}else{o=0;B=1;O=Q;while(1){M=n+(o<<3)|0;h[M>>3]=O*+h[M>>3];M=B-1|0;e=r+(M<<3)|0;Q=+h[2411]*+h[e>>3];h[e>>3]=Q;h[s+(M<<3)>>3]=+h[q+(M<<3)>>3]+ +h[2401]*Q;U=B+1|0;if((U|0)>(m|0)){break}o=B;B=U;O=+h[2411]}c[412574]=U;T=0}while(1){U=T+1|0;c[412570]=U;h[2419]=0.0;h[2410]=0.0;h[2409]=0.0;B=c[b>>2]|0;c[412574]=1;if((B|0)<1){V=0.0;X=0.0;_=0.0}else{o=1;O=0.0;Q=0.0;P=0.0;do{S=+h[n+(o-1<<3)>>3];O=O+S*S;h[2419]=O;m=o-1|0;M=s+(m<<3)|0;Q=Q+ +h[n+(m<<3)>>3]*+h[M>>3];h[2410]=Q;S=+h[M>>3];P=P+S*S;h[2409]=P;o=o+1|0;}while((o|0)<=(B|0));c[412574]=o;V=O;X=P;_=Q}S=V*X-_*_;h[2401]=S;if(!(S>V*1.0e-8*X)){$=88;break}R=+W(S);h[2417]=R;B=c[b>>2]|0;c[412574]=1;if((B|0)>=1){M=0;m=1;S=V;N=_;K=R;while(1){e=s+(M<<3)|0;h[e>>3]=(S*+h[e>>3]-N*+h[n+(M<<3)>>3])/K;h[t+(m-1<<3)>>3]=0.0;aa=m+1|0;if((aa|0)>(B|0)){break}M=m;m=aa;S=+h[2419];N=+h[2410];K=+h[2417]}c[412574]=aa}m=c[d>>2]|0;c[412566]=1;if((m|0)>=1){M=1;do{h[2406]=0.0;B=c[b>>2]|0;c[412568]=1;if((B|0)<1){ba=0.0}else{o=1;K=0.0;do{N=+h[f+((ga(o,u)|0)+v+M<<3)>>3];K=K+N*+h[s+(o-1<<3)>>3];h[2406]=K;o=o+1|0;}while((o|0)<=(B|0));c[412568]=o;ba=K}N=+h[p+(M-1<<3)>>3]*ba;h[2406]=N;B=c[b>>2]|0;c[412574]=1;if((B|0)>=1){e=1;H=2;S=N;while(1){N=S*+h[f+((ga(e,u)|0)+v+M<<3)>>3];w=t+(e-1<<3)|0;h[w>>3]=+h[w>>3]+N;if((H|0)>(B|0)){break}e=H;H=H+1|0;S=+h[2406]}c[412574]=H}M=M+1|0;c[412566]=M;}while((M|0)<=(m|0))}h[2425]=0.0;h[2424]=0.0;h[2423]=0.0;h[2422]=0.0;h[2421]=0.0;m=c[b>>2]|0;c[412574]=1;if((m|0)<1){ca=0.0;da=0.0;ea=0.0;fa=0.0;ha=0.0}else{M=1;S=0.0;K=0.0;N=0.0;Q=0.0;P=0.0;do{e=M-1|0;S=S+ +h[s+(e<<3)>>3]*+h[t+(e<<3)>>3];h[2425]=S;e=M-1|0;B=n+(e<<3)|0;o=q+(e<<3)|0;K=K+ +h[B>>3]*+h[o>>3];h[2424]=K;w=s+(e<<3)|0;N=N+ +h[w>>3]*+h[o>>3];h[2423]=N;o=r+(e<<3)|0;Q=Q+ +h[B>>3]*+h[o>>3];h[2422]=Q;P=P+ +h[w>>3]*+h[o>>3];h[2421]=P;M=M+1|0;}while((M|0)<=(m|0));c[412574]=M;ca=S;da=Q;ea=K;fa=N;ha=P}O=+h[2414];R=O*ca;h[2425]=R;L=O*da-R;h[2422]=L;J=R+ea+L;h[2404]=J;h[2403]=J;h[2402]=J;c[412572]=0;a[19304]=1;x=+h[2398]/50.0;h[2401]=x;c[412574]=1;m=1;E=J;D=J;o=0;while(1){ia=+(m|0)*x;ja=+Y(ia);ka=+Z(ia);la=R+ja*(ea+ja*L)+ka*(fa+ja*ha);if(la<0.0){ma=-0.0-la}else{ma=la}if(D<0.0){na=-0.0-D}else{na=D}do{if(ma>na){h[2403]=la;c[412572]=m;h[2400]=E;oa=la;pa=m}else{if((m|0)!=(o+1|0)){oa=D;pa=o;break}h[2399]=la;oa=D;pa=o}}while(0);H=m+1|0;if((H|0)<50){m=H;E=la;D=oa;o=pa}else{break}}h[2426]=ia;h[2420]=ja;h[2407]=ka;h[2405]=la;c[412574]=50;h[2402]=la;if((pa|0)==49){h[2399]=J;qa=J}else if((pa|0)==0){h[2400]=la;$=74}else{$=74}if(($|0)==74){$=0;qa=+h[2399]}h[2408]=0.0;D=+h[2400];if(D!=qa){E=D-oa;h[2400]=E;D=qa-oa;h[2399]=D;P=O*(E-D)/(E+D);h[2408]=P;ra=P}else{ra=0.0}P=x*(+(pa|0)+ra);h[2426]=P;D=+Y(P);h[2420]=D;E=+Z(P);h[2407]=E;P=R+D*(ea+D*L)+E*(fa+D*ha);h[2405]=P;o=c[b>>2]|0;c[412574]=1;if((o|0)<1){sa=P}else{m=0;M=1;P=D;D=E;while(1){H=n+(m<<3)|0;h[H>>3]=P*+h[H>>3]+D*+h[s+(m<<3)>>3];H=M-1|0;w=r+(H<<3)|0;E=+h[2420]*+h[w>>3]+ +h[2407]*+h[t+(H<<3)>>3];h[w>>3]=E;h[s+(H<<3)>>3]=+h[q+(H<<3)>>3]+E;ta=M+1|0;if((ta|0)>(o|0)){break}m=M;M=ta;P=+h[2420];D=+h[2407]}c[412574]=ta;sa=+h[2405]}if(sa<0.0){ua=-0.0-sa}else{ua=sa}D=+h[2404];if(D<0.0){va=-0.0-D}else{va=D}if(!(ua>va*1.1)){$=88;break}if((U|0)<(c[b>>2]|0)){T=U}else{$=88;break}}if(($|0)==88){return 0}return 0}function Ov(b,d,e,f,g,h,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;a[8]=1;a[16]=1;c[25]=6;NM(96)|0;m=c[d>>2]|0;c[406862]=1;if((m|0)>=1){d=1;do{cM(19088,b+(d-1)|0,1)|0;d=(c[406862]|0)+1|0;c[406862]=d;}while((d|0)<=(m|0))}vM()|0;m=c[g>>2]|0;if((m|0)==1){c[19]=a[16]|0?6:0;NM(72)|0;cM(19088,h,4)|0;vM()|0;n=c[g>>2]|0}else{n=m}if((n|0)==2){c[13]=a[16]|0?6:0;NM(48)|0;cM(19088,h,4)|0;cM(19088,i,4)|0;vM()|0}i=c[j>>2]|0;if((i|0)==1){c[7]=a[16]|0?6:0;NM(24)|0;cM(19088,k,8)|0;vM()|0;o=c[j>>2]|0}else{o=i}if((o|0)==2){c[31]=a[16]|0?6:0;NM(120)|0;cM(19088,k,8)|0;cM(19088,l,8)|0;vM()|0}if((c[f>>2]|0)!=2){return 0}OL(1650616,0)|0;return 0}function Pv(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,K=0.0,L=0.0,M=0.0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0.0,U=0.0,V=0.0,W=0,X=0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0;y=i;i=i+8|0;z=y|0;A=c[k>>2]|0;a:do{if((A|0)==0){B=2;while(1){c[412478]=B;if((B|0)>=12){break}if((c[k+(B-1<<2)>>2]|0)>>>0<2>>>0){B=B+1|0}else{C=208;break a}}if((c[d>>2]|0)<1){TL(1649736,81304,80,25);Ov(1649736,19008,18992,1650184,19112,d,1650184,1650184,18552,18552,80)|0;break}c[412432]=5;B=q+8|0;do{if((c[k+32>>2]|0)==0){D=5}else{E=c[B>>2]|0;c[412432]=E;if(!((E-1|0)>>>0>4>>>0)){D=E;break}TL(1649736,80224,80,34);Ov(1649736,18960,18928,1650184,19112,1649728,1650184,1650184,18552,18552,80)|0;break a}}while(0);c[B>>2]=D;b:do{if((c[k+20>>2]|0)==0){E=c[d>>2]|0;F=ga(E,E)|0;c[412468]=F;c[412466]=F+50+(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0);F=q+12|0;if((c[k+16>>2]|0)==0){c[F>>2]=2;break}else{c[F>>2]=1;break}}else{F=c[q>>2]|0;do{if((F|0)>=0){E=c[d>>2]|0;if((F|0)>=(E|0)){break}G=q+4|0;H=c[G>>2]|0;if(!((H|0)>-1&(H|0)<(E|0))){TL(1649736,64800,80,52);Ov(1649736,18840,19096,1650184,19112,G,1650184,1650184,18552,18552,80)|0;break a}c[412468]=ga((F<<1|1)+H|0,E)|0;E=q+12|0;if((c[k+16>>2]|0)==0){c[E>>2]=5;H=c[d>>2]|0;I=ga((c[B>>2]|0)+4|0,H)|0;c[412466]=(((H|0)/((c[q>>2]|0)+1+(c[G>>2]|0)|0)|0)<<1)+52+(c[412468]|0)+I;break b}else{c[E>>2]=4;E=(ga((c[B>>2]|0)+4|0,c[d>>2]|0)|0)+50|0;c[412466]=E+(c[412468]|0);break b}}}while(0);TL(1649736,65744,80,52);Ov(1649736,18840,19104,1650184,19112,q,1650184,1650184,18552,18552,80)|0;break a}}while(0);c[412470]=(c[d>>2]|0)+20;c[q+64>>2]=c[412468];if((c[p>>2]|0)<(c[412466]|0)){TL(1649736,79032,80,60);Ov(1649736,18800,18856,1650184,18992,1649864,p,1650184,18552,18552,80)|0;break}if((c[r>>2]|0)<(c[412470]|0)){TL(1649736,77872,80,60);Ov(1649736,18800,18808,1650184,18992,1649880,r,1650184,18552,18552,80)|0;break}if(+h[j>>3]==+h[e>>3]){C=225;break}if((c[w>>2]|0)<0){TL(1649736,62160,80,24);Ov(1649736,19016,18976,19112,19112,w,1650184,1650184,18552,18552,80)|0;break}do{if((c[k+24>>2]|0)!=0){J=+h[o+8>>3];h[2249]=J;if(J>0.0){break}TL(1649736,72272,80,28);Ov(1649736,19e3,19160,1650184,1650184,1650184,1650184,19112,17992,18552,80)|0;break a}}while(0);c[q+60>>2]=0;NY(q+36|0,0,16)|0;c[n>>2]=1;C=26}else if((A|0)==(-1|0)){TL(1649736,38904,80,49);Ov(1649736,18848,19040,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;TL(1649736,1591936,80,47);Ov(1649736,18872,19032,1650184,19112,n,1650184,1650184,18552,18552,80)|0;TL(1649736,78944,80,41);Ov(1649736,18904,19024,19112,1650184,1650184,1650184,1650184,18552,18552,80)|0;i=y;return 0}else if((A|0)==1){c[q+36>>2]=c[q+40>>2];C=26}else{C=208}}while(0);c:do{if((C|0)==26){a[17968]=0;J=+h[l>>3];h[2244]=J;K=+h[m>>3];h[2252]=K;A=c[d>>2]|0;c[412478]=1;do{if((A|0)>=1){r=k+4|0;p=1;D=0;L=J;M=K;while(1){if((c[r>>2]|0)==1){B=p-1|0;N=+h[l+(B<<3)>>3];h[2244]=N;O=+h[m+(B<<3)>>3];h[2252]=O;P=N;Q=O}else{P=L;Q=M}if(P>0.0|Q>0.0){a[17968]=1;R=1}else{R=D}if(P<0.0){C=213;break}if(Q<0.0){C=214;break}B=p+1|0;c[412478]=B;if((B|0)>(A|0)){C=35;break}else{p=B;D=R;L=P;M=Q}}if((C|0)==35){if(!R){break}D=c[d>>2]|0;p=D+51|0;c[412464]=p;r=p+(c[w>>2]|0)|0;c[412462]=r;p=r+(c[w>>2]|0)|0;c[412460]=p;B=p+(c[w>>2]|0)|0;c[412472]=B;F=B+(c[d>>2]|0)|0;c[412454]=F;E=F+(c[d>>2]|0)|0;c[412458]=E;c[412456]=(ga((c[q+8>>2]|0)+1|0,c[d>>2]|0)|0)+E;c[412430]=(c[q+64>>2]|0)+1;d:do{if((c[k>>2]|0)==1){F=o+64|0;h[2241]=+h[F>>3];a[18008]=0;h[2243]=+h[o+24>>3];I=o+16|0;h[2250]=+h[I>>3];do{if((c[w>>2]|0)!=0){Qv(18992,v,w,d,17944,j,f,o+(B-1<<3)|0,o+(E-1<<3)|0,o+224|0,q+28|0,o+(D+50<<3)|0,o+(r-1<<3)|0,o+(p-1<<3)|0,x,1649904,F,0,o,q,s,t)|0;if((c[409256]|0)>0){i=y;return 0}if((c[412476]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];lw(d,o+((c[412472]|0)-1<<3)|0,19112,g,19112)|0;a[18008]=1;C=195;break d}}while(0);do{if((c[k+24>>2]|0)!=0){M=+h[2250];if(M<0.0){S=-0.0-M}else{S=M}L=S/+h[o+8>>3];if(!(L>1.0)){break}h[2250]=M/L}}while(0);L=+h[e>>3];M=+h[j>>3];if(L==M){C=225;break c}O=+h[2250];if((L-M)*O>0.0){C=218;break}F=(c[k+8>>2]|0)==1;do{if((c[k+12>>2]|0)==1){N=+h[o>>3];h[2242]=N;T=+h[2243];U=T-N;G=U*O>0.0;do{if(F){if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(!(O*(T- +h[e>>3])>0.0)){break}H=q+28|0;W=o+((c[412458]|0)-1<<3)|0;X=o+224|0;if(O*(T-V)>0.0){Vv(17944,j,f,g,d,H,W,X)|0;if((c[409256]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18008]=1;C=195;break d}}else{Vv(17944,17944,f,g,d,H,W,X)|0;if((c[409256]|0)>0){i=y;return 0}else{h[e>>3]=+h[2243];c[n>>2]=1;a[18008]=1;C=195;break d}}}else{if(G){C=222;break d}V=+h[j>>3];if(O*(N-V)<0.0){C=216;break d}if(O*(T-V)<0.0){break}Vv(17944,j,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18008]=1;C=195;break d}}}while(0);h[z>>3]=U;if(U<0.0){Y=-0.0-U}else{Y=U}if(T<0.0){Z=-0.0-T}else{Z=T}if(O<0.0){_=-0.0-O}else{_=O}if(Y>+h[2241]*100.0*(Z+_)){if(!(O*(T+O-N)>0.0)){break}V=N-T;h[2250]=V;h[I>>3]=V;break}Vv(17944,17936,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){i=y;return 0}else{c[n>>2]=2;h[e>>3]=+h[2242];a[18008]=1;C=195;break d}}else{V=+h[2243];if(!F){if(O*(V-M)<0.0){break}Vv(17944,j,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18008]=1;C=195;break d}}if(!(O*(V-L)>0.0)){break}G=q+28|0;X=o+((c[412458]|0)-1<<3)|0;W=o+224|0;if(O*(V-M)>0.0){Vv(17944,j,f,g,d,G,X,W)|0;if((c[409256]|0)>0){i=y;return 0}else{h[e>>3]=+h[j>>3];c[n>>2]=3;a[18008]=1;C=195;break d}}else{Vv(17944,17944,f,g,d,G,X,W)|0;if((c[409256]|0)>0){i=y;return 0}else{h[e>>3]=+h[2243];c[n>>2]=1;a[18008]=1;C=195;break d}}}}while(0);if(a[18008]|0){C=195}else{C=126}}else{h[2243]=+h[e>>3];c[n>>2]=1;Sv(d,k+4|0,l,m,f,o+((c[412454]|0)-1<<3)|0,s,t)|0;F=c[d>>2]|0;I=c[412454]|0;W=1;while(1){if((W|0)>(F|0)){break}if(+h[o+(W-2+I<<3)>>3]>0.0){W=W+1|0}else{C=220;break}}if((C|0)==220){c[412478]=W;TL(1649736,69272,80,39);Ov(1649736,18920,19136,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break c}c[412478]=W;M=+Zv(68128,1);h[2241]=M;I=o+64|0;h[I>>3]=M;M=+h[e>>3];if(M<0.0){$=-0.0-M}else{$=M}h[z>>3]=$;M=+h[j>>3];if(M<0.0){aa=-0.0-M}else{aa=M}M=+h[2241]*4.0*($>=aa?$:aa);h[2248]=M;O=+h[j>>3]- +h[e>>3];h[z>>3]=O;if(O<0.0){ba=-0.0-O}else{ba=O}if(ba<M){TL(1649736,68232,80,60);Ov(1649736,18800,19128,1650184,1650184,1650184,1650184,18992,j,e,80)|0;break c}do{if((c[k+28>>2]|0)==0){h[2247]=ba*.001;M=+Tv(d,g,o+((c[412454]|0)-1<<3)|0,s,t);if(M>.5/+h[2247]){h[2247]=.5/M}h[z>>3]=+h[j>>3]- +h[e>>3];M=+SL(17976,z);h[2247]=M;ca=M}else{M=+h[o+16>>3];h[2247]=M;if(M*(+h[j>>3]- +h[e>>3])<0.0){C=218;break d}if(!(M==0.0)){ca=M;break}TL(1649736,70248,80,29);Ov(1649736,18984,19144,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break c}}while(0);do{if((c[k+24>>2]|0)==0){da=ca}else{if(ca<0.0){ea=-0.0-ca}else{ea=ca}M=ea/+h[o+8>>3];if(!(M>1.0)){da=ca;break}O=ca/M;h[2247]=O;da=O}}while(0);if((c[k+12>>2]|0)==0){fa=da}else{O=+h[o>>3];h[2242]=O;M=+h[e>>3];L=O-M;if(L*da<0.0){C=222;break}if(da*(M+da-O)>0.0){h[2247]=L;ha=L}else{ha=da}if((O- +h[j>>3])*ha<0.0){C=216;break}else{fa=ha}}W=k+40|0;if((c[W>>2]|0)==0){ia=fa}else{Uv(17944,f,g,d,b,u,17976,o+((c[412454]|0)-1<<3)|0,n,s,t,o+((c[412458]|0)-1<<3)|0,o+400|0,o+((c[412472]|0)-1<<3)|0,o+((c[412456]|0)-1<<3)|0,q,17984,I,k+36|0,1649720)|0;if((c[409256]|0)>0){i=y;return 0}F=c[n>>2]|0;if((F|0)<0){ja=F;C=127;break}ia=+h[2247]}h[2250]=ia;h[o+16>>3]=ia;F=c[412458]|0;X=(c[d>>2]|0)+F|0;c[412474]=X;G=c[d>>2]|0;c[412478]=1;if((G|0)>=1){H=1;do{h[o+(H-2+F<<3)>>3]=+h[f+(H-1<<3)>>3];h[o+(H-2+X<<3)>>3]=+h[2250]*+h[g+(H-1<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[412478]=H}G=o+320|0;h[G>>3]=+h[e>>3];X=q+68|0;c[X>>2]=0;F=o+224|0;h[F>>3]=+h[2250];h[o+232>>3]=+h[2250]*2.0;ka=q+28|0;c[ka>>2]=1;if((c[w>>2]|0)==0){C=126;break}Qv(19112,v,w,d,e,j,f,o+((c[412472]|0)-1<<3)|0,o+((c[412458]|0)-1<<3)|0,F,ka,o+((c[412464]|0)-1<<3)|0,o+((c[412462]|0)-1<<3)|0,o+((c[412460]|0)-1<<3)|0,x,1649904,I,0,o,q,s,t)|0;if((c[409256]|0)>0){i=y;return 0}if((c[412476]|0)!=0){TL(1649736,60952,80,47);Ov(1649736,18872,18968,19112,1650184,1650184,1650184,1650184,18552,18552,80)|0;TL(1649736,60224,80,38);Ov(1649736,18936,18968,19112,1650184,1650184,1650184,1650184,18552,18552,80)|0;break c}if((c[w>>2]|0)==0){C=126;break}if((c[W>>2]|0)==0){C=126;break}Qv(18928,v,w,d,17944,j,f,o+((c[412472]|0)-1<<3)|0,o+((c[412458]|0)-1<<3)|0,F,ka,o+((c[412464]|0)-1<<3)|0,o+((c[412462]|0)-1<<3)|0,o+((c[412460]|0)-1<<3)|0,x,1649904,I,0,o,q,s,t)|0;if((c[409256]|0)>0){i=y;return 0}if((c[412476]|0)!=1){C=126;break}c[X>>2]=1;c[n>>2]=4;h[e>>3]=+h[G>>3];lw(d,o+((c[412472]|0)-1<<3)|0,19112,g,19112)|0;C=195}}while(0);if((C|0)==216){TL(1649736,73736,80,54);Ov(1649736,18832,18560,1650184,1650184,1650184,1650184,18992,17936,j,80)|0;break c}else if((C|0)==218){TL(1649736,71328,80,34);Ov(1649736,18960,19152,1650184,1650184,1650184,1650184,18992,j,e,80)|0;break c}else if((C|0)==222){TL(1649736,67208,80,49);Ov(1649736,18848,19120,1650184,1650184,1650184,1650184,18992,17936,e,80)|0;break c}e:while(1){if((C|0)==126){C=0;ja=c[n>>2]|0;C=127;continue}else if((C|0)==127){C=0;if((ja|0)==-12){la=-12;break}if(((c[q+40>>2]|0)-(c[q+36>>2]|0)|0)>=500){C=129;break}ma=k+4|0;Sv(d,ma,l,m,o+((c[412458]|0)-1<<3)|0,o+((c[412454]|0)-1<<3)|0,s,t)|0;if((c[409256]|0)>0){C=231;break}p=c[d>>2]|0;r=c[412454]|0;na=1;while(1){if((na|0)>(p|0)){break}if(+h[o+(na-2+r<<3)>>3]>0.0){na=na+1|0}else{C=134;break e}}c[412478]=na;O=+Tv(d,o+((c[412458]|0)-1<<3)|0,o+(r-1<<3)|0,s,t)*100.0;L=+h[2241];oa=O*L;h[2245]=oa;if(oa>1.0){C=136;break}O=+h[2243];if(O<0.0){pa=-0.0-O}else{pa=O}h[z>>3]=pa;O=+h[j>>3];if(O<0.0){qa=-0.0-O}else{qa=O}h[2248]=L*4.0*(pa>=qa?pa:qa);do{if((c[k+24>>2]|0)!=0){L=+h[2250];if(L<0.0){ra=-0.0-L}else{ra=L}O=ra/+h[o+8>>3];if(!(O>1.0)){break}h[2250]=L/O}}while(0);Wv(17944,f,g,d,b,u,18e3,o+((c[412454]|0)-1<<3)|0,k,n,s,t,o+((c[412458]|0)-1<<3)|0,o+400|0,o+((c[412472]|0)-1<<3)|0,o+((c[412456]|0)-1<<3)|0,q,o+80|0,o+128|0,o+176|0,o+224|0,o+272|0,o+32|0,o+40|0,o+48|0,o+56|0,17984,o+64|0,q+20|0,q+16|0,q+24|0,q+28|0,q+32|0,k+36|0,1649720)|0;if((c[409256]|0)>0){C=231;break}r=c[n>>2]|0;if((r|0)<0){la=r;break}do{if((c[w>>2]|0)!=0){Qv(18928,v,w,d,17944,j,f,o+((c[412472]|0)-1<<3)|0,o+((c[412458]|0)-1<<3)|0,o+224|0,q+28|0,o+((c[412464]|0)-1<<3)|0,o+((c[412462]|0)-1<<3)|0,o+((c[412460]|0)-1<<3)|0,x,1649904,o+64|0,0,o,q,s,t)|0;if((c[409256]|0)>0){C=231;break e}if((c[412476]|0)!=1){break}c[q+68>>2]=1;c[n>>2]=4;h[e>>3]=+h[o+320>>3];lw(d,o+((c[412472]|0)-1<<3)|0,19112,g,19112)|0;C=195;continue e}}while(0);r=(c[k+8>>2]|0)!=0;O=+h[2243];L=+h[2250];M=(O- +h[j>>3])*L;if((c[k+12>>2]|0)==0){if(!r){if(M<0.0){C=126;continue}Vv(17944,j,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(M<0.0){h[e>>3]=O;c[n>>2]=1;C=195;continue}Vv(17944,j,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){C=231;break}c[n>>2]=3;h[e>>3]=+h[j>>3];C=195;continue}if(r){if(!(M<0.0)){Vv(17944,j,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}V=O- +h[2242];h[z>>3]=V;if(V<0.0){sa=-0.0-V}else{sa=V}if(O<0.0){ta=-0.0-O}else{ta=O}if(L<0.0){ua=-0.0-L}else{ua=L}if(sa>+h[2241]*100.0*(ta+ua)){h[e>>3]=O;c[n>>2]=1;C=195;continue}Vv(17944,17936,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2242];C=195;continue}if(!(M<0.0)){Vv(17944,j,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){C=231;break}h[e>>3]=+h[j>>3];c[n>>2]=3;C=195;continue}M=+h[2242];V=O-M;h[z>>3]=V;if(V<0.0){va=-0.0-V}else{va=V}if(O<0.0){wa=-0.0-O}else{wa=O}if(L<0.0){xa=-0.0-L}else{xa=L}if(va>+h[2241]*100.0*(wa+xa)){if(!(L*(O+L-M)>0.0)){C=126;continue}h[2250]=M-O;C=126;continue}else{Vv(17944,17936,f,g,d,q+28|0,o+((c[412458]|0)-1<<3)|0,o+224|0)|0;if((c[409256]|0)>0){C=231;break}c[n>>2]=2;h[e>>3]=+h[2242];C=195;continue}}else if((C|0)==195){C=0;h[o+24>>3]=+h[2243];h[o+16>>3]=+h[2250];h[o+328>>3]=+h[e>>3];C=231;break}}do{if((C|0)==129){c[n>>2]=-1;la=-1}else if((C|0)==134){c[412478]=na;c[n>>2]=-3;la=-3}else if((C|0)==136){if((c[ma>>2]|0)!=1){h[l>>3]=oa*+h[l>>3];h[m>>3]=+h[2245]*+h[m>>3];c[n>>2]=-2;la=-2;break}r=c[d>>2]|0;c[412478]=1;if((r|0)>=1){p=0;I=1;O=oa;while(1){W=l+(p<<3)|0;h[W>>3]=O*+h[W>>3];W=m+(I-1<<3)|0;h[W>>3]=+h[2245]*+h[W>>3];ya=I+1|0;if((ya|0)>(r|0)){break}p=I;I=ya;O=+h[2245]}c[412478]=ya}c[n>>2]=-2;la=-2}else if((C|0)==231){i=y;return 0}}while(0);I=-la|0;c[412474]=I;switch(I|0){case 2:{TL(1649736,40864,80,47);Ov(1649736,18872,18776,1650184,1650184,1650184,1650184,19112,17944,18552,80)|0;TL(1649736,33848,80,48);Ov(1649736,18864,18768,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;TL(1649736,28536,80,45);Ov(1649736,18888,18760,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 3:{TL(1649736,22584,80,38);Ov(1649736,18936,18752,1650184,1650184,1650184,1650184,19112,17944,18552,80)|0;TL(1649736,1607960,80,28);Ov(1649736,19e3,18744,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 6:{TL(1649736,1601928,80,44);Ov(1649736,18896,18736,1650184,1650184,1650184,1650184,18992,17944,18e3,80)|0;TL(1649736,1598640,80,57);Ov(1649736,18816,18728,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 7:{TL(1649736,1601928,80,44);Ov(1649736,18896,18720,1650184,1650184,1650184,1650184,18992,17944,18e3,80)|0;TL(1649736,1596080,80,48);Ov(1649736,18864,18712,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;TL(1649736,1594592,80,28);Ov(1649736,19e3,18704,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 8:{TL(1649736,1601928,80,44);Ov(1649736,18896,18696,1650184,1650184,1650184,1650184,18992,17944,18e3,80)|0;TL(1649736,1593224,80,37);Ov(1649736,18944,18688,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 9:{TL(1649736,1601928,80,44);Ov(1649736,18896,18680,1650184,1650184,1650184,1650184,18992,17944,18e3,80)|0;TL(1649736,1592016,80,49);Ov(1649736,18848,18672,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;TL(1649736,1590896,80,38);Ov(1649736,18936,18664,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 10:{TL(1649736,1601928,80,44);Ov(1649736,18896,18656,1650184,1650184,1650184,1650184,18992,17944,18e3,80)|0;TL(1649736,1589936,80,45);Ov(1649736,18888,18648,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;TL(1649736,1589024,80,36);Ov(1649736,18952,18640,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 11:{TL(1649736,1588032,80,40);Ov(1649736,18912,18632,1650184,1650184,1650184,1650184,18992,17944,18e3,80)|0;TL(1649736,1586784,80,36);Ov(1649736,18952,18624,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 12:{TL(1649736,1601928,80,44);Ov(1649736,18896,18616,1650184,1650184,1650184,1650184,18992,17944,17976,80)|0;TL(1649736,1585648,80,45);Ov(1649736,18888,18600,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break};case 4:case 5:{break};default:{TL(1649736,57568,80,38);Ov(1649736,18936,18792,1650184,1650184,1650184,1650184,19112,17944,18552,80)|0;TL(1649736,49040,80,48);Ov(1649736,18864,18784,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0}}c[k>>2]=-1;h[e>>3]=+h[2243];h[o+24>>3]=+h[2243];h[o+16>>3]=+h[2250];i=y;return 0}else if((C|0)==213){TL(1649736,76936,80,39);Ov(1649736,18920,18608,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break c}else if((C|0)==214){TL(1649736,76032,80,39);Ov(1649736,18920,18592,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;break c}}}while(0);TL(1649736,75056,80,47);Ov(1649736,18872,18568,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0}else if((C|0)==208){TL(1649736,1336216,80,55);Ov(1649736,18824,19112,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0}}while(0);if((C|0)==225){TL(1649736,63800,80,39);Ov(1649736,18920,19048,1650184,1650184,1650184,1650184,18992,j,e,80)|0}if((c[k>>2]|0)==-1){TL(1649736,59184,80,46);Ov(1649736,18880,18584,1650184,1650184,1650184,1650184,1650184,18552,18552,80)|0;TL(1649736,58384,80,47);Ov(1649736,18872,18576,19112,1650184,1650184,1650184,1650184,18552,18552,80)|0;i=y;return 0}else{c[k>>2]=-1;c[n>>2]=-33;i=y;return 0}return 0}function Qv(b,d,e,f,g,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0.0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0.0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0,R=0,S=0,T=0.0,U=0,V=0,W=0.0,X=0.0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0.0,fa=0,ga=0,ha=0,ia=0;u=c[f>>2]|0;z=~u;A=+h[m>>3];h[2104]=A;c[s>>2]=0;B=c[e>>2]|0;c[411880]=1;if((B|0)>=1){C=1;do{c[r+(C-1<<2)>>2]=0;C=(c[411880]|0)+1|0;c[411880]=C;}while((C|0)<=(B|0))}D=+h[g>>3];if(D<0.0){E=-0.0-D}else{E=D}if(A<0.0){F=-0.0-A}else{F=A}h[2103]=(E+F)*+h[t>>3]*100.0;t=c[b>>2]|0;do{if((t|0)==2){do{if((c[w+68>>2]|0)!=0){b=v+320|0;Vv(g,b,j,k,f,n,l,m)|0;if((c[409256]|0)>0){return 0}B=d;Nd[B&15](f,b,j,e,o,x,y)|0;if((c[409256]|0)>0){return 0}C=w+60|0;c[C>>2]=(c[C>>2]|0)+1;a[16784]=0;G=c[e>>2]|0;c[411880]=1;if((G|0)<1){break}else{H=1;I=0}while(1){F=+h[o+(H-1<<3)>>3];if(F<0.0){J=-0.0-F}else{J=F}if(J>0.0){K=I}else{a[16784]=1;K=1}L=H+1|0;if((L|0)>(G|0)){break}else{H=L;I=K}}c[411880]=L;if(!K){break}F=+SL(16824,16832);h[2101]=F;E=F+ +h[b>>3];h[b>>3]=E;F=+h[2104];do{if((E- +h[g>>3])*F<0.0){Vv(g,b,j,k,f,n,l,m)|0;if((c[409256]|0)<=0){break}return 0}else{D=+h[2101]/F;h[2100]=D;G=c[f>>2]|0;c[411880]=1;if((G|0)<1){break}M=(u<<1)+z|0;N=1;O=2;P=D;while(1){Q=j+(N-1<<3)|0;h[Q>>3]=+h[Q>>3]+P*+h[l+(M+N<<3)>>3];if((O|0)>(G|0)){break}N=O;O=O+1|0;P=+h[2100]}c[411880]=O}}while(0);Nd[B&15](f,b,j,e,o,x,y)|0;if((c[409256]|0)>0){return 0}c[C>>2]=(c[C>>2]|0)+1;a[16784]=0;N=c[e>>2]|0;c[411880]=1;if((N|0)<1){break}else{R=1;S=0}while(1){G=R-1|0;F=+h[o+(G<<3)>>3];if(F<0.0){T=-0.0-F}else{T=F}if(T>0.0){U=S;V=R}else{c[r+(G<<2)>>2]=1;a[16784]=1;U=1;V=c[411880]|0}G=V+1|0;c[411880]=G;if((G|0)>(N|0)){break}else{R=G;S=U}}if(!U){break}c[s>>2]=1;return 0}}while(0);F=+h[g>>3];if(F==+h[v+328>>3]){return 0}else{W=F;X=+h[2104];break}}else if((t|0)==3){W=+h[g>>3];X=A}else{N=v+320|0;Vv(g,N,j,k,f,n,l,m)|0;if((c[409256]|0)>0){return 0}C=d;Nd[C&15](f,N,j,e,o,x,y)|0;if((c[409256]|0)>0){return 0}b=w+60|0;c[b>>2]=1;a[16784]=0;B=c[e>>2]|0;c[411880]=1;if((B|0)<1){return 0}else{Y=1;Z=0}while(1){F=+h[o+(Y-1<<3)>>3];if(F<0.0){_=-0.0-F}else{_=F}if(_>0.0){$=Z}else{a[16784]=1;$=1}aa=Y+1|0;if((aa|0)>(B|0)){break}else{Y=aa;Z=$}}c[411880]=aa;if(!$){return 0}F=+SL(16824,16832);h[2101]=F;h[N>>3]=F+ +h[N>>3];F=+h[2101]/+h[2104];h[2100]=F;B=c[f>>2]|0;c[411880]=1;if((B|0)>=1){G=(u<<1)+z|0;M=1;Q=2;E=F;while(1){ba=j+(M-1<<3)|0;h[ba>>3]=+h[ba>>3]+E*+h[l+(G+M<<3)>>3];if((Q|0)>(B|0)){break}M=Q;Q=Q+1|0;E=+h[2100]}c[411880]=Q}Nd[C&15](f,N,j,e,o,x,y)|0;if((c[409256]|0)>0){return 0}c[b>>2]=(c[b>>2]|0)+1;a[16784]=0;M=c[e>>2]|0;c[411880]=1;if((M|0)<1){return 0}else{ca=1;da=0}while(1){E=+h[o+(ca-1<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}if(ea>0.0){fa=da}else{a[16784]=1;fa=1}ga=ca+1|0;if((ga|0)>(M|0)){break}else{ca=ga;da=fa}}c[411880]=ga;if(!fa){return 0}c[s>>2]=-1;return 0}}while(0);ea=+h[i>>3];do{if((ea-W)*X<0.0){h[2102]=ea;if(!((ea- +h[v+320>>3])*X>0.0)){return 0}Vv(g,16816,j,k,f,n,l,m)|0;if((c[409256]|0)<=0){break}return 0}else{h[2102]=W;i=c[f>>2]|0;c[411880]=1;if((i|0)<1){break}else{ha=1}do{fa=ha-1|0;h[j+(fa<<3)>>3]=+h[l+(fa<<3)>>3];ha=ha+1|0;}while((ha|0)<=(i|0));c[411880]=ha}}while(0);ha=d;Nd[ha&15](f,16816,j,e,p,x,y)|0;if((c[409256]|0)>0){return 0}d=w+60|0;c[d>>2]=(c[d>>2]|0)+1;c[411878]=0;i=v+320|0;fa=w+76|0;ga=w+72|0;w=v+336|0;da=v+344|0;while(1){Rv(e,16824,1647512,i,16816,o,p,q,16792,r,fa,ga,w,da)|0;if((c[409256]|0)>0){ia=76;break}if((c[411878]|0)>1){ia=73;break}Vv(g,16792,j,k,f,n,l,m)|0;if((c[409256]|0)>0){ia=76;break}Nd[ha&15](f,16792,j,e,q,x,y)|0;if((c[409256]|0)>0){ia=76;break}c[d>>2]=(c[d>>2]|0)+1}if((ia|0)==73){h[i>>3]=+h[2099];lw(e,q,19112,o,19112)|0;if((c[411878]|0)==4){return 0}Vv(g,16792,j,k,f,n,l,m)|0;if((c[409256]|0)>0){return 0}c[s>>2]=1;return 0}else if((ia|0)==76){return 0}return 0}



function Rv(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0.0,A=0,B=0.0,C=0.0,D=0,E=0.0,F=0.0,G=0.0,H=0.0,I=0,J=0.0,K=0.0,L=0.0,M=0.0;do{if((c[e>>2]|0)==1){c[411874]=c[n>>2];c[n>>2]=0;h[2096]=0.0;a[16752]=0;r=c[b>>2]|0;c[411876]=1;if((r|0)>=1){s=1;do{t=s-1|0;u=+h[k+(t<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}do{if(v>0.0){u=+SL(18536,i+(t<<3)|0);if(u==+SL(18536,k+((c[411876]|0)-1<<3)|0)){break}w=c[411876]|0;x=w-1|0;u=+h[k+(x<<3)>>3];y=u/(u- +h[i+(x<<3)>>3]);if(y<0.0){z=-0.0-y}else{z=y}if(!(z>+h[2096])){break}h[2096]=z;c[n>>2]=w}else{a[16752]=1}}while(0);s=(c[411876]|0)+1|0;c[411876]=s;}while((s|0)<=(r|0))}do{if((c[n>>2]|0)>0){a[16776]=1;c[411872]=c[o>>2];h[g>>3]=+h[q>>3];lw(b,k,19112,j,19112)|0;c[o>>2]=1;a[16760]=0;A=0}else{a[16776]=0;c[n>>2]=c[411874];c[411872]=c[o>>2];if(a[16752]|0){h[g>>3]=+h[q>>3];lw(b,k,19112,j,19112)|0;a[16760]=1;A=1;break}else{lw(b,k,19112,i,19112)|0;h[f>>3]=+h[q>>3];c[o>>2]=0;a[16760]=0;A=0;break}}}while(0);y=+h[g>>3];u=y- +h[f>>3];if(u<0.0){B=-0.0-u}else{B=u}if(B>+h[d>>3]){if(!A){break}C=+h[g>>3]}else{a[16760]=1;C=y}c[e>>2]=2;h[l>>3]=C;lw(b,j,19112,k,19112)|0;r=c[b>>2]|0;c[411876]=1;if((r|0)<1){return 0}else{D=1}do{c[m+(D-1<<2)>>2]=0;s=(c[411876]|0)-1|0;y=+h[j+(s<<3)>>3];if(y<0.0){E=-0.0-y}else{E=y}do{if(E>0.0){y=+SL(18536,i+(s<<3)|0);if(!(y!=+SL(18536,j+((c[411876]|0)-1<<3)|0))){break}c[m+((c[411876]|0)-1<<2)>>2]=1}else{c[m+(s<<2)>>2]=1}}while(0);D=(c[411876]|0)+1|0;c[411876]=D;}while((D|0)<=(r|0));return 0}else{c[n>>2]=0;h[2096]=0.0;a[16752]=0;r=c[b>>2]|0;c[411876]=1;if((r|0)>=1){s=1;do{t=s-1|0;y=+h[j+(t<<3)>>3];if(y<0.0){F=-0.0-y}else{F=y}do{if(F>0.0){y=+SL(18536,i+(t<<3)|0);if(y==+SL(18536,j+((c[411876]|0)-1<<3)|0)){break}w=c[411876]|0;x=w-1|0;y=+h[j+(x<<3)>>3];u=y/(y- +h[i+(x<<3)>>3]);if(u<0.0){G=-0.0-u}else{G=u}if(!(G>+h[2096])){break}h[2096]=G;c[n>>2]=w}else{a[16752]=1}}while(0);s=(c[411876]|0)+1|0;c[411876]=s;}while((s|0)<=(r|0))}r=(c[n>>2]|0)>0;a[16776]=r;if(r){a[16760]=0;c[411872]=0;c[o>>2]=1;break}if(!(a[16752]|0)){lw(b,j,19112,k,19112)|0;h[l>>3]=+h[g>>3];c[e>>2]=4;return 0}h[l>>3]=+h[g>>3];lw(b,j,19112,k,19112)|0;r=c[b>>2]|0;c[411876]=1;if((r|0)>=1){s=1;do{c[m+(s-1<<2)>>2]=0;t=c[411876]|0;w=t-1|0;u=+h[j+(w<<3)>>3];if(u<0.0){H=-0.0-u}else{H=u}if(H>0.0){I=t}else{c[m+(w<<2)>>2]=1;I=c[411876]|0}s=I+1|0;c[411876]=s;}while((s|0)<=(r|0))}c[e>>2]=3;return 0}}while(0);I=c[411872]|0;do{if((I|0)==(c[o>>2]|0)){H=+h[p>>3];if((I|0)==0){G=H*2.0;h[p>>3]=G;J=G;break}else{G=H*.5;h[p>>3]=G;J=G;break}}else{h[p>>3]=1.0;J=1.0}}while(0);G=+h[g>>3];p=(c[n>>2]|0)-1|0;H=+h[j+(p<<3)>>3];F=G-(G- +h[f>>3])*H/(H-J*+h[i+(p<<3)>>3]);h[q>>3]=F;J=+h[f>>3];H=F-J;if(H<0.0){K=-0.0-H}else{K=H}H=+h[d>>3];do{if(K<H){G=+h[g>>3]-J;if(G<0.0){L=-0.0-G}else{L=G}if(!(L>H*10.0)){M=F;break}E=J+G*.1;h[q>>3]=E;M=E}else{M=F}}while(0);c[e>>2]=1;h[l>>3]=M;return 0}function Sv(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0.0,m=0,n=0.0,o=0.0;h[2215]=+h[d>>3];h[2216]=+h[e>>3];j=c[a>>2]|0;c[412392]=1;if((j|0)<1){return 0}else{k=1}do{if((c[b>>2]|0)==0){l=+h[2215];m=k-1|0}else{a=k-1|0;n=+h[d+(a<<3)>>3];h[2215]=n;h[2216]=+h[e+(a<<3)>>3];l=n;m=a}n=+h[f+(m<<3)>>3];if(n<0.0){o=-0.0-n}else{o=n}h[g+(m<<3)>>3]=l*o+ +h[2216];k=k+1|0;c[412392]=k;}while((k|0)<=(j|0));return 0}function Tv(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,p=0.0;h[2253]=0.0;f=c[a>>2]|0;c[412482]=1;if((f|0)<1){g=0.0;return+g}else{i=1;j=0.0}while(1){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){l=-0.0-k}else{l=k}if(l>j){e=i-1|0;k=+h[b+(e<<3)>>3]/+h[d+(e<<3)>>3];if(k<0.0){m=-0.0-k}else{m=k}h[2253]=m;n=m}else{n=j}o=i+1|0;if((o|0)>(f|0)){break}else{i=o;j=n}}c[412482]=o;if(!(n>0.0)){g=0.0;return+g}h[2254]=0.0;o=c[a>>2]|0;c[412482]=1;if((o|0)<1){p=0.0}else{i=1;j=0.0;do{f=i-1|0;m=+h[b+(f<<3)>>3]/+h[d+(f<<3)>>3]/n;j=j+m*m;h[2254]=j;i=i+1|0;}while((i|0)<=(o|0));c[412482]=i;p=j}g=n*+W(p/+(c[a>>2]|0));return+g}function Uv(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;var y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0,U=0.0,V=0.0,W=0.0;y=i;i=i+16|0;z=y|0;A=y+8|0;B=c[f>>2]|0;c[m>>2]=1;c[412518]=0;c[412520]=0;c[412516]=0;h[2261]=+h[b>>3];h[2260]=+Tv(f,d,l,0,0);C=c[f>>2]|0;c[412528]=1;D=(B<<1)+~B|0;if((C|0)>=1){B=1;do{E=B-1|0;h[p+(E<<3)>>3]=+h[d+(E<<3)>>3];h[p+(D+B<<3)>>3]=+h[e+(B-1<<3)>>3];B=B+1|0;}while((B|0)<=(C|0));c[412528]=B}B=t+44|0;C=g;E=t+48|0;F=+h[k>>3];a:while(1){h[2269]=1.0/F;h[b>>3]=+h[k>>3]+ +h[b>>3];G=c[f>>2]|0;c[412528]=1;if((G|0)>=1){H=1;do{I=H-1|0;J=d+(I<<3)|0;h[J>>3]=+h[J>>3]+ +h[k>>3]*+h[e+(I<<3)>>3];H=H+1|0;}while((H|0)<=(G|0));c[412528]=H}a[18120]=1;c[412522]=0;a[18144]=1;c[B>>2]=(c[B>>2]|0)+1;c[412524]=0;Nd[C&15](b,d,e,q,1650096,n,o)|0;b:do{if((c[412524]|0)<0){K=35}else{while(1){if(a[18120]|0){c[E>>2]=(c[E>>2]|0)+1;a[18120]=0;Xv(f,b,d,e,q,18152,k,1650104,l,r,s,t,g,1650096,v,j,n,o,x)|0;h[2262]=1.0e6;if((c[412524]|0)<0|(c[412526]|0)!=0){K=35;break b}c[412516]=0}G=c[f>>2]|0;c[412528]=1;if((G|0)>=1){I=1;do{J=q+(I-1<<3)|0;h[J>>3]=+h[J>>3]*.75;I=I+1|0;}while((I|0)<=(G|0));c[412528]=I}Yv(f,q,s,t)|0;G=c[f>>2]|0;c[412528]=1;if((G|0)>=1){J=1;do{L=J-1|0;M=d+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[q+(L<<3)>>3];L=J-1|0;M=e+(L<<3)|0;h[M>>3]=+h[M>>3]- +h[2269]*+h[q+(L<<3)>>3];J=J+1|0;}while((J|0)<=(G|0));c[412528]=J}N=+Tv(f,q,l,0,0);h[2267]=N;if(!(N>+h[v>>3]*100.0*+h[2260])){break}G=c[412522]|0;if((G|0)>0){h[z>>3]=N/+h[2264];h[A>>3]=1.0/+(G|0);O=+QL(z,A);if(O>.9){K=35;break b}P=O/(1.0-O);h[2262]=P;Q=P;R=+h[2267]}else{h[2264]=N;Q=+h[2262];R=N}if(!(Q*R>.33)){break}G=(c[412522]|0)+1|0;c[412522]=G;if((G|0)>9){K=35;break b}if(((G|0)%5|0|0)==0){a[18120]=1}c[B>>2]=(c[B>>2]|0)+1;c[412524]=0;Nd[C&15](b,d,e,q,1650096,n,o)|0;if((c[412524]|0)<0){K=35;break b}}do{if((c[w>>2]|0)!=0){G=c[f>>2]|0;c[412528]=1;if((G|0)>=1){I=1;do{S=+h[d+(I-1<<3)>>3];h[q+(I-1<<3)>>3]=S<=0.0?S:0.0;I=I+1|0;}while((I|0)<=(G|0));h[z>>3]=S;c[412528]=I}N=+Tv(f,q,l,0,0);h[2267]=N;if(N>.33){K=35;break b}G=c[f>>2]|0;c[412528]=1;if((G|0)<1){break}else{T=1}do{J=T-1|0;L=d+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[q+(J<<3)>>3];J=T-1|0;L=e+(J<<3)|0;h[L>>3]=+h[L>>3]- +h[2269]*+h[q+(J<<3)>>3];T=T+1|0;}while((T|0)<=(G|0));c[412528]=T}}while(0);if(!(a[18144]|0)){break}G=c[f>>2]|0;c[412528]=1;if((G|0)>=1){I=1;do{J=I-1|0;h[r+(J<<3)>>3]=+h[d+(J<<3)>>3]- +h[p+(J<<3)>>3];I=I+1|0;}while((I|0)<=(G|0));c[412528]=I}N=+Tv(f,r,l,0,0);h[2266]=N;if(!(N>1.0)){K=63;break a}}}while(0);if((K|0)==35){K=0;a[18144]=0}h[b>>3]=+h[2261];H=c[f>>2]|0;c[412528]=1;if((H|0)>=1){G=1;do{J=G-1|0;h[d+(J<<3)>>3]=+h[p+(J<<3)>>3];h[e+(G-1<<3)>>3]=+h[p+(D+G<<3)>>3];G=G+1|0;}while((G|0)<=(H|0));c[412528]=G}if(a[18144]|0){H=(c[412518]|0)+1|0;c[412518]=H;N=.9/(+h[2266]*2.0+1.0e-4);h[z>>3]=.1;P=N>=.5?.5:N;h[A>>3]=P;N=P<=.1?.1:P;h[2263]=N;P=+h[k>>3]*N;h[k>>3]=P;if(P<0.0){U=-0.0-P}else{U=P}if(U>=+h[u>>3]&(H|0)<10){F=P;continue}else{K=62;break}}if((c[412526]|0)!=0){H=(c[412516]|0)+1|0;c[412516]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=3){K=51;break}if(P<0.0){V=-0.0-P}else{V=P}if(V<+h[u>>3]){K=51;break}else{F=P;continue}}if(!((c[412524]|0)>-2)){K=53;break}H=(c[412520]|0)+1|0;c[412520]=H;P=+h[k>>3]*.25;h[k>>3]=P;if((H|0)>=10){K=58;break}if(P<0.0){W=-0.0-P}else{W=P}if(W<+h[u>>3]){K=58;break}else{F=P}}if((K|0)==51){c[m>>2]=-12;i=y;return 0}else if((K|0)==53){c[m>>2]=-12;i=y;return 0}else if((K|0)==58){c[m>>2]=-12;i=y;return 0}else if((K|0)==62){c[m>>2]=-12;i=y;return 0}else if((K|0)==63){i=y;return 0}return 0}function Vv(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0;k=c[f>>2]|0;l=~k;m=(c[g>>2]|0)+1|0;c[412394]=m;n=+h[b>>3]- +h[a>>3];h[2217]=n;a=c[f>>2]|0;c[412398]=1;if((a|0)<1){o=n}else{b=1;do{g=b-1|0;h[d+(g<<3)>>3]=+h[i+(g<<3)>>3];h[e+(b-1<<3)>>3]=0.0;b=b+1|0;}while((b|0)<=(a|0));c[412398]=b;o=+h[2217]}h[2220]=1.0;h[2219]=0.0;n=o/+h[j>>3];h[2218]=n;c[412396]=2;if((m|0)<2){return 0}else{p=2;q=0.0;r=n;s=1.0;t=o}while(1){b=j+(p-2<<3)|0;h[2219]=q*r+s/+h[b>>3];o=r*s;h[2220]=o;h[2218]=(t+ +h[b>>3])/+h[j+(p-1<<3)>>3];b=c[f>>2]|0;c[412398]=1;if((b|0)>=1){a=ga(p,k)|0;g=1;n=o;while(1){u=d+(g-1<<3)|0;h[u>>3]=+h[u>>3]+n*+h[i+(g+l+a<<3)>>3];u=e+(g-1<<3)|0;h[u>>3]=+h[u>>3]+ +h[2219]*+h[i+(g+l+a<<3)>>3];v=g+1|0;if((v|0)>(b|0)){break}g=v;n=+h[2220]}c[412398]=v}g=p+1|0;c[412396]=g;if((g|0)>(m|0)){break}p=g;q=+h[2219];r=+h[2218];s=+h[2220];t=+h[2217]}return 0}function Wv(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,A,B,C,D,E,F,G,H,I,J,K,L,M){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;C=C|0;D=D|0;E=E|0;F=F|0;G=G|0;H=H|0;I=I|0;J=J|0;K=K|0;L=L|0;M=M|0;var N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0,Ba=0,Ca=0.0,Da=0,Ea=0,Fa=0,Ga=0.0,Ha=0;N=i;i=i+16|0;O=N|0;P=N+8|0;Q=c[f>>2]|0;R=~Q;c[n>>2]=1;h[2221]=+h[b>>3];c[412406]=0;c[412402]=0;c[412404]=0;S=u+52|0;if((c[m>>2]|0)==0){c[S>>2]=0;T=u+56|0;c[T>>2]=0;c[I>>2]=1;c[J>>2]=0;h[C>>3]=0.0;c[m>>2]=1;h[y>>3]=+h[k>>3];U=1.0/+h[k>>3];h[B>>3]=U;h[A>>3]=U;h[D>>3]=100.0;c[H>>2]=-1;h[2235]=1.0;c[G>>2]=0;c[K>>2]=0;V=T}else{V=u+56|0}T=u+44|0;m=g;W=u+48|0;while(1){c[412412]=(c[I>>2]|0)+1;c[412410]=(c[I>>2]|0)+2;c[412416]=(c[I>>2]|0)-1;h[2221]=+h[b>>3];do{if(+h[k>>3]!=+h[C>>3]){X=8}else{Y=c[I>>2]|0;if((Y|0)!=(c[J>>2]|0)){X=8;break}Z=Y;_=(c[K>>2]|0)+1|0}}while(0);if((X|0)==8){X=0;c[K>>2]=0;Z=c[J>>2]|0;_=1}Y=Z+2|0;$=(_|0)<=(Y|0)?_:Y;c[K>>2]=$;c[412400]=$+1;$=c[412412]|0;if(($|0)>=(c[K>>2]|0)){h[w>>3]=1.0;h[v>>3]=1.0;h[2225]=+h[k>>3];h[x>>3]=0.0;h[z>>3]=1.0;c[412428]=2;if(($|0)>=2){Y=2;do{h[2224]=+h[y+(Y-2<<3)>>3];U=+h[2225];aa=Y-2|0;h[y+(aa<<3)>>3]=U;ba=Y-1|0;h[w+(ba<<3)>>3]=+h[w+(aa<<3)>>3]*U/+h[2224];U=+h[2224]+ +h[k>>3];h[2225]=U;ca=+h[k>>3]/U;h[v+(ba<<3)>>3]=ca;h[z+(ba<<3)>>3]=ca*+h[z+(aa<<3)>>3]*+(ba|0);h[x+(ba<<3)>>3]=+h[x+(aa<<3)>>3]+ +h[v+(aa<<3)>>3]/+h[k>>3];Y=Y+1|0;}while((Y|0)<=($|0));c[412428]=Y}h[y+($-1<<3)>>3]=+h[2225]}h[2239]=0.0;h[2240]=0.0;aa=c[I>>2]|0;c[412428]=1;if((aa|0)<1){da=0.0}else{ba=1;ca=0.0;U=0.0;do{ca=ca-1.0/+(ba|0);h[2239]=ca;U=U- +h[v+(ba-1<<3)>>3];h[2240]=U;ba=ba+1|0;}while((ba|0)<=(aa|0));c[412428]=ba;da=ca}h[2238]=+h[A>>3];h[A>>3]=(-0.0-da)/+h[k>>3];aa=v+($-1<<3)|0;U=+h[aa>>3]+ +h[2239]- +h[2240];h[O>>3]=U;if(U<0.0){ea=-0.0-U}else{ea=U}h[2237]=ea;h[O>>3]=ea;U=+h[aa>>3];h[P>>3]=U;h[2237]=ea>=U?ea:U;h[2225]=.6;h[2224]=1.6666666666666667;U=+h[A>>3];fa=U/+h[B>>3];if(fa<.6|fa>1.6666666666666667){c[H>>2]=-1}if(U!=+h[2238]){h[D>>3]=100.0}aa=c[412412]|0;Y=c[412400]|0;if((aa|0)>=(Y|0)){c[412422]=Y;ha=Y;do{Y=c[f>>2]|0;c[412428]=1;if((Y|0)>=1){ia=1;do{ja=q+(ia+R+(ga(ha,Q)|0)<<3)|0;h[ja>>3]=+h[w+(ha-1<<3)>>3]*+h[ja>>3];ia=ia+1|0;}while((ia|0)<=(Y|0));c[412428]=ia}ha=ha+1|0;c[412422]=ha;}while((ha|0)<=(aa|0))}h[b>>3]=+h[k>>3]+ +h[b>>3];a:while(1){aa=c[f>>2]|0;c[412428]=1;if((aa|0)>=1){ha=1;do{$=ha-1|0;h[d+($<<3)>>3]=+h[q+($<<3)>>3];h[e+(ha-1<<3)>>3]=0.0;ha=ha+1|0;}while((ha|0)<=(aa|0));c[412428]=ha}aa=c[412412]|0;c[412422]=2;if((aa|0)>=2){ia=2;do{$=c[f>>2]|0;c[412428]=1;if(($|0)>=1){ba=x+(ia-1<<3)|0;Y=ga(ia,Q)|0;ja=Y+R|0;ka=1;do{la=d+(ka-1<<3)|0;h[la>>3]=+h[q+(ka+R+Y<<3)>>3]+ +h[la>>3];la=e+(ka-1<<3)|0;h[la>>3]=+h[la>>3]+ +h[ba>>3]*+h[q+(ja+ka<<3)>>3];ka=ka+1|0;}while((ka|0)<=($|0));c[412428]=ka}ia=ia+1|0;c[412422]=ia;}while((ia|0)<=(aa|0))}h[2227]=+Tv(f,d,l,0,0);a[17888]=1;c[412408]=0;c[T>>2]=(c[T>>2]|0)+1;c[412424]=0;Nd[m&15](b,d,e,r,1649696,o,p)|0;if((c[412424]|0)<0){X=70;break}if((c[H>>2]|0)==-1){c[W>>2]=(c[W>>2]|0)+1;c[H>>2]=0;Xv(f,b,d,e,r,A,k,1649704,l,s,t,u,g,1649696,F,j,o,p,M)|0;h[B>>3]=+h[A>>3];h[D>>3]=100.0;if((c[412424]|0)<0|(c[412426]|0)!=0){X=70;break}c[412402]=0}aa=c[f>>2]|0;c[412428]=1;if((aa|0)>=1){ia=1;do{h[s+(ia-1<<3)>>3]=0.0;ia=ia+1|0;}while((ia|0)<=(aa|0));c[412428]=ia}while(1){ca=2.0/(+h[A>>3]/+h[B>>3]+1.0);h[2225]=ca;aa=c[f>>2]|0;c[412428]=1;if((aa|0)>=1){ha=0;$=1;U=ca;while(1){ja=r+(ha<<3)|0;h[ja>>3]=U*+h[ja>>3];ma=$+1|0;if((ma|0)>(aa|0)){break}ha=$;$=ma;U=+h[2225]}c[412428]=ma}Yv(f,r,t,u)|0;$=c[f>>2]|0;c[412428]=1;if(($|0)>=1){ha=1;do{aa=ha-1|0;ka=d+(aa<<3)|0;h[ka>>3]=+h[ka>>3]- +h[r+(aa<<3)>>3];aa=ha-1|0;ka=r+(aa<<3)|0;ja=s+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[ka>>3];ja=e+(aa<<3)|0;h[ja>>3]=+h[ja>>3]- +h[A>>3]*+h[ka>>3];ha=ha+1|0;}while((ha|0)<=($|0));c[412428]=ha}U=+Tv(f,r,l,0,0);h[2235]=U;if(!(U>+h[F>>3]*100.0*+h[2227])){X=63;break a}$=c[412408]|0;if(($|0)>0){h[O>>3]=U/+h[2228];h[P>>3]=1.0/+($|0);ca=+QL(O,P);if(ca>.9){break}fa=ca/(1.0-ca);h[D>>3]=fa;na=fa;oa=+h[2235]}else{h[2228]=U;na=+h[D>>3];oa=U}if(!(na*oa>.33)){X=63;break a}$=(c[412408]|0)+1|0;c[412408]=$;if(($|0)>3){break}c[T>>2]=(c[T>>2]|0)+1;c[412424]=0;Nd[m&15](b,d,e,r,1649696,o,p)|0;if((c[412424]|0)<0){X=70;break a}}if((c[H>>2]|0)==0){X=70;break}c[H>>2]=-1}do{if((X|0)==63){X=0;if((c[L>>2]|0)==0){break}ia=c[f>>2]|0;c[412428]=1;if((ia|0)>=1){$=1;do{pa=+h[d+($-1<<3)>>3];h[r+($-1<<3)>>3]=pa<=0.0?pa:0.0;$=$+1|0;}while(($|0)<=(ia|0));h[O>>3]=pa;c[412428]=$}U=+Tv(f,r,l,0,0);h[2235]=U;if(U>.33){X=70;break}ia=c[f>>2]|0;c[412428]=1;if((ia|0)<1){break}else{qa=1}do{ka=qa-1|0;ja=s+(ka<<3)|0;h[ja>>3]=+h[ja>>3]- +h[r+(ka<<3)>>3];qa=qa+1|0;}while((qa|0)<=(ia|0));c[412428]=qa}}while(0);if((X|0)==70){X=0;a[17888]=0}c[H>>2]=1;if(a[17888]|0){U=+Tv(f,s,l,0,0);h[2234]=U;ia=c[I>>2]|0;fa=U*+h[z+(ia<<3)>>3];h[2233]=fa;h[2223]=fa*+(ia+1|0);h[2230]=fa;c[412414]=ia;do{if((c[I>>2]|0)!=1){ia=c[f>>2]|0;c[412428]=1;if((ia|0)>=1){$=ga(c[412412]|0,Q)|0;ka=1;do{ja=ka-1|0;h[r+(ja<<3)>>3]=+h[q+(ka+R+$<<3)>>3]+ +h[s+(ja<<3)>>3];ka=ka+1|0;}while((ka|0)<=(ia|0));c[412428]=ka}fa=+h[z+((c[I>>2]|0)-1<<3)>>3];U=fa*+Tv(f,r,l,0,0);h[2232]=U;ia=c[I>>2]|0;fa=U*+(ia|0);h[2222]=fa;if((ia|0)>2){$=c[f>>2]|0;c[412428]=1;ja=c[I>>2]|0;if(($|0)<1){ra=ja}else{aa=1;ba=ja;while(1){ca=+h[q+(aa+R+(ga(ba,Q)|0)<<3)>>3];ja=r+(aa-1<<3)|0;h[ja>>3]=ca+ +h[ja>>3];ja=aa+1|0;c[412428]=ja;Y=c[I>>2]|0;if((ja|0)>($|0)){ra=Y;break}else{aa=ja;ba=Y}}}ca=+h[z+(ra-2<<3)>>3];sa=ca*+Tv(f,r,l,0,0);ba=c[I>>2]|0;ca=sa*+(ba-1|0);sa=+h[2222];if((sa>=ca?sa:ca)>+h[2223]){break}ta=ba;ua=+h[2232]}else{if(fa>+h[2223]*.5){break}else{ta=ia;ua=U}}c[412414]=ta-1;h[2230]=ua}}while(0);if(!(+h[2237]*+h[2234]>1.0)){X=86;break}}c[G>>2]=1;h[b>>3]=+h[2221];ba=c[412412]|0;aa=c[412400]|0;if((ba|0)>=(aa|0)){c[412422]=aa;$=aa;do{ca=1.0/+h[w+($-1<<3)>>3];h[2225]=ca;aa=c[f>>2]|0;c[412428]=1;if((aa|0)>=1){ka=ga($,Q)|0;Y=1;ja=2;sa=ca;while(1){la=q+(Y+R+ka<<3)|0;h[la>>3]=sa*+h[la>>3];if((ja|0)>(aa|0)){break}Y=ja;ja=ja+1|0;sa=+h[2225]}c[412428]=ja}$=$+1|0;c[412422]=$;}while(($|0)<=(ba|0))}c[412428]=2;if((ba|0)>=2){$=2;do{h[y+($-2<<3)>>3]=+h[y+($-1<<3)>>3]- +h[k>>3];$=$+1|0;}while(($|0)<=(ba|0));c[412428]=$}if(!(a[17888]|0)){c[V>>2]=(c[V>>2]|0)+1;if((c[412426]|0)!=0){ba=(c[412402]|0)+1|0;c[412402]=ba;h[2226]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=3){X=144;break}if(sa<0.0){va=-0.0-sa}else{va=sa}if(va<+h[E>>3]){X=144;break}else{continue}}if(!((c[412424]|0)>-2)){X=146;break}ba=(c[412406]|0)+1|0;c[412406]=ba;h[2226]=.25;sa=+h[k>>3]*.25;h[k>>3]=sa;if((ba|0)>=10){X=151;break}if(sa<0.0){wa=-0.0-sa}else{wa=sa}if(wa<+h[E>>3]){X=151;break}else{continue}}c[412404]=(c[412404]|0)+1;c[S>>2]=(c[S>>2]|0)+1;ba=c[412404]|0;if((ba|0)<=1){Y=c[412414]|0;c[I>>2]=Y;sa=+(Y+1|0);h[2224]=sa;h[O>>3]=+h[2230]*2.0+1.0e-4;h[P>>3]=-1.0/sa;sa=+QL(O,P)*.9;h[O>>3]=.25;U=sa>=.9?.9:sa;h[P>>3]=U;sa=U<=.25?.25:U;h[2226]=sa;U=+h[k>>3]*sa;h[k>>3]=U;if(U<0.0){xa=-0.0-U}else{xa=U}if(xa<+h[E>>3]){X=159;break}else{continue}}if((ba|0)>2){c[I>>2]=1;U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){ya=-0.0-U}else{ya=U}if(ya<+h[E>>3]){X=168;break}else{continue}}else{c[I>>2]=c[412414];U=+h[k>>3]*.25;h[k>>3]=U;if(U<0.0){za=-0.0-U}else{za=U}if(za<+h[E>>3]){X=164;break}else{continue}}}do{if((X|0)==86){c[n>>2]=1;E=u+40|0;c[E>>2]=(c[E>>2]|0)+1;c[412418]=(c[I>>2]|0)-(c[J>>2]|0);c[J>>2]=c[I>>2];h[C>>3]=+h[k>>3];E=c[412414]|0;S=c[412416]|0;do{if((E|0)==(S|0)){X=88}else{V=u+8|0;if((c[I>>2]|0)==(c[V>>2]|0)){X=88;break}if((c[G>>2]|0)!=0){Aa=E;Ba=S;X=90;break}c[I>>2]=c[412412];za=+h[k>>3]*2.0;h[2229]=za;Ca=za;Da=V}}while(0);if((X|0)==88){c[G>>2]=1;Aa=c[412414]|0;Ba=c[412416]|0;X=90}if((X|0)==90){do{if((Aa|0)==(Ba|0)){Ea=Ba;X=104}else{S=c[I>>2]|0;E=u+8|0;if((S|0)==(c[E>>2]|0)){Fa=S;break}if((c[412412]|0)>=(c[K>>2]|0)|(c[412418]|0)==1){Fa=S;break}S=c[f>>2]|0;c[412428]=1;if((S|0)>=1){$=ga(c[412410]|0,Q)|0;V=1;do{w=V-1|0;h[r+(w<<3)>>3]=+h[s+(w<<3)>>3]- +h[q+(V+R+$<<3)>>3];V=V+1|0;}while((V|0)<=(S|0));c[412428]=V}za=1.0/+((c[I>>2]|0)+2|0);ya=za*+Tv(f,r,l,0,0);h[2231]=ya;S=c[I>>2]|0;za=ya*+(S+2|0);if((S|0)>1){xa=+h[2223];$=xa<=za;if(!(+h[2222]>($?xa:za))){Ea=c[412416]|0;X=104;break}if($){Fa=S;break}if((S|0)==(c[E>>2]|0)){Fa=S;break}}else{if(!(za<+h[2223]*.5)){Fa=S;break}}S=c[412412]|0;c[I>>2]=S;h[2230]=ya;Fa=S}}while(0);if((X|0)==104){c[I>>2]=Ea;h[2230]=+h[2232];Fa=Ea}h[2229]=+h[k>>3];ya=+(Fa+1|0);h[2224]=ya;h[O>>3]=+h[2230]*2.0+1.0e-4;h[P>>3]=-1.0/ya;ya=+QL(O,P);h[2226]=ya;do{if(ya<2.0){if(ya>1.0){Ga=+h[2229];break}else{h[O>>3]=.5;za=ya>=.9?.9:ya;h[P>>3]=za;xa=za<=.5?.5:za;h[2226]=xa;za=+h[k>>3]*xa;h[2229]=za;Ga=za;break}}else{za=+h[k>>3]*2.0;h[2229]=za;Ga=za}}while(0);Ca=Ga;Da=u+8|0}h[k>>3]=Ca;do{if((c[J>>2]|0)!=(c[Da>>2]|0)){S=c[f>>2]|0;c[412428]=1;if((S|0)<1){break}$=ga(c[412410]|0,Q)|0;ja=1;do{h[q+(ja+R+$<<3)>>3]=+h[s+(ja-1<<3)>>3];ja=ja+1|0;}while((ja|0)<=(S|0));c[412428]=ja}}while(0);S=c[f>>2]|0;c[412428]=1;$=c[412412]|0;if((S|0)>=1){E=ga($,Q)|0;V=1;do{w=q+(V+R+E<<3)|0;h[w>>3]=+h[s+(V-1<<3)>>3]+ +h[w>>3];V=V+1|0;}while((V|0)<=(S|0));c[412428]=V}c[412420]=2;if(($|0)<2){i=N;return 0}else{Ha=2}do{S=1-Ha+$|0;c[412422]=S;E=c[f>>2]|0;c[412428]=1;if((E|0)>=1){w=ga(S+1|0,Q)|0;ta=ga(S,Q)|0;S=1;do{ra=S+R|0;z=q+(ra+ta<<3)|0;h[z>>3]=+h[q+(ra+w<<3)>>3]+ +h[z>>3];S=S+1|0;}while((S|0)<=(E|0));c[412428]=S}Ha=Ha+1|0;c[412420]=Ha;}while((Ha|0)<=($|0));i=N;return 0}else if((X|0)==144){c[n>>2]=-8}else if((X|0)==146){c[n>>2]=-11}else if((X|0)==151){c[n>>2]=-7;if((c[412424]|0)<0){c[n>>2]=-10}if((c[412404]|0)<=2){break}c[n>>2]=-9}else if((X|0)==159){c[n>>2]=-6}else if((X|0)==164){c[n>>2]=-6}else if((X|0)==168){c[n>>2]=-6}}while(0);Vv(b,b,d,e,f,I,q,y)|0;i=N;return 0}function Xv(b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;var x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0.0,I=0.0,J=0.0,K=0.0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,X=0,Y=0,Z=0,_=0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0,ha=0,ia=0;x=i;i=i+8|0;y=x|0;c[l>>2]=0;z=c[p+12>>2]|0;a:do{if((z|0)==2){c[r>>2]=0;c[412484]=0;h[2257]=+W(+h[s>>3]);A=c[b>>2]|0;c[412510]=1;b:do{if((A|0)>=1){B=q;C=1;while(1){D=C-1|0;E=+h[e+(D<<3)>>3];h[y>>3]=E;if(E<0.0){F=-0.0-E}else{F=E}G=f+(D<<3)|0;E=+h[k>>3]*+h[G>>3];if(E<0.0){H=-0.0-E}else{H=E}E=F>=H?F:H;I=+h[m+(D<<3)>>3];if(I<0.0){J=-0.0-I}else{J=I}h[2259]=+h[2257]*(E>=J?E:J);h[y>>3]=+h[k>>3]*+h[G>>3];E=+SL(18072,y);h[2259]=E;G=(c[412510]|0)-1|0;D=e+(G<<3)|0;I=+h[D>>3];K=E+I-I;h[2259]=K;h[2255]=+h[D>>3];L=f+(G<<3)|0;h[2256]=+h[L>>3];h[D>>3]=K+ +h[D>>3];h[L>>3]=+h[j>>3]*+h[2259]+ +h[L>>3];Nd[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}K=1.0/+h[2259];h[2258]=K;L=c[b>>2]|0;c[412498]=1;D=c[412484]|0;if((L|0)>=1){G=0;M=1;I=K;while(1){h[o+(G+D<<3)>>3]=(+h[n+(G<<3)>>3]- +h[g+(G<<3)>>3])*I;N=M+1|0;if((N|0)>(L|0)){break}G=M;M=N;I=+h[2258]}c[412498]=N}c[412484]=D+(c[b>>2]|0);M=c[412510]|0;G=M-1|0;h[e+(G<<3)>>3]=+h[2255];h[f+(G<<3)>>3]=+h[2256];C=M+1|0;c[412510]=C;if((C|0)>(A|0)){break b}}i=x;return 0}}while(0);if((c[v>>2]|0)==0){O=41;break}c[412484]=0;A=c[b>>2]|0;if((c[406894]|0)==0){O=41;break}C=iY(A*20|0)|0;Au(14,1,49760,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;Au(14,0,49096,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;Au(14,1,48312,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[412500]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];Au(14,0,47616,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[412500]|0)+1|0;c[412500]=B;}while((B|0)<(c[b>>2]|0))}Qd[c[3538]&511](14);Au(14,1,42992,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[412510]=1;if((A|0)>=1){B=C+1|0;M=1;G=c[412484]|0;do{L=o+(M-1+G<<3)|0;h[L>>3]=+h[j>>3]+ +h[L>>3];a[C]=0;a[B]=0;c[412498]=1;L=0;Q=G;while(1){I=+h[o+(L+Q<<3)>>3];Ob(C|0,44896,(P=i,i=i+16|0,c[P>>2]=C,h[P+8>>3]=I,P)|0)|0;i=P;R=c[412498]|0;S=R+1|0;c[412498]=S;if((S|0)>(A|0)){break}L=R;Q=c[412484]|0}Au(14,0,43776,(P=i,i=i+8|0,c[P>>2]=C,P)|0);i=P;Q=c[412484]|0;L=c[412510]|0;R=o+(Q-1+L<<3)|0;h[R>>3]=+h[R>>3]- +h[j>>3];G=Q+(c[b>>2]|0)|0;c[412484]=G;M=L+1|0;c[412510]=M;}while((M|0)<=(A|0))}Qd[c[3538]&511](14);Qd[c[3538]&511](14);jY(C);O=41}else if((z|0)==4){A=p+4|0;M=ga((c[A>>2]|0)+1+(c[p>>2]<<1)|0,c[b>>2]|0)|0;c[412510]=1;if((M|0)>=1){G=1;do{h[o+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(M|0));c[412510]=G}Sd[t&15](d,e,f,g,o,j,k,m,u,v)|0;c[412490]=(c[A>>2]|0)+1+(c[p>>2]<<1);O=72}else if((z|0)==5){M=p+4|0;C=(c[M>>2]|0)+(c[p>>2]|0)|0;B=C+1|0;c[412494]=B;L=c[b>>2]|0;c[412496]=(B|0)>(L|0)?L:B;L=c[p>>2]|0;c[412490]=B+L;c[412492]=L+C;C=(c[b>>2]|0)/(B|0)|0;c[412488]=C+1;B=c[w>>2]|0;c[412504]=B-1;c[412506]=B+C;c[r>>2]=0;h[2257]=+W(+h[s>>3]);C=c[412496]|0;c[412502]=1;if((C|0)<1){O=72;break}B=q;L=1;while(1){Q=c[b>>2]|0;R=c[412494]|0;c[412486]=L;S=(R|0)<0;c:do{if(S?(L|0)>=(Q|0):(L|0)<=(Q|0)){T=L;U=L;V=R;while(1){X=(T-U|0)/(V|0)|0;c[412500]=X+1;Y=T-1|0;Z=e+(Y<<3)|0;h[o+((c[412504]|0)+X<<3)>>3]=+h[Z>>3];_=f+(Y<<3)|0;h[o+((c[412506]|0)+X<<3)>>3]=+h[_>>3];I=+h[Z>>3];h[y>>3]=I;if(I<0.0){$=-0.0-I}else{$=I}I=+h[k>>3]*+h[_>>3];if(I<0.0){aa=-0.0-I}else{aa=I}I=$>=aa?$:aa;K=+h[m+(Y<<3)>>3];if(K<0.0){ba=-0.0-K}else{ba=K}h[2259]=+h[2257]*(I>=ba?I:ba);h[y>>3]=+h[k>>3]*+h[_>>3];I=+SL(18072,y);h[2259]=I;_=c[412486]|0;Y=_-1|0;Z=e+(Y<<3)|0;K=+h[Z>>3];E=I+K-K;h[2259]=E;h[Z>>3]=+h[Z>>3]+E;Z=f+(Y<<3)|0;h[Z>>3]=+h[j>>3]*+h[2259]+ +h[Z>>3];Z=_+R|0;c[412486]=Z;if(!(S?(Z|0)>=(Q|0):(Z|0)<=(Q|0))){break c}T=Z;U=c[412502]|0;V=c[412494]|0}}}while(0);Nd[B&15](d,e,f,n,r,u,v)|0;if((c[r>>2]|0)<0){break}Q=c[b>>2]|0;S=c[412494]|0;R=c[412502]|0;c[412486]=R;V=(S|0)<0;d:do{if(V?(R|0)>=(Q|0):(R|0)<=(Q|0)){U=R;T=R;D=S;while(1){Z=(U-T|0)/(D|0)|0;c[412500]=Z+1;_=U-1|0;Y=e+(_<<3)|0;h[Y>>3]=+h[o+((c[412504]|0)+Z<<3)>>3];E=+h[o+((c[412506]|0)+Z<<3)>>3];Z=f+(_<<3)|0;h[Z>>3]=E;K=+h[Y>>3];h[y>>3]=K;if(K<0.0){ca=-0.0-K}else{ca=K}K=+h[k>>3]*E;if(K<0.0){da=-0.0-K}else{da=K}K=ca>=da?ca:da;E=+h[m+(_<<3)>>3];if(E<0.0){ea=-0.0-E}else{ea=E}h[2259]=+h[2257]*(K>=ea?K:ea);h[y>>3]=+h[k>>3]*+h[Z>>3];K=+SL(18072,y);h[2259]=K;Z=c[412486]|0;E=+h[e+(Z-1<<3)>>3];I=K+E-E;h[2259]=I;E=1.0/I;h[2258]=E;_=Z-(c[M>>2]|0)|0;Y=(_|0)>1?_:1;c[412514]=Y;_=c[b>>2]|0;X=(c[p>>2]|0)+Z|0;fa=(_|0)<=(X|0)?_:X;c[412512]=fa;X=ga(c[412492]|0,Z)|0;_=X-(c[p>>2]|0)|0;c[412508]=_;c[412510]=Y;if((Y|0)<=(fa|0)){X=Y;I=E;while(1){Y=X-1|0;h[o+(Y+_<<3)>>3]=(+h[n+(Y<<3)>>3]- +h[g+(Y<<3)>>3])*I;ha=X+1|0;if((ha|0)>(fa|0)){break}X=ha;I=+h[2258]}c[412510]=ha}X=Z+S|0;c[412486]=X;fa=c[412502]|0;if(!(V?(X|0)>=(Q|0):(X|0)<=(Q|0))){ia=fa;break d}U=X;T=fa;D=c[412494]|0}}else{ia=R}}while(0);R=ia+1|0;c[412502]=R;if((R|0)>(C|0)){O=72;break a}else{L=R}}i=x;return 0}else if((z|0)==3){i=x;return 0}else{L=c[b>>2]|0;C=ga(L,L)|0;c[412510]=1;if((C|0)!=0){L=1;do{h[o+(L-1<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(C|0));c[412510]=L}Sd[t&15](d,e,f,g,o,j,k,m,u,v)|0;if((c[v>>2]|0)==0){O=41;break}c[412484]=0;C=c[b>>2]|0;if((c[406894]|0)==0){O=41;break}M=iY(C*20|0)|0;Au(14,1,49760,(P=i,i=i+8|0,h[P>>3]=+h[d>>3],P)|0);i=P;Au(14,0,49096,(P=i,i=i+8|0,h[P>>3]=+h[j>>3],P)|0);i=P;Au(14,1,48312,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[412500]=0;if((c[b>>2]|0)>0){B=0;do{I=+h[e+(B<<3)>>3];Au(14,0,47616,(P=i,i=i+16|0,c[P>>2]=B+1,h[P+8>>3]=I,P)|0);i=P;B=(c[412500]|0)+1|0;c[412500]=B;}while((B|0)<(c[b>>2]|0))}Qd[c[3538]&511](14);Au(14,1,46912,(P=i,i=i+1|0,i=i+7&-8,c[P>>2]=0,P)|0);i=P;c[412510]=1;if((C|0)>=1){B=M+1|0;L=1;A=c[412484]|0;do{G=o+(L-1+A<<3)|0;h[G>>3]=+h[j>>3]+ +h[G>>3];a[M]=0;a[B]=0;c[412498]=1;G=0;R=A;while(1){I=+h[o+(G+R<<3)>>3];Ob(M|0,44896,(P=i,i=i+16|0,c[P>>2]=M,h[P+8>>3]=I,P)|0)|0;i=P;Q=c[412498]|0;V=Q+1|0;c[412498]=V;if((V|0)>(C|0)){break}G=Q;R=c[412484]|0}Au(14,0,43776,(P=i,i=i+8|0,c[P>>2]=M,P)|0);i=P;R=c[412484]|0;G=c[412510]|0;Q=o+(R-1+G<<3)|0;h[Q>>3]=+h[Q>>3]- +h[j>>3];A=R+(c[b>>2]|0)|0;c[412484]=A;L=G+1|0;c[412510]=L;}while((L|0)<=(C|0))}Qd[c[3538]&511](14);Qd[c[3538]&511](14);jY(M);O=41}}while(0);if((O|0)==41){dw(o,b,b,p+80|0,l)|0;i=x;return 0}else if((O|0)==72){jw(o,1649960,b,p,p+4|0,p+80|0,l)|0;i=x;return 0}return 0}function Yv(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[e+12>>2]|0;if((f|0)==5|(f|0)==4){g=e+4|0;c[412480]=(c[g>>2]|0)+1+(c[e>>2]<<1);kw(d,1649920,a,e,g,e+80|0,b,1650192)|0;return 0}else if((f|0)==3){return 0}else{hw(d,a,a,e+80|0,b,1650192)|0;return 0}return 0}function Zv(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0;d=i;i=i+8|0;e=d|0;do{if(!(a[17016]|0)){a[17016]=1;_v(1647560,1647536,1647528,17024,1647544,16984,1647552,16992)|0;h[2131]=+(c[411890]|0);f=c[411884]|0;h[2120]=+(f|0);if((c[411882]|0)==0){h[2122]=0.0;c[e>>2]=1-f;g=+RL(17048,e)}else{h[2122]=1.0;c[e>>2]=1-f;g=+RL(17048,e)*.5}h[2128]=g;h[2126]=g*+h[2131];h[2129]=+(c[411886]|0);h[2130]=+(c[411888]|0);j=+h[2123];h[2121]=j;k=1.0/+h[2124];if(k<j){break}h[2121]=k*(g+1.0)}}while(0);if((mw(b,29456,1,1)|0)!=0){g=+h[2128];h[2125]=g;l=g;i=d;return+l}if((mw(b,1590056,1,1)|0)!=0){g=+h[2121];h[2125]=g;l=g;i=d;return+l}if((mw(b,77072,1,1)|0)!=0){g=+h[2131];h[2125]=g;l=g;i=d;return+l}if((mw(b,65920,1,1)|0)!=0){g=+h[2126];h[2125]=g;l=g;i=d;return+l}if((mw(b,56296,1,1)|0)!=0){g=+h[2120];h[2125]=g;l=g;i=d;return+l}if((mw(b,47720,1,1)|0)!=0){g=+h[2122];h[2125]=g;l=g;i=d;return+l}if((mw(b,39544,1,1)|0)!=0){g=+h[2129];h[2125]=g;l=g;i=d;return+l}if((mw(b,32992,1,1)|0)!=0){g=+h[2123];h[2125]=g;l=g;i=d;return+l}if((mw(b,27720,1,1)|0)!=0){g=+h[2130];h[2125]=g;l=g;i=d;return+l}if((mw(b,21736,1,1)|0)==0){l=+h[2125];i=d;return+l}else{g=+h[2124];h[2125]=g;l=g;i=d;return+l}return 0.0}function _v(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;m=i;i=i+24|0;n=m|0;o=m+8|0;p=m+16|0;if(a[17536]|0){q=c[411918]|0;c[b>>2]=q;r=c[411908]|0;c[d>>2]=r;s=c[411910]|0;c[e>>2]=s;t=+h[2154];h[f>>3]=t;u=c[411914]|0;c[g>>2]=u;v=+h[2152];h[j>>3]=v;w=c[411916]|0;c[k>>2]=w;x=+h[2153];h[l>>3]=x;i=m;return 0}a[17536]=1;h[2145]=0.0;h[2151]=1.0;h[2146]=2.0;$v(1647672,1647632,1647640,1647648)|0;h[2194]=+(c[411918]|0);c[n>>2]=-(c[411908]|0);y=+RL(17552,n);h[2195]=y;h[2154]=y;z=+h[2146];h[2194]=z/3.0;A=+h[2151];B=A*.5;h[2159]=B;C=-0.0-B;h[o>>3]=C;h[2149]=+aw(17552,o);h[2147]=+aw(17192,17192);h[o>>3]=C;h[2194]=+aw(17176,o);C=+aw(17552,17192);h[2194]=C;if(C<0.0){D=-0.0-C}else{D=C}C=D<y?y:D;h[2194]=C;h[2154]=1.0;D=+h[2145];if(C<1.0&C>D){E=C;while(1){h[2154]=E;h[o>>3]=E*B;C=z*z;h[p>>3]=E*E*z*C*C;C=+aw(o,p);h[2193]=C;h[o>>3]=-0.0-C;h[2193]=+aw(17272,o);C=+aw(17272,17544);h[2194]=C;h[o>>3]=-0.0-C;h[2193]=+aw(17272,o);C=+aw(17272,17544);h[2194]=C;if(E>C&C>D){E=C}else{F=E;break}}}else{F=1.0}if(y<F){h[2154]=y}y=A/+(c[411918]|0);h[2150]=y;h[2148]=A;c[411922]=1;F=A;p=1;do{h[o>>3]=F*y;F=+aw(o,17160);h[2148]=F;p=p+1|0;c[411922]=p;}while((p|0)<4);h[2195]=+aw(17208,17184);bw(1647616,17208,1647672)|0;h[o>>3]=-0.0- +h[2151];bw(1647624,o,1647672)|0;bw(1647696,17560,1647672)|0;h[o>>3]=-0.0- +h[2195];bw(1647704,o,1647672)|0;c[411920]=0;p=c[411904]|0;G=c[411906]|0;H=c[411924]|0;I=(p|0)==(H|0);do{if((p|0)==(G|0)&(H|0)==(c[411926]|0)){if(I){c[411914]=p;J=0;K=25;break}if((H-p|0)==3){c[411914]=p-1+(c[411908]|0);c[411920]=1;J=1;K=25;break}else{c[411914]=(p|0)<=(H|0)?p:H;a[17240]=1;K=26;break}}else{L=I&(G|0)==(c[411926]|0);M=p-G|0;c[n>>2]=M;N=(((M|0)>-1?M:-M|0)|0)==1;if(L){if(N){c[411914]=(p|0)>=(G|0)?p:G;J=0;K=25;break}else{c[411914]=(p|0)<=(G|0)?p:G;a[17240]=1;K=26;break}}L=c[411926]|0;M=(p|0)<=(G|0)?p:G;if(!(N&(H|0)==(L|0))){N=(M|0)<=(H|0)?M:H;c[n>>2]=N;c[411914]=(N|0)<=(L|0)?N:L;a[17240]=1;K=26;break}if((H-M|0)==3){c[411914]=((p|0)>=(G|0)?p:G)-1+(c[411908]|0);J=0;K=25;break}else{c[411914]=M;a[17240]=1;K=26;break}}}while(0);if((K|0)==25){if(a[17240]|0){K=26}else{O=J}}if((K|0)==26){a[17536]=0;NM(17248)|0;cM(19080,1647656,4)|0;vM()|0;O=c[411920]|0}if((O|0)==0){P=(c[411912]|0)!=0|0}else{P=1}c[411920]=P;h[2152]=1.0;P=c[411914]|0;O=1-P|0;c[n>>2]=O;c[411922]=1;if((P|0)<=0){F=+h[2150];y=1.0;P=1;do{h[o>>3]=y*F;y=+aw(o,17160);h[2152]=y;P=P+1|0;c[411922]=P;}while((P|0)<=(O|0))}cw(1647672,1647632,1647656,1647680,1647664,17224)|0;q=c[411918]|0;c[b>>2]=q;r=c[411908]|0;c[d>>2]=r;s=c[411910]|0;c[e>>2]=s;t=+h[2154];h[f>>3]=t;u=c[411914]|0;c[g>>2]=u;v=+h[2152];h[j>>3]=v;w=c[411916]|0;c[k>>2]=w;x=+h[2153];h[l>>3]=x;i=m;return 0}function $v(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0;g=i;i=i+16|0;j=g|0;k=g+8|0;if(a[17608]|0){l=c[411932]|0;m=a[17600]|0;c[b>>2]=l;n=c[411928]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[411930]|0;c[f>>2]=p;i=g;return 0}a[17608]=1;h[2199]=1.0;h[2205]=1.0;h[2203]=1.0;q=1.0;do{q=q*2.0;h[2205]=q;h[2203]=+aw(17640,17592);h[j>>3]=-0.0-q;r=+aw(17624,j);h[2203]=r;}while(r==1.0);h[2204]=1.0;r=+aw(17640,17632);h[2203]=r;if(r==q){s=1.0;while(1){t=s*2.0;h[2204]=t;u=+aw(17640,17632);h[2203]=u;if(u==q){s=t}else{v=u;break}}}else{v=r}h[2198]=.25;h[2197]=v;h[j>>3]=-0.0-q;r=+aw(17624,j);h[2203]=r;w=~~(r+.25);c[411932]=w;r=+(w|0);h[2204]=r;s=r*.5;h[j>>3]=s;h[k>>3]=(-0.0-r)/100.0;h[2202]=+aw(j,k);u=+aw(17616,17640);h[2203]=u;x=u==q;a[17600]=x;h[j>>3]=s;h[k>>3]=r/100.0;h[2202]=+aw(j,k);u=+aw(17616,17640);h[2203]=u;if(x&u==q){a[17600]=0;y=0}else{y=x}h[j>>3]=s;u=+aw(j,17640);h[2196]=u;h[j>>3]=s;x=u==q&+aw(j,17576)>v;c[411930]=x?y&1:0;c[411928]=0;h[2205]=1.0;h[2203]=1.0;x=0;v=1.0;while(1){k=x+1|0;c[411928]=k;q=v*r;h[2205]=q;h[2203]=+aw(17640,17592);h[j>>3]=-0.0-q;u=+aw(17624,j);h[2203]=u;if(u==1.0){x=k;v=q}else{l=w;m=y;break}}c[b>>2]=l;n=c[411928]|0;c[d>>2]=n;o=m&1;c[e>>2]=o;p=c[411930]|0;c[f>>2]=p;i=g;return 0}function aw(a,b){a=a|0;b=b|0;return+(+h[a>>3]+ +h[b>>3])}function bw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0;e=i;i=i+8|0;f=e|0;g=+h[b>>3];h[2144]=g;j=1.0/+(c[d>>2]|0);h[2137]=j;h[2136]=0.0;c[a>>2]=1;h[f>>3]=g*j;k=+aw(f,17088);h[2143]=k;h[2141]=g;h[2140]=g;h[2139]=g;h[2138]=g;if(!(g!=g)&!(J=0.0,J!=J)){l=k;m=0}else{i=e;return 0}while(1){c[a>>2]=m;h[2144]=l;b=c[d>>2]|0;k=+(b|0);h[f>>3]=l/k;g=+aw(f,17088);h[2143]=g;h[f>>3]=g*k;k=+aw(f,17088);h[2141]=k;h[2139]=0.0;c[411902]=1;if((b|0)<1){n=0.0}else{o=0.0;p=1;do{o=g+o;p=p+1|0;}while((p|0)<=(b|0));h[2139]=o;c[411902]=p;n=o}h[f>>3]=l*j;q=+aw(f,17088);h[2142]=q;h[f>>3]=q/j;r=+aw(f,17088);h[2140]=r;h[2138]=0.0;b=c[d>>2]|0;c[411902]=1;if((b|0)<1){s=0.0}else{t=0.0;u=1;do{t=q+t;u=u+1|0;}while((u|0)<=(b|0));h[2138]=t;c[411902]=u;s=t}if(!(k==l&r==l&n==l&s==l)){break}l=g;m=(c[a>>2]|0)-1|0}i=e;return 0}function cw(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0;j=i;i=i+8|0;k=j|0;c[411894]=1;c[411900]=1;l=-(c[d>>2]|0)|0;if((l|0)<2){m=2;n=l;o=1;p=2}else{l=2;q=1;while(1){c[411894]=l;r=q+1|0;c[411900]=r;s=l<<1;t=-(c[d>>2]|0)|0;if((s|0)>(t|0)){break}else{l=s;q=r}}m=s;n=t;o=l;p=q+2|0}if((o|0)==(n|0)){c[411892]=n;u=n}else{c[411892]=m;c[411900]=p;u=m}m=c[d>>2]|0;p=((m+u|0)>(-(o+m|0)|0)?o:u)<<1;c[411898]=p;u=p+(c[d>>2]|0)|0;d=u-1|0;c[f>>2]=d;do{if((((c[411900]|0)+1+(c[b>>2]|0)|0)%2|0|0)==1){if((c[a>>2]|0)!=2){v=d;break}p=u-2|0;c[f>>2]=p;v=p}else{v=d}}while(0);if((c[e>>2]|0)!=0){c[f>>2]=v-1}w=+(c[a>>2]|0);x=1.0/w;h[2134]=x;y=w+-1.0;h[2132]=y;h[2133]=0.0;v=c[b>>2]|0;c[411896]=1;do{if((v|0)<1){z=0.0}else{w=y;A=0.0;b=1;do{w=x*w;h[2132]=w;if(A<1.0){h[2135]=A}A=+aw(17064,17056);h[2133]=A;b=b+1|0;c[411896]=b;}while((b|0)<=(v|0));if(A<1.0){z=A;break}w=+h[2135];h[2133]=w;z=w}}while(0);v=c[f>>2]|0;c[411896]=1;if((v|0)<1){B=z;h[g>>3]=B;i=j;return 0}else{C=z;D=1}while(1){h[k>>3]=C*+(c[a>>2]|0);z=+aw(k,18544);h[2133]=z;f=D+1|0;c[411896]=f;if((f|0)>(v|0)){B=z;break}else{C=z;D=f}}h[g>>3]=B;i=j;return 0}function dw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=c[b>>2]|0;b=~l;c[f>>2]=0;m=c[d>>2]|0;n=m-1|0;if((n|0)<1){o=m}else{c[411946]=1;m=1;do{c[411944]=m+1;c[j>>2]=(c[d>>2]|0)+1-m;p=ew(j,a+(m+b+(ga(m,l)|0)<<3)|0,19072)|0;q=c[411946]|0;r=p-1+q|0;c[411942]=r;c[e+(q-1<<2)>>2]=r;r=c[411942]|0;q=c[411946]|0;p=ga(q,l)|0;s=+h[a+(r+b+p<<3)>>3];do{if(s==0.0){c[f>>2]=q}else{if((r|0)==(q|0)){t=r}else{h[2207]=s;u=a+(q+b+p<<3)|0;h[a+(p+b+r<<3)>>3]=+h[u>>3];h[u>>3]=+h[2207];t=q}u=ga(t,l)|0;h[2207]=-1.0/+h[a+(t+b+u<<3)>>3];c[j>>2]=(c[d>>2]|0)-t;fw(j,17656,a+(t-l+u<<3)|0,19072)|0;u=c[d>>2]|0;c[j>>2]=u;v=c[411944]|0;c[411948]=v;if((v|0)>(u|0)){break}else{w=v}do{v=c[411942]|0;x=ga(w,l)|0;h[2207]=+h[a+(x+b+v<<3)>>3];y=c[411946]|0;if((v|0)==(y|0)){z=v}else{A=a+(y+b+x<<3)|0;h[a+(v+b+x<<3)>>3]=+h[A>>3];h[A>>3]=+h[2207];z=y}c[k>>2]=(c[d>>2]|0)-z;y=z+1|0;gw(k,17656,a+((ga(z,l)|0)+b+y<<3)|0,19072,a+(y+b+x<<3)|0,19072)|0;w=(c[411948]|0)+1|0;c[411948]=w;}while((w|0)<=(u|0))}}while(0);m=(c[411946]|0)+1|0;c[411946]=m;}while((m|0)<=(n|0));o=c[d>>2]|0}c[e+(o-1<<2)>>2]=o;o=c[d>>2]|0;if(!(+h[a+(o+b+(ga(o,l)|0)<<3)>>3]==0.0)){i=g;return 0}c[f>>2]=o;i=g;return 0}function ew(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0;e=c[a>>2]|0;if((e|0)<1){f=0;return f|0}if((e|0)==1){f=1;return f|0}if((c[d>>2]|0)!=1){c[412662]=1;g=+h[b>>3];if(g<0.0){i=-0.0-g}else{i=g}h[201563]=i;j=(c[d>>2]|0)+1|0;c[412662]=j;k=c[a>>2]|0;c[412664]=2;if((k|0)<2){f=1;return f|0}else{l=1;m=j;n=i;o=2}while(1){i=+h[b+(m-1<<3)>>3];j=i<0.0;if(j){p=-0.0-i}else{p=i}if(p>n){if(j){q=-0.0-i}else{q=i}h[201563]=q;r=o;s=q}else{r=l;s=n}j=m+(c[d>>2]|0)|0;c[412662]=j;a=o+1|0;c[412664]=a;if((a|0)>(k|0)){f=r;break}else{l=r;m=j;n=s;o=a}}return f|0}s=+h[b>>3];if(s<0.0){t=-0.0-s}else{t=s}h[201563]=t;c[412664]=2;if((e|0)<2){f=1;return f|0}else{u=1;v=2;w=t}while(1){t=+h[b+(v-1<<3)>>3];if(t<0.0){x=-0.0-t}else{x=t}if(x>w){t=+h[b+(v-1<<3)>>3];if(t<0.0){y=-0.0-t}else{y=t}h[201563]=y;z=v;A=y}else{z=u;A=w}B=v+1|0;if((B|0)>(e|0)){break}else{u=z;v=B;w=A}}c[412664]=B;f=z;return f|0}function fw(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0,k=0,l=0,m=0;f=c[a>>2]|0;if((f|0)<1){return 0}g=c[e>>2]|0;if((g|0)!=1){e=ga(g,f)|0;c[412668]=1;i=(g|0)<0;if(i?(e|0)<2:(e|0)>0){j=1}else{return 0}do{k=d+(j-1<<3)|0;h[k>>3]=+h[b>>3]*+h[k>>3];j=j+g|0;}while(i?(j|0)>=(e|0):(j|0)<=(e|0));c[412668]=j;return 0}j=(f|0)%5|0;c[412666]=j;do{if((j|0)==0){l=c[a>>2]|0}else{c[412668]=1;if((j|0)>=1){f=1;do{e=d+(f-1<<3)|0;h[e>>3]=+h[b>>3]*+h[e>>3];f=f+1|0;}while((f|0)<=(j|0));c[412668]=f}e=c[a>>2]|0;if((e|0)>=5){l=e;break}return 0}}while(0);a=j+1|0;c[412668]=a;if((a|0)>(l|0)){return 0}else{m=a}do{a=d+(m-1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+1<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+2<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];a=d+(m+3<<3)|0;h[a>>3]=+h[b>>3]*+h[a>>3];m=m+5|0;}while((m|0)<=(l|0));c[412668]=m;return 0}function gw(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var i=0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;i=c[a>>2]|0;if((i|0)<1){return 0}j=+h[b>>3];if(j==0.0){return 0}do{if((c[e>>2]|0)==1){if((c[g>>2]|0)!=1){break}k=(i|0)%4|0;c[412678]=k;do{if((k|0)==0){l=c[a>>2]|0}else{c[412684]=1;if((k|0)>=1){m=0;n=1;o=j;while(1){p=f+(m<<3)|0;h[p>>3]=+h[p>>3]+o*+h[d+(m<<3)>>3];q=n+1|0;if((q|0)>(k|0)){break}m=n;n=q;o=+h[b>>3]}c[412684]=q}n=c[a>>2]|0;if((n|0)>=4){l=n;break}return 0}}while(0);n=k+1|0;c[412684]=n;if((n|0)>(l|0)){return 0}else{r=n}do{n=r-1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=f+(r<<3)|0;h[n>>3]=+h[n>>3]+ +h[b>>3]*+h[d+(r<<3)>>3];n=r+1|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];n=r+2|0;m=f+(n<<3)|0;h[m>>3]=+h[m>>3]+ +h[b>>3]*+h[d+(n<<3)>>3];r=r+4|0;}while((r|0)<=(l|0));c[412684]=r;return 0}}while(0);c[412682]=1;c[412680]=1;r=c[e>>2]|0;if((r|0)<0){l=(ga(1-(c[a>>2]|0)|0,r)|0)+1|0;c[412682]=l;s=l}else{s=1}l=c[g>>2]|0;if((l|0)<0){r=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[412680]=r;t=r}else{t=1}r=c[a>>2]|0;c[412684]=1;if((r|0)<1){return 0}else{u=s;v=t;w=2;x=j}while(1){t=f+(v-1<<3)|0;h[t>>3]=x*+h[d+(u-1<<3)>>3]+ +h[t>>3];t=u+(c[e>>2]|0)|0;c[412682]=t;s=v+(c[g>>2]|0)|0;c[412680]=s;c[412684]=w;if((w|0)>(r|0)){break}u=t;v=s;w=w+1|0;x=+h[b>>3]}return 0}function hw(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0;j=i;i=i+8|0;k=j|0;l=c[b>>2]|0;b=~l;m=(c[d>>2]|0)-1|0;c[411934]=m;if((c[g>>2]|0)==0){if((m|0)>=1){c[411940]=1;g=1;do{n=g-1|0;o=c[e+(n<<2)>>2]|0;c[411936]=o;p=f+(o-1<<3)|0;h[2206]=+h[p>>3];if((o|0)!=(g|0)){o=f+(n<<3)|0;h[p>>3]=+h[o>>3];h[o>>3]=+h[2206]}c[k>>2]=(c[d>>2]|0)-g;gw(k,17648,a+(g-l+(ga(g,l)|0)<<3)|0,19072,f+(g<<3)|0,19072)|0;g=(c[411940]|0)+1|0;c[411940]=g;}while((g|0)<=(m|0))}g=c[d>>2]|0;c[411938]=1;if((g|0)<1){i=j;return 0}else{q=1}do{o=1-q+(c[d>>2]|0)|0;c[411940]=o;p=ga(o,l)|0;n=o-1|0;r=f+(n<<3)|0;s=+h[r>>3]/+h[a+(o+b+p<<3)>>3];h[r>>3]=s;h[2206]=-0.0-s;c[k>>2]=n;gw(k,17648,a+(p-l<<3)|0,19072,f,19072)|0;q=(c[411938]|0)+1|0;c[411938]=q;}while((q|0)<=(g|0));i=j;return 0}g=c[d>>2]|0;c[411940]=1;if((g|0)<1){t=m}else{m=1;do{c[k>>2]=m-1;s=+iw(k,a+((ga(m,l)|0)-l<<3)|0,19072,f,19072);h[2206]=s;q=c[411940]|0;p=f+(q-1<<3)|0;h[p>>3]=(+h[p>>3]-s)/+h[a+(q+b+(ga(q,l)|0)<<3)>>3];m=q+1|0;c[411940]=m;}while((m|0)<=(g|0));t=c[411934]|0}if((t|0)<1){i=j;return 0}c[411938]=1;g=1;do{m=(c[d>>2]|0)-g|0;c[411940]=m;c[k>>2]=(c[d>>2]|0)-m;s=+iw(k,a+(m-l+(ga(m,l)|0)<<3)|0,19072,f+(m<<3)|0,19072);m=c[411940]|0;b=m-1|0;q=f+(b<<3)|0;h[q>>3]=s+ +h[q>>3];p=c[e+(b<<2)>>2]|0;c[411936]=p;if((p|0)!=(m|0)){m=f+(p-1<<3)|0;h[2206]=+h[m>>3];h[m>>3]=+h[q>>3];h[q>>3]=+h[2206]}g=(c[411938]|0)+1|0;c[411938]=g;}while((g|0)<=(t|0));i=j;return 0}function iw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0;h[201564]=0.0;g=c[a>>2]|0;if((g|0)<1){i=0.0;return+i}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}j=(g|0)%5|0;c[412670]=j;do{if((j|0)==0){k=0.0;l=c[a>>2]|0}else{c[412676]=1;if((j|0)<1){m=0.0}else{n=1;o=0.0;do{p=n-1|0;o=o+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3];h[201564]=o;n=n+1|0;}while((n|0)<=(j|0));c[412676]=n;m=o}p=c[a>>2]|0;if((p|0)<5){i=m}else{k=m;l=p;break}return+i}}while(0);p=j+1|0;c[412676]=p;if((p|0)>(l|0)){i=k;return+i}else{q=p;r=k}do{p=q-1|0;s=q+1|0;t=q+2|0;u=q+3|0;r=r+ +h[b+(p<<3)>>3]*+h[e+(p<<3)>>3]+ +h[b+(q<<3)>>3]*+h[e+(q<<3)>>3]+ +h[b+(s<<3)>>3]*+h[e+(s<<3)>>3]+ +h[b+(t<<3)>>3]*+h[e+(t<<3)>>3]+ +h[b+(u<<3)>>3]*+h[e+(u<<3)>>3];h[201564]=r;q=q+5|0;}while((q|0)<=(l|0));c[412676]=q;i=r;return+i}}while(0);c[412674]=1;c[412672]=1;q=c[d>>2]|0;if((q|0)<0){l=(ga(1-(c[a>>2]|0)|0,q)|0)+1|0;c[412674]=l;v=l}else{v=1}l=c[f>>2]|0;if((l|0)<0){q=(ga(1-(c[a>>2]|0)|0,l)|0)+1|0;c[412672]=q;w=q}else{w=1}q=c[a>>2]|0;c[412676]=1;if((q|0)<1){i=0.0;return+i}else{x=v;y=w;z=0.0;A=1}while(1){r=z+ +h[b+(x-1<<3)>>3]*+h[e+(y-1<<3)>>3];h[201564]=r;w=x+(c[d>>2]|0)|0;c[412674]=w;v=y+(c[f>>2]|0)|0;c[412672]=v;a=A+1|0;c[412676]=a;if((a|0)>(q|0)){i=r;break}else{x=w;y=v;z=r;A=a}}return+i}function jw(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;k=i;i=i+8|0;l=k|0;m=c[b>>2]|0;b=~m;c[411968]=(c[e>>2]|0)+1+(c[f>>2]|0);c[j>>2]=0;n=(c[f>>2]|0)+2|0;c[411984]=n;o=c[d>>2]|0;p=c[411968]|0;q=((o|0)>(p|0)?p:o)-1|0;c[411982]=q;if((q|0)>=(n|0)){c[411978]=n;o=n;do{n=1-o+p|0;c[411990]=n;r=c[e>>2]|0;c[411988]=n;if((n|0)<=(r|0)){s=n;do{h[a+(s+b+(ga(o,m)|0)<<3)>>3]=0.0;s=s+1|0;}while((s|0)<=(r|0));c[411988]=s}o=o+1|0;c[411978]=o;}while((o|0)<=(q|0));c[l>>2]=r}c[411978]=q;c[411980]=0;r=c[d>>2]|0;o=r-1|0;if((o|0)<1){t=r}else{c[411976]=1;r=1;p=q;while(1){c[411974]=r+1;q=p+1|0;c[411978]=q;n=c[d>>2]|0;do{if((q|0)>(n|0)){u=n}else{v=c[e>>2]|0;if((v|0)<1){u=n;break}c[l>>2]=v;c[411988]=1;w=ga(q,m)|0;x=1;do{h[a+(x+b+w<<3)>>3]=0.0;x=x+1|0;}while((x|0)<=(v|0));c[411988]=x;u=c[d>>2]|0}}while(0);q=c[e>>2]|0;n=u-r|0;s=(q|0)<=(n|0)?q:n;c[411970]=s;c[l>>2]=s+1;s=ew(l,a+((c[411968]|0)+b+(ga(r,m)|0)<<3)|0,19072)|0;n=s-1|0;c[411972]=n+(c[411968]|0);s=c[411976]|0;c[g+(s-1<<2)>>2]=n+s;s=c[411972]|0;n=c[411976]|0;q=ga(n,m)|0;y=+h[a+(s+b+q<<3)>>3];a:do{if(y==0.0){c[j>>2]=n}else{v=c[411968]|0;if((s|0)==(v|0)){z=s}else{h[2209]=y;w=a+(v+b+q<<3)|0;h[a+(q+b+s<<3)>>3]=+h[w>>3];h[w>>3]=+h[2209];z=v}h[2209]=-1.0/+h[a+(z+b+q<<3)>>3];fw(1647880,17672,a+(z-m+q<<3)|0,19072)|0;v=c[411980]|0;w=(c[g+((c[411976]|0)-1<<2)>>2]|0)+(c[f>>2]|0)|0;A=(v|0)>=(w|0)?v:w;c[l>>2]=A;w=c[d>>2]|0;v=(A|0)>(w|0)?w:A;c[411980]=v;A=c[411968]|0;c[411966]=A;w=c[411974]|0;if((v|0)<(w|0)){break}c[l>>2]=v;c[411986]=w;B=w;w=A;while(1){A=(c[411972]|0)-1|0;c[411972]=A;C=w-1|0;c[411966]=C;D=ga(B,m)|0;E=a+(A+b+D<<3)|0;h[2209]=+h[E>>3];if((A|0)==(C|0)){F=A}else{A=a+(C+b+D<<3)|0;h[E>>3]=+h[A>>3];h[A>>3]=+h[2209];F=C}gw(1647880,17672,a+((c[411968]|0)-m+(ga(c[411976]|0,m)|0)<<3)|0,19072,a+(F-m+D<<3)|0,19072)|0;D=(c[411986]|0)+1|0;c[411986]=D;if((D|0)>(v|0)){break a}B=D;w=c[411966]|0}}}while(0);q=(c[411976]|0)+1|0;c[411976]=q;if((q|0)>(o|0)){break}r=q;p=c[411978]|0}t=c[d>>2]|0}c[g+(t-1<<2)>>2]=t;t=c[d>>2]|0;if(!(+h[a+((c[411968]|0)+b+(ga(t,m)|0)<<3)>>3]==0.0)){i=k;return 0}c[j>>2]=t;i=k;return 0}function kw(a,b,d,e,f,g,i,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0;k=c[b>>2]|0;b=~k;l=(c[f>>2]|0)+1+(c[e>>2]|0)|0;c[411952]=l;f=(c[d>>2]|0)-1|0;c[411950]=f;if((c[j>>2]|0)==0){if(!((c[e>>2]|0)==0|(f|0)<1)){c[411964]=1;j=1;do{m=c[e>>2]|0;n=(c[d>>2]|0)-j|0;c[411954]=(m|0)<=(n|0)?m:n;n=j-1|0;m=c[g+(n<<2)>>2]|0;c[411960]=m;o=i+(m-1<<3)|0;h[2208]=+h[o>>3];if((m|0)!=(j|0)){m=i+(n<<3)|0;h[o>>3]=+h[m>>3];h[m>>3]=+h[2208]}gw(1647816,17664,a+((c[411952]|0)-k+(ga(j,k)|0)<<3)|0,19072,i+(j<<3)|0,19072)|0;j=(c[411964]|0)+1|0;c[411964]=j;}while((j|0)<=(f|0))}j=c[d>>2]|0;c[411962]=1;if((j|0)<1){return 0}else{p=1}do{m=1-p+(c[d>>2]|0)|0;c[411964]=m;o=c[411952]|0;n=ga(m,k)|0;q=i+(m-1<<3)|0;r=+h[q>>3]/+h[a+(o+b+n<<3)>>3];h[q>>3]=r;q=((m|0)<=(o|0)?m:o)-1|0;c[411954]=q;s=o-q|0;c[411958]=s;o=m-q|0;c[411956]=o;h[2208]=-0.0-r;gw(1647816,17664,a+(s+b+n<<3)|0,19072,i+(o-1<<3)|0,19072)|0;p=(c[411962]|0)+1|0;c[411962]=p;}while((p|0)<=(j|0));return 0}j=c[d>>2]|0;c[411964]=1;if((j|0)<1){t=f;u=l}else{f=1;p=l;do{l=((f|0)<=(p|0)?f:p)-1|0;c[411954]=l;o=p-l|0;c[411958]=o;n=f-l|0;c[411956]=n;r=+iw(1647816,a+((ga(f,k)|0)+b+o<<3)|0,19072,i+(n-1<<3)|0,19072);h[2208]=r;n=c[411964]|0;o=i+(n-1<<3)|0;p=c[411952]|0;h[o>>3]=(+h[o>>3]-r)/+h[a+((ga(n,k)|0)+b+p<<3)>>3];f=n+1|0;c[411964]=f;}while((f|0)<=(j|0));t=c[411950]|0;u=p}if((c[e>>2]|0)==0|(t|0)<1){return 0}c[411962]=1;p=1;j=u;while(1){u=(c[d>>2]|0)-p|0;c[411964]=u;f=c[e>>2]|0;b=(c[d>>2]|0)-u|0;c[411954]=(f|0)<=(b|0)?f:b;r=+iw(1647816,a+(j-k+(ga(u,k)|0)<<3)|0,19072,i+(u<<3)|0,19072);u=c[411964]|0;b=u-1|0;f=i+(b<<3)|0;h[f>>3]=r+ +h[f>>3];n=c[g+(b<<2)>>2]|0;c[411960]=n;if((n|0)!=(u|0)){u=i+(n-1<<3)|0;h[2208]=+h[u>>3];h[u>>3]=+h[f>>3];h[f>>3]=+h[2208]}f=(c[411962]|0)+1|0;c[411962]=f;if((f|0)>(t|0)){break}p=f;j=c[411952]|0}return 0}function lw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=c[a>>2]|0;if((g|0)<1){return 0}do{if((c[d>>2]|0)==1){if((c[f>>2]|0)!=1){break}i=(g|0)%7|0;c[412688]=i;do{if((i|0)==0){j=c[a>>2]|0}else{c[412694]=1;if((i|0)>=1){k=1;do{l=k-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];k=k+1|0;}while((k|0)<=(i|0));c[412694]=k}l=c[a>>2]|0;if((l|0)>=7){j=l;break}return 0}}while(0);l=i+1|0;c[412694]=l;if((l|0)>(j|0)){return 0}else{m=l}do{l=m-1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];h[e+(m<<3)>>3]=+h[b+(m<<3)>>3];l=m+1|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+2|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+3|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+4|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];l=m+5|0;h[e+(l<<3)>>3]=+h[b+(l<<3)>>3];m=m+7|0;}while((m|0)<=(j|0));c[412694]=m;return 0}}while(0);c[412692]=1;c[412690]=1;m=c[d>>2]|0;if((m|0)<0){j=(ga(1-(c[a>>2]|0)|0,m)|0)+1|0;c[412692]=j;n=j}else{n=1}j=c[f>>2]|0;if((j|0)<0){m=(ga(1-(c[a>>2]|0)|0,j)|0)+1|0;c[412690]=m;o=m}else{o=1}m=c[a>>2]|0;c[412694]=1;if((m|0)<1){return 0}else{p=n;q=o;r=1}do{h[e+(q-1<<3)>>3]=+h[b+(p-1<<3)>>3];p=p+(c[d>>2]|0)|0;c[412692]=p;q=q+(c[f>>2]|0)|0;c[412690]=q;r=r+1|0;c[412694]=r;}while((r|0)<=(m|0));return 0}function mw(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((a[b]|0)==(a[e]|0)){h=1;return h|0}a[14168]=1;g=d[b]|0;c[409194]=g;b=d[e]|0;c[409192]=b;if((g-97|0)>>>0<26>>>0){e=g-32|0;c[409194]=e;i=e}else{i=g}if((b-97|0)>>>0<26>>>0){g=b-32|0;c[409192]=g;j=g}else{j=b}h=(i|0)==(j|0)|0;return h|0}function nw(b,d,e,f,g,i,j,k,l,m,n,o,p){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0.0,I=0.0,J=0.0,L=0,M=0.0,N=0.0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,X=0.0,Y=0.0,Z=0,_=0,$=0,aa=0.0,ba=0.0,ca=0.0,da=0,ea=0,fa=0.0,ha=0.0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0.0,ta=0,ua=0,va=0.0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0;if((c[i>>2]|0)>0){c[2597]=6;NM(10384)|0;cM(19064,i,4)|0;vM()|0}c[p>>2]=0;if((c[e>>2]|0)<1){c[p>>2]=3;q=3}else{q=0}if((c[k>>2]|0)<1){c[p>>2]=4;return 0}if((q|0)!=0){return 0}c[407792]=0;c[407790]=0;c[407794]=0;a[10840]=0;q=c[e>>2]|0;c[407820]=1;do{if((q|0)>=1){r=1;s=0;while(1){if(+h[d+(r-1<<3)>>3]!=0.0){t=s+1|0;c[407792]=t;u=t}else{u=s}v=r+1|0;if((v|0)>(q|0)){break}else{r=v;s=u}}c[407820]=v;if((u|0)<=0){break}s=o;r=f;a:while(1){t=c[e>>2]|0;c[407820]=1;if((t|0)>=1){w=1;do{h[1631472+((w*21|0)-21<<3)>>3]=+h[b+(w-1<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[407820]=w}c[407806]=2;t=c[e>>2]|0;c[407820]=1;if((t|0)>=1){x=1;y=2;while(1){z=x-1|0;A=d+(z<<3)|0;B=+h[A>>3];if(B==0.0){C=y}else{D=c[e>>2]|0;c[407804]=1;if((D|0)<1){E=B}else{F=1;do{h[1631472+((F*21|0)-22+y<<3)>>3]=+h[b+(F-1<<3)>>3];F=F+1|0;}while((F|0)<=(D|0));c[407804]=F;E=+h[A>>3]}h[1631472+((x*21|0)-22+y<<3)>>3]=+h[b+(z<<3)>>3]+E;D=y+1|0;c[407806]=D;C=D}D=x+1|0;c[407820]=D;if((D|0)>(t|0)){break}else{x=D;y=C}}}y=c[407792]|0;x=y+1|0;c[407786]=x;c[407820]=1;if((y|0)>=0){y=1;do{t=c[e>>2]|0;c[407804]=1;if((t|0)>=1){w=1;do{h[b+(w-1<<3)>>3]=+h[1631472+((w*21|0)-22+y<<3)>>3];w=w+1|0;}while((w|0)<=(t|0));c[407804]=w}Vd[s&127](e,b,1631304+(y-1<<3)|0)|0;c[407790]=(c[407790]|0)+1;if((c[i>>2]|0)>=1){c[2705]=6;NM(10816)|0;cM(19064,1631160,4)|0;cM(19064,1631304+((c[407820]|0)-1<<3)|0,8)|0;t=c[e>>2]|0;c[407804]=1;if((t|0)>=1){z=1;do{cM(19064,b+(z-1<<3)|0,8)|0;z=(c[407804]|0)+1|0;c[407804]=z;}while((z|0)<=(t|0))}vM()|0}y=(c[407820]|0)+1|0;c[407820]=y;}while((y|0)<=(x|0))}x=c[407794]|0;b:while(1){c[407794]=x+1;c[407812]=1;c[407810]=1;B=+h[203913];h[1361]=B;h[1359]=B;y=c[407786]|0;c[407820]=2;if((y|0)<2){G=1}else{t=2;z=1;H=B;I=B;while(1){B=+h[1631304+(t-1<<3)>>3];do{if(B>H){c[407812]=t;J=+h[1631304+(t-1<<3)>>3];h[1361]=J;L=t;M=J;N=I}else{if(!(B<I)){L=z;M=H;N=I;break}c[407810]=t;J=+h[1631304+(t-1<<3)>>3];h[1359]=J;L=z;M=H;N=J}}while(0);O=t+1|0;if((O|0)>(y|0)){break}else{t=O;z=L;H=M;I=N}}c[407820]=O;G=L}z=c[e>>2]|0;c[407820]=1;if((z|0)>=1){t=1;do{h[1630976+(t-1<<3)>>3]=0.0;t=t+1|0;}while((t|0)<=(z|0));c[407820]=t}c[407820]=1;if((y|0)>=1){z=1;do{do{if((z|0)==(G|0)){P=G}else{w=c[e>>2]|0;c[407804]=1;if((w|0)<1){P=z;break}else{Q=1}do{A=1630976+(Q-1<<3)|0;h[A>>3]=+h[1631472+((Q*21|0)-22+z<<3)>>3]+ +h[A>>3];Q=Q+1|0;}while((Q|0)<=(w|0));c[407804]=Q;P=z}}while(0);z=P+1|0;c[407820]=z;}while((z|0)<=(y|0))}y=c[e>>2]|0;c[407804]=1;if((y|0)>=1){I=+(c[407792]|0);z=1;do{t=1630976+(z-1<<3)|0;h[t>>3]=+h[t>>3]/I;z=z+1|0;}while((z|0)<=(y|0));c[407804]=z}y=c[e>>2]|0;c[407820]=1;if((y|0)>=1){t=1;do{w=t-1|0;I=+h[1630976+(w<<3)>>3];h[1630656+(w<<3)>>3]=I+(I- +h[1631472+((t*21|0)-22+G<<3)>>3]);t=t+1|0;}while((t|0)<=(y|0));c[407820]=t}Vd[s&127](e,1630656,10864)|0;y=(c[407790]|0)+1|0;c[407790]=y;z=c[i>>2]|0;do{if((z|0)>=1){if(((y|0)%(z|0)|0|0)!=0){break}c[2699]=6;NM(10792)|0;cM(19064,1631160,4)|0;cM(19064,10864,8)|0;w=c[e>>2]|0;c[407804]=1;if((w|0)>=1){A=1;do{cM(19064,1630656+(A-1<<3)|0,8)|0;A=(c[407804]|0)+1|0;c[407804]=A;}while((A|0)<=(w|0))}vM()|0}}while(0);I=+h[1358];c:do{if(I<+h[1359]){z=c[e>>2]|0;c[407820]=1;if((z|0)>=1){y=1;do{t=y-1|0;H=+h[1630976+(t<<3)>>3];h[1630496+(t<<3)>>3]=H+(+h[1630656+(t<<3)>>3]-H)*2.0;y=y+1|0;}while((y|0)<=(z|0));c[407820]=y}Vd[s&127](e,1630496,10848)|0;z=(c[407790]|0)+1|0;c[407790]=z;t=c[i>>2]|0;do{if((t|0)>=1){if(((z|0)%(t|0)|0|0)!=0){break}c[2693]=6;NM(10768)|0;cM(19064,1631160,4)|0;cM(19064,10848,8)|0;w=c[e>>2]|0;c[407804]=1;if((w|0)>=1){A=1;do{cM(19064,1630496+(A-1<<3)|0,8)|0;A=(c[407804]|0)+1|0;c[407804]=A;}while((A|0)<=(w|0))}vM()|0}}while(0);H=+h[1356];if(!(H<+h[1359])){R=122;break}t=c[e>>2]|0;c[407820]=1;z=c[407812]|0;if((t|0)>=1){y=1;do{w=y-1|0;if(+h[d+(w<<3)>>3]!=0.0){h[1631472+((y*21|0)-22+z<<3)>>3]=+h[1630496+(w<<3)>>3]}y=y+1|0;}while((y|0)<=(t|0));c[407820]=y}h[1631304+(z-1<<3)>>3]=H}else{t=c[407786]|0;c[407820]=1;if((t|0)>=1){w=c[407812]|0;A=1;do{if((A|0)!=(w|0)){if(I<+h[1631304+(A-1<<3)>>3]){R=122;break c}}A=A+1|0;c[407820]=A;}while((A|0)<=(t|0))}if(!(I>+h[1361])){t=c[e>>2]|0;c[407820]=1;A=c[407812]|0;if((t|0)>=1){w=1;do{z=w-1|0;if(+h[d+(z<<3)>>3]!=0.0){h[1631472+((w*21|0)-22+A<<3)>>3]=+h[1630656+(z<<3)>>3]}w=w+1|0;}while((w|0)<=(t|0));c[407820]=w}h[1361]=I;h[1631304+(A-1<<3)>>3]=I}t=c[e>>2]|0;c[407820]=1;if((t|0)>=1){z=c[407812]|0;y=1;do{F=y-1|0;h[1630496+(F<<3)>>3]=+h[1631472+((y*21|0)-22+z<<3)>>3]*.5+ +h[1630976+(F<<3)>>3]*.5;y=y+1|0;}while((y|0)<=(t|0));c[407820]=y}Vd[s&127](e,1630496,10848)|0;t=(c[407790]|0)+1|0;c[407790]=t;z=c[i>>2]|0;do{if((z|0)>=1){if(((t|0)%(z|0)|0|0)!=0){break}c[2687]=6;NM(10744)|0;cM(19064,1631160,4)|0;cM(19064,10848,8)|0;A=c[e>>2]|0;c[407804]=1;if((A|0)>=1){w=1;do{cM(19064,1630496+(w-1<<3)|0,8)|0;w=(c[407804]|0)+1|0;c[407804]=w;}while((w|0)<=(A|0))}vM()|0}}while(0);H=+h[1356];if(!(H>+h[1361])){z=c[e>>2]|0;c[407820]=1;t=c[407812]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[1631472+((y*21|0)-22+t<<3)>>3]=+h[1630496+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[407820]=y}h[1631304+(t-1<<3)>>3]=H;break}z=c[407786]|0;c[407820]=1;if((z|0)<1){break}else{S=1}do{A=c[407810]|0;do{if((S|0)!=(A|0)){w=c[e>>2]|0;c[407804]=1;if((w|0)>=1){F=S-22|0;D=1;do{if(+h[d+(D-1<<3)>>3]!=0.0){T=(D*21|0)-22|0;U=1631472+(T+S<<3)|0;h[U>>3]=(+h[U>>3]+ +h[1631472+(T+A<<3)>>3])*.5}h[b+(D-1<<3)>>3]=+h[1631472+(F+(D*21|0)<<3)>>3];D=D+1|0;}while((D|0)<=(w|0));c[407804]=D}Vd[s&127](e,b,1631304+(S-1<<3)|0)|0;w=(c[407790]|0)+1|0;c[407790]=w;F=c[i>>2]|0;if((F|0)<1){break}if(((w|0)%(F|0)|0|0)!=0){break}c[2681]=6;NM(10720)|0;cM(19064,1631160,4)|0;cM(19064,1631304+((c[407820]|0)-1<<3)|0,8)|0;F=c[e>>2]|0;c[407804]=1;if((F|0)>=1){w=1;do{cM(19064,b+(w-1<<3)|0,8)|0;w=(c[407804]|0)+1|0;c[407804]=w;}while((w|0)<=(F|0))}vM()|0}}while(0);S=(c[407820]|0)+1|0;c[407820]=S;}while((S|0)<=(z|0))}}while(0);if((R|0)==122){R=0;z=c[e>>2]|0;c[407820]=1;t=c[407812]|0;if((z|0)>=1){y=1;do{A=y-1|0;if(+h[d+(A<<3)>>3]!=0.0){h[1631472+((y*21|0)-22+t<<3)>>3]=+h[1630656+(A<<3)>>3]}y=y+1|0;}while((y|0)<=(z|0));c[407820]=y}h[1631304+(t-1<<3)>>3]=+h[1358]}z=c[407794]|0;if((z|0)<(c[k>>2]|0)){x=z;continue}h[1357]=0.0;h[1360]=0.0;z=c[407786]|0;c[407820]=1;A=(z|0)<1;do{if(A){I=+(z|0);h[1360]=0.0/I;c[407820]=1;V=0.0;X=I}else{I=0.0;F=1;do{I=+h[1631304+(F-1<<3)>>3]+I;F=F+1|0;}while((F|0)<=(z|0));H=+(z|0);B=I/H;h[1360]=B;c[407820]=1;if(A){V=0.0;X=H;break}else{Y=0.0;Z=1}do{J=+h[1631304+(Z-1<<3)>>3]-B;Y=Y+J*J;Z=Z+1|0;}while((Z|0)<=(z|0));h[1357]=Y;c[407820]=Z;V=Y;X=H}}while(0);B=+W(V/X);h[1357]=B;do{if(B>+h[j>>3]){if((c[407790]|0)>(c[g>>2]|0)){break}a[10840]=0;c[407794]=0;x=0;continue b}}while(0);t=c[e>>2]|0;c[407820]=1;if((t|0)>=1){y=1;do{F=y-1|0;if(!(+h[d+(F<<3)>>3]==0.0)){h[b+(F<<3)>>3]=0.0;c[407804]=1;if(A){_=b+(y-1<<3)|0}else{F=y*21|0;w=b+(y-1<<3)|0;D=1;B=+h[w>>3];do{B=+h[1631472+(D-22+F<<3)>>3]+B;h[w>>3]=B;D=D+1|0;}while((D|0)<=(z|0));c[407804]=D;_=w}h[_>>3]=+h[_>>3]/X}y=y+1|0;}while((y|0)<=(t|0));c[407820]=y}Vd[s&127](e,b,f)|0;t=(c[407790]|0)+1|0;c[407790]=t;z=c[i>>2]|0;do{if((z|0)<1){$=t}else{if(((t|0)%(z|0)|0|0)!=0){$=t;break}c[2675]=6;NM(10696)|0;cM(19064,1631160,4)|0;cM(19064,r,8)|0;A=c[e>>2]|0;c[407804]=1;if((A|0)>=1){F=1;do{cM(19064,b+(F-1<<3)|0,8)|0;F=(c[407804]|0)+1|0;c[407804]=F;}while((F|0)<=(A|0))}vM()|0;$=c[407790]|0}}while(0);if(($|0)>(c[g>>2]|0)){R=154;break a}if((c[i>>2]|0)>=0){c[2645]=6;NM(10576)|0;vM()|0;c[2639]=6;NM(10552)|0;t=c[e>>2]|0;c[407820]=1;if((t|0)>=1){z=1;do{cM(19064,b+(z-1<<3)|0,8)|0;z=(c[407820]|0)+1|0;c[407820]=z;}while((z|0)<=(t|0))}vM()|0;c[2633]=6;NM(10528)|0;cM(19064,r,8)|0;vM()|0}if(a[10840]|0){B=+h[1360];H=+h[1260]-B;if(H<0.0){aa=-0.0-H}else{aa=H}if(aa<+h[j>>3]){break}else{ba=B}}else{a[10840]=1;ba=+h[1360]}h[1260]=ba;c[407794]=0;x=0}if((c[i>>2]|0)>=0){c[2627]=6;NM(10504)|0;cM(19064,1631160,4)|0;vM()|0;c[2621]=6;NM(10480)|0;x=c[e>>2]|0;c[407820]=1;if((x|0)>=1){t=1;do{cM(19064,b+(t-1<<3)|0,8)|0;t=(c[407820]|0)+1|0;c[407820]=t;}while((t|0)<=(x|0))}vM()|0;c[2615]=6;NM(10456)|0;cM(19064,r,8)|0;vM()|0}if((c[l>>2]|0)<1){R=315;break}if((c[i>>2]|0)>-1){c[2609]=6;NM(10432)|0;vM()|0}h[1359]=+h[f>>3];c[407788]=0;x=c[407786]|0;c[407820]=1;if((x|0)>=1){t=1;while(1){z=1631304+(t-1<<3)|0;B=+h[z>>3]- +h[f>>3];if(B<0.0){ca=-0.0-B}else{ca=B}if(!(ca<+h[m>>3])){y=t+1|0;c[407820]=y;if((y|0)>(x|0)){break}else{t=y;continue}}y=c[e>>2]|0;c[407804]=1;if((y|0)>=1){A=t-22|0;F=1;do{w=F-1|0;if(+h[d+(w<<3)>>3]!=0.0){D=1631472+((F*21|0)-22+t<<3)|0;B=+h[D>>3];h[D>>3]=B+(B- +h[b+(w<<3)>>3])}h[1630496+(F-1<<3)>>3]=+h[1631472+(A+(F*21|0)<<3)>>3];F=F+1|0;}while((F|0)<=(y|0));c[407804]=F}Vd[s&127](e,1630496,z)|0;c[407788]=(c[407788]|0)+1;c[407790]=(c[407790]|0)+1;y=c[407820]|0;B=+h[1631304+(y-1<<3)>>3];if(!(B<+h[1359])){t=y;continue}h[1359]=B;if(!((c[i>>2]|0)>-1)){t=y;continue}c[2603]=6;NM(10408)|0;cM(19064,1631160,4)|0;cM(19064,10872,8)|0;y=c[e>>2]|0;c[407804]=1;if((y|0)>=1){A=1;do{cM(19064,1630496+(A-1<<3)|0,8)|0;A=(c[407804]|0)+1|0;c[407804]=A;}while((A|0)<=(y|0))}vM()|0;t=c[407820]|0}}t=c[407792]|0;c[407820]=1;do{if((t|0)<1){h[1539]=+h[203913];c[407820]=1;da=t;R=206}else{x=1;do{y=x+1|0;c[407824]=y;A=c[e>>2]|0;c[407804]=1;if((A|0)>=1){z=1;do{F=z*21|0;h[1630656+(z-1<<3)>>3]=(+h[1631472+(F-21<<3)>>3]+ +h[1631472+(F-22+y<<3)>>3])*.5;z=z+1|0;}while((z|0)<=(A|0));c[407804]=z}Vd[s&127](e,1630656,1636512+(x-1<<3)|0)|0;c[407788]=(c[407788]|0)+1;c[407790]=(c[407790]|0)+1;x=(c[407820]|0)+1|0;c[407820]=x;}while((x|0)<=(t|0));x=c[407792]|0;B=+h[203913];h[1539]=B;c[407820]=1;if((x|0)<1){da=x;R=206;break}else{ea=1;fa=B}while(1){A=ea-1|0;c[407824]=A;c[407822]=ea+1;if((A|0)<1){ha=fa;ia=ea}else{c[407804]=1;y=1;while(1){F=y+1|0;c[407802]=F;w=c[e>>2]|0;c[407798]=1;if((w|0)>=1){D=c[407822]|0;T=1;do{U=(T*21|0)-22|0;h[1630496+(T-1<<3)>>3]=(+h[1631472+(U+D<<3)>>3]+ +h[1631472+(U+F<<3)>>3])*.5;T=T+1|0;}while((T|0)<=(w|0));c[407798]=T}Vd[s&127](e,1630496,10848)|0;c[407788]=(c[407788]|0)+1;c[407790]=(c[407790]|0)+1;w=c[407820]|0;F=w-1|0;D=(ga(F,w)|0)/2|0;U=c[407804]|0;ja=U+D|0;c[407796]=ja;B=+h[1539];h[1634832+(ja-1<<3)>>3]=(+h[1356]+B- +h[1636512+(F<<3)>>3]- +h[1636512+(U-1<<3)>>3])*2.0;F=U+1|0;c[407804]=F;if((F|0)>(A|0)){ha=B;ia=w;break}else{y=F}}}y=ia+1|0;c[407820]=y;if((y|0)>(x|0)){break}else{ea=y;fa=ha}}x=c[407792]|0;c[407796]=0;c[407820]=1;y=(x|0)<1;if(y){c[407820]=1;ka=x;la=1;break}else{ma=1;na=0}while(1){oa=na+ma|0;h[1634832+(oa-1<<3)>>3]=(+h[1631304+(ma<<3)>>3]+ha- +h[1636512+(ma-1<<3)>>3]*2.0)*2.0;A=ma+1|0;if((A|0)>(x|0)){break}else{ma=A;na=oa}}c[407824]=ma+1;c[407796]=oa;c[407820]=1;if(y){ka=x;la=1;break}B=ha*3.0;A=1;while(1){z=1636512+(A-1<<3)|0;h[z>>3]=+h[z>>3]*2.0-(+h[1631304+(A<<3)>>3]+B)*.5;pa=A+1|0;if((pa|0)>(x|0)){break}else{A=pa}}c[407824]=A+1;c[407820]=pa;ka=x;la=y}}while(0);if((R|0)==206){R=0;c[407796]=0;c[407820]=1;ka=da;la=(da|0)<1}t=c[e>>2]|0;c[407820]=1;if((t|0)>=1){z=1;do{h[1630816+(z-1<<3)>>3]=+h[1631472+((z*21|0)-21<<3)>>3];z=z+1|0;}while((z|0)<=(t|0));c[407820]=z}c[407820]=1;do{if(la){c[407820]=1}else{t=1;do{t=t+1|0;c[407824]=t;F=c[e>>2]|0;c[407804]=1;if((F|0)>=1){w=1;do{U=w*21|0;ja=1631472+(U-22+t<<3)|0;h[ja>>3]=+h[ja>>3]- +h[1631472+(U-21<<3)>>3];w=w+1|0;}while((w|0)<=(F|0));c[407804]=w}c[407820]=t;}while((t|0)<=(ka|0));c[407820]=1;if(la){break}else{qa=1}while(1){t=qa+1|0;c[407824]=t;y=c[e>>2]|0;c[407804]=1;if((y|0)>=1){x=1;do{A=(x*21|0)-22|0;h[1631472+(A+qa<<3)>>3]=+h[1631472+(A+t<<3)>>3];x=x+1|0;}while((x|0)<=(y|0));c[407804]=x}c[407820]=t;if((t|0)>(ka|0)){break}else{qa=t}}}}while(0);ow(1634832,1631168,1634832,1630336,1631136,p,10088)|0;if((c[p>>2]|0)==0){R=229;break}if((c[i>>2]|0)>-1){c[2591]=6;NM(10360)|0;vM()|0}c[p>>2]=2;if((c[407790]|0)>(c[g>>2]|0)){R=315;break}c[2585]=6;NM(10336)|0;vM()|0;z=c[e>>2]|0;c[407820]=1;if((z|0)<1){continue}else{ra=1}do{y=d+(ra-1<<3)|0;h[y>>3]=+h[y>>3]*.5;ra=ra+1|0;}while((ra|0)<=(z|0));c[407820]=ra}if((R|0)==154){c[p>>2]=1;if((c[i>>2]|0)<0){return 0}c[2669]=6;NM(10672)|0;cM(19064,g,4)|0;vM()|0;c[2663]=6;NM(10648)|0;cM(19064,10856,8)|0;vM()|0;c[2657]=6;NM(10624)|0;s=c[e>>2]|0;c[407820]=1;if((s|0)>=1){z=1;do{cM(19064,b+(z-1<<3)|0,8)|0;z=(c[407820]|0)+1|0;c[407820]=z;}while((z|0)<=(s|0))}vM()|0;c[2651]=6;NM(10600)|0;cM(19064,r,8)|0;vM()|0;return 0}else if((R|0)==229){s=c[407792]|0;c[407808]=s-(c[407784]|0);c[407820]=1;z=(s|0)<1;do{if(z){h[1259]=0.0;c[407820]=1;sa=0.0}else{y=s+1|0;w=1;do{h[1631304+(w-1<<3)>>3]=0.0;A=w-1|0;F=1631304+(A<<3)|0;U=1;B=+h[F>>3];do{if((U|0)>(w|0)){ja=U-1|0;ta=((ga(ja,U)|0)/2|0)+w|0;ua=ja}else{ta=((ga(A,w)|0)/2|0)+U|0;ua=U-1|0}B=+h[1634832+(ta-1<<3)>>3]*+h[1636512+(ua<<3)>>3]+B;U=U+1|0;}while((U|0)<=(s|0));c[407796]=ta;h[F>>3]=B;w=w+1|0;}while((w|0)<=(s|0));c[407804]=y;h[1259]=0.0;c[407820]=1;if(z){sa=0.0;break}else{va=0.0;wa=1}do{w=wa-1|0;va=va+ +h[1631304+(w<<3)>>3]*+h[1636512+(w<<3)>>3];wa=wa+1|0;}while((wa|0)<=(s|0));h[1259]=va;c[407820]=wa;sa=va}}while(0);h[1259]=+h[1539]-sa;r=c[e>>2]|0;c[407820]=1;if((r|0)>=1){y=s+1|0;w=1;do{h[1630496+(w-1<<3)>>3]=0.0;if(z){xa=1}else{U=w*21|0;A=1630496+(w-1<<3)|0;H=+h[A>>3];ja=1;do{H=H+ +h[1631304+(ja-1<<3)>>3]*+h[1631472+(ja-22+U<<3)>>3];ja=ja+1|0;}while((ja|0)<=(s|0));h[A>>3]=H;xa=y}w=w+1|0;}while((w|0)<=(r|0));c[407820]=w;c[407804]=xa}r=c[e>>2]|0;c[407820]=1;if((r|0)>=1){y=1;do{s=y-1|0;z=1630816+(s<<3)|0;h[z>>3]=+h[z>>3]- +h[1630496+(s<<3)>>3];y=y+1|0;}while((y|0)<=(r|0));c[407820]=y}if((c[i>>2]|0)>=0){c[2579]=6;NM(10312)|0;cM(19064,10072,8)|0;r=c[e>>2]|0;c[407820]=1;if((r|0)>=1){w=1;do{cM(19064,1630816+(w-1<<3)|0,8)|0;w=(c[407820]|0)+1|0;c[407820]=w;}while((w|0)<=(r|0))}vM()|0;c[2573]=6;NM(10288)|0;vM()|0}r=c[e>>2]|0;c[407820]=1;if((r|0)>=1){w=c[407792]|0;y=1;do{c[407804]=1;if((w|0)>=1){s=y*21|0;z=w+1|0;ja=1;do{h[1631304+(ja-1<<3)>>3]=0.0;U=ja-1|0;D=1631304+(U<<3)|0;ya=1;I=+h[D>>3];do{if((ya|0)>(ja|0)){za=((ga(ya-1|0,ya)|0)/2|0)+ja|0}else{za=((ga(U,ja)|0)/2|0)+ya|0}I=I+ +h[1634832+(za-1<<3)>>3]*+h[1631472+(ya-22+s<<3)>>3]*.5;ya=ya+1|0;}while((ya|0)<=(w|0));c[407796]=za;h[D>>3]=I;ja=ja+1|0;}while((ja|0)<=(w|0));c[407798]=z;c[407804]=ja}s=c[e>>2]|0;c[407804]=y;if((y|0)<=(s|0)){A=(w|0)<1;ya=w+1|0;U=y;do{Aa=y+((ga(U-1|0,U)|0)/2|0)|0;F=1628656+(Aa-1<<3)|0;h[F>>3]=0.0;if(A){Ba=1}else{Ca=U*21|0;H=0.0;Da=1;do{H=+h[1631304+(Da-1<<3)>>3]*+h[1631472+(Da-22+Ca<<3)>>3]+H;Da=Da+1|0;}while((Da|0)<=(w|0));h[F>>3]=H;Ba=ya}U=U+1|0;}while((U|0)<=(s|0));c[407804]=U;c[407796]=Aa;c[407798]=Ba}y=y+1|0;c[407820]=y;}while((y|0)<=(r|0))}c[407804]=0;r=c[e>>2]|0;c[407820]=1;if((r|0)>=1){y=0;w=1;do{y=y+w|0;h[n+(w-1<<3)>>3]=+h[1628656+(y-1<<3)>>3];w=w+1|0;}while((w|0)<=(r|0));c[407804]=y;c[407820]=w}if((c[i>>2]|0)<0){return 0}c[2567]=6;NM(10264)|0;cM(19064,1631232,4)|0;vM()|0;c[407814]=1;r=1;d:while(1){c[407796]=r;do{if((r|0)>(c[e>>2]|0)){s=c[407814]|0;if((s|0)==1){c[2561]=6;NM(10240)|0;vM()|0;ow(1628656,1631168,1634832,1630336,1631136,p,10088)|0;c[2555]=6;NM(10216)|0;vM()|0;c[407814]=3;r=1;continue d}else if((s|0)==2){break d}else if((s|0)!=3){break}c[407814]=2;c[407818]=0;c[407816]=0;s=c[e>>2]|0;c[407820]=1;if((s|0)>=1){ya=0;A=0;ja=1;z=0;Da=-1;Ca=-1;D=-2;while(1){Ea=cZ(Ca,0,D,0)|0;Fa=Da+(Ea>>>1|K<<31)|0;Ga=A+ja|0;Ea=1628656+(Ga-1<<3)|0;I=+h[Ea>>3];if(I>0.0){Ha=1.0/+W(I)}else{Ha=0.0}h[Ea>>3]=Ha;Ia=ja-1|0;if((Ia|0)<1){Ja=0;Ka=ya;La=1}else{Ma=0;Na=ya;Oa=1;I=Ha;while(1){Pa=Ma+Oa|0;Qa=1628656+(Na<<3)|0;h[Qa>>3]=+h[Qa>>3]*I*+h[1628656+(Pa-1<<3)>>3];Qa=Oa+1|0;if((Qa|0)>(Ia|0)){break}Ma=Pa;Na=Na+1|0;Oa=Qa;I=+h[Ea>>3]}Ja=Fa;Ka=ya+z|0;La=ja}Ra=Ka+1|0;Sa=ja+1|0;if((Sa|0)>(s|0)){break}else{ya=Ra;A=Ga;ja=Sa;z=z+1|0;Da=Da+2|0;Ca=Ca+1|0;D=D+1|0}}c[407800]=Ja;c[407816]=Ra;c[407818]=Ga;c[407804]=La;c[407820]=Sa}c[2549]=6;NM(10192)|0;vM()|0;c[407818]=0;D=c[e>>2]|0;c[407820]=1;if((D|0)<1){r=1;continue d}else{Ta=0;Ua=1}do{Ta=Ta+Ua|0;Ca=1628656+(Ta-1<<3)|0;if(+h[Ca>>3]!=0.0){h[Ca>>3]=1.0}Ua=Ua+1|0;}while((Ua|0)<=(D|0));c[407818]=Ta;c[407820]=Ua;r=1;continue d}}while(0);U=(ga(r-1|0,r)|0)/2|0;c[407818]=U;D=c[e>>2]|0;c[407820]=r;e:do{if((r|0)<=(D|0)){Ca=r;Da=U;z=r;while(1){ja=z+Da|0;c[407824]=ja;A=Ca+Da|0;c[407818]=A;ya=ja+5|0;c[407822]=(A|0)<=(ya|0)?A:ya;if((c[407814]|0)==3){c[2531]=6;NM(10120)|0;ya=c[407822]|0;A=c[407824]|0;c[407804]=A;if((A|0)<=(ya|0)){ja=A;do{cM(19064,1634832+(ja-1<<3)|0,8)|0;ja=(c[407804]|0)+1|0;c[407804]=ja;}while((ja|0)<=(ya|0))}vM()|0}else{c[2537]=6;NM(10144)|0;ya=c[407822]|0;ja=c[407824]|0;c[407804]=ja;if((ja|0)<=(ya|0)){Fa=ja;do{cM(19064,1628656+(Fa-1<<3)|0,8)|0;Fa=(c[407804]|0)+1|0;c[407804]=Fa;}while((Fa|0)<=(ya|0))}vM()|0}ya=(c[407820]|0)+1|0;c[407820]=ya;if((ya|0)>(D|0)){break e}Ca=ya;Da=c[407818]|0;z=c[407796]|0}}}while(0);c[2525]=6;NM(10096)|0;vM()|0;r=(c[407796]|0)+6|0}c[2543]=6;NM(10168)|0;cM(19064,1631152,4)|0;vM()|0;return 0}else if((R|0)==315){return 0}}}while(0);Vd[o&127](e,b,f)|0;return 0}function ow(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0.0,E=0;c[406940]=c[b>>2];c[g>>2]=1;if((c[406940]|0)<1){return 0}c[g>>2]=0;pw(a,1627760,d,f,g,i,e)|0;if((c[g>>2]|0)!=0){return 0}g=c[406940]|0;i=(ga(g+1|0,g)|0)/2|0;c[406942]=i;c[406956]=g;c[406944]=i;f=g-1|0;a=i+(ga(f,1-g|0)|0)|0;b=cZ(f,0,g-2|0,0)|0;f=a+(b>>>1|K<<31)|0;b=i;a=g;while(1){if(+h[d+(b-1<<3)>>3]==0.0){c[406954]=a;if((a|0)>(g|0)){j=b}else{k=b;l=a;do{h[d+(k-1<<3)>>3]=0.0;k=k+l|0;l=l+1|0;}while((l|0)<=(g|0));c[406954]=l;j=k}m=j;n=a-1|0}else{c[406960]=a;if((a|0)<=(g|0)){o=b;p=a;while(1){h[e+(p-1<<3)>>3]=+h[d+(o-1<<3)>>3];q=p+1|0;if((q|0)>(g|0)){break}o=o+p|0;p=q}c[406960]=q}c[406958]=g;c[406952]=i;c[406946]=i;p=a-1|0;o=e+(p<<3)|0;k=(g|0)==(a|0);l=i;r=g;s=i;while(1){h[980]=0.0;t=(r|0)==(a|0);if(t){u=1.0/+h[o>>3];h[980]=u;v=u}else{v=0.0}if(k){w=l;x=g;y=v}else{z=l;A=g;u=v;while(1){B=A-1|0;C=z-1|0;D=u- +h[e+(B<<3)>>3]*+h[d+(C<<3)>>3];h[980]=D;if((C|0)>(s|0)){E=z+(1-A)|0}else{E=C}if((B|0)==(a|0)){w=E;x=a;y=D;break}else{z=E;A=B;u=D}}}h[d+(w-1<<3)>>3]=y/+h[o>>3];if(t){break}A=s-r|0;c[406946]=A;z=r-1|0;c[406958]=z;B=l-1|0;c[406952]=B;l=B;r=z;s=A}c[406950]=x;m=w;n=p}if((n|0)==0){break}else{b=b-a|0;a=n}}c[406948]=m;c[406956]=0;c[406944]=f-g;return 0}function pw(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0.0,J=0.0,K=0.0,L=0,M=0;h[2285]=.5;j=.5;do{j=j*.5;}while(j+1.0>1.0);k=j*2.0;h[2285]=k;c[f>>2]=1;if((c[b>>2]|0)<1){return 0}c[f>>2]=2;c[e>>2]=0;h[g>>3]=k;h[i>>3]=+h[2285];c[412538]=1;c[412536]=0;l=c[b>>2]|0;c[412542]=1;a:do{if((l|0)>=1){b=1;m=1;b:while(1){c[412534]=0;c[412540]=1;do{if((b|0)>=1){n=c[412536]|0;o=1;p=0;while(1){q=n+1|0;r=a+(n<<3)|0;k=+h[r>>3];h[2283]=k;s=(o|0)==(b|0);if(s){j=k*+h[2285];h[2284]=j*j}do{if((o|0)<1){t=1;u=m;v=p;w=k}else{x=p;y=1;z=m;j=k;while(1){A=x+1|0;if((y|0)==(o|0)){B=14;break}C=d+(x<<3)|0;D=j- +h[C>>3]*+h[d+(z-1<<3)>>3];h[2283]=D;if(s){E=+h[C>>3];F=E*E*+h[i+(y-1<<3)>>3];h[2284]=+h[2284]+F*F}G=z+1|0;H=y+1|0;if((H|0)>(o|0)){B=15;break}else{x=A;y=H;z=G;j=D}}if((B|0)==14){B=0;c[412534]=A;t=o;u=z;v=A;w=j;break}else if((B|0)==15){B=0;c[412534]=A;t=H;u=G;v=A;w=D;break}}}while(0);if(s){B=25;break}k=+h[d+(v-1<<3)>>3];if(k==0.0){h[d+(n<<3)>>3]=0.0;F=+h[2283];if(F<0.0){I=-0.0-F}else{I=F}F=+h[g>>3]*+h[r>>3];if(F<0.0){J=-0.0-F}else{J=F}if(I>J){break b}}else{h[d+(n<<3)>>3]=w/k}y=o+1|0;c[412540]=y;if((y|0)>(b|0)){B=26;break}else{n=q;o=y;p=v}}if((B|0)==25){B=0;c[412544]=t;c[412532]=u;c[412536]=q;break}else if((B|0)==26){B=0;c[412544]=t;c[412532]=u;c[412536]=q;break}}}while(0);k=+W(+h[2284]);h[2284]=k;F=+h[2283];if(F<0.0){K=-0.0-F}else{K=F}do{if(K>k*5.0){if(F<0.0){B=37;break b}E=+W(F);h[d+((c[412536]|0)-1<<3)>>3]=E;E=+h[2284]/+h[2283];h[i+((c[412544]|0)-1<<3)>>3]=E;if(!(E>+h[g>>3])){L=b;M=m;break}h[g>>3]=E;L=b;M=m}else{h[d+((c[412536]|0)-1<<3)>>3]=0.0;c[e>>2]=(c[e>>2]|0)+1;L=c[412542]|0;M=c[412538]|0}}while(0);m=M+L|0;c[412538]=m;b=L+1|0;c[412542]=b;if((b|0)>(l|0)){break a}}if((B|0)==37){return 0}c[412544]=t;c[412532]=u;c[412536]=q;return 0}}while(0);c[f>>2]=0;return 0}function qw(b,d,e,f,g,h,i,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;l=(c[b>>2]|0)+1|0;c[407138]=l;m=(c[d>>2]|0)-l|0;c[407136]=m;n=c[d>>2]|0;o=c[b>>2]|0;p=o+2|0;do{if((n|0)>=(p|0)){if((n|0)>((ga(l,p)|0)/2|0|0)){break}q=o+n|0;c[407140]=q;a[9960]=1;r=c[b>>2]|0;s=r+1|0;c[407146]=s;t=c[b>>2]|0;u=s+t|0;c[407148]=u;s=u+(c[b>>2]|0)|0;c[407144]=s;u=(ga(c[d>>2]|0,c[b>>2]|0)|0)+s|0;c[407158]=u;v=u+(c[d>>2]|0)|0;c[407156]=v;w=v+(c[b>>2]|0)|0;c[407154]=w;x=((ga(l,c[b>>2]|0)|0)/2|0)+w|0;c[407152]=x;y=x+(c[d>>2]|0)|0;c[407162]=y;z=(ga(c[b>>2]|0,q)|0)+y|0;c[407142]=z;A=(ga(m,c[d>>2]|0)|0)+z|0;c[407160]=A;B=A+(c[b>>2]|0)|0;c[407150]=B;rw(b,d,e,f,g,h,i,j,j+(r<<3)|0,j+(r+t<<3)|0,j+(s-1<<3)|0,j+(u-1<<3)|0,j+(v-1<<3)|0,j+(w-1<<3)|0,j+(x-1<<3)|0,j+(y-1<<3)|0,j+(z-1<<3)|0,1628560,j+(A-1<<3)|0,j+(B-1<<3)|0,j+(q-1+B<<3)|0,k)|0;return 0}}while(0);NM(9968)|0;vM()|0;return 0}function rw(a,b,d,e,f,g,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;u=u|0;v=v|0;w=w|0;x=x|0;y=y|0;var z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0,O=0.0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0.0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0.0,ea=0,fa=0.0,ha=0.0,ia=0.0,ja=0,ka=0.0,la=0.0,ma=0,na=0.0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0.0,ua=0.0,va=0,wa=0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0.0,Ea=0.0,Fa=0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0.0,Ra=0.0,Sa=0.0,Ta=0.0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0.0,_a=0.0,$a=0.0,ab=0.0,bb=0.0,cb=0.0,db=0.0,eb=0,fb=0,gb=0.0,hb=0.0,ib=0,jb=0.0,kb=0.0,lb=0.0,mb=0.0,nb=0.0,ob=0,pb=0,qb=0,rb=0,sb=0.0,tb=0.0,ub=0.0,vb=0.0,wb=0.0,xb=0.0,yb=0.0,zb=0.0,Ab=0.0,Bb=0.0;z=i;i=i+8|0;A=z|0;B=c[b>>2]|0;C=~B;D=c[u>>2]|0;E=~D;h[1162]=.5;h[1136]=1.0;h[1124]=.1;F=(c[a>>2]|0)+1|0;c[407092]=F;G=ga(c[a>>2]|0,F)|0;H=(G|0)/2|0;c[407094]=H;I=(c[b>>2]|0)-F|0;c[407090]=I;F=c[j>>2]|0;c[407096]=(F|0)<1?1:F;F=c[a>>2]|0;c[407120]=1;if((F|0)>=1){j=1;do{J=j-1|0;h[k+(J<<3)>>3]=+h[d+(J<<3)>>3];J=c[b>>2]|0;c[407114]=1;if((J|0)>=1){K=ga(j,B)|0;L=1;do{h[n+(L+C+K<<3)>>3]=0.0;L=L+1|0;}while((L|0)<=(J|0));c[407114]=L}J=c[u>>2]|0;c[407134]=1;if((J|0)>=1){K=1;do{h[s+(K+E+(ga(j,D)|0)<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(J|0));c[407134]=K}j=j+1|0;c[407120]=j;}while((j|0)<=(F|0))}c[407130]=1;if((G|0)>=2){G=1;do{h[q+(G-1<<3)>>3]=0.0;G=G+1|0;}while((G|0)<=(H|0));c[407130]=G}G=c[b>>2]|0;c[407114]=1;if((G|0)>=1){H=(I|0)<1;F=I+1|0;j=1;do{h[r+(j-1<<3)>>3]=0.0;if(H){M=1}else{J=1;while(1){h[t+((ga(J,B)|0)+C+j<<3)>>3]=0.0;L=J+1|0;if((L|0)>(I|0)){M=F;break}else{J=L}}}j=j+1|0;}while((j|0)<=(G|0));c[407120]=M;c[407114]=j}N=+h[e>>3];O=N*N;h[1131]=O;h[1134]=+h[1136]/O;h[1133]=+W(+h[1162])/O;c[407104]=0;j=y;y=A;M=0;a:while(1){c[407102]=M;G=M-(c[a>>2]|0)|0;c[407100]=G;F=M+1|0;c[407104]=F;I=c[a>>2]|0;do{if((M|0)>(I<<1|0)){H=(G-1|0)/(I|0)|0;c[407124]=H;J=c[a>>2]|0;K=M-(ga(J,H)|0)-J|0;c[407116]=K;J=K+H|0;c[407126]=J;if((J|0)>(c[a>>2]|0)){c[407124]=K;H=J-(c[a>>2]|0)|0;c[407116]=H;c[407126]=K;P=K;Q=H}else{P=J;Q=K}O=+h[e>>3];h[1122]=O;K=c[407092]|0;if(+h[o+(P-1+K<<3)>>3]<+h[o+(P<<3)>>3]){N=-0.0-O;h[1122]=N;R=N}else{R=O}O=+h[e>>3];h[1121]=O;if(+h[o+(Q-1+K<<3)>>3]<+h[o+(Q<<3)>>3]){h[1121]=-0.0-O}K=F+C|0;h[n+(K+(ga(P,B)|0)<<3)>>3]=R;h[n+(K+(ga(Q,B)|0)<<3)>>3]=+h[1121];S=c[a>>2]|0}else{K=(M|0)>(I|0);if(!((M|0)<1|K)){h[n+((ga(M,B)|0)+C+F<<3)>>3]=+h[e>>3];S=I;break}if(!K){S=I;break}h[n+(F+C+(ga(G,B)|0)<<3)>>3]=-0.0- +h[e>>3];S=I}}while(0);c[407120]=1;if((S|0)>=1){I=1;do{O=+h[n+((ga(I,B)|0)+C+F<<3)>>3];G=I-1|0;h[d+(G<<3)>>3]=O+ +h[k+(G<<3)>>3];I=I+1|0;}while((I|0)<=(S|0));c[407120]=I}if((F|0)>(c[407096]|0)){T=F;U=158;break}while(1){Vd[j&127](a,d,9832)|0;if((c[g>>2]|0)==3){NM(9240)|0;cM(19056,1628416,4)|0;cM(19056,9832,8)|0;G=c[a>>2]|0;c[407134]=1;if((G|0)>=1){K=1;do{cM(19056,d+(K-1<<3)|0,8)|0;K=(c[407134]|0)+1|0;c[407134]=K;}while((K|0)<=(G|0))}vM()|0}G=c[407104]|0;do{if((G|0)>(c[b>>2]|0)){K=c[407112]|0;if((K|0)==-1){break a}h[1123]=0.0;c[407130]=0;J=c[a>>2]|0;c[407120]=1;if((J|0)<1){V=0.0}else{H=2;L=1;O=0.0;X=0;while(1){Y=L-1|0;N=O+ +h[v+(Y<<3)>>3]*+h[p+(Y<<3)>>3];h[1123]=N;if((L|0)<1){Z=1;_=N;$=X}else{Y=L-1|0;aa=m+(Y<<3)|0;ba=v+(Y<<3)|0;Y=X;ca=1;da=N;while(1){ea=ca-1|0;N=+h[v+(ea<<3)>>3]*+h[aa>>3]+ +h[ba>>3]*+h[l+(ea<<3)>>3];h[1126]=N;if((ca|0)==(L|0)){fa=N*+h[1162];h[1126]=fa;ha=fa}else{ha=N}ia=da+ha*+h[q+(Y<<3)>>3];h[1123]=ia;ea=ca+1|0;if((ea|0)>(L|0)){break}else{Y=Y+1|0;ca=ea;da=ia}}ca=X+L|0;c[407130]=ca;Z=H;_=ia;$=ca}ja=L+1|0;if((ja|0)>(J|0)){break}else{H=H+1|0;L=ja;O=_;X=$}}c[407134]=Z;c[407120]=ja;V=_}X=c[b>>2]|0;c[407114]=1;if((X|0)<1){ka=V}else{L=1;O=V;do{H=L-1|0;O=O+ +h[r+(H<<3)>>3]*+h[x+(H<<3)>>3];h[1123]=O;L=L+1|0;}while((L|0)<=(X|0));c[407114]=L;ka=O}da=+h[1229];N=+h[1166];fa=da-N-ka;h[1238]=fa;h[1235]=+h[1236];h[1236]=+h[1237];if(fa<0.0){la=-0.0-fa}else{la=fa}h[1237]=la;if(+h[1233]>+h[1132]){c[407098]=G}h[1165]=N;do{if(da<N){h[1166]=da;h[1120]=0.0;X=c[a>>2]|0;c[407134]=1;if((X|0)<1){break}else{ma=1}do{H=ma-1|0;h[l+(H<<3)>>3]=+h[m+(H<<3)>>3];na=+h[l+(ma-1<<3)>>3];h[1120]=+h[1120]+na*na;ma=ma+1|0;}while((ma|0)<=(X|0));c[407134]=ma;h[A>>3]=na}}while(0);c[407108]=K;if((K|0)<=0){da=+h[1123];if(!(da<0.0)){U=189;break a}N=+h[1229];O=+h[1165];fa=(N-O)/da;h[1135]=fa;da=+h[1124];do{if(fa>da){oa=+h[1162]*+h[1240];h[A>>3]=oa;pa=+h[1233];if(fa>.7){qa=pa+pa;ra=oa>=qa?oa:qa;h[1240]=ra;sa=ra;break}else{ra=oa>=pa?oa:pa;h[1240]=ra;sa=ra;break}}else{ra=+h[1162]*+h[1233];h[1240]=ra;sa=ra}}while(0);fa=+h[1132];if(sa>fa*1.5){ta=sa}else{h[1240]=fa;ta=fa}ra=da*ta;pa=ra>=fa?ra:fa;h[A>>3]=pa;fa=pa*pa;h[1131]=fa;c[407106]=0;h[1239]=0.0;if(N<O){ua=0.0;va=0}else{L=c[407110]|0;c[407106]=L;pa=+h[1136];h[1239]=pa;ua=pa;va=L}L=c[b>>2]|0;c[407114]=1;if((L|0)<1){wa=K}else{X=c[407090]|0;H=K;J=1;pa=ua;while(1){h[1161]=0.0;c[407120]=1;if((X|0)<1){xa=0.0}else{ca=c[407132]|0;Y=J+C|0;ra=+h[1136];ba=1;oa=0.0;do{if((ba|0)<(ca|0)){ya=-0.0-ra}else{ya=ra}h[1126]=ya;qa=+h[t+(Y+(ga(ba,B)|0)<<3)>>3];oa=oa+ya*qa*qa;h[1161]=oa;ba=ba+1|0;}while((ba|0)<=(X|0));c[407120]=ba;xa=oa}ra=+h[w+(J-1<<3)>>3];qa=ra*ra+ +h[1243]*xa;if(qa<0.0){za=-0.0-qa}else{za=qa}h[1126]=za;h[1234]=0.0;Y=c[a>>2]|0;c[407120]=1;if((Y|0)<1){Aa=qa;Ba=0.0}else{ca=1;qa=0.0;do{ra=+h[n+((ga(ca,B)|0)+C+J<<3)>>3];Ca=ra- +h[l+(ca-1<<3)>>3];qa=qa+Ca*Ca;h[1234]=qa;ca=ca+1|0;}while((ca|0)<=(Y|0));c[407120]=ca;Aa=Ca;Ba=qa}if(Ba>fa){oa=Ba/fa;ra=za*oa*oa*oa;h[1126]=ra;Da=oa;Ea=ra}else{Da=Aa;Ea=za}if(Ea<=pa|(J|0)==(va|0)){Fa=H;Ga=pa}else{h[1239]=Ea;c[407112]=J;Fa=J;Ga=Ea}Y=J+1|0;c[407114]=Y;if((Y|0)>(L|0)){break}else{H=Fa;J=Y;pa=Ga}}h[A>>3]=Da;wa=Fa}if((wa|0)==0){Ha=da;Ia=ta;Ja=0;U=285;break}}tw(a,b,s,t,1628528,u,w,9944,1628448,x)|0;J=c[407112]|0;H=J-1|0;h[o+(H<<3)>>3]=+h[1229];c[407130]=0;L=c[a>>2]|0;c[407134]=1;X=r+(H<<3)|0;if((L|0)>=1){H=J+C|0;K=2;Y=1;ba=0;while(1){pa=+h[X>>3]*+h[n+((ga(Y,B)|0)+C+J<<3)>>3];h[1126]=pa;if((Y|0)<1){Ka=1;La=ba}else{aa=ba;ea=1;fa=pa;while(1){pa=fa*+h[n+(H+(ga(ea,B)|0)<<3)>>3];Ma=q+(aa<<3)|0;h[Ma>>3]=+h[Ma>>3]+pa;Ma=ea+1|0;if((Ma|0)>(Y|0)){break}aa=aa+1|0;ea=Ma;fa=+h[1126]}ea=ba+Y|0;c[407130]=ea;Ka=K;La=ea}Na=Y+1|0;if((Na|0)>(L|0)){break}else{K=K+1|0;Y=Na;ba=La}}c[407120]=Ka;c[407134]=Na}h[X>>3]=0.0;ba=c[407090]|0;c[407120]=1;Y=(ba|0)<1;if(!Y){K=c[407132]|0;L=1;do{H=ga(L,B)|0;da=+h[1238]*+h[t+(H+C+J<<3)>>3];if((L|0)<(K|0)){Oa=-0.0-da}else{Oa=da}h[1126]=Oa;ea=c[b>>2]|0;c[407114]=1;if((ea|0)>=1){aa=1;ca=2;da=Oa;while(1){Ma=r+(aa-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[t+(aa+C+H<<3)>>3];if((ca|0)>(ea|0)){break}aa=ca;ca=ca+1|0;da=+h[1126]}c[407114]=ca}L=L+1|0;c[407120]=L;}while((L|0)<=(ba|0))}h[1163]=0.0;L=c[a>>2]|0;c[407134]=1;if((L|0)>=1){K=1;do{da=+h[1238]*+h[s+((ga(K,D)|0)+E+J<<3)>>3];X=p+(K-1<<3)|0;h[X>>3]=+h[X>>3]+da;X=K-1|0;Pa=+h[p+(X<<3)>>3];h[1163]=+h[1163]+Pa*Pa;h[n+((ga(K,B)|0)+C+J<<3)>>3]=+h[m+(X<<3)>>3];K=K+1|0;}while((K|0)<=(L|0));c[407134]=K;h[A>>3]=Pa}L=c[407108]|0;do{if((L|0)==0){if(!(+h[1240]==+h[1132])){break}da=+h[1135];if(da<0.0){Qa=-0.0-da}else{Qa=da}if(Qa>.01){c[407122]=0;break}X=c[b>>2]|0;c[407114]=1;if((X|0)>=1){aa=o+((c[407110]|0)-1<<3)|0;ea=1;do{H=ea-1|0;h[w+(H<<3)>>3]=+h[o+(H<<3)>>3]- +h[aa>>3];ea=ea+1|0;}while((ea|0)<=(X|0));c[407114]=ea}h[1164]=0.0;X=c[a>>2]|0;c[407134]=1;if((X|0)<1){Ra=0.0}else{aa=1;do{h[1130]=0.0;ca=c[b>>2]|0;c[407114]=1;if((ca|0)<1){Sa=0.0}else{H=ga(aa,D)|0;Ma=1;da=0.0;do{da=da+ +h[s+(Ma+E+H<<3)>>3]*+h[w+(Ma-1<<3)>>3];h[1130]=da;Ma=Ma+1|0;}while((Ma|0)<=(ca|0));c[407114]=Ma;Sa=da}h[1164]=+h[1164]+Sa*Sa;h[x+(aa-1<<3)>>3]=Sa;aa=aa+1|0;c[407134]=aa;}while((aa|0)<=(X|0));Ra=+h[1164]*100.0}X=(c[407122]|0)+1|0;c[407122]=X;if(+h[1163]<Ra){c[407122]=0;break}if((X|0)<=2){break}X=c[a>>2]|0;c[407134]=1;if((X|0)>=1){aa=1;do{ea=aa-1|0;h[p+(ea<<3)>>3]=+h[x+(ea<<3)>>3];aa=aa+1|0;}while((aa|0)<=(X|0));c[407134]=aa}X=c[407094]|0;c[407130]=1;if((X|0)>=1){ea=1;do{h[q+(ea-1<<3)>>3]=0.0;ea=ea+1|0;}while((ea|0)<=(X|0));c[407130]=ea}c[407120]=1;if(!Y){X=1;do{aa=x+(X-1<<3)|0;h[aa>>3]=0.0;ca=c[b>>2]|0;c[407114]=1;if((ca|0)<1){Ta=0.0}else{H=ga(X,B)|0;Ua=1;fa=0.0;do{fa=fa+ +h[w+(Ua-1<<3)>>3]*+h[t+(Ua+C+H<<3)>>3];h[aa>>3]=fa;Ua=Ua+1|0;}while((Ua|0)<=(ca|0));c[407114]=Ua;Ta=fa}if((X|0)<(c[407132]|0)){h[aa>>3]=-0.0-Ta}X=X+1|0;c[407120]=X;}while((X|0)<=(ba|0))}X=c[b>>2]|0;c[407114]=1;if((X|0)>=1){ea=ba+1|0;ca=1;do{h[r+(ca-1<<3)>>3]=0.0;if(Y){Va=1}else{H=1;while(1){da=+h[t+((ga(H,B)|0)+C+ca<<3)>>3];Ma=r+(ca-1<<3)|0;h[Ma>>3]=+h[Ma>>3]+da*+h[x+(H-1<<3)>>3];Ma=H+1|0;if((Ma|0)>(ba|0)){Va=ea;break}else{H=Ma}}}ca=ca+1|0;}while((ca|0)<=(X|0));c[407120]=Va;c[407114]=ca}c[407122]=0}}while(0);fa=+h[1229];da=+h[1165];if(fa<da){c[407110]=J}qa=+h[1124];if(fa<=da+qa*+h[1123]|(L|0)>0){U=54;break}c[407112]=0;Ha=qa;Ia=+h[1240];Ja=0;U=285}else{h[o+(G-1<<3)>>3]=+h[1229];qa=+h[1229];do{if((G|0)==1){h[1228]=qa;h[1166]=qa;c[407110]=1;Wa=1}else{if(!(qa<+h[1166])){Wa=G;break}h[1166]=qa;c[407110]=G;Wa=G}}while(0);L=c[407102]|0;J=c[a>>2]|0;do{if((L|0)>(J<<1|0)){ba=c[407126]|0;Y=(ga(ba-1|0,ba)|0)/2|0;K=c[407116]|0;X=K+Y|0;c[407130]=X;if(+h[1122]<0.0){Y=ba+(c[a>>2]|0)|0;c[407126]=Y;Xa=Y}else{Xa=ba}if(+h[1121]<0.0){ba=K+(c[a>>2]|0)|0;c[407116]=ba;Ya=ba}else{Ya=K}K=ga(c[407100]|0,B)|0;h[t+(K-B<<3)>>3]=+h[1134];h[t+(Wa+C+K<<3)>>3]=+h[1134];h[t+(Xa-B+K<<3)>>3]=-0.0- +h[1134];h[t+(Ya-B+K<<3)>>3]=-0.0- +h[1134];h[q+(X-1<<3)>>3]=(+h[1228]- +h[o+(Xa<<3)>>3]- +h[o+(Ya<<3)>>3]+ +h[1229])/(+h[1122]*+h[1121])}else{X=(L|0)>(J|0);if((L|0)<1|X){if(!X){break}X=c[407100]|0;K=ga(X,D)|0;h[s+(E-J+Wa+K<<3)>>3]=+h[1162]/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=(-0.0- +h[1162])/+h[e>>3];da=+h[1133];K=ga(X,B)|0;h[t+(K-B<<3)>>3]=-0.0-da-da;ba=Wa+C|0;h[t+(ba-J+K<<3)>>3]=+h[1133];h[t+(ba+K<<3)>>3]=+h[1133];K=(ga(X+1|0,X)|0)/2|0;c[407130]=K;da=(+h[1228]- +h[1229])/+h[e>>3];h[1126]=da;ba=p+(X-1<<3)|0;h[q+(K-1<<3)>>3]=(+h[ba>>3]-da)/+h[e>>3];h[ba>>3]=+h[1162]*(+h[ba>>3]+ +h[1126]);break}else{h[p+(L-1<<3)>>3]=(qa- +h[1228])/+h[e>>3];ba=c[b>>2]|0;if((ba|0)>=(J+Wa|0)){break}K=ga(L,D)|0;h[s+(K-D<<3)>>3]=(-0.0- +h[1136])/+h[e>>3];h[s+(Wa+E+K<<3)>>3]=+h[1136]/+h[e>>3];h[s+(ba+E+L+K<<3)>>3]=+h[1131]*(-0.0- +h[1162]);break}}}while(0);if((Wa|0)<(c[b>>2]|0)){M=Wa;continue a}qa=+h[e>>3];h[1132]=qa;h[1240]=qa;c[407132]=1;h[1237]=0.0;h[1236]=0.0;c[407122]=0;h[1120]=0.0;L=c[a>>2]|0;c[407134]=1;if((L|0)<1){U=53;break}J=c[407110]|0;K=1;do{h[l+(K-1<<3)>>3]=+h[n+((ga(K,B)|0)+C+J<<3)>>3];Za=+h[l+(K-1<<3)>>3];h[1120]=+h[1120]+Za*Za;K=K+1|0;}while((K|0)<=(L|0));c[407134]=K;h[A>>3]=Za;U=53}}while(0);while(1){if((U|0)==53){U=0;c[407098]=c[407104];U=54;continue}else if((U|0)==54){U=0;c[407112]=0;G=(c[407092]|0)-1|0;L=c[a>>2]|0;sw(a,b,l,n,p,q,r,9920,v,x,x+(G<<3)|0,x+(G+L<<3)|0,x+(G+(L<<1)<<3)|0,9928)|0;h[1232]=0.0;L=c[a>>2]|0;c[407134]=1;if((L|0)<1){_a=0.0}else{G=1;qa=0.0;do{$a=+h[v+(G-1<<3)>>3];qa=qa+$a*$a;h[1232]=qa;G=G+1|0;}while((G|0)<=(L|0));h[A>>3]=$a;c[407134]=G;_a=qa}da=+h[1240];h[A>>3]=da;fa=+W(_a);pa=da<=fa?da:fa;h[1233]=pa;fa=+h[1132];if(!(pa<+h[1162]*fa)){ab=_a;U=62;break}c[407112]=-1;pa=+h[1124];O=pa*da;h[1240]=O;h[1135]=-1.0;if(O>fa*1.5){bb=O}else{h[1240]=fa;bb=fa}if((c[407104]|0)<=((c[407098]|0)+2|0)){Ha=pa;Ia=bb;Ja=-1;U=285;continue}O=fa*+h[1241]*.125*fa;h[1126]=O;da=+h[1237];N=+h[1236];ra=da>=N?da:N;h[A>>3]=ra;N=+h[1235];if(O>(ra>=N?ra:N)){cb=fa;db=pa;eb=-1}else{Ha=pa;Ia=bb;Ja=-1;U=285;continue}}else if((U|0)==285){U=0;pa=Ia*Ia*4.0;h[1234]=pa;L=c[b>>2]|0;c[407114]=1;if((L|0)<1){fb=Ja}else{K=Ja;fa=pa;J=1;while(1){h[1130]=0.0;ba=c[a>>2]|0;c[407120]=1;if((ba|0)<1){gb=0.0}else{X=1;pa=0.0;do{N=+h[n+((ga(X,B)|0)+C+J<<3)>>3];hb=N- +h[l+(X-1<<3)>>3];pa=pa+hb*hb;h[1130]=pa;X=X+1|0;}while((X|0)<=(ba|0));h[A>>3]=hb;c[407120]=X;gb=pa}if(gb>fa){c[407112]=J;h[1234]=gb;ib=J;jb=gb}else{ib=K;jb=fa}ba=J+1|0;c[407114]=ba;if((ba|0)>(L|0)){break}else{K=ib;fa=jb;J=ba}}if((ib|0)>0){U=293;break}else{fb=ib}}if(+h[1135]>0.0){U=54;continue}fa=+h[1233];qa=+h[1132];if((Ia>=fa?Ia:fa)>qa){U=54;continue}else{cb=qa;db=Ha;eb=fb}}if(!(cb>+h[f>>3])){U=308;break}qa=cb*+h[1162];h[1240]=qa;fa=cb/+h[f>>3];h[1135]=fa;do{if(fa>16.0){if(fa>250.0){N=db*cb;h[1132]=N;kb=N;break}else{N=+W(fa);ra=N*+h[f>>3];h[1132]=ra;kb=ra;break}}else{ra=+h[f>>3];h[1132]=ra;kb=ra}}while(0);h[1240]=qa>=kb?qa:kb;J=c[g>>2]|0;if((J|0)<=1){U=53;continue}if((J|0)>2){NM(9192)|0;vM()|0}NM(9168)|0;cM(19056,9056,8)|0;cM(19056,1628416,4)|0;vM()|0;NM(9144)|0;cM(19056,9328,8)|0;J=c[a>>2]|0;c[407134]=1;if((J|0)>=1){K=1;do{L=K-1|0;h[A>>3]=+h[k+(L<<3)>>3]+ +h[l+(L<<3)>>3];cM(19056,y,8)|0;K=(c[407134]|0)+1|0;c[407134]=K;}while((K|0)<=(J|0))}vM()|0;U=53}if((U|0)==293){U=0;qa=Ha*+W(jb);fa=+h[1162]*Ia;ra=qa<=fa?qa:fa;h[A>>3]=ra;fa=+h[1132];qa=ra>=fa?ra:fa;h[1231]=qa;fa=qa*qa;h[1232]=fa;ab=fa;U=62}else if((U|0)==308){U=0;if(!((eb|0)==-1)){break a}}do{if((U|0)==62){U=0;fa=+h[1120];if(!(ab>fa*.001)){h[1125]=fa*.25;J=c[b>>2]|0;c[407114]=1;if((J|0)>=1){K=1;do{h[1130]=0.0;L=c[a>>2]|0;c[407134]=1;if((L|0)<1){lb=0.0}else{G=1;fa=0.0;do{qa=+h[n+((ga(G,B)|0)+C+K<<3)>>3];fa=fa+qa*+h[l+(G-1<<3)>>3];h[1130]=fa;G=G+1|0;}while((G|0)<=(L|0));c[407134]=G;lb=fa}h[1126]=+h[r+(K-1<<3)>>3]*lb;pa=lb- +h[1162]*+h[1120];h[1130]=pa;h[x+((c[b>>2]|0)-1+K<<3)>>3]=pa;L=c[a>>2]|0;c[407134]=1;if((L|0)>=1){X=1;do{ba=ga(X,B)|0;ca=n+(ba+C+K<<3)|0;Y=X-1|0;ea=p+(Y<<3)|0;h[ea>>3]=+h[ea>>3]+ +h[1126]*+h[ca>>3];ea=l+(Y<<3)|0;h[ca>>3]=+h[ca>>3]- +h[1162]*+h[ea>>3];ca=w+(Y<<3)|0;h[ca>>3]=+h[s+(K+E+(ga(X,D)|0)<<3)>>3];pa=+h[1130]*+h[n+(K+C+ba<<3)>>3]+ +h[1125]*+h[ea>>3];ea=x+(Y<<3)|0;h[ea>>3]=pa;Y=X+(c[b>>2]|0)|0;c[407128]=Y;c[407120]=1;if((X|0)>=1){ba=1;H=2;qa=pa;while(1){aa=s+((ga(ba,D)|0)+E+Y<<3)|0;Ua=ba-1|0;h[aa>>3]=+h[aa>>3]+ +h[ca>>3]*+h[x+(Ua<<3)>>3]+qa*+h[w+(Ua<<3)>>3];if((H|0)>(X|0)){break}ba=H;H=H+1|0;qa=+h[ea>>3]}c[407120]=H}X=X+1|0;c[407134]=X;}while((X|0)<=(L|0))}K=K+1|0;c[407114]=K;}while((K|0)<=(J|0))}J=c[407090]|0;c[407114]=1;if((J|0)>=1){K=1;do{h[1127]=0.0;L=c[b>>2]|0;c[407134]=1;b:do{if((L|0)>=1){X=1;fa=0.0;while(1){G=t+(X+C+(ga(K,B)|0)<<3)|0;h[1127]=+h[G>>3]+fa;h[x+(X-1<<3)>>3]=+h[x+((c[b>>2]|0)-1+X<<3)>>3]*+h[G>>3];G=X+1|0;c[407134]=G;if((G|0)>(L|0)){break b}X=G;fa=+h[1127]}}}while(0);L=c[a>>2]|0;c[407120]=1;if((L|0)>=1){X=1;do{H=X-1|0;fa=+h[1125]*+h[1127]*+h[l+(H<<3)>>3];h[1130]=fa;G=c[b>>2]|0;c[407134]=1;if((G|0)<1){mb=fa}else{ea=ga(X,B)|0;ba=1;qa=fa;do{qa=qa+ +h[x+(ba-1<<3)>>3]*+h[n+(ba+C+ea<<3)>>3];h[1130]=qa;ba=ba+1|0;}while((ba|0)<=(G|0));c[407134]=ba;mb=qa}h[w+(H<<3)>>3]=mb;if((K|0)<(c[407132]|0)){h[1130]=-0.0- +h[1130]}G=c[b>>2]|0;c[407134]=1;if((G|0)>=1){ea=ga(K,B)|0;ca=ga(X,D)|0;Y=1;Ua=2;while(1){aa=s+(Y+E+ca<<3)|0;h[aa>>3]=+h[1130]*+h[t+(Y+C+ea<<3)>>3]+ +h[aa>>3];if((Ua|0)>(G|0)){break}Y=Ua;Ua=Ua+1|0}c[407134]=Ua}X=X+1|0;c[407120]=X;}while((X|0)<=(L|0))}L=c[a>>2]|0;c[407134]=1;if((L|0)>=1){X=c[407132]|0;Y=1;do{G=(c[b>>2]|0)+Y|0;c[407128]=G;qa=+h[w+(Y-1<<3)>>3];if((K|0)<(X|0)){nb=-0.0-qa}else{nb=qa}h[1126]=nb;c[407120]=1;if((Y|0)>=1){ea=1;ca=2;qa=nb;while(1){H=s+((ga(ea,D)|0)+E+G<<3)|0;h[H>>3]=qa*+h[w+(ea-1<<3)>>3]+ +h[H>>3];if((ca|0)>(Y|0)){break}ea=ca;ca=ca+1|0;qa=+h[1126]}c[407120]=ca}Y=Y+1|0;c[407134]=Y;}while((Y|0)<=(L|0))}K=K+1|0;c[407114]=K;}while((K|0)<=(J|0))}c[407130]=0;J=c[a>>2]|0;c[407120]=1;if((J|0)>=1){K=1;L=0;while(1){Y=K-1|0;X=x+(Y<<3)|0;h[X>>3]=0.0;ea=c[b>>2]|0;c[407114]=1;if((ea|0)>=1){G=ga(K,B)|0;Ua=l+(Y<<3)|0;H=G+C|0;ba=1;qa=0.0;while(1){h[X>>3]=qa+ +h[r+(ba-1<<3)>>3]*+h[n+(ba+C+G<<3)>>3];aa=n+(H+ba<<3)|0;h[aa>>3]=+h[aa>>3]- +h[1162]*+h[Ua>>3];ob=ba+1|0;if((ob|0)>(ea|0)){break}ba=ob;qa=+h[X>>3]}c[407114]=ob}c[407134]=1;if((K|0)<1){pb=L}else{ba=L;ea=1;while(1){Ua=ba+1|0;c[407130]=Ua;H=q+(ba<<3)|0;if((ea|0)<(K|0)){G=ea-1|0;aa=l+(G<<3)|0;Ma=p+(Y<<3)|0;h[Ma>>3]=+h[Ma>>3]+ +h[H>>3]*+h[aa>>3];qb=G;rb=aa}else{aa=ea-1|0;qb=aa;rb=l+(aa<<3)|0}aa=l+(Y<<3)|0;G=p+(qb<<3)|0;h[G>>3]=+h[H>>3]*+h[aa>>3]+ +h[G>>3];h[H>>3]=+h[H>>3]+ +h[x+(qb<<3)>>3]*+h[aa>>3]+ +h[rb>>3]*+h[X>>3];aa=(c[b>>2]|0)+E|0;h[s+(aa+ea+(ga(K,D)|0)<<3)>>3]=+h[s+(aa+K+(ga(ea,D)|0)<<3)>>3];aa=ea+1|0;c[407134]=aa;if((aa|0)>(K|0)){pb=Ua;break}else{ba=Ua;ea=aa}}}ea=K+1|0;c[407120]=ea;if((ea|0)>(J|0)){break}else{K=ea;L=pb}}}L=c[a>>2]|0;c[407120]=1;if((L|0)>=1){K=1;do{J=K-1|0;ea=k+(J<<3)|0;h[ea>>3]=+h[l+(J<<3)>>3]+ +h[ea>>3];h[l+(K-1<<3)>>3]=0.0;K=K+1|0;}while((K|0)<=(L|0));c[407120]=K}h[1120]=0.0}if((c[407112]|0)>0){L=(c[407092]|0)-1|0;Nv(a,b,l,n,s,t,1628528,u,1628448,9848,v,9952,w,w+(c[b>>2]<<3)|0,x,x+(L<<3)|0,x+(L+(c[a>>2]|0)<<3)|0)|0}L=c[b>>2]|0;c[407114]=1;if((L|0)>=1){ea=1;do{h[1129]=0.0;h[1128]=0.0;h[1130]=0.0;J=c[a>>2]|0;c[407120]=1;if((J|0)<1){sb=0.0;tb=0.0}else{ba=ea+C|0;X=ea+E|0;Y=1;qa=0.0;fa=0.0;pa=0.0;do{ra=+h[n+((ga(Y,B)|0)+C+ea<<3)>>3];qa=qa+ra*+h[v+(Y-1<<3)>>3];h[1129]=qa;ra=+h[n+(ba+(ga(Y,B)|0)<<3)>>3];aa=Y-1|0;fa=fa+ra*+h[l+(aa<<3)>>3];h[1128]=fa;ra=+h[s+(X+(ga(Y,D)|0)<<3)>>3];pa=pa+ra*+h[v+(aa<<3)>>3];h[1130]=pa;Y=Y+1|0;}while((Y|0)<=(J|0));c[407120]=Y;sb=qa;tb=fa}J=ea-1|0;h[x+(J<<3)>>3]=sb*(sb*+h[1162]+tb);h[w+(J<<3)>>3]=+h[1130];ea=ea+1|0;c[407114]=ea;}while((ea|0)<=(L|0))}h[1243]=0.0;L=c[407090]|0;c[407114]=1;if((L|0)>=1){ea=1;do{h[1130]=0.0;K=c[b>>2]|0;c[407134]=1;if((K|0)<1){ub=0.0}else{J=1;pa=0.0;do{ra=+h[t+(J+C+(ga(ea,B)|0)<<3)>>3];pa=pa+ra*+h[x+(J-1<<3)>>3];h[1130]=pa;J=J+1|0;}while((J|0)<=(K|0));c[407134]=J;ub=pa}fa=ub*ub;qa=+h[1243];if((ea|0)<(c[407132]|0)){h[1243]=qa+fa;ra=-0.0-ub;h[1130]=ra;vb=ra}else{h[1243]=qa-fa;vb=ub}K=c[b>>2]|0;c[407134]=1;if((K|0)>=1){Y=ga(ea,B)|0;X=1;ba=2;fa=vb;while(1){aa=w+(X-1<<3)|0;h[aa>>3]=+h[aa>>3]+fa*+h[t+(X+C+Y<<3)>>3];if((ba|0)>(K|0)){break}X=ba;ba=ba+1|0;fa=+h[1130]}c[407134]=ba}ea=ea+1|0;c[407114]=ea;}while((ea|0)<=(L|0))}h[1242]=0.0;h[1230]=0.0;L=c[a>>2]|0;c[407120]=1;if((L|0)<1){wb=0.0;xb=0.0}else{ea=1;fa=0.0;while(1){h[1130]=0.0;X=c[b>>2]|0;c[407134]=1;if((X|0)<1){yb=0.0}else{K=ga(ea,D)|0;Y=1;pa=0.0;do{pa=pa+ +h[x+(Y-1<<3)>>3]*+h[s+(Y+E+K<<3)>>3];h[1130]=pa;Y=Y+1|0;}while((Y|0)<=(X|0));c[407134]=Y;yb=pa}X=ea-1|0;K=v+(X<<3)|0;h[1242]=fa+yb*+h[K>>3];ba=ea+(c[b>>2]|0)|0;c[407118]=ba;J=c[a>>2]|0;c[407114]=1;if((J|0)<1){zb=yb}else{aa=1;qa=yb;do{ra=+h[s+((ga(aa,D)|0)+E+ba<<3)>>3];qa=qa+ra*+h[v+(aa-1<<3)>>3];h[1130]=qa;aa=aa+1|0;}while((aa|0)<=(J|0));c[407114]=aa;zb=qa}h[w+(ba-1<<3)>>3]=zb;pa=+h[1242]+ +h[1130]*+h[K>>3];h[1242]=pa;ra=+h[1230]+ +h[K>>3]*+h[l+(X<<3)>>3];h[1230]=ra;J=ea+1|0;c[407120]=J;if((J|0)>(L|0)){wb=ra;xb=pa;break}else{ea=J;fa=pa}}}fa=+h[1232];h[1243]=+h[1243]+(wb*wb+fa*(wb+(wb+ +h[1120])+fa*+h[1162]))-xb;ea=w+((c[407110]|0)-1<<3)|0;h[ea>>3]=+h[1136]+ +h[ea>>3];ea=c[407112]|0;if((ea|0)<=0){break}fa=+h[w+(ea-1<<3)>>3];h[A>>3]=fa;pa=+h[1136]+ +h[1244]*+h[1243]/(fa*fa);h[1126]=pa;if(pa<0.0){Ab=-0.0-pa}else{Ab=pa}if(Ab>.8){break}ea=c[u>>2]|0;Mv(a,b,l,n,s,t,1628528,u,1628440,1628448,v,x,w,9944,m,x+(ea<<3)|0,x+((ea*6|0|1)-1<<3)|0)|0}}while(0);ea=c[a>>2]|0;c[407134]=1;if((ea|0)>=1){L=1;do{J=L-1|0;h[m+(J<<3)>>3]=+h[l+(J<<3)>>3]+ +h[v+(J<<3)>>3];J=L-1|0;h[d+(J<<3)>>3]=+h[k+(J<<3)>>3]+ +h[m+(J<<3)>>3];L=L+1|0;}while((L|0)<=(ea|0));c[407134]=L}ea=(c[407104]|0)+1|0;c[407104]=ea;if((ea|0)>(c[407096]|0)){T=ea;U=158;break a}}}do{if((U|0)==158){c[407104]=T-1;if((c[g>>2]|0)<=0){break}NM(9264)|0;vM()|0}else if((U|0)==189){if((c[g>>2]|0)<=0){break}NM(9216)|0;vM()|0}}while(0);Ab=+h[1166];if(!(Ab>+h[1229])){U=c[a>>2]|0;c[407134]=1;if((U|0)<1){Bb=Ab}else{T=1;do{m=T-1|0;h[d+(m<<3)>>3]=+h[k+(m<<3)>>3]+ +h[l+(m<<3)>>3];T=T+1|0;}while((T|0)<=(U|0));c[407134]=T;Bb=+h[1166]}h[1229]=Bb}if((c[g>>2]|0)<=0){i=z;return 0}NM(9120)|0;cM(19056,1628416,4)|0;vM()|0;NM(9096)|0;cM(19056,9832,8)|0;g=c[a>>2]|0;c[407134]=1;if((g|0)>=1){a=1;do{cM(19056,d+(a-1<<3)|0,8)|0;a=(c[407134]|0)+1|0;c[407134]=a;}while((a|0)<=(g|0))}vM()|0;i=z;return 0}function sw(b,d,e,f,g,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,X=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0,ra=0,sa=0.0,ta=0.0,ua=0.0,va=0.0,wa=0.0,xa=0.0,ya=0.0,za=0.0,Aa=0.0,Ba=0.0,Ca=0.0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0.0,Ja=0,Ka=0.0,La=0.0,Ma=0,Na=0,Oa=0.0,Pa=0.0,Qa=0;r=c[d>>2]|0;s=~r;h[176]=.5;h[159]=6.283185307179586;t=+h[k>>3];h[184]=t*t;c[406930]=0;k=c[b>>2]|0;c[406928]=k;c[406926]=k;u=c[b>>2]|0;c[406936]=1;if((u|0)<1){v=0;w=k}else{x=1;do{y=x-1|0;h[m+(y<<3)>>3]=+h[e+(y<<3)>>3];x=x+1|0;}while((x|0)<=(u|0));c[406936]=x;v=0;w=k}a:while(1){x=c[b>>2]|0;c[406936]=1;if((x|0)>=1){u=1;do{h[o+(u-1<<3)>>3]=0.0;u=u+1|0;}while((u|0)<=(x|0));c[406936]=u}x=c[d>>2]|0;c[406922]=1;if((x|0)>=1){e=1;do{h[162]=0.0;y=c[b>>2]|0;c[406924]=1;if((y|0)<1){z=0.0}else{A=1;t=0.0;do{B=+h[f+((ga(A,r)|0)+s+e<<3)>>3];t=t+B*+h[m+(A-1<<3)>>3];h[162]=t;A=A+1|0;}while((A|0)<=(y|0));c[406924]=A;z=t}B=+h[j+(e-1<<3)>>3]*z;h[162]=B;y=c[b>>2]|0;c[406936]=1;if((y|0)>=1){C=1;D=2;E=B;while(1){B=E*+h[f+((ga(C,r)|0)+s+e<<3)>>3];F=o+(C-1<<3)|0;h[F>>3]=+h[F>>3]+B;if((D|0)>(y|0)){break}C=D;D=D+1|0;E=+h[162]}c[406936]=D}e=e+1|0;c[406922]=e;}while((e|0)<=(x|0))}c[406934]=0;x=c[b>>2]|0;c[406924]=1;if((x|0)>=1){e=1;u=0;while(1){if((e|0)<1){G=1;H=u}else{C=e-1|0;y=o+(C<<3)|0;A=m+(C<<3)|0;C=e+1|0;F=u;I=1;while(1){J=i+(F<<3)|0;if((I|0)<(e|0)){K=I-1|0;h[y>>3]=+h[y>>3]+ +h[J>>3]*+h[m+(K<<3)>>3];L=K}else{L=I-1|0}K=o+(L<<3)|0;h[K>>3]=+h[J>>3]*+h[A>>3]+ +h[K>>3];K=I+1|0;if((K|0)>(e|0)){break}else{F=F+1|0;I=K}}I=e+u|0;c[406934]=I;G=C;H=I}M=e+1|0;if((M|0)>(x|0)){break}else{e=M;u=H}}c[406936]=G;c[406924]=M}do{if((v|0)==0){h[170]=0.0;h[185]=0.0;u=c[b>>2]|0;c[406936]=1;if((u|0)>=1){e=1;do{h[l+(e-1<<3)>>3]=0.0;x=e-1|0;h[p+(x<<3)>>3]=0.0;E=+h[g+(x<<3)>>3]+ +h[o+(x<<3)>>3];h[n+(x<<3)>>3]=E;h[m+(x<<3)>>3]=-0.0-E;h[185]=+h[185]+E*E;e=e+1|0;}while((e|0)<=(u|0));c[406936]=e}h[q>>3]=0.0;E=+h[185];if(E==0.0){N=55;break a}h[180]=0.0;h[164]=0.0;h[179]=E;h[178]=E;O=0;P=+h[184];Q=0.0;R=0.0;S=E}else{if((v|0)>(w|0)){h[183]=0.0;h[182]=0.0;h[181]=0.0;u=c[b>>2]|0;c[406936]=1;if((u|0)<1){T=0.0;U=0.0;V=0.0}else{C=1;E=0.0;t=0.0;B=0.0;do{x=C-1|0;E=E+ +h[m+(x<<3)>>3]*+h[n+(x<<3)>>3];h[183]=E;x=C-1|0;I=o+(x<<3)|0;t=t+ +h[I>>3]*+h[m+(x<<3)>>3];h[182]=t;B=B+ +h[I>>3]*+h[l+(x<<3)>>3];h[181]=B;C=C+1|0;}while((C|0)<=(u|0));c[406936]=C;T=t;U=E;V=B}X=+h[176];_=X*(+h[165]-T);h[187]=_;$=+h[167];aa=$+_;h[173]=aa;h[169]=aa;h[172]=aa;c[406932]=0;a[1400]=1;ba=+h[159]/50.0;h[162]=ba;c[406936]=1;u=1;ca=aa;da=aa;e=0;while(1){ea=+(u|0)*ba;fa=+Y(ea);ha=+Z(ea);ia=fa*($+fa*_)+ha*(U+fa*V);do{if(ia<da){h[172]=ia;c[406932]=u;h[161]=ca;ja=ia;ka=u}else{if((u|0)!=(e+1|0)){ja=da;ka=e;break}h[160]=ia;ja=da;ka=e}}while(0);x=u+1|0;if((x|0)<50){u=x;ca=ia;da=ja;e=ka}else{break}}h[189]=ea;h[186]=fa;h[163]=ha;h[171]=ia;c[406936]=50;h[169]=ia;if((ka|0)==0){h[161]=ia;N=46}else if((ka|0)==49){h[160]=aa;la=aa}else{N=46}if((N|0)==46){N=0;la=+h[160]}h[189]=0.0;da=+h[161];if(da!=la){ca=da-ja;h[161]=ca;da=la-ja;h[160]=da;B=X*(ca-da)/(ca+da);h[189]=B;ma=B}else{ma=0.0}B=ba*(+(ka|0)+ma);h[189]=B;da=+Y(B);h[186]=da;ca=+Z(B);h[163]=ca;B=aa-da*($+da*_)-ca*(U+da*V);h[168]=B;h[179]=0.0;e=c[b>>2]|0;c[406936]=1;if((e|0)<1){na=B;oa=0.0}else{u=0;C=1;B=da;da=ca;while(1){x=l+(u<<3)|0;h[x>>3]=B*+h[x>>3]+da*+h[m+(u<<3)>>3];x=C-1|0;I=p+(x<<3)|0;ca=+h[186]*+h[I>>3]+ +h[163]*+h[o+(x<<3)>>3];h[I>>3]=ca;E=+h[n+(x<<3)>>3]+ca;pa=+h[179]+E*E;h[179]=pa;qa=C+1|0;if((qa|0)>(e|0)){break}u=C;C=qa;B=+h[186];da=+h[163]}c[406936]=qa;na=+h[168];oa=pa}da=na+ +h[170];h[170]=da;if((v|0)<(k|0)&na/da>.01){ra=w;sa=oa}else{N=55;break a}}else{h[182]=0.0;C=c[b>>2]|0;c[406924]=1;do{if((C|0)<1){da=+h[188];h[190]=da;ta=0.0;ua=da;N=11}else{u=1;da=0.0;do{e=u-1|0;da=da+ +h[m+(e<<3)>>3]*+h[o+(e<<3)>>3];h[182]=da;u=u+1|0;}while((u|0)<=(C|0));c[406924]=u;B=+h[188];h[190]=B;if(!(da>0.0)){ta=da;ua=B;N=11;break}B=da/+h[185];h[162]=B;if((v|0)==1){h[q>>3]=B;va=+h[162];wa=B}else{va=B;wa=+h[q>>3]}h[q>>3]=wa>va?va:wa;B=+h[190];_=+h[179];$=+h[182];aa=_/$;ba=B<=aa?B:aa;h[190]=ba;xa=ba;ya=$;za=_}}while(0);if((N|0)==11){N=0;xa=ua;ya=ta;za=+h[179]}_=xa*(za-xa*+h[176]*ya);h[174]=_;h[170]=+h[170]+_;h[177]=za;h[179]=0.0;C=c[b>>2]|0;c[406936]=1;if((C|0)<1){Aa=xa;Ba=0.0}else{_=xa;e=1;do{x=e-1|0;I=l+(x<<3)|0;h[I>>3]=+h[I>>3]+_*+h[m+(x<<3)>>3];x=e-1|0;I=p+(x<<3)|0;$=+h[I>>3]+ +h[190]*+h[o+(x<<3)>>3];h[I>>3]=$;ba=+h[n+(x<<3)>>3]+$;Ca=+h[179]+ba*ba;h[179]=Ca;e=e+1|0;_=+h[190]}while((e|0)<=(C|0));c[406936]=e;Aa=_;Ba=Ca}if(Aa<+h[188]){if(!(+h[174]>+h[170]*.01)){N=55;break a}if(Ba<=+h[178]*1.0e-4|(v|0)==(k|0)){N=55;break a}ba=Ba/+h[177];h[162]=ba;h[185]=0.0;h[180]=0.0;h[164]=0.0;C=c[b>>2]|0;c[406936]=1;if((C|0)<1){N=55;break a}else{Da=0;Ea=1;Fa=ba}while(1){x=m+(Da<<3)|0;h[x>>3]=Fa*+h[x>>3]- +h[n+(Da<<3)>>3]- +h[p+(Da<<3)>>3];x=Ea-1|0;I=m+(x<<3)|0;ba=+h[I>>3];Ga=+h[185]+ba*ba;h[185]=Ga;F=l+(x<<3)|0;Ha=+h[180]+ +h[I>>3]*+h[F>>3];h[180]=Ha;ba=+h[F>>3];Ia=+h[164]+ba*ba;h[164]=Ia;Ja=Ea+1|0;if((Ja|0)>(C|0)){break}Da=Ea;Ea=Ja;Fa=+h[162]}c[406936]=Ja;if(!(Ha>0.0)){N=55;break a}_=+h[184];if(Ia<_){O=v;P=_;Q=Ia;R=Ha;S=Ga;break}}h[q>>3]=0.0;c[406926]=v;ra=v;sa=+h[179]}if(!(sa>+h[178]*1.0e-4)){N=55;break a}h[167]=0.0;h[165]=0.0;C=c[b>>2]|0;c[406936]=1;if((C|0)<1){Ka=0.0;La=0.0}else{e=1;_=0.0;ba=0.0;do{F=e-1|0;_=_+ +h[l+(F<<3)>>3]*+h[n+(F<<3)>>3];h[167]=_;F=e-1|0;ba=ba+ +h[l+(F<<3)>>3]*+h[p+(F<<3)>>3];h[165]=ba;e=e+1|0;}while((e|0)<=(C|0));c[406936]=e;Ka=_;La=ba}$=Ka+La;h[166]=$;aa=+h[184];B=sa*aa;if(!($/+W(B)>-.99)){N=55;break a}C=v+1|0;c[406930]=C;X=+W(B-$*$);h[162]=X;B=aa/X;h[161]=B;aa=$/X;h[160]=aa;F=c[b>>2]|0;c[406936]=1;if((F|0)<1){v=C;w=ra;continue a}else{Ma=0;Na=1;Oa=B;Pa=aa}while(1){h[m+(Ma<<3)>>3]=Oa*(+h[n+(Ma<<3)>>3]+ +h[p+(Ma<<3)>>3])-Pa*+h[l+(Ma<<3)>>3];Qa=Na+1|0;if((Qa|0)>(F|0)){break}Ma=Na;Na=Qa;Oa=+h[161];Pa=+h[160]}c[406936]=Qa;v=C;w=ra;continue a}}while(0);F=O+1|0;c[406930]=F;ba=P-Q;h[162]=ba;h[188]=ba/(R+ +W(R*R+ba*S));v=F;w=w}if((N|0)==55){return 0}return 0}function tw(b,d,e,f,g,i,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0.0,J=0.0,K=0,L=0,M=0,N=0,O=0.0,P=0.0,Q=0.0,R=0,S=0,T=0;n=c[d>>2]|0;o=~n;p=c[i>>2]|0;i=~p;h[155]=1.0;q=n-(c[b>>2]|0)-1|0;c[406908]=q;c[406912]=1;c[406918]=2;if((q|0)<2){r=1}else{s=2;t=1;while(1){do{if((s|0)==(c[g>>2]|0)){c[406912]=s;u=s}else{v=c[l>>2]|0;w=ga(s,n)|0;x=+h[f+(w+o+v<<3)>>3];if(!(x!=0.0)){u=t;break}y=ga(t,n)|0;z=v+o|0;v=f+(z+y<<3)|0;A=+h[v>>3];B=+W(x*x+A*A);h[150]=B;A=+h[v>>3]/B;h[149]=A;x=+h[f+(z+w<<3)>>3]/B;h[148]=x;z=c[d>>2]|0;c[406920]=1;if((z|0)>=1){v=1;B=A;A=x;while(1){C=v+o|0;h[150]=B*+h[f+(C+y<<3)>>3]+A*+h[f+(C+w<<3)>>3];C=v+o|0;D=f+(C+w<<3)|0;E=f+(C+y<<3)|0;h[D>>3]=B*+h[D>>3]-A*+h[E>>3];h[E>>3]=+h[150];F=v+1|0;if((F|0)>(z|0)){break}v=F;B=+h[149];A=+h[148]}c[406920]=F}h[f+((c[l>>2]|0)+o+w<<3)>>3]=0.0;u=t}}while(0);v=s+1|0;c[406918]=v;if((v|0)>(q|0)){r=u;break}else{s=v;t=u}}}u=c[l>>2]|0;A=+h[f+(u-1<<3)>>3];h[149]=A;if((c[g>>2]|0)>1){B=-0.0-A;h[149]=B;G=B}else{G=A}t=(r|0)>1;if(t){h[148]=+h[f+((ga(r,n)|0)+o+u<<3)>>3]}u=c[d>>2]|0;c[406920]=1;if((u|0)>=1){s=(ga(r,n)|0)+o|0;q=0;F=1;A=G;while(1){h[m+(q<<3)>>3]=A*+h[f+(q<<3)>>3];if(t){v=m+(F-1<<3)|0;h[v>>3]=+h[v>>3]+ +h[148]*+h[f+(s+F<<3)>>3]}H=F+1|0;if((H|0)>(u|0)){break}q=F;F=H;A=+h[149]}c[406920]=H}H=(c[l>>2]|0)-1|0;A=+h[m+(H<<3)>>3];h[158]=A;F=j+(H<<3)|0;G=+h[F>>3];h[152]=G;B=G*G;h[151]=B;h[157]=B+A*+h[k>>3];h[F>>3]=+h[F>>3]- +h[155];a[1248]=0;do{if((r|0)==1){A=+h[157];if(A<0.0){I=-0.0-A}else{I=A}A=+W(I);h[150]=A;B=+h[149]/A;h[148]=B;G=+h[152]/A;h[149]=G;F=c[d>>2]|0;c[406920]=1;if((F|0)<1){J=A}else{H=0;q=1;A=G;G=B;while(1){u=f+(H<<3)|0;h[u>>3]=A*+h[u>>3]-G*+h[j+(H<<3)>>3];K=q+1|0;if((K|0)>(F|0)){break}H=q;q=K;A=+h[149];G=+h[148]}c[406920]=K;J=+h[150]}q=c[g>>2]|0;if((q|0)==1&J<0.0){c[g>>2]=2;L=2}else{L=q}if((L|0)<2|J<0.0){break}M=48}else{c[406916]=1;if(+h[k>>3]<0.0){N=1}else{c[406916]=r;N=r}q=r+1-N|0;c[406914]=q;H=ga(q,n)|0;q=(c[l>>2]|0)+o|0;G=+h[157];A=+h[f+(q+H<<3)>>3]/G;h[150]=A;h[149]=A*+h[k>>3];B=+h[152];h[148]=A*B;F=ga(N,n)|0;A=+h[f+(q+F<<3)>>3];h[150]=A;x=+h[k>>3];if(x<0.0){O=-0.0-x}else{O=x}x=+h[155]/+W(+h[151]+A*O*A);h[154]=x;if(G<0.0){P=-0.0-G}else{P=G}h[153]=x*+W(P);q=c[d>>2]|0;c[406920]=1;if((q|0)<1){Q=G}else{u=1;G=x;x=B;B=A;while(1){s=f+(u+o+F<<3)|0;h[s>>3]=G*(x*+h[s>>3]-B*+h[j+(u-1<<3)>>3]);s=f+(u+o+H<<3)|0;t=u-1|0;h[s>>3]=+h[153]*(+h[s>>3]- +h[149]*+h[m+(t<<3)>>3]- +h[148]*+h[j+(t<<3)>>3]);R=u+1|0;if((R|0)>(q|0)){break}u=R;G=+h[154];x=+h[152];B=+h[150]}c[406920]=R;Q=+h[157]}if(Q>0.0){break}B=+h[k>>3];if(B<0.0){c[g>>2]=(c[g>>2]|0)+1}if(B<0.0){break}M=48}}while(0);do{if((M|0)==48){a[1248]=1;c[g>>2]=(c[g>>2]|0)-1;R=c[d>>2]|0;c[406920]=1;if((R|0)<1){break}else{S=1}do{N=f+(S-1<<3)|0;h[150]=+h[N>>3];r=f+(S+o+(ga(c[g>>2]|0,n)|0)<<3)|0;h[N>>3]=+h[r>>3];h[r>>3]=+h[150];S=S+1|0;c[406920]=S;}while((S|0)<=(R|0))}}while(0);S=c[b>>2]|0;c[406918]=1;if((S|0)<1){return 0}else{T=1}do{b=(c[d>>2]|0)+T|0;c[406910]=b;n=ga(T,p)|0;Q=+h[e+((c[l>>2]|0)+i+n<<3)>>3];g=b-1|0;o=m+(g<<3)|0;h[o>>3]=Q;f=j+(g<<3)|0;P=+h[152];O=+h[157];J=(+h[158]*+h[f>>3]-P*Q)/O;h[149]=J;Q=(+h[o>>3]*(-0.0- +h[k>>3])-P*+h[f>>3])/O;h[148]=Q;c[406920]=1;a:do{if((b|0)>=1){f=1;O=J;P=Q;while(1){o=e+(f+i+n<<3)|0;g=f-1|0;I=+h[o>>3]+O*+h[j+(g<<3)>>3]+P*+h[m+(g<<3)>>3];h[o>>3]=I;o=c[d>>2]|0;if((f|0)>(o|0)){h[e+((ga(f-o|0,p)|0)+i+b<<3)>>3]=I}o=f+1|0;c[406920]=o;if((o|0)>(b|0)){break a}f=o;O=+h[149];P=+h[148]}}}while(0);T=T+1|0;c[406918]=T;}while((T|0)<=(S|0));return 0}function uw(a,b,d,e,f,g,i,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0.0,D=0,E=0,F=0.0,G=0;if((b|0)<(d|0)){l=(b|0)<(e|0);m=b;n=-1;o=-1;p=0.0;while(1){if(l){q=c[f+(m<<2)>>2]|0;r=b;s=n;t=o;u=p;while(1){v=+V(+(+h[a+((ga(c[g+(r<<2)>>2]|0,d)|0)+q<<3)>>3]));w=v>u;x=w?m:s;y=w?r:t;z=w?v:u;w=r+1|0;if((w|0)<(e|0)){r=w;s=x;t=y;u=z}else{A=x;B=y;C=z;break}}}else{A=n;B=o;C=p}t=m+1|0;if((t|0)<(d|0)){m=t;n=A;o=B;p=C}else{D=A;E=B;F=C;break}}}else{D=-1;E=-1;F=0.0}if((E|D|0)<0){G=-1;return G|0}c[i>>2]=D;c[j>>2]=E;h[k>>3]=F;G=0;return G|0}function vw(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0;g=i;i=i+24|0;j=g|0;k=g+8|0;l=g+16|0;m=(b|0)<=(d|0)?b:d;if((m|0)>0){n=0}else{o=0;i=g;return o|0}while(1){p=e+(n<<2)|0;q=f+(n<<2)|0;r=+h[a+((ga(c[q>>2]|0,b)|0)+(c[p>>2]|0)<<3)>>3];if((uw(a,n,b,d,e,f,j,k,l)|0)!=0){o=-1;s=14;break}t=+V(+r);if(+h[l>>3]>t*1.125){u=c[p>>2]|0;v=e+(c[j>>2]<<2)|0;c[p>>2]=c[v>>2];c[v>>2]=u;u=c[q>>2]|0;v=f+(c[k>>2]<<2)|0;c[q>>2]=c[v>>2];c[v>>2]=u}u=c[p>>2]|0;p=ga(c[q>>2]|0,b)|0;t=+h[a+(p+u<<3)>>3];if(!(t!=0.0)){s=7;break}q=n+1|0;if((q|0)<(b|0)){v=(q|0)<(d|0);w=q;do{x=c[e+(w<<2)>>2]|0;y=a+(p+x<<3)|0;r=+h[y>>3];do{if(r!=0.0){z=(-0.0-r)/t;h[y>>3]=0.0;if(v){A=q}else{break}do{B=ga(c[f+(A<<2)>>2]|0,b)|0;C=a+(B+x<<3)|0;h[C>>3]=+h[C>>3]+z*+h[a+(u+B<<3)>>3];A=A+1|0;}while((A|0)<(d|0))}}while(0);w=w+1|0;}while((w|0)<(b|0))}if((q|0)<(m|0)){n=q}else{o=0;s=14;break}}if((s|0)==7){fd(26640,1589824,116,1612544);return 0}else if((s|0)==14){i=g;return o|0}return 0}function ww(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;f=i;g=e|0;c[g>>2]=0;j=b+280|0;k=1;while(1){if((k|0)>=8){break}if((IY(c[j>>2]|0,c[18192+(k<<2)>>2]|0)|0)==0){l=4;break}else{k=k+1|0}}do{if((l|0)==4){c[g>>2]=k;if((k|0)==0){break}m=c[18160+(k<<2)>>2]|0;Au(23,0,65536,(n=i,i=i+16|0,c[n>>2]=c[18192+(k<<2)>>2],c[n+8>>2]=m,n)|0);i=n;m=b+112|0;o=e+28|0;c[o>>2]=(c[m>>2]|0)+20;p=c[m>>2]|0;q=b+160|0;r=((c[q>>2]|0)*3|0)+50+(ga(p+9|0,p)|0)|0;c[e+32>>2]=r;p=kY(r,8)|0;c[e+40>>2]=p;r=b+536|0;Du(c[r>>2]|0,(p|0)!=0|0,56024,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;p=kY(c[o>>2]|0,4)|0;c[e+36>>2]=p;Du(c[r>>2]|0,(p|0)!=0|0,56024,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+56>>2]=c[q>>2];c[e+52>>2]=0;c[e+60>>2]=kY(c[q>>2]|0,4)|0;c[e+24>>2]=iY(8)|0;q=iY(4)|0;p=q;c[e+20>>2]=p;c[p>>2]=c[406894];Du(c[r>>2]|0,(q|0)!=0|0,56024,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=c[m>>2]<<3;p=e+48|0;c[p>>2]=iY(q)|0;o=e+44|0;c[o>>2]=iY(q)|0;q=kY(15,4)|0;s=e+12|0;c[s>>2]=q;Du(c[r>>2]|0,(q|0)!=0|0,56024,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=kY(5,4)|0;c[e+4>>2]=q;Du(c[r>>2]|0,(q|0)!=0|0,56024,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;q=kY(5,4)|0;c[e+8>>2]=q;Du(c[r>>2]|0,(q|0)!=0|0,56024,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;c[e+16>>2]=0;h[e+64>>3]=1.4901161193847656e-8;q=c[m>>2]<<3;c[e+72>>2]=iY(q)|0;c[e+76>>2]=iY(q)|0;c[e+80>>2]=iY(q)|0;q=c[s>>2]|0;c[q+8>>2]=1;r=c[g>>2]|0;a:do{switch(r|0){case 3:case 5:case 4:case 2:case 1:case 7:{if((Td[c[(c[b+540>>2]|0)+140>>2]&255](b)|0)==0){t=c[s>>2]|0;c[t+16>>2]=1;u=c[g>>2]|0;v=t;l=17;break a}if((c[m>>2]|0)==1){Au(23,0,47448,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}else{Au(1,0,39256,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}c[g>>2]=6;l=18;break};default:{u=r;v=q;l=17}}}while(0);if((l|0)==17){if((u|0)==2){w=v}else{l=18}}if((l|0)==18){a[d+28|0]=1;w=c[s>>2]|0}c[w+4>>2]=1;q=c[m>>2]|0;if((q|0)<=0){i=f;return 0}r=b+272|0;t=c[o>>2]|0;x=c[b+8>>2]|0;y=c[p>>2]|0;z=0;do{h[t+(z<<3)>>3]=+h[r>>3];h[y+(z<<3)>>3]=+h[r>>3]*+h[x+(z*112|0)+80>>3];z=z+1|0;}while((z|0)<(q|0));i=f;return 0}}while(0);if((c[406903]|c[406964]|0)==0){A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Eu(B,76792,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}Cu(23,1,26584,(n=i,i=i+8|0,c[n>>2]=c[j>>2],n)|0);i=n;f=1;do{w=c[18160+(f<<2)>>2]|0;Cu(23,0,1589808,(n=i,i=i+16|0,c[n>>2]=c[18192+(f<<2)>>2],c[n+8>>2]=w,n)|0);i=n;f=f+1|0;}while((f|0)<8);Qd[c[3538]&511](23);A=b+536|0;B=c[A>>2]|0;C=c[j>>2]|0;Eu(B,76792,(n=i,i=i+8|0,c[n>>2]=C,n)|0);i=n;return 0}function xw(a){a=a|0;jY(c[a+40>>2]|0);jY(c[a+36>>2]|0);jY(c[a+20>>2]|0);jY(c[a+12>>2]|0);jY(c[a+4>>2]|0);jY(c[a+8>>2]|0);jY(a);return 0}function yw(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,v=0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0.0;e=i;i=i+8|0;f=e|0;h[f>>3]=0.0;g=b+4|0;j=c[g>>2]|0;k=c[j>>2]|0;l=c[d+48>>2]|0;m=(c[j+4>>2]|0)+8|0;j=c[m>>2]|0;n=b+112|0;o=c[n>>2]|0;p=j+(o<<3)|0;q=l+24|0;c[c[q>>2]>>2]=b;c[(c[q>>2]|0)+4>>2]=l;s=b+536|0;Du(c[s>>2]|0,(c[q>>2]|0)!=0|0,32864,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;if((c[d+36>>2]|0)!=0){c[c[l+12>>2]>>2]=0;c[l+16>>2]=0}v=d|0;w=+h[v>>3];x=d+8|0;y=w+ +h[x>>3];h[f>>3]=y;if(!(w-y<-1.0e-13)){Au(3,0,21608,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Au(3,0,1606992,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;z=c[n>>2]|0;if((z|0)>0){A=c[m>>2]|0;m=c[k+8>>2]|0;B=0;do{h[m+(B<<3)>>3]=+h[A+(B<<3)>>3]+ +h[j+(B+o<<3)>>3]*+h[x>>3];B=B+1|0;}while((B|0)<(z|0))}h[k>>3]=+h[f>>3];Td[c[(c[b+540>>2]|0)+28>>2]&255](b)|0;h[v>>3]=+h[f>>3];C=0;i=e;return C|0}Au(3,0,1601360,(t=i,i=i+16|0,h[t>>3]=w,h[t+8>>3]=y,t)|0);i=t;z=l+16|0;B=b|0;x=d+24|0;d=l;o=l+12|0;j=l+44|0;A=l+48|0;m=l+40|0;D=l+32|0;E=l+36|0;F=l+28|0;G=l+20|0;H=l+52|0;I=l+56|0;J=l+60|0;K=c[u>>2]|0;L=c[r>>2]|0;M=b+248|0;N=b+440|0;O=b+540|0;P=p;p=k;w=y;a:while(1){Au(23,0,1598336,(t=i,i=i+16|0,h[t>>3]=+h[v>>3],h[t+8>>3]=w,t)|0);i=t;if((c[z>>2]|0)==1){uv(c[B>>2]|0,1,c[g>>2]|0);k=c[g>>2]|0;Q=c[k>>2]|0;R=(c[(c[k+4>>2]|0)+8>>2]|0)+(c[n>>2]<<3)|0;h[Q>>3]=+h[v>>3];S=R;T=Q}else{S=P;T=p}if((c[x>>2]|0)!=5){if((a[N]|0)!=0){iy(b)|0}Td[c[(c[O>>2]|0)+40>>2]&255](b)|0}Q=c[d>>2]|0;b:do{switch(Q|0){case 5:{Pv(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,12,4,I,c[J>>2]|0);break};case 3:{Pv(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,8,4,I,c[J>>2]|0);break};case 4:{Pv(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,10,4,I,c[J>>2]|0);break};case 6:{Pv(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,14,4,I,c[J>>2]|0);break};case 7:{Pv(2,n,v,c[T+8>>2]|0,S,f,c[o>>2]|0,c[j>>2]|0,c[A>>2]|0,z,c[m>>2]|0,D,c[E>>2]|0,F,c[q>>2]|0,c[G>>2]|0,2,8,H,0);break};default:{R=c[T+8>>2]|0;k=c[o>>2]|0;U=c[j>>2]|0;V=c[A>>2]|0;W=c[m>>2]|0;X=c[E>>2]|0;Y=c[q>>2]|0;Z=c[G>>2]|0;if((Q|0)==2){Pv(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,8,H,0);break b}else{Pv(2,n,v,R,S,f,k,U,V,z,W,D,X,F,Y,Z,2,4,I,c[J>>2]|0);break b}}}}while(0);Q=c[z>>2]|0;do{if((Q|0)==-1){Sa(K|0)|0;Sa(L|0)|0;Cu(3,0,1595896,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Au(3,0,1594552,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;c[c[o>>2]>>2]=1}else{if((Q|0)<0){_=27;break a}if((Q|0)!=4){break}c[(c[s>>2]|0)+84>>2]=4}}while(0);Q=c[z>>2]|0;if((Q|0)==(-1|0)){y=+h[v>>3];if(y>+h[M>>3]){$=y;break}}else if((Q|0)!=1){_=31;break}P=S;p=T;w=+h[f>>3]}if((_|0)==27){Sa(K|0)|0;Sa(L|0)|0;L=Hw(c[z>>2]|0)|0;Td[c[(c[O>>2]|0)+28>>2]&255](b)|0;Cu(1,0,1593152,(t=i,i=i+8|0,h[t>>3]=+h[T>>3],t)|0);i=t;C=L;i=e;return C|0}else if((_|0)==31){$=+h[v>>3]}h[T>>3]=$;if((c[406883]|0)!=0){Au(3,1,1591984,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;Au(3,0,1590872,(t=i,i=i+8|0,c[t>>2]=c[z>>2],t)|0);i=t;Au(3,0,1589904,(t=i,i=i+8|0,h[t>>3]=+h[v>>3],t)|0);i=t;Au(3,0,1588984,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+24>>3],t)|0);i=t;Au(3,0,1587984,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+16>>3],t)|0);i=t;Au(3,0,1586632,(t=i,i=i+8|0,h[t>>3]=+h[(c[m>>2]|0)+48>>3],t)|0);i=t;Au(3,0,1585608,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+40>>2],t)|0);i=t;Au(3,0,1336168,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+44>>2],t)|0);i=t;Au(3,0,81264,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+48>>2],t)|0);i=t;Au(3,0,80152,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+52>>2],t)|0);i=t;Au(3,0,78992,(t=i,i=i+8|0,c[t>>2]=c[(c[E>>2]|0)+56>>2],t)|0);i=t;Qd[c[3538]&511](3)}m=c[F>>2]|0;F=l+8|0;l=0;do{v=l+10|0;if(!(v>>>0<m>>>0)){_=38;break}c[(c[F>>2]|0)+(l<<2)>>2]=c[(c[E>>2]|0)+(v<<2)>>2];l=l+1|0;}while(l>>>0<5>>>0);if((_|0)==38){fd(77840,76904,406,1612648);return 0}Au(3,0,76008,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0);i=t;C=0;i=e;return C|0}function zw(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,p=0;i=c[g>>2]|0;g=i;f=i+536|0;b=g+4|0;j=c[c[b>>2]>>2]|0;k=+h[j>>3];h[j>>3]=+h[a>>3];a=(c[f>>2]|0)+84|0;j=c[a>>2]|0;c[a>>2]=2;Td[c[(c[g+540>>2]|0)+28>>2]&255](g)|0;g=c[i+112>>2]|0;if((g|0)<=0){l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}i=c[(c[c[b>>2]>>2]|0)+8>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[i+(g+a<<3)>>3]- +h[d+(a<<3)>>3];a=a+1|0;}while((a|0)<(g|0));l=c[f>>2]|0;m=l+84|0;c[m>>2]=j;n=c[b>>2]|0;o=c[n>>2]|0;p=o|0;h[p>>3]=k;return 0}function Aw(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Td[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;Jw(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function Bw(a,b,d,e,f,g,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;var j=0.0;i=c[g>>2]|0;g=i;e=i+536|0;i=(c[e>>2]|0)+84|0;d=c[i>>2]|0;c[i>>2]=4;i=g+4|0;a=c[c[i>>2]>>2]|0;j=+h[a>>3];h[a>>3]=+h[b>>3];a=g+540|0;Td[c[(c[a>>2]|0)+28>>2]&255](g)|0;Td[c[(c[a>>2]|0)+32>>2]&255](g)|0;Vd[c[(c[a>>2]|0)+92>>2]&127](g,f,b)|0;c[(c[e>>2]|0)+84>>2]=d;h[c[c[i>>2]>>2]>>3]=j;return 0}function Cw(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;Kw(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(m<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=n+1|0;if((l|0)<(k|0)){m=m+1+k|0;n=l}else{break}}return 0}function Dw(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0.0;l=c[k>>2]|0;k=l;j=k+4|0;i=c[c[j>>2]>>2]|0;e=i+8|0;d=c[e>>2]|0;m=i|0;n=+h[m>>3];h[m>>3]=+h[a>>3];c[e>>2]=b;Td[c[(c[k+540>>2]|0)+28>>2]&255](k)|0;Iw(k,f)|0;k=c[l+112>>2]|0;if((k|0)>0){l=0;b=0;while(1){e=f+(b<<3)|0;h[e>>3]=+h[e>>3]- +h[g>>3];e=l+1|0;if((e|0)<(k|0)){l=e;b=b+1+k|0}else{break}}}c[(c[c[j>>2]>>2]|0)+8>>2]=d;h[c[c[j>>2]>>2]>>3]=n;return 0}function Ew(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;return 0}function Fw(a,b,d,e,f,g,i,j,k,l){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;l=c[k>>2]|0;Lw(l,a,b,d,e,f,0,i,j,k,0)|0;k=c[l+112>>2]|0;if((k|0)>0){m=0;n=0}else{return 0}while(1){l=f+(n<<3)|0;h[l>>3]=+h[l>>3]- +h[g>>3];l=m+1|0;if((l|0)<(k|0)){m=l;n=n+1+k|0}else{break}}return 0}function Gw(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return 0}function Hw(a){a=a|0;var b=0,d=0,e=0;b=i;switch(a|0){case-10:{Cu(1,0,68136,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-10;break};case-11:{Cu(1,0,67120,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-11;break};case-33:{Cu(1,0,64736,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-33;break};case-6:{Cu(1,0,72200,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-6;break};case-7:{Cu(1,0,71232,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-7;break};case-8:{Cu(1,0,70200,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-8;break};case-2:{Cu(1,0,73544,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-2;break};case-9:{Cu(1,0,69144,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-9;break};case-3:{e=-3;break};case-12:{Cu(1,0,65672,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=-12;break};case-1:{Cu(3,0,1595896,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=1;break};default:{e=-1}}i=b;return e|0}function Iw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=a+540|0;e=c[(c[d>>2]|0)+120>>2]|0;f=a+464|0;g=c[f>>2]|0;if((c[g+(e*44|0)+24>>2]|0)==0){return 0}i=a;a=0;j=g;k=c[g+(e*44|0)>>2]|0;do{if((k|0)!=0){g=0;do{if(((c[(c[j+(e*44|0)+20>>2]|0)+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=1.0}g=g+1|0;}while(g>>>0<k>>>0)}Td[c[(c[d>>2]|0)+160>>2]&255](i)|0;j=c[f>>2]|0;k=c[j+(e*44|0)>>2]|0;do{if((k|0)!=0){g=c[j+(e*44|0)+28>>2]|0;l=0;do{do{if(+h[g+(l<<3)>>3]==1.0){if((l|0)==0){m=0;n=j+(e*44|0)+8|0}else{o=j+(e*44|0)+8|0;m=c[(c[o>>2]|0)+(l-1<<2)>>2]|0;n=o}o=c[(c[n>>2]|0)+(l<<2)>>2]|0;if(!(m>>>0<o>>>0)){break}p=c[j+(e*44|0)+12>>2]|0;q=c[j+(e*44|0)+4>>2]|0;r=c[j+(e*44|0)+36>>2]|0;s=m;do{t=c[p+(s<<2)>>2]|0;u=(ga(q,l)|0)+t|0;h[b+(u<<3)>>3]=+h[r+(t<<3)>>3];s=s+1|0;}while(s>>>0<o>>>0)}}while(0);l=l+1|0;}while(l>>>0<k>>>0);if((k|0)==0){break}l=c[j+(e*44|0)+20>>2]|0;g=0;do{if(((c[l+(g<<2)>>2]|0)-1|0)==(a|0)){h[(c[j+(e*44|0)+28>>2]|0)+(g<<3)>>3]=0.0}g=g+1|0;}while(g>>>0<k>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[j+(e*44|0)+24>>2]|0)>>>0);return 0}function Jw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=a+540|0;e=c[d>>2]|0;f=c[e+120>>2]|0;g=a+464|0;i=c[g>>2]|0;if((c[i+(f*44|0)>>2]|0)==0){return 0}j=a;a=0;k=0;l=c[i+(f*44|0)+28>>2]|0;i=e;while(1){h[l+(a<<3)>>3]=1.0;Td[c[i+160>>2]&255](j)|0;e=c[g>>2]|0;m=c[e+(f*44|0)+4>>2]|0;if((m|0)==0){n=k}else{o=m>>>0>1>>>0?m:1;p=c[e+(f*44|0)+36>>2]|0;q=0;r=k;while(1){h[b+(r<<3)>>3]=+h[p+(q<<3)>>3];s=q+1|0;if(s>>>0<m>>>0){q=s;r=r+1|0}else{break}}n=k+o|0}r=c[e+(f*44|0)+28>>2]|0;h[r+(a<<3)>>3]=0.0;q=a+1|0;if(!(q>>>0<(c[e+(f*44|0)>>2]|0)>>>0)){break}a=q;k=n;l=r;i=c[d>>2]|0}return 0}function Kw(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0.0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0;m=c[l+4>>2]|0;n=+h[m+64>>3];i=a+112|0;a=c[i>>2]|0;if((a|0)<=0){return 0}o=m+80|0;m=a;do{m=m-1|0;p=+h[j>>3]*+h[e+(m<<3)>>3];a=d+(m<<3)|0;q=+h[a>>3];if(q<0.0){r=-0.0-q}else{r=q}s=p>=0.0;if(s){t=p}else{t=-0.0-p}p=+Xb(+r,+t);u=+h[k+(m<<3)>>3];if(u<0.0){v=-0.0-u}else{v=u}u=n*+Xb(+p,+v);if(s){w=u}else{w=-0.0-u}u=w+q-q;p=1.0/u;h[a>>3]=q+u;zw(b,0,e,c[o>>2]|0,0,l,0)|0;s=c[i>>2]|0;if((s|0)>0){x=c[o>>2]|0;y=ga(s,m)|0;z=s;do{z=z-1|0;h[g+(y+z<<3)>>3]=p*(+h[x+(z<<3)>>3]- +h[f+(z<<3)>>3]);}while((z|0)>0)}h[a>>3]=q;}while((m|0)>0);return 0}function Lw(a,b,d,e,f,g,i,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0.0,x=0.0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=c[(c[a+540>>2]|0)+120>>2]|0;i=c[l+4>>2]|0;n=+h[i+64>>3];o=c[i+76>>2]|0;p=c[i+72>>2]|0;q=a+464|0;a=c[q>>2]|0;if((c[a+(m*44|0)+24>>2]|0)==0){return 0}r=i+80|0;i=0;s=a;t=c[a+(m*44|0)>>2]|0;do{if((t|0)!=0){a=0;do{if(((c[(c[s+(m*44|0)+20>>2]|0)+(a<<2)>>2]|0)-1|0)==(i|0)){u=+h[j>>3]*+h[e+(a<<3)>>3];v=d+(a<<3)|0;w=+h[v>>3];if(w<0.0){x=-0.0-w}else{x=w}y=u>=0.0;if(y){z=u}else{z=-0.0-u}u=+Xb(+x,+z);w=+h[k+(a<<3)>>3];if(w<0.0){A=-0.0-w}else{A=w}w=n*+Xb(+u,+A);B=o+(a<<3)|0;h[B>>3]=w;if(y){C=w}else{C=-0.0-w}h[B>>3]=C;w=+h[v>>3];h[B>>3]=C+w-w;h[p+(a<<3)>>3]=+h[v>>3];h[v>>3]=+h[B>>3]+ +h[v>>3];h[B>>3]=1.0/+h[B>>3]}a=a+1|0;}while(a>>>0<t>>>0)}zw(b,0,e,c[r>>2]|0,0,l,0)|0;s=c[q>>2]|0;t=c[s+(m*44|0)>>2]|0;if((t|0)!=0){a=c[s+(m*44|0)+20>>2]|0;B=0;do{if(((c[a+(B<<2)>>2]|0)-1|0)==(i|0)){if((B|0)==0){D=0;E=s+(m*44|0)+8|0}else{v=s+(m*44|0)+8|0;D=c[(c[v>>2]|0)+(B-1<<2)>>2]|0;E=v}v=c[(c[E>>2]|0)+(B<<2)>>2]|0;if(D>>>0<v>>>0){y=c[r>>2]|0;F=o+(B<<3)|0;G=c[s+(m*44|0)+12>>2]|0;H=c[s+(m*44|0)+4>>2]|0;I=D;do{J=c[G+(I<<2)>>2]|0;K=(ga(H,B)|0)+J|0;h[g+(K<<3)>>3]=(+h[y+(J<<3)>>3]- +h[f+(J<<3)>>3])*+h[F>>3];I=I+1|0;}while(I>>>0<v>>>0)}h[d+(B<<3)>>3]=+h[p+(B<<3)>>3]}B=B+1|0;}while(B>>>0<t>>>0)}i=i+1|0;}while(i>>>0<(c[s+(m*44|0)+24>>2]|0)>>>0);return 0}function Mw(a,b){a=a|0;b=+b;h[a+496>>3]=b;return}function Nw(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;var j=0,k=0,l=0,m=0;j=i;i=i+16|0;k=j|0;l=a+536|0;Du(c[l>>2]|0,(c[a+172>>2]|0)>(b|0)|0,22976,(m=i,i=i+8|0,c[m>>2]=b,m)|0);i=m;Du(c[l>>2]|0,b>>>31^1,22976,(m=i,i=i+8|0,c[m>>2]=b,m)|0);i=m;Du(c[l>>2]|0,+h[a+496>>3]<=e|0,1589080,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;h[k>>3]=e;h[k+8>>3]=d;l=a+504|0;rv(c[(c[l>>2]|0)+(b<<2)>>2]|0,k);k=tv(c[(c[l>>2]|0)+(b<<2)>>2]|0)|0;Au(7,0,76072,(m=i,i=i+32|0,c[m>>2]=b,h[m+8>>3]=e,h[m+16>>3]=d,c[m+24>>2]=k,m)|0);i=m;d=e-g+2.220446049250313e-16;k=Ow(d,c[(c[l>>2]|0)+(b<<2)>>2]|0)|0;if((k|0)<=0){i=j;return}sv(c[(c[l>>2]|0)+(b<<2)>>2]|0,k-1|0);Au(7,0,64856,(m=i,i=i+24|0,c[m>>2]=k,h[m+8>>3]=d,h[m+16>>3]=f,m)|0);i=m;i=j;return}function Ow(a,b){a=+a;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0.0,l=0;d=i;e=tv(b)|0;Au(7,0,1589888,(f=i,i=i+8|0,h[f>>3]=a,f)|0);i=f;g=0;j=e;do{e=(g+j|0)/2|0;k=+h[(pv(b,e)|0)>>3];Au(7,0,1588960,(f=i,i=i+32|0,c[f>>2]=g,c[f+8>>2]=j,c[f+16>>2]=e,h[f+24>>3]=k,f)|0);i=f;l=k>a;j=l?e:j;g=l?g:e;if(!(k!=a)){break}}while((j|0)>(g+1|0));Au(7,0,1587952,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=j,h[f+16>>3]=k,f)|0);i=f;i=d;return g|0}function Pw(a,b,d,e,f,g){a=a|0;b=b|0;d=+d;e=+e;f=+f;g=+g;var j=0,k=0,l=0,m=0,n=0,o=0.0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0;j=i;k=c[(c[a+504>>2]|0)+(b<<2)>>2]|0;l=tv(k)|0;Au(7,0,55296,(m=i,i=i+32|0,c[m>>2]=b,h[m+8>>3]=d,h[m+16>>3]=e,h[m+24>>3]=f,m)|0);i=m;n=a+536|0;Du(c[n>>2]|0,b>>>31^1,46936,(m=i,i=i+8|0,c[m>>2]=b,m)|0);i=m;Du(c[n>>2]|0,(c[a+172>>2]|0)>(b|0)|0,46936,(m=i,i=i+8|0,c[m>>2]=b,m)|0);i=m;g=+h[a+496>>3];if(!(g<e)){Au(7,0,38800,(m=i,i=i+8|0,h[m>>3]=d,m)|0);i=m;o=d;i=j;return+o}if(f<0.0){Eu(c[n>>2]|0,32456,(m=i,i=i+8|0,h[m>>3]=f,m)|0);i=m;return 0.0}if((l|0)==0){Au(7,0,27192,(m=i,i=i+8|0,h[m>>3]=d,m)|0);i=m;o=d;i=j;return+o}if(!(g+f<e)){g=+h[(pv(k,0)|0)+8>>3];Au(7,0,21296,(m=i,i=i+16|0,c[m>>2]=b,h[m+8>>3]=g,m)|0);i=m;o=g;i=j;return+o}g=e-f;Du(c[n>>2]|0,f>=0.0|0,1606600,(m=i,i=i+8|0,h[m>>3]=f,m)|0);i=m;b=l-1|0;do{if(g>+h[(pv(k,b)|0)>>3]){f=+h[(pv(k,b)|0)>>3];Au(7,0,1601296,(m=i,i=i+16|0,h[m>>3]=g,h[m+8>>3]=f,m)|0);i=m;f=+h[(pv(k,b)|0)>>3];p=+h[(pv(k,b)|0)+8>>3];Au(7,0,1598288,(m=i,i=i+16|0,h[m>>3]=f,h[m+8>>3]=e,m)|0);i=m;Au(7,0,1595864,(m=i,i=i+16|0,h[m>>3]=p,h[m+8>>3]=d,m)|0);i=m;q=f;r=e;s=p;t=d}else{a=Ow(g,k)|0;Du(c[n>>2]|0,(a|0)<(l|0)|0,1594528,(m=i,i=i+16|0,c[m>>2]=a,c[m+8>>2]=l,m)|0);i=m;p=+h[(pv(k,a)|0)>>3];f=+h[(pv(k,a)|0)+8>>3];u=a+1|0;if((u|0)==(l|0)){o=f;i=j;return+o}else{v=+h[(pv(k,u)|0)>>3];q=p;r=v;s=f;t=+h[(pv(k,u)|0)+8>>3];break}}}while(0);if(q==g){Au(7,0,1593112,(m=i,i=i+16|0,h[m>>3]=g,h[m+8>>3]=s,m)|0);i=m;o=s;i=j;return+o}if(r==g){Au(7,0,1593112,(m=i,i=i+16|0,h[m>>3]=g,h[m+8>>3]=t,m)|0);i=m;o=t;i=j;return+o}else{d=(s*(r-g)+t*(g-q))/(r-q);Au(7,0,1591880,(m=i,i=i+24|0,h[m>>3]=g,h[m+8>>3]=q,h[m+16>>3]=r,m)|0);i=m;Au(7,0,1590808,(m=i,i=i+32|0,h[m>>3]=g,h[m+8>>3]=s,h[m+16>>3]=t,h[m+24>>3]=d,m)|0);i=m;o=d;i=j;return+o}return 0.0}function Qw(a,b,d){a=a|0;b=+b;d=+d;var e=0,f=0,g=0,i=0,j=0.0,k=0.0,l=0.0,m=0;Qd[c[(c[a+540>>2]|0)+112>>2]&511](a);e=a+328|0;h[e>>3]=d+1.0;f=c[a+104>>2]|0;if((f|0)<=0){return}g=c[a+108>>2]|0;i=a+336|0;a=0;do{d=+h[g+(a*24|0)+8>>3];if(d>b){h[(c[i>>2]|0)+(a<<3)>>3]=d;j=d}else{k=+h[g+(a*24|0)+16>>3];l=d+k*+fa((b-d)/k);h[(c[i>>2]|0)+(a<<3)>>3]=l;j=l}if((a|0)==0){m=8}else{if(j<+h[e>>3]){m=8}}if((m|0)==8){m=0;h[e>>3]=j}a=a+1|0;}while((a|0)<(f|0));return}function Rw(b,c){b=b|0;c=c|0;var d=0.0,e=0,f=0.0;d=+h[c>>3];e=c+8|0;f=+h[b+328>>3];if(f>d+ +h[e>>3]+1.0e-14){return}h[e>>3]=f-d;a[b+317|0]=1;return}function Sw(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0;d=i;i=i+8|0;e=d|0;f=a+160|0;if((c[f>>2]|0)<=0){g=Lu(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}l=a+540|0;m=a+344|0;n=a+348|0;o=a+368|0;a=0;do{ce[c[(c[l>>2]|0)+104>>2]&127](a,e)|0;p=+h[(c[m>>2]|0)+(a<<3)>>3];if(p==1.0){if(+h[(c[n>>2]|0)+(a<<3)>>3]==-1.0){q=7}else{q=5}}else{q=5}do{if((q|0)==5){q=0;if(!(p==-1.0)){break}if(+h[(c[n>>2]|0)+(a<<3)>>3]==1.0){q=7}}}while(0);if((q|0)==7){q=0;Ju(b,(c[o>>2]|0)+(a<<2)|0)}a=a+1|0;}while((a|0)<(c[f>>2]|0));g=Lu(b)|0;j=(g|0)>0;k=j&1;i=d;return k|0}function Tw(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;e=f+32|0;do{if((Sw(b,c[e>>2]|0)|0)!=0){if((a[f+28|0]|0)!=0){break}Uw(b,c[e>>2]|0,f|0)}}while(0);if((a[b+317|0]|0)==1){g=1;return g|0}b=(Lu(d)|0)>0;g=b?2:0;return g|0}function Uw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;e=i;i=i+24|0;f=e|0;g=e+8|0;j=e+16|0;k=a+112|0;l=c[k>>2]<<3;m=iY(l)|0;n=m;o=iY(l)|0;l=o;h[g>>3]=+h[a+376>>3];p=a+4|0;h[j>>3]=+h[c[c[p>>2]>>2]>>3];c[409274]=Hu(4)|0;if((m|0)==0){fd(1598272,1595832,308,1612632)}if((o|0)==0){fd(1594512,1595832,309,1612632)}q=Ou(b)|0;if((q|0)!=0){r=q;do{q=c[(Qu(r)|0)>>2]|0;Au(27,0,1593064,(s=i,i=i+8|0,c[s>>2]=q,s)|0);i=s;r=Pu(r)|0;}while((r|0)!=0)}r=c[k>>2]|0;if((r|0)>0){q=c[(c[c[p>>2]>>2]|0)+8>>2]|0;t=(r|0)>1?r<<3:8;MY(o|0,c[a+384>>2]|0,t)|0;MY(m|0,q|0,t)|0}h[d>>3]=+Xw(a,g,j,l,n,c[409274]|0,b);do{if((Lu(c[409274]|0)|0)==0){n=c[(Mu(b)|0)>>2]|0;l=a+344|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));n=Ou(b)|0;if((n|0)==0){v=u}else{w=u;t=n;while(1){n=c[(Qu(t)|0)>>2]|0;u=+V(+(+h[(c[l>>2]|0)+(n<<3)>>3]));x=w>u?u:w;n=Pu(t)|0;if((n|0)==0){v=x;break}else{w=x;t=n}}}Au(27,0,1591856,(s=i,i=i+8|0,h[s>>3]=v,s)|0);i=s;t=Ou(b)|0;if((t|0)==0){break}else{y=t}do{t=c[(Qu(y)|0)>>2]|0;if(v==+V(+(+h[(c[l>>2]|0)+(t<<3)>>3]))){t=c[409274]|0;Ku(t,Qu(y)|0);t=c[(Qu(y)|0)>>2]|0;Au(27,0,1590784,(s=i,i=i+8|0,c[s>>2]=t,s)|0);i=s}y=Pu(y)|0;}while((y|0)!=0)}}while(0);Iu(b);if((c[406887]|0)!=0){Lu(c[409274]|0)|0}if((Lu(c[409274]|0)|0)>0){y=f;do{l=c[(Mu(c[409274]|0)|0)>>2]|0;c[f>>2]=l;Nu(c[409274]|0);Au(7,0,1587944,(s=i,i=i+8|0,c[s>>2]=l,s)|0);i=s;Ju(b,y);}while((Lu(c[409274]|0)|0)>0)}h[d>>3]=+h[j>>3];j=c[c[p>>2]>>2]|0;h[j>>3]=+h[g>>3];g=c[k>>2]|0;if((g|0)>0){MY(c[j+8>>2]|0,o|0,(g|0)>1?g<<3:8)|0}Be(a);_w(a);a=c[c[p>>2]>>2]|0;h[a>>3]=+h[d>>3];d=c[k>>2]|0;if((d|0)<=0){jY(o);jY(m);i=e;return}MY(c[a+8>>2]|0,m|0,(d|0)>1?d<<3:8)|0;jY(o);jY(m);i=e;return}function Vw(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0.0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0,B=0.0,C=0;g=i;i=i+16|0;j=g|0;k=g+8|0;l=b+4|0;m=+h[c[c[l>>2]>>2]>>3];n=b+317|0;do{if((a[n]|0)!=0){cx(b);o=b+104|0;p=c[o>>2]|0;if((p|0)<=0){break}q=b+336|0;r=m+1.0e-14;s=b+340|0;t=b+108|0;u=0;v=p;while(1){if(+h[(c[q>>2]|0)+(u<<3)>>3]>r){w=v}else{a[(c[s>>2]|0)+u|0]=1;p=c[t>>2]|0;x=+h[p+(u*24|0)+8>>3];y=+h[p+(u*24|0)+16>>3];Au(7,0,27168,(z=i,i=i+24|0,c[z>>2]=c[p+(u*24|0)>>2],h[z+8>>3]=x,h[z+16>>3]=y,z)|0);i=z;w=c[o>>2]|0}p=u+1|0;if((p|0)<(w|0)){u=p;v=w}else{break}}}}while(0);w=b+512|0;v=b+524|0;u=b+516|0;o=b+528|0;c[o>>2]=(c[o>>2]|0)-(c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]|0);if((Lu(d)|0)>0){h[c[c[l>>2]>>2]>>3]=+h[e>>3];do{if((c[406887]|0)!=0){e=Ou(d)|0;if((e|0)==0){break}l=b+540|0;t=e;do{e=c[(Qu(t)|0)>>2]|0;s=ce[c[(c[l>>2]|0)+104>>2]&127](e,j)|0;zu(7,0,c[j>>2]|0,21280,(z=i,i=i+16|0,c[z>>2]=e,c[z+8>>2]=s,z)|0);i=z;t=Pu(t)|0;}while((t|0)!=0)}}while(0);j=f+40|0;c[j>>2]=(c[j>>2]|0)+1;c[o>>2]=(c[o>>2]|0)+1;c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=1;j=c[v>>2]|0;t=c[b+520>>2]|0;h[t+(j<<3)>>3]=m;l=b+532|0;do{if((c[l>>2]|0)==0){s=c[o>>2]|0;if((s|0)!=(c[w>>2]|0)){break}r=+h[t+(((j+1|0)%(s|0)|0)<<3)>>3];e=b+264|0;if(!(m-r<+h[e>>3])){break}q=c[(Qu(Ou(d)|0)|0)>>2]|0;p=ce[c[(c[b+540>>2]|0)+104>>2]&127](q,k)|0;y=+h[e>>3];zu(1,0,c[k>>2]|0,1606368,(z=i,i=i+40|0,h[z>>3]=r,h[z+8>>3]=m,c[z+16>>2]=s,h[z+24>>3]=y,c[z+32>>2]=p,z)|0);i=z;c[l>>2]=1}}while(0);Iu(d)}else{c[(c[u>>2]|0)+(c[v>>2]<<2)>>2]=0}c[v>>2]=((c[v>>2]|0)+1|0)%(c[w>>2]|0)|0;Zw(b);Ww(b);if((a[n]|0)==0){i=g;return}w=b+104|0;v=c[w>>2]|0;do{if((v|0)>0){u=b+340|0;d=b+108|0;l=b+336|0;z=0;k=v;while(1){j=(c[u>>2]|0)+z|0;if((a[j]|0)==0){A=k}else{a[j]=0;j=(c[l>>2]|0)+(z<<3)|0;h[j>>3]=+h[(c[d>>2]|0)+(z*24|0)+16>>3]+ +h[j>>3];A=c[w>>2]|0}j=z+1|0;if((j|0)<(A|0)){z=j;k=A}else{break}}if((A|0)<=0){break}k=b+336|0;z=b+328|0;d=0;do{l=c[k>>2]|0;if((d|0)==0){B=+h[l>>3];C=29}else{m=+h[l+(d<<3)>>3];if(m<+h[z>>3]){B=m;C=29}}if((C|0)==29){C=0;h[z>>3]=B}d=d+1|0;}while((d|0)<(A|0))}}while(0);a[n]=0;n=f+44|0;c[n>>2]=(c[n>>2]|0)+1;i=g;return}function Ww(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;Au(27,0,77800,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;d=a+344|0;Vd[c[(c[a+540>>2]|0)+92>>2]&127](a,c[d>>2]|0,c[c[a+4>>2]>>2]|0)|0;e=c[a+160>>2]|0;if((e|0)<=0){i=b;return}f=c[d>>2]|0;d=c[a+348>>2]|0;a=0;do{h[d+(a<<3)>>3]=+h[f+(a<<3)>>3];a=a+1|0;}while((a|0)<(e|0));i=b;return}function Xw(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0;k=i;l=a+160|0;m=c[l>>2]|0;n=iY(m<<3)|0;o=n;if((n|0)==0){fd(1585592,1595832,409,1612664);return 0.0}if((m|0)>0){MY(n|0,c[a+344>>2]|0,(m|0)>1?m<<3:8)|0}p=+h[d>>3];Au(27,0,1336120,(m=i,i=i+16|0,h[m>>3]=+h[b>>3],h[m+8>>3]=p,m)|0);i=m;Au(27,0,81240,(m=i,i=i+8|0,h[m>>3]=1.0e-9,m)|0);i=m;p=+h[d>>3];q=+h[b>>3];if(!(+V(+(p-q))>1.0e-9)){jY(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}m=a+4|0;v=a+112|0;w=a+540|0;x=a+344|0;y=a+348|0;z=p;p=q;A=c[v>>2]|0;while(1){q=(z+p)*.5;B=c[c[m>>2]>>2]|0;h[B>>3]=q;if((A|0)>0){C=c[B+8>>2]|0;B=0;do{h[C+(B<<3)>>3]=(+h[e+(B<<3)>>3]+ +h[f+(B<<3)>>3])*.5;B=B+1|0;}while((B|0)<(A|0))}Td[c[(c[w>>2]|0)+28>>2]&255](a)|0;Td[c[(c[w>>2]|0)+32>>2]&255](a)|0;Vd[c[(c[w>>2]|0)+92>>2]&127](a,c[x>>2]|0,c[c[m>>2]>>2]|0)|0;B=(Yw(a,g,j)|0)==0;C=c[v>>2]|0;D=(C|0)>0;do{if(B){if(D){E=c[(c[c[m>>2]>>2]|0)+8>>2]|0;F=0;do{h[e+(F<<3)>>3]=+h[E+(F<<3)>>3];F=F+1|0;}while((F|0)<(C|0))}h[b>>3]=q;F=c[l>>2]|0;if((F|0)>0){E=c[x>>2]|0;G=c[y>>2]|0;H=0;do{I=E+(H<<3)|0;h[G+(H<<3)>>3]=+h[I>>3];h[I>>3]=+h[o+(H<<3)>>3];H=H+1|0;}while((H|0)<(F|0))}J=+h[d>>3]}else{if(D){F=c[(c[c[m>>2]>>2]|0)+8>>2]|0;H=0;do{h[f+(H<<3)>>3]=+h[F+(H<<3)>>3];H=H+1|0;}while((H|0)<(C|0))}h[d>>3]=q;H=c[l>>2]|0;if((H|0)<=0){J=q;break}MY(n|0,c[x>>2]|0,(H|0)>1?H<<3:8)|0;J=q}}while(0);q=+h[b>>3];if(+V(+(J-q))>1.0e-9){z=J;p=q;A=C}else{break}}jY(n);r=+h[b>>3];s=+h[d>>3];t=r+s;u=t*.5;i=k;return+u}function Yw(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;Iu(b);Au(27,0,80112,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=Ou(d)|0;if((g|0)==0){j=Lu(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}d=a+344|0;m=a+348|0;a=g;do{g=c[(Qu(a)|0)>>2]|0;if(+h[(c[d>>2]|0)+(g<<3)>>3]==-1.0){g=c[(Qu(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==1.0){n=7}else{n=5}}else{n=5}do{if((n|0)==5){n=0;g=c[(Qu(a)|0)>>2]|0;if(!(+h[(c[d>>2]|0)+(g<<3)>>3]==1.0)){break}g=c[(Qu(a)|0)>>2]|0;if(+h[(c[m>>2]|0)+(g<<3)>>3]==-1.0){n=7}}}while(0);if((n|0)==7){n=0;g=c[(Qu(a)|0)>>2]|0;o=c[(Qu(a)|0)>>2]|0;p=+h[(c[m>>2]|0)+(o<<3)>>3]>0.0?46904:38792;o=c[(Qu(a)|0)>>2]|0;q=+h[(c[d>>2]|0)+(o<<3)>>3]>0.0?46904:38792;Au(27,0,78904,(f=i,i=i+24|0,c[f>>2]=g,c[f+8>>2]=p,c[f+16>>2]=q,f)|0);i=f;Ju(b,Qu(a)|0)}a=Pu(a)|0;}while((a|0)!=0);j=Lu(b)|0;k=(j|0)>0;l=k&1;i=e;return l|0}function Zw(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=b+315|0;a[e]=0;f=b+540|0;ce[c[(c[f>>2]|0)+96>>2]&127](b,1)|0;_w(b);$w(b);Td[c[(c[f>>2]|0)+36>>2]&255](b)|0;ax(b,8);g=bx(b)|0;h=Td[c[(c[f>>2]|0)+100>>2]&255](b)|0;j=b+312|0;if((a[j]|0)==0){k=1;l=h;m=g}else{$w(b);i=d;return}while(1){if((l|0)==0){if((a[e]|m)<<24>>24==0){n=7;break}}cx(b);_w(b);ax(b,8);Td[c[(c[f>>2]|0)+36>>2]&255](b)|0;if((k|0)>200){n=5;break}g=bx(b)|0;h=Td[c[(c[f>>2]|0)+100>>2]&255](b)|0;if((a[j]|0)==0){k=k+1|0;l=h;m=g}else{n=7;break}}if((n|0)==5){Eu(c[b+536>>2]|0,63648,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m}else if((n|0)==7){$w(b);i=d;return}}function _w(a){a=a|0;MY(c[a+356>>2]|0,c[a+352>>2]|0,c[a+164>>2]|0)|0;return}function $w(b){b=b|0;var d=0,e=0,f=0;d=b+164|0;if((c[d>>2]|0)<=0){return}e=b+352|0;f=b+360|0;b=0;do{a[(c[f>>2]|0)+b|0]=(a[(c[e>>2]|0)+b|0]|0)!=0|0;b=b+1|0;}while((b|0)<(c[d>>2]|0));return}function ax(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;if((c[1627520+(d<<2)>>2]|0)==0){i=e;return}Au(d,1,78856,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+164|0;if((c[g>>2]|0)>0){h=b+540|0;j=b+352|0;k=b+356|0;b=0;do{l=Td[c[(c[h>>2]|0)+108>>2]&255](b)|0;m=(a[(c[j>>2]|0)+b|0]|0)!=0?84:70;n=Td[c[(c[h>>2]|0)+108>>2]&255](b)|0;o=(a[(c[k>>2]|0)+b|0]|0)!=0?84:70;Au(d,0,77768,(f=i,i=i+40|0,c[f>>2]=b,c[f+8>>2]=l,c[f+16>>2]=m,c[f+24>>2]=n,c[f+32>>2]=o,f)|0);i=f;b=b+1|0;}while((b|0)<(c[g>>2]|0))}Qd[c[3538]&511](d);i=e;return}function bx(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+356|0;e=c[b+164>>2]|0;f=b+352|0;b=0;while(1){if((b|0)>=(e|0)){g=0;h=4;break}if((a[(c[d>>2]|0)+b|0]|0)==(a[(c[f>>2]|0)+b|0]|0)){b=b+1|0}else{g=1;h=4;break}}if((h|0)==4){return g|0}return 0}function cx(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;MY(c[a+400>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;MY(c[a+404>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;MY(c[a+408>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;MY(c[a+412>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}function dx(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[a+160>>2]|0;d=c[a+344>>2]|0;if((b|0)>0){e=c[a+348>>2]|0;f=0;do{h[e+(f<<3)>>3]=+h[d+(f<<3)>>3];f=f+1|0;}while((f|0)<(b|0))}Vd[c[(c[a+540>>2]|0)+92>>2]&127](a,d,c[c[a+4>>2]>>2]|0)|0;return}function ex(a){a=a|0;fx(a);gx(a);cx(a);hx(a);return}function fx(b){b=b|0;var d=0,e=0,f=0,g=0;d=c[b+136>>2]|0;if((d|0)>0){e=c[b+24>>2]|0;f=c[b+416>>2]|0;g=0;do{h[f+(g<<3)>>3]=+h[e+(g*112|0)+96>>3];g=g+1|0;}while((g|0)<(d|0))}d=b+140|0;if((c[d>>2]|0)>0){g=c[b+28>>2]|0;e=c[b+420>>2]|0;f=0;do{c[e+(f<<2)>>2]=c[g+(f*60|0)+52>>2];f=f+1|0;}while((f|0)<(c[d>>2]|0))}d=b+144|0;if((c[d>>2]|0)>0){f=b+32|0;g=b+424|0;e=0;do{a[(c[g>>2]|0)+e|0]=a[(c[f>>2]|0)+(e*48|0)+42|0]|0;e=e+1|0;}while((e|0)<(c[d>>2]|0))}d=c[b+148>>2]|0;if((d|0)<=0){return}e=b+36|0;f=b+428|0;b=0;do{c[(c[f>>2]|0)+(b<<2)>>2]=c[(c[e>>2]|0)+(b*52|0)+44>>2];b=b+1|0;}while((b|0)<(d|0));return}function gx(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[b+8>>2]|0;g=c[d+8>>2]|0;i=0;do{h[g+(i<<3)>>3]=+h[f+(i*112|0)+96>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[b+12>>2]|0;f=c[d+12>>2]|0;g=0;do{c[f+(g<<2)>>2]=c[i+(g*60|0)+52>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=b+16|0;i=d+16|0;f=0;do{a[(c[i>>2]|0)+f|0]=a[(c[g>>2]|0)+(f*48|0)+42|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=b+20|0;b=d+20|0;d=0;do{c[(c[b>>2]|0)+(d<<2)>>2]=c[(c[f>>2]|0)+(d*52|0)+44>>2];d=d+1|0;}while((d|0)<(e|0));return}function hx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((tv(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=a-1|0;k=c[d>>2]|0;l=c[k+(j<<2)>>2]|0;m=c[k+(a<<2)>>2]|0;h[m>>3]=+h[l>>3];MY(c[m+8>>2]|0,c[l+8>>2]|0,c[e>>2]<<3)|0;l=c[d>>2]|0;MY(c[(c[l+(a<<2)>>2]|0)+12>>2]|0,c[(c[l+(j<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;l=c[d>>2]|0;MY(c[(c[l+(a<<2)>>2]|0)+16>>2]|0,c[(c[l+(j<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;l=c[d>>2]|0;MY(c[(c[l+(a<<2)>>2]|0)+20>>2]|0,c[(c[l+(j<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(tv(c[b>>2]|0)|0));return}function ix(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0.0,s=0;e=i;if((c[1627520+(d<<2)>>2]|0)==0){i=e;return}Au(d,1,1590760,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+136|0;if((c[g>>2]|0)>0){Au(d,1,1589792,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+24|0;k=b+416|0;l=0;while(1){m=l+1|0;n=c[j>>2]|0;o=c[n+(l*112|0)+4>>2]|0;p=+h[n+(l*112|0)+96>>3];q=(a[n+(l*112|0)+72|0]|0)!=0?1594296:1592992;r=+h[(c[k>>2]|0)+(l<<3)>>3];Au(d,0,1588792,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,h[f+16>>3]=p,c[f+24>>2]=q,h[f+32>>3]=r,f)|0);i=f;if((m|0)<(c[g>>2]|0)){l=m}else{break}}}Qd[c[3538]&511](d)}l=b+140|0;if((c[l>>2]|0)>0){Au(d,1,1587824,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[l>>2]|0)>0){g=b+28|0;k=b+420|0;j=0;while(1){m=j+1|0;q=c[g>>2]|0;o=c[q+(j*60|0)+4>>2]|0;n=c[q+(j*60|0)+52>>2]|0;s=(a[q+(j*60|0)+48|0]|0)!=0?1594296:1592992;q=c[(c[k>>2]|0)+(j<<2)>>2]|0;Au(d,0,1586520,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=o,c[f+16>>2]=n,c[f+24>>2]=s,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[l>>2]|0)){j=m}else{break}}}Qd[c[3538]&511](d)}j=b+144|0;if((c[j>>2]|0)>0){Au(d,1,1337128,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){l=b+32|0;k=b+424|0;g=0;while(1){m=g+1|0;q=c[l>>2]|0;s=c[q+(g*48|0)+4>>2]|0;n=(a[q+(g*48|0)+42|0]|0)!=0?1594296:1592992;o=(a[q+(g*48|0)+40|0]|0)!=0?1594296:1592992;q=(a[(c[k>>2]|0)+g|0]|0)!=0?1594296:1592992;Au(d,0,82232,(f=i,i=i+40|0,c[f>>2]=m,c[f+8>>2]=s,c[f+16>>2]=n,c[f+24>>2]=o,c[f+32>>2]=q,f)|0);i=f;if((m|0)<(c[j>>2]|0)){g=m}else{break}}}Qd[c[3538]&511](d)}g=b+148|0;if((c[g>>2]|0)>0){Au(d,1,81160,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){j=b+36|0;k=b+428|0;b=0;while(1){l=b+1|0;m=c[j>>2]|0;q=c[m+(b*52|0)+4>>2]|0;o=c[m+(b*52|0)+44>>2]|0;m=c[(c[k>>2]|0)+(b<<2)>>2]|0;Au(d,0,79896,(f=i,i=i+32|0,c[f>>2]=l,c[f+8>>2]=q,c[f+16>>2]=o,c[f+24>>2]=m,f)|0);i=f;if((l|0)<(c[g>>2]|0)){b=l}else{break}}}Qd[c[3538]&511](d)}Qd[c[3538]&511](d);i=e;return}function jx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0;b=a|0;if((tv(c[b>>2]|0)|0)<=1){return}d=a+4|0;e=a+116|0;f=a+124|0;g=a+128|0;i=a+132|0;a=1;do{j=c[d>>2]|0;k=c[j+(a<<2)>>2]|0;l=a-1|0;m=c[j+(l<<2)>>2]|0;h[m>>3]=+h[k>>3];MY(c[m+8>>2]|0,c[k+8>>2]|0,c[e>>2]<<3)|0;k=c[d>>2]|0;MY(c[(c[k+(l<<2)>>2]|0)+12>>2]|0,c[(c[k+(a<<2)>>2]|0)+12>>2]|0,c[f>>2]<<2)|0;k=c[d>>2]|0;MY(c[(c[k+(l<<2)>>2]|0)+16>>2]|0,c[(c[k+(a<<2)>>2]|0)+16>>2]|0,c[g>>2]|0)|0;k=c[d>>2]|0;MY(c[(c[k+(l<<2)>>2]|0)+20>>2]|0,c[(c[k+(a<<2)>>2]|0)+20>>2]|0,c[i>>2]<<2)|0;a=a+1|0;}while((a|0)<(tv(c[b>>2]|0)|0));return}function kx(b){b=b|0;var d=0,e=0,f=0,g=0,i=0;d=c[c[b+4>>2]>>2]|0;e=c[b+116>>2]|0;if((e|0)>0){f=c[d+8>>2]|0;g=c[b+8>>2]|0;i=0;do{h[g+(i*112|0)+96>>3]=+h[f+(i<<3)>>3];i=i+1|0;}while((i|0)<(e|0))}e=b+124|0;if((c[e>>2]|0)>0){i=c[d+12>>2]|0;f=c[b+12>>2]|0;g=0;do{c[f+(g*60|0)+52>>2]=c[i+(g<<2)>>2];g=g+1|0;}while((g|0)<(c[e>>2]|0))}e=b+128|0;if((c[e>>2]|0)>0){g=d+16|0;i=b+16|0;f=0;do{a[(c[i>>2]|0)+(f*48|0)+42|0]=a[(c[g>>2]|0)+f|0]|0;f=f+1|0;}while((f|0)<(c[e>>2]|0))}e=c[b+132>>2]|0;if((e|0)<=0){return}f=d+20|0;d=b+20|0;b=0;do{c[(c[d>>2]|0)+(b*52|0)+44>>2]=c[(c[f>>2]|0)+(b<<2)>>2];b=b+1|0;}while((b|0)<(e|0));return}function lx(a){a=a|0;var b=0;b=c[c[a+4>>2]>>2]|0;h[a+376>>3]=+h[b>>3];MY(c[a+384>>2]|0,c[b+8>>2]|0,c[a+116>>2]<<3)|0;MY(c[a+388>>2]|0,c[b+12>>2]|0,c[a+124>>2]<<2)|0;MY(c[a+392>>2]|0,c[b+16>>2]|0,c[a+128>>2]|0)|0;MY(c[a+396>>2]|0,c[b+20>>2]|0,c[a+132>>2]<<2)|0;return}



function mx(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+32|0;e=d|0;f=b|0;c[f>>2]=0;g=nv(3,32)|0;c[f>>2]=g;if((g|0)==0){Eu(c[b+536>>2]|0,63584,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j}g=e|0;k=b+116|0;l=e+8|0;m=b+536|0;n=b+124|0;o=e+12|0;p=b+128|0;q=e+16|0;r=b+132|0;s=e+20|0;t=e;e=0;do{h[g>>3]=0.0;u=kY(c[k>>2]|0,8)|0;c[l>>2]=u;Du(c[m>>2]|0,(u|0)!=0|0,61840,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=kY(c[n>>2]|0,4)|0;c[o>>2]=u;Du(c[m>>2]|0,(u|0)!=0|0,61840,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=kY(c[p>>2]|0,1)|0;c[q>>2]=u;Du(c[m>>2]|0,(u|0)!=0|0,61840,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;u=kY(c[r>>2]|0,4)|0;c[s>>2]=u;Du(c[m>>2]|0,(u|0)!=0|0,61840,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;rv(c[f>>2]|0,t);e=e+1|0;}while(e>>>0<3>>>0);e=kY(3,4)|0;c[b+4>>2]=e;uv(c[f>>2]|0,0,e);e=c[k>>2]|0;c[b+8>>2]=kY(e,112)|0;k=c[n>>2]|0;c[b+12>>2]=kY(k,60)|0;n=c[p>>2]|0;c[b+16>>2]=kY(n,48)|0;p=c[r>>2]|0;c[b+20>>2]=kY(p,52)|0;r=c[b+136>>2]|0;c[b+24>>2]=kY(r,112)|0;f=c[b+140>>2]|0;c[b+28>>2]=kY(f,60)|0;t=c[b+144>>2]|0;c[b+32>>2]=kY(t,48)|0;s=c[b+148>>2]|0;c[b+36>>2]=kY(s,52)|0;c[b+40>>2]=kY(c[b+216>>2]|0,52)|0;c[b+44>>2]=kY(c[b+220>>2]|0,52)|0;c[b+48>>2]=kY(c[b+224>>2]|0,52)|0;c[b+52>>2]=kY(c[b+228>>2]|0,52)|0;q=c[b+104>>2]|0;c[b+108>>2]=kY(q,24)|0;h[b+328>>3]=+h[b+240>>3];c[b+336>>2]=kY(q,8)|0;c[b+340>>2]=kY(q,1)|0;c[b+300>>2]=1;c[b+292>>2]=1;c[b+296>>2]=1;q=c[b+160>>2]|0;c[b+344>>2]=kY(q,8)|0;c[b+348>>2]=kY(q,8)|0;o=c[b+164>>2]|0;c[b+352>>2]=kY(o,1)|0;c[b+356>>2]=kY(o,1)|0;c[b+360>>2]=kY(o,1)|0;o=iY(q<<2)|0;c[b+368>>2]=o;c[b+364>>2]=iY(c[b+168>>2]<<3)|0;if((q|0)!=0){l=0;do{c[o+(l<<2)>>2]=l;l=l+1|0;}while(l>>>0<q>>>0)}c[b+384>>2]=kY(e,8)|0;c[b+388>>2]=kY(k,4)|0;c[b+392>>2]=kY(n,1)|0;c[b+396>>2]=kY(p,4)|0;c[b+400>>2]=kY(e,8)|0;c[b+404>>2]=kY(k,4)|0;c[b+408>>2]=kY(n,1)|0;c[b+412>>2]=kY(p,4)|0;c[b+416>>2]=kY(r,8)|0;c[b+420>>2]=kY(f,4)|0;c[b+424>>2]=kY(t,1)|0;c[b+428>>2]=kY(s,4)|0;c[b+432>>2]=kY(c[b+152>>2]|0,8)|0;c[b+436>>2]=kY(c[b+156>>2]|0,8)|0;s=iY((c[b+192>>2]|0)*40|0)|0;c[b+484>>2]=s;t=b+540|0;Qd[c[(c[t>>2]|0)+20>>2]&511](s);s=iY((c[b+196>>2]|0)*80|0)|0;c[b+476>>2]=s;Qd[c[(c[t>>2]|0)+16>>2]&511](s);s=iY((c[b+200>>2]|0)*80|0)|0;c[b+468>>2]=s;Qd[c[(c[t>>2]|0)+12>>2]&511](s);s=iY((c[b+204>>2]|0)*48|0)|0;c[b+488>>2]=s;Rd[c[(c[t>>2]|0)+24>>2]&127](s,b);c[b+464>>2]=iY((c[b+232>>2]|0)*44|0)|0;c[b+76>>2]=0;c[b+80>>2]=0;s=kY(c[b+188>>2]|0,4)|0;c[b+320>>2]=s;Du(c[m>>2]|0,(s|0)!=0|0,60792,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;c[b+512>>2]=100;c[b+516>>2]=kY(100,4)|0;c[b+520>>2]=kY(100,8)|0;c[b+524>>2]=0;c[b+528>>2]=0;c[b+532>>2]=0;h[b+304>>3]=1.0;a[b+313|0]=0;a[b+312|0]=0;a[b+314|0]=0;s=b+172|0;t=b+316|0;C=0;a[t]=C;C=C>>8;a[t+1|0]=C;C=C>>8;a[t+2|0]=C;C=C>>8;a[t+3|0]=C;t=iY(c[s>>2]<<2)|0;f=b+504|0;c[f>>2]=t;Du(c[m>>2]|0,(t|0)!=0|0,61840,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[s>>2]|0)==0){i=d;return}else{v=0}do{j=nv(1024,16)|0;c[(c[f>>2]|0)+(v<<2)>>2]=j;v=v+1|0;}while(v>>>0<(c[s>>2]|0)>>>0);i=d;return}function nx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;b=a+4|0;d=0;e=c[b>>2]|0;do{f=c[e+(d<<2)>>2]|0;jY(c[f+8>>2]|0);jY(c[f+12>>2]|0);jY(c[f+16>>2]|0);jY(c[f+20>>2]|0);d=d+1|0;e=c[b>>2]|0}while(d>>>0<3>>>0);jY(e);ov(c[a>>2]|0);e=a+116|0;d=a+8|0;b=c[d>>2]|0;if((c[e>>2]|0)==0){g=b}else{f=0;h=b;while(1){Lv(h+(f*112|0)|0);b=f+1|0;i=c[d>>2]|0;if(b>>>0<(c[e>>2]|0)>>>0){f=b;h=i}else{g=i;break}}}jY(g);g=a+124|0;h=a+12|0;f=c[h>>2]|0;if((c[g>>2]|0)==0){j=f}else{e=0;d=f;while(1){Lv(d+(e*60|0)|0);f=e+1|0;i=c[h>>2]|0;if(f>>>0<(c[g>>2]|0)>>>0){e=f;d=i}else{j=i;break}}}jY(j);j=a+128|0;d=a+16|0;e=c[d>>2]|0;if((c[j>>2]|0)==0){k=e}else{g=0;h=e;while(1){Lv(h+(g*48|0)|0);e=g+1|0;i=c[d>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){g=e;h=i}else{k=i;break}}}jY(k);k=a+132|0;h=a+20|0;g=c[h>>2]|0;if((c[k>>2]|0)==0){l=g}else{j=0;d=g;while(1){Lv(d+(j*52|0)|0);g=j+1|0;i=c[h>>2]|0;if(g>>>0<(c[k>>2]|0)>>>0){j=g;d=i}else{l=i;break}}}jY(l);l=a+136|0;d=a+24|0;j=c[d>>2]|0;if((c[l>>2]|0)==0){m=j}else{k=0;h=j;while(1){Lv(h+(k*112|0)|0);j=k+1|0;i=c[d>>2]|0;if(j>>>0<(c[l>>2]|0)>>>0){k=j;h=i}else{m=i;break}}}jY(m);m=a+140|0;h=a+28|0;k=c[h>>2]|0;if((c[m>>2]|0)==0){n=k}else{l=0;d=k;while(1){Lv(d+(l*60|0)|0);k=l+1|0;i=c[h>>2]|0;if(k>>>0<(c[m>>2]|0)>>>0){l=k;d=i}else{n=i;break}}}jY(n);n=a+144|0;d=a+32|0;l=c[d>>2]|0;if((c[n>>2]|0)==0){o=l}else{m=0;h=l;while(1){Lv(h+(m*48|0)|0);l=m+1|0;i=c[d>>2]|0;if(l>>>0<(c[n>>2]|0)>>>0){m=l;h=i}else{o=i;break}}}jY(o);o=a+148|0;h=a+36|0;m=c[h>>2]|0;if((c[o>>2]|0)==0){p=m}else{n=0;d=m;while(1){Lv(d+(n*52|0)|0);m=n+1|0;i=c[h>>2]|0;if(m>>>0<(c[o>>2]|0)>>>0){n=m;d=i}else{p=i;break}}}jY(p);p=a+216|0;d=a+40|0;n=c[d>>2]|0;if((c[p>>2]|0)==0){q=n}else{o=0;h=n;while(1){Lv(h+(o*52|0)+12|0);n=o+1|0;i=c[d>>2]|0;if(n>>>0<(c[p>>2]|0)>>>0){o=n;h=i}else{q=i;break}}}jY(q);q=a+220|0;h=a+44|0;o=c[h>>2]|0;if((c[q>>2]|0)==0){r=o}else{p=0;d=o;while(1){Lv(d+(p*52|0)+12|0);o=p+1|0;i=c[h>>2]|0;if(o>>>0<(c[q>>2]|0)>>>0){p=o;d=i}else{r=i;break}}}jY(r);r=a+224|0;d=a+48|0;p=c[d>>2]|0;if((c[r>>2]|0)==0){s=p}else{q=0;h=p;while(1){Lv(h+(q*52|0)+12|0);p=q+1|0;i=c[d>>2]|0;if(p>>>0<(c[r>>2]|0)>>>0){q=p;h=i}else{s=i;break}}}jY(s);s=a+228|0;h=a+52|0;q=c[h>>2]|0;if((c[s>>2]|0)==0){t=q}else{r=0;d=q;while(1){Lv(d+(r*52|0)+12|0);q=r+1|0;i=c[h>>2]|0;if(q>>>0<(c[s>>2]|0)>>>0){r=q;d=i}else{t=i;break}}}jY(t);jY(c[a+108>>2]|0);jY(c[a+336>>2]|0);jY(c[a+340>>2]|0);jY(c[a+344>>2]|0);jY(c[a+348>>2]|0);jY(c[a+352>>2]|0);jY(c[a+356>>2]|0);jY(c[a+360>>2]|0);jY(c[a+368>>2]|0);jY(c[a+384>>2]|0);jY(c[a+388>>2]|0);jY(c[a+392>>2]|0);jY(c[a+396>>2]|0);jY(c[a+400>>2]|0);jY(c[a+404>>2]|0);jY(c[a+408>>2]|0);jY(c[a+412>>2]|0);jY(c[a+416>>2]|0);jY(c[a+420>>2]|0);jY(c[a+424>>2]|0);jY(c[a+428>>2]|0);jY(c[a+488>>2]|0);jY(c[a+484>>2]|0);jY(c[a+476>>2]|0);jY(c[a+468>>2]|0);jY(c[a+464>>2]|0);jY(c[a+432>>2]|0);jY(c[a+436>>2]|0);jY(c[a+320>>2]|0);jY(c[a+516>>2]|0);jY(c[a+520>>2]|0);EL(a+56|0);t=a+172|0;d=a+504|0;a=c[d>>2]|0;if((c[t>>2]|0)==0){u=a;v=u;jY(v);return}else{w=0;x=a}while(1){ov(c[x+(w<<2)>>2]|0);a=w+1|0;r=c[d>>2]|0;if(a>>>0<(c[t>>2]|0)>>>0){w=a;x=r}else{u=r;break}}v=u;jY(v);return}function ox(a){a=+a;var b=0,c=0.0,d=0;b=i;c=a*1.0e-4;h[205]=c;Au(8,0,59912,(d=i,i=i+8|0,h[d>>3]=c,d)|0);i=d;i=b;return}function px(a,b,c){a=+a;b=+b;c=c|0;var d=0,e=0.0,f=0.0,g=0.0;d=c<<24>>24!=0;e=+h[205];f=e+e*+V(+(d?b:a));if(d){g=f}else{g=-0.0-f}return a-b<=g|0}function qx(a,b,c){a=+a;b=+b;c=c|0;return(px(a,b,c<<24>>24==0|0)|0)<<24>>24==0|0}function rx(a,b){a=+a;b=+b;return a<=b|0}function sx(a,b){a=+a;b=+b;return a>b|0}function tx(a,b){a=+a;b=+b;return a>=b|0}function ux(b,d,e){b=+b;d=d|0;e=e|0;var f=0,g=0.0,i=0,j=0;do{if((a[e+314|0]|0)==0){f=3}else{if((a[e+318|0]|0)!=0){f=3;break}g=+(~~+U(b)|0);i=e+364|0;h[(c[i>>2]|0)+(d<<3)>>3]=g;j=i}}while(0);if((f|0)==3){j=e+364|0}return~~+h[(c[j>>2]|0)+(d<<3)>>3]|0}function vx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){h=c[d+(g*40|0)>>2]|0;j=h<<2;c[d+(g*40|0)+20>>2]=iY(j)|0;c[d+(g*40|0)+24>>2]=iY(j)|0;if((c[f>>2]|0)!=1){k=5;break}yx(h,d+(g*40|0)+28|0)|0;h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{k=6;break}}if((k|0)==5){Eu(c[a+536>>2]|0,1609856,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((k|0)==6){i=b;return 0}return 0}function wx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+484>>2]|0;e=a+192|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+296|0;g=0;while(1){jY(c[d+(g*40|0)+20>>2]|0);jY(c[d+(g*40|0)+24>>2]|0);if((c[f>>2]|0)!=1){h=5;break}j=d+(g*40|0)+28|0;zx(j)|0;jY(c[j>>2]|0);j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{h=6;break}}if((h|0)==5){Eu(c[a+536>>2]|0,1609856,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((h|0)==6){i=b;return 0}return 0}function xx(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+484>>2]|0;l=b+192|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+4|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t*40|0)+36|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[406897]|c[406964]|0)==0){w=1;x=v;break}CL(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Cu(17,1,1605824,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;CL(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;CL(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Cu(17,0,1587864,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;CL(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Qd[c[3538]&511](17);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function yx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=iY(20)|0;c[b>>2]=e;Du(0,(e|0)!=0|0,1609704,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=iY(a)|0;c[e+4>>2]=iY(a)|0;c[e+8>>2]=iY(a)|0;c[e+16>>2]=iY(a)|0;Du(0,(c[b>>2]|0)!=0|0,1605776,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function zx(a){a=a|0;var b=0;b=c[a>>2]|0;jY(c[b>>2]|0);jY(c[b+4>>2]|0);jY(c[b+8>>2]|0);jY(c[b+16>>2]|0);return 0}function Ax(a,b){a=a|0;b=b|0;Eu(c[a+536>>2]|0,1608984,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Bx(a){a=a|0;Eu(0,1608984,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Cx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){h=c[d+(g<<6)+16>>2]|0;j=c[d+(g<<6)+12>>2]|0;k=h<<3;c[d+(g<<6)+28>>2]=iY(k)|0;c[d+(g<<6)+36>>2]=iY(k)|0;l=c[f>>2]|0;if((l|0)==1){c[d+(g<<6)+32>>2]=iY(ga(k,h)|0)|0;c[d+(g<<6)+8>>2]=2;Hx(h,d+(g<<6)+24|0)|0}else if((l|0)==2){c[d+(g<<6)+8>>2]=4;Jx(h,h,j,d+(g<<6)+24|0)|0}else{m=6;break}j=g+1|0;if((j|0)<(c[e>>2]|0)){g=j}else{m=8;break}}if((m|0)==6){Eu(c[a+536>>2]|0,1608952,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==8){i=b;return 0}return 0}function Dx(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;e=(ga(c[f+16>>2]|0,b)|0)+a|0;h[(c[f+32>>2]|0)+(e<<3)>>3]=d;return}function Ex(a,b,d,e,f){a=a|0;b=b|0;d=+d;e=e|0;f=f|0;jc(0,a|0,b|0,+d,c[c[f+24>>2]>>2]|0)|0;return}function Fx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=c[a+476>>2]|0;e=a+196|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+292|0;g=0;while(1){jY(c[d+(g<<6)+28>>2]|0);jY(c[d+(g<<6)+36>>2]|0);h=c[f>>2]|0;if((h|0)==1){Ix(d+(g<<6)+24|0)|0;jY(c[d+(g<<6)+32>>2]|0)}else if((h|0)==2){Kx(d+(g<<6)+24|0)|0}else{j=6;break}jY(c[d+(g<<6)+24>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{j=8;break}}if((j|0)==6){Eu(c[a+536>>2]|0,1608952,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((j|0)==8){i=b;return 0}return 0}function Gx(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0,z=0,A=0,B=0,C=0;e=i;i=i+72|0;f=e|0;g=e+24|0;j=e+48|0;k=c[b+476>>2]|0;l=b+196|0;m=c[l>>2]|0;if((m|0)<=0){n=0;i=e;return n|0}o=(d|0)==0;d=b+56|0;p=k+20|0;q=f+8|0;r=b+4|0;b=g+12|0;s=j+16|0;t=0;u=0;v=m;while(1){m=(a[k+(t<<6)+56|0]|0)!=0;do{if(m|o){w=m?u:1;x=v}else{if((c[406895]|c[406964]|0)==0){w=1;x=v;break}CL(f,d,c[p>>2]|0);y=+h[c[c[r>>2]>>2]>>3];Cu(15,1,1605744,(z=i,i=i+16|0,c[z>>2]=c[q>>2],h[z+8>>3]=y,z)|0);i=z;CL(g,d,c[p>>2]|0);if((c[b>>2]|0)>0){A=0;while(1){B=A+1|0;CL(j,d,c[p>>2]|0);C=c[(c[(c[s>>2]|0)+(A<<2)>>2]|0)+4>>2]|0;Cu(15,0,1587856,(z=i,i=i+16|0,c[z>>2]=B,c[z+8>>2]=C,z)|0);i=z;CL(g,d,c[p>>2]|0);if((B|0)<(c[b>>2]|0)){A=B}else{break}}}Qd[c[3538]&511](15);w=1;x=c[l>>2]|0}}while(0);m=t+1|0;if((m|0)<(x|0)){t=m;u=w;v=x}else{n=w;break}}i=e;return n|0}function Hx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;e=iY(12)|0;f=iY(a<<2)|0;c[e>>2]=f;Du(0,(f|0)!=0|0,1608616,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e+4>>2]=1;c[e+8>>2]=0;c[b>>2]=e;i=d;return 0}function Ix(a){a=a|0;jY(c[c[a>>2]>>2]|0);return 0}function Jx(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=iY(32)|0;Du(0,(g|0)!=0|0,1608112,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;c[g+20>>2]=b;b=g+24|0;c[b>>2]=a;c[g+28>>2]=d;d=g+8|0;dc(0,d|0)|0;Fd(c[d>>2]|0,c[b>>2]|0,0)|0;dc(0,g+4|0)|0;Fd(c[d>>2]|0,c[b>>2]|0,0)|0;b=g+12|0;Ta(b|0)|0;Kd(1605728,c[b>>2]|0)|0;c[e>>2]=g;i=f;return 0}function Kx(a){a=a|0;var b=0;b=c[a>>2]|0;Uc(c[b+12>>2]|0)|0;ac(c[b+8>>2]|0)|0;ac(c[b+4>>2]|0)|0;return 0}function Lx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+536|0;g=a;h=a+300|0;j=0;a:while(1){k=d+(j*80|0)|0;l=c[k>>2]|0;Du(c[f>>2]|0,(c[d+(j*80|0)+32>>2]|0)!=0|0,26472,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;n=d+(j*80|0)+28|0;do{if(!((c[n>>2]|0)==-1)){Du(c[f>>2]|0,(c[d+(j*80|0)+20>>2]|0)!=0|0,1611896,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;if((Td[c[d+(j*80|0)+24>>2]&255](g)|0)==0){break}c[n>>2]=-1}}while(0);n=l<<3;c[d+(j*80|0)+44>>2]=iY(n)|0;c[d+(j*80|0)+52>>2]=iY(n)|0;c[d+(j*80|0)+48>>2]=iY(n)|0;c[d+(j*80|0)+16>>2]=iY(n)|0;c[d+(j*80|0)+8>>2]=iY(n)|0;c[d+(j*80|0)+12>>2]=iY(n)|0;Rd[c[d+(j*80|0)+36>>2]&127](g,k);do{if((c[d+(j*80|0)+56>>2]|0)==1){Qx(l,d+(j*80|0)+40|0)|0}else{n=c[h>>2]|0;if((n|0)==3){Qx(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==1){Ox(l,d+(j*80|0)+40|0)|0;break}else if((n|0)==2){Ax(a,k)|0;break}else{o=12;break a}}}while(0);k=j+1|0;if((k|0)<(c[e>>2]|0)){j=k}else{o=14;break}}if((o|0)==12){Eu(c[f>>2]|0,1605568,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;return 0}else if((o|0)==14){i=b;return 0}return 0}function Mx(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c[a+468>>2]|0;e=a+200|0;if((c[e>>2]|0)<=0){i=b;return 0}f=a+300|0;g=0;a:while(1){h=d+(g*80|0)|0;jY(c[d+(g*80|0)+44>>2]|0);jY(c[d+(g*80|0)+52>>2]|0);jY(c[d+(g*80|0)+48>>2]|0);jY(c[d+(g*80|0)+16>>2]|0);jY(c[d+(g*80|0)+8>>2]|0);jY(c[d+(g*80|0)+12>>2]|0);do{if((c[d+(g*80|0)+56>>2]|0)==1){j=d+(g*80|0)+40|0;Rx(j)|0;k=j}else{j=c[f>>2]|0;if((j|0)==3){l=d+(g*80|0)+40|0;Rx(l)|0;k=l;break}else if((j|0)==2){Bx(h)|0;k=d+(g*80|0)+40|0;break}else if((j|0)==1){j=d+(g*80|0)+40|0;Px(j)|0;k=j;break}else{m=9;break a}}}while(0);jY(c[k>>2]|0);h=g+1|0;if((h|0)<(c[e>>2]|0)){g=h}else{m=11;break}}if((m|0)==9){Eu(c[a+536>>2]|0,1605568,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}else if((m|0)==11){i=b;return 0}return 0}function Nx(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=i;i=i+152|0;f=e|0;g=e+8|0;j=e+32|0;k=e+56|0;l=e+80|0;m=e+104|0;n=e+128|0;o=c[b+468>>2]|0;p=c[b+200>>2]|0;q=0;while(1){if((q|0)>=(p|0)){r=0;s=22;break}if((a[o+(q*80|0)+72|0]|0)==0){break}else{q=q+1|0}}if((s|0)==22){i=e;return r|0}p=o+(q*80|0)+4|0;q=c[p>>2]|0;o=f|0;c[o>>2]=1;c[f+4>>2]=q;if((d|0)==0){r=1;i=e;return r|0}d=b+56|0;CL(g,d,q);t=+h[c[c[b+4>>2]>>2]>>3];Bu(17,1,o,1600976,(o=i,i=i+16|0,c[o>>2]=c[g+8>>2],h[o+8>>3]=t,o)|0);i=o;do{if((a[b+312|0]|0)==0){CL(m,d,c[p>>2]|0);g=m+12|0;if((c[g>>2]|0)<=0){break}q=n+16|0;f=0;while(1){u=f+1|0;CL(n,d,c[p>>2]|0);v=c[(c[(c[q>>2]|0)+(f<<2)>>2]|0)+4>>2]|0;Cu(17,0,1592968,(o=i,i=i+16|0,c[o>>2]=u,c[o+8>>2]=v,o)|0);i=o;CL(m,d,c[p>>2]|0);if((u|0)<(c[g>>2]|0)){f=u}else{break}}}else{Cu(17,1,1597800,(o=i,i=i+1|0,i=i+7&-8,c[o>>2]=0,o)|0);i=o;CL(j,d,c[p>>2]|0);f=j+12|0;if((c[f>>2]|0)>0){g=b+116|0;q=l+16|0;u=b+8|0;v=k+16|0;w=0;while(1){a:do{if((c[g>>2]|0)>0){x=w+1|0;y=0;while(1){z=c[(c[u>>2]|0)+(y*112|0)+4>>2]|0;CL(k,d,c[p>>2]|0);if((IY(z,c[(c[(c[v>>2]|0)+(w<<2)>>2]|0)+4>>2]|0)|0)==0){break}z=y+1|0;if((z|0)<(c[g>>2]|0)){y=z}else{s=15;break a}}z=c[u>>2]|0;A=c[z+(y*112|0)+4>>2]|0;t=+h[z+(y*112|0)+96>>3];B=+h[z+(y*112|0)+80>>3];Cu(17,0,1595696,(o=i,i=i+32|0,c[o>>2]=x,c[o+8>>2]=A,h[o+16>>3]=t,h[o+24>>3]=B,o)|0);i=o;C=w+1|0}else{s=15}}while(0);if((s|0)==15){s=0;A=w+1|0;CL(l,d,c[p>>2]|0);z=c[(c[(c[q>>2]|0)+(w<<2)>>2]|0)+4>>2]|0;Cu(17,0,1594256,(o=i,i=i+16|0,c[o>>2]=A,c[o+8>>2]=z,o)|0);i=o;C=A}CL(j,d,c[p>>2]|0);if((C|0)<(c[f>>2]|0)){w=C}else{break}}}if((c[406897]|c[406964]|0)==0){break}Qd[c[3538]&511](17)}}while(0);if((c[406897]|c[406964]|0)==0){r=1;i=e;return r|0}Qd[c[3538]&511](17);r=1;i=e;return r|0}function Ox(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0;d=i;e=iY(144)|0;c[b>>2]=e;Du(0,(e|0)!=0|0,1606920,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=iY(g)|0;c[e+16>>2]=iY(g)|0;c[e+8>>2]=1;c[e+12>>2]=iY(g)|0;c[e+20>>2]=a;c[e+24>>2]=iY(g)|0;c[e+28>>2]=kY(a,8)|0;h[e+32>>3]=1.0e-12;c[e+40>>2]=a*1e4|0;j=a-1|0;c[e+44>>2]=j;c[e+48>>2]=j;h[e+56>>3]=1.0e-12;c[e+64>>2]=iY(g)|0;c[e+68>>2]=iY(g)|0;c[e+72>>2]=1;h[e+80>>3]=100.0;c[e+88>>2]=-1;c[e+92>>2]=0;c[e+96>>2]=0;c[e+100>>2]=0;j=ga(a,a)|0;c[e+104>>2]=kY(j,8)|0;c[e+108>>2]=kY(j,8)|0;c[e+112>>2]=a;j=(ga(a+1|0,a)|0)/2|0;c[e+116>>2]=iY(j<<3)|0;c[e+120>>2]=j;c[e+124>>2]=iY(g)|0;c[e+128>>2]=iY(g)|0;c[e+132>>2]=iY(g)|0;c[e+136>>2]=iY(g)|0;c[e+140>>2]=iY(g)|0;Du(0,(c[b>>2]|0)!=0|0,1605680,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Px(a){a=a|0;var b=0;b=c[a>>2]|0;jY(c[b+4>>2]|0);jY(c[b+16>>2]|0);jY(c[b+12>>2]|0);jY(c[b+24>>2]|0);jY(c[b+28>>2]|0);jY(c[b+64>>2]|0);jY(c[b+68>>2]|0);jY(c[b+104>>2]|0);jY(c[b+108>>2]|0);jY(c[b+116>>2]|0);jY(c[b+124>>2]|0);jY(c[b+128>>2]|0);jY(c[b+132>>2]|0);jY(c[b+136>>2]|0);jY(c[b+140>>2]|0);return 0}function Qx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=iY(80)|0;c[b>>2]=e;Du(0,(e|0)!=0|0,1602688,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;c[e>>2]=0;g=a<<3;c[e+4>>2]=iY(g)|0;c[e+8>>2]=iY(g)|0;c[e+12>>2]=a;c[e+16>>2]=iY(g)|0;c[e+20>>2]=kY(a,8)|0;h[e+24>>3]=1.0e-8;h[e+32>>3]=1.0e-8;c[e+44>>2]=a*100|0;h[e+56>>3]=2.220446049250313e-16;c[e+64>>2]=iY(ga(g,a)|0)|0;c[e+68>>2]=iY(g)|0;c[e+72>>2]=iY(a<<2)|0;Du(0,(c[b>>2]|0)!=0|0,1605088,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;i=d;return 0}function Rx(a){a=a|0;var b=0;b=c[a>>2]|0;jY(c[b+4>>2]|0);jY(c[b+8>>2]|0);jY(c[b+16>>2]|0);jY(c[b+20>>2]|0);jY(c[b+64>>2]|0);jY(c[b+68>>2]|0);jY(c[b+72>>2]|0);return 0}function Sx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=c[b+24>>2]|0;if((d|0)==1){e=c[a+4>>2]|0;f=c[e+4>>2]|0;Ux(c[e>>2]|0,+h[f>>3],c[f+8>>2]|0,c[a+112>>2]|0,b);g=0;return g|0}else if((d|0)==3){g=yw(a,b)|0;return g|0}else if((d|0)==4){_d[c[(c[a+540>>2]|0)+56>>2]&3](a,+h[b+8>>3])|0;h[b>>3]=+h[c[c[a+4>>2]>>2]>>3];g=0;return g|0}else if((d|0)==2){Tx(a,b);g=0;return g|0}else{g=1;return g|0}return 0}function Tx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0,t=0,u=0,v=0,w=0.0,x=0,y=0.0;d=c[c[b+48>>2]>>2]|0;e=c[a+4>>2]|0;f=c[e>>2]|0;g=c[e+4>>2]|0;e=f+8|0;i=c[e>>2]|0;j=a+112|0;k=c[j>>2]|0;l=g+8|0;m=c[l>>2]|0;n=g|0;g=b+8|0;o=b|0;h[o>>3]=+h[n>>3]+ +h[g>>3];if((k|0)>0){b=c[d>>2]|0;p=0;do{h[b+(p<<3)>>3]=+h[m+(p+k<<3)>>3];p=p+1|0;}while((p|0)<(k|0))}p=f|0;f=a+540|0;m=1;b=k;do{if((b|0)>0){q=c[l>>2]|0;r=+h[8032+(m<<3)>>3];s=c[d+(m-1<<2)>>2]|0;t=c[e>>2]|0;u=0;while(1){h[t+(u<<3)>>3]=+h[q+(u<<3)>>3]+ +h[g>>3]*r*+h[s+(u<<3)>>3];v=u+1|0;if((v|0)<(b|0)){u=v}else{w=r;break}}}else{w=+h[8032+(m<<3)>>3]}h[p>>3]=+h[n>>3]+w*+h[g>>3];Td[c[(c[f>>2]|0)+28>>2]&255](a)|0;b=c[j>>2]|0;x=(b|0)>0;if(x){u=c[d+(m<<2)>>2]|0;s=0;do{h[u+(s<<3)>>3]=+h[i+(s+k<<3)>>3];s=s+1|0;}while((s|0)<(b|0))}m=m+1|0;}while((m|0)<4);if(!x){y=+h[o>>3];h[p>>3]=y;return}x=c[l>>2]|0;l=c[e>>2]|0;e=c[d>>2]|0;m=c[d+4>>2]|0;k=c[d+8>>2]|0;i=c[d+12>>2]|0;d=0;do{h[l+(d<<3)>>3]=+h[x+(d<<3)>>3]+(+h[e+(d<<3)>>3]*.16666666666666666+0.0+ +h[m+(d<<3)>>3]*.3333333333333333+ +h[k+(d<<3)>>3]*.3333333333333333+ +h[i+(d<<3)>>3]*.16666666666666666)*+h[g>>3];d=d+1|0;}while((d|0)<(b|0));y=+h[o>>3];h[p>>3]=y;return}function Ux(a,b,d,e,f){a=a|0;b=+b;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0.0,k=0,l=0.0,m=0,n=0,o=0;g=f+8|0;i=+h[g>>3];j=i+b;k=f|0;h[k>>3]=j;if((e|0)<=0){l=j;m=a|0;h[m>>3]=l;return}f=c[a+8>>2]|0;n=0;j=i;while(1){h[f+(n<<3)>>3]=+h[d+(n<<3)>>3]+ +h[d+(n+e<<3)>>3]*j;o=n+1|0;if((o|0)>=(e|0)){break}n=o;j=+h[g>>3]}l=+h[k>>3];m=a|0;h[m>>3]=l;return}function Vx(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;h[d>>3]=+h[b+240>>3];h[d+8>>3]=+h[b+264>>3];h[d+16>>3]=0.0;a[d+28|0]=0;c[d+32>>2]=Hu(4)|0;c[d+36>>2]=0;c[d+40>>2]=0;c[d+44>>2]=0;f=c[d+24>>2]|0;a:do{if((f|0)==4){g=c[409254]|0;j=iY(g<<2)|0;c[406864]=j;if((g|0)<=0){k=0;break}l=c[b+116>>2]|0;m=0;n=j;while(1){c[n+(m<<2)>>2]=kY(l,8)|0;j=m+1|0;if((j|0)>=(g|0)){k=0;break a}m=j;n=c[406864]|0}}else if((f|0)==3){n=iY(88)|0;Au(23,0,1602040,(m=i,i=i+1|0,i=i+7&-8,c[m>>2]=0,m)|0);i=m;m=ww(b,d,n)|0;c[d+48>>2]=n;k=m}else if((f|0)==2){m=iY(8)|0;c[m+4>>2]=4;n=iY(20)|0;g=m;c[g>>2]=n;l=c[b+112>>2]|0;j=0;o=n;while(1){c[o+(j<<2)>>2]=kY(l,8)|0;n=j+1|0;if((n|0)>=5){break}j=n;o=c[g>>2]|0}c[d+48>>2]=m;k=0}else{k=0}}while(0);gy(b)|0;if((c[409184]|0)==0){i=e;return k|0}Iv(6);Fv(1);i=e;return k|0}function Wx(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=c[b+24>>2]|0;if((d|0)==3){xw(c[b+48>>2]|0)|0}else if((d|0)==4){e=c[409254]|0;f=c[406864]|0;if((e|0)>0){g=0;h=f;while(1){jY(c[h+(g<<2)>>2]|0);i=g+1|0;j=c[406864]|0;if((i|0)<(e|0)){g=i;h=j}else{k=j;break}}}else{k=f}jY(k)}else if((d|0)==2){d=b+48|0;b=c[d>>2]|0;k=c[b>>2]|0;if(((c[b+4>>2]|0)+1|0)>0){b=0;f=k;while(1){jY(c[f+(b<<2)>>2]|0);h=b+1|0;g=c[d>>2]|0;e=c[g>>2]|0;if((h|0)<((c[g+4>>2]|0)+1|0)){b=h;f=e}else{l=e;break}}}else{l=k}jY(l);jY(c[d>>2]|0)}hy(a)|0;by(a);return 0}function Xx(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=+f;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,z=0;j=i;i=i+160|0;k=1;l=0;m=i;i=i+168|0;c[m>>2]=0;while(1)switch(k|0){case 1:n=j|0;o=a+536|0;p=c[o>>2]|0;pa(62,a|0);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;q=a+540|0;sa(c[(c[q>>2]|0)+40>>2]|0,a|0)|0;if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;r=a+240|0;h[c[c[a+4>>2]>>2]>>3]=+h[r>>3];pa(c[(c[q>>2]|0)+4>>2]|0,a|0);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;pa(82,a|0);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;na(2,+(+h[a+272>>3]));if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;c[(c[o>>2]|0)+84>>2]=1;s=p+80|0;t=c[s>>2]|0;c[s>>2]=n;u=OY(n|0,k,m)|0;k=9;break;case 9:if((u|0)==0){k=2;break}else{k=5;break};case 2:n=Ea(2,a|0,b|0,d|0,e|0,+f,g|0)|0;if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;if((n|0)==0){v=0;k=4;break}else{k=3;break};case 3:Ka(14,1,0,1604976,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;h[a+248>>3]=+h[r>>3];v=-1;k=4;break;case 4:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;z=v;k=6;break;case 5:c[s>>2]=t;Ia(4);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(26,2,0,1587648,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;z=-1;k=6;break;case 6:qa(c[2006]|0,8e3,a|0);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;Ka(26,23,0,74696,(w=i,i=i+1|0,i=i+7&-8,c[w>>2]=0,w)|0);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;i=w;if((c[409184]|0)==0){k=8;break}else{k=7;break};case 7:pa(306,1);if((x|0)!=0&(y|0)!=0){l=PY(c[x>>2]|0,m)|0;if((l|0)>0){k=-1;break}else return 0}x=y=0;k=8;break;case 8:i=j;return z|0;case-1:if((l|0)==1){u=y;k=9}x=y=0;break}return 0}function Yx(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0.0,j=0,k=0,l=0.0,m=0.0,n=0;f=i;g=+h[d>>3];do{if(!(g<+h[b+248>>3])){if((c[d+24>>2]|0)==5){break}Au(8,0,63392,(j=i,i=i+8|0,h[j>>3]=g,j)|0);i=j;k=b+313|0;a[k]=1;Zw(b);if((c[407082]|0)==0){Rd[c[2005]&127](8e3,b)}a[k]=0}}while(0);yK(54176,1.0);if((e|0)!=0){Zx(Ic(e|0)|0,b)}if((c[406905]|0)==0){i=f;return 0}Iv(0);Au(25,0,46048,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Au(25,1,38144,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;g=+Av(6);l=+Av(6);m=l/+Av(0)*100.0;Au(25,0,31928,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+Av(1);g=+Av(1);l=g/+Av(0)*100.0;Au(25,0,26328,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+Av(2);m=+Av(2);g=m/+Av(0)*100.0;Au(25,0,1611808,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;g=+Av(3);l=+Av(3);m=l/+Av(0)*100.0;Au(25,0,1605456,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j;m=+Av(4);g=+Av(4);l=g/+Av(0)*100.0;Au(25,0,1600848,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;l=+Av(7);m=+Av(7);g=m/+Av(0)*100.0;Au(25,0,1597736,(j=i,i=i+16|0,h[j>>3]=l,h[j+8>>3]=g,j)|0);i=j;b=d+24|0;e=(c[b>>2]|0)==5;g=+Av(0);l=g- +Av(7);g=l- +Av(4);l=g- +Av(3);g=l- +Av(2);l=g- +Av(1);g=l- +Av(6);l=+Av(0);m=l- +Av(7);l=m- +Av(4);m=l- +Av(3);l=m- +Av(2);m=l- +Av(1);l=m- +Av(6);m=l/+Av(0)*100.0;if(e){Au(25,0,1594224,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}else{Au(25,0,1595632,(j=i,i=i+16|0,h[j>>3]=g,h[j+8>>3]=m,j)|0);i=j}m=+Av(0);g=+Av(0);l=g/+Av(0)*100.0;Au(25,0,1592944,(j=i,i=i+16|0,h[j>>3]=m,h[j+8>>3]=l,j)|0);i=j;Qd[c[3538]&511](25);Au(25,1,1591640,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Au(25,0,1590704,(j=i,i=i+8|0,c[j>>2]=c[d+40>>2],j)|0);i=j;Au(25,0,1589768,(j=i,i=i+8|0,c[j>>2]=c[d+44>>2],j)|0);i=j;Qd[c[3538]&511](25);e=c[b>>2]|0;if((e|0)==3){b=d+48|0;d=c[b>>2]|0;k=c[d+8>>2]|0;n=c[d+4>>2]|0;c[n>>2]=(c[n>>2]|0)+(c[k>>2]|0);d=n+4|0;c[d>>2]=(c[d>>2]|0)+(c[k+4>>2]|0);d=n+8|0;c[d>>2]=(c[d>>2]|0)+(c[k+8>>2]|0);d=n+12|0;c[d>>2]=(c[d>>2]|0)+(c[k+12>>2]|0);d=n+16|0;c[d>>2]=(c[d>>2]|0)+(c[k+16>>2]|0);Au(25,1,1588776,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Au(25,0,1587776,(j=i,i=i+8|0,c[j>>2]=c[c[(c[b>>2]|0)+4>>2]>>2],j)|0);i=j;Au(25,0,1586464,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+4>>2],j)|0);i=j;Au(25,0,1337096,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+8>>2],j)|0);i=j;Au(25,0,82208,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+12>>2],j)|0);i=j;Au(25,0,81112,(j=i,i=i+8|0,c[j>>2]=c[(c[(c[b>>2]|0)+4>>2]|0)+16>>2],j)|0);i=j;Qd[c[3538]&511](25)}else if((e|0)!=5){Au(25,1,79864,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Au(25,0,78792,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Qd[c[3538]&511](25)}Au(25,0,77720,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;Fv(0);i=f;return 0}function Zx(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;e=i;f=Wa(b|0,69048)|0;b=c[r>>2]|0;g=d+4|0;kd(b|0,68e3,(j=i,i=i+8|0,h[j>>3]=+h[c[c[g>>2]>>2]>>3],j)|0)|0;i=j;if((f|0)==0){k=Va(10,b|0)|0;l=Sa(b|0)|0;i=e;return}m=d+116|0;n=d+124|0;o=d+128|0;p=d+132|0;q=d+216|0;s=d+220|0;t=d+224|0;u=d+228|0;v=d+136|0;w=d+140|0;x=d+144|0;y=d+148|0;z=d+36|0;A=d+428|0;B=d+32|0;C=d+424|0;D=d+28|0;E=d+420|0;F=d+24|0;G=d+416|0;H=d+52|0;I=d+48|0;J=d+44|0;K=d+40|0;L=d+20|0;M=d+16|0;N=d+12|0;O=d+8|0;d=f;do{f=c[m>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((IY(d,c[(c[O>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(P<<3)>>3];kd(b|0,67032,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;S=c[m>>2]|0}else{S=Q}f=P+1|0;if((f|0)<(S|0)){P=f;Q=S}else{break}}}Q=c[n>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((IY(d,c[(c[N>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(P<<2)>>2]|0;kd(b|0,65528,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;T=c[n>>2]|0}else{T=f}Q=P+1|0;if((Q|0)<(T|0)){P=Q;f=T}else{break}}}f=c[o>>2]|0;if((f|0)>0){P=0;Q=f;while(1){if((IY(d,c[(c[M>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){f=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+P|0]|0;kd(b|0,64592,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=f,j)|0)|0;i=j;U=c[o>>2]|0}else{U=Q}f=P+1|0;if((f|0)<(U|0)){P=f;Q=U}else{break}}}Q=c[p>>2]|0;if((Q|0)>0){P=0;f=Q;while(1){if((IY(d,c[(c[L>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(P<<2)>>2]|0;kd(b|0,63560,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;V=c[p>>2]|0}else{V=f}Q=P+1|0;if((Q|0)<(V|0)){P=Q;f=V}else{break}}}if((c[q>>2]|0)>0){f=0;do{P=c[K>>2]|0;do{if((IY(d,c[P+(f*52|0)+16>>2]|0)|0)==0){R=+h[(c[(c[c[g>>2]>>2]|0)+8>>2]|0)+(c[P+(f*52|0)+4>>2]<<3)>>3];if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,67032,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;break}else{kd(b|0,67032,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=-0.0-R,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[q>>2]|0))}if((c[s>>2]|0)>0){f=0;do{P=c[J>>2]|0;do{if((IY(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=c[(c[(c[c[g>>2]>>2]|0)+12>>2]|0)+(c[P+(f*52|0)+4>>2]<<2)>>2]|0;if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,65528,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{kd(b|0,65528,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}if((c[t>>2]|0)>0){f=0;do{P=c[I>>2]|0;do{if((IY(d,c[P+(f*52|0)+16>>2]|0)|0)==0){Q=a[(c[(c[c[g>>2]>>2]|0)+16>>2]|0)+(c[P+(f*52|0)+4>>2]|0)|0]|0;if((c[P+(f*52|0)>>2]|0)==0){kd(b|0,64592,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;break}else{kd(b|0,64592,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=-Q,j)|0)|0;i=j;break}}}while(0);f=f+1|0;}while((f|0)<(c[t>>2]|0))}f=c[u>>2]|0;if((f|0)>0){P=0;Q=f;while(1){f=c[H>>2]|0;if((IY(d,c[f+(P*52|0)+16>>2]|0)|0)==0){W=c[(c[(c[c[g>>2]>>2]|0)+20>>2]|0)+(c[f+(P*52|0)+4>>2]<<2)>>2]|0;kd(b|0,63560,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;X=c[u>>2]|0}else{X=Q}W=P+1|0;if((W|0)<(X|0)){P=W;Q=X}else{break}}}Q=c[v>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((IY(d,c[(c[F>>2]|0)+(P*112|0)+4>>2]|0)|0)==0){R=+h[(c[G>>2]|0)+(P<<3)>>3];kd(b|0,67032,(j=i,i=i+16|0,c[j>>2]=d,h[j+8>>3]=R,j)|0)|0;i=j;Y=c[v>>2]|0}else{Y=W}Q=P+1|0;if((Q|0)<(Y|0)){P=Q;W=Y}else{break}}}W=c[w>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((IY(d,c[(c[D>>2]|0)+(P*60|0)+4>>2]|0)|0)==0){W=c[(c[E>>2]|0)+(P<<2)>>2]|0;kd(b|0,65528,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;Z=c[w>>2]|0}else{Z=Q}W=P+1|0;if((W|0)<(Z|0)){P=W;Q=Z}else{break}}}Q=c[x>>2]|0;if((Q|0)>0){P=0;W=Q;while(1){if((IY(d,c[(c[B>>2]|0)+(P*48|0)+4>>2]|0)|0)==0){Q=a[(c[C>>2]|0)+P|0]|0;kd(b|0,64592,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=Q,j)|0)|0;i=j;_=c[x>>2]|0}else{_=W}Q=P+1|0;if((Q|0)<(_|0)){P=Q;W=_}else{break}}}W=c[y>>2]|0;if((W|0)>0){P=0;Q=W;while(1){if((IY(d,c[(c[z>>2]|0)+(P*52|0)+4>>2]|0)|0)==0){W=c[(c[A>>2]|0)+(P<<2)>>2]|0;kd(b|0,63560,(j=i,i=i+16|0,c[j>>2]=d,c[j+8>>2]=W,j)|0)|0;i=j;$=c[y>>2]|0}else{$=Q}W=P+1|0;if((W|0)<($|0)){P=W;Q=$}else{break}}}d=Wa(0,69048)|0;}while((d|0)!=0);k=Va(10,b|0)|0;l=Sa(b|0)|0;i=e;return}function _x(b,d,e,f,g,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;m=i;i=i+56|0;n=m|0;o=n+24|0;c[o>>2]=k;a:do{switch(k|0){case 12:case 13:case 14:case 15:case 16:case 17:{c[o>>2]=3;break};case 18:{p=c[412686]|0;do{if((p|0)!=0){if((IY(p,72088)|0)!=0){break}c[o>>2]=4;break a}}while(0);Au(23,0,70984,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 8:case 7:case 6:case 9:case 10:case 11:{Cu(1,0,76688,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 5:{Cu(1,0,75848,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};case 4:{p=c[412686]|0;if((p|0)!=0){if((IY(p,74936)|0)==0){break a}}Au(23,0,73248,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;r=1;i=m;return r|0};default:{}}}while(0);k=Vx(b,n)|0;ee[c[2173]&15]()|0;if((a[b+440|0]|0)!=0){iy(b)|0;Td[c[(c[b+540>>2]|0)+44>>2]&255](b)|0}do{if((k|0)==0){p=Xx(b,d,e,f,g,j)|0;ee[c[2173]&15]()|0;if((p|0)!=0){s=p;break}if((c[o>>2]|0)!=5){Rd[c[2005]&127](8e3,b);hx(b)}t=+h[b+248>>3];Au(23,0,70136,(q=i,i=i+16|0,h[q>>3]=+h[b+240>>3],h[q+8>>3]=t,q)|0);i=q;p=ce[c[c[b+540>>2]>>2]&127](b,n)|0;ee[c[2173]&15]()|0;Yx(b,n,l)|0;ee[c[2173]&15]()|0;s=p}else{ee[c[2173]&15]()|0;s=k}}while(0);Wx(b,n)|0;r=s;i=m;return r|0}function $x(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a+204|0;e=a+488|0;f=a;g=0;while(1){if((g|0)>=(c[d>>2]|0)){h=5;break}if((Td[c[(c[e>>2]|0)+(g*48|0)+40>>2]&255](f)|0)==0){g=g+1|0}else{h=4;break}}if((h|0)==4){Eu(c[a+536>>2]|0,1600920,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g}else if((h|0)==5){ay(a);i=b;return}}function ay(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;e=a+12|0;f=a+4|0;a=0;do{g=c[d>>2]|0;h=(c[c[g+(a*48|0)+12>>2]>>2]|0)-(c[c[e>>2]>>2]|0)|0;i=c[(c[c[f>>2]>>2]|0)+12>>2]|0;j=g+(a*48|0)|0;k=g+(a*48|0)+4|0;NY(i+(h<<2)|0,0,ga(c[j>>2]<<2,c[k>>2]|0)|0)|0;l=g+(a*48|0)+8|0;if((c[l>>2]|0)>0){m=c[g+(a*48|0)+16>>2]|0;n=0;do{c[m+(n<<2)>>2]=n;n=n+1|0;}while((n|0)<(c[l>>2]|0))}l=c[j>>2]|0;if((l|0)>0){n=c[g+(a*48|0)+20>>2]|0;m=0;o=l;do{c[n+(m<<2)>>2]=o+~m;m=m+1|0;o=c[j>>2]|0;}while((m|0)<(o|0))}o=c[k>>2]|0;if((o|0)>0){m=0;j=o;do{c[i+(m+h+(ga(j,m)|0)<<2)>>2]=1;m=m+1|0;j=c[k>>2]|0;}while((m|0)<(j|0))}a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function by(a){a=a|0;var b=0,d=0,e=0;b=a+204|0;if((c[b>>2]|0)<=0){return}d=a+488|0;a=0;do{e=c[d>>2]|0;jY(c[e+(a*48|0)+28>>2]|0);jY(c[e+(a*48|0)+32>>2]|0);jY(c[e+(a*48|0)+16>>2]|0);jY(c[e+(a*48|0)+20>>2]|0);jY(c[e+(a*48|0)+24>>2]|0);a=a+1|0;}while((a|0)<(c[b>>2]|0));return}function cy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;f=i;i=i+4096|0;g=f|0;j=b+204|0;if((c[j>>2]|0)<=0){k=0;i=f;return k|0}l=b+488|0;m=d<<24>>24==0;d=(e|0)==0;n=0;o=0;while(1){p=c[l>>2]|0;q=p+(o*48|0)|0;r=iY(c[q>>2]<<2)|0;s=p+(o*48|0)+8|0;t=iY(c[s>>2]<<2)|0;dy(b,o);u=p+(o*48|0)+20|0;v=c[u>>2]|0;w=c[q>>2]|0;MY(r|0,v|0,w<<2)|0;x=p+(o*48|0)+16|0;y=c[x>>2]|0;z=c[s>>2]|0;MY(t|0,y|0,z<<2)|0;A=p+(o*48|0)+24|0;if(!((vw(c[A>>2]|0,z,w,y,v)|0)==0|m)){break}v=ey(r,c[u>>2]|0,c[q>>2]|0,c[s>>2]|0,c[p+(o*48|0)+4>>2]|0,c[p+(o*48|0)+12>>2]|0,c[p+(o*48|0)+28>>2]|0,c[p+(o*48|0)+32>>2]|0,b,e)|0;if(d){MY(c[u>>2]|0,r|0,c[q>>2]<<2)|0;MY(c[x>>2]|0,t|0,c[s>>2]<<2)|0}s=(v|0)==0?n:1;jY(r);jY(t);t=o+1|0;if((t|0)<(c[j>>2]|0)){n=s;o=t}else{k=s;B=16;break}}if((B|0)==16){i=f;return k|0}k=p+(o*48|0)+44|0;f=c[k>>2]|0;B=b+464|0;n=c[B>>2]|0;j=c[n+(f*44|0)>>2]|0;Cu(5,1,1604536,(d=i,i=i+24|0,c[d>>2]=c[n+(f*44|0)+4>>2],c[d+8>>2]=j,c[d+16>>2]=f,d)|0);i=d;f=c[B>>2]|0;if((c[f+((c[k>>2]|0)*44|0)+4>>2]|0)!=0){j=g|0;g=0;n=f;do{a[j]=0;f=c[n+((c[k>>2]|0)*44|0)>>2]|0;if((f|0)!=0){e=0;m=f;do{f=(ga(m,g)|0)+e|0;C=+h[(c[A>>2]|0)+(f<<3)>>3];Ob(j|0,1587520,(d=i,i=i+16|0,c[d>>2]=j,h[d+8>>3]=C,d)|0)|0;i=d;e=e+1|0;m=c[(c[B>>2]|0)+((c[k>>2]|0)*44|0)>>2]|0;}while(e>>>0<m>>>0)}Cu(5,0,74424,(d=i,i=i+8|0,c[d>>2]=j,d)|0);i=d;g=g+1|0;n=c[B>>2]|0;}while(g>>>0<(c[n+((c[k>>2]|0)*44|0)+4>>2]|0)>>>0)}if((c[q>>2]|0)<=0){D=c[3538]|0;Qd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Eu(F,62960,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}k=p+(o*48|0)+32|0;o=0;do{Cu(5,0,74424,(d=i,i=i+8|0,c[d>>2]=c[(c[(c[k>>2]|0)+(o<<2)>>2]|0)+4>>2],d)|0);i=d;o=o+1|0;}while((o|0)<(c[q>>2]|0));D=c[3538]|0;Qd[D&511](5);E=b+536|0;F=c[E>>2]|0;G=b+4|0;H=c[G>>2]|0;I=c[H>>2]|0;J=I|0;K=+h[J>>3];Eu(F,62960,(d=i,i=i+8|0,h[d>>3]=K,d)|0);i=d;return 0}function dy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=a+488|0;e=c[d>>2]|0;f=c[e+(b*48|0)+44>>2]|0;g=a+464|0;i=c[g>>2]|0;j=c[e+(b*48|0)+24>>2]|0;NY(j|0,0,ga(c[i+(f*44|0)+4>>2]<<3,c[i+(f*44|0)>>2]|0)|0)|0;i=c[g>>2]|0;if((c[i+(f*44|0)+24>>2]|0)==0){return}e=a;a=0;k=i;l=c[i+(f*44|0)>>2]|0;do{if((l|0)!=0){i=0;do{if(((c[(c[k+(f*44|0)+20>>2]|0)+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=1.0}i=i+1|0;}while(i>>>0<l>>>0)}Td[c[(c[d>>2]|0)+(b*48|0)+36>>2]&255](e)|0;k=c[g>>2]|0;l=c[k+(f*44|0)>>2]|0;do{if((l|0)!=0){i=c[k+(f*44|0)+28>>2]|0;m=0;do{do{if(+h[i+(m<<3)>>3]==1.0){if((m|0)==0){n=0;o=k+(f*44|0)+8|0}else{p=k+(f*44|0)+8|0;n=c[(c[p>>2]|0)+(m-1<<2)>>2]|0;o=p}p=c[(c[o>>2]|0)+(m<<2)>>2]|0;if(!(n>>>0<p>>>0)){break}q=c[k+(f*44|0)+12>>2]|0;r=c[k+(f*44|0)+4>>2]|0;s=c[k+(f*44|0)+36>>2]|0;t=n;do{u=c[q+(t<<2)>>2]|0;v=(ga(r,m)|0)+u|0;h[j+(v<<3)>>3]=+h[s+(u<<3)>>3];t=t+1|0;}while(t>>>0<p>>>0)}}while(0);m=m+1|0;}while(m>>>0<l>>>0);if((l|0)==0){break}m=c[k+(f*44|0)+20>>2]|0;i=0;do{if(((c[m+(i<<2)>>2]|0)-1|0)==(a|0)){h[(c[k+(f*44|0)+28>>2]|0)+(i<<3)>>3]=0.0}i=i+1|0;}while(i>>>0<l>>>0)}}while(0);a=a+1|0;}while(a>>>0<(c[k+(f*44|0)+24>>2]|0)>>>0);return}function ey(a,b,d,e,f,g,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;n=i;o=kY(d,4)|0;p=o;q=kY(d,4)|0;r=q;if((d|0)>0){s=0;while(1){t=(s|0)<(e|0)?1:2;c[r+(c[b+(s<<2)>>2]<<2)>>2]=t;c[p+(c[a+(s<<2)>>2]<<2)>>2]=t;t=s+1|0;if((t|0)<(d|0)){s=t}else{u=0;break}}}else{u=0}while(1){if((u|0)>=(d|0)){v=0;w=8;break}if((c[r+(u<<2)>>2]|0)==(c[p+(u<<2)>>2]|0)){u=u+1|0}else{break}}if((w|0)==8){jY(o);jY(q);i=n;return v|0}if((m|0)==0){v=-1;jY(o);jY(q);i=n;return v|0}Au(5,1,54016,(m=i,i=i+8|0,h[m>>3]=+h[c[c[l+4>>2]>>2]>>3],m)|0);i=m;fy(r,d,f,c[g>>2]|0,j,k,l);if((c[406885]|0)==0){v=-1;jY(o);jY(q);i=n;return v|0}Qd[c[3538]&511](5);v=-1;jY(o);jY(q);i=n;return v|0}function fy(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;k=i;l=e-(c[c[j+12>>2]>>2]|0)|0;e=j+4|0;m=c[(c[c[e>>2]>>2]|0)+12>>2]|0;NY(m+(l<<2)|0,0,ga(b<<2,d)|0)|0;if((b|0)<=0){i=k;return}n=j+8|0;j=0;o=0;while(1){if((c[a+(o<<2)>>2]|0)==2){p=c[c[n>>2]>>2]|0;q=c[g+(o<<2)>>2]|0;r=(c[q>>2]|0)-p|0;s=(c[c[f+(j<<2)>>2]>>2]|0)-p|0;Au(5,0,45904,(p=i,i=i+8|0,c[p>>2]=c[q+4>>2],p)|0);i=p;c[m+(j+l+(ga(o,d)|0)<<2)>>2]=1;p=c[(c[c[e>>2]>>2]|0)+8>>2]|0;h[p+(s<<3)>>3]=+h[p+(r<<3)>>3];t=j+1|0}else{t=j}r=o+1|0;if((r|0)<(b|0)){j=t;o=r}else{break}}i=k;return}function gy(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0;d=i;e=xc(1600304,1604464)|0;f=(e|0)!=0;a[b+440|0]=f&1;if(f){g=0}else{i=d;return 0}a:while(1){while(1){f=Bb(e|0)|0;if((f|0)==10){break}else if((f|0)==(-1|0)){break a}}g=g+1|0}f=g-1|0;g=b+456|0;c[g>>2]=f;c[b+452>>2]=f;wd(e|0);do{}while((Bb(e|0)|0)!=10);j=c[b+152>>2]|0;k=kY(f,4)|0;f=b+444|0;c[f>>2]=k;l=c[g>>2]|0;m=(l|0)>0;b:do{if(m){n=0;o=k;while(1){c[o+(n<<2)>>2]=kY(j,8)|0;p=n+1|0;if((p|0)>=(l|0)){break}n=p;o=c[f>>2]|0}o=kY(l,8)|0;n=b+448|0;c[n>>2]=o;if(!m){q=n;break}p=(j|0)>0;r=0;s=o;while(1){o=Tc(e|0,1587512,(t=i,i=i+8|0,c[t>>2]=s+(r<<3),t)|0)|0;i=t;if(p){u=0;while(1){v=Tc(e|0,1587512,(t=i,i=i+8|0,c[t>>2]=(c[(c[f>>2]|0)+(r<<2)>>2]|0)+(u<<3),t)|0)|0;i=t;w=u+1|0;if((w|0)<(j|0)){u=w}else{x=v;break}}}else{x=o}if((x|0)<0){c[g>>2]=r;y=r}else{y=c[g>>2]|0}u=r+1|0;if((u|0)>=(y|0)){q=n;break b}r=u;s=c[n>>2]|0}}else{n=b+448|0;c[n>>2]=kY(l,8)|0;q=n}}while(0);vc(74408,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;vc(7912,(t=i,i=i+1|0,i=i+7&-8,c[t>>2]=0,t)|0)|0;i=t;if((c[g>>2]|0)>0){l=(j|0)>0;y=0;do{vc(53992,(t=i,i=i+8|0,h[t>>3]=+h[(c[q>>2]|0)+(y<<3)>>3],t)|0)|0;i=t;if(l){x=0;while(1){m=x+1|0;z=+h[(c[(c[f>>2]|0)+(y<<2)>>2]|0)+(x<<3)>>3];vc(45792,(t=i,i=i+16|0,c[t>>2]=m,h[t+8>>3]=z,t)|0)|0;i=t;if((m|0)<(j|0)){x=m}else{break}}}y=y+1|0;}while((y|0)<(c[g>>2]|0))}Cc(7912)|0;Oa(e|0)|0;c[b+460>>2]=0;i=d;return 0}function hy(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;if((a[b+440|0]|0)==0){return 0}jY(c[b+448>>2]|0);d=b+452|0;e=b+444|0;b=c[e>>2]|0;if((c[d>>2]|0)>0){f=0;g=b;while(1){jY(c[g+(f<<2)>>2]|0);h=f+1|0;i=c[e>>2]|0;if((h|0)<(c[d>>2]|0)){f=h;g=i}else{j=i;break}}}else{j=b}jY(j);return 0}function iy(b){b=b|0;var d=0,e=0.0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0.0,v=0.0,w=0.0;if((a[b+440|0]|0)==0){d=-1;return d|0}e=+h[c[c[b+4>>2]>>2]>>3];f=b+460|0;g=c[f>>2]|0;i=g+1|0;j=c[b+448>>2]|0;a:do{if(e>+h[j+(i<<3)>>3]){k=(c[b+456>>2]|0)-1|0;l=i;m=g;while(1){n=m+1|0;if((l|0)>=(k|0)){o=n;p=m;break a}c[f>>2]=n;q=m+2|0;if(e>+h[j+(q<<3)>>3]){l=q;m=n}else{r=n;s=4;break}}}else{r=g;s=4}}while(0);if((s|0)==4){o=r+1|0;p=r}t=+h[j+(p<<3)>>3];u=+h[j+(o<<3)>>3]-t;o=c[b+152>>2]|0;if((o|0)<=0){d=0;return d|0}j=c[b+444>>2]|0;r=c[j+(p<<2)>>2]|0;s=c[j+(p+1<<2)>>2]|0;v=t+u-e;w=e-t;p=c[b+432>>2]|0;b=0;while(1){h[p+(b<<3)>>3]=(v*+h[r+(b<<3)>>3]+w*+h[s+(b<<3)>>3])/u;j=b+1|0;if((j|0)<(o|0)){b=j}else{d=0;break}}return d|0}function jy(a){a=a|0;var b=0,d=0.0,e=0,f=0,g=0,j=0,k=0,l=0,m=0;b=i;d=+ky(a,1.0);if(!(d>1.0e-5)){e=0;i=b;return e|0}if((c[406889]|0)==0){e=1;i=b;return e|0}Au(9,1,1599688,(f=i,i=i+8|0,h[f>>3]=d,f)|0);i=f;g=a+16|0;j=c[g>>2]|0;if((j|0)>0){k=a+48|0;a=0;l=j;while(1){d=+h[(c[k>>2]|0)+(a<<3)>>3];j=a+1|0;if(+V(+d)>1.0e-5){Au(9,0,1604176,(f=i,i=i+16|0,c[f>>2]=j,h[f+8>>3]=d,f)|0);i=f;m=c[g>>2]|0}else{m=l}if((j|0)<(m|0)){a=j;l=m}else{break}}}Qd[c[3538]&511](9);e=1;i=b;return e|0}function ky(b,d){b=b|0;d=+d;var e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,p=0.0,q=0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0.0,x=0,y=0,z=0.0,A=0.0,B=0,C=0.0,D=0,E=0,F=0.0,G=0.0,H=0,I=0.0,J=0;e=c[b+60>>2]|0;zy(b);f=e+540|0;Td[c[(c[f>>2]|0)+84>>2]&255](e)|0;Td[c[(c[f>>2]|0)+36>>2]&255](e)|0;Td[c[(c[f>>2]|0)+32>>2]&255](e)|0;g=b+48|0;ce[c[(c[f>>2]|0)+68>>2]&127](e,c[g>>2]|0)|0;f=e+8|0;i=c[e+184>>2]|0;if((i|0)>0){j=c[b+52>>2]|0;k=(j|0)==0;l=c[g>>2]|0;g=0;m=0.0;while(1){if(k){n=1.0}else{n=+h[j+(g<<3)>>3]}o=+h[l+(g<<3)>>3]/n;p=m+o*o;q=g+1|0;if((q|0)<(i|0)){g=q;m=p}else{r=p;break}}}else{r=0.0}if(!(d<1.0)){s=r;return+s}m=r*d;g=c[e+116>>2]|0;if((g|0)>0){i=c[f>>2]|0;l=b+56|0;r=1.0-d;j=e+4|0;k=0;q=0;n=m;while(1){if((a[i+(k*112|0)+88|0]|0)==0){t=n;u=q}else{v=c[l>>2]|0;if((v|0)==0){w=1.0;x=q}else{w=+h[v+(q<<3)>>3];x=q+1|0}p=(+h[i+(k*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3])/w;t=n+p*r*p;u=x}v=k+1|0;if((v|0)<(g|0)){k=v;q=u;n=t}else{y=u;z=t;break}}}else{y=0;z=m}u=c[e+136>>2]|0;if((u|0)>0){q=c[e+24>>2]|0;k=b+56|0;m=1.0-d;x=e+416|0;j=0;i=y;t=z;while(1){do{if((a[q+(j*112|0)+88|0]|0)==0){A=t;B=i}else{if((a[q+(j*112|0)+72|0]|0)!=0){A=t;B=i;break}l=c[k>>2]|0;if((l|0)==0){C=1.0;D=i}else{C=+h[l+(i<<3)>>3];D=i+1|0}n=(+h[q+(j*112|0)+96>>3]- +h[(c[x>>2]|0)+(j<<3)>>3])/C;A=t+n*m*n;B=D}}while(0);l=j+1|0;if((l|0)<(u|0)){j=l;i=B;t=A}else{E=B;F=A;break}}}else{E=y;F=z}y=c[e+120>>2]|0;B=g-y|0;if((B|0)>=(y|0)){s=F;return+s}g=c[f>>2]|0;f=b+56|0;z=1.0-d;b=e+416|0;e=B;B=E;d=F;while(1){do{if((a[g+(e*112|0)+88|0]|0)==0){G=d;H=B}else{if((a[g+(e*112|0)+72|0]|0)!=0){G=d;H=B;break}E=c[f>>2]|0;if((E|0)==0){I=1.0;J=B}else{I=+h[E+(B<<3)>>3];J=B+1|0}F=(+h[g+(e*112|0)+96>>3]- +h[(c[b>>2]|0)+(e<<3)>>3])/I;G=d+F*z*F;H=J}}while(0);E=e+1|0;if((E|0)<(y|0)){e=E;B=H;d=G}else{s=G;break}}return+s}function ly(a,b){a=a|0;b=b|0;var d=0,e=0.0,f=0,g=0,j=0,k=0,l=0.0,m=0.0,n=0.0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;e=+ky(b,1.0);if((c[406889]|0)==0){i=d;return}f=b+16|0;g=c[f>>2]|0;if((g|0)>0){j=c[b+48>>2]|0;k=0;l=0.0;while(1){m=+h[j+(k<<3)>>3];n=l+m*m;o=k+1|0;if((o|0)<(g|0)){k=o;l=n}else{p=n;break}}}else{p=0.0}Au(9,1,1587488,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;g=b+52|0;if((c[g>>2]|0)==0){Au(9,0,62936,(k=i,i=i+8|0,h[k>>3]=p,k)|0);i=k}else{Au(9,0,74368,(k=i,i=i+16|0,h[k>>3]=p,h[k+8>>3]=e,k)|0);i=k}Au(9,1,53968,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=b+4|0;o=c[j>>2]|0;if((o|0)>0){q=b+40|0;r=b+24|0;s=b+44|0;t=0;while(1){u=c[q>>2]|0;v=t+1|0;e=+h[(c[r>>2]|0)+(t<<3)>>3];w=c[(c[s>>2]|0)+(t<<2)>>2]|0;if((u|0)==0){Au(9,0,38096,(k=i,i=i+24|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,k)|0);i=k}else{p=+h[u+(t<<3)>>3];Au(9,0,45744,(k=i,i=i+32|0,c[k>>2]=v,h[k+8>>3]=e,c[k+16>>2]=w,h[k+24>>3]=p,k)|0);i=k}w=c[j>>2]|0;if((v|0)<(w|0)){t=v}else{x=v;y=w;break}}}else{x=0;y=o}o=b+8|0;if((x|0)<((c[o>>2]|0)+y|0)){y=b+40|0;t=b+24|0;s=b+44|0;r=x;while(1){q=c[y>>2]|0;w=r+1|0;p=+h[(c[t>>2]|0)+(r<<3)>>3];v=c[(c[s>>2]|0)+(r<<2)>>2]|0;if((q|0)==0){Au(9,0,26272,(k=i,i=i+24|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,k)|0);i=k}else{e=+h[q+(r<<3)>>3];Au(9,0,31848,(k=i,i=i+32|0,c[k>>2]=w,h[k+8>>3]=p,c[k+16>>2]=v,h[k+24>>3]=e,k)|0);i=k}if((w|0)<((c[o>>2]|0)+(c[j>>2]|0)|0)){r=w}else{z=w;break}}}else{z=x}x=b|0;if((z|0)<(c[x>>2]|0)){r=b+40|0;j=b+24|0;o=b+44|0;s=z;while(1){z=c[r>>2]|0;t=s+1|0;e=+h[(c[j>>2]|0)+(s<<3)>>3];y=c[(c[o>>2]|0)+(s<<2)>>2]|0;if((z|0)==0){Au(9,0,1605408,(k=i,i=i+24|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,k)|0);i=k}else{p=+h[z+(s<<3)>>3];Au(9,0,1611744,(k=i,i=i+32|0,c[k>>2]=t,h[k+8>>3]=e,c[k+16>>2]=y,h[k+24>>3]=p,k)|0);i=k}if((t|0)<(c[x>>2]|0)){s=t}else{break}}}Qd[c[3538]&511](9);Au(9,1,1600800,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[f>>2]|0)>0){s=b+48|0;b=a+540|0;a=0;while(1){x=(c[g>>2]|0)==0;o=a+1|0;p=+h[(c[s>>2]|0)+(a<<3)>>3];j=Td[c[(c[b>>2]|0)+64>>2]&255](a)|0;if(x){Au(9,0,38096,(k=i,i=i+24|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,k)|0);i=k}else{e=+h[(c[g>>2]|0)+(a<<3)>>3];Au(9,0,45744,(k=i,i=i+32|0,c[k>>2]=o,h[k+8>>3]=p,c[k+16>>2]=j,h[k+24>>3]=e,k)|0);i=k}if((o|0)<(c[f>>2]|0)){a=o}else{break}}}Qd[c[3538]&511](9);Qd[c[3538]&511](9);i=d;return}function my(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,u=0.0,v=0;d=i;e=b+8|0;if((c[406889]|0)!=0){ix(b,9)}if((c[406904]|0)==0){i=d;return}Au(24,1,1597696,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;g=b+112|0;j=c[g>>2]|0;do{if((j|0)>0){Au(24,1,1595608,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=e|0;l=b+4|0;m=b+400|0;n=0;while(1){o=n+1|0;p=c[k>>2]|0;q=c[p+(n*112|0)+4>>2]|0;r=+h[p+(n*112|0)+96>>3];s=+h[p+(n*112|0)+80>>3];t=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3];u=+h[(c[m>>2]|0)+(n<<3)>>3];Au(24,0,1594144,(f=i,i=i+48|0,c[f>>2]=o,c[f+8>>2]=q,h[f+16>>3]=r,h[f+24>>3]=s,h[f+32>>3]=t,h[f+40>>3]=u,f)|0);i=f;if((o|0)<(c[g>>2]|0)){n=o}else{break}}}Qd[c[3538]&511](24);n=c[g>>2]|0;if((n|0)<=0){v=n;break}Au(24,1,1592920,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;n=c[g>>2]|0;if((n|0)<(n<<1|0)){m=e|0;l=b+4|0;k=b+400|0;o=n;while(1){n=o+1|0;q=c[(c[m>>2]|0)+(o*112|0)+4>>2]|0;u=+h[(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)>>3];t=+h[(c[k>>2]|0)+(o<<3)>>3];Au(24,0,1591608,(f=i,i=i+32|0,c[f>>2]=n,c[f+8>>2]=q,h[f+16>>3]=u,h[f+24>>3]=t,f)|0);i=f;if((n|0)<(c[g>>2]<<1|0)){o=n}else{break}}}Qd[c[3538]&511](24);v=c[g>>2]|0}else{v=j}}while(0);j=b+116|0;if((v<<1|0)<(c[j>>2]|0)){Au(24,1,1590680,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;v=c[g>>2]<<1;if((v|0)<(c[j>>2]|0)){g=e|0;e=b+4|0;o=b+400|0;k=v;while(1){v=k+1|0;l=c[g>>2]|0;m=c[l+(k*112|0)+4>>2]|0;t=+h[l+(k*112|0)+96>>3];u=+h[l+(k*112|0)+80>>3];s=+h[(c[(c[c[e>>2]>>2]|0)+8>>2]|0)+(k<<3)>>3];r=+h[(c[o>>2]|0)+(k<<3)>>3];Au(24,0,1594144,(f=i,i=i+48|0,c[f>>2]=v,c[f+8>>2]=m,h[f+16>>3]=t,h[f+24>>3]=u,h[f+32>>3]=s,h[f+40>>3]=r,f)|0);i=f;if((v|0)<(c[j>>2]|0)){k=v}else{break}}}Qd[c[3538]&511](24)}k=b+124|0;if((c[k>>2]|0)>0){Au(24,1,1589744,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[k>>2]|0)>0){j=b+12|0;o=b+4|0;e=b+404|0;g=0;while(1){v=g+1|0;m=c[j>>2]|0;l=c[m+(g*60|0)+4>>2]|0;n=c[m+(g*60|0)+52>>2]|0;m=c[(c[(c[c[o>>2]>>2]|0)+12>>2]|0)+(g<<2)>>2]|0;q=c[(c[e>>2]|0)+(g<<2)>>2]|0;Au(24,0,1588728,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=l,c[f+16>>2]=n,c[f+24>>2]=m,c[f+32>>2]=q,f)|0);i=f;if((v|0)<(c[k>>2]|0)){g=v}else{break}}}Qd[c[3538]&511](24)}g=b+128|0;if((c[g>>2]|0)>0){Au(24,1,1587752,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[g>>2]|0)>0){k=b+16|0;e=b+4|0;o=b+408|0;j=0;while(1){v=j+1|0;q=c[k>>2]|0;m=c[q+(j*48|0)+4>>2]|0;n=(a[q+(j*48|0)+42|0]|0)!=0?1337088:82200;q=(a[(c[(c[c[e>>2]>>2]|0)+16>>2]|0)+j|0]|0)!=0?1337088:82200;l=(a[(c[o>>2]|0)+j|0]|0)!=0?1337088:82200;Au(24,0,1586416,(f=i,i=i+40|0,c[f>>2]=v,c[f+8>>2]=m,c[f+16>>2]=n,c[f+24>>2]=q,c[f+32>>2]=l,f)|0);i=f;if((v|0)<(c[g>>2]|0)){j=v}else{break}}}Qd[c[3538]&511](24)}j=b+132|0;if((c[j>>2]|0)>0){Au(24,1,81088,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[j>>2]|0)>0){g=b+20|0;o=b+4|0;e=b+412|0;b=0;while(1){k=b+1|0;v=c[g>>2]|0;l=c[v+(b*52|0)+4>>2]|0;q=c[v+(b*52|0)+44>>2]|0;v=c[(c[(c[c[o>>2]>>2]|0)+20>>2]|0)+(b<<2)>>2]|0;n=c[(c[e>>2]|0)+(b<<2)>>2]|0;Au(24,0,79816,(f=i,i=i+40|0,c[f>>2]=k,c[f+8>>2]=l,c[f+16>>2]=q,c[f+24>>2]=v,c[f+32>>2]=n,f)|0);i=f;if((k|0)<(c[j>>2]|0)){b=k}else{break}}}Qd[c[3538]&511](24)}Qd[c[3538]&511](24);i=d;return}function ny(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=i;l=b+540|0;m=(c[(c[l>>2]|0)+72>>2]|0)!=0?3:2;Au(9,0,78760,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;if((f|0)==0){fx(b);gx(b);o=6}else{if((a[f]|0)!=0){oy(b,f,g)}fx(b);gx(b);if((a[f]|0)==0){o=6}}if((o|0)==6){Td[c[(c[l>>2]|0)+84>>2]&255](b)|0;Td[c[(c[l>>2]|0)+60>>2]&255](b)|0}do{if((d|0)==0){p=m}else{if((a[d]|0)==0){p=m;break}o=(IY(d,32912)|0)==0|0;f=(IY(d,32360)|0)==0;q=(IY(d,31984)|0)==0;r=q?3:f?2:o;if((r|0)!=0){p=r;break}Cu(1,0,76656,(n=i,i=i+8|0,c[n>>2]=d,n)|0);i=n;Cu(1,0,75824,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;Cu(1,0,74920,(n=i,i=i+16|0,c[n>>2]=32912,c[n+8>>2]=34432,n)|0);i=n;Cu(1,0,74920,(n=i,i=i+16|0,c[n>>2]=32360,c[n+8>>2]=33800,n)|0);i=n;Cu(1,0,74920,(n=i,i=i+16|0,c[n>>2]=31984,c[n+8>>2]=33352,n)|0);i=n;Eu(c[b+536>>2]|0,73224,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);do{if((e|0)==0){s=3}else{if((a[e]|0)==0){s=3;break}else{t=0;u=1}do{d=(IY(e,c[1623560+(u<<2)>>2]|0)|0)==0;t=d?u:t;u=u+1|0;}while((u|0)<7);if((t|0)!=0){s=t;break}Cu(1,0,72056,(n=i,i=i+8|0,c[n>>2]=e,n)|0);i=n;Cu(1,0,75824,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;d=1;do{m=c[1623624+(d<<2)>>2]|0;Cu(1,0,74920,(n=i,i=i+16|0,c[n>>2]=c[1623560+(d<<2)>>2],c[n+8>>2]=m,n)|0);i=n;d=d+1|0;}while((d|0)<7);Eu(c[b+536>>2]|0,73224,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}while(0);e=c[1626752+(p<<2)>>2]|0;Au(9,0,70944,(n=i,i=i+16|0,c[n>>2]=c[1626736+(p<<2)>>2],c[n+8>>2]=e,n)|0);i=n;e=(p|0)==2;if(e){t=c[1623624+(s<<2)>>2]|0;Au(9,0,70096,(n=i,i=i+16|0,c[n>>2]=c[1623560+(s<<2)>>2],c[n+8>>2]=t,n)|0);i=n}t=b+312|0;a[t]=1;u=b+200|0;if((c[u>>2]|0)>0){d=b+468|0;m=0;do{a[(c[d>>2]|0)+(m*80|0)+72|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}u=b+196|0;if((c[u>>2]|0)>0){m=b+476|0;d=0;do{a[(c[m>>2]|0)+(d<<6)+56|0]=1;d=d+1|0;}while((d|0)<(c[u>>2]|0))}u=b+192|0;if((c[u>>2]|0)>0){d=b+484|0;m=0;do{a[(c[d>>2]|0)+(m*40|0)+36|0]=1;m=m+1|0;}while((m|0)<(c[u>>2]|0))}do{if((p|0)==1){v=0}else{if(e){v=py(b,s,j)|0;break}if((p|0)==3){qy(b,j);v=0;break}else{Eu(c[b+536>>2]|0,69024,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;return 0}}}while(0);do{if((Nx(b,1)|0)==0){if((Gx(b,1)|0)!=0){w=-3;break}j=(xx(b,1)|0)==0;w=j?v:-4}else{w=-2}}while(0);my(b);Au(9,0,67968,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n;a[t]=0;Qw(b,+h[b+240>>3],+h[b+248>>3]);cx(b);hx(b);Zw(b);Td[c[(c[l>>2]|0)+52>>2]&255](b)|0;ce[c[(c[l>>2]|0)+96>>2]&127](b,1)|0;dx(b);i=k;return w|0}function oy(b,d,e){b=b|0;d=d|0;e=+e;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+56|0;g=f|0;j=f+48|0;Au(9,0,31120,(k=i,i=i+16|0,c[k>>2]=d,h[k+8>>3]=e,k)|0);i=k;l=fv(d,g)|0;if((l|0)!=0){Eu(c[b+536>>2]|0,30456,(k=i,i=i+16|0,c[k>>2]=d,c[k+8>>2]=l,k)|0);i=k}Au(9,0,30056,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;l=b+116|0;if((c[l>>2]|0)>0){d=b+8|0;m=0;do{n=gv(g,c[(c[d>>2]|0)+(m*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((n|0)==0){p=ty(c[o+(m*112|0)+4>>2]|0)|0;q=gv(g,p)|0;jY(p);p=c[d>>2]|0;if((q|0)!=0){r=q;s=p;t=7;break}q=c[p+(m*112|0)+4>>2]|0;if((JY(q,29072,6)|0)==0){if((c[406889]|0)==0){break}}else{p=JY(q,28528,6)|0;if((c[406889]|p|0)==0){break}}Cu(9,0,28096,(k=i,i=i+8|0,c[k>>2]=q,k)|0);i=k}else{r=n;s=o;t=7}}while(0);if((t|0)==7){t=0;mv(s+(m*112|0)+96|0,g,r,e)|0;o=c[d>>2]|0;u=+h[o+(m*112|0)+96>>3];Au(9,0,29528,(k=i,i=i+16|0,c[k>>2]=c[o+(m*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}m=m+1|0;}while((m|0)<(c[l>>2]|0))}Au(9,0,27616,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+136|0;if((c[m>>2]|0)>0){d=b+24|0;r=0;do{s=gv(g,c[(c[d>>2]|0)+(r*112|0)+4>>2]|0)|0;o=c[d>>2]|0;do{if((s|0)==0){n=ty(c[o+(r*112|0)+4>>2]|0)|0;q=gv(g,n)|0;jY(n);n=c[d>>2]|0;if((q|0)!=0){v=q;w=n;t=17;break}Cu(9,0,26952,(k=i,i=i+8|0,c[k>>2]=c[n+(r*112|0)+4>>2],k)|0);i=k}else{v=s;w=o;t=17}}while(0);if((t|0)==17){t=0;mv(w+(r*112|0)+96|0,g,v,e)|0;o=c[d>>2]|0;u=+h[o+(r*112|0)+96>>3];Au(9,0,29528,(k=i,i=i+16|0,c[k>>2]=c[o+(r*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}Au(9,0,26424,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+120|0;r=c[m>>2]|0;d=(c[l>>2]|0)-r|0;if((d|0)<(r|0)){r=b+24|0;l=d;do{d=gv(g,c[(c[r>>2]|0)+(l*112|0)+4>>2]|0)|0;v=c[r>>2]|0;do{if((d|0)==0){w=ty(c[v+(l*112|0)+4>>2]|0)|0;o=gv(g,w)|0;jY(w);w=c[r>>2]|0;if((o|0)!=0){x=o;y=w;t=24;break}Cu(9,0,26952,(k=i,i=i+8|0,c[k>>2]=c[w+(l*112|0)+4>>2],k)|0);i=k}else{x=d;y=v;t=24}}while(0);if((t|0)==24){t=0;mv(y+(l*112|0)+96|0,g,x,e)|0;v=c[r>>2]|0;u=+h[v+(l*112|0)+96>>3];Au(9,0,29528,(k=i,i=i+16|0,c[k>>2]=c[v+(l*112|0)+4>>2],h[k+8>>3]=u,k)|0);i=k}l=l+1|0;}while((l|0)<(c[m>>2]|0))}Au(9,0,25176,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+140|0;if((c[m>>2]|0)>0){l=b+28|0;r=0;do{x=gv(g,c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;do{if((x|0)==0){y=ty(c[(c[l>>2]|0)+(r*60|0)+4>>2]|0)|0;v=gv(g,y)|0;jY(y);if((v|0)!=0){z=v;t=31;break}Cu(9,0,24104,(k=i,i=i+8|0,c[k>>2]=c[(c[l>>2]|0)+(r*60|0)+4>>2],k)|0);i=k}else{z=x;t=31}}while(0);if((t|0)==31){t=0;mv(j,g,z,e)|0;x=~~+h[j>>3];v=c[l>>2]|0;c[v+(r*60|0)+52>>2]=x;Au(9,0,24232,(k=i,i=i+16|0,c[k>>2]=c[v+(r*60|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}r=r+1|0;}while((r|0)<(c[m>>2]|0))}Au(9,0,23176,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+144|0;if((c[m>>2]|0)<=0){dv(g);i=f;return}r=b+32|0;b=0;do{l=gv(g,c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;do{if((l|0)==0){z=ty(c[(c[r>>2]|0)+(b*48|0)+4>>2]|0)|0;x=gv(g,z)|0;jY(z);if((x|0)!=0){A=x;t=38;break}Cu(9,0,22176,(k=i,i=i+8|0,c[k>>2]=c[(c[r>>2]|0)+(b*48|0)+4>>2],k)|0);i=k}else{A=l;t=38}}while(0);if((t|0)==38){t=0;mv(j,g,A,e)|0;a[(c[r>>2]|0)+(b*48|0)+42|0]=~~+h[j>>3];l=c[r>>2]|0;x=(a[l+(b*48|0)+42|0]|0)!=0?1337088:82200;Au(9,0,22688,(k=i,i=i+16|0,c[k>>2]=c[l+(b*48|0)+4>>2],c[k+8>>2]=x,k)|0);i=k}b=b+1|0;}while((b|0)<(c[m>>2]|0));dv(g);i=f;return}function py(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;Mw(a,+h[a+240>>3]);cx(a);hx(a);Zw(a);jx(a);ay(a);_w(a);cx(a);d=ry(a,b,c)|0;hx(a);Zw(a);dx(a);hx(a);return d|0}function qy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0;e=i;i=i+4096|0;f=e|0;Mw(b,+h[b+240>>3]);cx(b);hx(b);cy(b,0,1)|0;g=b+540|0;j=c[g>>2]|0;if((c[j+76>>2]|0)!=0&(d|0)>1){k=b+8|0;l=b+116|0;m=kY(c[l>>2]|0,8)|0;n=m;o=b+124|0;p=kY(c[o>>2]|0,4)|0;q=p;r=b+128|0;s=kY(c[r>>2]|0,1)|0;t=b+132|0;u=kY(c[t>>2]|0,4)|0;v=u;w=b+536|0;Du(c[w>>2]|0,(m|0)!=0|0,67016,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Du(c[w>>2]|0,(p|0)!=0|0,67016,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Du(c[w>>2]|0,(s|0)!=0|0,67016,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;Du(c[w>>2]|0,(u|0)!=0|0,67016,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;w=c[l>>2]|0;if((w|0)>0){y=c[k>>2]|0;z=0;do{h[n+(z<<3)>>3]=+h[y+(z*112|0)+96>>3];z=z+1|0;}while((z|0)<(w|0))}w=c[o>>2]|0;if((w|0)>0){z=c[b+12>>2]|0;y=0;do{c[q+(y<<2)>>2]=c[z+(y*60|0)+52>>2];y=y+1|0;}while((y|0)<(w|0))}w=c[r>>2]|0;if((w|0)>0){y=c[b+16>>2]|0;z=0;do{a[s+z|0]=a[y+(z*48|0)+42|0]|0;z=z+1|0;}while((z|0)<(w|0))}w=c[t>>2]|0;if((w|0)>0){z=c[b+20>>2]|0;y=0;do{c[v+(y<<2)>>2]=c[z+(y*52|0)+44>>2];y=y+1|0;}while((y|0)<(w|0))}if((c[406889]|0)==0){A=0}else{w=f|0;Ob(w|0,65512,(x=i,i=i+8|0,c[x>>2]=c[b+88>>2],x)|0)|0;i=x;f=xc(w|0,64584)|0;kd(f|0,63552,(x=i,i=i+8|0,c[x>>2]=61816,x)|0)|0;i=x;if((c[l>>2]|0)>0){w=k|0;y=0;do{kd(f|0,63552,(x=i,i=i+8|0,c[x>>2]=c[(c[w>>2]|0)+(y*112|0)+4>>2],x)|0)|0;i=x;y=y+1|0;}while((y|0)<(c[l>>2]|0))}Va(10,f|0)|0;A=f}Au(9,1,59872,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;a:do{if((d|0)>0){B=+(d-1|0);f=b+304|0;y=b+4|0;w=0;do{C=+(w|0)/B;h[f>>3]=C>1.0?1.0:C;Td[c[(c[g>>2]|0)+80>>2]&255](b)|0;Au(9,0,59040,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0);i=x;if((c[406889]|0)!=0){kd(A|0,58216,(x=i,i=i+8|0,h[x>>3]=+h[f>>3],x)|0)|0;i=x;if((c[l>>2]|0)>0){z=0;do{kd(A|0,58216,(x=i,i=i+8|0,h[x>>3]=+h[(c[(c[c[y>>2]>>2]|0)+8>>2]|0)+(z<<3)>>3],x)|0)|0;i=x;z=z+1|0;}while((z|0)<(c[l>>2]|0))}Va(10,A|0)|0}if((Nx(b,0)|0)!=0){break a}if((Gx(b,0)|0)!=0){break a}if((xx(b,0)|0)!=0){break a}kx(b);w=w+1|0;}while((w|0)<(d|0))}}while(0);Qd[c[3538]&511](9);if((c[406889]|0)!=0){Oa(A|0)|0}A=c[l>>2]|0;if((A|0)>0){l=c[k>>2]|0;k=0;do{h[l+(k*112|0)+96>>3]=+h[n+(k<<3)>>3];k=k+1|0;}while((k|0)<(A|0))}if((c[o>>2]|0)>0){A=c[b+12>>2]|0;k=0;do{c[A+(k*60|0)+52>>2]=c[q+(k<<2)>>2];k=k+1|0;}while((k|0)<(c[o>>2]|0))}if((c[r>>2]|0)>0){o=b+16|0;k=0;do{a[(c[o>>2]|0)+(k*48|0)+42|0]=a[s+k|0]|0;k=k+1|0;}while((k|0)<(c[r>>2]|0))}r=c[t>>2]|0;if((r|0)>0){t=b+20|0;k=0;do{c[(c[t>>2]|0)+(k*52|0)+44>>2]=c[v+(k<<2)>>2];k=k+1|0;}while((k|0)<(r|0))}jY(m);jY(p);jY(s);jY(u)}else{h[b+304>>3]=1.0;Td[c[j+80>>2]&255](b)|0}$w(b);if((cy(b,1,1)|0)!=1){i=e;return}Td[c[(c[g>>2]|0)+80>>2]&255](b)|0;$w(b);if((cy(b,1,1)|0)!=1){i=e;return}Cu(1,0,57368,(x=i,i=i+1|0,i=i+7&-8,c[x>>2]=0,x)|0);i=x;i=e;return}function ry(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;f=i;g=uy(b)|0;j=g|0;k=c[j>>2]|0;if((k|0)==0){Au(9,0,56728,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if((c[b+184>>2]|0)==0){ce[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0}jY(g);m=0;i=f;return m|0}n=b+184|0;o=c[n>>2]|0;if((o|0)==0){Au(9,0,56040,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ce[c[(c[b+540>>2]|0)+68>>2]&127](b,c[g+48>>2]|0)|0;jY(g);m=0;i=f;return m|0}do{if((c[g+16>>2]|0)<(k|0)){Au(9,1,55120,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;p=iY(c[j>>2]<<3)|0;q=p;r=g+40|0;s=c[r>>2]|0;c[r>>2]=0;t=+ky(g,1.0);c[r>>2]=s;u=c[j>>2]|0;if((u|0)>0){v=g+24|0;w=0;x=c[v>>2]|0;while(1){y=x+(w<<3)|0;h[y>>3]=+h[y>>3]+1.0e-6;c[r>>2]=0;h[q+(w<<3)>>3]=+V(+(+ky(g,1.0)-t))/1.0e-6;c[r>>2]=s;y=c[v>>2]|0;z=y+(w<<3)|0;h[z>>3]=+h[z>>3]+-1.0e-6;z=w+1|0;A=c[j>>2]|0;if((z|0)<(A|0)){w=z;x=y}else{B=A;break}}}else{B=u}x=c[n>>2]|0;if((x|0)>0){w=(B|0)>1;v=0;do{if(w){s=1;r=0;while(1){A=+h[q+(s<<3)>>3]>+h[q+(r<<3)>>3]?s:r;y=s+1|0;if((y|0)<(B|0)){s=y;r=A}else{C=A;break}}}else{C=0}h[q+(C<<3)>>3]=-1.0;v=v+1|0;}while((v|0)<(x|0))}Au(9,1,54280,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;x=b+112|0;v=c[x>>2]|0;if((v|0)>0){w=b+8|0;u=g+44|0;r=g+24|0;s=0;A=0;y=v;while(1){v=(c[w>>2]|0)+(s*112|0)+72|0;if((a[v]|0)==0){if(+h[q+(A<<3)>>3]<0.0){D=y}else{a[v]=1;t=+h[(c[r>>2]|0)+(A<<3)>>3];Au(9,0,52944,(l=i,i=i+16|0,c[l>>2]=c[(c[u>>2]|0)+(A<<2)>>2],h[l+8>>3]=t,l)|0);i=l;D=c[x>>2]|0}E=A+1|0;F=D}else{E=A;F=y}v=s+1|0;if((v|0)<(F|0)){s=v;A=E;y=F}else{G=E;break}}}else{G=0}y=b+136|0;if((c[y>>2]|0)>0){A=b+24|0;s=g+44|0;x=g+24|0;u=b+116|0;r=b+120|0;w=0;v=G;while(1){z=(c[A>>2]|0)+(w*112|0)+72|0;if((a[z]|0)==0){if(!(+h[q+(v<<3)>>3]<0.0)){a[z]=1;t=+h[(c[x>>2]|0)+(v<<3)>>3];Au(9,0,52944,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(v<<2)>>2],h[l+8>>3]=t,l)|0);i=l}H=v+1|0}else{H=v}z=c[r>>2]|0;I=(c[u>>2]|0)-z|0;if((I|0)<(z|0)){J=I;K=H;L=z;while(1){z=(c[A>>2]|0)+(J*112|0)+72|0;if((a[z]|0)==0){if(+h[q+(K<<3)>>3]<0.0){M=L}else{a[z]=1;t=+h[(c[x>>2]|0)+(K<<3)>>3];Au(9,0,52944,(l=i,i=i+16|0,c[l>>2]=c[(c[s>>2]|0)+(K<<2)>>2],h[l+8>>3]=t,l)|0);i=l;M=c[r>>2]|0}N=K+1|0;O=M}else{N=K;O=L}z=J+1|0;if((z|0)<(O|0)){J=z;K=N;L=O}else{P=z;Q=N;break}}}else{P=I;Q=H}L=P+1|0;if((L|0)<(c[y>>2]|0)){w=L;v=Q}else{break}}}if((c[406889]|0)!=0){Qd[c[3538]&511](9);Qd[c[3538]&511](9)}jY(p);vy(g);v=uy(b)|0;if((c[v>>2]|0)!=0){R=v;break}Au(9,0,52032,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;jY(v);m=0;i=f;return m|0}else{if((o|0)<=(k|0)){R=g;break}Au(9,0,51216,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;R=g}}while(0);do{if((d|0)==5|(d|0)==3){Au(9,0,50392,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;sy(R,d,1,e);ly(b,R);g=c[R>>2]|0;if((g|0)<=0){break}k=c[R+24>>2]|0;o=c[R+28>>2]|0;Q=0;do{h[o+(Q<<3)>>3]=+h[k+(Q<<3)>>3];Q=Q+1|0;}while((Q|0)<(g|0))}}while(0);if(+ky(R,1.0)>1.0e-9){g=R+40|0;Q=c[g>>2]|0;if((Q|0)!=0){jY(Q);c[g>>2]=0}g=R+52|0;Q=c[g>>2]|0;if((Q|0)!=0){jY(Q);c[g>>2]=0}g=R+56|0;Q=c[g>>2]|0;if((Q|0)!=0){jY(Q);c[g>>2]=0}sy(R,d,0,e);ly(b,R);+ky(R,1.0)}else{Au(9,0,49624,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l}Au(9,1,48920,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;ly(b,R);b=jy(R)|0;if((c[406889]|0)!=0){Qd[c[3538]&511](9)}vy(R);m=b;i=f;return m|0}function sy(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0.0;f=i;i=i+8|0;g=f|0;j=c[a+60>>2]|0;h[g>>3]=0.0;k=a|0;l=iY(c[k>>2]<<3)|0;m=l;n=+ky(a,1.0);o=c[k>>2]|0;if((o|0)>0){p=c[a+28>>2]|0;q=c[a+24>>2]|0;r=0;do{s=+h[p+(r<<3)>>3];h[q+(r<<3)>>3]=s;h[m+(r<<3)>>3]=s;r=r+1|0;}while((r|0)<(o|0))}if(!(n>1.0e-12)){t=1;xy(a,m);jY(l);u=t-1|0;Au(9,0,44656,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}o=(d|0)==0;d=a+24|0;r=1;s=n;a:while(1){Au(9,0,48216,(v=i,i=i+8|0,c[v>>2]=r,v)|0);i=v;if(!o){wy(a)}switch(b|0){case 4:{w=By(a)|0;break};case 2:{w=Cy(a)|0;break};case 6:{w=Ay(j,a,0)|0;break};case 1:{w=Ey(a)|0;break};case 5:{w=By(a)|0;break};case 3:{w=Gy(a,g,e)|0;break};default:{x=15;break a}}hx(j);Zw(j);dx(j);hx(j);n=+ky(a,1.0);q=(w|0)>-1;if(q&n<s){p=c[k>>2]|0;if((p|0)>0){y=c[d>>2]|0;z=0;do{h[m+(z<<3)>>3]=+h[y+(z<<3)>>3];z=z+1|0;}while((z|0)<(p|0))}Au(9,0,46784,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;ly(j,a);A=n}else{Au(9,0,46120,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v;if(q&n==s){t=r;x=23;break}else{A=s}}p=r+1|0;if((p|0)<201&n>1.0e-12){r=p;s=A}else{t=p;x=23;break}}if((x|0)==15){Eu(c[j+536>>2]|0,47520,(v=i,i=i+1|0,i=i+7&-8,c[v>>2]=0,v)|0);i=v}else if((x|0)==23){xy(a,m);jY(l);u=t-1|0;Au(9,0,44656,(v=i,i=i+8|0,c[v>>2]=u,v)|0);i=v;i=f;return}}function ty(b){b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;c=KY(b|0)|0;do{if((c|0)==0){d=0;e=iY(1)|0}else{f=0;g=0;h=c;while(1){i=a[b+g|0]|0;if((i<<24>>24|0)==91){j=f+1|0}else if((i<<24>>24|0)==93){j=f-1|0}else{j=f}if((j|0)!=0&i<<24>>24==44){k=((a[b+(g+1)|0]|0)!=32)+h|0}else{k=h}i=g+1|0;if(i>>>0<c>>>0){f=j;g=i;h=k}else{break}}h=iY(k+1|0)|0;if((k|0)==0){d=0;e=h;break}else{l=j;m=0;n=0}while(1){g=a[b+n|0]|0;if((g<<24>>24|0)==91){o=l+1|0}else if((g<<24>>24|0)==93){o=l-1|0}else{o=l}a[h+m|0]=g;do{if((o|0)!=0&g<<24>>24==44){if((a[b+(n+1)|0]|0)==32){p=m;break}f=m+1|0;a[h+f|0]=32;p=f}else{p=m}}while(0);g=p+1|0;if(g>>>0<k>>>0){l=o;m=g;n=n+1|0}else{d=k;e=h;break}}}}while(0);a[e+d|0]=0;if((HY(e,21728,4)|0)!=0){return e|0}k=e+4|0;n=d;while(1){if(n>>>0>3>>>0){if((a[e+n|0]|0)!=46){n=n-1|0;continue}}if((n|0)==3){q=23;break}m=n-3|0;MY(e|0,k|0,m)|0;o=e+m|0;C=678585700;a[o]=C;C=C>>8;a[o+1|0]=C;C=C>>8;a[o+2|0]=C;C=C>>8;a[o+3|0]=C;if((HY(e,21728,4)|0)==0){n=d}else{q=23;break}}if((q|0)==23){return e|0}return 0}function uy(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0,L=0,M=0.0,N=0.0,O=0.0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;d=i;e=iY(64)|0;f=e;Du(0,(e|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=e;k=e+4|0;l=e+8|0;m=e+12|0;n=e+16|0;o=e+20|0;p=e+24|0;q=e+28|0;r=e+32|0;s=e+36|0;t=e+40|0;u=e+44|0;v=e+48|0;w=e+52|0;x=e+56|0;NY(e|0,0,60)|0;c[e+60>>2]=b;e=b+8|0;y=b+112|0;z=c[y>>2]|0;if((z|0)>0){A=c[e>>2]|0;B=0;C=0;while(1){if((a[A+(B*112|0)+72|0]|0)==0){D=C+1|0;c[k>>2]=D;E=D}else{E=C}D=B+1|0;if((D|0)<(z|0)){B=D;C=E}else{F=E;break}}}else{F=0}E=b+136|0;C=c[E>>2]|0;if((C|0)>0){B=c[b+24>>2]|0;z=0;k=0;while(1){if((a[B+(z*112|0)+72|0]|0)==0){A=k+1|0;c[l>>2]=A;G=A}else{G=k}A=z+1|0;if((A|0)<(C|0)){z=A;k=G}else{H=G;break}}}else{H=0}G=b+116|0;k=b+120|0;z=c[k>>2]|0;if((z|0)>0){C=c[G>>2]|0;l=c[e>>2]|0;B=C-z|0;z=0;while(1){if((a[l+(B*112|0)+72|0]|0)==0){A=z+1|0;c[m>>2]=A;I=A}else{I=z}A=B+1|0;if((A|0)<(C|0)){B=A;z=I}else{J=I;break}}}else{J=0}I=H+F+J|0;c[j>>2]=I;if((I|0)==0){i=d;return f|0}j=kY(I,8)|0;c[p>>2]=j;Du(0,(j|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kY(I,8)|0;c[q>>2]=j;Du(0,(j|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kY(I,8)|0;c[r>>2]=j;Du(0,(j|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kY(I,8)|0;c[s>>2]=j;Du(0,(j|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kY(I,8)|0;c[t>>2]=j;Du(0,(j|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;j=kY(I,4)|0;z=j;c[u>>2]=z;Du(0,(j|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;Au(9,0,1603720,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;Au(9,0,1587120,(g=i,i=i+32|0,c[g>>2]=I,c[g+8>>2]=F,c[g+16>>2]=H,c[g+24>>2]=J,g)|0);i=g;J=c[y>>2]|0;if((J|0)>0){H=e|0;F=0;I=0;j=z;B=J;while(1){J=c[H>>2]|0;if((a[J+(F*112|0)+72|0]|0)==0){c[j+(I<<2)>>2]=c[J+(F*112|0)+4>>2];J=c[H>>2]|0;do{if((a[J+(F*112|0)+73|0]|0)==0){K=1.0;L=(c[t>>2]|0)+(I<<3)|0}else{M=+h[J+(F*112|0)+80>>3];N=+V(+M);C=(c[t>>2]|0)+(I<<3)|0;if(!(M==0.0)){K=N;L=C;break}K=1.0;L=C}}while(0);h[L>>3]=K;C=J+(F*112|0)+96|0;m=(c[p>>2]|0)+(I<<3)|0;h[m>>3]=+h[C>>3];l=(c[q>>2]|0)+(I<<3)|0;h[l>>3]=+h[C>>3];h[(c[r>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+56>>3];h[(c[s>>2]|0)+(I<<3)>>3]=+h[J+(F*112|0)+64>>3];C=I+1|0;A=c[u>>2]|0;D=c[A+(I<<2)>>2]|0;N=+h[l>>3];M=+h[L>>3];O=+h[m>>3];Au(9,0,74024,(g=i,i=i+40|0,c[g>>2]=C,c[g+8>>2]=D,h[g+16>>3]=N,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;P=C;Q=A;R=c[y>>2]|0}else{P=I;Q=j;R=B}A=F+1|0;if((A|0)<(R|0)){F=A;I=P;j=Q;B=R}else{S=P;T=Q;break}}}else{S=0;T=z}z=c[E>>2]|0;if((z|0)>0){Q=b+24|0;P=0;R=S;B=T;j=z;while(1){z=c[Q>>2]|0;if((a[z+(P*112|0)+72|0]|0)==0){c[B+(R<<2)>>2]=c[z+(P*112|0)+4>>2];z=c[Q>>2]|0;K=+h[z+(P*112|0)+80>>3];O=+V(+K);I=(c[t>>2]|0)+(R<<3)|0;h[I>>3]=K==0.0?1.0:O;F=z+(P*112|0)+96|0;y=(c[p>>2]|0)+(R<<3)|0;h[y>>3]=+h[F>>3];L=(c[q>>2]|0)+(R<<3)|0;h[L>>3]=+h[F>>3];h[(c[r>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+56>>3];h[(c[s>>2]|0)+(R<<3)>>3]=+h[z+(P*112|0)+64>>3];z=R+1|0;F=c[u>>2]|0;H=c[F+(R<<2)>>2]|0;O=+h[L>>3];K=+h[I>>3];M=+h[y>>3];Au(9,0,62568,(g=i,i=i+40|0,c[g>>2]=z,c[g+8>>2]=H,h[g+16>>3]=O,h[g+24>>3]=K,h[g+32>>3]=M,g)|0);i=g;U=z;W=F;X=c[E>>2]|0}else{U=R;W=B;X=j}F=P+1|0;if((F|0)<(X|0)){P=F;R=U;B=W;j=X}else{Y=U;Z=W;break}}}else{Y=S;Z=T}T=c[k>>2]|0;if((T|0)>0){S=c[G>>2]|0;W=e|0;U=S-T|0;T=Y;Y=Z;Z=S;while(1){S=c[W>>2]|0;if((a[S+(U*112|0)+72|0]|0)==0){c[Y+(T<<2)>>2]=c[S+(U*112|0)+4>>2];S=c[W>>2]|0;do{if((a[S+(U*112|0)+73|0]|0)==0){_=1.0;$=(c[t>>2]|0)+(T<<3)|0}else{M=+h[S+(U*112|0)+80>>3];K=+V(+M);X=(c[t>>2]|0)+(T<<3)|0;if(!(M==0.0)){_=K;$=X;break}_=1.0;$=X}}while(0);h[$>>3]=_;J=S+(U*112|0)+96|0;X=(c[p>>2]|0)+(T<<3)|0;h[X>>3]=+h[J>>3];j=(c[q>>2]|0)+(T<<3)|0;h[j>>3]=+h[J>>3];h[(c[r>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+56>>3];h[(c[s>>2]|0)+(T<<3)>>3]=+h[S+(U*112|0)+64>>3];J=T+1|0;B=c[u>>2]|0;R=c[B+(T<<2)>>2]|0;K=+h[j>>3];M=+h[$>>3];O=+h[X>>3];Au(9,0,53680,(g=i,i=i+40|0,c[g>>2]=J,c[g+8>>2]=R,h[g+16>>3]=K,h[g+24>>3]=M,h[g+32>>3]=O,g)|0);i=g;aa=J;ba=B;ca=c[G>>2]|0}else{aa=T;ba=Y;ca=Z}B=U+1|0;if((B|0)<(ca|0)){U=B;T=aa;Y=ba;Z=ca}else{break}}}ca=c[b+184>>2]|0;c[n>>2]=ca;c[o>>2]=0;n=c[G>>2]|0;if((n|0)>0){G=c[e>>2]|0;Z=0;ba=0;while(1){if((a[G+(Z*112|0)+88|0]|0)==0){da=ba}else{Y=ba+1|0;c[o>>2]=Y;da=Y}Y=Z+1|0;if((Y|0)<(n|0)){Z=Y;ba=da}else{ea=da;break}}}else{ea=0}da=c[E>>2]|0;if((da|0)>0){E=c[b+24>>2]|0;ba=0;Z=ea;while(1){do{if((a[E+(ba*112|0)+88|0]|0)==0){fa=Z}else{if((a[E+(ba*112|0)+72|0]|0)!=0){fa=Z;break}G=Z+1|0;c[o>>2]=G;fa=G}}while(0);S=ba+1|0;if((S|0)<(da|0)){ba=S;Z=fa}else{ga=fa;break}}}else{ga=ea}ea=c[k>>2]|0;if((ea|0)>0){k=c[e>>2]|0;e=n-ea|0;ea=ga;while(1){do{if((a[k+(e*112|0)+88|0]|0)==0){ha=ea}else{if((a[k+(e*112|0)+72|0]|0)!=0){ha=ea;break}fa=ea+1|0;c[o>>2]=fa;ha=fa}}while(0);fa=e+1|0;if((fa|0)<(n|0)){e=fa;ea=ha}else{ia=ha;break}}}else{ia=ga}ga=c[b+176>>2]|0;ha=c[b+180>>2]|0;Au(9,0,45416,(g=i,i=i+24|0,c[g>>2]=ca,c[g+8>>2]=ga,c[g+16>>2]=ha,g)|0);i=g;Au(9,0,37792,(g=i,i=i+8|0,c[g>>2]=ia,g)|0);i=g;ha=kY(ca,8)|0;c[v>>2]=ha;Du(0,(ha|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=iY(ca<<3)|0;v=ha;c[w>>2]=v;Du(0,(ha|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;ha=iY(ia<<3)|0;w=ha;c[x>>2]=w;Du(0,(ha|0)!=0|0,1596824,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;if((ca|0)>0){g=0;do{h[v+(g<<3)>>3]=1.0;g=g+1|0;}while((g|0)<(ca|0))}if((ia|0)>0){ja=0}else{i=d;return f|0}do{h[w+(ja<<3)>>3]=1.0;ja=ja+1|0;}while((ja|0)<(ia|0));i=d;return f|0}function vy(a){a=a|0;var b=0,d=0;b=c[a+24>>2]|0;if((b|0)!=0){jY(b)}b=c[a+28>>2]|0;if((b|0)!=0){jY(b)}b=c[a+32>>2]|0;if((b|0)!=0){jY(b)}b=c[a+36>>2]|0;if((b|0)!=0){jY(b)}b=c[a+40>>2]|0;if((b|0)!=0){jY(b)}b=c[a+44>>2]|0;if((b|0)!=0){jY(b)}b=c[a+48>>2]|0;if((b|0)!=0){jY(b)}b=c[a+52>>2]|0;if((b|0)!=0){jY(b)}b=c[a+56>>2]|0;if((b|0)==0){d=a;jY(d);return}jY(b);d=a;jY(d);return}function wy(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,X=0.0,Y=0.0,Z=0,_=0,$=0;d=i;e=c[b+60>>2]|0;f=b+40|0;if((c[f>>2]|0)==0){i=d;return}g=b+52|0;j=c[g>>2]|0;if((j|0)==0){i=d;return}k=b+56|0;l=c[k>>2]|0;if((l|0)==0){i=d;return}m=b+16|0;n=c[m>>2]|0;o=kY(n,8)|0;p=o;q=kY(n,8)|0;r=q;s=b+20|0;t=c[s>>2]|0;u=kY(t,8)|0;v=u;w=kY(t,8)|0;x=w;y=kY(n,8)|0;z=y;A=kY(t,8)|0;B=A;if((n|0)>0){C=0;do{h[j+(C<<3)>>3]=1.0;C=C+1|0;}while((C|0)<(n|0))}if((t|0)>0){n=0;do{h[l+(n<<3)>>3]=1.0;n=n+1|0;}while((n|0)<(t|0))}+ky(b,1.0);t=c[m>>2]|0;if((t|0)>0){MY(o|0,c[b+48>>2]|0,(t|0)>1?t<<3:8)|0}n=e+8|0;l=e+116|0;C=c[l>>2]|0;if((C|0)>0){j=c[n>>2]|0;D=e+4|0;E=0;F=0;while(1){if((a[j+(F*112|0)+88|0]|0)==0){G=E}else{h[v+(E<<3)>>3]=+h[j+(F*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(F<<3)>>3];G=E+1|0}H=F+1|0;if((H|0)<(C|0)){E=G;F=H}else{I=G;break}}}else{I=0}G=e+136|0;F=c[G>>2]|0;if((F|0)>0){E=c[e+24>>2]|0;D=e+4|0;j=I;H=0;while(1){do{if((a[E+(H*112|0)+88|0]|0)==0){J=j}else{if((a[E+(H*112|0)+72|0]|0)!=0){J=j;break}h[v+(j<<3)>>3]=+h[E+(H*112|0)+96>>3]- +h[(c[(c[c[D>>2]>>2]|0)+8>>2]|0)+(H<<3)>>3];J=j+1|0}}while(0);K=H+1|0;if((K|0)<(F|0)){j=J;H=K}else{L=J;break}}}else{L=I}I=e+120|0;J=c[I>>2]|0;if((J|0)>0){H=c[n>>2]|0;j=e+4|0;F=L;L=C-J|0;while(1){do{if((a[H+(L*112|0)+88|0]|0)==0){M=F}else{if((a[H+(L*112|0)+72|0]|0)!=0){M=F;break}h[v+(F<<3)>>3]=+h[H+(L*112|0)+96>>3]- +h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(L<<3)>>3];M=F+1|0}}while(0);J=L+1|0;if((J|0)<(C|0)){F=M;L=J}else{break}}}L=b|0;if((c[L>>2]|0)>0){M=b+24|0;F=n|0;n=e+4|0;C=e+24|0;e=b+48|0;j=0;H=c[M>>2]|0;while(1){J=H+(j<<3)|0;h[J>>3]=+h[J>>3]+1.0e-6;+ky(b,1.0);J=c[m>>2]|0;D=(J|0)>0;if(D){MY(q|0,c[e>>2]|0,(J|0)>1?J<<3:8)|0}E=c[l>>2]|0;if((E|0)>0){K=c[F>>2]|0;N=0;O=0;while(1){if((a[K+(O*112|0)+88|0]|0)==0){P=N}else{h[x+(N<<3)>>3]=+h[K+(O*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(O<<3)>>3];P=N+1|0}Q=O+1|0;if((Q|0)<(E|0)){N=P;O=Q}else{R=P;break}}}else{R=0}O=c[G>>2]|0;if((O|0)>0){N=c[C>>2]|0;K=R;Q=0;while(1){do{if((a[N+(Q*112|0)+88|0]|0)==0){S=K}else{if((a[N+(Q*112|0)+72|0]|0)!=0){S=K;break}h[x+(K<<3)>>3]=+h[N+(Q*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(Q<<3)>>3];S=K+1|0}}while(0);T=Q+1|0;if((T|0)<(O|0)){K=S;Q=T}else{U=S;break}}}else{U=R}Q=c[I>>2]|0;if((Q|0)>0){K=c[F>>2]|0;O=U;N=E-Q|0;while(1){do{if((a[K+(N*112|0)+88|0]|0)==0){W=O}else{if((a[K+(N*112|0)+72|0]|0)!=0){W=O;break}h[x+(O<<3)>>3]=+h[K+(N*112|0)+96>>3]- +h[(c[(c[c[n>>2]>>2]|0)+8>>2]|0)+(N<<3)>>3];W=O+1|0}}while(0);Q=N+1|0;if((Q|0)<(E|0)){O=W;N=Q}else{break}}}if(D){X=+h[(c[f>>2]|0)+(j<<3)>>3];N=0;do{Y=+V(+(X*(+h[r+(N<<3)>>3]- +h[p+(N<<3)>>3])/1.0e-6));O=z+(N<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}N=N+1|0;}while((N|0)<(J|0))}N=c[s>>2]|0;if((N|0)>0){X=+h[(c[f>>2]|0)+(j<<3)>>3];D=0;do{Y=+V(+(X*(+h[x+(D<<3)>>3]- +h[v+(D<<3)>>3])/1.0e-6));O=B+(D<<3)|0;if(Y>+h[O>>3]){h[O>>3]=Y}D=D+1|0;}while((D|0)<(N|0))}N=c[M>>2]|0;D=N+(j<<3)|0;h[D>>3]=+h[D>>3]+-1.0e-6;D=j+1|0;if((D|0)<(c[L>>2]|0)){j=D;H=N}else{Z=J;break}}}else{Z=t}if((Z|0)>0){t=0;H=Z;while(1){X=+h[z+(t<<3)>>3];Z=(c[g>>2]|0)+(t<<3)|0;if(X<1.0e-42){h[Z>>3]=1.0;j=t+1|0;Au(9,0,31520,(L=i,i=i+8|0,c[L>>2]=j,L)|0);i=L;_=c[m>>2]|0;$=j}else{h[Z>>3]=X;_=H;$=t+1|0}if(($|0)<(_|0)){t=$;H=_}else{break}}}if((c[s>>2]|0)>0){_=0;do{X=+h[B+(_<<3)>>3];h[(c[k>>2]|0)+(_<<3)>>3]=X<1.0e-42?1.0:X;_=_+1|0;}while((_|0)<(c[s>>2]|0))}jY(o);jY(q);jY(u);jY(w);jY(y);jY(A);i=d;return}function xy(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+24>>2]|0;a=0;do{h[e+(a<<3)>>3]=+h[b+(a<<3)>>3];a=a+1|0;}while((a|0)<(d|0));return}function yy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,i=0.0,j=0.0;d=c[a>>2]|0;if((d|0)<=0){return}e=c[a+40>>2]|0;f=(e|0)==0;g=c[a+24>>2]|0;a=0;do{i=+h[b+(a<<3)>>3];if(f){j=i}else{j=i*+h[e+(a<<3)>>3]}h[g+(a<<3)>>3]=j;a=a+1|0;}while((a|0)<(d|0));return}function zy(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=c[b+60>>2]|0;e=c[d+112>>2]|0;if((e|0)>0){f=b+24|0;g=c[d+8>>2]|0;i=0;j=0;while(1){if((a[g+(i*112|0)+72|0]|0)==0){h[(c[(c[c[d+4>>2]>>2]|0)+8>>2]|0)+(i<<3)>>3]=+h[(c[f>>2]|0)+(j<<3)>>3];k=j+1|0}else{k=j}l=i+1|0;if((l|0)<(e|0)){i=l;j=k}else{m=k;break}}}else{m=0}k=c[d+136>>2]|0;if((k|0)>0){j=b+24|0;i=c[d+24>>2]|0;e=0;f=m;while(1){if((a[i+(e*112|0)+72|0]|0)==0){h[(c[d+416>>2]|0)+(e<<3)>>3]=+h[(c[j>>2]|0)+(f<<3)>>3];n=f+1|0}else{n=f}g=e+1|0;if((g|0)<(k|0)){e=g;f=n}else{o=n;break}}}else{o=m}m=c[d+116>>2]|0;n=c[d+120>>2]|0;if((n|0)<=0){return}f=b+24|0;b=c[d+8>>2]|0;e=m-n|0;n=o;while(1){if((a[b+(e*112|0)+72|0]|0)==0){h[(c[d+400>>2]|0)+(e<<3)>>3]=+h[(c[f>>2]|0)+(n<<3)>>3];p=n+1|0}else{p=n}o=e+1|0;if((o|0)<(m|0)){e=o;n=p}else{break}}return}function Ay(a,b,d){a=a|0;b=b|0;d=d|0;Eu(c[a+536>>2]|0,1596488,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function By(a){a=a|0;Eu(0,1596448,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;return 0}function Cy(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+40|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;c[d>>2]=(c[406889]|0)!=0?1e3:0;k=a|0;l=c[k>>2]|0;c[e>>2]=l*1e3|0;h[f>>3]=1.0e-12;h[g>>3]=10.0;m=l<<1|1;c[j>>2]=m;n=kY((ga(m+13|0,m+l|0)|0)+((ga(l*3|0,l+3|0)|0)/2|0)|0,8)|0;Du(0,(n|0)!=0|0,1596432,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;c[409272]=c[a+60>>2];c[409268]=c[a+48>>2];qw(k,j,c[a+24>>2]|0,g,f,d,e,n,4);jY(n);c[409272]=0;c[409268]=0;n=jy(a)|0;i=b;return n|0}function Dy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;NY(f+28|0,0,20)|0;c[f+48>>2]=c[409268];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[409272];h[d>>3]=+ky(f,1.0);i=e;return}function Ey(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0.0,v=0.0,w=0,x=0;b=i;i=i+64|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;j=b+32|0;k=b+40|0;l=b+48|0;m=b+56|0;h[d>>3]=0.0;h[e>>3]=0.0;h[f>>3]=0.0;c[g>>2]=0;c[j>>2]=0;c[k>>2]=0;c[l>>2]=0;c[m>>2]=0;n=a|0;o=c[n>>2]<<3;p=iY(o)|0;q=p;r=iY(o)|0;o=r;Du(0,(p|0)!=0|0,1596320,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;Du(0,(r|0)!=0|0,1596320,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;r=c[n>>2]|0;if((r|0)>0){s=c[a+24>>2]|0;t=0;do{u=+h[s+(t<<3)>>3];if(u!=0.0){v=+V(+u)/1.0e3}else{v=1.0}h[q+(t<<3)>>3]=v;h[o+(t<<3)>>3]=0.0;t=t+1|0;}while((t|0)<(r|0))}t=r*1e3|0;c[m>>2]=t;if((c[406889]|0)==0){w=-1}else{w=(t|0)/10|0}c[g>>2]=w;h[e>>3]=1.0e-12;c[j>>2]=r;c[k>>2]=0;h[f>>3]=1.0e-12;v=+ky(a,1.0);h[d>>3]=v;if(v!=0.0){c[409270]=c[a+60>>2];c[409266]=c[a+48>>2];nw(c[a+24>>2]|0,q,n,d,m,g,e,j,k,f,o,6,l);c[409270]=0;c[409266]=0}else{Au(9,0,1603368,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p}v=+ky(a,1.0);h[d>>3]=v;Au(9,0,1587104,(p=i,i=i+8|0,h[p>>3]=v,p)|0);i=p;o=c[l>>2]|0;do{if((o|0)==3){Cu(9,0,53600,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-3;i=b;return x|0}else if((o|0)==4){Cu(9,0,45344,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-4;i=b;return x|0}else if((o|0)==1){if(!(+h[f>>3]<+h[d>>3])){break}Cu(9,0,73944,(p=i,i=i+8|0,c[p>>2]=c[m>>2],p)|0);i=p;x=-1;i=b;return x|0}else if((o|0)==2){Cu(9,0,62504,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;x=-2;i=b;return x|0}}while(0);x=jy(a)|0;i=b;return x|0}function Fy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+64|0;f=e|0;c[f>>2]=c[a>>2];c[f+4>>2]=-1;c[f+8>>2]=-1;c[f+16>>2]=0;c[f+20>>2]=0;c[f+24>>2]=b;NY(f+28|0,0,20)|0;c[f+48>>2]=c[409266];c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=c[409270];h[d>>3]=+ky(f,1.0);i=e;return}function Gy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0;e=i;i=i+8|0;f=e|0;g=ga(d*1e3|0,c[a>>2]|0)|0;c[f>>2]=0;Au(9,1,1596056,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;if((c[406889]|0)==0){k=0}else{k=(g|0)/10|0}Hy(a,d,g,k,b,f);Au(9,0,1603352,(j=i,i=i+8|0,c[j>>2]=c[f>>2],j)|0);i=j;Qd[c[3538]&511](9);if(+h[b>>3]<1.0){l=-1;i=e;return l|0}b=jy(a)|0;if((b|0)==0){l=0;i=e;return l|0}Cu(9,0,1587056,(j=i,i=i+1|0,i=i+7&-8,c[j>>2]=0,j)|0);i=j;l=b;i=e;return l|0}function Hy(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0,N=0.0,O=0.0,P=0.0,Q=0.0,R=0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0.0,ka=0.0,la=0,ma=0,na=0,oa=0.0,pa=0.0,qa=0.0,ra=0.0,sa=0.0,ta=0;j=i;i=i+4096|0;k=a|0;l=c[k>>2]|0;m=l+1|0;n=l<<3;o=iY(ga(n,m)|0)|0;p=o;q=iY(m<<3)|0;r=q;s=iY(n)|0;t=s;u=iY(n)|0;v=u;w=iY(n)|0;x=w;y=iY(n)|0;n=y;z=+h[f>>3];if((c[406889]|0)!=0&z<1.0){A=j|0;Ob(A|0,73928,(B=i,i=i+8|0,c[B>>2]=c[(c[a+60>>2]|0)+88>>2],B)|0)|0;i=B;C=xc(A|0,62496)|0;kd(C|0,53592,(B=i,i=i+8|0,c[B>>2]=45328,B)|0)|0;i=B;kd(C|0,53592,(B=i,i=i+8|0,c[B>>2]=37768,B)|0)|0;i=B;if((c[k>>2]|0)>0){A=a+44|0;D=0;do{kd(C|0,53592,(B=i,i=i+8|0,c[B>>2]=c[(c[A>>2]|0)+(D<<2)>>2],B)|0)|0;i=B;D=D+1|0;}while((D|0)<(c[k>>2]|0))}Va(10,C|0)|0;kd(C|0,25936,(B=i,i=i+8|0,c[B>>2]=0,B)|0)|0;i=B;kd(C|0,1611496,(B=i,i=i+8|0,h[B>>3]=z,B)|0)|0;i=B;if((c[k>>2]|0)>0){D=a+24|0;A=0;do{kd(C|0,1611496,(B=i,i=i+8|0,h[B>>3]=+h[(c[D>>2]|0)+(A<<3)>>3],B)|0)|0;i=B;A=A+1|0;}while((A|0)<(c[k>>2]|0))}Va(10,C|0)|0;E=C}else{E=0}Du(0,(o|0)!=0|0,1605168,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Du(0,(q|0)!=0|0,1605168,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Du(0,(s|0)!=0|0,1605168,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Du(0,(u|0)!=0|0,1605168,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Du(0,(w|0)!=0|0,1605168,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;Du(0,(y|0)!=0|0,1605168,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B;C=c[a+40>>2]|0;A=(l|0)>0;do{if((C|0)==0){if(!A){F=0;break}D=(m|0)>0;G=a+24|0;H=0;while(1){if(D){I=(c[G>>2]|0)+(H<<3)|0;J=0;do{h[p+((ga(J,l)|0)+H<<3)>>3]=+h[I>>3];J=J+1|0;}while((J|0)<(m|0))}J=H+1|0;if((J|0)<(l|0)){H=J}else{K=14;break}}}else{if(!A){F=0;break}H=c[a+24>>2]|0;G=(m|0)>0;D=0;while(1){L=+h[H+(D<<3)>>3]/+h[C+(D<<3)>>3];if(G){J=0;do{h[p+((ga(J,l)|0)+D<<3)>>3]=L;J=J+1|0;}while((J|0)<(m|0))}J=D+1|0;if((J|0)<(l|0)){D=J}else{K=14;break}}}}while(0);do{if((K|0)==14){C=(l|0)>0;if(C){M=0}else{F=0;break}while(1){A=p+((ga(M,l)|0)+M<<3)|0;h[A>>3]=+h[A>>3]+1.0;A=M+1|0;if((A|0)<(l|0)){M=A}else{F=C;break}}}}while(0);M=(m|0)>0;C=a+16|0;L=+(m|0);N=+(l|0);A=(e|0)==0;D=a+48|0;O=1.0/+(b-1|0);b=(E|0)==0;G=a+24|0;H=l<<3;P=0.0;J=0;Q=z;a:while(1){I=Q>=1.0;R=Q<1.0;S=P;T=J;b:while(1){U=T;c:while(1){W=U+1|0;if(M){X=0;do{yy(a,p+((ga(X,l)|0)<<3)|0);h[r+(X<<3)>>3]=+ky(a,Q);X=X+1|0;}while((X|0)<(m|0))}if(F){X=1;Y=0;while(1){Z=+h[r+(X<<3)>>3]<+h[r+(Y<<3)>>3]?X:Y;_=X+1|0;if((_|0)<(m|0)){X=_;Y=Z}else{$=Z;break}}}else{$=0}aa=ga($,l)|0;ba=p+(aa<<3)|0;yy(a,ba);+ky(a,Q);Y=c[C>>2]|0;if((Y|0)>0){X=c[D>>2]|0;Z=0;z=0.0;do{ca=+V(+(+h[X+(Z<<3)>>3]));z=ca>z?ca:z;Z=Z+1|0;}while((Z|0)<(Y|0));da=z<1.0e-12}else{da=1}if(I&da|(W|0)>(d|0)){break a}do{if(M){Y=$;Z=$;X=0;while(1){ca=+h[r+(X<<3)>>3];_=ca>+h[r+(Y<<3)>>3];ea=_?X:Y;fa=_?Y:Z;ha=ca<=+h[r+(fa<<3)>>3]|(X|0)==(ea|0)?fa:X;fa=X+1|0;if((fa|0)<(m|0)){Y=ea;Z=ha;X=fa}else{break}}if(M){ia=0;ja=0.0}else{ka=0.0;la=ea;ma=ha;break}do{ja=ja+ +h[r+(ia<<3)>>3];ia=ia+1|0;}while((ia|0)<(m|0));ca=ja/L;if(M){na=0;oa=0.0}else{ka=0.0;la=ea;ma=ha;break}while(1){pa=+h[r+(na<<3)>>3]-ca;qa=oa+pa*pa;X=na+1|0;if((X|0)<(m|0)){na=X;oa=qa}else{ka=qa;la=ea;ma=ha;break}}}else{ka=0.0;la=$;ma=$}}while(0);z=ka/N;do{if(!A){if(((W|0)%(e|0)|0|0)!=0){break}ca=+h[r+($<<3)>>3];qa=+h[r+(la<<3)>>3];Au(9,0,1600760,(B=i,i=i+32|0,h[B>>3]=Q,c[B+8>>2]=W,h[B+16>>3]=ca,h[B+24>>3]=qa,B)|0);i=B}}while(0);if(z<1.0e-8&R){break b}if(F){NY(y|0,0,H|0)|0}if(M){X=0;do{if(!((X|0)==(la|0)|F^1)){Z=ga(X,l)|0;Y=0;do{fa=n+(Y<<3)|0;h[fa>>3]=+h[p+(Y+Z<<3)>>3]+ +h[fa>>3];Y=Y+1|0;}while((Y|0)<(l|0))}X=X+1|0;}while((X|0)<(m|0))}do{if(F){X=0;do{Y=n+(X<<3)|0;h[Y>>3]=+h[Y>>3]/N;X=X+1|0;}while((X|0)<(l|0));if(!F){break}X=ga(la,l)|0;Y=0;do{z=+h[n+(Y<<3)>>3];h[t+(Y<<3)>>3]=z+(z- +h[p+(Y+X<<3)>>3]);Y=Y+1|0;}while((Y|0)<(l|0))}}while(0);yy(a,t);ra=+ky(a,Q);z=+h[r+($<<3)>>3];do{if(!(z>ra)){if(ra>+h[r+(ma<<3)>>3]){break}if(!F){U=W;continue c}MY(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue c}}while(0);if(ra>z){break}if(F){Y=0;do{qa=+h[n+(Y<<3)>>3];h[v+(Y<<3)>>3]=qa+(+h[t+(Y<<3)>>3]-qa)*2.0;Y=Y+1|0;}while((Y|0)<(l|0))}yy(a,v);if(+ky(a,Q)<ra){if(!F){U=W;continue}MY(o+(ga(H,la)|0)|0,u|0,H)|0;U=W;continue}else{if(!F){U=W;continue}MY(o+(ga(H,la)|0)|0,s|0,H)|0;U=W;continue}}if(+h[r+(ma<<3)>>3]>ra){K=90;break a}z=+h[r+(la<<3)>>3];if(ra<z){if(F){U=0;do{qa=+h[n+(U<<3)>>3];h[x+(U<<3)>>3]=qa+(+h[t+(U<<3)>>3]-qa)*.5;U=U+1|0;}while((U|0)<(l|0))}yy(a,x);sa=+ky(a,Q)}else{if(F){U=ga(la,l)|0;Y=0;do{qa=+h[n+(Y<<3)>>3];h[x+(Y<<3)>>3]=qa+(+h[p+(Y+U<<3)>>3]-qa)*.5;Y=Y+1|0;}while((Y|0)<(l|0))}yy(a,x);sa=+ky(a,Q)}if(sa<z){if(!F){S=sa;T=W;continue}MY(o+(ga(H,la)|0)|0,w|0,H)|0;S=sa;T=W;continue}if(M){ta=0}else{S=sa;T=W;continue}while(1){if(F){Y=ga(ta,l)|0;U=0;do{X=p+(U+Y<<3)|0;h[X>>3]=(+h[X>>3]+ +h[p+(U+aa<<3)>>3])*.5;U=U+1|0;}while((U|0)<(l|0))}U=ta+1|0;if((U|0)<(m|0)){ta=U}else{S=sa;T=W;continue b}}}z=Q+O;qa=z>1.0?1.0:z;z=+h[r+($<<3)>>3];Au(9,0,1597648,(B=i,i=i+24|0,h[B>>3]=qa,c[B+8>>2]=W,h[B+16>>3]=z,B)|0);i=B;if(b){P=S;J=W;Q=qa;continue}kd(E|0,25936,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;kd(E|0,1611496,(B=i,i=i+8|0,h[B>>3]=qa,B)|0)|0;i=B;if((c[k>>2]|0)>0){T=0;do{kd(E|0,1611496,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(T<<3)>>3],B)|0)|0;i=B;T=T+1|0;}while((T|0)<(c[k>>2]|0))}Va(10,E|0)|0;P=S;J=W;Q=qa}if((K|0)==90){Cu(9,0,1595592,(B=i,i=i+8|0,h[B>>3]=ra,B)|0);i=B;Cu(9,0,1594128,(B=i,i=i+8|0,h[B>>3]=S,B)|0);i=B;Eu(0,1592872,(B=i,i=i+1|0,i=i+7&-8,c[B>>2]=0,B)|0);i=B}yy(a,ba);if((f|0)!=0){h[f>>3]=Q}if((g|0)!=0){c[g>>2]=W}if(b){jY(u);jY(s);jY(w);jY(y);jY(q);jY(o);i=j;return}kd(E|0,25936,(B=i,i=i+8|0,c[B>>2]=W,B)|0)|0;i=B;kd(E|0,1611496,(B=i,i=i+8|0,h[B>>3]=Q,B)|0)|0;i=B;if((c[k>>2]|0)>0){W=0;do{kd(E|0,1611496,(B=i,i=i+8|0,h[B>>3]=+h[(c[G>>2]|0)+(W<<3)>>3],B)|0)|0;i=B;W=W+1|0;}while((W|0)<(c[k>>2]|0))}Va(10,E|0)|0;Oa(E|0)|0;jY(u);jY(s);jY(w);jY(y);jY(q);jY(o);i=j;return}function Iy(a,b){a=a|0;b=b|0;return}function Jy(b,d){b=b|0;d=d|0;var e=0,f=0,g=0.0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;e=i;f=c[b+12>>2]|0;Fv(3);Iv(0);g=+Av(0);Fv(0);j=d+4|0;kd(f|0,1595984,(k=i,i=i+8|0,h[k>>3]=+h[c[c[j>>2]>>2]>>3],k)|0)|0;i=k;if((c[b+8>>2]|0)!=0){kd(f|0,1595984,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k}b=d+116|0;l=c[b>>2]|0;if((l|0)>0){m=d+8|0;n=0;o=l;while(1){if((a[(c[m>>2]|0)+(n*112|0)+104|0]|0)==0){kd(f|0,1595984,(k=i,i=i+8|0,h[k>>3]=+h[(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(n<<3)>>3],k)|0)|0;i=k;p=c[b>>2]|0}else{p=o}l=n+1|0;if((l|0)<(p|0)){n=l;o=p}else{break}}}p=d+124|0;o=c[p>>2]|0;if((o|0)>0){n=d+12|0;b=0;m=o;while(1){if((a[(c[n>>2]|0)+(b*60|0)+56|0]|0)==0){kd(f|0,1603296,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(b<<2)>>2],k)|0)|0;i=k;q=c[p>>2]|0}else{q=m}o=b+1|0;if((o|0)<(q|0)){b=o;m=q}else{break}}}q=d+128|0;m=c[q>>2]|0;if((m|0)>0){b=d+16|0;p=0;n=m;while(1){if((a[(c[b>>2]|0)+(p*48|0)+44|0]|0)==0){kd(f|0,1603296,(k=i,i=i+8|0,c[k>>2]=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+p|0]|0,k)|0)|0;i=k;r=c[q>>2]|0}else{r=n}m=p+1|0;if((m|0)<(r|0)){p=m;n=r}else{break}}}r=d+132|0;n=c[r>>2]|0;if((n|0)>0){p=d+20|0;q=0;b=n;while(1){if((a[(c[p>>2]|0)+(q*52|0)+48|0]|0)==0){kd(f|0,1587048,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(q<<2)>>2],k)|0)|0;i=k;s=c[r>>2]|0}else{s=b}n=q+1|0;if((n|0)<(s|0)){q=n;b=s}else{break}}}s=d+216|0;if((c[s>>2]|0)>0){b=d+40|0;q=0;do{r=c[b>>2]|0;do{if((a[r+(q*52|0)+48|0]|0)==0){p=a[r+(q*52|0)+8|0]|0;if((p<<24>>24|0)==2){t=c[c[j>>2]>>2]|0}else if((p<<24>>24|0)==1){break}else{t=(c[(c[c[j>>2]>>2]|0)+8>>2]|0)+(c[r+(q*52|0)+4>>2]<<3)|0}g=+h[t>>3];if((c[r+(q*52|0)>>2]|0)==0){kd(f|0,1595984,(k=i,i=i+8|0,h[k>>3]=g,k)|0)|0;i=k;break}else{kd(f|0,1595984,(k=i,i=i+8|0,h[k>>3]=-0.0-g,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+220|0;if((c[s>>2]|0)>0){q=d+44|0;t=0;do{b=c[q>>2]|0;do{if((a[b+(t*52|0)+48|0]|0)==0){if((a[b+(t*52|0)+8|0]|0)==1){break}r=c[(c[(c[c[j>>2]>>2]|0)+12>>2]|0)+(c[b+(t*52|0)+4>>2]<<2)>>2]|0;if((c[b+(t*52|0)>>2]|0)==0){kd(f|0,1603296,(k=i,i=i+8|0,c[k>>2]=r,k)|0)|0;i=k;break}else{kd(f|0,1603296,(k=i,i=i+8|0,c[k>>2]=-r,k)|0)|0;i=k;break}}}while(0);t=t+1|0;}while((t|0)<(c[s>>2]|0))}s=d+224|0;if((c[s>>2]|0)>0){t=d+48|0;q=0;do{b=c[t>>2]|0;do{if((a[b+(q*52|0)+48|0]|0)==0){if((a[b+(q*52|0)+8|0]|0)==1){break}r=a[(c[(c[c[j>>2]>>2]|0)+16>>2]|0)+(c[b+(q*52|0)+4>>2]|0)|0]|0;if((c[b+(q*52|0)>>2]|0)==0){kd(f|0,1603296,(k=i,i=i+8|0,c[k>>2]=r<<24>>24,k)|0)|0;i=k;break}else{kd(f|0,1603296,(k=i,i=i+8|0,c[k>>2]=r<<24>>24!=1,k)|0)|0;i=k;break}}}while(0);q=q+1|0;}while((q|0)<(c[s>>2]|0))}s=d+228|0;q=c[s>>2]|0;if((q|0)<=0){u=Va(10,f|0)|0;Iv(3);i=e;return}t=d+52|0;d=0;b=q;while(1){q=c[t>>2]|0;do{if((a[q+(d*52|0)+48|0]|0)==0){if((a[q+(d*52|0)+8|0]|0)==1){v=b;break}kd(f|0,1587048,(k=i,i=i+8|0,c[k>>2]=c[(c[(c[c[j>>2]>>2]|0)+20>>2]|0)+(c[q+(d*52|0)+4>>2]<<2)>>2],k)|0)|0;i=k;v=c[s>>2]|0}else{v=b}}while(0);q=d+1|0;if((q|0)<(v|0)){d=q;b=v}else{break}}u=Va(10,f|0)|0;Iv(3);i=e;return}function Ky(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;f=b|0;g=xc(c[f>>2]|0,62488)|0;h=c[d+536>>2]|0;j=c[f>>2]|0;f=Wc(c[(Vc()|0)>>2]|0)|0;Du(h,(g|0)!=0|0,53536,(h=i,i=i+16|0,c[h>>2]=j,c[h+8>>2]=f,h)|0);i=h;kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=45320,h)|0)|0;i=h;if((c[b+8>>2]|0)!=0){kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=37752,h)|0)|0;i=h}f=d+116|0;j=c[f>>2]|0;if((j|0)>0){k=d+8|0;l=0;m=j;while(1){j=c[k>>2]|0;if((a[j+(l*112|0)+104|0]|0)==0){kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=c[j+(l*112|0)+4>>2],h)|0)|0;i=h;n=c[f>>2]|0}else{n=m}j=l+1|0;if((j|0)<(n|0)){l=j;m=n}else{break}}}n=d+124|0;m=c[n>>2]|0;if((m|0)>0){l=d+12|0;f=0;k=m;while(1){m=c[l>>2]|0;if((a[m+(f*60|0)+56|0]|0)==0){kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=c[m+(f*60|0)+4>>2],h)|0)|0;i=h;o=c[n>>2]|0}else{o=k}m=f+1|0;if((m|0)<(o|0)){f=m;k=o}else{break}}}o=d+128|0;k=c[o>>2]|0;if((k|0)>0){f=d+16|0;n=0;l=k;while(1){k=c[f>>2]|0;if((a[k+(n*48|0)+44|0]|0)==0){kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=c[k+(n*48|0)+4>>2],h)|0)|0;i=h;p=c[o>>2]|0}else{p=l}k=n+1|0;if((k|0)<(p|0)){n=k;l=p}else{break}}}p=d+132|0;l=c[p>>2]|0;if((l|0)>0){n=d+20|0;o=0;f=l;while(1){l=c[n>>2]|0;if((a[l+(o*52|0)+48|0]|0)==0){kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=c[l+(o*52|0)+4>>2],h)|0)|0;i=h;q=c[p>>2]|0}else{q=f}l=o+1|0;if((l|0)<(q|0)){o=l;f=q}else{break}}}q=d+216|0;f=c[q>>2]|0;if((f|0)>0){o=d+40|0;p=0;n=f;while(1){f=c[o>>2]|0;do{if((a[f+(p*52|0)+48|0]|0)==0){if((a[f+(p*52|0)+8|0]|0)==1){r=n;break}kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=c[f+(p*52|0)+16>>2],h)|0)|0;i=h;r=c[q>>2]|0}else{r=n}}while(0);f=p+1|0;if((f|0)<(r|0)){p=f;n=r}else{break}}}r=d+220|0;n=c[r>>2]|0;if((n|0)>0){p=d+44|0;q=0;o=n;while(1){n=c[p>>2]|0;do{if((a[n+(q*52|0)+48|0]|0)==0){if((a[n+(q*52|0)+8|0]|0)==1){s=o;break}kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=c[n+(q*52|0)+16>>2],h)|0)|0;i=h;s=c[r>>2]|0}else{s=o}}while(0);n=q+1|0;if((n|0)<(s|0)){q=n;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){q=d+48|0;r=0;p=o;while(1){o=c[q>>2]|0;do{if((a[o+(r*52|0)+48|0]|0)==0){if((a[o+(r*52|0)+8|0]|0)==1){t=p;break}kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=c[o+(r*52|0)+16>>2],h)|0)|0;i=h;t=c[s>>2]|0}else{t=p}}while(0);o=r+1|0;if((o|0)<(t|0)){r=o;p=t}else{break}}}t=d+228|0;p=c[t>>2]|0;if((p|0)<=0){u=Va(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}r=d+52|0;d=0;s=p;while(1){p=c[r>>2]|0;do{if((a[p+(d*52|0)+48|0]|0)==0){if((a[p+(d*52|0)+8|0]|0)==1){x=s;break}kd(g|0,1587048,(h=i,i=i+8|0,c[h>>2]=c[p+(d*52|0)+16>>2],h)|0)|0;i=h;x=c[t>>2]|0}else{x=s}}while(0);p=d+1|0;if((p|0)<(x|0)){d=p;s=x}else{break}}u=Va(10,g|0)|0;v=g;w=b+12|0;c[w>>2]=v;i=e;return}function Ly(a,b){a=a|0;b=b|0;b=c[a+12>>2]|0;Fv(3);Oa(b|0)|0;Iv(3);return}function My(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;i=i+72|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+40|0;l=d+56|0;m=c[a+12>>2]|0;c[g>>2]=0;n=m;uQ(j,n);o=m+184|0;p=k;c[p>>2]=c[o>>2];c[p+4>>2]=c[o+4>>2];c[p+8>>2]=c[o+8>>2];c[p+12>>2]=c[o+12>>2];vQ(n,k)|0;Ny(b,g,e,f,+h[m+224>>3],+h[m+232>>3]);m=c[g>>2]|0;Oy(a,b,1595824,c[f>>2]|0,c[e>>2]|0,m,8);jY(m);c[g>>2]=0;g=l;m=j;c[g>>2]=c[m>>2];c[g+4>>2]=c[m+4>>2];c[g+8>>2]=c[m+8>>2];c[g+12>>2]=c[m+12>>2];vQ(n,l)|0;i=d;return}function Ny(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=+g;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0;k=i;c[e>>2]=2;l=b+136|0;m=b+140|0;n=b+144|0;o=(c[l>>2]|0)+1+(c[m>>2]|0)+(c[n>>2]|0)|0;c[f>>2]=o;p=kY(ga(c[e>>2]|0,o)|0,8)|0;c[d>>2]=p;Du(c[b+536>>2]|0,(p|0)!=0|0,1600728,(p=i,i=i+1|0,i=i+7&-8,c[p>>2]=0,p)|0);i=p;p=c[d>>2]|0;h[p>>3]=g;d=c[f>>2]|0;h[p+(d<<3)>>3]=j;f=c[l>>2]|0;if((f|0)>0){l=c[b+416>>2]|0;o=0;do{e=l+(o<<3)|0;o=o+1|0;h[p+(o<<3)>>3]=+h[e>>3];h[p+(d+o<<3)>>3]=+h[e>>3];}while((o|0)<(f|0))}o=f+1|0;f=c[m>>2]|0;if((f|0)>0){m=c[b+420>>2]|0;l=0;do{j=+(c[m+(l<<2)>>2]|0);e=l+o|0;h[p+(e<<3)>>3]=j;h[p+(d+e<<3)>>3]=j;l=l+1|0;}while((l|0)<(f|0))}l=f+o|0;o=c[n>>2]|0;if((o|0)<=0){i=k;return}n=c[b+424>>2]|0;b=0;do{f=n+b|0;m=l+b|0;h[p+(m<<3)>>3]=+(a[f]|0);h[p+(d+m<<3)>>3]=+(a[f]|0);b=b+1|0;}while((b|0)<(o|0));i=k;return}function Oy(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;j=i;k=c[a+12>>2]|0;Yy(a,b,d,e,f,h);tQ(k,g,ga(ga(f,e)|0,h)|0)|0;if(QO(k+(c[(c[k>>2]|0)-12>>2]|0)|0)|0){Eu(c[b+536>>2]|0,1611456,(b=i,i=i+8|0,c[b>>2]=c[a>>2],b)|0);i=b}else{i=j;return}}function Py(a){a=a|0;if((Qz(a+4|0)|0)!=0){return}TO(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function Qy(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+104|0;e=d|0;f=d+8|0;g=d+16|0;j=d+24|0;k=d+32|0;l=d+40|0;m=d+56|0;n=d+72|0;o=d+88|0;p=oY(320)|0;NY(p|0,0,320)|0;Ry(p);q=a+12|0;c[q>>2]=p;r=(c[b+140>>2]|0)+(c[b+136>>2]|0)+(c[b+144>>2]|0)|0;c[e>>2]=0;c[j>>2]=0;c[k>>2]=0;Fv(3);s=a+8|0;t=Sy(c[s>>2]|0,c[q>>2]|0,b)|0;q=p+316|0;c[q>>2]=t;u=Ty(a,b,t+r|0)|0;t=p+184|0;Uy(l,-1,-1);v=l;c[t>>2]=c[v>>2];c[t+4>>2]=c[v+4>>2];c[t+8>>2]=c[v+8>>2];c[t+12>>2]=c[v+12>>2];v=p+200|0;Uy(m,-1,-1);l=m;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];c[v+12>>2]=c[l+12>>2];c[p+216>>2]=0;l=p+224|0;h[l>>3]=+h[b+240>>3];m=p+232|0;h[m>>3]=+h[b+248>>3];w=a|0;Vy(p,c[w>>2]|0,36);if(QO(p+(c[(c[p>>2]|0)-12>>2]|0)|0)|0){Eu(c[b+536>>2]|0,1603184,(x=i,i=i+8|0,c[x>>2]=c[w>>2],x)|0);i=x}Oy(a,b,1587040,4,11,1627400,1);Wy((c[q>>2]|0)+r|0,u,e,f,g,0,0)|0;x=c[e>>2]|0;Oy(a,b,73920,c[f>>2]|0,c[g>>2]|0,x,1);jY(x);c[e>>2]=0;Wy((c[q>>2]|0)+r|0,u,e,f,g,0,1)|0;x=c[e>>2]|0;Oy(a,b,62472,c[f>>2]|0,c[g>>2]|0,x,1);jY(x);c[e>>2]=0;Xy(a,b,j,f,g,c[q>>2]|0,r);Oy(a,b,53520,c[g>>2]|0,c[f>>2]|0,c[j>>2]|0,4);r=p;uQ(n,r);q=n;c[t>>2]=c[q>>2];c[t+4>>2]=c[q+4>>2];c[t+8>>2]=c[q+8>>2];c[t+12>>2]=c[q+12>>2];Ny(b,k,f,g,+h[l>>3],+h[m>>3]);m=c[k>>2]|0;Oy(a,b,1595824,c[g>>2]|0,c[f>>2]|0,m,8);uQ(o,r);f=o;c[v>>2]=c[f>>2];c[v+4>>2]=c[f+4>>2];c[v+8>>2]=c[f+8>>2];c[v+12>>2]=c[f+12>>2];f=Zy(p+240|0)|0;v=Zy(p+264|0)|0;o=Zy(p+288|0)|0;Yy(a,b,45312,f+1+v+o+(c[p+312>>2]|0)+(c[s>>2]|0)|0,0,8);jY(m);jY(c[j>>2]|0);c[k>>2]=0;c[j>>2]=0;$P(r)|0;jY(u);Iv(3);i=d;return}function Ry(a){a=a|0;_B(a);return}function Sy(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=(b|0)==0?1:2;c[g>>2]=0;b=e+116|0;l=c[b>>2]|0;if((l|0)>0){m=e+8|0;n=d+240|0;o=0;p=k;q=l;while(1){if((a[(c[m>>2]|0)+(o*112|0)+104|0]|0)==0){c[(cB(n,g)|0)>>2]=p;r=p+1|0;s=c[g>>2]|0;t=c[b>>2]|0}else{r=p;s=o;t=q}l=s+1|0;c[g>>2]=l;if((l|0)<(t|0)){o=l;p=r;q=t}else{u=r;break}}}else{u=k}c[h>>2]=0;k=e+124|0;r=c[k>>2]|0;if((r|0)>0){t=e+12|0;q=d+264|0;p=0;o=u;g=r;while(1){if((a[(c[t>>2]|0)+(p*60|0)+56|0]|0)==0){c[(cB(q,h)|0)>>2]=o;v=o+1|0;w=c[h>>2]|0;x=c[k>>2]|0}else{v=o;w=p;x=g}r=w+1|0;c[h>>2]=r;if((r|0)<(x|0)){p=r;o=v;g=x}else{y=v;break}}}else{y=u}c[j>>2]=0;u=e+128|0;v=c[u>>2]|0;if((v|0)>0){x=e+16|0;g=d+288|0;o=0;p=y;h=v;while(1){if((a[(c[x>>2]|0)+(o*48|0)+44|0]|0)==0){c[(cB(g,j)|0)>>2]=p;z=p+1|0;A=c[j>>2]|0;B=c[u>>2]|0}else{z=p;A=o;B=h}v=A+1|0;c[j>>2]=v;if((v|0)<(B|0)){o=v;p=z;h=B}else{C=z;break}}}else{C=y}y=c[e+216>>2]|0;if((y|0)>0){z=c[e+40>>2]|0;B=C;h=0;while(1){p=((a[z+(h*52|0)+48|0]|0)==0)+B|0;o=h+1|0;if((o|0)<(y|0)){B=p;h=o}else{D=p;break}}}else{D=C}C=c[e+220>>2]|0;if((C|0)>0){h=c[e+44>>2]|0;B=D;y=0;while(1){z=((a[h+(y*52|0)+48|0]|0)==0)+B|0;p=y+1|0;if((p|0)<(C|0)){B=z;y=p}else{E=z;break}}}else{E=D}D=d+312|0;c[D>>2]=0;d=c[e+224>>2]|0;if((d|0)<=0){F=E;i=f;return F|0}y=c[e+48>>2]|0;e=E;E=0;B=0;while(1){if((a[y+(E*52|0)+48|0]|0)==0){if((c[y+(E*52|0)>>2]|0)==0){G=B}else{C=B+1|0;c[D>>2]=C;G=C}H=e+1|0;I=G}else{H=e;I=B}C=E+1|0;if((C|0)<(d|0)){e=H;E=C;B=I}else{F=H;break}}i=f;return F|0}function Ty(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;f=i;i=i+24|0;g=f|0;h=f+8|0;j=f+16|0;k=c[b+12>>2]|0;l=iY(e<<2)|0;e=l;c[e>>2]=1648;if((c[b+8>>2]|0)==0){m=1}else{c[l+4>>2]=18224;m=2}l=c[d+116>>2]|0;if((l|0)>0){b=c[d+8>>2]|0;n=m;o=0;while(1){if((a[b+(o*112|0)+104|0]|0)==0){c[e+(n<<2)>>2]=b+(o*112|0);p=n+1|0}else{p=n}q=o+1|0;if((q|0)<(l|0)){n=p;o=q}else{r=p;break}}}else{r=m}m=c[d+124>>2]|0;if((m|0)>0){p=c[d+12>>2]|0;o=r;n=0;while(1){if((a[p+(n*60|0)+56|0]|0)==0){c[e+(o<<2)>>2]=p+(n*60|0);s=o+1|0}else{s=o}l=n+1|0;if((l|0)<(m|0)){o=s;n=l}else{t=s;break}}}else{t=r}r=c[d+128>>2]|0;if((r|0)>0){s=c[d+16>>2]|0;n=t;o=0;while(1){if((a[s+(o*48|0)+44|0]|0)==0){c[e+(n<<2)>>2]=s+(o*48|0);u=n+1|0}else{u=n}m=o+1|0;if((m|0)<(r|0)){n=u;o=m}else{v=u;break}}}else{v=t}t=c[d+216>>2]|0;if((t|0)>0){u=c[d+40>>2]|0;o=v;n=0;while(1){if((a[u+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=u+(n*52|0)+12;w=o+1|0}else{w=o}r=n+1|0;if((r|0)<(t|0)){o=w;n=r}else{x=w;break}}}else{x=v}v=c[d+220>>2]|0;if((v|0)>0){w=c[d+44>>2]|0;n=x;o=0;while(1){if((a[w+(o*52|0)+48|0]|0)==0){c[e+(n<<2)>>2]=w+(o*52|0)+12;y=n+1|0}else{y=n}t=o+1|0;if((t|0)<(v|0)){n=y;o=t}else{z=y;break}}}else{z=x}x=c[d+224>>2]|0;if((x|0)>0){y=c[d+48>>2]|0;o=z;n=0;while(1){if((a[y+(n*52|0)+48|0]|0)==0){c[e+(o<<2)>>2]=y+(n*52|0)+12;A=o+1|0}else{A=o}v=n+1|0;if((v|0)<(x|0)){o=A;n=v}else{B=A;break}}}else{B=z}c[g>>2]=0;z=d+136|0;if((c[z>>2]|0)>0){A=d+24|0;n=k+252|0;o=0;x=B;y=1;while(1){v=x+1|0;c[e+(x<<2)>>2]=(c[A>>2]|0)+(o*112|0);c[(cB(n,g)|0)>>2]=y;w=y+1|0;t=(c[g>>2]|0)+1|0;c[g>>2]=t;if((t|0)<(c[z>>2]|0)){o=t;x=v;y=w}else{C=v;D=w;break}}}else{C=B;D=1}c[h>>2]=0;B=d+140|0;if((c[B>>2]|0)>0){y=d+28|0;x=k+276|0;o=0;z=C;g=D;while(1){n=z+1|0;c[e+(z<<2)>>2]=(c[y>>2]|0)+(o*60|0);c[(cB(x,h)|0)>>2]=g;A=g+1|0;w=(c[h>>2]|0)+1|0;c[h>>2]=w;if((w|0)<(c[B>>2]|0)){o=w;z=n;g=A}else{E=n;F=A;break}}}else{E=C;F=D}c[j>>2]=0;D=d+144|0;if((c[D>>2]|0)<=0){i=f;return e|0}C=d+32|0;d=k+300|0;k=0;g=E;E=F;while(1){c[e+(g<<2)>>2]=(c[C>>2]|0)+(k*48|0);c[(cB(d,j)|0)>>2]=E;F=(c[j>>2]|0)+1|0;c[j>>2]=F;if((F|0)<(c[D>>2]|0)){k=F;g=g+1|0;E=E+1|0}else{break}}i=f;return e|0}function Uy(a,b,c){a=a|0;b=b|0;c=c|0;Pz(a,b,c);return}function Vy(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(Oz(a+4|0,b,d|16)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){TO(d,4);return}else{RO(d,0);return}}function Wy(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;c[f>>2]=a;c[e>>2]=0;k=(a|0)>0;do{if(k){l=0;m=0;while(1){n=c[b+(l<<2)>>2]|0;o=KY(c[(h?n+8|0:n+4|0)>>2]|0)|0;if((o|0)>(m|0)){c[e>>2]=o;p=o}else{p=m}o=l+1|0;if((o|0)<(a|0)){l=o;m=p}else{break}}m=kY((ga(c[f>>2]|0,p)|0)+1|0,1)|0;c[d>>2]=m;Du(0,(m|0)!=0|0,25912,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;if(!k){break}m=0;l=c[d>>2]|0;o=c[e>>2]|0;while(1){n=b+(m<<2)|0;r=c[n>>2]|0;LY(l|0,c[(h?r+8|0:r+4|0)>>2]|0,o+1|0)|0;if(g){r=c[n>>2]|0;bz(l,KY(c[(h?r+8|0:r+4|0)>>2]|0)|0)}r=c[e>>2]|0;n=m+1|0;if((n|0)<(a|0)){m=n;l=l+r|0;o=r}else{s=r;break}}t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}else{o=kY(1,1)|0;c[d>>2]=o;Du(0,(o|0)!=0|0,25912,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}}while(0);s=c[e>>2]|0;t=c[f>>2]|0;u=ga(t,s)|0;i=j;return u|0}function Xy(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;k=i;i=i+56|0;l=k|0;m=k+8|0;n=k+16|0;o=k+24|0;p=k+32|0;q=k+40|0;r=k+48|0;s=c[b+12>>2]|0;c[f>>2]=j+h;c[g>>2]=4;g=kY(c[f>>2]<<2,4)|0;c[e>>2]=g;Du(c[d+536>>2]|0,(g|0)!=0|0,1605128,(g=i,i=i+1|0,i=i+7&-8,c[g>>2]=0,g)|0);i=g;g=s+240|0;f=Zy(g)|0;h=s+264|0;t=Zy(h)|0;u=s+288|0;v=Zy(u)|0;w=b+8|0;if((f+1+t+v|0)==(-(c[w>>2]|0)|0)){x=0;y=1}else{v=c[e>>2]|0;t=0;f=1;b=0;while(1){c[v+(t<<2)>>2]=2;c[v+((t|1)<<2)>>2]=f;c[v+((t|2)<<2)>>2]=0;z=t+4|0;c[v+((t|3)<<2)>>2]=-1;A=f+1|0;B=b+1|0;C=Zy(g)|0;D=Zy(h)|0;E=Zy(u)|0;if(B>>>0<(C+1+D+E+(c[w>>2]|0)|0)>>>0){t=z;f=A;b=B}else{x=z;y=A;break}}}b=d+216|0;if((c[b>>2]|0)>0){f=d+40|0;t=s+252|0;w=x;v=0;while(1){A=c[f>>2]|0;do{if((a[A+(v*52|0)+48|0]|0)==0){z=a[A+(v*52|0)+8|0]|0;if((z<<24>>24|0)==2){F=2;G=1}else if((z<<24>>24|0)==0){cz(l,g,A+(v*52|0)+4|0);ez(m,g);if(!(dz(l,m)|0)){H=w;break}F=2;G=(c[(fz(l)|0)+4>>2]|0)+1|0}else if((z<<24>>24|0)==1){cz(l,t,A+(v*52|0)+4|0);ez(n,t);if(!(dz(l,n)|0)){H=w;break}F=1;G=(c[(fz(l)|0)+4>>2]|0)+1|0}else{H=w;break}z=c[e>>2]|0;c[z+(w<<2)>>2]=F;if((c[(c[f>>2]|0)+(v*52|0)>>2]|0)==0){c[z+(w+1<<2)>>2]=G}else{c[z+(w+1<<2)>>2]=-G}c[z+(w+2<<2)>>2]=0;c[z+(w+3<<2)>>2]=-1;H=w+4|0}else{H=w}}while(0);A=v+1|0;if((A|0)<(c[b>>2]|0)){w=H;v=A}else{I=H;break}}}else{I=x}x=d+220|0;if((c[x>>2]|0)>0){H=d+44|0;v=s+276|0;w=I;b=0;while(1){G=c[H>>2]|0;do{if((a[G+(b*52|0)+48|0]|0)==0){f=a[G+(b*52|0)+8|0]|0;if((f<<24>>24|0)==1){cz(l,v,G+(b*52|0)+4|0);ez(p,v);J=(dz(l,p)|0)&1}else if((f<<24>>24|0)==0){cz(l,h,G+(b*52|0)+4|0);ez(o,h);f=dz(l,o)|0;J=f?2:0}else{K=w;break}if((J|0)==0){K=w;break}f=c[e>>2]|0;c[f+(w<<2)>>2]=J;F=(c[(c[H>>2]|0)+(b*52|0)>>2]|0)==0;n=c[(fz(l)|0)+4>>2]|0;if(F){c[f+(w+1<<2)>>2]=n+1}else{c[f+(w+1<<2)>>2]=~n}c[f+(w+2<<2)>>2]=0;c[f+(w+3<<2)>>2]=-1;K=w+4|0}else{K=w}}while(0);G=b+1|0;if((G|0)<(c[x>>2]|0)){w=K;b=G}else{L=K;break}}}else{L=I}I=d+224|0;if((c[I>>2]|0)>0){K=d+48|0;d=s+300|0;s=L;b=y;y=0;while(1){w=c[K>>2]|0;do{if((a[w+(y*52|0)+48|0]|0)==0){if((c[w+(y*52|0)>>2]|0)==0){x=a[w+(y*52|0)+8|0]|0;if((x<<24>>24|0)==0){cz(l,u,w+(y*52|0)+4|0);ez(q,u);H=dz(l,q)|0;M=H?2:0}else if((x<<24>>24|0)==1){cz(l,d,w+(y*52|0)+4|0);ez(r,d);M=(dz(l,r)|0)&1}else{N=b;O=s;break}if((M|0)==0){N=b;O=s;break}P=M;Q=c[K>>2]|0}else{P=2;Q=w}x=c[e>>2]|0;c[x+(s<<2)>>2]=P;if((c[Q+(y*52|0)>>2]|0)==0){c[x+(s+1<<2)>>2]=(c[(fz(l)|0)+4>>2]|0)+1;R=b}else{c[x+(s+1<<2)>>2]=b;R=b+1|0}c[x+(s+2<<2)>>2]=0;c[x+(s+3<<2)>>2]=-1;N=R;O=s+4|0}else{N=b;O=s}}while(0);w=y+1|0;if((w|0)<(c[I>>2]|0)){s=O;b=N;y=w}else{S=O;break}}}else{S=L}if((j|0)==0){i=k;return}L=c[e>>2]|0;e=0;do{O=(e<<2)+S|0;c[L+(O<<2)>>2]=1;c[L+(O+1<<2)>>2]=e+2;c[L+(O+2<<2)>>2]=0;c[L+(O+3<<2)>>2]=0;e=e+1|0;}while(e>>>0<j>>>0);i=k;return}function Yy(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;i=i+24|0;j=h|0;k=c[a+12>>2]|0;c[j>>2]=(g|0)==4?20:(g|0)==1?51:0;c[j+4>>2]=e;c[j+8>>2]=f;c[j+12>>2]=0;f=j+16|0;c[f>>2]=(KY(d|0)|0)+1;e=k;tQ(e,j,20)|0;j=k;if(QO(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Eu(c[b+536>>2]|0,1611456,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}tQ(e,d,c[f>>2]|0)|0;if(QO(k+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Eu(c[b+536>>2]|0,1611456,(l=i,i=i+8|0,c[l>>2]=c[a>>2],l)|0);i=l}else{i=h;return}}function Zy(a){a=a|0;return c[(Lz(a|0)|0)>>2]|0}function _y(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;f=a+12|0;g=c[f>>2]|0;h=g;Fv(3);do{if(PO(g+(c[(c[g>>2]|0)-12>>2]|0)|0)|0){j=g+200|0;k=e;c[k>>2]=c[j>>2];c[k+4>>2]=c[j+4>>2];c[k+8>>2]=c[j+8>>2];c[k+12>>2]=c[j+12>>2];vQ(g,e)|0;j=Zy(g+240|0)|0;k=Zy(g+264|0)|0;l=Zy(g+288|0)|0;Yy(a,b,45312,j+1+k+l+(c[g+312>>2]|0)+(c[a+8>>2]|0)|0,c[g+216>>2]|0,8);Py(g)}else{if((g|0)!=0){break}c[f>>2]=0;Iv(3);i=d;return}}while(0);$y(h);qY(g);c[f>>2]=0;Iv(3);i=d;return}function $y(a){a=a|0;hA(a);return}function az(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+16|0;f=e|0;g=e+8|0;j=c[b+12>>2]|0;h[f>>3]=0.0;Fv(3);Iv(0);h[g>>3]=+Av(0);Fv(0);k=j;l=d+4|0;tQ(k,c[c[l>>2]>>2]|0,8)|0;if((c[b+8>>2]|0)!=0){tQ(k,g,8)|0}g=d+116|0;m=c[g>>2]|0;if((m|0)>0){n=d+8|0;o=0;p=m;while(1){if((a[(c[n>>2]|0)+(o*112|0)+104|0]|0)==0){tQ(k,(c[(c[c[l>>2]>>2]|0)+8>>2]|0)+(o<<3)|0,8)|0;q=c[g>>2]|0}else{q=p}m=o+1|0;if((m|0)<(q|0)){o=m;p=q}else{break}}}q=d+124|0;p=c[q>>2]|0;if((p|0)>0){o=d+12|0;g=f;n=0;m=p;while(1){if((a[(c[o>>2]|0)+(n*60|0)+56|0]|0)==0){h[f>>3]=+(c[(c[(c[c[l>>2]>>2]|0)+12>>2]|0)+(n<<2)>>2]|0);tQ(k,g,8)|0;r=c[q>>2]|0}else{r=m}p=n+1|0;if((p|0)<(r|0)){n=p;m=r}else{break}}}r=d+128|0;m=c[r>>2]|0;if((m|0)>0){n=d+16|0;q=f;g=0;o=m;while(1){if((a[(c[n>>2]|0)+(g*48|0)+44|0]|0)==0){h[f>>3]=+(a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+g|0]|0);tQ(k,q,8)|0;s=c[r>>2]|0}else{s=o}m=g+1|0;if((m|0)<(s|0)){g=m;o=s}else{break}}}s=d+224|0;o=c[s>>2]|0;if((o|0)>0){g=d+48|0;r=f;q=0;n=o;while(1){o=c[g>>2]|0;do{if((a[o+(q*52|0)+48|0]|0)==0){if((c[o+(q*52|0)>>2]|0)==0){t=n;break}h[f>>3]=+((a[(c[(c[c[l>>2]>>2]|0)+16>>2]|0)+(c[o+(q*52|0)+4>>2]|0)|0]|0)!=1|0);tQ(k,r,8)|0;t=c[s>>2]|0}else{t=n}}while(0);o=q+1|0;if((o|0)<(t|0)){q=o;n=t}else{break}}}if(QO(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Eu(c[d+536>>2]|0,31472,(d=i,i=i+8|0,c[d>>2]=c[b>>2],d)|0);i=d}else{d=j+216|0;c[d>>2]=(c[d>>2]|0)+1;Iv(3);i=e;return}}function bz(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c>>>0<6>>>0){return}if((JY(b,81048,4)|0)!=0){return}c=b;while(1){d=Sb(b|0,46)|0;if((d|0)==0){e=8;break}f=d-c|0;d=f+1|0;if(d>>>0>4>>>0){g=4;do{a[b+(g-4)|0]=a[b+g|0]|0;g=g+1|0;}while(g>>>0<d>>>0)}d=b+(f-3)|0;C=678585700;a[d]=C;C=C>>8;a[d+1|0]=C;C=C>>8;a[d+2|0]=C;C=C>>8;a[d+3|0]=C;if((JY(b,81048,4)|0)!=0){e=8;break}}if((e|0)==8){return}}function cz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;xz(e,b|0,c);nz(a,e);i=d;return}function dz(a,b){a=a|0;b=b|0;return lz(a|0,b|0)|0}function ez(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;oz(d,b|0);nz(a,d);i=c;return}function fz(a){a=a|0;return gz(hz(a|0)|0)|0}function gz(a){a=a|0;return kz(a)|0}function hz(a){a=a|0;return iz((c[a>>2]|0)+16|0)|0}function iz(a){a=a|0;return jz(a)|0}function jz(a){a=a|0;return a|0}function kz(a){a=a|0;return a|0}function lz(a,b){a=a|0;b=b|0;return(mz(a,b)|0)^1|0}function mz(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function nz(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];wz(a,b);i=d;return}function oz(a,b){a=a|0;b=b|0;pz(a,qz(b)|0);return}function pz(a,b){a=a|0;b=b|0;vz(a,b);return}function qz(a){a=a|0;return rz(sz(a+4|0)|0)|0}function rz(a){a=a|0;return uz(a)|0}function sz(a){a=a|0;return tz(a|0)|0}function tz(a){a=a|0;return a|0}function uz(a){a=a|0;return a|0}function vz(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function wz(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function xz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=zz(b)|0;yz(f,b,d,h,qz(b)|0);oz(g,b);do{if(lz(f,g)|0){h=Az(b)|0;if(Bz(h,d,Cz(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);oz(a,b);i=e;return}function yz(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Gz(h);a:do{if((e|0)==0){j=f}else{k=Az(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(Hz(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Gz(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Gz(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);pz(a,j);i=g;return}function zz(a){a=a|0;return c[(qz(a)|0)>>2]|0}function Az(a){a=a|0;return Ez(a+8|0)|0}function Bz(a,b,c){a=a|0;b=b|0;c=c|0;return Dz(0,b,c|0)|0}function Cz(a){a=a|0;return(c[a>>2]|0)+16|0}function Dz(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function Ez(a){a=a|0;return Fz(a|0)|0}function Fz(a){a=a|0;return a|0}function Gz(a){a=a|0;Iz(a,-1);return}function Hz(a,b,c){a=a|0;b=b|0;c=c|0;return Dz(0,b|0,c)|0}function Iz(a,b){a=a|0;b=b|0;Jz(a,0);return}function Jz(a,b){a=a|0;b=b|0;c[a>>2]=0;return}function Kz(a){a=a|0;return c[a+4>>2]|0}function Lz(a){a=a|0;return Mz(a+8|0)|0}function Mz(a){a=a|0;return Nz(a|0)|0}function Nz(a){a=a|0;return a|0}function Oz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=a+64|0;a:do{if((c[e>>2]|0)==0){switch(d&-3|0){case 56:{f=1591600;break};case 16:case 48:{f=1597640;break};case 28:{f=1586408;break};case 12:{f=1587744;break};case 25:case 9:{f=1590672;break};case 20:case 52:{f=1589736;break};case 8:{f=1594120;break};case 21:case 5:{f=1588720;break};case 17:case 1:{f=1595584;break};case 60:{f=1337080;break};case 29:case 13:{f=82192;break};case 24:{f=1592864;break};default:{g=0;break a}}if((a|0)==0){g=0;break}h=xc(b|0,f|0)|0;c[e>>2]=h;if((h|0)==0){g=0;break}c[a+88>>2]=d;if((d&2|0)==0){g=a;break}if((sd(h|0,0,2)|0)==0){g=a;break}Oa(c[e>>2]|0)|0;c[e>>2]=0;g=0}else{g=0}}while(0);return g|0}function Pz(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e>>2]=0;c[e+4>>2]=0;e=a+8|0;c[e>>2]=b;c[e+4>>2]=d;return}function Qz(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+64|0;f=c[e>>2]|0;if((f|0)==0){g=0;i=b;return g|0}Rz(d,f,126);f=Td[c[(c[a>>2]|0)+24>>2]&255](a)|0;if((Oa(Sz(d)|0)|0)==0){c[e>>2]=0;h=(f|0)==0?a:0}else{h=0}Tz(d);g=h;i=b;return g|0}function Rz(a,b,c){a=a|0;b=b|0;c=c|0;_z(a,b,c);return}function Sz(a){a=a|0;var b=0;b=Wz(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function Tz(a){a=a|0;Uz(a);return}function Uz(a){a=a|0;Vz(a,0);return}function Vz(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=Wz(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}Td[c[(Xz(d)|0)>>2]&255](e)|0;return}function Wz(a){a=a|0;return Zz(a|0)|0}function Xz(a){a=a|0;return Yz(a|0)|0}function Yz(a){a=a|0;return a+4|0}function Zz(a){a=a|0;return a|0}function _z(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(aA(f)|0)>>2]|0;$z(a|0,d,c[(bA(g)|0)>>2]|0);i=e;return}function $z(a,b,c){a=a|0;b=b|0;c=c|0;cA(a,b,c);return}function aA(a){a=a|0;return a|0}function bA(a){a=a|0;return a|0}function cA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;d=c[(eA(f)|0)>>2]|0;dA(a|0,d,c[(fA(g)|0)>>2]|0);i=e;return}function dA(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=e|0;g=e+8|0;c[f>>2]=b;c[g>>2]=d;c[a>>2]=c[(eA(f)|0)>>2];c[a+4>>2]=c[(fA(g)|0)>>2];i=e;return}function eA(a){a=a|0;return a|0}function fA(a){a=a|0;return a|0}function gA(a){a=a|0;var b=0;b=a+8|0;return(K=c[b+4>>2]|0,c[b>>2]|0)|0}function hA(a){a=a|0;iA(a+300|0);iA(a+288|0);iA(a+276|0);iA(a+264|0);iA(a+252|0);iA(a+240|0);jA(a|0);return}function iA(a){a=a|0;VA(a);return}function jA(a){a=a|0;kA(a,1616376);XO(a+104|0);return}function kA(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];oA(a+4|0);return}function lA(a){a=a|0;jA(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function mA(a){a=a|0;jA(a);qY(a);return}function nA(a){a=a|0;mA(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function oA(a){a=a|0;pA(a);return}function pA(b){b=b|0;var d=0;c[b>>2]=1615672;Qz(b)|0;do{if((a[b+96|0]|0)!=0){d=c[b+32>>2]|0;if((d|0)==0){break}rY(d)}}while(0);do{if((a[b+97|0]|0)!=0){d=c[b+56>>2]|0;if((d|0)==0){break}rY(d)}}while(0);eP(b|0);return}function qA(a){a=a|0;oA(a);qY(a);return}function rA(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;Td[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=TA(d)|0;c[b+68>>2]=e;d=b+98|0;f=a[d]|0;g=UA(e)|0;a[d]=g&1;if((f&255|0)==(g&1|0)){return}g=b|0;oP(g,0,0,0);tP(g,0,0);g=b+96|0;f=(a[g]|0)!=0;if((a[d]|0)!=0){d=b+32|0;do{if(f){e=c[d>>2]|0;if((e|0)==0){break}rY(e)}}while(0);e=b+97|0;a[g]=a[e]|0;h=b+60|0;c[b+52>>2]=c[h>>2];i=b+56|0;c[d>>2]=c[i>>2];c[h>>2]=0;c[i>>2]=0;a[e]=0;return}do{if(!f){e=b+32|0;i=c[e>>2]|0;if((i|0)==(b+44|0)){break}h=c[b+52>>2]|0;c[b+60>>2]=h;c[b+56>>2]=i;a[b+97|0]=0;c[e>>2]=pY(h)|0;a[g]=1;return}}while(0);g=c[b+52>>2]|0;c[b+60>>2]=g;c[b+56>>2]=pY(g)|0;a[b+97|0]=1;return}function sA(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+16|0;g=f|0;h=f+8|0;c[g>>2]=e;e=b|0;oP(e,0,0,0);tP(e,0,0);j=b+96|0;do{if((a[j]|0)!=0){k=c[b+32>>2]|0;if((k|0)==0){break}rY(k)}}while(0);k=b+97|0;do{if((a[k]|0)!=0){l=c[b+56>>2]|0;if((l|0)==0){break}rY(l)}}while(0);l=c[g>>2]|0;m=b+52|0;c[m>>2]=l;do{if(l>>>0>8>>>0){n=a[b+98|0]|0;if(n<<24>>24==0|(d|0)==0){c[b+32>>2]=pY(l)|0;a[j]=1;o=n;break}else{c[b+32>>2]=d;a[j]=0;o=n;break}}else{c[b+32>>2]=b+44;c[m>>2]=8;a[j]=0;o=a[b+98|0]|0}}while(0);if(!(o<<24>>24==0)){c[b+60>>2]=0;c[b+56>>2]=0;a[k]=0;i=f;return e|0}c[h>>2]=8;o=c[(QA(g,h)|0)>>2]|0;c[b+60>>2]=o;if((d|0)!=0&o>>>0>7>>>0){c[b+56>>2]=d;a[k]=0;i=f;return e|0}else{c[b+56>>2]=pY(o)|0;a[k]=1;i=f;return e|0}return 0}function tA(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;i=i+24|0;h=g|0;j=g+16|0;k=j;l=c[b+68>>2]|0;if((l|0)==0){m=xd(4)|0;PX(m);tc(m|0,1619736,180)}m=MA(l)|0;l=b+64|0;do{if((c[l>>2]|0)!=0){n=(m|0)>0;if(!(n|(d|0)==0&(e|0)==0)){break}if((Td[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}if(!(f>>>0<3>>>0)){Uy(a,-1,-1);i=g;return}o=c[l>>2]|0;if(n){n=cZ(m,(m|0)<0|0?-1:0,d,e)|0;p=n}else{p=0}if((sd(o|0,p|0,f|0)|0)==0){o=Mb(c[l>>2]|0)|0;Uy(h,o,(o|0)<0|0?-1:0);o=b+72|0;n=c[o+4>>2]|0;c[j>>2]=c[o>>2];c[j+4>>2]=n;PA(h,k);n=a;o=h;c[n>>2]=c[o>>2];c[n+4>>2]=c[o+4>>2];c[n+8>>2]=c[o+8>>2];c[n+12>>2]=c[o+12>>2];i=g;return}else{Uy(a,-1,-1);i=g;return}}}while(0);Uy(a,-1,-1);i=g;return}function uA(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;e=i;i=i+8|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=f;h=b+64|0;do{if((c[h>>2]|0)!=0){if((Td[c[(c[b>>2]|0)+24>>2]&255](b)|0)!=0){break}j=c[h>>2]|0;k=gA(d)|0;if((sd(j|0,k|0,0)|0)==0){OA(g,d);k=b+72|0;j=c[f+4>>2]|0;c[k>>2]=c[f>>2];c[k+4>>2]=j;j=a;k=d;c[j>>2]=c[k>>2];c[j+4>>2]=c[k+4>>2];c[j+8>>2]=c[k+8>>2];c[j+12>>2]=c[k+12>>2];i=e;return}else{Uy(a,-1,-1);i=e;return}}}while(0);Uy(a,-1,-1);i=e;return}function vA(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+16|0;e=d|0;f=d+8|0;g=f;h=b+64|0;if((c[h>>2]|0)==0){j=0;i=d;return j|0}k=b+68|0;l=c[k>>2]|0;if((l|0)==0){m=xd(4)|0;PX(m);tc(m|0,1619736,180);return 0}m=b+92|0;n=c[m>>2]|0;do{if((n&16|0)==0){if((n&8|0)==0){break}o=b+80|0;p=c[o+4>>2]|0;c[f>>2]=c[o>>2];c[f+4>>2]=p;do{if((a[b+98|0]|0)==0){p=MA(l)|0;o=b+36|0;q=c[o>>2]|0;r=(c[b+40>>2]|0)-q|0;s=b|0;if((p|0)>0){t=mP(s)|0;u=(ga(t-(lP(s)|0)|0,p)|0)+r|0;v=0;break}p=lP(s)|0;if((p|0)==(mP(s)|0)){u=r;v=0;break}t=c[k>>2]|0;w=b+32|0;x=c[w>>2]|0;y=NA(t,g,x,q,p-(kP(s)|0)|0)|0;u=r-y+(c[o>>2]|0)-(c[w>>2]|0)|0;v=1}else{w=b|0;o=mP(w)|0;u=o-(lP(w)|0)|0;v=0}}while(0);if((sd(c[h>>2]|0,-u|0,1)|0)!=0){j=-1;i=d;return j|0}if(v){w=b+72|0;o=c[f+4>>2]|0;c[w>>2]=c[f>>2];c[w+4>>2]=o}o=c[b+32>>2]|0;c[b+40>>2]=o;c[b+36>>2]=o;oP(b|0,0,0,0);c[m>>2]=0}else{o=b|0;w=qP(o)|0;do{if((w|0)!=(pP(o)|0)){if((ce[c[(c[b>>2]|0)+52>>2]&127](b,-1)|0)==-1){j=-1}else{break}i=d;return j|0}}while(0);o=b+72|0;w=b+32|0;y=b+52|0;while(1){r=c[w>>2]|0;s=LA(c[k>>2]|0,o,r,r+(c[y>>2]|0)|0,e)|0;r=c[w>>2]|0;p=(c[e>>2]|0)-r|0;if((Xa(r|0,1,p|0,c[h>>2]|0)|0)!=(p|0)){j=-1;z=23;break}if((s|0)==2){j=-1;z=23;break}else if((s|0)!=1){z=10;break}}if((z|0)==10){if((Sa(c[h>>2]|0)|0)==0){break}else{j=-1}i=d;return j|0}else if((z|0)==23){i=d;return j|0}}}while(0);j=0;i=d;return j|0}function wA(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;d=i;i=i+48|0;e=d|0;f=d+8|0;g=d+16|0;h=d+24|0;j=d+32|0;k=d+40|0;l=b+64|0;if((c[l>>2]|0)==0){m=-1;i=d;return m|0}n=GA(b)|0;o=b|0;if((lP(o)|0)==0){p=e+1|0;oP(o,e,p,p)}if(n){q=0}else{n=mP(o)|0;c[f>>2]=(n-(kP(o)|0)|0)/2|0;c[g>>2]=4;q=c[(HA(f,g)|0)>>2]|0}g=lP(o)|0;do{if((g|0)==(mP(o)|0)){QY(kP(o)|0,g+(-q|0)|0,q|0)|0;if((a[b+98|0]|0)!=0){f=mP(o)|0;n=kP(o)|0;p=gd(n+q|0,1,f-q-n|0,c[l>>2]|0)|0;if((p|0)==0){r=-1;break}n=kP(o)|0;oP(o,n,n+q|0,n+(p+q)|0);r=EA(a[lP(o)|0]|0)|0;break}p=b+32|0;n=b+36|0;f=c[n>>2]|0;s=b+40|0;QY(c[p>>2]|0,f|0,(c[s>>2]|0)-f|0)|0;f=c[p>>2]|0;t=f+((c[s>>2]|0)-(c[n>>2]|0))|0;c[n>>2]=t;if((f|0)==(b+44|0)){u=8}else{u=c[b+52>>2]|0}v=f+u|0;c[s>>2]=v;f=b+60|0;c[h>>2]=(c[f>>2]|0)-q;c[j>>2]=v-t;v=c[(HA(h,j)|0)>>2]|0;w=b+72|0;x=w;y=b+80|0;z=c[x+4>>2]|0;c[y>>2]=c[x>>2];c[y+4>>2]=z;z=gd(t|0,1,v|0,c[l>>2]|0)|0;if((z|0)==0){r=-1;break}v=c[b+68>>2]|0;if((v|0)==0){t=xd(4)|0;PX(t);tc(t|0,1619736,180);return 0}t=(c[n>>2]|0)+z|0;c[s>>2]=t;z=c[p>>2]|0;y=kP(o)|0;if((IA(v,w,z,t,n,y+q|0,y+(c[f>>2]|0)|0,k)|0)==3){f=c[p>>2]|0;oP(o,f,f,c[s>>2]|0);r=EA(a[lP(o)|0]|0)|0;break}s=c[k>>2]|0;f=kP(o)|0;p=f+q|0;if((s|0)==(p|0)){r=-1;break}oP(o,f,p,s);r=EA(a[lP(o)|0]|0)|0}else{r=EA(a[g]|0)|0}}while(0);if((kP(o)|0)!=(e|0)){m=r;i=d;return m|0}oP(o,0,0,0);m=r;i=d;return m|0}function xA(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((c[b+64>>2]|0)==0){e=-1;return e|0}f=b|0;g=kP(f)|0;h=lP(f)|0;if(!(g>>>0<h>>>0)){e=-1;return e|0}if(AA(d,-1)|0){nP(f,-1);e=DA(d)|0;return e|0}g=(c[b+88>>2]&16|0)==0;b=BA(d)|0;do{if(g){if(FA(b,a[h-1|0]|0)|0){break}else{e=-1}return e|0}}while(0);nP(f,-1);a[lP(f)|0]=b;e=d;return e|0}function yA(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+24|0;f=e|0;g=e+8|0;h=e+16|0;j=b+64|0;if((c[j>>2]|0)==0){k=-1;i=e;return k|0}zA(b);l=b|0;m=pP(l)|0;n=rP(l)|0;if(!(AA(d,-1)|0)){if((qP(l)|0)==0){tP(l,f,f+1|0)}f=BA(d)|0;a[qP(l)|0]=f;sP(l,1)}f=qP(l)|0;o=pP(l)|0;if((f|0)!=(o|0)){a:do{if((a[b+98|0]|0)==0){p=b+32|0;q=c[p>>2]|0;c[g>>2]=q;r=b+68|0;s=c[r>>2]|0;if((s|0)==0){t=xd(4)|0;u=t;PX(u);tc(t|0,1619736,180);return 0}v=b+72|0;w=b+52|0;x=s;s=q;while(1){q=pP(l)|0;y=qP(l)|0;z=CA(x,v,q,y,h,s,s+(c[w>>2]|0)|0,g)|0;y=c[h>>2]|0;A=pP(l)|0;if((y|0)==(A|0)){k=-1;B=22;break}if((z|0)==3){B=14;break}if(!(z>>>0<2>>>0)){k=-1;B=22;break}y=c[p>>2]|0;q=(c[g>>2]|0)-y|0;if((Xa(y|0,1,q|0,c[j>>2]|0)|0)!=(q|0)){k=-1;B=22;break}if((z|0)!=1){break a}z=c[h>>2]|0;tP(l,z,qP(l)|0);z=rP(l)|0;sP(l,z-(pP(l)|0)|0);z=c[r>>2]|0;if((z|0)==0){B=11;break}x=z;s=c[p>>2]|0}if((B|0)==11){t=xd(4)|0;u=t;PX(u);tc(t|0,1619736,180);return 0}else if((B|0)==14){p=(qP(l)|0)-A|0;if((Xa(A|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}else if((B|0)==22){i=e;return k|0}}else{p=f-o|0;if((Xa(o|0,1,p|0,c[j>>2]|0)|0)==(p|0)){break}else{k=-1}i=e;return k|0}}while(0);tP(l,m,n)}k=DA(d)|0;i=e;return k|0}function zA(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+92|0;if((c[d>>2]&16|0)!=0){return}e=b|0;oP(e,0,0,0);f=c[b+52>>2]|0;do{if(f>>>0>8>>>0){if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;tP(e,g,g+((c[b+60>>2]|0)-1)|0);break}else{g=c[b+32>>2]|0;tP(e,g,g+(f-1)|0);break}}else{tP(e,0,0)}}while(0);c[d>>2]=16;return}function AA(a,b){a=a|0;b=b|0;return(a|0)==(b|0)|0}function BA(a){a=a|0;return a&255|0}function CA(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ie[c[(c[a>>2]|0)+12>>2]&31](a,b,d,e,f,g,h,i)|0}function DA(a){a=a|0;var b=0;b=AA(a,-1)|0;return(b?0:a)|0}function EA(a){a=a|0;return a&255|0}function FA(a,b){a=a|0;b=b|0;return a<<24>>24==b<<24>>24|0}function GA(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+92|0;if((c[d>>2]&8|0)!=0){e=0;return e|0}f=b|0;tP(f,0,0);if((a[b+98|0]|0)==0){g=c[b+56>>2]|0;h=g+(c[b+60>>2]|0)|0;oP(f,g,h,h)}else{h=c[b+32>>2]|0;g=h+(c[b+52>>2]|0)|0;oP(f,h,g,g)}c[d>>2]=8;e=1;return e|0}function HA(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=JA(a,b,c|0)|0;i=c;return d|0}function IA(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ie[c[(c[a>>2]|0)+16>>2]&31](a,b,d,e,f,g,h,i)|0}function JA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=KA(0,c,b)|0;i=e;return(f?c:b)|0}function KA(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function LA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Ud[c[(c[a>>2]|0)+20>>2]&127](a,b,d,e,f)|0}function MA(a){a=a|0;return Td[c[(c[a>>2]|0)+24>>2]&255](a)|0}function NA(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;return Ud[c[(c[a>>2]|0)+32>>2]&127](a,b,d,e,f)|0}function OA(a,b){a=a|0;b=b|0;var d=0;d=b;b=a;a=c[d+4>>2]|0;c[b>>2]=c[d>>2];c[b+4>>2]=a;return}function PA(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+8|0;c[b>>2]=c[e>>2];c[b+4>>2]=c[e+4>>2];e=b;b=a;a=c[e+4>>2]|0;c[b>>2]=c[e>>2];c[b+4>>2]=a;i=d;return}function QA(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=RA(a,b,c|0)|0;i=c;return d|0}function RA(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=SA(0,b,c)|0;i=e;return(f?c:b)|0}function SA(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)<(c[d>>2]|0)|0}function TA(a){a=a|0;return PU(a,1653904)|0}function UA(a){a=a|0;return Td[c[(c[a>>2]|0)+28>>2]&255](a)|0}function VA(a){a=a|0;WA(a|0);return}function WA(a){a=a|0;XA(a);return}function XA(a){a=a|0;YA(a,zz(a)|0);return}function YA(a,b){a=a|0;b=b|0;var d=0;d=i;i=i+8|0;Gz(d|0);if((b|0)==0){i=d;return}YA(a,c[b>>2]|0);YA(a,c[b+4>>2]|0);_A(ZA(a)|0,b,1);i=d;return}function ZA(a){a=a|0;return aB(a+4|0)|0}function _A(a,b,c){a=a|0;b=b|0;c=c|0;$A(0,b,0);return}function $A(a,b,c){a=a|0;b=b|0;c=c|0;qY(b);return}function aB(a){a=a|0;return bB(a|0)|0}function bB(a){a=a|0;return a|0}function cB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=dB(a,e,b)|0;k=c[j>>2]|0;Gz(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}fB(h,a,b);gB(g,h);eB(f,g);hB(h);h=c[e>>2]|0;iB(a|0,h,j,jB(f)|0);j=kB(f)|0;hB(f);l=j;m=l+20|0;i=d;return m|0}function dB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=zz(h)|0;Gz(e|0);if((a|0)==0){j=qz(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Dz(0,d,a)|0){m=l|0;j=c[m>>2]|0;Gz(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Dz(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Gz(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function eB(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];YB(a,b);i=d;return}function fB(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=ZA(c|0)|0;c=HB(k,1)|0;IB(g,k);GB(f,c,g);JB(0,CB((KB(f)|0)+16|0)|0,d);d=LB(f)|0;a[d+4|0]=1;MB(0,BB((KB(f)|0)+20|0)|0);a[d+5|0]=1;NB(j,f);gB(h,j);eB(b,h);hB(j);hB(f);i=e;return}function gB(a,b){a=a|0;b=b|0;EB(a,b);return}function hB(a){a=a|0;xB(a);return}function iB(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Gz(f|0);c[e>>2]=0;Gz(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=pB(a)|0;b=c[c[e>>2]>>2]|0;Gz(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(qz(a)|0)>>2]|0;qB(e,c[d>>2]|0);d=rB(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function jB(a){a=a|0;return c[(nB(a|0)|0)>>2]|0}function kB(a){a=a|0;var b=0;b=lB(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function lB(a){a=a|0;return mB(a|0)|0}function mB(a){a=a|0;return a|0}function nB(a){a=a|0;return oB(a|0)|0}function oB(a){a=a|0;return a|0}function pB(a){a=a|0;return a|0}function qB(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=(d|0)==(b|0);a[d+12|0]=h&1;if(h){i=e;return}else{j=d}while(1){k=j+8|0;d=c[k>>2]|0;if((a[d+12|0]|0)!=0){l=17;break}h=uB(d)|0;m=c[d+8>>2]|0;if(h){h=c[m+4>>2]|0;Gz(f);if((h|0)==0){l=7;break}d=h+12|0;if((a[d]|0)!=0){l=7;break}h=c[k>>2]|0;a[h+12|0]=1;n=c[h+8>>2]|0;a[n+12|0]=(n|0)==(b|0)|0;a[d]=1;o=n}else{n=c[m>>2]|0;Gz(g);if((n|0)==0){l=14;break}m=n+12|0;if((a[m]|0)!=0){l=14;break}n=c[k>>2]|0;a[n+12|0]=1;d=c[n+8>>2]|0;a[d+12|0]=(d|0)==(b|0)|0;a[m]=1;o=d}if((o|0)==(b|0)){l=17;break}else{j=o}}if((l|0)==7){if(uB(j)|0){p=j}else{o=c[k>>2]|0;vB(o);p=o}o=c[p+8>>2]|0;a[o+12|0]=1;p=c[o+8>>2]|0;a[p+12|0]=0;wB(p);i=e;return}else if((l|0)==14){if(uB(j)|0){p=c[k>>2]|0;wB(p);q=p}else{q=j}j=c[q+8>>2]|0;a[j+12|0]=1;q=c[j+8>>2]|0;a[q+12|0]=0;vB(q);i=e;return}else if((l|0)==17){i=e;return}}function rB(a){a=a|0;return sB(a+8|0)|0}function sB(a){a=a|0;return tB(a|0)|0}function tB(a){a=a|0;return a|0}function uB(a){a=a|0;return(c[c[a+8>>2]>>2]|0)==(a|0)|0}function vB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;f=e|0;g=c[f>>2]|0;c[d>>2]=g;Gz(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=uB(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function wB(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;f=e+4|0;g=c[f>>2]|0;c[d>>2]=g;Gz(b|0);if((g|0)!=0){c[(c[d>>2]|0)+8>>2]=a}d=a+8|0;c[e+8>>2]=c[d>>2];g=uB(a)|0;h=c[d>>2]|0;if(g){c[h>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}else{c[h+4>>2]=e;c[f>>2]=a;c[d>>2]=e;i=b;return}}function xB(a){a=a|0;yB(a,0);return}function yB(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=lB(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}AB(zB(d)|0,e);return}function zB(a){a=a|0;return DB(a|0)|0}function AB(a,b){a=a|0;b=b|0;if((b|0)==0){return}_A(c[a>>2]|0,b,1);return}function BB(a){a=a|0;return a|0}function CB(a){a=a|0;return a|0}function DB(a){a=a|0;return a+4|0}function EB(a,b){a=a|0;b=b|0;FB(a,b);return}function FB(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function GB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];QB(a,b,d);i=e;return}function HB(a,b){a=a|0;b=b|0;return PB(0,b,0)|0}function IB(a,b){a=a|0;b=b|0;OB(a,b);return}function JB(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function KB(a){a=a|0;return c[(nB(a|0)|0)>>2]|0}function LB(a){a=a|0;return zB(a|0)|0}function MB(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function NB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;EB(f,b);eB(e,f);gB(d,e);eB(a,d);hB(e);i=c;return}function OB(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function PB(a,b,c){a=a|0;b=b|0;c=c|0;return oY(b*24|0)|0}function QB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(SB(f)|0)>>2]|0;f=TB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;RB(a|0,b,g);i=e;return}function RB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];UB(a,b,d);i=e;return}function SB(a){a=a|0;return a|0}function TB(a){a=a|0;return a|0}function UB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(WB(f)|0)>>2]|0;f=XB(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;VB(a|0,b,g);i=e;return}function VB(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(WB(f)|0)>>2];f=XB(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function WB(a){a=a|0;return a|0}function XB(a){a=a|0;return a|0}function YB(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=kB(ZB(b)|0)|0;g=XB(LB(ZB(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;RB(a|0,f,e);i=d;return}function ZB(a){a=a|0;return c[a>>2]|0}function _B(a){a=a|0;var b=0;b=i;i=i+48|0;$B(a|0);Uy(a+184|0,0,0);Uy(a+200|0,0,0);aC(a+240|0,b|0);aC(a+252|0,b+8|0);aC(a+264|0,b+16|0);aC(a+276|0,b+24|0);aC(a+288|0,b+32|0);aC(a+300|0,b+40|0);i=b;return}function $B(a){a=a|0;var b=0,d=0,e=0;b=a+104|0;aP(b);d=a|0;c[d>>2]=1615388;e=b|0;c[e>>2]=1615408;b=a+4|0;hQ(a,1616380,b|0);c[d>>2]=1615388;c[e>>2]=1615408;nC(b);return}function aC(a,b){a=a|0;b=b|0;bC(a,0);return}function bC(a,b){a=a|0;b=b|0;b=i;i=i+8|0;cC(a|0,b|0);i=b;return}function cC(a,b){a=a|0;b=b|0;dC(a,0);return}function dC(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;eC(a+4|0);fC(a+8|0,0,b|0);d=qz(a)|0;c[(pB(a)|0)>>2]=d;i=b;return}function eC(a){a=a|0;jC(a);return}function fC(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;gC(b,c,d);i=e;return}function gC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;hC(b|0,c[(iC(g)|0)>>2]|0,f+8|0);i=f;return}function hC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(iC(g)|0)>>2];i=f;return}function iC(a){a=a|0;return a|0}function jC(a){a=a|0;kC(a|0);return}function kC(a){a=a|0;lC(a|0);return}function lC(a){a=a|0;mC(a);return}function mC(a){a=a|0;c[a>>2]=0;return}function nC(a){a=a|0;oC(a);return}function oC(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+24|0;e=d+8|0;f=d+16|0;g=b|0;jP(g);c[b>>2]=1615672;c[b+32>>2]=0;c[b+36>>2]=0;c[b+40>>2]=0;h=b+68|0;NY(b+52|0,0,16)|0;Gz(d|0);NY(h|0,0,31)|0;fP(e,g);j=pC(e)|0;NU(e);if(j){fP(f,g);c[h>>2]=TA(f)|0;NU(f);a[b+98|0]=(UA(c[h>>2]|0)|0)&1}Vd[c[(c[b>>2]|0)+12>>2]&127](b,0,4096)|0;i=d;return}function pC(a){a=a|0;return OU(a,1653904)|0}function qC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=c[a+12>>2]|0;Fv(3);f=e+8|0;g=c[f>>2]|0;h=e+12|0;j=c[h>>2]|0;if((g|0)<(j|0)){rC(a,b,c[e>>2]|0,f);Iv(3);i=d;return}k=~~(+(j|0)*1.4+ +(j-g|0)+2.0e3);c[h>>2]=k;g=e;j=e+16|0;e=lY(c[g>>2]|0,ga(k<<3,c[j>>2]|0)|0)|0;k=e;c[g>>2]=k;if((e|0)==0){e=ga(c[j>>2]|0,c[h>>2]|0)|0;Eu(c[b+536>>2]|0,1594864,(h=i,i=i+8|0,c[h>>2]=e,h)|0);i=h}rC(a,b,k,f);Iv(3);i=d;return}function rC(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;g=c[b+12>>2]|0;Iv(0);i=+Av(0);Fv(0);j=c[c[d+4>>2]>>2]|0;k=j|0;l=+h[k>>3];m=g+4|0;g=c[m>>2]|0;n=g+1|0;c[m>>2]=n;h[e+(g<<3)>>3]=l;if((c[b+8>>2]|0)==0){o=n}else{b=g+2|0;c[m>>2]=b;h[e+(n<<3)>>3]=i;o=b}b=d+116|0;n=c[b>>2]|0;if((n|0)>0){g=c[d+8>>2]|0;p=0;q=o;r=n;while(1){if((a[g+(p*112|0)+104|0]|0)==0){i=+h[(c[j+8>>2]|0)+(p<<3)>>3];n=q+1|0;c[m>>2]=n;h[e+(q<<3)>>3]=i;s=n;t=c[b>>2]|0}else{s=q;t=r}n=p+1|0;if((n|0)<(t|0)){p=n;q=s;r=t}else{u=s;break}}}else{u=o}o=d+124|0;s=c[o>>2]|0;if((s|0)>0){t=c[d+12>>2]|0;r=0;q=u;p=s;while(1){if((a[t+(r*60|0)+56|0]|0)==0){i=+(c[(c[j+12>>2]|0)+(r<<2)>>2]|0);s=q+1|0;c[m>>2]=s;h[e+(q<<3)>>3]=i;v=s;w=c[o>>2]|0}else{v=q;w=p}s=r+1|0;if((s|0)<(w|0)){r=s;q=v;p=w}else{x=v;break}}}else{x=u}u=d+128|0;v=c[u>>2]|0;if((v|0)>0){w=c[d+16>>2]|0;p=0;q=x;r=v;while(1){if((a[w+(p*48|0)+44|0]|0)==0){i=+(a[(c[j+16>>2]|0)+p|0]|0);v=q+1|0;c[m>>2]=v;h[e+(q<<3)>>3]=i;y=v;z=c[u>>2]|0}else{y=q;z=r}v=p+1|0;if((v|0)<(z|0)){p=v;q=y;r=z}else{A=y;break}}}else{A=x}x=d+216|0;if((c[x>>2]|0)>0){y=d+416|0;z=c[d+40>>2]|0;r=0;q=A;while(1){do{if((a[z+(r*52|0)+48|0]|0)==0){p=a[z+(r*52|0)+8|0]|0;do{if(p<<24>>24==2){B=k}else{u=c[z+(r*52|0)+4>>2]|0;if(p<<24>>24==1){B=(c[y>>2]|0)+(u<<3)|0;break}else{B=(c[j+8>>2]|0)+(u<<3)|0;break}}}while(0);i=+h[B>>3];if((c[z+(r*52|0)>>2]|0)==0){p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=i;C=p;break}else{p=q+1|0;c[m>>2]=p;h[e+(q<<3)>>3]=-0.0-i;C=p;break}}else{C=q}}while(0);p=r+1|0;if((p|0)<(c[x>>2]|0)){r=p;q=C}else{D=C;break}}}else{D=A}A=d+220|0;if((c[A>>2]|0)>0){C=d+40|0;q=d+420|0;r=c[d+44>>2]|0;x=0;z=D;while(1){do{if((a[r+(x*52|0)+48|0]|0)==0){B=c[(c[((a[r+(x*52|0)+8|0]|0)==1?q:j+12|0)>>2]|0)+(c[(c[C>>2]|0)+(x*52|0)+4>>2]<<2)>>2]|0;if((c[r+(x*52|0)>>2]|0)==0){y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(B|0);E=y;break}else{y=z+1|0;c[m>>2]=y;h[e+(z<<3)>>3]=+(-B|0);E=y;break}}else{E=z}}while(0);y=x+1|0;if((y|0)<(c[A>>2]|0)){x=y;z=E}else{F=E;break}}}else{F=D}D=d+224|0;if((c[D>>2]|0)<=0){G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}E=d+44|0;z=d+40|0;x=d+424|0;A=c[d+48>>2]|0;d=0;r=F;while(1){do{if((a[A+(d*52|0)+48|0]|0)==0){F=a[(c[((a[(c[E>>2]|0)+(d*52|0)+8|0]|0)==1?x:j+16|0)>>2]|0)+(c[(c[z>>2]|0)+(d*52|0)+4>>2]|0)|0]|0;if((c[A+(d*52|0)>>2]|0)==0){C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24|0);I=C;break}else{C=r+1|0;c[m>>2]=C;h[e+(r<<3)>>3]=+(F<<24>>24!=1|0);I=C;break}}else{I=r}}while(0);C=d+1|0;if((C|0)<(c[D>>2]|0)){d=C;r=I}else{break}}G=c[f>>2]|0;H=G+1|0;c[f>>2]=H;return}function sC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;e=iY(24)|0;Fv(3);f=e;c[f>>2]=0;g=e+4|0;c[g>>2]=0;c[e+8>>2]=0;h=e+16|0;c[h>>2]=0;j=a+4|0;k=c[j>>2]|0;c[e+12>>2]=k;l=b+536|0;Du(c[l>>2]|0,k>>>31^1,1603056,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;m=b+8|0;b=c[a+8>>2]|0;c[e+20>>2]=tC(b,m)|0;n=tC(b,m)|0;c[h>>2]=n;h=c[j>>2]|0;j=iY(ga(n<<3,h)|0)|0;c[f>>2]=j;if((j|0)==0){j=ga(n,h)|0;Eu(c[l>>2]|0,1586976,(k=i,i=i+8|0,c[k>>2]=j,k)|0);i=k}else{c[g>>2]=0;c[a+12>>2]=e;Iv(3);i=d;return}}function tC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=(b|0)==0?1:2;b=c[d+108>>2]|0;if((b|0)>0){f=c[d>>2]|0;g=e;h=0;while(1){i=((a[f+(h*112|0)+104|0]|0)==0)+g|0;j=h+1|0;if((j|0)<(b|0)){g=i;h=j}else{k=i;break}}}else{k=e}e=c[d+116>>2]|0;if((e|0)>0){h=c[d+4>>2]|0;g=k;b=0;while(1){f=((a[h+(b*60|0)+56|0]|0)==0)+g|0;i=b+1|0;if((i|0)<(e|0)){g=f;b=i}else{l=f;break}}}else{l=k}k=c[d+120>>2]|0;if((k|0)>0){b=c[d+8>>2]|0;g=l;e=0;while(1){h=((a[b+(e*48|0)+44|0]|0)==0)+g|0;f=e+1|0;if((f|0)<(k|0)){g=h;e=f}else{m=h;break}}}else{m=l}l=c[d+208>>2]|0;if((l|0)>0){e=c[d+32>>2]|0;g=m;k=0;while(1){b=((a[e+(k*52|0)+48|0]|0)==0)+g|0;h=k+1|0;if((h|0)<(l|0)){g=b;k=h}else{n=b;break}}}else{n=m}m=c[d+212>>2]|0;if((m|0)>0){k=c[d+36>>2]|0;g=n;l=0;while(1){e=((a[k+(l*52|0)+48|0]|0)==0)+g|0;b=l+1|0;if((b|0)<(m|0)){g=e;l=b}else{o=e;break}}}else{o=n}n=c[d+216>>2]|0;if((n|0)<=0){p=o;return p|0}l=c[d+40>>2]|0;d=o;o=0;while(1){g=((a[l+(o*52|0)+48|0]|0)==0)+d|0;m=o+1|0;if((m|0)<(n|0)){d=g;o=m}else{p=g;break}}return p|0}



function ke(a){a=a|0;var b=0;b=i;i=i+a|0;i=i+7&-8;return b|0}function le(){return i|0}function me(a){a=a|0;i=a}function ne(a,b){a=a|0;b=b|0;if((x|0)==0){x=a;y=b}}function oe(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0]}function pe(b){b=b|0;a[k]=a[b];a[k+1|0]=a[b+1|0];a[k+2|0]=a[b+2|0];a[k+3|0]=a[b+3|0];a[k+4|0]=a[b+4|0];a[k+5|0]=a[b+5|0];a[k+6|0]=a[b+6|0];a[k+7|0]=a[b+7|0]}function qe(a){a=a|0;K=a}function re(a){a=a|0;L=a}function se(a){a=a|0;M=a}function te(a){a=a|0;N=a}function ue(a){a=a|0;O=a}function ve(a){a=a|0;P=a}function we(a){a=a|0;Q=a}function xe(a){a=a|0;R=a}function ye(a){a=a|0;S=a}function ze(a){a=a|0;T=a}function Ae(){c[404926]=q+8;c[404928]=q+8;c[404930]=t+8;c[404934]=t+8;c[404938]=t+8;c[404942]=t+8;c[404946]=t+8;c[404950]=t+8;c[404954]=q+8;c[404988]=t+8;c[404992]=t+8;c[405056]=t+8;c[405060]=t+8;c[405080]=q+8;c[405082]=t+8;c[405118]=t+8;c[405122]=t+8;c[405158]=t+8;c[405162]=t+8;c[405182]=q+8;c[405184]=q+8;c[405186]=t+8;c[405190]=t+8;c[405194]=t+8;c[405198]=t+8;c[405202]=t+8;c[405206]=q+8;c[405208]=q+8;c[405210]=q+8;c[405212]=t+8;c[405216]=t+8;c[405220]=q+8;c[405222]=q+8;c[405224]=q+8;c[405226]=q+8;c[405252]=t+8;c[405256]=t+8;c[405260]=q+8;c[405262]=t+8;c[405266]=t+8;c[405270]=t+8;c[405274]=q+8;c[405276]=q+8;c[405278]=q+8;c[405280]=q+8;c[405314]=q+8;c[405316]=q+8;c[405318]=q+8;c[405320]=t+8;c[405324]=t+8;c[405328]=t+8;c[405332]=t+8;c[405336]=t+8;c[405340]=t+8}function Be(a){a=a|0;var b=0;b=a+540|0;Td[c[(c[b>>2]|0)+40>>2]&255](a)|0;Td[c[(c[b>>2]|0)+28>>2]&255](a)|0;Td[c[(c[b>>2]|0)+32>>2]&255](a)|0;Td[c[(c[b>>2]|0)+48>>2]&255](a)|0;Td[c[(c[b>>2]|0)+52>>2]&255](a)|0;cx(a);return}function Ce(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0,M=0.0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;c[e>>2]=0;j=a+240|0;k=b|0;h[k>>3]=+h[j>>3];if((c[409184]|0)==0){l=0}else{m=c[a+88>>2]|0;n=KY(m|0)|0;o=iY(n+11|0)|0;LY(o|0,m|0,n|0)|0;MY(o+n|0,1612488,11)|0;n=xc(o|0,1612480)|0;if((n|0)==0){m=Wc(c[(Vc()|0)>>2]|0)|0;Cu(23,0,1588896,(p=i,i=i+16|0,c[p>>2]=o,c[p+8>>2]=m,p)|0);i=p;Oa(0)|0;q=0}else{q=n}jY(o);l=q}q=a+248|0;o=a+536|0;n=a|0;m=a+4|0;s=b+36|0;t=b+16|0;u=a+256|0;v=b+8|0;w=b+24|0;x=b+32|0;y=a+540|0;z=b+48|0;A=c[r>>2]|0;B=e;C=f;D=a+64|0;E=a+72|0;F=g;G=0;H=l;while(1){if(!(+h[k>>3]<+h[q>>3])){I=0;J=H;break}ee[c[2173]&15]()|0;c[(c[o>>2]|0)+84>>2]=1;if((c[409184]|0)!=0){if(((c[E>>2]|0)+(c[D>>2]|0)|0)>0){l=0;do{Gv(l+9|0);l=l+1|0;}while((l|0)<((c[E>>2]|0)+(c[D>>2]|0)|0))}Gv(2);Fv(2)}uv(c[n>>2]|0,1,c[m>>2]|0);if((c[s>>2]|0)==1){Au(23,0,75968,(p=i,i=i+8|0,h[p>>3]=+h[k>>3]- +h[t>>3],p)|0);i=p;K=G}else{K=G+1|0}L=+h[j>>3];h[v>>3]=L+ +(K>>>0>>>0)*(+h[q>>3]-L)/+(c[u>>2]|0)- +h[k>>3];Rw(a,b);L=+h[k>>3];M=+h[v>>3];Au(23,1,64688,(p=i,i=i+24|0,h[p>>3]=L,h[p+8>>3]=L+M,h[p+16>>3]=M,p)|0);i=p;M=+h[j>>3];yK(55224,(+h[k>>3]-M)/(+h[q>>3]-M));N=Sx(a,b)|0;if((c[w>>2]|0)==5){I=0;J=H;break}Be(a);dx(a);if((c[406903]|0)!=0){Qd[c[3538]&511](23)}if((c[409184]|0)!=0){Fv(4)}l=Tw(a,c[x>>2]|0,k,b)|0;if((l|0)>0){c[(c[o>>2]|0)+84>>2]=4;M=+h[k>>3];Au(7,1,46880,(p=i,i=i+16|0,c[p>>2]=(l|0)==1?38784:32448,h[p+8>>3]=M,p)|0);i=p;if((c[407082]|0)==0){Rd[c[2005]&127](8e3,a)}Vw(a,c[x>>2]|0,k,b);if((c[406887]|0)!=0){Qd[c[3538]&511](7)}c[(c[o>>2]|0)+84>>2]=1;c[s>>2]=1;hx(a)}else{h[t>>3]=+h[k>>3];c[s>>2]=0}if((c[409184]|0)!=0){Iv(4)}if((cy(a,1,1)|0)!=0){c[s>>2]=1;hx(a)}Td[c[(c[y>>2]|0)+88>>2]&255](a)|0;cx(a);lx(a);dx(a);do{if((H|0)==0){O=0}else{Fv(7);Iv(2);l=(Xa(B|0,4,1,H|0)|0)==1;c[e>>2]=(c[e>>2]|0)+1;do{if(l){P=(Xa(c[c[m>>2]>>2]|0,8,1,H|0)|0)==1;h[f>>3]=+Av(2);if(!P){Q=0;break}Q=(Xa(C|0,8,1,H|0)|0)==1|0}else{h[f>>3]=+Av(2);Q=0}}while(0);l=c[D>>2]|0;P=c[E>>2]|0;if((P+l|0)>0){R=0;S=Q;while(1){c[g>>2]=vv(R+9|0)|0;if((S|0)==0){T=0}else{T=(Xa(F|0,4,1,H|0)|0)==1|0}U=R+1|0;V=c[D>>2]|0;W=c[E>>2]|0;if((U|0)<(W+V|0)){R=U;S=T}else{X=T;Y=V;Z=W;break}}}else{X=Q;Y=l;Z=P}if((Z+Y|0)>0){S=0;R=X;while(1){h[f>>3]=+Av(S+9|0);if((R|0)==0){_=0}else{_=(Xa(C|0,8,1,H|0)|0)==1|0}W=S+1|0;if((W|0)<((c[E>>2]|0)+(c[D>>2]|0)|0)){S=W;R=_}else{$=_;break}}}else{$=X}Iv(7);if(($|0)!=0){O=H;break}R=Wc(c[(Vc()|0)>>2]|0)|0;Cu(23,0,27088,(p=i,i=i+8|0,c[p>>2]=R,p)|0);i=p;Oa(H|0)|0;O=0}}while(0);if((c[407082]|0)==0){aa=47}else{R=c[s>>2]|0;if((R|0)==0){aa=47}else{ba=R}}if((aa|0)==47){aa=0;Rd[c[2005]&127](8e3,a);ba=c[s>>2]|0}do{if((ba|0)==1){if((c[w>>2]|0)!=3){break}R=c[z>>2]|0;S=c[R+8>>2]|0;P=c[R+4>>2]|0;c[P>>2]=(c[P>>2]|0)+(c[S>>2]|0);R=P+4|0;c[R>>2]=(c[R>>2]|0)+(c[S+4>>2]|0);R=P+8|0;c[R>>2]=(c[R>>2]|0)+(c[S+8>>2]|0);R=P+12|0;c[R>>2]=(c[R>>2]|0)+(c[S+12>>2]|0);R=P+16|0;c[R>>2]=(c[R>>2]|0)+(c[S+16>>2]|0)}}while(0);if((c[406938]|0)!=0){su(A,1654904);Va(10,A|0)|0;S=c[413724]|0;Au(1,0,1612424,(p=i,i=i+16|0,h[p>>3]=+h[c[c[m>>2]>>2]>>3],c[p+8>>2]=S,p)|0);i=p;h[q>>3]=+h[k>>3]}if((N|0)!=0){aa=57;break}if((Nx(a,0)|0)!=0){aa=58;break}if((Gx(a,0)|0)!=0){aa=58;break}if((xx(a,0)|0)==0){G=K;H=O}else{aa=58;break}}do{if((aa|0)==57){Au(1,0,1606256,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=N-1|0;J=O}else if((aa|0)==58){if((Nx(a,0)|0)!=0){Au(1,0,1601184,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-2;J=O;break}if((Gx(a,0)|0)!=0){Au(1,0,1598184,(p=i,i=i+8|0,h[p>>3]=+h[k>>3],p)|0);i=p;I=-3;J=O;break}H=(xx(a,0)|0)==0;M=+h[k>>3];if(H){Au(1,0,1594360,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-1;J=O;break}else{Au(1,0,1595736,(p=i,i=i+8|0,h[p>>3]=M,p)|0);i=p;I=-3;J=O;break}}}while(0);if((J|0)==0){i=d;return I|0}Oa(J|0)|0;i=d;return I|0}function De(a){a=a|0;return 0}function Ee(a){a=a|0;return 0}function Fe(a){a=a|0;return 0}function Ge(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+8>>3]=0.0;return}function He(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+16>>2]=c[(c[a+404>>2]|0)+436>>2];return}function Ie(a){a=a|0;var b=0,d=0.0,e=0;b=a+4|0;d=+h[(c[a+416>>2]|0)+32>>3];e=Fu(1623184,(ux(+Pw(a,1,+(c[(c[a+404>>2]|0)+40>>2]|0),+h[c[c[b>>2]>>2]>>3],d,d),0,a)|0)-1|0)|0;c[c[(c[c[b>>2]>>2]|0)+12>>2]>>2]=e;return}function Je(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+32>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+40|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+8|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[c[b+356>>2]|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[c[b+356>>2]|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+32>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+32>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=p;n=p;break}}else{if(o){o=a[c[b+356>>2]|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+32>>3])|0;a[c[b+352>>2]|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+32>>3])|0;a[c[b+352>>2]|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+48|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+8|0;c[m>>2]=f;return}else{e=c[(c[c[b+4>>2]>>2]|0)+12>>2]|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+8|0;c[m>>2]=f;return}}function Ke(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+16>>2]|0)-1|0,(c[a+8>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+4>>2]=d;return}function Le(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+4>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+12>>2]=a;return}function Me(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+36>>2]=c[(c[a+404>>2]|0)+52>>2];return}function Ne(a){a=a|0;var b=0,d=0.0,e=0;b=a+4|0;d=+h[(c[a+416>>2]|0)+16>>3];e=Fu(1623184,(ux(+Pw(a,0,+(c[(c[a+404>>2]|0)+408>>2]|0),+h[c[c[b>>2]>>2]>>3],d,d),1,a)|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+20>>2]=e;return}function Oe(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+16>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+408|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+28|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+1|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+1|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+16>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+16>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+1|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+16>>3])|0;a[(c[b+352>>2]|0)+1|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+16>>3])|0;a[(c[b+352>>2]|0)+1|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+32|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+28|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+20|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+28|0;c[m>>2]=f;return}}function Pe(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+36>>2]|0)-1|0,(c[a+28>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+24>>2]=d;return}function Qe(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+24>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+32>>2]=a;return}function Re(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+68>>2]=c[(c[a+404>>2]|0)+444>>2];return}function Se(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+56>>2]=c[(c[a+404>>2]|0)+420>>2];return}function Te(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+40>>2]=c[(c[a+404>>2]|0)+48>>2];return}function Ue(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+56>>2]|0)-1|0,(c[a+40>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+52>>2]=d;return}function Ve(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+60>>2]=c[(c[a+404>>2]|0)+12>>2];return}function We(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+60>>2]|0)-1|0,(c[a+68>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+44>>2]=d;return}function Xe(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+44>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+48>>2]=a;return}function Ye(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+56>>2]|0)-1|0,(c[a+60>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+64>>2]=d;return}function Ze(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+88>>2]=c[(c[a+404>>2]|0)+396>>2];return}function _e(a){a=a|0;var b=0,d=0.0,e=0;b=a+4|0;d=+h[(c[a+416>>2]|0)+72>>3];e=Fu(1623184,(ux(+Pw(a,3,+(c[(c[a+404>>2]|0)+112>>2]|0),+h[c[c[b>>2]>>2]>>3],d,d),2,a)|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+72>>2]=e;return}function $e(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+72>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+112|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+80|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+2|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+2|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+72>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+72>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+2|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+72>>3])|0;a[(c[b+352>>2]|0)+2|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+72>>3])|0;a[(c[b+352>>2]|0)+2|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+100|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+80|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+72|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+80|0;c[m>>2]=f;return}}function af(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+88>>2]|0)-1|0,(c[a+80>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+76>>2]=d;return}function bf(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+76>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+84>>2]=a;return}function cf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+108>>2]=c[(c[a+404>>2]|0)+124>>2];return}function df(a){a=a|0;var b=0,d=0.0,e=0;b=a+4|0;d=+h[(c[a+416>>2]|0)+56>>3];e=Fu(1623184,(ux(+Pw(a,2,+(c[(c[a+404>>2]|0)+368>>2]|0),+h[c[c[b>>2]>>2]>>3],d,d),3,a)|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+92>>2]=e;return}function ef(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+56>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+368|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+100|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+3|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+3|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+56>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+56>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+3|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+56>>3])|0;a[(c[b+352>>2]|0)+3|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+56>>3])|0;a[(c[b+352>>2]|0)+3|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+84|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+100|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+92|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+100|0;c[m>>2]=f;return}}function ff(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+108>>2]|0)-1|0,(c[a+100>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+96>>2]=d;return}function gf(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+96>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+104>>2]=a;return}function hf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+140>>2]=c[(c[a+404>>2]|0)+404>>2];return}function jf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+128>>2]=c[(c[a+404>>2]|0)+380>>2];return}function kf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+112>>2]=c[(c[a+404>>2]|0)+120>>2];return}function lf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+128>>2]|0)-1|0,(c[a+112>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+124>>2]=d;return}function mf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+132>>2]=c[(c[a+404>>2]|0)+84>>2];return}function nf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+132>>2]|0)-1|0,(c[a+140>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+116>>2]=d;return}function of(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+116>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+120>>2]=a;return}function pf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+128>>2]|0)-1|0,(c[a+132>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+136>>2]=d;return}function qf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+160>>2]=c[(c[a+404>>2]|0)+356>>2];return}function rf(a){a=a|0;var b=0,d=0.0,e=0;b=a+4|0;d=+h[(c[a+416>>2]|0)+112>>3];e=Fu(1623184,(ux(+Pw(a,5,+(c[(c[a+404>>2]|0)+184>>2]|0),+h[c[c[b>>2]>>2]>>3],d,d),4,a)|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+144>>2]=e;return}function sf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+112>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+184|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+152|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+4|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+4|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+112>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+112>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+4|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+112>>3])|0;a[(c[b+352>>2]|0)+4|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+112>>3])|0;a[(c[b+352>>2]|0)+4|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+152|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+152|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+144|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+152|0;c[m>>2]=f;return}}function tf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+160>>2]|0)-1|0,(c[a+152>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+148>>2]=d;return}function uf(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+148>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+156>>2]=a;return}function vf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+180>>2]=c[(c[a+404>>2]|0)+196>>2];return}function wf(a){a=a|0;var b=0,d=0.0,e=0;b=a+4|0;d=+h[(c[a+416>>2]|0)+96>>3];e=Fu(1623184,(ux(+Pw(a,4,+(c[(c[a+404>>2]|0)+328>>2]|0),+h[c[c[b>>2]>>2]>>3],d,d),5,a)|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+164>>2]=e;return}function xf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+96>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+328|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+172|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+5|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+5|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+96>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+96>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+5|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+96>>3])|0;a[(c[b+352>>2]|0)+5|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+96>>3])|0;a[(c[b+352>>2]|0)+5|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+136|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+172|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+164|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+172|0;c[m>>2]=f;return}}function yf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+180>>2]|0)-1|0,(c[a+172>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+168>>2]=d;return}function zf(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+168>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+176>>2]=a;return}function Af(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+212>>2]=c[(c[a+404>>2]|0)+364>>2];return}function Bf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+200>>2]=c[(c[a+404>>2]|0)+340>>2];return}function Cf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+184>>2]=c[(c[a+404>>2]|0)+192>>2];return}function Df(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+200>>2]|0)-1|0,(c[a+184>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+196>>2]=d;return}function Ef(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+204>>2]=c[(c[a+404>>2]|0)+156>>2];return}function Ff(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+204>>2]|0)-1|0,(c[a+212>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+188>>2]=d;return}function Gf(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+188>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+192>>2]=a;return}function Hf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+200>>2]|0)-1|0,(c[a+204>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+208>>2]=d;return}function If(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+232>>2]=c[(c[a+404>>2]|0)+316>>2];return}function Jf(a){a=a|0;var b=0,d=0.0,e=0;b=a+4|0;d=+h[(c[a+416>>2]|0)+152>>3];e=Fu(1623184,(ux(+Pw(a,7,+(c[(c[a+404>>2]|0)+256>>2]|0),+h[c[c[b>>2]>>2]>>3],d,d),6,a)|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+216>>2]=e;return}function Kf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+152>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+256|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+224|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+6|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+6|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+152>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+152>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+6|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+152>>3])|0;a[(c[b+352>>2]|0)+6|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+152>>3])|0;a[(c[b+352>>2]|0)+6|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+204|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+224|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+216|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+224|0;c[m>>2]=f;return}}function Lf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+232>>2]|0)-1|0,(c[a+224>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+220>>2]=d;return}function Mf(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+220>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+228>>2]=a;return}function Nf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+252>>2]=c[(c[a+404>>2]|0)+268>>2];return}function Of(a){a=a|0;var b=0,d=0.0,e=0;b=a+4|0;d=+h[(c[a+416>>2]|0)+136>>3];e=Fu(1623184,(ux(+Pw(a,6,+(c[(c[a+404>>2]|0)+288>>2]|0),+h[c[c[b>>2]>>2]>>3],d,d),7,a)|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+236>>2]=e;return}function Pf(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+136>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+288|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+244|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+7|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+7|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+136>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+136>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+7|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+136>>3])|0;a[(c[b+352>>2]|0)+7|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+136>>3])|0;a[(c[b+352>>2]|0)+7|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+188|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+244|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+236|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+244|0;c[m>>2]=f;return}}function Qf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+252>>2]|0)-1|0,(c[a+244>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+240>>2]=d;return}function Rf(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+240>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+248>>2]=a;return}function Sf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+284>>2]=c[(c[a+404>>2]|0)+324>>2];return}function Tf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+272>>2]=c[(c[a+404>>2]|0)+300>>2];return}function Uf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+256>>2]=c[(c[a+404>>2]|0)+264>>2];return}function Vf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+272>>2]|0)-1|0,(c[a+256>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+268>>2]=d;return}function Wf(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+276>>2]=c[(c[a+404>>2]|0)+228>>2];return}function Xf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+276>>2]|0)-1|0,(c[a+284>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+260>>2]=d;return}function Yf(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+260>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+264>>2]=a;return}function Zf(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+272>>2]|0)-1|0,(c[a+276>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+280>>2]=d;return}function _f(b){b=b|0;a[c[(c[c[b+4>>2]>>2]|0)+16>>2]|0]=a[c[b+340>>2]|0]|0;return}function $f(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0;d=b+4|0;e=c[c[d>>2]>>2]|0;c[(c[e+12>>2]|0)+448>>2]=c[(c[b+404>>2]|0)+448>>2];do{if((a[b+314|0]|0)==0){f=a[(c[b+356>>2]|0)+10|0]|0}else{g=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(g){i=a[(c[b+356>>2]|0)+10|0]|0;j=qx(+h[e>>3],+h[(c[b+416>>2]|0)+160>>3],a[(c[b+360>>2]|0)+10|0]|0)|0;a[(c[b+352>>2]|0)+10|0]=j;f=i;break}else{i=qx(+h[e>>3],+h[(c[b+416>>2]|0)+160>>3],a[(c[b+360>>2]|0)+10|0]|0)|0;a[(c[b+352>>2]|0)+10|0]=i;f=i;break}}else{if(g){g=a[(c[b+356>>2]|0)+10|0]|0;i=tx(+h[e>>3],+h[(c[b+416>>2]|0)+160>>3])|0;a[(c[b+352>>2]|0)+10|0]=i;f=g;break}else{g=tx(+h[e>>3],+h[(c[b+416>>2]|0)+160>>3])|0;a[(c[b+352>>2]|0)+10|0]=g;f=g;break}}}}while(0);e=c[b+420>>2]|0;if(f<<24>>24==0){c[(c[(c[c[d>>2]>>2]|0)+12>>2]|0)+448>>2]=c[e+208>>2];return}else{c[(c[(c[c[d>>2]>>2]|0)+12>>2]|0)+448>>2]=c[e+212>>2];return}}function ag(b){b=b|0;var d=0;if((a[b+312|0]|0)!=0){h[(c[(c[c[b+4>>2]>>2]|0)+8>>2]|0)+48>>3]=+h[(c[b+400>>2]|0)+48>>3];return}d=c[c[b+4>>2]>>2]|0;do{if((a[c[d+16>>2]|0]|0)!=0){if((a[c[b+408>>2]|0]|0)!=0){break}h[(c[d+8>>2]|0)+48>>3]=+h[d>>3];return}}while(0);h[(c[d+8>>2]|0)+48>>3]=+h[(c[b+400>>2]|0)+48>>3];return}function bg(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=b+4|0;e=tx(+h[c[c[d>>2]>>2]>>3],+h[(c[b+416>>2]|0)+168>>3])|0;do{if((a[b+314|0]|0)==0){f=a[(c[b+356>>2]|0)+9|0]|0}else{g=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(g){i=a[(c[b+356>>2]|0)+9|0]|0;j=c[c[d>>2]>>2]|0;k=c[j+8>>2]|0;l=qx(+h[j>>3],+h[k+48>>3]+ +h[k+56>>3],a[(c[b+360>>2]|0)+9|0]|0)|0;a[(c[b+352>>2]|0)+9|0]=l;f=i;break}else{i=c[c[d>>2]>>2]|0;l=c[i+8>>2]|0;k=qx(+h[i>>3],+h[l+48>>3]+ +h[l+56>>3],a[(c[b+360>>2]|0)+9|0]|0)|0;a[(c[b+352>>2]|0)+9|0]=k;f=k;break}}else{if(g){g=a[(c[b+356>>2]|0)+9|0]|0;k=c[c[d>>2]>>2]|0;l=c[k+8>>2]|0;i=tx(+h[k>>3],+h[l+48>>3]+ +h[l+56>>3])|0;a[(c[b+352>>2]|0)+9|0]=i;f=g;break}else{g=c[c[d>>2]>>2]|0;i=c[g+8>>2]|0;l=tx(+h[g>>3],+h[i+48>>3]+ +h[i+56>>3])|0;a[(c[b+352>>2]|0)+9|0]=l;f=l;break}}}}while(0);if(e<<24>>24==0){m=3;n=c[d>>2]|0;o=c[n>>2]|0;p=o+12|0;q=c[p>>2]|0;r=q+452|0;c[r>>2]=m;return}m=f<<24>>24!=0?3:4;n=c[d>>2]|0;o=c[n>>2]|0;p=o+12|0;q=c[p>>2]|0;r=q+452|0;c[r>>2]=m;return}function cg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+452>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+440>>2]=d;return}function dg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+424>>2]=c[(c[a+404>>2]|0)+64>>2];return}function eg(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+452>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+420>>2]=a;return}function fg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+408>>2]=c[(c[a+404>>2]|0)+416>>2];return}function gg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+440>>2]|0)-1|0,(c[a+408>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+444>>2]=d;return}function hg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+432>>2]=c[(c[a+404>>2]|0)+32>>2];return}function ig(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+432>>2]|0)-1|0,(c[a+424>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+412>>2]=d;return}function jg(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+412>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+416>>2]=a;return}function kg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+432>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+428>>2]=d;return}function lg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+428>>2]|0)-1|0,(c[a+452>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+436>>2]=d;return}function mg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+408>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+400>>2]=d;return}function ng(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+384>>2]=c[(c[a+404>>2]|0)+136>>2];return}function og(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+408>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+380>>2]=a;return}function pg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+368>>2]=c[(c[a+404>>2]|0)+376>>2];return}function qg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+400>>2]|0)-1|0,(c[a+368>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+404>>2]=d;return}function rg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+392>>2]=c[(c[a+404>>2]|0)+104>>2];return}function sg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+392>>2]|0)-1|0,(c[a+384>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+372>>2]=d;return}function tg(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+372>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+376>>2]=a;return}function ug(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+392>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+388>>2]=d;return}function vg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+388>>2]|0)-1|0,(c[a+408>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+396>>2]=d;return}function wg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+368>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+360>>2]=d;return}function xg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+344>>2]=c[(c[a+404>>2]|0)+208>>2];return}function yg(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+368>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+340>>2]=a;return}function zg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+328>>2]=c[(c[a+404>>2]|0)+336>>2];return}function Ag(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+360>>2]|0)-1|0,(c[a+328>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+364>>2]=d;return}function Bg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+352>>2]=c[(c[a+404>>2]|0)+176>>2];return}function Cg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+352>>2]|0)-1|0,(c[a+344>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+332>>2]=d;return}function Dg(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+332>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+336>>2]=a;return}function Eg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+352>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+348>>2]=d;return}function Fg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+348>>2]|0)-1|0,(c[a+368>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+356>>2]=d;return}function Gg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+328>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+320>>2]=d;return}function Hg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+304>>2]=c[(c[a+404>>2]|0)+280>>2];return}function Ig(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+328>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+300>>2]=a;return}function Jg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+288>>2]=c[(c[a+404>>2]|0)+296>>2];return}function Kg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+320>>2]|0)-1|0,(c[a+288>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+324>>2]=d;return}function Lg(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+312>>2]=c[(c[a+404>>2]|0)+248>>2];return}function Mg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623056,(c[a+312>>2]|0)-1|0,(c[a+304>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+292>>2]=d;return}function Ng(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622352,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+292>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+296>>2]=a;return}function Og(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+312>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+308>>2]=d;return}function Pg(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622224,(c[a+308>>2]|0)-1|0,(c[a+328>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+316>>2]=d;return}function Qg(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[c[a+4>>2]>>2]|0;d=c[(c[b+12>>2]|0)+408>>2]|0;a:do{switch(d|0){case 1:{e=(c[a+416>>2]|0)+200|0;break};case 2:{e=(c[a+416>>2]|0)+208|0;break};case 3:{e=(c[a+416>>2]|0)+216|0;break};case 4:{e=(c[a+416>>2]|0)+224|0;break};case 5:{e=(c[a+416>>2]|0)+232|0;break};case 6:{e=(c[a+416>>2]|0)+240|0;break};case 7:{e=(c[a+416>>2]|0)+248|0;break};default:{f=c[a+416>>2]|0;if((d|0)==8){e=f+256|0;break a}else{e=f+264|0;break a}}}}while(0);h[(c[b+8>>2]|0)+40>>3]=+h[e>>3];return}function Rg(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[c[a+4>>2]>>2]|0;d=c[(c[b+12>>2]|0)+368>>2]|0;a:do{switch(d|0){case 1:{e=(c[a+416>>2]|0)+272|0;break};case 2:{e=(c[a+416>>2]|0)+280|0;break};case 3:{e=(c[a+416>>2]|0)+288|0;break};case 6:{e=(c[a+416>>2]|0)+312|0;break};case 7:{e=(c[a+416>>2]|0)+320|0;break};case 4:{e=(c[a+416>>2]|0)+296|0;break};case 5:{e=(c[a+416>>2]|0)+304|0;break};default:{f=c[a+416>>2]|0;if((d|0)==8){e=f+328|0;break a}else{e=f+336|0;break a}}}}while(0);h[(c[b+8>>2]|0)+32>>3]=+h[e>>3];return}function Sg(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[c[a+4>>2]>>2]|0;d=c[(c[b+12>>2]|0)+328>>2]|0;a:do{switch(d|0){case 1:{e=(c[a+416>>2]|0)+344|0;break};case 2:{e=(c[a+416>>2]|0)+352|0;break};case 3:{e=(c[a+416>>2]|0)+360|0;break};case 4:{e=(c[a+416>>2]|0)+368|0;break};case 5:{e=(c[a+416>>2]|0)+376|0;break};case 6:{e=(c[a+416>>2]|0)+384|0;break};case 7:{e=(c[a+416>>2]|0)+392|0;break};default:{f=c[a+416>>2]|0;if((d|0)==8){e=f+400|0;break a}else{e=f+408|0;break a}}}}while(0);h[(c[b+8>>2]|0)+24>>3]=+h[e>>3];return}function Tg(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[c[a+4>>2]>>2]|0;d=c[(c[b+12>>2]|0)+288>>2]|0;a:do{switch(d|0){case 1:{e=(c[a+416>>2]|0)+416|0;break};case 2:{e=(c[a+416>>2]|0)+424|0;break};case 3:{e=(c[a+416>>2]|0)+432|0;break};case 4:{e=(c[a+416>>2]|0)+440|0;break};case 5:{e=(c[a+416>>2]|0)+448|0;break};case 6:{e=(c[a+416>>2]|0)+456|0;break};case 7:{e=(c[a+416>>2]|0)+464|0;break};default:{f=c[a+416>>2]|0;if((d|0)==8){e=f+472|0;break a}else{e=f+480|0;break a}}}}while(0);h[(c[b+8>>2]|0)+16>>3]=+h[e>>3];return}function Ug(b){b=b|0;a[b+315|0]=0;a[b+314|0]=1;Ge(b);He(b);Ie(b);Je(b);Ke(b);Le(b);Me(b);Ne(b);Oe(b);Pe(b);Qe(b);Re(b);Se(b);Te(b);Ue(b);Ve(b);We(b);Xe(b);Ye(b);Ze(b);_e(b);$e(b);af(b);bf(b);cf(b);df(b);ef(b);ff(b);gf(b);hf(b);jf(b);kf(b);lf(b);mf(b);nf(b);of(b);pf(b);qf(b);rf(b);sf(b);tf(b);uf(b);vf(b);wf(b);xf(b);yf(b);zf(b);Af(b);Bf(b);Cf(b);Df(b);Ef(b);Ff(b);Gf(b);Hf(b);If(b);Jf(b);Kf(b);Lf(b);Mf(b);Nf(b);Of(b);Pf(b);Qf(b);Rf(b);Sf(b);Tf(b);Uf(b);Vf(b);Wf(b);Xf(b);Yf(b);Zf(b);_f(b);$f(b);ag(b);bg(b);cg(b);dg(b);eg(b);fg(b);gg(b);hg(b);ig(b);jg(b);kg(b);lg(b);mg(b);ng(b);og(b);pg(b);qg(b);rg(b);sg(b);tg(b);ug(b);vg(b);wg(b);xg(b);yg(b);zg(b);Ag(b);Bg(b);Cg(b);Dg(b);Eg(b);Fg(b);Gg(b);Hg(b);Ig(b);Jg(b);Kg(b);Lg(b);Mg(b);Ng(b);Og(b);Pg(b);Qg(b);Rg(b);Sg(b);Tg(b);return 0}function Vg(b){b=b|0;a[b+314|0]=0;Wg(b);return 0}function Wg(a){a=a|0;Ge(a);return}function Xg(a,b){a=a|0;b=+b;return 0}function Yg(a){a=a|0;var b=0,d=0;b=i;Du(c[a+536>>2]|0,(a|0)!=0|0,1589848,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;c[a+540>>2]=1625944;c[a+84>>2]=1588848;c[a+88>>2]=1588848;c[a+92>>2]=1587872;c[a+96>>2]=1586576;c[a+100>>2]=1337152;c[a+60>>2]=82288;c[a+112>>2]=1;c[a+116>>2]=8;c[a+120>>2]=1;c[a+124>>2]=114;c[a+128>>2]=1;c[a+132>>2]=0;c[a+136>>2]=61;c[a+140>>2]=60;NY(a+144|0,0,16)|0;c[a+232>>2]=5;c[a+216>>2]=0;c[a+220>>2]=194;c[a+224>>2]=0;c[a+228>>2]=0;c[a+160>>2]=18;c[a+104>>2]=1;c[a+164>>2]=11;c[a+168>>2]=8;NY(a+176|0,0,16)|0;c[a+56>>2]=81184;c[a+64>>2]=0;c[a+72>>2]=0;c[a+68>>2]=545;NY(a+192|0,0,24)|0;c[a+172>>2]=8;i=b;return}function Zg(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+952|0;e=1;f=0;g=i;i=i+168|0;c[g>>2]=0;while(1)switch(e|0){case 1:h=d|0;j=d+544|0;k=d+632|0;l=d+792|0;Ia(12);if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[2168]=c[2162];c[2169]=c[2163];c[2170]=c[2164];c[2171]=c[2165];c[2172]=c[2166];c[2173]=c[2167];Ia(c[2168]|0);if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;m=j;NY(m|0,0,88)|0;n=sa(200,c[409174]|0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(70,c[409174]|0,m|0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[j>>2]=k;o=OY(k|0,e,g)|0;e=7;break;case 7:if((o|0)==0){e=2;break}else{e=5;break};case 2:p=j+4|0;q=c[p>>2]|0;c[p>>2]=l;r=OY(l|0,e,g)|0;e=8;break;case 8:if((r|0)==0){e=3;break}else{e=4;break};case 3:pa(158,h|0);if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[h+536>>2]=j;k=ua(76,a|0,b|0,h|0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;c[p>>2]=q;Ia(4);if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Da(70,c[409174]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(98,0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(98,0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;pa(160,k|0);if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;return 0;case 4:Ia(2);if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ga(42,79952,154,1,c[u>>2]|0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(6);if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;sa(98,0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 5:Da(70,c[409174]|0,n|0)|0;if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;Ia(2);if((x|0)!=0&(y|0)!=0){f=PY(c[x>>2]|0,g)|0;if((f|0)>0){e=-1;break}else return 0}x=y=0;e=6;break;case 6:i=d;return 1;case-1:if((f|0)==1){o=y;e=7}else if((f|0)==2){r=y;e=8}x=y=0;break}return 0}function _g(){Sa(0)|0;Xa(78880,18,1,c[u>>2]|0)|0;Sa(0)|0;return}function $g(a){a=a|0;var b=0;a=i;Au(4,0,1593016,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;Au(4,0,1601976,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;i=a;return}function ah(a){a=a|0;var b=0;b=a+320|0;a=c[b>>2]|0;if((a|0)==0){return}jY(a);c[b>>2]=0;return}function bh(a){a=a|0;return}function ch(a){a=a|0;return}function dh(a,b){a=a|0;b=b|0;return}function eh(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=i;d=c[a+108>>2]|0;c[d>>2]=1;e=c[a+416>>2]|0;h[d+8>>3]=+h[e+168>>3];f=+h[e+176>>3];h[d+16>>3]=f;Du(c[a+536>>2]|0,f>0.0|0,70176,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;i=b;return}function fh(a,b){a=a|0;b=b|0;c[b>>2]=c[1623920+(a<<2)>>2];return c[1623704+(a<<2)>>2]|0}function gh(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,i=0,j=0.0,k=0.0,l=0,m=0,n=0.0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0;e=b+4|0;f=b+416|0;g=b+360|0;i=(qx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+32>>3],a[c[g>>2]|0]|0)|0)<<24>>24!=0;h[d>>3]=i?1.0:-1.0;i=b+404|0;j=+h[(c[f>>2]|0)+32>>3];k=+U(+Pw(b,1,+(c[(c[i>>2]|0)+40>>2]|0),+h[c[c[e>>2]>>2]>>3],j,j));l=b+364|0;m=k!=+U(+h[c[l>>2]>>3]);h[d+8>>3]=m?1.0:-1.0;m=(qx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+16>>3],a[(c[g>>2]|0)+1|0]|0)|0)<<24>>24!=0;h[d+16>>3]=m?1.0:-1.0;k=+h[(c[f>>2]|0)+16>>3];j=+U(+Pw(b,0,+(c[(c[i>>2]|0)+408>>2]|0),+h[c[c[e>>2]>>2]>>3],k,k));m=j!=+U(+h[(c[l>>2]|0)+8>>3]);h[d+24>>3]=m?1.0:-1.0;m=(qx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+72>>3],a[(c[g>>2]|0)+2|0]|0)|0)<<24>>24!=0;h[d+32>>3]=m?1.0:-1.0;j=+h[(c[f>>2]|0)+72>>3];k=+U(+Pw(b,3,+(c[(c[i>>2]|0)+112>>2]|0),+h[c[c[e>>2]>>2]>>3],j,j));m=k!=+U(+h[(c[l>>2]|0)+16>>3]);h[d+40>>3]=m?1.0:-1.0;m=(qx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+56>>3],a[(c[g>>2]|0)+3|0]|0)|0)<<24>>24!=0;h[d+48>>3]=m?1.0:-1.0;k=+h[(c[f>>2]|0)+56>>3];j=+U(+Pw(b,2,+(c[(c[i>>2]|0)+368>>2]|0),+h[c[c[e>>2]>>2]>>3],k,k));m=j!=+U(+h[(c[l>>2]|0)+24>>3]);h[d+56>>3]=m?1.0:-1.0;m=(qx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+112>>3],a[(c[g>>2]|0)+4|0]|0)|0)<<24>>24!=0;h[d+64>>3]=m?1.0:-1.0;j=+h[(c[f>>2]|0)+112>>3];k=+U(+Pw(b,5,+(c[(c[i>>2]|0)+184>>2]|0),+h[c[c[e>>2]>>2]>>3],j,j));m=k!=+U(+h[(c[l>>2]|0)+32>>3]);h[d+72>>3]=m?1.0:-1.0;m=(qx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+96>>3],a[(c[g>>2]|0)+5|0]|0)|0)<<24>>24!=0;h[d+80>>3]=m?1.0:-1.0;k=+h[(c[f>>2]|0)+96>>3];j=+U(+Pw(b,4,+(c[(c[i>>2]|0)+328>>2]|0),+h[c[c[e>>2]>>2]>>3],k,k));m=j!=+U(+h[(c[l>>2]|0)+40>>3]);h[d+88>>3]=m?1.0:-1.0;m=(qx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+152>>3],a[(c[g>>2]|0)+6|0]|0)|0)<<24>>24!=0;h[d+96>>3]=m?1.0:-1.0;j=+h[(c[f>>2]|0)+152>>3];k=+U(+Pw(b,7,+(c[(c[i>>2]|0)+256>>2]|0),+h[c[c[e>>2]>>2]>>3],j,j));m=k!=+U(+h[(c[l>>2]|0)+48>>3]);h[d+104>>3]=m?1.0:-1.0;m=(qx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+136>>3],a[(c[g>>2]|0)+7|0]|0)|0)<<24>>24!=0;h[d+112>>3]=m?1.0:-1.0;k=+h[(c[f>>2]|0)+136>>3];j=+U(+Pw(b,6,+(c[(c[i>>2]|0)+288>>2]|0),+h[c[c[e>>2]>>2]>>3],k,k));i=j!=+U(+h[(c[l>>2]|0)+56>>3]);h[d+120>>3]=i?1.0:-1.0;i=tx(+h[c[c[e>>2]>>2]>>3],+h[(c[f>>2]|0)+168>>3])|0;l=c[c[e>>2]>>2]|0;b=c[l+8>>2]|0;m=qx(+h[l>>3],+h[b+48>>3]+ +h[b+56>>3],a[(c[g>>2]|0)+9|0]|0)|0;if(i<<24>>24==0){n=1.0;o=d+128|0;h[o>>3]=n;p=c[e>>2]|0;q=c[p>>2]|0;r=q|0;s=+h[r>>3];t=c[f>>2]|0;u=t+160|0;v=+h[u>>3];w=c[g>>2]|0;x=w+10|0;y=a[x]|0;z=qx(s,v,y)|0;A=z<<24>>24!=0;B=A?1.0:-1.0;C=d+136|0;h[C>>3]=B;return 0}n=m<<24>>24!=0?1.0:-1.0;o=d+128|0;h[o>>3]=n;p=c[e>>2]|0;q=c[p>>2]|0;r=q|0;s=+h[r>>3];t=c[f>>2]|0;u=t+160|0;v=+h[u>>3];w=c[g>>2]|0;x=w+10|0;y=a[x]|0;z=qx(s,v,y)|0;A=z<<24>>24!=0;B=A?1.0:-1.0;C=d+136|0;h[C>>3]=B;return 0}function hh(a){a=a|0;return c[1623992+(a<<2)>>2]|0}function ih(b,d){b=b|0;d=d|0;var e=0,f=0.0,g=0,i=0.0,j=0,k=0,l=0;e=b+4|0;f=+h[c[c[e>>2]>>2]>>3];g=b+416|0;i=+h[(c[g>>2]|0)+32>>3];if((d|0)==0){d=b+352|0;a[c[d>>2]|0]=f>=i|0;a[(c[d>>2]|0)+1|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+16>>3]|0;a[(c[d>>2]|0)+2|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+72>>3]|0;a[(c[d>>2]|0)+3|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+56>>3]|0;a[(c[d>>2]|0)+4|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+112>>3]|0;a[(c[d>>2]|0)+5|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+96>>3]|0;a[(c[d>>2]|0)+6|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+152>>3]|0;a[(c[d>>2]|0)+7|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+136>>3]|0;a[(c[d>>2]|0)+8|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+168>>3]|0;j=c[c[e>>2]>>2]|0;k=c[j+8>>2]|0;a[(c[d>>2]|0)+9|0]=+h[j>>3]>=+h[k+48>>3]+ +h[k+56>>3]|0;a[(c[d>>2]|0)+10|0]=+h[c[c[e>>2]>>2]>>3]>=+h[(c[g>>2]|0)+160>>3]|0;return 0}else{d=b+360|0;k=qx(f,i,a[c[d>>2]|0]|0)|0;j=b+352|0;a[c[j>>2]|0]=k;k=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+16>>3],a[(c[d>>2]|0)+1|0]|0)|0;a[(c[j>>2]|0)+1|0]=k;k=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+72>>3],a[(c[d>>2]|0)+2|0]|0)|0;a[(c[j>>2]|0)+2|0]=k;k=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+56>>3],a[(c[d>>2]|0)+3|0]|0)|0;a[(c[j>>2]|0)+3|0]=k;k=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+112>>3],a[(c[d>>2]|0)+4|0]|0)|0;a[(c[j>>2]|0)+4|0]=k;k=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+96>>3],a[(c[d>>2]|0)+5|0]|0)|0;a[(c[j>>2]|0)+5|0]=k;k=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+152>>3],a[(c[d>>2]|0)+6|0]|0)|0;a[(c[j>>2]|0)+6|0]=k;k=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+136>>3],a[(c[d>>2]|0)+7|0]|0)|0;a[(c[j>>2]|0)+7|0]=k;k=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+168>>3],a[(c[d>>2]|0)+8|0]|0)|0;a[(c[j>>2]|0)+8|0]=k;k=c[c[e>>2]>>2]|0;b=c[k+8>>2]|0;l=qx(+h[k>>3],+h[b+48>>3]+ +h[b+56>>3],a[(c[d>>2]|0)+9|0]|0)|0;a[(c[j>>2]|0)+9|0]=l;l=qx(+h[c[c[e>>2]>>2]>>3],+h[(c[g>>2]|0)+160>>3],a[(c[d>>2]|0)+10|0]|0)|0;a[(c[j>>2]|0)+10|0]=l;return 0}return 0}function jh(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0;d=i;Au(8,1,1586904,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;f=b+4|0;g=c[c[f>>2]>>2]|0;j=a[c[g+16>>2]|0]|0;k=a[c[b+408>>2]|0]|0;if(j<<24>>24==k<<24>>24){l=0;m=g}else{Au(8,0,1585760,(e=i,i=i+16|0,c[e>>2]=k<<24>>24,c[e+8>>2]=j<<24>>24,e)|0);i=e;l=1;m=c[c[f>>2]>>2]|0}j=c[(c[m+12>>2]|0)+452>>2]|0;k=b+404|0;g=c[(c[k>>2]|0)+452>>2]|0;if((j|0)==(g|0)){n=l;o=m}else{Au(8,0,1336472,(e=i,i=i+16|0,c[e>>2]=g,c[e+8>>2]=j,e)|0);i=e;n=1;o=c[c[f>>2]>>2]|0}p=+h[(c[o+8>>2]|0)+48>>3];q=+h[(c[b+400>>2]|0)+48>>3];if(p!=q){Au(8,0,81464,(e=i,i=i+16|0,h[e>>3]=q,h[e+8>>3]=p,e)|0);i=e;r=1;s=c[c[f>>2]>>2]|0}else{r=n;s=o}o=c[s+12>>2]|0;s=c[o+448>>2]|0;n=c[k>>2]|0;b=c[n+448>>2]|0;if((s|0)==(b|0)){t=r;u=o;v=n}else{Au(8,0,80328,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;t=1;u=c[(c[c[f>>2]>>2]|0)+12>>2]|0;v=c[k>>2]|0}s=c[u+444>>2]|0;b=c[v+444>>2]|0;if((s|0)==(b|0)){w=t;x=u;y=v}else{Au(8,0,79160,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;w=1;x=c[(c[c[f>>2]>>2]|0)+12>>2]|0;y=c[k>>2]|0}s=c[x+440>>2]|0;b=c[y+440>>2]|0;if((s|0)==(b|0)){z=w;A=x;B=y}else{Au(8,0,77968,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;z=1;A=c[(c[c[f>>2]>>2]|0)+12>>2]|0;B=c[k>>2]|0}s=c[A+436>>2]|0;b=c[B+436>>2]|0;if((s|0)==(b|0)){C=z;D=A;E=B}else{Au(8,0,76976,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;C=1;D=c[(c[c[f>>2]>>2]|0)+12>>2]|0;E=c[k>>2]|0}s=c[D+432>>2]|0;b=c[E+432>>2]|0;if((s|0)==(b|0)){F=C;G=D;H=E}else{Au(8,0,76832,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;F=1;G=c[(c[c[f>>2]>>2]|0)+12>>2]|0;H=c[k>>2]|0}s=c[G+428>>2]|0;b=c[H+428>>2]|0;if((s|0)==(b|0)){I=F;J=G;K=H}else{Au(8,0,75888,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;I=1;J=c[(c[c[f>>2]>>2]|0)+12>>2]|0;K=c[k>>2]|0}s=c[J+424>>2]|0;b=c[K+424>>2]|0;if((s|0)==(b|0)){L=I;M=J;N=K}else{Au(8,0,74992,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;L=1;M=c[(c[c[f>>2]>>2]|0)+12>>2]|0;N=c[k>>2]|0}s=c[M+420>>2]|0;b=c[N+420>>2]|0;if((s|0)==(b|0)){O=L;P=M;Q=N}else{Au(8,0,73416,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;O=1;P=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Q=c[k>>2]|0}s=c[P+416>>2]|0;b=c[Q+416>>2]|0;if((s|0)==(b|0)){R=O;S=P;T=Q}else{Au(8,0,72120,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;R=1;S=c[(c[c[f>>2]>>2]|0)+12>>2]|0;T=c[k>>2]|0}s=c[S+412>>2]|0;b=c[T+412>>2]|0;if((s|0)==(b|0)){U=R;V=S;W=T}else{Au(8,0,71152,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;U=1;V=c[(c[c[f>>2]>>2]|0)+12>>2]|0;W=c[k>>2]|0}s=c[V+408>>2]|0;b=c[W+408>>2]|0;if((s|0)==(b|0)){X=U;Y=V;Z=W}else{Au(8,0,69312,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;X=1;Y=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Z=c[k>>2]|0}s=c[Y+404>>2]|0;b=c[Z+404>>2]|0;if((s|0)==(b|0)){_=X;$=Y;aa=Z}else{Au(8,0,69072,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;_=1;$=c[(c[c[f>>2]>>2]|0)+12>>2]|0;aa=c[k>>2]|0}s=c[$+400>>2]|0;b=c[aa+400>>2]|0;if((s|0)==(b|0)){ba=_;ca=$;da=aa}else{Au(8,0,68048,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ba=1;ca=c[(c[c[f>>2]>>2]|0)+12>>2]|0;da=c[k>>2]|0}s=c[ca+396>>2]|0;b=c[da+396>>2]|0;if((s|0)==(b|0)){ea=ba;fa=ca;ga=da}else{Au(8,0,67048,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ea=1;fa=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ga=c[k>>2]|0}s=c[fa+392>>2]|0;b=c[ga+392>>2]|0;if((s|0)==(b|0)){ha=ea;ia=fa;ja=ga}else{Au(8,0,65600,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ha=1;ia=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ja=c[k>>2]|0}s=c[ia+388>>2]|0;b=c[ja+388>>2]|0;if((s|0)==(b|0)){ka=ha;la=ia;ma=ja}else{Au(8,0,64608,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ka=1;la=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ma=c[k>>2]|0}s=c[la+384>>2]|0;b=c[ma+384>>2]|0;if((s|0)==(b|0)){na=ka;oa=la;pa=ma}else{Au(8,0,63728,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;na=1;oa=c[(c[c[f>>2]>>2]|0)+12>>2]|0;pa=c[k>>2]|0}s=c[oa+380>>2]|0;b=c[pa+380>>2]|0;if((s|0)==(b|0)){qa=na;ra=oa;sa=pa}else{Au(8,0,61856,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;qa=1;ra=c[(c[c[f>>2]>>2]|0)+12>>2]|0;sa=c[k>>2]|0}s=c[ra+376>>2]|0;b=c[sa+376>>2]|0;if((s|0)==(b|0)){ta=qa;ua=ra;va=sa}else{Au(8,0,60832,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ta=1;ua=c[(c[c[f>>2]>>2]|0)+12>>2]|0;va=c[k>>2]|0}s=c[ua+372>>2]|0;b=c[va+372>>2]|0;if((s|0)==(b|0)){wa=ta;xa=ua;ya=va}else{Au(8,0,59968,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;wa=1;xa=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ya=c[k>>2]|0}s=c[xa+368>>2]|0;b=c[ya+368>>2]|0;if((s|0)==(b|0)){za=wa;Aa=xa;Ba=ya}else{Au(8,0,59080,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;za=1;Aa=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ba=c[k>>2]|0}s=c[Aa+364>>2]|0;b=c[Ba+364>>2]|0;if((s|0)==(b|0)){Ca=za;Da=Aa;Ea=Ba}else{Au(8,0,58240,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ca=1;Da=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ea=c[k>>2]|0}s=c[Da+360>>2]|0;b=c[Ea+360>>2]|0;if((s|0)==(b|0)){Fa=Ca;Ga=Da;Ha=Ea}else{Au(8,0,57488,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Fa=1;Ga=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ha=c[k>>2]|0}s=c[Ga+356>>2]|0;b=c[Ha+356>>2]|0;if((s|0)==(b|0)){Ia=Fa;Ja=Ga;Ka=Ha}else{Au(8,0,56768,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ia=1;Ja=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ka=c[k>>2]|0}s=c[Ja+352>>2]|0;b=c[Ka+352>>2]|0;if((s|0)==(b|0)){La=Ia;Ma=Ja;Na=Ka}else{Au(8,0,56120,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;La=1;Ma=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Na=c[k>>2]|0}s=c[Ma+348>>2]|0;b=c[Na+348>>2]|0;if((s|0)==(b|0)){Oa=La;Pa=Ma;Qa=Na}else{Au(8,0,55144,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Oa=1;Pa=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Qa=c[k>>2]|0}s=c[Pa+344>>2]|0;b=c[Qa+344>>2]|0;if((s|0)==(b|0)){Ra=Oa;Sa=Pa;Ta=Qa}else{Au(8,0,54328,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ra=1;Sa=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ta=c[k>>2]|0}s=c[Sa+340>>2]|0;b=c[Ta+340>>2]|0;if((s|0)==(b|0)){Ua=Ra;Va=Sa;Wa=Ta}else{Au(8,0,52968,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ua=1;Va=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Wa=c[k>>2]|0}s=c[Va+336>>2]|0;b=c[Wa+336>>2]|0;if((s|0)==(b|0)){Xa=Ua;Ya=Va;Za=Wa}else{Au(8,0,52080,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Xa=1;Ya=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Za=c[k>>2]|0}s=c[Ya+332>>2]|0;b=c[Za+332>>2]|0;if((s|0)==(b|0)){_a=Xa;$a=Ya;ab=Za}else{Au(8,0,51272,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;_a=1;$a=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ab=c[k>>2]|0}s=c[$a+328>>2]|0;b=c[ab+328>>2]|0;if((s|0)==(b|0)){bb=_a;cb=$a;db=ab}else{Au(8,0,50416,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;bb=1;cb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;db=c[k>>2]|0}s=c[cb+324>>2]|0;b=c[db+324>>2]|0;if((s|0)==(b|0)){eb=bb;fb=cb;gb=db}else{Au(8,0,49648,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;eb=1;fb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;gb=c[k>>2]|0}s=c[fb+320>>2]|0;b=c[gb+320>>2]|0;if((s|0)==(b|0)){hb=eb;ib=fb;jb=gb}else{Au(8,0,48960,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;hb=1;ib=c[(c[c[f>>2]>>2]|0)+12>>2]|0;jb=c[k>>2]|0}s=c[ib+316>>2]|0;b=c[jb+316>>2]|0;if((s|0)==(b|0)){kb=hb;lb=ib;mb=jb}else{Au(8,0,48240,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;kb=1;lb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;mb=c[k>>2]|0}s=c[lb+312>>2]|0;b=c[mb+312>>2]|0;if((s|0)==(b|0)){nb=kb;ob=lb;pb=mb}else{Au(8,0,47544,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;nb=1;ob=c[(c[c[f>>2]>>2]|0)+12>>2]|0;pb=c[k>>2]|0}s=c[ob+308>>2]|0;b=c[pb+308>>2]|0;if((s|0)==(b|0)){qb=nb;rb=ob;sb=pb}else{Au(8,0,46800,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;qb=1;rb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;sb=c[k>>2]|0}s=c[rb+304>>2]|0;b=c[sb+304>>2]|0;if((s|0)==(b|0)){tb=qb;ub=rb;vb=sb}else{Au(8,0,46168,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;tb=1;ub=c[(c[c[f>>2]>>2]|0)+12>>2]|0;vb=c[k>>2]|0}s=c[ub+300>>2]|0;b=c[vb+300>>2]|0;if((s|0)==(b|0)){wb=tb;xb=ub;yb=vb}else{Au(8,0,44696,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;wb=1;xb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;yb=c[k>>2]|0}s=c[xb+296>>2]|0;b=c[yb+296>>2]|0;if((s|0)==(b|0)){zb=wb;Ab=xb;Bb=yb}else{Au(8,0,43696,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;zb=1;Ab=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Bb=c[k>>2]|0}s=c[Ab+292>>2]|0;b=c[Bb+292>>2]|0;if((s|0)==(b|0)){Cb=zb;Db=Ab;Eb=Bb}else{Au(8,0,42912,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Cb=1;Db=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Eb=c[k>>2]|0}s=c[Db+288>>2]|0;b=c[Eb+288>>2]|0;if((s|0)==(b|0)){Fb=Cb;Gb=Db;Hb=Eb}else{Au(8,0,42264,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Fb=1;Gb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Hb=c[k>>2]|0}s=c[Gb+284>>2]|0;b=c[Hb+284>>2]|0;if((s|0)==(b|0)){Ib=Fb;Jb=Gb;Kb=Hb}else{Au(8,0,41520,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ib=1;Jb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Kb=c[k>>2]|0}s=c[Jb+280>>2]|0;b=c[Kb+280>>2]|0;if((s|0)==(b|0)){Lb=Ib;Mb=Jb;Nb=Kb}else{Au(8,0,40912,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Lb=1;Mb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Nb=c[k>>2]|0}s=c[Mb+272>>2]|0;b=c[Nb+272>>2]|0;if((s|0)==(b|0)){Ob=Lb;Pb=Mb;Qb=Nb}else{Au(8,0,40128,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ob=1;Pb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Qb=c[k>>2]|0}s=c[Pb+276>>2]|0;b=c[Qb+276>>2]|0;if((s|0)==(b|0)){Rb=Ob;Sb=Pb;Tb=Qb}else{Au(8,0,39400,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Rb=1;Sb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Tb=c[k>>2]|0}s=c[Sb+268>>2]|0;b=c[Tb+268>>2]|0;if((s|0)==(b|0)){Ub=Rb;Vb=Sb;Wb=Tb}else{Au(8,0,38712,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ub=1;Vb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Wb=c[k>>2]|0}s=c[Vb+264>>2]|0;b=c[Wb+264>>2]|0;if((s|0)==(b|0)){Xb=Ub;Yb=Vb;Zb=Wb}else{Au(8,0,38216,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Xb=1;Yb=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Zb=c[k>>2]|0}s=c[Yb+260>>2]|0;b=c[Zb+260>>2]|0;if((s|0)==(b|0)){_b=Xb;$b=Yb;ac=Zb}else{Au(8,0,37256,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;_b=1;$b=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ac=c[k>>2]|0}s=c[$b+256>>2]|0;b=c[ac+256>>2]|0;if((s|0)==(b|0)){bc=_b;cc=$b;dc=ac}else{Au(8,0,36528,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;bc=1;cc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;dc=c[k>>2]|0}s=c[cc+252>>2]|0;b=c[dc+252>>2]|0;if((s|0)==(b|0)){ec=bc;fc=cc;gc=dc}else{Au(8,0,35968,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ec=1;fc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;gc=c[k>>2]|0}s=c[fc+248>>2]|0;b=c[gc+248>>2]|0;if((s|0)==(b|0)){hc=ec;ic=fc;jc=gc}else{Au(8,0,35240,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;hc=1;ic=c[(c[c[f>>2]>>2]|0)+12>>2]|0;jc=c[k>>2]|0}s=c[ic+244>>2]|0;b=c[jc+244>>2]|0;if((s|0)==(b|0)){kc=hc;lc=ic;mc=jc}else{Au(8,0,34512,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;kc=1;lc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;mc=c[k>>2]|0}s=c[lc+240>>2]|0;b=c[mc+240>>2]|0;if((s|0)==(b|0)){nc=kc;oc=lc;pc=mc}else{Au(8,0,33904,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;nc=1;oc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;pc=c[k>>2]|0}s=c[oc+236>>2]|0;b=c[pc+236>>2]|0;if((s|0)==(b|0)){qc=nc;rc=oc;sc=pc}else{Au(8,0,33416,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;qc=1;rc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;sc=c[k>>2]|0}s=c[rc+232>>2]|0;b=c[sc+232>>2]|0;if((s|0)==(b|0)){tc=qc;uc=rc;vc=sc}else{Au(8,0,32920,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;tc=1;uc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;vc=c[k>>2]|0}s=c[uc+228>>2]|0;b=c[vc+228>>2]|0;if((s|0)==(b|0)){wc=tc;xc=uc;yc=vc}else{Au(8,0,32368,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;wc=1;xc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;yc=c[k>>2]|0}s=c[xc+224>>2]|0;b=c[yc+224>>2]|0;if((s|0)==(b|0)){zc=wc;Ac=xc;Bc=yc}else{Au(8,0,32016,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;zc=1;Ac=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Bc=c[k>>2]|0}s=c[Ac+220>>2]|0;b=c[Bc+220>>2]|0;if((s|0)==(b|0)){Cc=zc;Dc=Ac;Ec=Bc}else{Au(8,0,31160,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Cc=1;Dc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ec=c[k>>2]|0}s=c[Dc+216>>2]|0;b=c[Ec+216>>2]|0;if((s|0)==(b|0)){Fc=Cc;Gc=Dc;Hc=Ec}else{Au(8,0,30496,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Fc=1;Gc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Hc=c[k>>2]|0}s=c[Gc+212>>2]|0;b=c[Hc+212>>2]|0;if((s|0)==(b|0)){Ic=Fc;Jc=Gc;Kc=Hc}else{Au(8,0,30080,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ic=1;Jc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Kc=c[k>>2]|0}s=c[Jc+208>>2]|0;b=c[Kc+208>>2]|0;if((s|0)==(b|0)){Lc=Ic;Mc=Jc;Nc=Kc}else{Au(8,0,29544,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Lc=1;Mc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Nc=c[k>>2]|0}s=c[Mc+200>>2]|0;b=c[Nc+200>>2]|0;if((s|0)==(b|0)){Oc=Lc;Pc=Mc;Qc=Nc}else{Au(8,0,29096,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Oc=1;Pc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Qc=c[k>>2]|0}s=c[Pc+204>>2]|0;b=c[Qc+204>>2]|0;if((s|0)==(b|0)){Rc=Oc;Sc=Pc;Tc=Qc}else{Au(8,0,28584,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Rc=1;Sc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Tc=c[k>>2]|0}s=c[Sc+196>>2]|0;b=c[Tc+196>>2]|0;if((s|0)==(b|0)){Uc=Rc;Vc=Sc;Wc=Tc}else{Au(8,0,28152,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Uc=1;Vc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Wc=c[k>>2]|0}s=c[Vc+192>>2]|0;b=c[Wc+192>>2]|0;if((s|0)==(b|0)){Xc=Uc;Yc=Vc;Zc=Wc}else{Au(8,0,27640,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Xc=1;Yc=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Zc=c[k>>2]|0}s=c[Yc+188>>2]|0;b=c[Zc+188>>2]|0;if((s|0)==(b|0)){_c=Xc;$c=Yc;ad=Zc}else{Au(8,0,27008,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;_c=1;$c=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ad=c[k>>2]|0}s=c[$c+184>>2]|0;b=c[ad+184>>2]|0;if((s|0)==(b|0)){bd=_c;cd=$c;dd=ad}else{Au(8,0,26512,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;bd=1;cd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;dd=c[k>>2]|0}s=c[cd+180>>2]|0;b=c[dd+180>>2]|0;if((s|0)==(b|0)){ed=bd;fd=cd;gd=dd}else{Au(8,0,25208,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ed=1;fd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;gd=c[k>>2]|0}s=c[fd+176>>2]|0;b=c[gd+176>>2]|0;if((s|0)==(b|0)){hd=ed;id=fd;jd=gd}else{Au(8,0,24520,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;hd=1;id=c[(c[c[f>>2]>>2]|0)+12>>2]|0;jd=c[k>>2]|0}s=c[id+172>>2]|0;b=c[jd+172>>2]|0;if((s|0)==(b|0)){kd=hd;ld=id;md=jd}else{Au(8,0,24160,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;kd=1;ld=c[(c[c[f>>2]>>2]|0)+12>>2]|0;md=c[k>>2]|0}s=c[ld+168>>2]|0;b=c[md+168>>2]|0;if((s|0)==(b|0)){nd=kd;od=ld;pd=md}else{Au(8,0,23544,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;nd=1;od=c[(c[c[f>>2]>>2]|0)+12>>2]|0;pd=c[k>>2]|0}s=c[od+164>>2]|0;b=c[pd+164>>2]|0;if((s|0)==(b|0)){qd=nd;rd=od;sd=pd}else{Au(8,0,23080,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;qd=1;rd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;sd=c[k>>2]|0}s=c[rd+160>>2]|0;b=c[sd+160>>2]|0;if((s|0)==(b|0)){td=qd;ud=rd;vd=sd}else{Au(8,0,22624,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;td=1;ud=c[(c[c[f>>2]>>2]|0)+12>>2]|0;vd=c[k>>2]|0}s=c[ud+156>>2]|0;b=c[vd+156>>2]|0;if((s|0)==(b|0)){wd=td;xd=ud;yd=vd}else{Au(8,0,22096,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;wd=1;xd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;yd=c[k>>2]|0}s=c[xd+152>>2]|0;b=c[yd+152>>2]|0;if((s|0)==(b|0)){zd=wd;Ad=xd;Bd=yd}else{Au(8,0,21656,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;zd=1;Ad=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Bd=c[k>>2]|0}s=c[Ad+148>>2]|0;b=c[Bd+148>>2]|0;if((s|0)==(b|0)){Cd=zd;Dd=Ad;Ed=Bd}else{Au(8,0,1612344,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Cd=1;Dd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ed=c[k>>2]|0}s=c[Dd+144>>2]|0;b=c[Ed+144>>2]|0;if((s|0)==(b|0)){Fd=Cd;Gd=Dd;Hd=Ed}else{Au(8,0,1611936,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Fd=1;Gd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Hd=c[k>>2]|0}s=c[Gd+140>>2]|0;b=c[Hd+140>>2]|0;if((s|0)==(b|0)){Id=Fd;Jd=Gd;Kd=Hd}else{Au(8,0,1610992,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Id=1;Jd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Kd=c[k>>2]|0}s=c[Jd+136>>2]|0;b=c[Kd+136>>2]|0;if((s|0)==(b|0)){Ld=Id;Md=Jd;Nd=Kd}else{Au(8,0,1610320,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ld=1;Md=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Nd=c[k>>2]|0}s=c[Md+128>>2]|0;b=c[Nd+128>>2]|0;if((s|0)==(b|0)){Od=Ld;Pd=Md;Rd=Nd}else{Au(8,0,1609736,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Od=1;Pd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Rd=c[k>>2]|0}s=c[Pd+132>>2]|0;b=c[Rd+132>>2]|0;if((s|0)==(b|0)){Sd=Od;Td=Pd;Ud=Rd}else{Au(8,0,1609024,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Sd=1;Td=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ud=c[k>>2]|0}s=c[Td+124>>2]|0;b=c[Ud+124>>2]|0;if((s|0)==(b|0)){Vd=Sd;Wd=Td;Xd=Ud}else{Au(8,0,1608464,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Vd=1;Wd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Xd=c[k>>2]|0}s=c[Wd+120>>2]|0;b=c[Xd+120>>2]|0;if((s|0)==(b|0)){Yd=Vd;Zd=Wd;_d=Xd}else{Au(8,0,1607992,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Yd=1;Zd=c[(c[c[f>>2]>>2]|0)+12>>2]|0;_d=c[k>>2]|0}s=c[Zd+116>>2]|0;b=c[_d+116>>2]|0;if((s|0)==(b|0)){$d=Yd;ae=Zd;be=_d}else{Au(8,0,1607504,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;$d=1;ae=c[(c[c[f>>2]>>2]|0)+12>>2]|0;be=c[k>>2]|0}s=c[ae+112>>2]|0;b=c[be+112>>2]|0;if((s|0)==(b|0)){ce=$d;de=ae;ee=be}else{Au(8,0,1607056,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ce=1;de=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ee=c[k>>2]|0}s=c[de+108>>2]|0;b=c[ee+108>>2]|0;if((s|0)==(b|0)){fe=ce;ge=de;he=ee}else{Au(8,0,1606192,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;fe=1;ge=c[(c[c[f>>2]>>2]|0)+12>>2]|0;he=c[k>>2]|0}s=c[ge+104>>2]|0;b=c[he+104>>2]|0;if((s|0)==(b|0)){ie=fe;je=ge;ke=he}else{Au(8,0,1605600,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ie=1;je=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ke=c[k>>2]|0}s=c[je+100>>2]|0;b=c[ke+100>>2]|0;if((s|0)==(b|0)){le=ie;me=je;ne=ke}else{Au(8,0,1604568,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;le=1;me=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ne=c[k>>2]|0}s=c[me+96>>2]|0;b=c[ne+96>>2]|0;if((s|0)==(b|0)){oe=le;pe=me;qe=ne}else{Au(8,0,1603800,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;oe=1;pe=c[(c[c[f>>2]>>2]|0)+12>>2]|0;qe=c[k>>2]|0}s=c[pe+92>>2]|0;b=c[qe+92>>2]|0;if((s|0)==(b|0)){re=oe;se=pe;te=qe}else{Au(8,0,1603216,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;re=1;se=c[(c[c[f>>2]>>2]|0)+12>>2]|0;te=c[k>>2]|0}s=c[se+88>>2]|0;b=c[te+88>>2]|0;if((s|0)==(b|0)){ue=re;ve=se;we=te}else{Au(8,0,1602576,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;ue=1;ve=c[(c[c[f>>2]>>2]|0)+12>>2]|0;we=c[k>>2]|0}s=c[ve+84>>2]|0;b=c[we+84>>2]|0;if((s|0)==(b|0)){xe=ue;ye=ve;ze=we}else{Au(8,0,1602128,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;xe=1;ye=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ze=c[k>>2]|0}s=c[ye+80>>2]|0;b=c[ze+80>>2]|0;if((s|0)==(b|0)){Ae=xe;Be=ye;Ce=ze}else{Au(8,0,1601784,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ae=1;Be=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ce=c[k>>2]|0}s=c[Be+76>>2]|0;b=c[Ce+76>>2]|0;if((s|0)==(b|0)){De=Ae;Ee=Be;Fe=Ce}else{Au(8,0,1601672,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;De=1;Ee=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Fe=c[k>>2]|0}s=c[Ee+72>>2]|0;b=c[Fe+72>>2]|0;if((s|0)==(b|0)){Ge=De;He=Ee;Ie=Fe}else{Au(8,0,1601464,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Ge=1;He=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ie=c[k>>2]|0}s=c[He+68>>2]|0;b=c[Ie+68>>2]|0;if((s|0)==(b|0)){Je=Ge;Ke=He;Le=Ie}else{Au(8,0,1601120,(e=i,i=i+16|0,c[e>>2]=b,c[e+8>>2]=s,e)|0);i=e;Je=1;Ke=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Le=c[k>>2]|0}s=c[Ke+64>>2]|0;Ke=c[Le+64>>2]|0;if((s|0)==(Ke|0)){Me=Je;Ne=Le}else{Au(8,0,1601016,(e=i,i=i+16|0,c[e>>2]=Ke,c[e+8>>2]=s,e)|0);i=e;Me=1;Ne=c[k>>2]|0}s=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ke=c[s+56>>2]|0;Le=c[Ne+56>>2]|0;if((Ke|0)==(Le|0)){Oe=Me;Pe=s;Qe=Ne}else{Au(8,0,1600384,(e=i,i=i+16|0,c[e>>2]=Le,c[e+8>>2]=Ke,e)|0);i=e;Oe=1;Pe=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Qe=c[k>>2]|0}Ke=c[Pe+60>>2]|0;Le=c[Qe+60>>2]|0;if((Ke|0)==(Le|0)){Re=Oe;Se=Pe;Te=Qe}else{Au(8,0,1599920,(e=i,i=i+16|0,c[e>>2]=Le,c[e+8>>2]=Ke,e)|0);i=e;Re=1;Se=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Te=c[k>>2]|0}Ke=c[Se+52>>2]|0;Le=c[Te+52>>2]|0;if((Ke|0)==(Le|0)){Ue=Re;Ve=Se}else{Au(8,0,1599408,(e=i,i=i+16|0,c[e>>2]=Le,c[e+8>>2]=Ke,e)|0);i=e;Ue=1;Ve=c[(c[c[f>>2]>>2]|0)+12>>2]|0}Ke=c[Ve+48>>2]|0;Le=c[k>>2]|0;Se=c[Le+48>>2]|0;if((Ke|0)==(Se|0)){We=Ue;Xe=Ve;Ye=Le}else{Au(8,0,1599048,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;We=1;Xe=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ye=c[k>>2]|0}Ke=c[Xe+44>>2]|0;Se=c[Ye+44>>2]|0;if((Ke|0)==(Se|0)){Ze=We;_e=Xe;$e=Ye}else{Au(8,0,1598864,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;Ze=1;_e=c[(c[c[f>>2]>>2]|0)+12>>2]|0;$e=c[k>>2]|0}Ke=c[_e+40>>2]|0;Se=c[$e+40>>2]|0;if((Ke|0)==(Se|0)){af=Ze;bf=_e;cf=$e}else{Au(8,0,1598704,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;af=1;bf=c[(c[c[f>>2]>>2]|0)+12>>2]|0;cf=c[k>>2]|0}Ke=c[bf+36>>2]|0;Se=c[cf+36>>2]|0;if((Ke|0)==(Se|0)){df=af;ef=bf;ff=cf}else{Au(8,0,1598504,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;df=1;ef=c[(c[c[f>>2]>>2]|0)+12>>2]|0;ff=c[k>>2]|0}Ke=c[ef+32>>2]|0;Se=c[ff+32>>2]|0;if((Ke|0)==(Se|0)){gf=df;hf=ef;jf=ff}else{Au(8,0,1598376,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;gf=1;hf=c[(c[c[f>>2]>>2]|0)+12>>2]|0;jf=c[k>>2]|0}Ke=c[hf+28>>2]|0;Se=c[jf+28>>2]|0;if((Ke|0)==(Se|0)){kf=gf;lf=hf;mf=jf}else{Au(8,0,1598112,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;kf=1;lf=c[(c[c[f>>2]>>2]|0)+12>>2]|0;mf=c[k>>2]|0}Ke=c[lf+24>>2]|0;Se=c[mf+24>>2]|0;if((Ke|0)==(Se|0)){nf=kf;of=lf;pf=mf}else{Au(8,0,1597880,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;nf=1;of=c[(c[c[f>>2]>>2]|0)+12>>2]|0;pf=c[k>>2]|0}Ke=c[of+20>>2]|0;Se=c[pf+20>>2]|0;if((Ke|0)==(Se|0)){qf=nf;rf=of;sf=pf}else{Au(8,0,1597224,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;qf=1;rf=c[(c[c[f>>2]>>2]|0)+12>>2]|0;sf=c[k>>2]|0}Ke=c[rf+16>>2]|0;Se=c[sf+16>>2]|0;if((Ke|0)==(Se|0)){tf=qf;uf=rf;vf=sf}else{Au(8,0,1596840,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;tf=1;uf=c[(c[c[f>>2]>>2]|0)+12>>2]|0;vf=c[k>>2]|0}Ke=c[uf+12>>2]|0;Se=c[vf+12>>2]|0;if((Ke|0)==(Se|0)){wf=tf;xf=uf;yf=vf}else{Au(8,0,1596696,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;wf=1;xf=c[(c[c[f>>2]>>2]|0)+12>>2]|0;yf=c[k>>2]|0}Ke=c[xf+8>>2]|0;Se=c[yf+8>>2]|0;if((Ke|0)==(Se|0)){zf=wf;Af=xf;Bf=yf}else{Au(8,0,1596520,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;zf=1;Af=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Bf=c[k>>2]|0}Ke=c[Af+4>>2]|0;Se=c[Bf+4>>2]|0;if((Ke|0)==(Se|0)){Cf=zf;Df=Af;Ef=Bf}else{Au(8,0,1596240,(e=i,i=i+16|0,c[e>>2]=Se,c[e+8>>2]=Ke,e)|0);i=e;Cf=1;Df=c[(c[c[f>>2]>>2]|0)+12>>2]|0;Ef=c[k>>2]|0}k=c[Df>>2]|0;Df=c[Ef>>2]|0;if((k|0)==(Df|0)){Ff=Cf}else{Au(8,0,1596136,(e=i,i=i+16|0,c[e>>2]=Df,c[e+8>>2]=k,e)|0);i=e;Ff=1}if((c[406888]|0)==0){i=d;return Ff|0}Qd[c[3538]&511](8);i=d;return Ff|0}function kh(a){a=a|0;return 1596032}function lh(a,b){a=a|0;b=b|0;b=i;Au(21,1,1603320,(a=i,i=i+1|0,i=i+7&-8,c[a>>2]=0,a)|0);i=a;if((c[406901]|0)==0){i=b;return 0}Qd[c[3538]&511](21);i=b;return 0}function mh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+156>>2]=c[b+220>>2];return}function nh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+176>>2]=c[b+156>>2];return}function oh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+188>>2]=c[b+176>>2];return}function ph(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+192>>2]=c[b+156>>2];return}function qh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+204>>2]=c[b+192>>2];return}function rh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+120>>3]=+h[b+192>>3];return}function sh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+128>>3]=+h[b+120>>3];return}function th(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+136>>3]=+h[b+128>>3];return}function uh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+144>>3]=+h[b+120>>3];return}function vh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+152>>3]=+h[b+144>>3];return}function wh(a){a=a|0;c[(c[a+404>>2]|0)+316>>2]=1;return}function xh(a){a=a|0;c[(c[a+404>>2]|0)+288>>2]=1;return}function yh(a){a=a|0;c[(c[a+404>>2]|0)+268>>2]=1;return}function zh(a){a=a|0;c[(c[a+404>>2]|0)+256>>2]=1;return}function Ah(a){a=a|0;var b=0;b=Fu(1623168,(ux(+(c[(c[a+404>>2]|0)+288>>2]|0),7,a)|0)-1|0)|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+236>>2]=b;return}function Bh(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+136>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+288|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+244|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+7|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+7|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+136>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+136>>3],a[(c[b+360>>2]|0)+7|0]|0)|0;a[(c[b+352>>2]|0)+7|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+7|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+136>>3])|0;a[(c[b+352>>2]|0)+7|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+136>>3])|0;a[(c[b+352>>2]|0)+7|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+188|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+244|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+236|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+244|0;c[m>>2]=f;return}}function Ch(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+252>>2]=c[(c[a+404>>2]|0)+268>>2];return}function Dh(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+252>>2]|0)-1|0,(c[a+244>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+240>>2]=d;return}function Eh(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+240>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+248>>2]=a;return}function Fh(a){a=a|0;var b=0;b=Fu(1623168,(ux(+(c[(c[a+404>>2]|0)+256>>2]|0),6,a)|0)-1|0)|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+216>>2]=b;return}function Gh(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+152>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+256|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+224|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+6|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+6|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+152>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+152>>3],a[(c[b+360>>2]|0)+6|0]|0)|0;a[(c[b+352>>2]|0)+6|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+6|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+152>>3])|0;a[(c[b+352>>2]|0)+6|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+152>>3])|0;a[(c[b+352>>2]|0)+6|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+204|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+224|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+216|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+224|0;c[m>>2]=f;return}}function Hh(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+232>>2]=c[(c[a+404>>2]|0)+316>>2];return}function Ih(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+232>>2]|0)-1|0,(c[a+224>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+220>>2]=d;return}function Jh(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+220>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+228>>2]=a;return}function Kh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+104>>2]=c[b+220>>2];return}function Lh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+124>>2]=c[b+104>>2];return}function Mh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+136>>2]=c[b+124>>2];return}function Nh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+140>>2]=c[b+104>>2];return}function Oh(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+152>>2]=c[b+140>>2];return}function Ph(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+192>>3];return}function Qh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+88>>3]=+h[b+80>>3];return}function Rh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+96>>3]=+h[b+88>>3];return}function Sh(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+80>>3];return}function Th(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+112>>3]=+h[b+104>>3];return}function Uh(a){a=a|0;c[(c[a+404>>2]|0)+356>>2]=1;return}function Vh(a){a=a|0;c[(c[a+404>>2]|0)+328>>2]=1;return}function Wh(a){a=a|0;c[(c[a+404>>2]|0)+196>>2]=1;return}function Xh(a){a=a|0;c[(c[a+404>>2]|0)+184>>2]=1;return}function Yh(a){a=a|0;var b=0;b=Fu(1623168,(ux(+(c[(c[a+404>>2]|0)+328>>2]|0),5,a)|0)-1|0)|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+164>>2]=b;return}function Zh(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+96>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+328|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+172|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+5|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+5|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+96>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+96>>3],a[(c[b+360>>2]|0)+5|0]|0)|0;a[(c[b+352>>2]|0)+5|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+5|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+96>>3])|0;a[(c[b+352>>2]|0)+5|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+96>>3])|0;a[(c[b+352>>2]|0)+5|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+136|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+172|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+164|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+172|0;c[m>>2]=f;return}}function _h(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+180>>2]=c[(c[a+404>>2]|0)+196>>2];return}function $h(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+180>>2]|0)-1|0,(c[a+172>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+168>>2]=d;return}function ai(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+168>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+176>>2]=a;return}function bi(a){a=a|0;var b=0;b=Fu(1623168,(ux(+(c[(c[a+404>>2]|0)+184>>2]|0),4,a)|0)-1|0)|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+144>>2]=b;return}function ci(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+112>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+184|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+152|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+4|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+4|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+112>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+112>>3],a[(c[b+360>>2]|0)+4|0]|0)|0;a[(c[b+352>>2]|0)+4|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+4|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+112>>3])|0;a[(c[b+352>>2]|0)+4|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+112>>3])|0;a[(c[b+352>>2]|0)+4|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+152|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+152|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+144|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+152|0;c[m>>2]=f;return}}function di(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+160>>2]=c[(c[a+404>>2]|0)+356>>2];return}function ei(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+160>>2]|0)-1|0,(c[a+152>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+148>>2]=d;return}function fi(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+148>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+156>>2]=a;return}function gi(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+52>>2]=c[b+220>>2];return}function hi(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+72>>2]=c[b+52>>2];return}function ii(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+84>>2]=c[b+72>>2];return}function ji(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+88>>2]=c[b+52>>2];return}function ki(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+100>>2]=c[b+88>>2];return}function li(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+40>>3]=+h[b+192>>3];return}function mi(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+48>>3]=+h[b+40>>3];return}function ni(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+56>>3]=+h[b+48>>3];return}function oi(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+64>>3]=+h[b+40>>3];return}function pi(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+72>>3]=+h[b+64>>3];return}function qi(a){a=a|0;c[(c[a+404>>2]|0)+396>>2]=1;return}function ri(a){a=a|0;c[(c[a+404>>2]|0)+368>>2]=1;return}function si(a){a=a|0;c[(c[a+404>>2]|0)+124>>2]=1;return}function ti(a){a=a|0;c[(c[a+404>>2]|0)+112>>2]=1;return}function ui(a){a=a|0;var b=0;b=Fu(1623168,(ux(+(c[(c[a+404>>2]|0)+368>>2]|0),3,a)|0)-1|0)|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+92>>2]=b;return}function vi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+56>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+368|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+100|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+3|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+3|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+56>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+56>>3],a[(c[b+360>>2]|0)+3|0]|0)|0;a[(c[b+352>>2]|0)+3|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+3|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+56>>3])|0;a[(c[b+352>>2]|0)+3|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+56>>3])|0;a[(c[b+352>>2]|0)+3|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+84|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+100|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+92|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+100|0;c[m>>2]=f;return}}function wi(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+108>>2]=c[(c[a+404>>2]|0)+124>>2];return}function xi(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+108>>2]|0)-1|0,(c[a+100>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+96>>2]=d;return}function yi(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+96>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+104>>2]=a;return}function zi(a){a=a|0;var b=0;b=Fu(1623168,(ux(+(c[(c[a+404>>2]|0)+112>>2]|0),2,a)|0)-1|0)|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+72>>2]=b;return}function Ai(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+72>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+112|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+80|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+2|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+2|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+72>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+72>>3],a[(c[b+360>>2]|0)+2|0]|0)|0;a[(c[b+352>>2]|0)+2|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+2|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+72>>3])|0;a[(c[b+352>>2]|0)+2|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+72>>3])|0;a[(c[b+352>>2]|0)+2|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+100|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+80|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+72|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+80|0;c[m>>2]=f;return}}function Bi(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+88>>2]=c[(c[a+404>>2]|0)+396>>2];return}function Ci(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+88>>2]|0)-1|0,(c[a+80>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+76>>2]=d;return}function Di(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+76>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+84>>2]=a;return}function Ei(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b>>2]=c[b+220>>2];return}function Fi(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+20>>2]=c[b>>2];return}function Gi(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+32>>2]=c[b+20>>2];return}function Hi(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+36>>2]=c[b>>2];return}function Ii(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+48>>2]=c[b+36>>2];return}function Ji(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b>>3]=+h[b+192>>3];return}function Ki(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+8>>3]=+h[b>>3];return}function Li(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+16>>3]=+h[b+8>>3];return}function Mi(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+24>>3]=+h[b>>3];return}function Ni(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+32>>3]=+h[b+24>>3];return}function Oi(a){a=a|0;c[(c[a+404>>2]|0)+436>>2]=1;return}function Pi(a){a=a|0;c[(c[a+404>>2]|0)+408>>2]=1;return}function Qi(a){a=a|0;c[(c[a+404>>2]|0)+52>>2]=1;return}function Ri(a){a=a|0;c[(c[a+404>>2]|0)+40>>2]=1;return}function Si(a){a=a|0;var b=0;b=Fu(1623168,(ux(+(c[(c[a+404>>2]|0)+408>>2]|0),1,a)|0)-1|0)|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+20>>2]=b;return}function Ti(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+16>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+408|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+28|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[(c[b+356>>2]|0)+1|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[(c[b+356>>2]|0)+1|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+16>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+16>>3],a[(c[b+360>>2]|0)+1|0]|0)|0;a[(c[b+352>>2]|0)+1|0]=p;n=p;break}}else{if(o){o=a[(c[b+356>>2]|0)+1|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+16>>3])|0;a[(c[b+352>>2]|0)+1|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+16>>3])|0;a[(c[b+352>>2]|0)+1|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+32|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+28|0;c[m>>2]=f;return}else{e=(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+20|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+28|0;c[m>>2]=f;return}}function Ui(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+36>>2]=c[(c[a+404>>2]|0)+52>>2];return}function Vi(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+36>>2]|0)-1|0,(c[a+28>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+24>>2]=d;return}function Wi(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+24>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+32>>2]=a;return}function Xi(a){a=a|0;var b=0;b=Fu(1623168,(ux(+(c[(c[a+404>>2]|0)+40>>2]|0),0,a)|0)-1|0)|0;c[c[(c[c[a+4>>2]>>2]|0)+12>>2]>>2]=b;return}function Yi(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=b+416|0;if((sx(+h[(c[d>>2]|0)+32>>3],0.0)|0)<<24>>24==0){e=(c[b+404>>2]|0)+40|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+8|0;c[m>>2]=f;return}do{if((a[b+314|0]|0)==0){n=a[c[b+356>>2]|0]|0}else{o=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(o){p=a[c[b+356>>2]|0]|0;q=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+32>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=q;n=p;break}else{p=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+32>>3],a[c[b+360>>2]|0]|0)|0;a[c[b+352>>2]|0]=p;n=p;break}}else{if(o){o=a[c[b+356>>2]|0]|0;p=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+32>>3])|0;a[c[b+352>>2]|0]=p;n=o;break}else{o=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[d>>2]|0)+32>>3])|0;a[c[b+352>>2]|0]=o;n=o;break}}}}while(0);if(n<<24>>24==0){e=(c[b+420>>2]|0)+48|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+8|0;c[m>>2]=f;return}else{e=c[(c[c[b+4>>2]>>2]|0)+12>>2]|0;f=c[e>>2]|0;g=b+4|0;i=c[g>>2]|0;j=c[i>>2]|0;k=j+12|0;l=c[k>>2]|0;m=l+8|0;c[m>>2]=f;return}}function Zi(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+16>>2]=c[(c[a+404>>2]|0)+436>>2];return}function _i(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+16>>2]|0)-1|0,(c[a+8>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+4>>2]=d;return}function $i(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+4>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+12>>2]=a;return}function aj(a){a=a|0;h[(c[a+400>>2]|0)+48>>3]=+h[(c[a+8>>2]|0)+768>>3];return}function bj(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+56>>3]=+h[b+176>>3]*+h[b+184>>3]*.01;return}function cj(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=+h[(c[a+400>>2]|0)+48>>3];return}function dj(b){b=b|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=b+4|0;e=tx(+h[c[c[d>>2]>>2]>>3],+h[(c[b+416>>2]|0)+168>>3])|0;do{if((a[b+314|0]|0)==0){f=a[(c[b+356>>2]|0)+9|0]|0}else{g=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(g){i=a[(c[b+356>>2]|0)+9|0]|0;j=c[c[d>>2]>>2]|0;k=c[j+8>>2]|0;l=qx(+h[j>>3],+h[k+48>>3]+ +h[k+56>>3],a[(c[b+360>>2]|0)+9|0]|0)|0;a[(c[b+352>>2]|0)+9|0]=l;f=i;break}else{i=c[c[d>>2]>>2]|0;l=c[i+8>>2]|0;k=qx(+h[i>>3],+h[l+48>>3]+ +h[l+56>>3],a[(c[b+360>>2]|0)+9|0]|0)|0;a[(c[b+352>>2]|0)+9|0]=k;f=k;break}}else{if(g){g=a[(c[b+356>>2]|0)+9|0]|0;k=c[c[d>>2]>>2]|0;l=c[k+8>>2]|0;i=tx(+h[k>>3],+h[l+48>>3]+ +h[l+56>>3])|0;a[(c[b+352>>2]|0)+9|0]=i;f=g;break}else{g=c[c[d>>2]>>2]|0;i=c[g+8>>2]|0;l=tx(+h[g>>3],+h[i+48>>3]+ +h[i+56>>3])|0;a[(c[b+352>>2]|0)+9|0]=l;f=l;break}}}}while(0);if(e<<24>>24==0){m=3;n=c[d>>2]|0;o=c[n>>2]|0;p=o+12|0;q=c[p>>2]|0;r=q+452|0;c[r>>2]=m;return}m=f<<24>>24!=0?3:4;n=c[d>>2]|0;o=c[n>>2]|0;p=o+12|0;q=c[p>>2]|0;r=q+452|0;c[r>>2]=m;return}function ej(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+452>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+420>>2]=a;return}function fj(b){b=b|0;var d=0,e=0,f=0,g=0;do{if((a[b+314|0]|0)==0){d=a[(c[b+356>>2]|0)+10|0]|0}else{e=(a[b+318|0]|0)!=0;if((a[b+312|0]|0)==0){if(e){f=a[(c[b+356>>2]|0)+10|0]|0;g=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+160>>3],a[(c[b+360>>2]|0)+10|0]|0)|0;a[(c[b+352>>2]|0)+10|0]=g;d=f;break}else{f=qx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+160>>3],a[(c[b+360>>2]|0)+10|0]|0)|0;a[(c[b+352>>2]|0)+10|0]=f;d=f;break}}else{if(e){e=a[(c[b+356>>2]|0)+10|0]|0;f=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+160>>3])|0;a[(c[b+352>>2]|0)+10|0]=f;d=e;break}else{e=tx(+h[c[c[b+4>>2]>>2]>>3],+h[(c[b+416>>2]|0)+160>>3])|0;a[(c[b+352>>2]|0)+10|0]=e;d=e;break}}}}while(0);e=c[b+420>>2]|0;if(d<<24>>24==0){c[(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+448>>2]=c[e+208>>2];return}else{c[(c[(c[c[b+4>>2]>>2]|0)+12>>2]|0)+448>>2]=c[e+212>>2];return}}function gj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+452>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+440>>2]=d;return}function hj(a){a=a|0;c[(c[a+404>>2]|0)+416>>2]=1;return}function ij(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+408>>2]=c[(c[a+404>>2]|0)+416>>2];return}function jj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+440>>2]|0)-1|0,(c[a+408>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+444>>2]=d;return}function kj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+408>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+400>>2]=d;return}function lj(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+408>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+380>>2]=a;return}function mj(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[c[a+4>>2]>>2]|0;d=c[(c[b+12>>2]|0)+408>>2]|0;a:do{switch(d|0){case 1:{e=(c[a+416>>2]|0)+200|0;break};case 2:{e=(c[a+416>>2]|0)+208|0;break};case 3:{e=(c[a+416>>2]|0)+216|0;break};case 4:{e=(c[a+416>>2]|0)+224|0;break};case 5:{e=(c[a+416>>2]|0)+232|0;break};case 6:{e=(c[a+416>>2]|0)+240|0;break};case 7:{e=(c[a+416>>2]|0)+248|0;break};default:{f=c[a+416>>2]|0;if((d|0)==8){e=f+256|0;break a}else{e=f+264|0;break a}}}}while(0);h[(c[b+8>>2]|0)+40>>3]=+h[e>>3];return}function nj(a){a=a|0;c[(c[a+404>>2]|0)+376>>2]=1;return}function oj(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+368>>2]=c[(c[a+404>>2]|0)+376>>2];return}function pj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+400>>2]|0)-1|0,(c[a+368>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+404>>2]=d;return}function qj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+368>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+360>>2]=d;return}function rj(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+368>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+340>>2]=a;return}function sj(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[c[a+4>>2]>>2]|0;d=c[(c[b+12>>2]|0)+368>>2]|0;a:do{switch(d|0){case 1:{e=(c[a+416>>2]|0)+272|0;break};case 2:{e=(c[a+416>>2]|0)+280|0;break};case 3:{e=(c[a+416>>2]|0)+288|0;break};case 4:{e=(c[a+416>>2]|0)+296|0;break};case 5:{e=(c[a+416>>2]|0)+304|0;break};case 6:{e=(c[a+416>>2]|0)+312|0;break};case 7:{e=(c[a+416>>2]|0)+320|0;break};default:{f=c[a+416>>2]|0;if((d|0)==8){e=f+328|0;break a}else{e=f+336|0;break a}}}}while(0);h[(c[b+8>>2]|0)+32>>3]=+h[e>>3];return}function tj(a){a=a|0;c[(c[a+404>>2]|0)+336>>2]=1;return}function uj(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+328>>2]=c[(c[a+404>>2]|0)+336>>2];return}function vj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+360>>2]|0)-1|0,(c[a+328>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+364>>2]=d;return}function wj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+328>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+320>>2]=d;return}function xj(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+328>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+300>>2]=a;return}function yj(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[c[a+4>>2]>>2]|0;d=c[(c[b+12>>2]|0)+328>>2]|0;a:do{switch(d|0){case 4:{e=(c[a+416>>2]|0)+368|0;break};case 1:{e=(c[a+416>>2]|0)+344|0;break};case 3:{e=(c[a+416>>2]|0)+360|0;break};case 2:{e=(c[a+416>>2]|0)+352|0;break};case 6:{e=(c[a+416>>2]|0)+384|0;break};case 7:{e=(c[a+416>>2]|0)+392|0;break};case 5:{e=(c[a+416>>2]|0)+376|0;break};default:{f=c[a+416>>2]|0;if((d|0)==8){e=f+400|0;break a}else{e=f+408|0;break a}}}}while(0);h[(c[b+8>>2]|0)+24>>3]=+h[e>>3];return}function zj(a){a=a|0;c[(c[a+404>>2]|0)+296>>2]=1;return}function Aj(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+288>>2]=c[(c[a+404>>2]|0)+296>>2];return}function Bj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+320>>2]|0)-1|0,(c[a+288>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+324>>2]=d;return}function Cj(a){a=a|0;var b=0,d=0,e=0,f=0;b=c[c[a+4>>2]>>2]|0;d=c[(c[b+12>>2]|0)+288>>2]|0;a:do{switch(d|0){case 1:{e=(c[a+416>>2]|0)+416|0;break};case 2:{e=(c[a+416>>2]|0)+424|0;break};case 3:{e=(c[a+416>>2]|0)+432|0;break};case 4:{e=(c[a+416>>2]|0)+440|0;break};case 5:{e=(c[a+416>>2]|0)+448|0;break};case 6:{e=(c[a+416>>2]|0)+456|0;break};case 7:{e=(c[a+416>>2]|0)+464|0;break};default:{f=c[a+416>>2]|0;if((d|0)==8){e=f+472|0;break a}else{e=f+480|0;break a}}}}while(0);h[(c[b+8>>2]|0)+16>>3]=+h[e>>3];return}function Dj(a){a=a|0;c[(c[a+404>>2]|0)+280>>2]=1;return}function Ej(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+304>>2]=c[(c[a+404>>2]|0)+280>>2];return}function Fj(a){a=a|0;c[(c[a+404>>2]|0)+248>>2]=1;return}function Gj(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+312>>2]=c[(c[a+404>>2]|0)+248>>2];return}function Hj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+312>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+308>>2]=d;return}function Ij(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+308>>2]|0)-1|0,(c[a+328>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+316>>2]=d;return}function Jj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+312>>2]|0)-1|0,(c[a+304>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+292>>2]=d;return}function Kj(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+292>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+296>>2]=a;return}function Lj(a){a=a|0;c[(c[a+404>>2]|0)+208>>2]=1;return}function Mj(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+344>>2]=c[(c[a+404>>2]|0)+208>>2];return}function Nj(a){a=a|0;c[(c[a+404>>2]|0)+176>>2]=1;return}function Oj(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+352>>2]=c[(c[a+404>>2]|0)+176>>2];return}function Pj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+352>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+348>>2]=d;return}function Qj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+348>>2]|0)-1|0,(c[a+368>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+356>>2]=d;return}function Rj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+352>>2]|0)-1|0,(c[a+344>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+332>>2]=d;return}function Sj(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+332>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+336>>2]=a;return}function Tj(a){a=a|0;c[(c[a+404>>2]|0)+136>>2]=1;return}function Uj(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+384>>2]=c[(c[a+404>>2]|0)+136>>2];return}function Vj(a){a=a|0;c[(c[a+404>>2]|0)+104>>2]=1;return}function Wj(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+392>>2]=c[(c[a+404>>2]|0)+104>>2];return}function Xj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+392>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+388>>2]=d;return}function Yj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+388>>2]|0)-1|0,(c[a+408>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+396>>2]=d;return}function Zj(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+392>>2]|0)-1|0,(c[a+384>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+372>>2]=d;return}function _j(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+372>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+376>>2]=a;return}function $j(a){a=a|0;c[(c[a+404>>2]|0)+64>>2]=1;return}function ak(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+424>>2]=c[(c[a+404>>2]|0)+64>>2];return}function bk(a){a=a|0;c[(c[a+404>>2]|0)+32>>2]=1;return}function ck(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+432>>2]=c[(c[a+404>>2]|0)+32>>2];return}function dk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+432>>2]|0)-1|0,(c[a+448>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+428>>2]=d;return}function ek(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+428>>2]|0)-1|0,(c[a+452>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+436>>2]=d;return}function fk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+432>>2]|0)-1|0,(c[a+424>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+412>>2]=d;return}function gk(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+412>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+416>>2]=a;return}function hk(b){b=b|0;a[c[(c[c[b+4>>2]>>2]|0)+16>>2]|0]=0;return}function ik(a){a=a|0;c[(c[a+404>>2]|0)+444>>2]=1;return}function jk(a){a=a|0;c[(c[a+404>>2]|0)+420>>2]=3;return}function kk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+56>>2]=c[(c[a+404>>2]|0)+420>>2];return}function lk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+68>>2]=c[(c[a+404>>2]|0)+444>>2];return}function mk(a){a=a|0;c[(c[a+404>>2]|0)+48>>2]=1;return}function nk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+40>>2]=c[(c[a+404>>2]|0)+48>>2];return}function ok(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+56>>2]|0)-1|0,(c[a+40>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+52>>2]=d;return}function pk(a){a=a|0;c[(c[a+404>>2]|0)+12>>2]=1;return}function qk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+60>>2]=c[(c[a+404>>2]|0)+12>>2];return}function rk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+56>>2]|0)-1|0,(c[a+60>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+64>>2]=d;return}function sk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+60>>2]|0)-1|0,(c[a+68>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+44>>2]=d;return}function tk(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+44>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+48>>2]=a;return}function uk(a){a=a|0;c[(c[a+404>>2]|0)+404>>2]=1;return}function vk(a){a=a|0;c[(c[a+404>>2]|0)+380>>2]=3;return}function wk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+128>>2]=c[(c[a+404>>2]|0)+380>>2];return}function xk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+140>>2]=c[(c[a+404>>2]|0)+404>>2];return}function yk(a){a=a|0;c[(c[a+404>>2]|0)+120>>2]=1;return}function zk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+112>>2]=c[(c[a+404>>2]|0)+120>>2];return}function Ak(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+128>>2]|0)-1|0,(c[a+112>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+124>>2]=d;return}function Bk(a){a=a|0;c[(c[a+404>>2]|0)+84>>2]=1;return}function Ck(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+132>>2]=c[(c[a+404>>2]|0)+84>>2];return}function Dk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+128>>2]|0)-1|0,(c[a+132>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+136>>2]=d;return}function Ek(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+132>>2]|0)-1|0,(c[a+140>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+116>>2]=d;return}function Fk(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+116>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+120>>2]=a;return}function Gk(a){a=a|0;c[(c[a+404>>2]|0)+364>>2]=1;return}function Hk(a){a=a|0;c[(c[a+404>>2]|0)+340>>2]=3;return}function Ik(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+200>>2]=c[(c[a+404>>2]|0)+340>>2];return}function Jk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+212>>2]=c[(c[a+404>>2]|0)+364>>2];return}function Kk(a){a=a|0;c[(c[a+404>>2]|0)+192>>2]=1;return}function Lk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+184>>2]=c[(c[a+404>>2]|0)+192>>2];return}function Mk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+200>>2]|0)-1|0,(c[a+184>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+196>>2]=d;return}function Nk(a){a=a|0;c[(c[a+404>>2]|0)+156>>2]=1;return}function Ok(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+204>>2]=c[(c[a+404>>2]|0)+156>>2];return}function Pk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+200>>2]|0)-1|0,(c[a+204>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+208>>2]=d;return}function Qk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+204>>2]|0)-1|0,(c[a+212>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+188>>2]=d;return}function Rk(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+188>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+192>>2]=a;return}function Sk(a){a=a|0;c[(c[a+404>>2]|0)+324>>2]=1;return}function Tk(a){a=a|0;c[(c[a+404>>2]|0)+300>>2]=3;return}function Uk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+272>>2]=c[(c[a+404>>2]|0)+300>>2];return}function Vk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+284>>2]=c[(c[a+404>>2]|0)+324>>2];return}function Wk(a){a=a|0;c[(c[a+404>>2]|0)+264>>2]=1;return}function Xk(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+256>>2]=c[(c[a+404>>2]|0)+264>>2];return}function Yk(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+272>>2]|0)-1|0,(c[a+256>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+268>>2]=d;return}function Zk(a){a=a|0;c[(c[a+404>>2]|0)+228>>2]=1;return}function _k(a){a=a|0;c[(c[(c[c[a+4>>2]>>2]|0)+12>>2]|0)+276>>2]=c[(c[a+404>>2]|0)+228>>2];return}function $k(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1622208,(c[a+272>>2]|0)-1|0,(c[a+276>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+280>>2]=d;return}function al(a){a=a|0;var b=0,d=0;b=a+4|0;a=c[(c[c[b>>2]>>2]|0)+12>>2]|0;d=Gu(1623040,(c[a+276>>2]|0)-1|0,(c[a+284>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+260>>2]=d;return}function bl(a){a=a|0;var b=0;b=a+4|0;a=Fu(1622336,(c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+260>>2]|0)-1|0)|0;c[(c[(c[c[b>>2]>>2]|0)+12>>2]|0)+264>>2]=a;return}function cl(b){b=b|0;var c=0;c=b+314|0;a[c]=1;mh(b);nh(b);oh(b);ph(b);qh(b);rh(b);sh(b);th(b);uh(b);vh(b);wh(b);xh(b);yh(b);zh(b);Ah(b);Bh(b);Ch(b);Dh(b);Eh(b);Fh(b);Gh(b);Hh(b);Ih(b);Jh(b);Kh(b);Lh(b);Mh(b);Nh(b);Oh(b);Ph(b);Qh(b);Rh(b);Sh(b);Th(b);Uh(b);Vh(b);Wh(b);Xh(b);Yh(b);Zh(b);_h(b);$h(b);ai(b);bi(b);ci(b);di(b);ei(b);fi(b);gi(b);hi(b);ii(b);ji(b);ki(b);li(b);mi(b);ni(b);oi(b);pi(b);qi(b);ri(b);si(b);ti(b);ui(b);vi(b);wi(b);xi(b);yi(b);zi(b);Ai(b);Bi(b);Ci(b);Di(b);Ei(b);Fi(b);Gi(b);Hi(b);Ii(b);Ji(b);Ki(b);Li(b);Mi(b);Ni(b);Oi(b);Pi(b);Qi(b);Ri(b);Si(b);Ti(b);Ui(b);Vi(b);Wi(b);Xi(b);Yi(b);Zi(b);_i(b);$i(b);aj(b);bj(b);cj(b);dj(b);ej(b);fj(b);gj(b);hj(b);ij(b);jj(b);kj(b);lj(b);mj(b);nj(b);oj(b);pj(b);qj(b);rj(b);sj(b);tj(b);uj(b);vj(b);wj(b);xj(b);yj(b);zj(b);Aj(b);Bj(b);Cj(b);Dj(b);Ej(b);Fj(b);Gj(b);Hj(b);Ij(b);Jj(b);Kj(b);Lj(b);Mj(b);Nj(b);Oj(b);Pj(b);Qj(b);Rj(b);Sj(b);Tj(b);Uj(b);Vj(b);Wj(b);Xj(b);Yj(b);Zj(b);_j(b);$j(b);ak(b);bk(b);ck(b);dk(b);ek(b);fk(b);gk(b);hk(b);ik(b);jk(b);kk(b);lk(b);mk(b);nk(b);ok(b);pk(b);qk(b);rk(b);sk(b);tk(b);uk(b);vk(b);wk(b);xk(b);yk(b);zk(b);Ak(b);Bk(b);Ck(b);Dk(b);Ek(b);Fk(b);Gk(b);Hk(b);Ik(b);Jk(b);Kk(b);Lk(b);Mk(b);Nk(b);Ok(b);Pk(b);Qk(b);Rk(b);Sk(b);Tk(b);Uk(b);Vk(b);Wk(b);Xk(b);Yk(b);Zk(b);_k(b);$k(b);al(b);bl(b);a[c]=0;return 0}function dl(a){a=a|0;return}function el(a){a=a|0;var b=0,d=0,e=0,f=0.0;b=a+404|0;d=a+4|0;e=a+416|0;f=+h[(c[e>>2]|0)+136>>3];Nw(a,6,+(c[(c[b>>2]|0)+288>>2]|0),+h[c[c[d>>2]>>2]>>3],f,f);f=+h[(c[e>>2]|0)+152>>3];Nw(a,7,+(c[(c[b>>2]|0)+256>>2]|0),+h[c[c[d>>2]>>2]>>3],f,f);f=+h[(c[e>>2]|0)+96>>3];Nw(a,4,+(c[(c[b>>2]|0)+328>>2]|0),+h[c[c[d>>2]>>2]>>3],f,f);f=+h[(c[e>>2]|0)+112>>3];Nw(a,5,+(c[(c[b>>2]|0)+184>>2]|0),+h[c[c[d>>2]>>2]>>3],f,f);f=+h[(c[e>>2]|0)+56>>3];Nw(a,2,+(c[(c[b>>2]|0)+368>>2]|0),+h[c[c[d>>2]>>2]>>3],f,f);f=+h[(c[e>>2]|0)+72>>3];Nw(a,3,+(c[(c[b>>2]|0)+112>>2]|0),+h[c[c[d>>2]>>2]>>3],f,f);f=+h[(c[e>>2]|0)+16>>3];Nw(a,0,+(c[(c[b>>2]|0)+408>>2]|0),+h[c[c[d>>2]>>2]>>3],f,f);f=+h[(c[e>>2]|0)+32>>3];Nw(a,1,+(c[(c[b>>2]|0)+40>>2]|0),+h[c[c[d>>2]>>2]>>3],f,f);return 0}function fl(a){a=a|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3]=+h[(c[a+416>>2]|0)+168>>3];return}function gl(a){a=a|0;var b=0,d=0,e=0.0,f=0;b=i;Au(9,1,1592624,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[406889]|0)!=0){Qd[c[3538]&511](9)}Au(9,1,1602064,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[406889]|0)!=0){Qd[c[3538]&511](9)}Au(9,1,1586824,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;if((c[406889]|0)!=0){Qd[c[3538]&511](9)}fl(a);Au(9,1,73792,(d=i,i=i+1|0,i=i+7&-8,c[d>>2]=0,d)|0);i=d;e=+h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+48>>3];f=c[a+8>>2]|0;h[f+768>>3]=e;Au(9,0,62240,(d=i,i=i+16|0,c[d>>2]=c[f+676>>2],h[d+8>>3]=e,d)|0);i=d;if((c[406889]|0)==0){i=b;return 0}Qd[c[3538]&511](9);i=b;return 0}function hl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[(c[(c[c[a+4>>2]>>2]|0)+8>>2]|0)+56>>3]=+h[b+176>>3]*+h[b+184>>3]*.01;return}function il(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b>>3]=+h[b+192>>3];return}function jl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b>>2]=c[b+220>>2];return}function kl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+8>>3]=+h[b>>3];return}function ll(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+20>>2]=c[b>>2];return}function ml(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+16>>3]=+h[b+8>>3];return}function nl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+32>>2]=c[b+20>>2];return}function ol(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+24>>3]=+h[b>>3];return}function pl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+36>>2]=c[b>>2];return}function ql(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+32>>3]=+h[b+24>>3];return}function rl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+48>>2]=c[b+36>>2];return}function sl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+40>>3]=+h[b+192>>3];return}function tl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+52>>2]=c[b+220>>2];return}function ul(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+48>>3]=+h[b+40>>3];return}function vl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+72>>2]=c[b+52>>2];return}function wl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+56>>3]=+h[b+48>>3];return}function xl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+84>>2]=c[b+72>>2];return}function yl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+64>>3]=+h[b+40>>3];return}function zl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+88>>2]=c[b+52>>2];return}function Al(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+72>>3]=+h[b+64>>3];return}function Bl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+100>>2]=c[b+88>>2];return}function Cl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+80>>3]=+h[b+192>>3];return}function Dl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+104>>2]=c[b+220>>2];return}function El(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+88>>3]=+h[b+80>>3];return}function Fl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+124>>2]=c[b+104>>2];return}function Gl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+96>>3]=+h[b+88>>3];return}function Hl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+136>>2]=c[b+124>>2];return}function Il(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+104>>3]=+h[b+80>>3];return}function Jl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+140>>2]=c[b+104>>2];return}function Kl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+112>>3]=+h[b+104>>3];return}function Ll(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+152>>2]=c[b+140>>2];return}function Ml(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+120>>3]=+h[b+192>>3];return}function Nl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+156>>2]=c[b+220>>2];return}function Ol(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+128>>3]=+h[b+120>>3];return}function Pl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+176>>2]=c[b+156>>2];return}function Ql(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+136>>3]=+h[b+128>>3];return}function Rl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+188>>2]=c[b+176>>2];return}function Sl(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+144>>3]=+h[b+120>>3];return}function Tl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+192>>2]=c[b+156>>2];return}function Ul(a){a=a|0;var b=0;b=c[a+416>>2]|0;h[b+152>>3]=+h[b+144>>3];return}function Vl(a){a=a|0;var b=0;b=c[a+420>>2]|0;c[b+204>>2]=c[b+192>>2];return}function Wl(b){b=b|0;var d=0,e=0;d=i;if(a[1625936]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+236>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=av(44952,_u(c[(c[e>>2]|0)+236>>2]|0,53264)|0)|0;ge[c[2160]&15](1625896,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625936]=1;i=d;return}function Xl(b){b=b|0;var d=0,e=0;d=i;if(a[1625928]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+232>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=av(31328,_u(c[(c[e>>2]|0)+232>>2]|0,53264)|0)|0;ge[c[2160]&15](1625896,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625928]=1;i=d;return}function Yl(b){b=b|0;var d=0,e=0;d=i;if(a[1625920]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+228>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=av(25760,_u(c[(c[e>>2]|0)+228>>2]|0,53264)|0)|0;ge[c[2160]&15](1625896,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625920]=1;i=d;return}function Zl(b){b=b|0;var d=0,e=0;d=i;if(a[1625888]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+224>>2]|0),1.0)|0)<<24>>24==0)){i=d;return}b=av(1611272,_u(c[(c[e>>2]|0)+224>>2]|0,53264)|0)|0;ge[c[2160]&15](1625896,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625888]=1;i=d;return}function _l(b){b=b|0;var d=0,e=0;d=i;if(a[1625880]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+204>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+204>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1604744,_u(c[(c[e>>2]|0)+204>>2]|0,53264)|0)|0;ge[c[2160]&15](1625520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625880]=1;i=d;return}function $l(b){b=b|0;var d=0,e=0;d=i;if(a[1625872]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+200>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(1600552,_u(c[(c[e>>2]|0)+200>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625872]=1;i=d;return}function am(b){b=b|0;var d=0,e=0;d=i;if(a[1625864]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+196>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(1597384,_u(c[(c[e>>2]|0)+196>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625864]=1;i=d;return}function bm(b){b=b|0;var d=0,e=0;d=i;if(a[1625856]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+192>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+192>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1595248,_u(c[(c[e>>2]|0)+192>>2]|0,53264)|0)|0;ge[c[2160]&15](1625472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625856]=1;i=d;return}function cm(b){b=b|0;var d=0,e=0;d=i;if(a[1625848]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+188>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+188>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1593832,_u(c[(c[e>>2]|0)+188>>2]|0,53264)|0)|0;ge[c[2160]&15](1625520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625848]=1;i=d;return}function dm(b){b=b|0;var d=0,e=0;d=i;if(a[1625840]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+184>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(1592712,_u(c[(c[e>>2]|0)+184>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625840]=1;i=d;return}function em(b){b=b|0;var d=0,e=0;d=i;if(a[1625832]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+180>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(1591392,_u(c[(c[e>>2]|0)+180>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625832]=1;i=d;return}function fm(b){b=b|0;var d=0,e=0;d=i;if(a[1625824]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+176>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+176>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1590384,_u(c[(c[e>>2]|0)+176>>2]|0,53264)|0)|0;ge[c[2160]&15](1625472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625824]=1;i=d;return}function gm(b){b=b|0;var d=0,e=0;d=i;if(a[1625816]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+172>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(1589552,_u(c[(c[e>>2]|0)+172>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625816]=1;i=d;return}function hm(b){b=b|0;var d=0,e=0;d=i;if(a[1625808]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+168>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(1588552,_u(c[(c[e>>2]|0)+168>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625808]=1;i=d;return}function im(b){b=b|0;var d=0,e=0;d=i;if(a[1625800]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+164>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(1587536,_u(c[(c[e>>2]|0)+164>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625800]=1;i=d;return}function jm(b){b=b|0;var d=0,e=0;d=i;if(a[1625792]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+160>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(1586256,_u(c[(c[e>>2]|0)+160>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625792]=1;i=d;return}function km(b){b=b|0;var d=0,e=0;d=i;if(a[1625784]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+156>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+156>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1336824,_u(c[(c[e>>2]|0)+156>>2]|0,53264)|0)|0;ge[c[2160]&15](1625384,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625784]=1;i=d;return}function lm(b){b=b|0;var d=0,e=0;d=i;if(a[1625776]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+152>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+152>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(81824,_u(c[(c[e>>2]|0)+152>>2]|0,53264)|0)|0;ge[c[2160]&15](1625520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625776]=1;i=d;return}function mm(b){b=b|0;var d=0,e=0;d=i;if(a[1625768]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+148>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(80792,_u(c[(c[e>>2]|0)+148>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625768]=1;i=d;return}function nm(b){b=b|0;var d=0,e=0;d=i;if(a[1625760]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+144>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(79568,_u(c[(c[e>>2]|0)+144>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625760]=1;i=d;return}function om(b){b=b|0;var d=0,e=0;d=i;if(a[1625752]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+140>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+140>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(78384,_u(c[(c[e>>2]|0)+140>>2]|0,53264)|0)|0;ge[c[2160]&15](1625472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625752]=1;i=d;return}function pm(b){b=b|0;var d=0,e=0;d=i;if(a[1625744]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+136>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+136>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(77376,_u(c[(c[e>>2]|0)+136>>2]|0,53264)|0)|0;ge[c[2160]&15](1625520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625744]=1;i=d;return}function qm(b){b=b|0;var d=0,e=0;d=i;if(a[1625736]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+132>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(76448,_u(c[(c[e>>2]|0)+132>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625736]=1;i=d;return}function rm(b){b=b|0;var d=0,e=0;d=i;if(a[1625728]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+128>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(75536,_u(c[(c[e>>2]|0)+128>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625728]=1;i=d;return}function sm(b){b=b|0;var d=0,e=0;d=i;if(a[1625720]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+124>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+124>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(74440,_u(c[(c[e>>2]|0)+124>>2]|0,53264)|0)|0;ge[c[2160]&15](1625472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625720]=1;i=d;return}function tm(b){b=b|0;var d=0,e=0;d=i;if(a[1625712]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+120>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(72912,_u(c[(c[e>>2]|0)+120>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625712]=1;i=d;return}function um(b){b=b|0;var d=0,e=0;d=i;if(a[1625704]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+116>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(71720,_u(c[(c[e>>2]|0)+116>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625704]=1;i=d;return}function vm(b){b=b|0;var d=0,e=0;d=i;if(a[1625696]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+112>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(70640,_u(c[(c[e>>2]|0)+112>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625696]=1;i=d;return}function wm(b){b=b|0;var d=0,e=0;d=i;if(a[1625688]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+108>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(69776,_u(c[(c[e>>2]|0)+108>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625688]=1;i=d;return}function xm(b){b=b|0;var d=0,e=0;d=i;if(a[1625680]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+104>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+104>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(68640,_u(c[(c[e>>2]|0)+104>>2]|0,53264)|0)|0;ge[c[2160]&15](1625384,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625680]=1;i=d;return}function ym(b){b=b|0;var d=0,e=0;d=i;if(a[1625672]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+100>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+100>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(67616,_u(c[(c[e>>2]|0)+100>>2]|0,53264)|0)|0;ge[c[2160]&15](1625520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625672]=1;i=d;return}function zm(b){b=b|0;var d=0,e=0;d=i;if(a[1625664]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+96>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(66184,_u(c[(c[e>>2]|0)+96>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625664]=1;i=d;return}function Am(b){b=b|0;var d=0,e=0;d=i;if(a[1625656]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+92>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(65232,_u(c[(c[e>>2]|0)+92>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625656]=1;i=d;return}function Bm(b){b=b|0;var d=0,e=0;d=i;if(a[1625648]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+88>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+88>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(64184,_u(c[(c[e>>2]|0)+88>>2]|0,53264)|0)|0;ge[c[2160]&15](1625472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625648]=1;i=d;return}function Cm(b){b=b|0;var d=0,e=0;d=i;if(a[1625640]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+84>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+84>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(63064,_u(c[(c[e>>2]|0)+84>>2]|0,53264)|0)|0;ge[c[2160]&15](1625520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625640]=1;i=d;return}function Dm(b){b=b|0;var d=0,e=0;d=i;if(a[1625632]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+80>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(61568,_u(c[(c[e>>2]|0)+80>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625632]=1;i=d;return}function Em(b){b=b|0;var d=0,e=0;d=i;if(a[1625624]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+76>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(60560,_u(c[(c[e>>2]|0)+76>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625624]=1;i=d;return}function Fm(b){b=b|0;var d=0,e=0;d=i;if(a[1625616]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+72>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+72>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(59528,_u(c[(c[e>>2]|0)+72>>2]|0,53264)|0)|0;ge[c[2160]&15](1625472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625616]=1;i=d;return}function Gm(b){b=b|0;var d=0,e=0;d=i;if(a[1625608]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+68>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(58808,_u(c[(c[e>>2]|0)+68>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625608]=1;i=d;return}function Hm(b){b=b|0;var d=0,e=0;d=i;if(a[1625600]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+64>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(57976,_u(c[(c[e>>2]|0)+64>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625600]=1;i=d;return}function Im(b){b=b|0;var d=0,e=0;d=i;if(a[1625592]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+60>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(57144,_u(c[(c[e>>2]|0)+60>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625592]=1;i=d;return}function Jm(b){b=b|0;var d=0,e=0;d=i;if(a[1625584]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+56>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(56560,_u(c[(c[e>>2]|0)+56>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625584]=1;i=d;return}function Km(b){b=b|0;var d=0,e=0;d=i;if(a[1625576]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+52>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+52>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(55680,_u(c[(c[e>>2]|0)+52>>2]|0,53264)|0)|0;ge[c[2160]&15](1625384,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625576]=1;i=d;return}function Lm(b){b=b|0;var d=0,e=0;d=i;if(a[1625568]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+48>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+48>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(54752,_u(c[(c[e>>2]|0)+48>>2]|0,53264)|0)|0;ge[c[2160]&15](1625520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625568]=1;i=d;return}function Mm(b){b=b|0;var d=0,e=0;d=i;if(a[1625560]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+44>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(54048,_u(c[(c[e>>2]|0)+44>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625560]=1;i=d;return}function Nm(b){b=b|0;var d=0,e=0;d=i;if(a[1625552]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+40>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(52760,_u(c[(c[e>>2]|0)+40>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625552]=1;i=d;return}function Om(b){b=b|0;var d=0,e=0;d=i;if(a[1625544]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+36>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+36>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(51720,_u(c[(c[e>>2]|0)+36>>2]|0,53264)|0)|0;ge[c[2160]&15](1625472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625544]=1;i=d;return}function Pm(b){b=b|0;var d=0,e=0;d=i;if(a[1625512]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+32>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+32>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(50904,_u(c[(c[e>>2]|0)+32>>2]|0,53264)|0)|0;ge[c[2160]&15](1625520,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625512]=1;i=d;return}function Qm(b){b=b|0;var d=0,e=0;d=i;if(a[1625504]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+28>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(50208,_u(c[(c[e>>2]|0)+28>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625504]=1;i=d;return}function Rm(b){b=b|0;var d=0,e=0;d=i;if(a[1625496]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+24>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(49488,_u(c[(c[e>>2]|0)+24>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625496]=1;i=d;return}function Sm(b){b=b|0;var d=0,e=0;d=i;if(a[1625464]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+20>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+20>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(48608,_u(c[(c[e>>2]|0)+20>>2]|0,53264)|0)|0;ge[c[2160]&15](1625472,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625464]=1;i=d;return}function Tm(b){b=b|0;var d=0,e=0;d=i;if(a[1625456]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+16>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(47992,_u(c[(c[e>>2]|0)+16>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625456]=1;i=d;return}function Um(b){b=b|0;var d=0,e=0;d=i;if(a[1625448]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+12>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(47240,_u(c[(c[e>>2]|0)+12>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625448]=1;i=d;return}function Vm(b){b=b|0;var d=0,e=0;d=i;if(a[1625440]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+8>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(46568,_u(c[(c[e>>2]|0)+8>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625440]=1;i=d;return}function Wm(b){b=b|0;var d=0,e=0;d=i;if(a[1625408]|0){i=d;return}e=b+420|0;if(!((tx(+(c[(c[e>>2]|0)+4>>2]|0),2.0)|0)<<24>>24==0)){i=d;return}b=av(45808,_u(c[(c[e>>2]|0)+4>>2]|0,53264)|0)|0;ge[c[2160]&15](1625416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625408]=1;i=d;return}function Xm(b){b=b|0;var d=0,e=0;d=i;if(a[1625376]|0){i=d;return}e=b+420|0;b=tx(+(c[c[e>>2]>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[c[e>>2]>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(44384,_u(c[c[e>>2]>>2]|0,53264)|0)|0;ge[c[2160]&15](1625384,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625376]=1;i=d;return}function Ym(b){b=b|0;var d=0,e=0;d=i;if(a[1625344]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+220>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+220>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(43440,_u(c[(c[e>>2]|0)+220>>2]|0,53264)|0)|0;ge[c[2160]&15](1625352,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625344]=1;i=d;return}function Zm(b){b=b|0;var d=0,e=0;d=i;if(a[1625312]|0){i=d;return}e=b+416|0;b=tx(+h[(c[e>>2]|0)+184>>3],1.0e-60)|0;if(!(b<<24>>24==0|(rx(+h[(c[e>>2]|0)+184>>3],100.0)|0)<<24>>24==0)){i=d;return}b=av(42056,Yu(+h[(c[e>>2]|0)+184>>3],42648)|0)|0;ge[c[2160]&15](1625320,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625312]=1;i=d;return}function _m(b){b=b|0;var d=0,e=0;d=i;if(a[1625280]|0){i=d;return}e=b+416|0;if(!((tx(+h[(c[e>>2]|0)+176>>3],1.0e-60)|0)<<24>>24==0)){i=d;return}b=av(41304,Yu(+h[(c[e>>2]|0)+176>>3],42648)|0)|0;ge[c[2160]&15](1625288,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625280]=1;i=d;return}function $m(b){b=b|0;var d=0,e=0;d=i;if(a[1625248]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+212>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+212>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(40568,_u(c[(c[e>>2]|0)+212>>2]|0,53264)|0)|0;ge[c[2160]&15](1625256,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625248]=1;i=d;return}function an(b){b=b|0;var d=0,e=0;d=i;if(a[1625216]|0){i=d;return}e=b+420|0;b=tx(+(c[(c[e>>2]|0)+208>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[e>>2]|0)+208>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(39824,_u(c[(c[e>>2]|0)+208>>2]|0,53264)|0)|0;ge[c[2160]&15](1625224,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625216]=1;i=d;return}function bn(a){a=a|0;hl(a);il(a);jl(a);kl(a);ll(a);ml(a);nl(a);ol(a);pl(a);ql(a);rl(a);sl(a);tl(a);ul(a);vl(a);wl(a);xl(a);yl(a);zl(a);Al(a);Bl(a);Cl(a);Dl(a);El(a);Fl(a);Gl(a);Hl(a);Il(a);Jl(a);Kl(a);Ll(a);Ml(a);Nl(a);Ol(a);Pl(a);Ql(a);Rl(a);Sl(a);Tl(a);Ul(a);Vl(a);Wl(a);Xl(a);Yl(a);Zl(a);_l(a);$l(a);am(a);bm(a);cm(a);dm(a);em(a);fm(a);gm(a);hm(a);im(a);jm(a);km(a);lm(a);mm(a);nm(a);om(a);pm(a);qm(a);rm(a);sm(a);tm(a);um(a);vm(a);wm(a);xm(a);ym(a);zm(a);Am(a);Bm(a);Cm(a);Dm(a);Em(a);Fm(a);Gm(a);Hm(a);Im(a);Jm(a);Km(a);Lm(a);Mm(a);Nm(a);Om(a);Pm(a);Qm(a);Rm(a);Sm(a);Tm(a);Um(a);Vm(a);Wm(a);Xm(a);Ym(a);Zm(a);_m(a);$m(a);an(a);return 0}function cn(b){b=b|0;a[b+314|0]=0;dn(b);return 0}



function WM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((a[b+44|0]|0)!=0){f=Xa(d|0,4,e|0,c[b+32>>2]|0)|0;return f|0}g=b;if((e|0)>0){h=d;i=0}else{f=0;return f|0}while(1){if((ce[c[(c[g>>2]|0)+52>>2]&127](b,c[h>>2]|0)|0)==-1){f=i;j=6;break}d=i+1|0;if((d|0)<(e|0)){h=h+4|0;i=d}else{f=d;j=6;break}}if((j|0)==6){return f|0}return 0}function XM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){c[g>>2]=d;if((a[b+44|0]|0)!=0){if((Xa(g|0,4,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+4|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=ie[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Xa(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Xa(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function YM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=1615240;j=b+4|0;LU(j);NY(b+8|0,0,24)|0;c[h>>2]=1616176;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;MU(g,j);j=PU(g,1653896)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Td[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Td[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){NU(g);i=f;return}XT(26232);NU(g);i=f;return}function ZM(a){a=a|0;c[a>>2]=1615240;NU(a+4|0);return}function _M(a){a=a|0;c[a>>2]=1615240;NU(a+4|0);qY(a);return}function $M(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=PU(d,1653896)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Td[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Td[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}XT(26232);return}function aN(a){a=a|0;return dN(a,0)|0}function bN(a){a=a|0;return dN(a,1)|0}function cN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){c[h>>2]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=ie[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+4|0,j,p,f+8|0,g)|0;if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}else if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ad(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function dN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;if((a[k]|0)!=0){l=b+48|0;m=c[l>>2]|0;if(!d){n=m;i=e;return n|0}c[l>>2]=-1;a[k]=0;n=m;i=e;return n|0}m=c[b+44>>2]|0;k=(m|0)>1?m:1;a:do{if((k|0)>0){m=b+32|0;l=0;while(1){o=Bb(c[m>>2]|0)|0;if((o|0)==-1){n=-1;break}a[f+l|0]=o;l=l+1|0;if((l|0)>=(k|0)){break a}}i=e;return n|0}}while(0);b:do{if((a[b+53|0]|0)==0){l=b+40|0;m=b+36|0;o=f|0;p=g+4|0;q=b+32|0;r=k;while(1){s=c[l>>2]|0;t=s;u=c[t>>2]|0;v=c[t+4>>2]|0;t=c[m>>2]|0;w=f+r|0;x=ie[c[(c[t>>2]|0)+16>>2]&31](t,s,o,w,h,g,p,j)|0;if((x|0)==2){n=-1;y=22;break}else if((x|0)==3){y=14;break}else if((x|0)!=1){z=r;break b}x=c[l>>2]|0;c[x>>2]=u;c[x+4>>2]=v;if((r|0)==8){n=-1;y=22;break}v=Bb(c[q>>2]|0)|0;if((v|0)==-1){n=-1;y=22;break}a[w]=v;r=r+1|0}if((y|0)==14){c[g>>2]=a[o]|0;z=r;break}else if((y|0)==22){i=e;return n|0}}else{c[g>>2]=a[f|0]|0;z=k}}while(0);if(d){d=c[g>>2]|0;c[b+48>>2]=d;n=d;i=e;return n|0}d=b+32|0;b=z;while(1){if((b|0)<=0){break}z=b-1|0;if((ad(a[f+z|0]|0,c[d>>2]|0)|0)==-1){n=-1;y=22;break}else{b=z}}if((y|0)==22){i=e;return n|0}n=c[g>>2]|0;i=e;return n|0}function eN(a){a=a|0;c[a>>2]=1615312;NU(a+4|0);return}function fN(a){a=a|0;c[a>>2]=1615312;NU(a+4|0);qY(a);return}function gN(b,d){b=b|0;d=d|0;var e=0;Td[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=PU(d,1653904)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Td[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function hN(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Ud[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Xa(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Sa(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}function iN(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;if((a[b+44|0]|0)!=0){g=Xa(e|0,1,f|0,c[b+32>>2]|0)|0;return g|0}h=b;if((f|0)>0){i=e;j=0}else{g=0;return g|0}while(1){if((ce[c[(c[h>>2]|0)+52>>2]&127](b,d[i]|0)|0)==-1){g=j;k=6;break}e=j+1|0;if((e|0)<(f|0)){i=i+1|0;j=e}else{g=e;k=6;break}}if((k|0)==6){return g|0}return 0}function jN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=(d|0)==-1;a:do{if(!k){a[g]=d;if((a[b+44|0]|0)!=0){if((Xa(g|0,1,1,c[b+32>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}m=f|0;c[h>>2]=m;n=g+1|0;o=b+36|0;p=b+40|0;q=f+8|0;r=f;s=b+32|0;t=g;while(1){u=c[o>>2]|0;v=ie[c[(c[u>>2]|0)+12>>2]&31](u,c[p>>2]|0,t,n,j,m,q,h)|0;if((c[j>>2]|0)==(t|0)){l=-1;w=12;break}if((v|0)==3){w=7;break}u=(v|0)==1;if(!(v>>>0<2>>>0)){l=-1;w=12;break}v=(c[h>>2]|0)-r|0;if((Xa(m|0,1,v|0,c[s>>2]|0)|0)!=(v|0)){l=-1;w=12;break}if(u){t=u?c[j>>2]|0:t}else{break a}}if((w|0)==7){if((Xa(t|0,1,1,c[s>>2]|0)|0)==1){break}else{l=-1}i=e;return l|0}else if((w|0)==12){i=e;return l|0}}}while(0);l=k?0:d;i=e;return l|0}function kN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+8|0;g=f|0;h=b|0;c[h>>2]=1615312;j=b+4|0;LU(j);NY(b+8|0,0,24)|0;c[h>>2]=1616248;c[b+32>>2]=d;c[b+40>>2]=e;c[b+48>>2]=-1;a[b+52|0]=0;MU(g,j);j=PU(g,1653904)|0;e=j;d=b+36|0;c[d>>2]=e;h=b+44|0;c[h>>2]=Td[c[(c[j>>2]|0)+24>>2]&255](e)|0;e=c[d>>2]|0;a[b+53|0]=(Td[c[(c[e>>2]|0)+28>>2]&255](e)|0)&1;if((c[h>>2]|0)<=8){NU(g);i=f;return}XT(26232);NU(g);i=f;return}function lN(a){a=a|0;c[a>>2]=1615312;NU(a+4|0);return}function mN(a){a=a|0;c[a>>2]=1615312;NU(a+4|0);qY(a);return}function nN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=PU(d,1653904)|0;d=e;f=b+36|0;c[f>>2]=d;g=b+44|0;c[g>>2]=Td[c[(c[e>>2]|0)+24>>2]&255](d)|0;d=c[f>>2]|0;a[b+53|0]=(Td[c[(c[d>>2]|0)+28>>2]&255](d)|0)&1;if((c[g>>2]|0)<=8){return}XT(26232);return}function oN(a){a=a|0;return rN(a,0)|0}function pN(a){a=a|0;return rN(a,1)|0}function qN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=b+52|0;l=(a[k]|0)!=0;if((d|0)==-1){if(l){m=-1;i=e;return m|0}n=c[b+48>>2]|0;a[k]=(n|0)!=-1|0;m=n;i=e;return m|0}n=b+48|0;a:do{if(l){a[h]=c[n>>2];o=c[b+36>>2]|0;p=f|0;q=ie[c[(c[o>>2]|0)+12>>2]&31](o,c[b+40>>2]|0,h,h+1|0,j,p,f+8|0,g)|0;if((q|0)==2|(q|0)==1){m=-1;i=e;return m|0}else if((q|0)==3){a[p]=c[n>>2];c[g>>2]=f+1}q=b+32|0;while(1){o=c[g>>2]|0;if(!(o>>>0>p>>>0)){break a}r=o-1|0;c[g>>2]=r;if((ad(a[r]|0,c[q>>2]|0)|0)==-1){m=-1;break}}i=e;return m|0}}while(0);c[n>>2]=d;a[k]=1;m=d;i=e;return m|0}function rN(b,e){b=b|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;f=i;i=i+32|0;g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=b+52|0;if((a[l]|0)!=0){m=b+48|0;n=c[m>>2]|0;if(!e){o=n;i=f;return o|0}c[m>>2]=-1;a[l]=0;o=n;i=f;return o|0}n=c[b+44>>2]|0;l=(n|0)>1?n:1;a:do{if((l|0)>0){n=b+32|0;m=0;while(1){p=Bb(c[n>>2]|0)|0;if((p|0)==-1){o=-1;break}a[g+m|0]=p;m=m+1|0;if((m|0)>=(l|0)){break a}}i=f;return o|0}}while(0);b:do{if((a[b+53|0]|0)==0){m=b+40|0;n=b+36|0;p=g|0;q=h+1|0;r=b+32|0;s=l;while(1){t=c[m>>2]|0;u=t;v=c[u>>2]|0;w=c[u+4>>2]|0;u=c[n>>2]|0;x=g+s|0;y=ie[c[(c[u>>2]|0)+16>>2]&31](u,t,p,x,j,h,q,k)|0;if((y|0)==2){o=-1;z=23;break}else if((y|0)==3){z=14;break}else if((y|0)!=1){A=s;break b}y=c[m>>2]|0;c[y>>2]=v;c[y+4>>2]=w;if((s|0)==8){o=-1;z=23;break}w=Bb(c[r>>2]|0)|0;if((w|0)==-1){o=-1;z=23;break}a[x]=w;s=s+1|0}if((z|0)==14){a[h]=a[p]|0;A=s;break}else if((z|0)==23){i=f;return o|0}}else{a[h]=a[g|0]|0;A=l}}while(0);do{if(e){l=a[h]|0;c[b+48>>2]=l&255;B=l}else{l=b+32|0;k=A;while(1){if((k|0)<=0){z=21;break}j=k-1|0;if((ad(d[g+j|0]|0,c[l>>2]|0)|0)==-1){o=-1;z=23;break}else{k=j}}if((z|0)==21){B=a[h]|0;break}else if((z|0)==23){i=f;return o|0}}}while(0);o=B&255;i=f;return o|0}function sN(){QM(0);Eb(188,1654656,s|0)|0;return}function tN(a){a=a|0;return}function uN(a){a=a|0;var b=0;b=a+4|0;I=c[b>>2]|0,c[b>>2]=I+1,I;return}function vN(a){a=a|0;var b=0,d=0;b=a+4|0;if(((I=c[b>>2]|0,c[b>>2]=I+ -1,I)|0)!=0){d=0;return d|0}Qd[c[(c[a>>2]|0)+8>>2]&511](a);d=1;return d|0}function wN(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=1613472;d=a+4|0;if((d|0)==0){return}a=KY(b|0)|0;e=pY(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;MY(f|0,b|0,a+1|0)|0;return}function xN(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1613472;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}rY(e)}}while(0);qY(a);return}function yN(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1613472;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}rY(d);e=a|0;return}function zN(a){a=a|0;return c[a+4>>2]|0}function AN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;c[b>>2]=1613376;e=b+4|0;if((e|0)==0){return}if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=KY(f|0)|0;b=pY(d+13|0)|0;c[b+4>>2]=d;c[b>>2]=d;g=b+12|0;c[e>>2]=g;c[b+8>>2]=0;MY(g|0,f|0,d+1|0)|0;return}function BN(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a>>2]=1613376;d=a+4|0;if((d|0)==0){return}a=KY(b|0)|0;e=pY(a+13|0)|0;c[e+4>>2]=a;c[e>>2]=a;f=e+12|0;c[d>>2]=f;c[e+8>>2]=0;MY(f|0,b|0,a+1|0)|0;return}function CN(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1613376;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}rY(e)}}while(0);qY(a);return}function DN(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1613376;b=a+4|0;d=(c[b>>2]|0)-4|0;if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)>=0){e=a|0;return}d=(c[b>>2]|0)-12|0;if((d|0)==0){e=a|0;return}rY(d);e=a|0;return}function EN(a){a=a|0;return c[a+4>>2]|0}function FN(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1613472;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}rY(e)}}while(0);qY(a);return}function GN(a){a=a|0;var b=0,d=0,e=0;c[a>>2]=1613472;b=a+4|0;d=(c[b>>2]|0)-4|0;do{if(((I=c[d>>2]|0,c[d>>2]=I+ -1,I)-1|0)<0){e=(c[b>>2]|0)-12|0;if((e|0)==0){break}rY(e)}}while(0);qY(a);return}function HN(a){a=a|0;return}function IN(a,b,d){a=a|0;b=b|0;d=d|0;c[a>>2]=d;c[a+4>>2]=b;return}function JN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;ge[c[(c[a>>2]|0)+12>>2]&15](f,a,b);if((c[f+4>>2]|0)!=(c[d+4>>2]|0)){g=0;i=e;return g|0}g=(c[f>>2]|0)==(c[d>>2]|0);i=e;return g|0}function KN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;if((c[b+4>>2]|0)!=(a|0)){e=0;return e|0}e=(c[b>>2]|0)==(d|0);return e|0}function LN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;d=Wc(e|0)|0;e=KY(d|0)|0;if(e>>>0>4294967279>>>0){RN(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;MY(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=oY(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;MY(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function MN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;f=i;i=i+16|0;g=f|0;h=d|0;j=c[h>>2]|0;k=e;do{if((j|0)!=0){l=a[k]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[e+4>>2]|0}if((m|0)==0){n=j}else{wO(e,79232,2)|0;n=c[h>>2]|0}l=c[d+4>>2]|0;ge[c[(c[l>>2]|0)+24>>2]&15](g,l,n);l=g;o=a[l]|0;if((o&1)==0){p=(o&255)>>>1;q=g+1|0}else{p=c[g+4>>2]|0;q=c[g+8>>2]|0}wO(e,q,p)|0;if((a[l]&1)==0){break}qY(c[g+8>>2]|0)}}while(0);g=b;c[g>>2]=c[k>>2];c[g+4>>2]=c[k+4>>2];c[g+8>>2]=c[k+8>>2];NY(k|0,0,12)|0;i=f;return}function NN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+32|0;g=d;d=i;i=i+8|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];g=f|0;h=f+16|0;j=KY(e|0)|0;if(j>>>0>4294967279>>>0){RN(0)}if(j>>>0<11>>>0){a[h]=j<<1;k=h+1|0}else{l=j+16&-16;m=oY(l)|0;c[h+8>>2]=m;c[h>>2]=l|1;c[h+4>>2]=j;k=m}MY(k|0,e|0,j)|0;a[k+j|0]=0;MN(g,d,h);AN(b|0,g);if(!((a[g]&1)==0)){qY(c[g+8>>2]|0)}if(!((a[h]&1)==0)){qY(c[h+8>>2]|0)}c[b>>2]=1615744;h=d;d=b+8|0;b=c[h+4>>2]|0;c[d>>2]=c[h>>2];c[d+4>>2]=b;i=f;return}function ON(a){a=a|0;DN(a|0);qY(a);return}function PN(a){a=a|0;DN(a|0);return}function QN(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e;if((c[a>>2]|0)==1){do{qb(1653656,1653632)|0;}while((c[a>>2]|0)==1)}if((c[a>>2]|0)!=0){f;return}c[a>>2]=1;g;Qd[d&511](b);h;c[a>>2]=-1;i;Mc(1653656)|0;return}function RN(a){a=a|0;a=xd(8)|0;wN(a,1599872);c[a>>2]=1613440;tc(a|0,1619784,46)}function SN(a){a=a|0;a=xd(8)|0;wN(a,1599872);c[a>>2]=1613408;tc(a|0,1619768,8)}function TN(a){a=a|0;NY(a|0,0,12)|0;return}function UN(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function VN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=d;if((a[e]&1)==0){f=b;c[f>>2]=c[e>>2];c[f+4>>2]=c[e+4>>2];c[f+8>>2]=c[e+8>>2];return}e=c[d+8>>2]|0;f=c[d+4>>2]|0;if(f>>>0>4294967279>>>0){RN(0)}if(f>>>0<11>>>0){a[b]=f<<1;g=b+1|0}else{d=f+16&-16;h=oY(d)|0;c[b+8>>2]=h;c[b>>2]=d|1;c[b+4>>2]=f;g=h}MY(g|0,e|0,f)|0;a[g+f|0]=0;return}function WN(b){b=b|0;return(a[b]&1)!=0|0}function XN(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if(e>>>0>4294967279>>>0){RN(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;MY(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=oY(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;MY(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function YN(a){a=a|0;return a|0}function ZN(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=KY(d|0)|0;if(e>>>0>4294967279>>>0){RN(0)}if(e>>>0<11>>>0){a[b]=e<<1;f=b+1|0;MY(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}else{h=e+16&-16;i=oY(h)|0;c[b+8>>2]=i;c[b>>2]=h|1;c[b+4>>2]=e;f=i;MY(f|0,d|0,e)|0;g=f+e|0;a[g]=0;return}}function _N(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){RN(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=oY(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}NY(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function $N(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if(d>>>0>4294967279>>>0){RN(0)}if(d>>>0<11>>>0){a[b]=d<<1;f=b+1|0}else{g=d+16&-16;h=oY(g)|0;c[b+8>>2]=h;c[b>>2]=g|1;c[b+4>>2]=d;f=h}NY(f|0,e|0,d|0)|0;a[f+d|0]=0;return}function aO(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;g=a[d]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[d+4>>2]|0}if(i>>>0<e>>>0){SN(0)}if(h){j=d+1|0}else{j=c[d+8>>2]|0}d=j+e|0;j=i-e|0;e=j>>>0<f>>>0?j:f;if(e>>>0>4294967279>>>0){RN(0)}if(e>>>0<11>>>0){a[b]=e<<1;k=b+1|0;MY(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}else{f=e+16&-16;j=oY(f)|0;c[b+8>>2]=j;c[b>>2]=f|1;c[b+4>>2]=e;k=j;MY(k|0,d|0,e)|0;l=k+e|0;a[l]=0;return}}function bO(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function cO(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function dO(b){b=b|0;if((a[b]&1)==0){return}qY(c[b+8>>2]|0);return}function eO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((b|0)==(d|0)){return b|0}e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}d=b;e=a[d]|0;if((e&1)==0){h=10;i=e}else{e=c[b>>2]|0;h=(e&-2)-1|0;i=e&255}e=(i&1)==0;if(h>>>0<f>>>0){if(e){j=(i&255)>>>1}else{j=c[b+4>>2]|0}xO(b,h,f-h|0,j,0,j,f,g);return b|0}if(e){k=b+1|0}else{k=c[b+8>>2]|0}QY(k|0,g|0,f|0)|0;a[k+f|0]=0;if((a[d]&1)==0){a[d]=f<<1;return b|0}else{c[b+4>>2]=f;return b|0}return 0}function fO(a,b){a=a|0;b=b|0;return gO(a,b)|0}function gO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=KY(d|0)|0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}xO(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+1|0}else{k=c[b+8>>2]|0}QY(k|0,d|0,e|0)|0;a[k+e|0]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function hO(a,b){a=a|0;b=b|0;c[a+4>>2]=b;return}function iO(a){a=a|0;return a+1|0}function jO(b,c){b=b|0;c=c|0;a[b]=c<<1;return}function kO(b){b=b|0;var d=0,e=0;d=a[b]|0;if((d&1)==0){e=(d&255)>>>1;return e|0}else{e=c[b+4>>2]|0;return e|0}return 0}function lO(b){b=b|0;var d=0;if((a[b]&1)==0){d=10;return d|0}d=(c[b>>2]&-2)-1|0;return d|0}function mO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b;g=a[f]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<d>>>0){nO(b,d-i|0,e)|0;return}if(h){a[b+1+d|0]=0;a[f]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function nO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;if((d|0)==0){return b|0}f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<d>>>0){yO(b,h,d-h+j|0,j,j,0,0);k=a[f]|0}else{k=i}if((k&1)==0){l=b+1|0}else{l=c[b+8>>2]|0}NY(l+j|0,e|0,d|0)|0;e=j+d|0;if((a[f]&1)==0){a[f]=e<<1}else{c[b+4>>2]=e}a[l+e|0]=0;return b|0}function oO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=b;f=a[e]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if(h>>>0<d>>>0){nO(b,d-h|0,0)|0;return}if(g){a[b+1+d|0]=0;a[e]=d<<1;return}else{a[(c[b+8>>2]|0)+d|0]=0;c[b+4>>2]=d;return}}function pO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>4294967279>>>0){RN(0)}e=b;f=a[e]|0;if((f&1)==0){g=10;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<11>>>0){j=10}else{j=(f+16&-16)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==10){k=b+1|0;l=c[b+8>>2]|0;m=1;n=0}else{f=j+1|0;if(j>>>0>g>>>0){o=oY(f)|0}else{o=oY(f)|0}if((h&1)==0){k=o;l=b+1|0;m=0;n=1;break}else{k=o;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}MY(k|0,l|0,p+1|0)|0;if(m){qY(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function qO(a){a=a|0;var b=0;if(a>>>0<11>>>0){b=10;return b|0}b=(a+16&-16)-1|0;return b|0}function rO(a,b){a=a|0;b=b|0;c[a>>2]=b|1;return}function sO(a,b){a=a|0;b=b|0;c[a+8>>2]=b;return}function tO(b){b=b|0;var d=0;d=b;if((a[d]&1)==0){a[b+1|0]=0;a[d]=0;return}else{a[c[b+8>>2]|0]=0;c[b+4>>2]=0;return}}function uO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=a[d]|0;if((e&1)==0){f=(e&255)>>>1;g=d+1|0}else{f=c[d+4>>2]|0;g=c[d+8>>2]|0}return wO(b,g,f)|0}function vO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=10}if((h|0)==(i|0)){yO(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+1|0;l=h+1|0;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+h|0;a[m]=d;n=k+l|0;a[n]=0;return}}function wO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=10;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}if((i&1)==0){j=(i&255)>>>1}else{j=c[b+4>>2]|0}if((h-j|0)>>>0<e>>>0){xO(b,h,e-h+j|0,j,j,0,e,d);return b|0}if((e|0)==0){return b|0}if((i&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}MY(k+j|0,d|0,e)|0;d=j+e|0;if((a[f]&1)==0){a[f]=d<<1}else{c[b+4>>2]=d}a[k+d|0]=0;return b|0}function xO(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((-18-d|0)>>>0<e>>>0){RN(0)}if((a[b]&1)==0){k=b+1|0}else{k=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<11>>>0){o=11;break}o=n+16&-16}else{o=-17}}while(0);e=oY(o)|0;if((g|0)!=0){MY(e|0,k|0,g)|0}if((i|0)!=0){MY(e+g|0,j|0,i)|0}j=f-h|0;if((j|0)!=(g|0)){MY(e+(i+g)|0,k+(h+g)|0,j-g|0)|0}if((d|0)==10){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}qY(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+s|0;a[u]=0;return}function yO(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((-17-d|0)>>>0<e>>>0){RN(0)}if((a[b]&1)==0){j=b+1|0}else{j=c[b+8>>2]|0}do{if(d>>>0<2147483623>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<11>>>0){n=11;break}n=m+16&-16}else{n=-17}}while(0);e=oY(n)|0;if((g|0)!=0){MY(e|0,j|0,g)|0}m=f-h|0;if((m|0)!=(g|0)){MY(e+(i+g)|0,j+(h+g)|0,m-g|0)|0}if((d|0)==10){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}qY(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function zO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;aO(a,b,c,d,0);return}function AO(b){b=b|0;var d=0;if((a[b]&1)==0){d=b+1|0;return d|0}else{d=c[b+8>>2]|0;return d|0}return 0}function BO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=KY(d|0)|0;g=a[b]|0;h=(g&1)==0;if(h){i=(g&255)>>>1}else{i=c[b+4>>2]|0}if(i>>>0<e>>>0|(i-e|0)>>>0<f>>>0){j=-1;return j|0}if((f|0)==0){j=e;return j|0}if(h){k=b+1|0}else{k=c[b+8>>2]|0}b=k+e|0;h=k+i|0;g=d+f|0;if((h-b|0)<(f|0)){j=-1;return j|0}l=i+(1-f)|0;f=k+l|0;if((l|0)==(e|0)){j=-1;return j|0}e=a[d]|0;l=b;a:while(1){if((a[l]|0)==e<<24>>24){b=d;i=l;do{b=b+1|0;if((b|0)==(g|0)){break a}i=i+1|0;}while((a[i]|0)==(a[b]|0))}b=l+1|0;if((b|0)==(f|0)){j=-1;m=18;break}else{l=b}}if((m|0)==18){return j|0}if((l|0)==(h|0)){j=-1;return j|0}j=l-k|0;return j|0}function CO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;e=a[b]|0;f=(e&1)==0;if(f){g=(e&255)>>>1}else{g=c[b+4>>2]|0}e=a[d]|0;h=(e&1)==0;if(h){i=(e&255)>>>1}else{i=c[d+4>>2]|0}if(f){j=b+1|0}else{j=c[b+8>>2]|0}if(h){k=d+1|0}else{k=c[d+8>>2]|0}d=i>>>0<g>>>0;h=HY(j,k,d?i:g)|0;if((h|0)==0){return(g>>>0<i>>>0?-1:d&1)|0}else{return h|0}return 0}function DO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=KY(d|0)|0;f=a[b]|0;g=(f&1)==0;if(g){h=(f&255)>>>1}else{h=c[b+4>>2]|0}if((e|0)==-1){SN(0);return 0}if(g){i=b+1|0}else{i=c[b+8>>2]|0}b=h>>>0>e>>>0;g=HY(i,d,b?e:h)|0;if((g|0)==0){return(h>>>0<e>>>0?-1:b&1)|0}else{return g|0}return 0}function EO(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if(f>>>0>4294967279>>>0){RN(0)}if(f>>>0<11>>>0){a[b]=e<<1;g=b+1|0;MY(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}else{i=f+16&-16;f=oY(i)|0;c[b+8>>2]=f;c[b>>2]=i|1;c[b+4>>2]=e;g=f;MY(g|0,d|0,e)|0;h=g+e|0;a[h]=0;return}}function FO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(e>>>0>1073741807>>>0){RN(0)}if(e>>>0<2>>>0){a[b]=e<<1;f=b+4|0;g=LX(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}else{i=e+4&-4;j=oY(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=e;f=j;g=LX(f,d,e)|0;h=f+(e<<2)|0;c[h>>2]=0;return}}function GO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if(d>>>0>1073741807>>>0){RN(0)}if(d>>>0<2>>>0){a[b]=d<<1;f=b+4|0;g=NX(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}else{i=d+4&-4;j=oY(i<<2)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=d;f=j;g=NX(f,e,d)|0;h=f+(d<<2)|0;c[h>>2]=0;return}}function HO(b){b=b|0;if((a[b]&1)==0){return}qY(c[b+8>>2]|0);return}function IO(a,b){a=a|0;b=b|0;return JO(a,b,KX(b)|0)|0}function JO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0;f=b;g=a[f]|0;if((g&1)==0){h=1;i=g}else{g=c[b>>2]|0;h=(g&-2)-1|0;i=g&255}g=(i&1)==0;if(h>>>0<e>>>0){if(g){j=(i&255)>>>1}else{j=c[b+4>>2]|0}MO(b,h,e-h|0,j,0,j,e,d);return b|0}if(g){k=b+4|0}else{k=c[b+8>>2]|0}MX(k,d,e)|0;c[k+(e<<2)>>2]=0;if((a[f]&1)==0){a[f]=e<<1;return b|0}else{c[b+4>>2]=e;return b|0}return 0}function KO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(d>>>0>1073741807>>>0){RN(0)}e=b;f=a[e]|0;if((f&1)==0){g=1;h=f}else{f=c[b>>2]|0;g=(f&-2)-1|0;h=f&255}if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}f=i>>>0>d>>>0?i:d;if(f>>>0<2>>>0){j=1}else{j=(f+4&-4)-1|0}if((j|0)==(g|0)){return}do{if((j|0)==1){k=b+4|0;l=c[b+8>>2]|0;m=1;n=0}else{f=(j<<2)+4|0;if(j>>>0>g>>>0){o=oY(f)|0}else{o=oY(f)|0}f=o;if((h&1)==0){k=f;l=b+4|0;m=0;n=1;break}else{k=f;l=c[b+8>>2]|0;m=1;n=1;break}}}while(0);if((h&1)==0){p=(h&255)>>>1}else{p=c[b+4>>2]|0}LX(k,l,p+1|0)|0;if(m){qY(l)}if(n){c[b>>2]=j+1|1;c[b+4>>2]=i;c[b+8>>2]=k;return}else{a[e]=i<<1;return}}function LO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=b;f=a[e]|0;g=(f&1)!=0;if(g){h=c[b+4>>2]|0;i=(c[b>>2]&-2)-1|0}else{h=(f&255)>>>1;i=1}if((h|0)==(i|0)){NO(b,i,1,i,i,0,0);if((a[e]&1)==0){j=7}else{j=8}}else{if(g){j=8}else{j=7}}if((j|0)==7){a[e]=(h<<1)+2;k=b+4|0;l=h+1|0;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}else if((j|0)==8){j=c[b+8>>2]|0;e=h+1|0;c[b+4>>2]=e;k=j;l=e;m=k+(h<<2)|0;c[m>>2]=d;n=k+(l<<2)|0;c[n>>2]=0;return}}function MO(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;if((1073741806-d|0)>>>0<e>>>0){RN(0)}if((a[b]&1)==0){k=b+4|0}else{k=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){l=e+d|0;m=d<<1;n=l>>>0<m>>>0?m:l;if(n>>>0<2>>>0){o=2;break}o=n+4&-4}else{o=1073741807}}while(0);e=oY(o<<2)|0;if((g|0)!=0){LX(e,k,g)|0}if((i|0)!=0){LX(e+(g<<2)|0,j,i)|0}j=f-h|0;if((j|0)!=(g|0)){LX(e+(i+g<<2)|0,k+(h+g<<2)|0,j-g|0)|0}if((d|0)==1){p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}qY(k);p=b+8|0;c[p>>2]=e;q=o|1;r=b|0;c[r>>2]=q;s=j+i|0;t=b+4|0;c[t>>2]=s;u=e+(s<<2)|0;c[u>>2]=0;return}function NO(b,d,e,f,g,h,i){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((1073741807-d|0)>>>0<e>>>0){RN(0)}if((a[b]&1)==0){j=b+4|0}else{j=c[b+8>>2]|0}do{if(d>>>0<536870887>>>0){k=e+d|0;l=d<<1;m=k>>>0<l>>>0?l:k;if(m>>>0<2>>>0){n=2;break}n=m+4&-4}else{n=1073741807}}while(0);e=oY(n<<2)|0;if((g|0)!=0){LX(e,j,g)|0}m=f-h|0;if((m|0)!=(g|0)){LX(e+(i+g<<2)|0,j+(h+g<<2)|0,m-g|0)|0}if((d|0)==1){o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}qY(j);o=b+8|0;c[o>>2]=e;p=n|1;q=b|0;c[q>>2]=p;return}function OO(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=b;NY(f|0,0,12)|0;g=KY(d|0)|0;h=e;i=a[h]|0;if((i&1)==0){j=(i&255)>>>1}else{j=c[e+4>>2]|0}i=j+g|0;if(i>>>0>4294967279>>>0){RN(0)}if(i>>>0<11>>>0){a[f]=g<<1;k=b+1|0}else{f=i+16&-16;i=oY(f)|0;c[b+8>>2]=i;c[b>>2]=f|1;c[b+4>>2]=g;k=i}MY(k|0,d|0,g)|0;a[k+g|0]=0;if((a[h]&1)==0){l=e+1|0}else{l=c[e+8>>2]|0}wO(b,l,j)|0;return}function PO(a){a=a|0;return(c[a+16>>2]&5|0)==0|0}function QO(a){a=a|0;return(c[a+16>>2]&5|0)!=0|0}function RO(a,b){a=a|0;b=b|0;SO(a|0,b);return}function SO(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;g=(c[b+24>>2]|0)==0;if(g){c[b+16>>2]=d|1}else{c[b+16>>2]=d}if(((g&1|d)&c[b+20>>2]|0)==0){i=e;return}e=xd(16)|0;do{if((a[1654776]|0)==0){if(($b(1654776)|0)==0){break}c[413196]=1615008;Eb(168,1652784,s|0)|0}}while(0);b=WY(1652784,0,32)|0;c[f>>2]=b&0|1;c[f+4>>2]=K|0;NN(e,f,1586712);c[e>>2]=1614144;tc(e|0,1620328,40)}function TO(a,b){a=a|0;b=b|0;SO(a|0,c[a+16>>2]|b);return}function UO(a){a=a|0;var b=0,d=0,e=0,f=0;c[a>>2]=1614120;b=c[a+40>>2]|0;d=a+32|0;e=a+36|0;if((b|0)!=0){f=b;do{f=f-1|0;ge[c[(c[d>>2]|0)+(f<<2)>>2]&15](0,a,c[(c[e>>2]|0)+(f<<2)>>2]|0);}while((f|0)!=0)}NU(a+28|0);jY(c[d>>2]|0);jY(c[e>>2]|0);jY(c[a+48>>2]|0);jY(c[a+60>>2]|0);return}function VO(a){a=a|0;UO(a|0);qY(a);return}function WO(a){a=a|0;UO(a|0);return}function XO(a){a=a|0;UO(a|0);return}function YO(a){a=a|0;return c[a+24>>2]|0}function ZO(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=b|0;e=a+76|0;f=c[e>>2]|0;if(!((f|0)==-1)){g=f&255;i=b;return g|0}MU(d,a+28|0);a=PU(d,1654208)|0;f=ce[c[(c[a>>2]|0)+28>>2]&127](a,32)|0;NU(d);c[e>>2]=f<<24>>24;g=f;i=b;return g|0}function _O(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+8|0;e=d|0;MU(e,a+28|0);a=PU(e,1654208)|0;f=ce[c[(c[a>>2]|0)+28>>2]&127](a,b)|0;NU(e);i=d;return f|0}function $O(a,b){a=a|0;b=b|0;MU(a,b+28|0);return}function aP(a){a=a|0;c[a>>2]=1613664;return}function bP(a,b){a=a|0;b=b|0;c[a+24>>2]=b;c[a+16>>2]=(b|0)==0;c[a+20>>2]=0;c[a+4>>2]=4098;c[a+12>>2]=0;c[a+8>>2]=6;b=a+28|0;NY(a+32|0,0,40)|0;if((b|0)==0){return}LU(b);return}function cP(a){a=a|0;c[a>>2]=1615312;NU(a+4|0);qY(a);return}function dP(a){a=a|0;c[a>>2]=1615312;NU(a+4|0);return}function eP(a){a=a|0;c[a>>2]=1615312;NU(a+4|0);return}function fP(a,b){a=a|0;b=b|0;MU(a,b+4|0);return}function gP(a){a=a|0;var b=0,e=0,f=0;b=a+12|0;e=c[b>>2]|0;if((e|0)==(c[a+16>>2]|0)){f=Td[c[(c[a>>2]|0)+40>>2]&255](a)|0;return f|0}else{c[b>>2]=e+1;f=d[e]|0;return f|0}return 0}function hP(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==(c[b+28>>2]|0)){g=ce[c[(c[b>>2]|0)+52>>2]&127](b,d&255)|0;return g|0}else{c[e>>2]=f+1;a[f]=d;g=d&255;return g|0}return 0}function iP(a,b,d){a=a|0;b=b|0;d=d|0;return Vd[c[(c[a>>2]|0)+48>>2]&127](a,b,d)|0}function jP(a){a=a|0;c[a>>2]=1615312;LU(a+4|0);NY(a+8|0,0,24)|0;return}function kP(a){a=a|0;return c[a+8>>2]|0}function lP(a){a=a|0;return c[a+12>>2]|0}function mP(a){a=a|0;return c[a+16>>2]|0}function nP(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;c[d>>2]=(c[d>>2]|0)+b;return}function oP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;c[a+8>>2]=b;c[a+12>>2]=d;c[a+16>>2]=e;return}function pP(a){a=a|0;return c[a+20>>2]|0}function qP(a){a=a|0;return c[a+24>>2]|0}function rP(a){a=a|0;return c[a+28>>2]|0}function sP(a,b){a=a|0;b=b|0;var d=0;d=a+24|0;c[d>>2]=(c[d>>2]|0)+b;return}function tP(a,b,d){a=a|0;b=b|0;d=d|0;c[a+24>>2]=b;c[a+20>>2]=b;c[a+28>>2]=d;return}function uP(a,b){a=a|0;b=b|0;return}function vP(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function wP(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function xP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function yP(a){a=a|0;return 0}function zP(a){a=a|0;return 0}function AP(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;if((e|0)<=0){g=0;return g|0}h=b+12|0;i=b+16|0;j=d;d=0;while(1){k=c[h>>2]|0;if(k>>>0<(c[i>>2]|0)>>>0){c[h>>2]=k+1;l=a[k]|0}else{k=Td[c[(c[f>>2]|0)+40>>2]&255](b)|0;if((k|0)==-1){g=d;m=8;break}l=k&255}a[j]=l;k=d+1|0;if((k|0)<(e|0)){j=j+1|0;d=k}else{g=k;m=8;break}}if((m|0)==8){return g|0}return 0}function BP(a){a=a|0;return-1|0}function CP(a){a=a|0;var b=0,e=0;if((Td[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}e=a+12|0;a=c[e>>2]|0;c[e>>2]=a+1;b=d[a]|0;return b|0}function DP(a,b){a=a|0;b=b|0;return-1|0}function EP(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=b;if((f|0)<=0){h=0;return h|0}i=b+24|0;j=b+28|0;k=0;l=e;while(1){e=c[i>>2]|0;if(e>>>0<(c[j>>2]|0)>>>0){m=a[l]|0;c[i>>2]=e+1;a[e]=m}else{if((ce[c[(c[g>>2]|0)+52>>2]&127](b,d[l]|0)|0)==-1){h=k;n=7;break}}m=k+1|0;if((m|0)<(f|0)){k=m;l=l+1|0}else{h=m;n=7;break}}if((n|0)==7){return h|0}return 0}function FP(a,b){a=a|0;b=b|0;return-1|0}function GP(a){a=a|0;c[a>>2]=1615240;NU(a+4|0);qY(a);return}function HP(a){a=a|0;c[a>>2]=1615240;NU(a+4|0);return}function IP(a,b){a=a|0;b=b|0;return}function JP(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function KP(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;g=a;c[g>>2]=0;c[g+4>>2]=0;g=a+8|0;c[g>>2]=-1;c[g+4>>2]=-1;return}function LP(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;e=i;b=d;d=i;i=i+16|0;c[d>>2]=c[b>>2];c[d+4>>2]=c[b+4>>2];c[d+8>>2]=c[b+8>>2];c[d+12>>2]=c[b+12>>2];b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;i=e;return}function MP(a){a=a|0;return 0}function NP(a){a=a|0;return 0}function OP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+12|0;h=a+16|0;i=b;b=0;while(1){j=c[g>>2]|0;if(j>>>0<(c[h>>2]|0)>>>0){c[g>>2]=j+4;k=c[j>>2]|0}else{j=Td[c[(c[e>>2]|0)+40>>2]&255](a)|0;if((j|0)==-1){f=b;l=7;break}else{k=j}}c[i>>2]=k;j=b+1|0;if((j|0)<(d|0)){i=i+4|0;b=j}else{f=j;l=7;break}}if((l|0)==7){return f|0}return 0}function PP(a){a=a|0;return-1|0}function QP(a){a=a|0;var b=0,d=0;if((Td[c[(c[a>>2]|0)+36>>2]&255](a)|0)==-1){b=-1;return b|0}d=a+12|0;a=c[d>>2]|0;c[d>>2]=a+4;b=c[a>>2]|0;return b|0}function RP(a,b){a=a|0;b=b|0;return-1|0}function SP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a;if((d|0)<=0){f=0;return f|0}g=a+24|0;h=a+28|0;i=0;j=b;while(1){b=c[g>>2]|0;if(b>>>0<(c[h>>2]|0)>>>0){k=c[j>>2]|0;c[g>>2]=b+4;c[b>>2]=k}else{if((ce[c[(c[e>>2]|0)+52>>2]&127](a,c[j>>2]|0)|0)==-1){f=i;l=8;break}}k=i+1|0;if((k|0)>=(d|0)){f=k;l=8;break}i=k;j=j+4|0}if((l|0)==8){return f|0}return 0}function TP(a,b){a=a|0;b=b|0;return-1|0}function UP(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];c[a+4>>2]=0;b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;NY(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}LU(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function VP(a){a=a|0;UO(a+8|0);qY(a);return}function WP(a){a=a|0;UO(a+8|0);return}function XP(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;UO(b+(d+8)|0);qY(b+d|0);return}function YP(a){a=a|0;UO(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function ZP(a,b,c){a=a|0;b=b|0;c=c|0;_P(a,b,c);return}function _P(d,e,f){d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+8|0;h=g|0;j=d|0;a[j]=0;d=e;k=c[(c[d>>2]|0)-12>>2]|0;l=e;e=c[l+(k+16)>>2]|0;if((e|0)!=0){SO(l+k|0,e|4);i=g;return}e=c[l+(k+72)>>2]|0;if((e|0)!=0){$P(e)|0}do{if(!f){e=c[(c[d>>2]|0)-12>>2]|0;if((c[l+(e+4)>>2]&4096|0)==0){break}MU(h,l+(e+28)|0);e=PU(h,1654208)|0;NU(h);k=e+8|0;e=c[l+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;while(1){if((e|0)==0){break}if((c[e+12>>2]|0)==(c[e+16>>2]|0)){m=(Td[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1;n=m?0:e;if((n|0)==0){break}else{o=n}}else{o=e}p=o+12|0;n=c[p>>2]|0;q=o+16|0;if((n|0)==(c[q>>2]|0)){r=(Td[c[(c[o>>2]|0)+36>>2]&255](o)|0)&255}else{r=a[n]|0}if(r<<24>>24<0){s=20;break}if((b[(c[k>>2]|0)+(r<<24>>24<<1)>>1]&8192)==0){s=20;break}n=c[p>>2]|0;if((n|0)==(c[q>>2]|0)){Td[c[(c[o>>2]|0)+40>>2]&255](o)|0;e=o;continue}else{c[p>>2]=n+1;e=o;continue}}if((s|0)==20){if((c[p>>2]|0)==(c[q>>2]|0)){e=(Td[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1;t=e?0:o}else{t=o}if((t|0)!=0){break}}e=c[(c[d>>2]|0)-12>>2]|0;SO(l+e|0,c[l+(e+16)>>2]|6)}}while(0);a[j]=(c[l+((c[(c[d>>2]|0)-12>>2]|0)+16)>>2]|0)==0|0;i=g;return}function $P(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{$P(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Td[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;SO(h+k|0,c[h+(k+16)>>2]|1)}}while(0);oQ(e);i=d;return b|0}function aQ(b){b=b|0;return(a[b|0]|0)!=0|0}function bQ(a){a=a|0;var b=0;b=a+16|0;c[b>>2]=c[b>>2]|1;if((c[a+20>>2]&1|0)==0){return}else{rb()}}function cQ(a){a=a|0;UO(a+8|0);qY(a);return}function dQ(a){a=a|0;UO(a+8|0);return}function eQ(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;UO(b+(d+8)|0);qY(b+d|0);return}function fQ(a){a=a|0;UO(a+((c[(c[a>>2]|0)-12>>2]|0)+8)|0);return}function gQ(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+8|0;e=d|0;f=b;g=c[(c[f>>2]|0)-12>>2]|0;h=b;if((c[h+(g+24)>>2]|0)==0){i=d;return b|0}j=e|0;a[j]=0;c[e+4>>2]=b;do{if((c[h+(g+16)>>2]|0)==0){k=c[h+(g+72)>>2]|0;if((k|0)==0){l=g}else{gQ(k)|0;l=c[(c[f>>2]|0)-12>>2]|0}a[j]=1;k=c[h+(l+24)>>2]|0;if(!((Td[c[(c[k>>2]|0)+24>>2]&255](k)|0)==-1)){break}k=c[(c[f>>2]|0)-12>>2]|0;SO(h+k|0,c[h+(k+16)>>2]|1)}}while(0);AQ(e);i=d;return b|0}function hQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=c[b>>2]|0;c[a>>2]=e;f=a;c[f+(c[e-12>>2]|0)>>2]=c[b+4>>2];b=c[(c[a>>2]|0)-12>>2]|0;c[f+(b+24)>>2]=d;c[f+(b+16)>>2]=(d|0)==0;c[f+(b+20)>>2]=0;c[f+(b+4)>>2]=4098;c[f+(b+12)>>2]=0;c[f+(b+8)>>2]=6;d=f+(b+28)|0;NY(f+(b+32)|0,0,40)|0;if((d|0)==0){g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}LU(d);g=b+72|0;h=f+g|0;i=h;c[i>>2]=0;j=b+76|0;k=f+j|0;l=k;c[l>>2]=-1;return}function iQ(a){a=a|0;UO(a+4|0);qY(a);return}function jQ(a){a=a|0;UO(a+4|0);return}function kQ(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;UO(b+(d+4)|0);qY(b+d|0);return}function lQ(a){a=a|0;UO(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function mQ(b,d){b=b|0;d=d|0;var e=0,f=0;e=b|0;a[e]=0;c[b+4>>2]=d;b=c[(c[d>>2]|0)-12>>2]|0;f=d;if((c[f+(b+16)>>2]|0)!=0){return}d=c[f+(b+72)>>2]|0;if((d|0)!=0){$P(d)|0}a[e]=1;return}function nQ(a){a=a|0;oQ(a);return}function oQ(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(hc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Td[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;SO(d+b|0,c[d+(b+16)>>2]|1);return}function pQ(b){b=b|0;return(a[b|0]|0)!=0|0}function qQ(a,b){a=a|0;b=b|0;return Td[b&255](a)|0}function rQ(b,d){b=b|0;d=+d;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;e=i;i=i+40|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=h|0;a[l]=0;c[h+4>>2]=b;m=b;n=c[(c[m>>2]|0)-12>>2]|0;o=b;do{if((c[o+(n+16)>>2]|0)==0){p=c[o+(n+72)>>2]|0;if((p|0)==0){q=n}else{$P(p)|0;q=c[(c[m>>2]|0)-12>>2]|0}a[l]=1;MU(j,o+(q+28)|0);p=PU(j,1653856)|0;NU(j);r=c[(c[m>>2]|0)-12>>2]|0;s=c[o+(r+24)>>2]|0;t=o+(r+76)|0;u=c[t>>2]|0;if((u|0)==-1){MU(g,o+(r+28)|0);v=PU(g,1654208)|0;w=ce[c[(c[v>>2]|0)+28>>2]&127](v,32)|0;NU(g);c[t>>2]=w<<24>>24;x=w}else{x=u&255}u=c[(c[p>>2]|0)+32>>2]|0;c[f>>2]=s;Wd[u&15](k,p,f,o+r|0,x,d);if((c[k>>2]|0)!=0){break}r=c[(c[m>>2]|0)-12>>2]|0;SO(o+r|0,c[o+(r+16)>>2]|5)}}while(0);oQ(h);i=e;return b|0}function sQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;i=i+8|0;f=e|0;g=f|0;a[g]=0;c[f+4>>2]=b;h=b;j=c[h>>2]|0;k=c[j-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)==0){n=j;o=k}else{$P(m)|0;m=c[h>>2]|0;n=m;o=c[m-12>>2]|0}a[g]=1;m=c[l+(o+24)>>2]|0;p=m;if((m|0)==0){q=n}else{r=m+24|0;s=c[r>>2]|0;if((s|0)!=(c[m+28>>2]|0)){c[r>>2]=s+1;a[s]=d;break}if(!((ce[c[(c[m>>2]|0)+52>>2]&127](p,d&255)|0)==-1)){break}q=c[h>>2]|0}p=c[q-12>>2]|0;SO(l+p|0,c[l+(p+16)>>2]|1)}}while(0);oQ(f);i=e;return b|0}function tQ(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=g|0;a[h]=0;c[g+4>>2]=b;j=b;k=c[(c[j>>2]|0)-12>>2]|0;l=b;do{if((c[l+(k+16)>>2]|0)==0){m=c[l+(k+72)>>2]|0;if((m|0)!=0){$P(m)|0}a[h]=1;if((e|0)==0){break}m=c[l+((c[(c[j>>2]|0)-12>>2]|0)+24)>>2]|0;if((Vd[c[(c[m>>2]|0)+48>>2]&127](m,d,e)|0)==(e|0)){break}m=c[(c[j>>2]|0)-12>>2]|0;SO(l+m|0,c[l+(m+16)>>2]|1)}}while(0);oQ(g);i=f;return b|0}function uQ(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[(c[b>>2]|0)-12>>2]|0;e=b;if((c[e+(d+16)>>2]&5|0)==0){b=c[e+(d+24)>>2]|0;Yd[c[(c[b>>2]|0)+16>>2]&63](a,b,0,0,1,16);return}else{b=a;c[b>>2]=0;c[b+4>>2]=0;b=a+8|0;c[b>>2]=-1;c[b+4>>2]=-1;return}}function vQ(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+40|0;f=d;d=i;i=i+16|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];f=e|0;g=e+16|0;h=e+24|0;j=g|0;a[j]=0;c[g+4>>2]=b;k=b;l=c[(c[k>>2]|0)-12>>2]|0;m=b;if((c[m+(l+16)>>2]|0)!=0){oQ(g);i=e;return b|0}n=c[m+(l+72)>>2]|0;if((n|0)==0){o=l}else{$P(n)|0;o=c[(c[k>>2]|0)-12>>2]|0}a[j]=1;j=c[m+(o+24)>>2]|0;o=d;d=f;n=c[(c[j>>2]|0)+20>>2]|0;c[d>>2]=c[o>>2];c[d+4>>2]=c[o+4>>2];c[d+8>>2]=c[o+8>>2];c[d+12>>2]=c[o+12>>2];je[n&31](h,j,f,16);f=h+8|0;if(!((c[f>>2]|0)==(-1|0)&(c[f+4>>2]|0)==(-1|0))){oQ(g);i=e;return b|0}f=c[(c[k>>2]|0)-12>>2]|0;SO(m+f|0,c[m+(f+16)>>2]|4);oQ(g);i=e;return b|0}function wQ(a){a=a|0;UO(a+4|0);qY(a);return}function xQ(a){a=a|0;UO(a+4|0);return}function yQ(a){a=a|0;var b=0,d=0;b=a;d=c[(c[a>>2]|0)-12>>2]|0;UO(b+(d+4)|0);qY(b+d|0);return}function zQ(a){a=a|0;UO(a+((c[(c[a>>2]|0)-12>>2]|0)+4)|0);return}function AQ(a){a=a|0;var b=0,d=0,e=0;b=a+4|0;a=c[b>>2]|0;d=c[(c[a>>2]|0)-12>>2]|0;e=a;if((c[e+(d+24)>>2]|0)==0){return}if((c[e+(d+16)>>2]|0)!=0){return}if((c[e+(d+4)>>2]&8192|0)==0){return}if(hc()|0){return}d=c[b>>2]|0;e=c[d+((c[(c[d>>2]|0)-12>>2]|0)+24)>>2]|0;if(!((Td[c[(c[e>>2]|0)+24>>2]&255](e)|0)==-1)){return}e=c[b>>2]|0;b=c[(c[e>>2]|0)-12>>2]|0;d=e;SO(d+b|0,c[d+(b+16)>>2]|1);return}function BQ(a){a=a|0;return 1589984}function CQ(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)==1){XN(a,1601584,35);return}else{LN(a,b|0,c);return}}function DQ(a){a=a|0;HN(a|0);return}function EQ(a){a=a|0;PN(a|0);qY(a);return}function FQ(a){a=a|0;PN(a|0);return}function GQ(a){a=a|0;UO(a);qY(a);return}function HQ(a){a=a|0;HN(a|0);qY(a);return}function IQ(a){a=a|0;tN(a|0);qY(a);return}function JQ(a){a=a|0;tN(a|0);return}function KQ(a){a=a|0;tN(a|0);return}function LQ(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=c}else{b=c;h=e;while(1){if((b|0)==(d|0)){i=-1;j=7;break}k=a[b]|0;l=a[h]|0;if(k<<24>>24<l<<24>>24){i=-1;j=7;break}if(l<<24>>24<k<<24>>24){i=1;j=7;break}k=b+1|0;l=h+1|0;if((l|0)==(f|0)){g=k;break a}else{b=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function MQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=e;g=f-d|0;if(g>>>0>4294967279>>>0){RN(b)}if(g>>>0<11>>>0){a[b]=g<<1;h=b+1|0}else{i=g+16&-16;j=oY(i)|0;c[b+8>>2]=j;c[b>>2]=i|1;c[b+4>>2]=g;h=j}if((e|0)==(f|0)){k=h;a[k]=0;return}else{l=h;m=e}while(1){a[l]=a[m]|0;e=m+1|0;if((e|0)==(f|0)){break}else{l=l+1|0;m=e}}k=h+(f+(-d|0))|0;a[k]=0;return}function NQ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if((c|0)==(d|0)){e=0;return e|0}else{f=c;g=0}while(1){c=(a[f]|0)+(g<<4)|0;b=c&-268435456;h=(b>>>24|b)^c;c=f+1|0;if((c|0)==(d|0)){e=h;break}else{f=c;g=h}}return e|0}function OQ(a){a=a|0;tN(a|0);qY(a);return}function PQ(a){a=a|0;tN(a|0);return}function QQ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0;a:do{if((e|0)==(f|0)){g=b}else{a=b;h=e;while(1){if((a|0)==(d|0)){i=-1;j=7;break}k=c[a>>2]|0;l=c[h>>2]|0;if((k|0)<(l|0)){i=-1;j=7;break}if((l|0)<(k|0)){i=1;j=7;break}k=a+4|0;l=h+4|0;if((l|0)==(f|0)){g=k;break a}else{a=k;h=l}}if((j|0)==7){return i|0}}}while(0);i=(g|0)!=(d|0)|0;return i|0}function RQ(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0;d=e;g=f-d|0;h=g>>2;if(h>>>0>1073741807>>>0){RN(b)}if(h>>>0<2>>>0){a[b]=g>>>1;i=b+4|0}else{g=h+4&-4;j=oY(g<<2)|0;c[b+8>>2]=j;c[b>>2]=g|1;c[b+4>>2]=h;i=j}if((e|0)==(f|0)){k=i;c[k>>2]=0;return}j=f-4+(-d|0)|0;d=i;h=e;while(1){c[d>>2]=c[h>>2];e=h+4|0;if((e|0)==(f|0)){break}else{d=d+4|0;h=e}}k=i+((j>>>2)+1<<2)|0;c[k>>2]=0;return}function SQ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;if((b|0)==(d|0)){e=0;return e|0}else{f=b;g=0}while(1){b=(c[f>>2]|0)+(g<<4)|0;a=b&-268435456;h=(a>>>24|a)^b;b=f+4|0;if((b|0)==(d|0)){e=h;break}else{f=b;g=h}}return e|0}function TQ(a){a=a|0;tN(a|0);qY(a);return}function UQ(a){a=a|0;tN(a|0);return}function VQ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];$d[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==0){a[j]=0}else if((w|0)==1){a[j]=1}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}$O(r,g);q=r|0;r=c[q>>2]|0;if(!((c[413552]|0)==-1)){c[m>>2]=1654208;c[m+4>>2]=16;c[m+8>>2]=0;QN(1654208,m,124)}m=(c[413553]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;vN(c[q>>2]|0)|0;$O(s,g);n=s|0;p=c[n>>2]|0;if(!((c[413456]|0)==-1)){c[l>>2]=1653824;c[l+4>>2]=16;c[l+8>>2]=0;QN(1653824,l,124)}d=(c[413457]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;vN(c[n>>2]|0)|0;z=t|0;A=x;Rd[c[(c[A>>2]|0)+24>>2]&127](z,y);Rd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(WQ(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];dO(t+12|0);dO(t|0);i=k;return}}while(0);o=xd(4)|0;PX(o);tc(o|0,1619736,180)}}while(0);k=xd(4)|0;PX(k);tc(k|0,1619736,180)}function WQ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=iY(l)|0;if((n|0)!=0){o=n;p=n;break}vY();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=0}else{if((c[q+12>>2]|0)!=(c[q+16>>2]|0)){y=q;break}if((Td[c[(c[q>>2]|0)+36>>2]&255](q)|0)==-1){c[t>>2]=0;y=0;break}else{y=c[t>>2]|0;break}}}while(0);q=(y|0)==0;l=c[b>>2]|0;do{if((l|0)==0){z=0}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){z=l;break}if(!((Td[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){z=l;break}c[b>>2]=0;z=0}}while(0);A=(z|0)==0;B=c[t>>2]|0;if(!((q^A)&(r|0)!=0)){break}l=c[B+12>>2]|0;if((l|0)==(c[B+16>>2]|0)){C=(Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{C=a[l]|0}if(j){D=C}else{D=ce[c[(c[d>>2]|0)+12>>2]&127](g,C)|0}l=s+1|0;if(m){s=l;w=w;r=r;continue}b:do{if(j){x=r;n=w;v=o;u=0;E=e;while(1){do{if((a[v]|0)==1){F=a[E]|0;G=(F&1)==0;if(G){H=E+1|0}else{H=c[E+8>>2]|0}if(!(D<<24>>24==(a[H+s|0]|0))){a[v]=0;I=u;J=n;K=x-1|0;break}if(G){L=(F&255)>>>1}else{L=c[E+4>>2]|0}if((L|0)!=(l|0)){I=1;J=n;K=x;break}a[v]=2;I=1;J=n+1|0;K=x-1|0}else{I=u;J=n;K=x}}while(0);F=E+12|0;if((F|0)==(f|0)){M=K;N=J;O=I;break b}x=K;n=J;v=v+1|0;u=I;E=F}}else{E=r;u=w;v=o;n=0;x=e;while(1){do{if((a[v]|0)==1){F=x;if((a[F]&1)==0){P=x+1|0}else{P=c[x+8>>2]|0}if(!(D<<24>>24==(ce[c[(c[d>>2]|0)+12>>2]&127](g,a[P+s|0]|0)|0)<<24>>24)){a[v]=0;Q=n;R=u;S=E-1|0;break}G=a[F]|0;if((G&1)==0){T=(G&255)>>>1}else{T=c[x+4>>2]|0}if((T|0)!=(l|0)){Q=1;R=u;S=E;break}a[v]=2;Q=1;R=u+1|0;S=E-1|0}else{Q=n;R=u;S=E}}while(0);G=x+12|0;if((G|0)==(f|0)){M=S;N=R;O=Q;break b}E=S;u=R;v=v+1|0;n=Q;x=G}}}while(0);if(!O){s=l;w=N;r=M;continue}q=c[t>>2]|0;x=q+12|0;n=c[x>>2]|0;if((n|0)==(c[q+16>>2]|0)){Td[c[(c[q>>2]|0)+40>>2]&255](q)|0}else{c[x>>2]=n+1}if((M+N|0)>>>0<2>>>0){s=l;w=N;r=M;continue}else{U=N;V=o;W=e}while(1){do{if((a[V]|0)==2){n=a[W]|0;if((n&1)==0){X=(n&255)>>>1}else{X=c[W+4>>2]|0}if((X|0)==(l|0)){Y=U;break}a[V]=0;Y=U-1|0}else{Y=U}}while(0);n=W+12|0;if((n|0)==(f|0)){s=l;w=Y;r=M;continue a}else{U=Y;V=V+1|0;W=n}}}do{if((B|0)==0){Z=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){Z=B;break}if((Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1){c[t>>2]=0;Z=0;break}else{Z=c[t>>2]|0;break}}}while(0);t=(Z|0)==0;do{if(A){_=91}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(t){break}else{_=93;break}}if((Td[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[b>>2]=0;_=91;break}else{if(t){break}else{_=93;break}}}}while(0);if((_|0)==91){if(t){_=93}}if((_|0)==93){c[h>>2]=c[h>>2]|2}c:do{if(m){_=98}else{t=o;b=e;while(1){if((a[t]|0)==2){$=b;break c}z=b+12|0;if((z|0)==(f|0)){_=98;break c}t=t+1|0;b=z}}}while(0);if((_|0)==98){c[h>>2]=c[h>>2]|4;$=f}if((p|0)==0){i=k;return $|0}jY(p);i=k;return $|0}function XQ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];YQ(a,0,j,k,f,g,h);i=b;return}function YQ(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;OR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}mO(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}mO(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((oR(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=KW(F,c[o>>2]|0,h,t)|0;$T(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}function ZQ(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];_Q(a,0,j,k,f,g,h);i=b;return}function _Q(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;OR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}mO(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}mO(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((oR(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=JW(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;$T(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;dO(n);dO(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;dO(n);dO(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;dO(n);dO(m);i=d;return}function $Q(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];aR(a,0,j,k,f,g,h);i=b;return}function aR(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;e=i;i=i+256|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+32|0;n=e+40|0;o=e+56|0;p=e+72|0;q=e+80|0;r=e+240|0;s=e+248|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==0){u=0}else if((t|0)==64){u=8}else{u=10}t=l|0;OR(n,h,t,m);h=o;NY(h|0,0,12)|0;mO(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=a[m]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=0}else{if((c[v+12>>2]|0)!=(c[v+16>>2]|0)){B=v;break}if(!((Td[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){B=v;break}c[y>>2]=0;B=0}}while(0);C=(B|0)==0;D=c[f>>2]|0;do{if((D|0)==0){E=21}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){if(C){F=D;break}else{G=m;H=D;break a}}if((Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1){c[f>>2]=0;E=21;break}else{if(C){F=D;break}else{G=m;H=D;break a}}}}while(0);if((E|0)==21){E=0;if(C){G=m;H=0;break}else{F=0}}D=a[h]|0;I=(D&1)==0;if(I){J=(D&255)>>>1}else{J=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(J|0)){if(I){K=(D&255)>>>1;L=(D&255)>>>1}else{D=c[z>>2]|0;K=D;L=D}mO(o,K<<1,0);if((a[h]&1)==0){M=10}else{M=(c[g>>2]&-2)-1|0}mO(o,M,0);if((a[h]&1)==0){N=w}else{N=c[x>>2]|0}c[p>>2]=N+L;O=N}else{O=m}D=B+12|0;I=c[D>>2]|0;P=B+16|0;if((I|0)==(c[P>>2]|0)){Q=(Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)&255}else{Q=a[I]|0}if((oR(Q,u,O,p,s,A,n,l,r,t)|0)!=0){G=O;H=F;break}I=c[D>>2]|0;if((I|0)==(c[P>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;m=O;v=B;continue}else{c[D>>2]=I+1;m=O;v=B;continue}}v=a[n]|0;if((v&1)==0){R=(v&255)>>>1}else{R=c[n+4>>2]|0}do{if((R|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}O=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=O}}while(0);b[k>>1]=IW(G,c[p>>2]|0,j,u)|0;$T(n,l,c[r>>2]|0,j);do{if((B|0)==0){S=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){S=B;break}if(!((Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){S=B;break}c[y>>2]=0;S=0}}while(0);y=(S|0)==0;do{if((H|0)==0){E=66}else{if((c[H+12>>2]|0)!=(c[H+16>>2]|0)){if(!y){break}T=d|0;c[T>>2]=S;dO(o);dO(n);i=e;return}if((Td[c[(c[H>>2]|0)+36>>2]&255](H)|0)==-1){c[f>>2]=0;E=66;break}if(!(y^(H|0)==0)){break}T=d|0;c[T>>2]=S;dO(o);dO(n);i=e;return}}while(0);do{if((E|0)==66){if(y){break}T=d|0;c[T>>2]=S;dO(o);dO(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;T=d|0;c[T>>2]=S;dO(o);dO(n);i=e;return}function bR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];cR(a,0,j,k,f,g,h);i=b;return}function cR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;OR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}mO(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}mO(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((oR(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=HW(F,c[o>>2]|0,h,t)|0;$T(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}function dR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];eR(a,0,j,k,f,g,h);i=b;return}function eR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==0){t=0}else if((s|0)==8){t=16}else if((s|0)==64){t=8}else{t=10}s=k|0;OR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;K=(C&255)>>>1}else{C=c[y>>2]|0;J=C;K=C}mO(n,J<<1,0);if((a[g]&1)==0){L=10}else{L=(c[f>>2]&-2)-1|0}mO(n,L,0);if((a[g]&1)==0){M=v}else{M=c[w>>2]|0}c[o>>2]=M+K;N=M}else{N=l}C=A+12|0;H=c[C>>2]|0;O=A+16|0;if((H|0)==(c[O>>2]|0)){P=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{P=a[H]|0}if((oR(P,t,N,o,r,z,m,k,q,s)|0)!=0){F=N;G=E;break}H=c[C>>2]|0;if((H|0)==(c[O>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=N;u=A;continue}else{c[C>>2]=H+1;l=N;u=A;continue}}u=a[m]|0;if((u&1)==0){Q=(u&255)>>>1}else{Q=c[m+4>>2]|0}do{if((Q|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}N=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=N}}while(0);c[j>>2]=GW(F,c[o>>2]|0,h,t)|0;$T(m,k,c[q>>2]|0,h);do{if((A|0)==0){R=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){R=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){R=A;break}c[x>>2]=0;R=0}}while(0);x=(R|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;S=b|0;c[S>>2]=R;dO(n);dO(m);i=d;return}function fR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];gR(a,0,j,k,f,g,h);i=b;return}function gR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+256|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+32|0;m=d+40|0;n=d+56|0;o=d+72|0;p=d+80|0;q=d+240|0;r=d+248|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==0){t=0}else if((s|0)==64){t=8}else{t=10}s=k|0;OR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=a[l]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=0}else{if((c[u+12>>2]|0)!=(c[u+16>>2]|0)){A=u;break}if(!((Td[c[(c[u>>2]|0)+36>>2]&255](u)|0)==-1)){A=u;break}c[x>>2]=0;A=0}}while(0);B=(A|0)==0;C=c[e>>2]|0;do{if((C|0)==0){D=21}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){if(B){E=C;break}else{F=l;G=C;break a}}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[e>>2]=0;D=21;break}else{if(B){E=C;break}else{F=l;G=C;break a}}}}while(0);if((D|0)==21){D=0;if(B){F=l;G=0;break}else{E=0}}C=a[g]|0;H=(C&1)==0;if(H){I=(C&255)>>>1}else{I=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(I|0)){if(H){J=(C&255)>>>1;L=(C&255)>>>1}else{C=c[y>>2]|0;J=C;L=C}mO(n,J<<1,0);if((a[g]&1)==0){M=10}else{M=(c[f>>2]&-2)-1|0}mO(n,M,0);if((a[g]&1)==0){N=v}else{N=c[w>>2]|0}c[o>>2]=N+L;O=N}else{O=l}C=A+12|0;H=c[C>>2]|0;P=A+16|0;if((H|0)==(c[P>>2]|0)){Q=(Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)&255}else{Q=a[H]|0}if((oR(Q,t,O,o,r,z,m,k,q,s)|0)!=0){F=O;G=E;break}H=c[C>>2]|0;if((H|0)==(c[P>>2]|0)){Td[c[(c[A>>2]|0)+40>>2]&255](A)|0;l=O;u=A;continue}else{c[C>>2]=H+1;l=O;u=A;continue}}u=a[m]|0;if((u&1)==0){R=(u&255)>>>1}else{R=c[m+4>>2]|0}do{if((R|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}O=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=O}}while(0);r=FW(F,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;$T(m,k,c[q>>2]|0,h);do{if((A|0)==0){S=0}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){S=A;break}if(!((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1)){S=A;break}c[x>>2]=0;S=0}}while(0);x=(S|0)==0;do{if((G|0)==0){D=66}else{if((c[G+12>>2]|0)!=(c[G+16>>2]|0)){if(!x){break}T=b|0;c[T>>2]=S;dO(n);dO(m);i=d;return}if((Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)==-1){c[e>>2]=0;D=66;break}if(!(x^(G|0)==0)){break}T=b|0;c[T>>2]=S;dO(n);dO(m);i=d;return}}while(0);do{if((D|0)==66){if(x){break}T=b|0;c[T>>2]=S;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;T=b|0;c[T>>2]=S;dO(n);dO(m);i=d;return}function hR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];iR(a,0,j,k,f,g,h);i=b;return}function iR(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;PR(n,h,v,l,m);h=o;NY(h|0,0,12)|0;mO(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Td[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[h]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}mO(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mO(o,O,0);if((a[h]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((QR(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Td[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);g[k>>2]=+EW(I,c[p>>2]|0,j);$T(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}if((Td[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}function jR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];kR(a,0,j,k,f,g,h);i=b;return}function kR(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;PR(n,g,v,l,m);g=o;NY(g|0,0,12)|0;mO(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Td[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}mO(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mO(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((QR(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Td[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+DW(I,c[p>>2]|0,j);$T(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}if((Td[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}function lR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];mR(a,0,j,k,f,g,h);i=b;return}function mR(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+32|0;m=d+40|0;n=d+48|0;o=d+64|0;p=d+80|0;q=d+88|0;r=d+248|0;s=d+256|0;t=d+264|0;u=d+272|0;v=d|0;PR(n,g,v,l,m);g=o;NY(g|0,0,12)|0;mO(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=a[l]|0;l=a[m]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=0}else{if((c[x+12>>2]|0)!=(c[x+16>>2]|0)){D=x;break}if(!((Td[c[(c[x>>2]|0)+36>>2]&255](x)|0)==-1)){D=x;break}c[A>>2]=0;D=0}}while(0);E=(D|0)==0;F=c[e>>2]|0;do{if((F|0)==0){G=17}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(E){H=F;break}else{I=m;J=F;break a}}if((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[e>>2]=0;G=17;break}else{if(E){H=F;break}else{I=m;J=F;break a}}}}while(0);if((G|0)==17){G=0;if(E){I=m;J=0;break}else{H=0}}F=a[g]|0;K=(F&1)==0;if(K){L=(F&255)>>>1}else{L=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(K){M=(F&255)>>>1;N=(F&255)>>>1}else{F=c[B>>2]|0;M=F;N=F}mO(o,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mO(o,O,0);if((a[g]&1)==0){P=y}else{P=c[z>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}F=D+12|0;K=c[F>>2]|0;R=D+16|0;if((K|0)==(c[R>>2]|0)){S=(Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)&255}else{S=a[K]|0}if((QR(S,t,u,Q,p,C,l,n,w,r,s,v)|0)!=0){I=Q;J=H;break}K=c[F>>2]|0;if((K|0)==(c[R>>2]|0)){Td[c[(c[D>>2]|0)+40>>2]&255](D)|0;m=Q;x=D;continue}else{c[F>>2]=K+1;m=Q;x=D;continue}}x=a[n]|0;if((x&1)==0){T=(x&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=Q}}while(0);h[k>>3]=+CW(I,c[p>>2]|0,j);$T(n,w,c[r>>2]|0,j);do{if((D|0)==0){U=0}else{if((c[D+12>>2]|0)!=(c[D+16>>2]|0)){U=D;break}if(!((Td[c[(c[D>>2]|0)+36>>2]&255](D)|0)==-1)){U=D;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;do{if((J|0)==0){G=63}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}if((Td[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[e>>2]=0;G=63;break}if(!(A^(J|0)==0)){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}}while(0);do{if((G|0)==63){if(A){break}V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;V=b|0;c[V>>2]=U;dO(o);dO(n);i=d;return}function nR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;d=i;i=i+272|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+48|0;n=d+64|0;o=d+72|0;p=d+88|0;q=d+96|0;r=d+256|0;s=d+264|0;NY(m|0,0,12)|0;$O(n,g);g=n|0;n=c[g>>2]|0;if(!((c[413552]|0)==-1)){c[k>>2]=1654208;c[k+4>>2]=16;c[k+8>>2]=0;QN(1654208,k,124)}k=(c[413553]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;fe[c[(c[u>>2]|0)+32>>2]&127](u,1621496,1621522,v)|0;vN(c[g>>2]|0)|0;u=o;NY(u|0,0,12)|0;mO(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){G=F;break}if(!((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){G=F;break}c[A>>2]=0;G=0}}while(0);H=(G|0)==0;I=c[B>>2]|0;do{if((I|0)==0){J=25}else{if((c[I+12>>2]|0)!=(c[I+16>>2]|0)){if(H){break}else{K=E;break a}}if((Td[c[(c[I>>2]|0)+36>>2]&255](I)|0)==-1){c[B>>2]=0;J=25;break}else{if(H){break}else{K=E;break a}}}}while(0);if((J|0)==25){J=0;if(H){K=E;break}}I=a[u]|0;L=(I&1)==0;if(L){M=(I&255)>>>1}else{M=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(M|0)){if(L){N=(I&255)>>>1;O=(I&255)>>>1}else{I=c[D>>2]|0;N=I;O=I}mO(o,N<<1,0);if((a[u]&1)==0){P=10}else{P=(c[C>>2]&-2)-1|0}mO(o,P,0);if((a[u]&1)==0){Q=y}else{Q=c[z>>2]|0}c[p>>2]=Q+O;R=Q}else{R=E}I=G+12|0;L=c[I>>2]|0;S=G+16|0;if((L|0)==(c[S>>2]|0)){T=(Td[c[(c[G>>2]|0)+36>>2]&255](G)|0)&255}else{T=a[L]|0}if((oR(T,16,R,p,s,0,m,w,r,v)|0)!=0){K=R;break}L=c[I>>2]|0;if((L|0)==(c[S>>2]|0)){Td[c[(c[G>>2]|0)+40>>2]&255](G)|0;E=R;F=G;continue}else{c[I>>2]=L+1;E=R;F=G;continue}}a[K+3|0]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);F=pR(K,c[413194]|0,71144,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){U=0}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){U=F;break}if(!((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1)){U=F;break}c[A>>2]=0;U=0}}while(0);A=(U|0)==0;F=c[B>>2]|0;do{if((F|0)==0){J=73}else{if((c[F+12>>2]|0)!=(c[F+16>>2]|0)){if(!A){break}V=b|0;c[V>>2]=U;dO(o);dO(m);i=d;return}if((Td[c[(c[F>>2]|0)+36>>2]&255](F)|0)==-1){c[B>>2]=0;J=73;break}if(!(A^(F|0)==0)){break}V=b|0;c[V>>2]=U;dO(o);dO(m);i=d;return}}while(0);do{if((J|0)==73){if(A){break}V=b|0;c[V>>2]=U;dO(o);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;V=b|0;c[V>>2]=U;dO(o);dO(m);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function oR(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(a[l+24|0]|0)==b<<24>>24;if(!o){if(!((a[l+25|0]|0)==b<<24>>24)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&b<<24>>24==h<<24>>24){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+26|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((a[h]|0)==b<<24>>24){r=h;break}else{h=h+1|0}}h=r-l|0;if((h|0)>23){p=-1;return p|0}do{if((d|0)==16){if((h|0)<22){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;l=a[1621496+h|0]|0;c[f>>2]=m+1;a[m]=l;p=0;return p|0}else if((d|0)==8|(d|0)==10){if((h|0)<(d|0)){break}else{p=-1}return p|0}}while(0);d=a[1621496+h|0]|0;c[f>>2]=m+1;a[m]=d;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function pR(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=cd(b|0)|0;b=zb(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}cd(h|0)|0;i=f;return b|0}function qR(a){a=a|0;tN(a|0);qY(a);return}function rR(a){a=a|0;tN(a|0);return}function sR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+112|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+16|0;n=k+32|0;o=k+40|0;p=k+48|0;q=k+56|0;r=k+64|0;s=k+72|0;t=k+80|0;u=k+104|0;if((c[g+4>>2]&1|0)==0){c[n>>2]=-1;v=c[(c[d>>2]|0)+16>>2]|0;w=e|0;c[p>>2]=c[w>>2];c[q>>2]=c[f>>2];$d[v&127](o,d,p,q,g,h,n);q=c[o>>2]|0;c[w>>2]=q;w=c[n>>2]|0;if((w|0)==1){a[j]=1}else if((w|0)==0){a[j]=0}else{a[j]=1;c[h>>2]=4}c[b>>2]=q;i=k;return}$O(r,g);q=r|0;r=c[q>>2]|0;if(!((c[413550]|0)==-1)){c[m>>2]=1654200;c[m+4>>2]=16;c[m+8>>2]=0;QN(1654200,m,124)}m=(c[413551]|0)-1|0;w=c[r+8>>2]|0;do{if((c[r+12>>2]|0)-w>>2>>>0>m>>>0){n=c[w+(m<<2)>>2]|0;if((n|0)==0){break}o=n;vN(c[q>>2]|0)|0;$O(s,g);n=s|0;p=c[n>>2]|0;if(!((c[413454]|0)==-1)){c[l>>2]=1653816;c[l+4>>2]=16;c[l+8>>2]=0;QN(1653816,l,124)}d=(c[413455]|0)-1|0;v=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-v>>2>>>0>d>>>0){x=c[v+(d<<2)>>2]|0;if((x|0)==0){break}y=x;vN(c[n>>2]|0)|0;z=t|0;A=x;Rd[c[(c[A>>2]|0)+24>>2]&127](z,y);Rd[c[(c[A>>2]|0)+28>>2]&127](t+12|0,y);c[u>>2]=c[f>>2];a[j]=(tR(e,u,z,t+24|0,o,h,1)|0)==(z|0)|0;c[b>>2]=c[e>>2];HO(t+12|0);HO(t|0);i=k;return}}while(0);o=xd(4)|0;PX(o);tc(o|0,1619736,180)}}while(0);k=xd(4)|0;PX(k);tc(k|0,1619736,180)}function tR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;k=i;i=i+104|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=(f-e|0)/12|0;m=k|0;do{if(l>>>0>100>>>0){n=iY(l)|0;if((n|0)!=0){o=n;p=n;break}vY();o=0;p=0}else{o=m;p=0}}while(0);m=(e|0)==(f|0);if(m){q=l;r=0}else{n=l;l=0;s=o;t=e;while(1){u=a[t]|0;if((u&1)==0){v=(u&255)>>>1}else{v=c[t+4>>2]|0}if((v|0)==0){a[s]=2;w=l+1|0;x=n-1|0}else{a[s]=1;w=l;x=n}u=t+12|0;if((u|0)==(f|0)){q=x;r=w;break}else{n=x;l=w;s=s+1|0;t=u}}}t=b|0;b=d|0;d=g;s=0;w=r;r=q;a:while(1){q=c[t>>2]|0;do{if((q|0)==0){y=1}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){z=Td[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{z=c[l>>2]|0}if((z|0)==-1){c[t>>2]=0;y=1;break}else{y=(c[t>>2]|0)==0;break}}}while(0);q=c[b>>2]|0;do{if((q|0)==0){A=1;B=0}else{l=c[q+12>>2]|0;if((l|0)==(c[q+16>>2]|0)){C=Td[c[(c[q>>2]|0)+36>>2]&255](q)|0}else{C=c[l>>2]|0}if(!((C|0)==-1)){A=0;B=q;break}c[b>>2]=0;A=1;B=0}}while(0);D=c[t>>2]|0;if(!((y^A)&(r|0)!=0)){break}q=c[D+12>>2]|0;if((q|0)==(c[D+16>>2]|0)){E=Td[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{E=c[q>>2]|0}if(j){F=E}else{F=ce[c[(c[d>>2]|0)+28>>2]&127](g,E)|0}q=s+1|0;if(m){s=q;w=w;r=r;continue}b:do{if(j){l=r;x=w;n=o;v=0;u=e;while(1){do{if((a[n]|0)==1){G=a[u]|0;H=(G&1)==0;if(H){I=u+4|0}else{I=c[u+8>>2]|0}if((F|0)!=(c[I+(s<<2)>>2]|0)){a[n]=0;J=v;K=x;L=l-1|0;break}if(H){M=(G&255)>>>1}else{M=c[u+4>>2]|0}if((M|0)!=(q|0)){J=1;K=x;L=l;break}a[n]=2;J=1;K=x+1|0;L=l-1|0}else{J=v;K=x;L=l}}while(0);G=u+12|0;if((G|0)==(f|0)){N=L;O=K;P=J;break b}l=L;x=K;n=n+1|0;v=J;u=G}}else{u=r;v=w;n=o;x=0;l=e;while(1){do{if((a[n]|0)==1){G=l;if((a[G]&1)==0){Q=l+4|0}else{Q=c[l+8>>2]|0}if((F|0)!=(ce[c[(c[d>>2]|0)+28>>2]&127](g,c[Q+(s<<2)>>2]|0)|0)){a[n]=0;R=x;S=v;T=u-1|0;break}H=a[G]|0;if((H&1)==0){U=(H&255)>>>1}else{U=c[l+4>>2]|0}if((U|0)!=(q|0)){R=1;S=v;T=u;break}a[n]=2;R=1;S=v+1|0;T=u-1|0}else{R=x;S=v;T=u}}while(0);H=l+12|0;if((H|0)==(f|0)){N=T;O=S;P=R;break b}u=T;v=S;n=n+1|0;x=R;l=H}}}while(0);if(!P){s=q;w=O;r=N;continue}l=c[t>>2]|0;x=l+12|0;n=c[x>>2]|0;if((n|0)==(c[l+16>>2]|0)){Td[c[(c[l>>2]|0)+40>>2]&255](l)|0}else{c[x>>2]=n+4}if((N+O|0)>>>0<2>>>0){s=q;w=O;r=N;continue}else{V=O;W=o;X=e}while(1){do{if((a[W]|0)==2){n=a[X]|0;if((n&1)==0){Y=(n&255)>>>1}else{Y=c[X+4>>2]|0}if((Y|0)==(q|0)){Z=V;break}a[W]=0;Z=V-1|0}else{Z=V}}while(0);n=X+12|0;if((n|0)==(f|0)){s=q;w=Z;r=N;continue a}else{V=Z;W=W+1|0;X=n}}}do{if((D|0)==0){_=1}else{X=c[D+12>>2]|0;if((X|0)==(c[D+16>>2]|0)){$=Td[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{$=c[X>>2]|0}if(($|0)==-1){c[t>>2]=0;_=1;break}else{_=(c[t>>2]|0)==0;break}}}while(0);do{if((B|0)==0){aa=93}else{t=c[B+12>>2]|0;if((t|0)==(c[B+16>>2]|0)){ba=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{ba=c[t>>2]|0}if((ba|0)==-1){c[b>>2]=0;aa=93;break}else{if(_){break}else{aa=95;break}}}}while(0);if((aa|0)==93){if(_){aa=95}}if((aa|0)==95){c[h>>2]=c[h>>2]|2}c:do{if(m){aa=100}else{_=o;b=e;while(1){if((a[_]|0)==2){ca=b;break c}ba=b+12|0;if((ba|0)==(f|0)){aa=100;break c}_=_+1|0;b=ba}}}while(0);if((aa|0)==100){c[h>>2]=c[h>>2]|4;ca=f}if((p|0)==0){i=k;return ca|0}jY(p);i=k;return ca|0}function uR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];vR(a,0,j,k,f,g,h);i=b;return}function vR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;RR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}mO(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}mO(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((NR(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=KW(I,c[o>>2]|0,h,t)|0;$T(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}function wR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];xR(a,0,j,k,f,g,h);i=b;return}function xR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;RR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}mO(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mO(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((NR(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=JW(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;$T(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;dO(n);dO(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;dO(n);dO(m);i=d;return}function yR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];zR(a,0,j,k,f,g,h);i=b;return}function zR(d,e,f,g,h,j,k){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;e=i;i=i+328|0;l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[l>>2];l=e|0;m=e+104|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+152|0;r=e+312|0;s=e+320|0;t=c[h+4>>2]&74;if((t|0)==8){u=16}else if((t|0)==64){u=8}else if((t|0)==0){u=0}else{u=10}t=l|0;RR(n,h,t,m);h=o;NY(h|0,0,12)|0;mO(o,10,0);if((a[h]&1)==0){l=o+1|0;v=l;w=l;x=o+8|0}else{l=o+8|0;v=c[l>>2]|0;w=o+1|0;x=l}c[p>>2]=v;l=q|0;c[r>>2]=l;c[s>>2]=0;y=f|0;f=g|0;g=o|0;z=o+4|0;A=c[m>>2]|0;m=v;v=c[y>>2]|0;a:while(1){do{if((v|0)==0){B=1;C=0}else{D=c[v+12>>2]|0;if((D|0)==(c[v+16>>2]|0)){E=Td[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{E=c[D>>2]|0}if(!((E|0)==-1)){B=0;C=v;break}c[y>>2]=0;B=1;C=0}}while(0);D=c[f>>2]|0;do{if((D|0)==0){F=22}else{G=c[D+12>>2]|0;if((G|0)==(c[D+16>>2]|0)){H=Td[c[(c[D>>2]|0)+36>>2]&255](D)|0}else{H=c[G>>2]|0}if((H|0)==-1){c[f>>2]=0;F=22;break}else{if(B){I=D;break}else{J=m;K=D;break a}}}}while(0);if((F|0)==22){F=0;if(B){J=m;K=0;break}else{I=0}}D=a[h]|0;G=(D&1)==0;if(G){L=(D&255)>>>1}else{L=c[z>>2]|0}if(((c[p>>2]|0)-m|0)==(L|0)){if(G){M=(D&255)>>>1;N=(D&255)>>>1}else{D=c[z>>2]|0;M=D;N=D}mO(o,M<<1,0);if((a[h]&1)==0){O=10}else{O=(c[g>>2]&-2)-1|0}mO(o,O,0);if((a[h]&1)==0){P=w}else{P=c[x>>2]|0}c[p>>2]=P+N;Q=P}else{Q=m}D=C+12|0;G=c[D>>2]|0;R=C+16|0;if((G|0)==(c[R>>2]|0)){S=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{S=c[G>>2]|0}if((NR(S,u,Q,p,s,A,n,l,r,t)|0)!=0){J=Q;K=I;break}G=c[D>>2]|0;if((G|0)==(c[R>>2]|0)){Td[c[(c[C>>2]|0)+40>>2]&255](C)|0;m=Q;v=C;continue}else{c[D>>2]=G+4;m=Q;v=C;continue}}v=a[n]|0;if((v&1)==0){T=(v&255)>>>1}else{T=c[n+4>>2]|0}do{if((T|0)!=0){v=c[r>>2]|0;if((v-q|0)>=160){break}Q=c[s>>2]|0;c[r>>2]=v+4;c[v>>2]=Q}}while(0);b[k>>1]=IW(J,c[p>>2]|0,j,u)|0;$T(n,l,c[r>>2]|0,j);do{if((C|0)==0){U=1;V=0}else{r=c[C+12>>2]|0;if((r|0)==(c[C+16>>2]|0)){W=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{W=c[r>>2]|0}if(!((W|0)==-1)){U=0;V=C;break}c[y>>2]=0;U=1;V=0}}while(0);do{if((K|0)==0){F=67}else{y=c[K+12>>2]|0;if((y|0)==(c[K+16>>2]|0)){X=Td[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{X=c[y>>2]|0}if((X|0)==-1){c[f>>2]=0;F=67;break}if(!U){break}Y=d|0;c[Y>>2]=V;dO(o);dO(n);i=e;return}}while(0);do{if((F|0)==67){if(U){break}Y=d|0;c[Y>>2]=V;dO(o);dO(n);i=e;return}}while(0);c[j>>2]=c[j>>2]|2;Y=d|0;c[Y>>2]=V;dO(o);dO(n);i=e;return}function AR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];BR(a,0,j,k,f,g,h);i=b;return}function BR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;RR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}mO(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}mO(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((NR(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=HW(I,c[o>>2]|0,h,t)|0;$T(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}function CR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];DR(a,0,j,k,f,g,h);i=b;return}function DR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==64){t=8}else if((s|0)==8){t=16}else if((s|0)==0){t=0}else{t=10}s=k|0;RR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){K=(C&255)>>>1}else{K=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(K|0)){if(F){L=(C&255)>>>1;M=(C&255)>>>1}else{C=c[y>>2]|0;L=C;M=C}mO(n,L<<1,0);if((a[g]&1)==0){N=10}else{N=(c[f>>2]&-2)-1|0}mO(n,N,0);if((a[g]&1)==0){O=v}else{O=c[w>>2]|0}c[o>>2]=O+M;P=O}else{P=l}C=B+12|0;F=c[C>>2]|0;Q=B+16|0;if((F|0)==(c[Q>>2]|0)){R=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{R=c[F>>2]|0}if((NR(R,t,P,o,r,z,m,k,q,s)|0)!=0){I=P;J=H;break}F=c[C>>2]|0;if((F|0)==(c[Q>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=P;u=B;continue}else{c[C>>2]=F+4;l=P;u=B;continue}}u=a[m]|0;if((u&1)==0){S=(u&255)>>>1}else{S=c[m+4>>2]|0}do{if((S|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}P=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=P}}while(0);c[j>>2]=GW(I,c[o>>2]|0,h,t)|0;$T(m,k,c[q>>2]|0,h);do{if((B|0)==0){T=1;U=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){V=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{V=c[q>>2]|0}if(!((V|0)==-1)){T=0;U=B;break}c[x>>2]=0;T=1;U=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){W=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{W=c[x>>2]|0}if((W|0)==-1){c[e>>2]=0;E=67;break}if(!T){break}X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}}while(0);do{if((E|0)==67){if(T){break}X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;X=b|0;c[X>>2]=U;dO(n);dO(m);i=d;return}function ER(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];FR(a,0,j,k,f,g,h);i=b;return}function FR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;d=i;i=i+328|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+104|0;m=d+112|0;n=d+128|0;o=d+144|0;p=d+152|0;q=d+312|0;r=d+320|0;s=c[g+4>>2]&74;if((s|0)==8){t=16}else if((s|0)==64){t=8}else if((s|0)==0){t=0}else{t=10}s=k|0;RR(m,g,s,l);g=n;NY(g|0,0,12)|0;mO(n,10,0);if((a[g]&1)==0){k=n+1|0;u=k;v=k;w=n+8|0}else{k=n+8|0;u=c[k>>2]|0;v=n+1|0;w=k}c[o>>2]=u;k=p|0;c[q>>2]=k;c[r>>2]=0;x=e|0;e=f|0;f=n|0;y=n+4|0;z=c[l>>2]|0;l=u;u=c[x>>2]|0;a:while(1){do{if((u|0)==0){A=1;B=0}else{C=c[u+12>>2]|0;if((C|0)==(c[u+16>>2]|0)){D=Td[c[(c[u>>2]|0)+36>>2]&255](u)|0}else{D=c[C>>2]|0}if(!((D|0)==-1)){A=0;B=u;break}c[x>>2]=0;A=1;B=0}}while(0);C=c[e>>2]|0;do{if((C|0)==0){E=22}else{F=c[C+12>>2]|0;if((F|0)==(c[C+16>>2]|0)){G=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{G=c[F>>2]|0}if((G|0)==-1){c[e>>2]=0;E=22;break}else{if(A){H=C;break}else{I=l;J=C;break a}}}}while(0);if((E|0)==22){E=0;if(A){I=l;J=0;break}else{H=0}}C=a[g]|0;F=(C&1)==0;if(F){L=(C&255)>>>1}else{L=c[y>>2]|0}if(((c[o>>2]|0)-l|0)==(L|0)){if(F){M=(C&255)>>>1;N=(C&255)>>>1}else{C=c[y>>2]|0;M=C;N=C}mO(n,M<<1,0);if((a[g]&1)==0){O=10}else{O=(c[f>>2]&-2)-1|0}mO(n,O,0);if((a[g]&1)==0){P=v}else{P=c[w>>2]|0}c[o>>2]=P+N;Q=P}else{Q=l}C=B+12|0;F=c[C>>2]|0;R=B+16|0;if((F|0)==(c[R>>2]|0)){S=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{S=c[F>>2]|0}if((NR(S,t,Q,o,r,z,m,k,q,s)|0)!=0){I=Q;J=H;break}F=c[C>>2]|0;if((F|0)==(c[R>>2]|0)){Td[c[(c[B>>2]|0)+40>>2]&255](B)|0;l=Q;u=B;continue}else{c[C>>2]=F+4;l=Q;u=B;continue}}u=a[m]|0;if((u&1)==0){T=(u&255)>>>1}else{T=c[m+4>>2]|0}do{if((T|0)!=0){u=c[q>>2]|0;if((u-p|0)>=160){break}Q=c[r>>2]|0;c[q>>2]=u+4;c[u>>2]=Q}}while(0);r=FW(I,c[o>>2]|0,h,t)|0;c[j>>2]=r;c[j+4>>2]=K;$T(m,k,c[q>>2]|0,h);do{if((B|0)==0){U=1;V=0}else{q=c[B+12>>2]|0;if((q|0)==(c[B+16>>2]|0)){W=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{W=c[q>>2]|0}if(!((W|0)==-1)){U=0;V=B;break}c[x>>2]=0;U=1;V=0}}while(0);do{if((J|0)==0){E=67}else{x=c[J+12>>2]|0;if((x|0)==(c[J+16>>2]|0)){X=Td[c[(c[J>>2]|0)+36>>2]&255](J)|0}else{X=c[x>>2]|0}if((X|0)==-1){c[e>>2]=0;E=67;break}if(!U){break}Y=b|0;c[Y>>2]=V;dO(n);dO(m);i=d;return}}while(0);do{if((E|0)==67){if(U){break}Y=b|0;c[Y>>2]=V;dO(n);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;Y=b|0;c[Y>>2]=V;dO(n);dO(m);i=d;return}function GR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];HR(a,0,j,k,f,g,h);i=b;return}function HR(b,d,e,f,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;SR(n,h,v,l,m);h=o;NY(h|0,0,12)|0;mO(o,10,0);if((a[h]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Td[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[h]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}mO(o,O<<1,0);if((a[h]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}mO(o,Q,0);if((a[h]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((TR(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Td[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);g[k>>2]=+EW(L,c[p>>2]|0,j);$T(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Td[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}function IR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];JR(a,0,j,k,f,g,h);i=b;return}function JR(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;SR(n,g,v,l,m);g=o;NY(g|0,0,12)|0;mO(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Td[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}mO(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}mO(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((TR(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Td[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+DW(L,c[p>>2]|0,j);$T(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Td[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}function KR(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0;b=i;i=i+16|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;c[j>>2]=c[d>>2];c[k>>2]=c[e>>2];LR(a,0,j,k,f,g,h);i=b;return}function LR(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+376|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d+128|0;m=d+136|0;n=d+144|0;o=d+160|0;p=d+176|0;q=d+184|0;r=d+344|0;s=d+352|0;t=d+360|0;u=d+368|0;v=d|0;SR(n,g,v,l,m);g=o;NY(g|0,0,12)|0;mO(o,10,0);if((a[g]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;a[t]=1;a[u]=69;A=e|0;e=f|0;f=o|0;B=o+4|0;C=c[l>>2]|0;l=c[m>>2]|0;m=x;x=c[A>>2]|0;a:while(1){do{if((x|0)==0){D=1;E=0}else{F=c[x+12>>2]|0;if((F|0)==(c[x+16>>2]|0)){G=Td[c[(c[x>>2]|0)+36>>2]&255](x)|0}else{G=c[F>>2]|0}if(!((G|0)==-1)){D=0;E=x;break}c[A>>2]=0;D=1;E=0}}while(0);F=c[e>>2]|0;do{if((F|0)==0){H=18}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if((J|0)==-1){c[e>>2]=0;H=18;break}else{if(D){K=F;break}else{L=m;M=F;break a}}}}while(0);if((H|0)==18){H=0;if(D){L=m;M=0;break}else{K=0}}F=a[g]|0;I=(F&1)==0;if(I){N=(F&255)>>>1}else{N=c[B>>2]|0}if(((c[p>>2]|0)-m|0)==(N|0)){if(I){O=(F&255)>>>1;P=(F&255)>>>1}else{F=c[B>>2]|0;O=F;P=F}mO(o,O<<1,0);if((a[g]&1)==0){Q=10}else{Q=(c[f>>2]&-2)-1|0}mO(o,Q,0);if((a[g]&1)==0){R=y}else{R=c[z>>2]|0}c[p>>2]=R+P;S=R}else{S=m}F=E+12|0;I=c[F>>2]|0;T=E+16|0;if((I|0)==(c[T>>2]|0)){U=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{U=c[I>>2]|0}if((TR(U,t,u,S,p,C,l,n,w,r,s,v)|0)!=0){L=S;M=K;break}I=c[F>>2]|0;if((I|0)==(c[T>>2]|0)){Td[c[(c[E>>2]|0)+40>>2]&255](E)|0;m=S;x=E;continue}else{c[F>>2]=I+4;m=S;x=E;continue}}x=a[n]|0;if((x&1)==0){V=(x&255)>>>1}else{V=c[n+4>>2]|0}do{if((V|0)!=0){if((a[t]|0)==0){break}x=c[r>>2]|0;if((x-q|0)>=160){break}S=c[s>>2]|0;c[r>>2]=x+4;c[x>>2]=S}}while(0);h[k>>3]=+CW(L,c[p>>2]|0,j);$T(n,w,c[r>>2]|0,j);do{if((E|0)==0){W=1;X=0}else{r=c[E+12>>2]|0;if((r|0)==(c[E+16>>2]|0)){Y=Td[c[(c[E>>2]|0)+36>>2]&255](E)|0}else{Y=c[r>>2]|0}if(!((Y|0)==-1)){W=0;X=E;break}c[A>>2]=0;W=1;X=0}}while(0);do{if((M|0)==0){H=64}else{A=c[M+12>>2]|0;if((A|0)==(c[M+16>>2]|0)){Z=Td[c[(c[M>>2]|0)+36>>2]&255](M)|0}else{Z=c[A>>2]|0}if((Z|0)==-1){c[e>>2]=0;H=64;break}if(!W){break}_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}}while(0);do{if((H|0)==64){if(W){break}_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}}while(0);c[j>>2]=c[j>>2]|2;_=b|0;c[_>>2]=X;dO(o);dO(n);i=d;return}function MR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;d=i;i=i+344|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+120|0;n=d+136|0;o=d+144|0;p=d+160|0;q=d+168|0;r=d+328|0;s=d+336|0;NY(m|0,0,12)|0;$O(n,g);g=n|0;n=c[g>>2]|0;if(!((c[413550]|0)==-1)){c[k>>2]=1654200;c[k+4>>2]=16;c[k+8>>2]=0;QN(1654200,k,124)}k=(c[413551]|0)-1|0;t=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-t>>2>>>0>k>>>0){u=c[t+(k<<2)>>2]|0;if((u|0)==0){break}v=l|0;fe[c[(c[u>>2]|0)+48>>2]&127](u,1621496,1621522,v)|0;vN(c[g>>2]|0)|0;u=o;NY(u|0,0,12)|0;mO(o,10,0);if((a[u]&1)==0){w=o+1|0;x=w;y=w;z=o+8|0}else{w=o+8|0;x=c[w>>2]|0;y=o+1|0;z=w}c[p>>2]=x;w=q|0;c[r>>2]=w;c[s>>2]=0;A=e|0;B=f|0;C=o|0;D=o+4|0;E=x;F=c[A>>2]|0;a:while(1){do{if((F|0)==0){G=1;H=0}else{I=c[F+12>>2]|0;if((I|0)==(c[F+16>>2]|0)){J=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{J=c[I>>2]|0}if(!((J|0)==-1)){G=0;H=F;break}c[A>>2]=0;G=1;H=0}}while(0);I=c[B>>2]|0;do{if((I|0)==0){K=26}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Td[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if((M|0)==-1){c[B>>2]=0;K=26;break}else{if(G){break}else{N=E;break a}}}}while(0);if((K|0)==26){K=0;if(G){N=E;break}}I=a[u]|0;L=(I&1)==0;if(L){O=(I&255)>>>1}else{O=c[D>>2]|0}if(((c[p>>2]|0)-E|0)==(O|0)){if(L){P=(I&255)>>>1;Q=(I&255)>>>1}else{I=c[D>>2]|0;P=I;Q=I}mO(o,P<<1,0);if((a[u]&1)==0){R=10}else{R=(c[C>>2]&-2)-1|0}mO(o,R,0);if((a[u]&1)==0){S=y}else{S=c[z>>2]|0}c[p>>2]=S+Q;T=S}else{T=E}I=H+12|0;L=c[I>>2]|0;U=H+16|0;if((L|0)==(c[U>>2]|0)){V=Td[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{V=c[L>>2]|0}if((NR(V,16,T,p,s,0,m,w,r,v)|0)!=0){N=T;break}L=c[I>>2]|0;if((L|0)==(c[U>>2]|0)){Td[c[(c[H>>2]|0)+40>>2]&255](H)|0;E=T;F=H;continue}else{c[I>>2]=L+4;E=T;F=H;continue}}a[N+3|0]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);F=pR(N,c[413194]|0,71144,(E=i,i=i+8|0,c[E>>2]=j,E)|0)|0;i=E;if((F|0)!=1){c[h>>2]=4}F=c[A>>2]|0;do{if((F|0)==0){W=1;X=0}else{E=c[F+12>>2]|0;if((E|0)==(c[F+16>>2]|0)){Y=Td[c[(c[F>>2]|0)+36>>2]&255](F)|0}else{Y=c[E>>2]|0}if(!((Y|0)==-1)){W=0;X=F;break}c[A>>2]=0;W=1;X=0}}while(0);A=c[B>>2]|0;do{if((A|0)==0){K=74}else{F=c[A+12>>2]|0;if((F|0)==(c[A+16>>2]|0)){Z=Td[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{Z=c[F>>2]|0}if((Z|0)==-1){c[B>>2]=0;K=74;break}if(!W){break}_=b|0;c[_>>2]=X;dO(o);dO(m);i=d;return}}while(0);do{if((K|0)==74){if(W){break}_=b|0;c[_>>2]=X;dO(o);dO(m);i=d;return}}while(0);c[h>>2]=c[h>>2]|2;_=b|0;c[_>>2]=X;dO(o);dO(m);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function NR(b,d,e,f,g,h,i,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;m=c[f>>2]|0;n=(m|0)==(e|0);do{if(n){o=(c[l+96>>2]|0)==(b|0);if(!o){if((c[l+100>>2]|0)!=(b|0)){break}}c[f>>2]=e+1;a[e]=o?43:45;c[g>>2]=0;p=0;return p|0}}while(0);o=a[i]|0;if((o&1)==0){q=(o&255)>>>1}else{q=c[i+4>>2]|0}if((q|0)!=0&(b|0)==(h|0)){h=c[k>>2]|0;if((h-j|0)>=160){p=0;return p|0}j=c[g>>2]|0;c[k>>2]=h+4;c[h>>2]=j;c[g>>2]=0;p=0;return p|0}j=l+104|0;h=l;while(1){if((h|0)==(j|0)){r=j;break}if((c[h>>2]|0)==(b|0)){r=h;break}else{h=h+4|0}}h=r-l|0;l=h>>2;if((h|0)>92){p=-1;return p|0}do{if((d|0)==16){if((h|0)<88){break}if(n){p=-1;return p|0}if((m-e|0)>=3){p=-1;return p|0}if((a[m-1|0]|0)!=48){p=-1;return p|0}c[g>>2]=0;r=a[1621496+l|0]|0;c[f>>2]=m+1;a[m]=r;p=0;return p|0}else if((d|0)==8|(d|0)==10){if((l|0)<(d|0)){break}else{p=-1}return p|0}}while(0);d=a[1621496+l|0]|0;c[f>>2]=m+1;a[m]=d;c[g>>2]=(c[g>>2]|0)+1;p=0;return p|0}function OR(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;$O(k,d);d=k|0;k=c[d>>2]|0;if(!((c[413552]|0)==-1)){c[j>>2]=1654208;c[j+4>>2]=16;c[j+8>>2]=0;QN(1654208,j,124)}j=(c[413553]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}fe[c[(c[m>>2]|0)+32>>2]&127](m,1621496,1621522,e)|0;m=c[d>>2]|0;if(!((c[413456]|0)==-1)){c[h>>2]=1653824;c[h+4>>2]=16;c[h+8>>2]=0;QN(1653824,h,124)}n=(c[413457]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;a[f]=Td[c[(c[p>>2]|0)+16>>2]&255](q)|0;Rd[c[(c[p>>2]|0)+20>>2]&127](b,q);vN(c[d>>2]|0)|0;i=g;return}}while(0);n=xd(4)|0;PX(n);tc(n|0,1619736,180)}}while(0);g=xd(4)|0;PX(g);tc(g|0,1619736,180)}function PR(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;i=i+40|0;j=h|0;k=h+16|0;l=h+32|0;$O(l,d);d=l|0;l=c[d>>2]|0;if(!((c[413552]|0)==-1)){c[k>>2]=1654208;c[k+4>>2]=16;c[k+8>>2]=0;QN(1654208,k,124)}k=(c[413553]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}fe[c[(c[n>>2]|0)+32>>2]&127](n,1621496,1621528,e)|0;n=c[d>>2]|0;if(!((c[413456]|0)==-1)){c[j>>2]=1653824;c[j+4>>2]=16;c[j+8>>2]=0;QN(1653824,j,124)}o=(c[413457]|0)-1|0;p=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-p>>2>>>0>o>>>0){q=c[p+(o<<2)>>2]|0;if((q|0)==0){break}r=q;s=q;a[f]=Td[c[(c[s>>2]|0)+12>>2]&255](r)|0;a[g]=Td[c[(c[s>>2]|0)+16>>2]&255](r)|0;Rd[c[(c[q>>2]|0)+20>>2]&127](b,r);vN(c[d>>2]|0)|0;i=h;return}}while(0);o=xd(4)|0;PX(o);tc(o|0,1619736,180)}}while(0);h=xd(4)|0;PX(h);tc(h|0,1619736,180)}function QR(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if(b<<24>>24==h<<24>>24){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if(b<<24>>24==i<<24>>24){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+32|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((a[i]|0)==b<<24>>24){r=i;break}else{i=i+1|0}}i=r-n|0;if((i|0)>31){o=-1;return o|0}n=a[1621496+i|0]|0;if((i|0)==25|(i|0)==24){r=c[g>>2]|0;do{if((r|0)!=(f|0)){if((a[r-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=r+1;a[r]=n;o=0;return o|0}else if((i|0)==22|(i|0)==23){a[e]=80;r=c[g>>2]|0;c[g>>2]=r+1;a[r]=n;o=0;return o|0}else{r=a[e]|0;do{if((n&95|0)==(r<<24>>24|0)){a[e]=r|-128;if((a[d]|0)==0){break}a[d]=0;f=a[j]|0;if((f&1)==0){s=(f&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}f=c[l>>2]|0;if((f-k|0)>=160){break}b=c[m>>2]|0;c[l>>2]=f+4;c[f>>2]=b}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=n;if((i|0)>21){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}return 0}function RR(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+40|0;g=f|0;h=f+16|0;j=f+32|0;$O(j,b);b=j|0;j=c[b>>2]|0;if(!((c[413550]|0)==-1)){c[h>>2]=1654200;c[h+4>>2]=16;c[h+8>>2]=0;QN(1654200,h,124)}h=(c[413551]|0)-1|0;k=c[j+8>>2]|0;do{if((c[j+12>>2]|0)-k>>2>>>0>h>>>0){l=c[k+(h<<2)>>2]|0;if((l|0)==0){break}fe[c[(c[l>>2]|0)+48>>2]&127](l,1621496,1621522,d)|0;l=c[b>>2]|0;if(!((c[413454]|0)==-1)){c[g>>2]=1653816;c[g+4>>2]=16;c[g+8>>2]=0;QN(1653816,g,124)}m=(c[413455]|0)-1|0;n=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-n>>2>>>0>m>>>0){o=c[n+(m<<2)>>2]|0;if((o|0)==0){break}p=o;c[e>>2]=Td[c[(c[o>>2]|0)+16>>2]&255](p)|0;Rd[c[(c[o>>2]|0)+20>>2]&127](a,p);vN(c[b>>2]|0)|0;i=f;return}}while(0);m=xd(4)|0;PX(m);tc(m|0,1619736,180)}}while(0);f=xd(4)|0;PX(f);tc(f|0,1619736,180)}function SR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;g=i;i=i+40|0;h=g|0;j=g+16|0;k=g+32|0;$O(k,b);b=k|0;k=c[b>>2]|0;if(!((c[413550]|0)==-1)){c[j>>2]=1654200;c[j+4>>2]=16;c[j+8>>2]=0;QN(1654200,j,124)}j=(c[413551]|0)-1|0;l=c[k+8>>2]|0;do{if((c[k+12>>2]|0)-l>>2>>>0>j>>>0){m=c[l+(j<<2)>>2]|0;if((m|0)==0){break}fe[c[(c[m>>2]|0)+48>>2]&127](m,1621496,1621528,d)|0;m=c[b>>2]|0;if(!((c[413454]|0)==-1)){c[h>>2]=1653816;c[h+4>>2]=16;c[h+8>>2]=0;QN(1653816,h,124)}n=(c[413455]|0)-1|0;o=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-o>>2>>>0>n>>>0){p=c[o+(n<<2)>>2]|0;if((p|0)==0){break}q=p;r=p;c[e>>2]=Td[c[(c[r>>2]|0)+12>>2]&255](q)|0;c[f>>2]=Td[c[(c[r>>2]|0)+16>>2]&255](q)|0;Rd[c[(c[p>>2]|0)+20>>2]&127](a,q);vN(c[b>>2]|0)|0;i=g;return}}while(0);n=xd(4)|0;PX(n);tc(n|0,1619736,180)}}while(0);g=xd(4)|0;PX(g);tc(g|0,1619736,180)}function TR(b,d,e,f,g,h,i,j,k,l,m,n){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0;if((b|0)==(h|0)){if((a[d]|0)==0){o=-1;return o|0}a[d]=0;h=c[g>>2]|0;c[g>>2]=h+1;a[h]=46;h=a[j]|0;if((h&1)==0){p=(h&255)>>>1}else{p=c[j+4>>2]|0}if((p|0)==0){o=0;return o|0}p=c[l>>2]|0;if((p-k|0)>=160){o=0;return o|0}h=c[m>>2]|0;c[l>>2]=p+4;c[p>>2]=h;o=0;return o|0}do{if((b|0)==(i|0)){h=a[j]|0;if((h&1)==0){q=(h&255)>>>1}else{q=c[j+4>>2]|0}if((q|0)==0){break}if((a[d]|0)==0){o=-1;return o|0}h=c[l>>2]|0;if((h-k|0)>=160){o=0;return o|0}p=c[m>>2]|0;c[l>>2]=h+4;c[h>>2]=p;c[m>>2]=0;o=0;return o|0}}while(0);q=n+128|0;i=n;while(1){if((i|0)==(q|0)){r=q;break}if((c[i>>2]|0)==(b|0)){r=i;break}else{i=i+4|0}}i=r-n|0;n=i>>2;if((i|0)>124){o=-1;return o|0}r=a[1621496+n|0]|0;do{if((n|0)==25|(n|0)==24){b=c[g>>2]|0;do{if((b|0)!=(f|0)){if((a[b-1|0]&95|0)==(a[e]&127|0)){break}else{o=-1}return o|0}}while(0);c[g>>2]=b+1;a[b]=r;o=0;return o|0}else if((n|0)==22|(n|0)==23){a[e]=80}else{q=a[e]|0;if((r&95|0)!=(q<<24>>24|0)){break}a[e]=q|-128;if((a[d]|0)==0){break}a[d]=0;q=a[j]|0;if((q&1)==0){s=(q&255)>>>1}else{s=c[j+4>>2]|0}if((s|0)==0){break}q=c[l>>2]|0;if((q-k|0)>=160){break}p=c[m>>2]|0;c[l>>2]=q+4;c[q>>2]=p}}while(0);l=c[g>>2]|0;c[g>>2]=l+1;a[l]=r;if((i|0)>84){o=0;return o|0}c[m>>2]=(c[m>>2]|0)+1;o=0;return o|0}function UR(a){a=a|0;tN(a|0);qY(a);return}function VR(a){a=a|0;tN(a|0);return}function WR(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];Yd[o&63](b,d,l,f,g,h&1);i=j;return}$O(m,f);f=m|0;m=c[f>>2]|0;if(!((c[413456]|0)==-1)){c[k>>2]=1653824;c[k+4>>2]=16;c[k+8>>2]=0;QN(1653824,k,124)}k=(c[413457]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;vN(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Rd[c[o+24>>2]&127](n,d)}else{Rd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+1|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+1|0;r=l}l=e|0;s=n+4|0;t=p;u=o;while(1){if((u&1)==0){v=(u&255)>>>1;w=q}else{v=c[s>>2]|0;w=c[r>>2]|0}if((t|0)==(w+v|0)){break}o=a[t]|0;x=c[l>>2]|0;do{if((x|0)!=0){y=x+24|0;z=c[y>>2]|0;if((z|0)!=(c[x+28>>2]|0)){c[y>>2]=z+1;a[z]=o;break}if(!((ce[c[(c[x>>2]|0)+52>>2]&127](x,o&255)|0)==-1)){break}c[l>>2]=0}}while(0);t=t+1|0;u=a[d]|0}c[b>>2]=c[l>>2];dO(n);i=j;return}}while(0);j=xd(4)|0;PX(j);tc(j|0,1619736,180)}function XR(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[1613288]|0;a[q+1|0]=a[1613289]|0;a[q+2|0]=a[1613290]|0;a[q+3|0]=a[1613291]|0;a[q+4|0]=a[1613292]|0;a[q+5|0]=a[1613293]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else if((v|0)==64){a[u]=111}else{a[u]=100}}while(0);u=k|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);v=YR(u,12,c[413194]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+v|0;h=c[s>>2]&176;do{if((h|0)==32){w=q}else if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((v|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;$O(o,f);ZR(u,w,q,x,m,n,o);vN(c[o>>2]|0)|0;c[p>>2]=c[e>>2];EK(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function YR(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;g=i;i=i+16|0;h=g|0;j=h;c[j>>2]=f;c[j+4>>2]=0;j=cd(d|0)|0;d=dd(a|0,b|0,e|0,h|0)|0;if((j|0)==0){i=g;return d|0}cd(j|0)|0;i=g;return d|0}function ZR(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[413552]|0)==-1)){c[m>>2]=1654208;c[m+4>>2]=16;c[m+8>>2]=0;QN(1654208,m,124)}m=(c[413553]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;PX(r);tc(q|0,1619736,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;PX(r);tc(q|0,1619736,180)}q=j;r=c[o>>2]|0;if(!((c[413456]|0)==-1)){c[l>>2]=1653824;c[l+4>>2]=16;c[l+8>>2]=0;QN(1653824,l,124)}l=(c[413457]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;PX(t);tc(s|0,1619736,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;PX(t);tc(s|0,1619736,180)}s=r;Rd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){fe[c[(c[j>>2]|0)+32>>2]&127](q,b,e,f)|0;c[h>>2]=f+(e-b)}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ce[c[(c[j>>2]|0)+28>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+1;a[l]=o;v=b+1|0}else{v=b}do{if((e-v|0)>1){if((a[v]|0)!=48){w=v;break}o=v+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){w=v;break}l=j;m=ce[c[(c[l>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=ce[c[(c[l>>2]|0)+28>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+1;a[o]=m;w=v+2|0}else{w=v}}while(0);do{if((w|0)!=(e|0)){m=e-1|0;if(m>>>0>w>>>0){x=w;y=m}else{break}do{m=a[x]|0;a[x]=a[y]|0;a[y]=m;x=x+1|0;y=y-1|0;}while(x>>>0<y>>>0)}}while(0);m=Td[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(w>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;z=n+8|0;A=0;B=0;C=w;while(1){D=(a[t]&1)==0;do{if((a[(D?o:c[z>>2]|0)+B|0]|0)==0){E=B;F=A}else{if((A|0)!=(a[(D?o:c[z>>2]|0)+B|0]|0)){E=B;F=A;break}G=c[h>>2]|0;c[h>>2]=G+1;a[G]=m;G=a[t]|0;if((G&1)==0){H=(G&255)>>>1}else{H=c[p>>2]|0}E=(B>>>0<(H-1|0)>>>0)+B|0;F=0}}while(0);D=ce[c[(c[l>>2]|0)+28>>2]&127](q,a[C]|0)|0;G=c[h>>2]|0;c[h>>2]=G+1;a[G]=D;D=C+1|0;if(D>>>0<e>>>0){A=F+1|0;B=E;C=D}else{break}}}C=f+(w-b)|0;B=c[h>>2]|0;if((C|0)==(B|0)){break}A=B-1|0;if(A>>>0>C>>>0){I=C;J=A}else{break}do{A=a[I]|0;a[I]=a[J]|0;a[J]=A;I=I+1|0;J=J-1|0;}while(I>>>0<J>>>0)}}while(0);if((d|0)==(e|0)){K=c[h>>2]|0;c[g>>2]=K;dO(n);i=k;return}else{K=f+(d-b)|0;c[g>>2]=K;dO(n);i=k;return}}function _R(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);t=YR(u,22,c[413194]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;$O(p,f);ZR(u,w,r,x,n,o,p);vN(c[p>>2]|0)|0;c[q>>2]=c[e>>2];EK(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function $R(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+80|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+72|0;q=j|0;a[q]=a[1613288]|0;a[q+1|0]=a[1613289]|0;a[q+2|0]=a[1613290]|0;a[q+3|0]=a[1613291]|0;a[q+4|0]=a[1613292]|0;a[q+5|0]=a[1613293]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);t=YR(u,12,c[413194]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;$O(o,f);ZR(u,w,q,x,m,n,o);vN(c[o>>2]|0)|0;c[p>>2]=c[e>>2];EK(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function aS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+112|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+80|0;o=d+88|0;p=d+96|0;q=d+104|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);t=YR(u,23,c[413194]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;$O(p,f);ZR(u,w,r,x,n,o,p);vN(c[p>>2]|0)|0;c[q>>2]=c[e>>2];EK(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}



function qU(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+1040|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+528|0;o=d+536|0;p=d+544|0;q=d+552|0;r=d+560|0;s=d+576|0;t=d+592|0;u=d+608|0;v=d+616|0;w=d+1016|0;x=d+1024|0;y=d+1032|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Ab(z|0,100,1593504,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);C=cS(m,c[413194]|0,1593504,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){vY();E=c[m>>2]|0}else{E=D}D=iY(C<<2)|0;F=D;if((D|0)!=0){G=F;H=C;I=F;J=E;break}vY();G=0;H=C;I=0;J=E}else{G=A;H=B;I=0;J=0}}while(0);$O(n,g);B=n|0;A=c[B>>2]|0;if(!((c[413550]|0)==-1)){c[l>>2]=1654200;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654200,l,124)}l=(c[413551]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;F=c[m>>2]|0;fe[c[(c[z>>2]|0)+48>>2]&127](C,F,F+H|0,G)|0;if((H|0)==0){K=0}else{K=(a[c[m>>2]|0]|0)==45}NY(r|0,0,12)|0;F=s;NY(F|0,0,12)|0;z=t;NY(z|0,0,12)|0;rU(f,K,n,o,p,q,r,s,t,u);D=v|0;L=c[u>>2]|0;if((H|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(H-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[F]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){F=iY(M<<2)|0;z=F;if((F|0)!=0){S=z;T=z;break}vY();S=0;T=0}else{S=D;T=0}}while(0);sU(S,w,x,c[g+4>>2]|0,G,G+(H<<2)|0,C,K,o,c[p>>2]|0,c[q>>2]|0,r,s,t,L);c[y>>2]=c[e>>2];lS(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){jY(T)}HO(t);HO(s);dO(r);vN(c[B>>2]|0)|0;if((I|0)!=0){jY(I)}if((J|0)==0){i=d;return}jY(J);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function rU(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[413666]|0)==-1)){c[p>>2]=1654664;c[p+4>>2]=16;c[p+8>>2]=0;QN(1654664,p,124)}p=(c[413667]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=xd(4)|0;J=I;PX(J);tc(I|0,1619736,180)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=xd(4)|0;J=I;PX(J);tc(I|0,1619736,180)}I=e;J=c[e>>2]|0;if(d){Rd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Rd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){c[l+4>>2]=0;a[r]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KO(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];NY(q|0,0,12)|0;HO(s)}else{Rd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Rd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){c[l+4>>2]=0;a[u]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KO(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];NY(t|0,0,12)|0;HO(v)}v=e;c[g>>2]=Td[c[(c[v>>2]|0)+12>>2]&255](I)|0;c[h>>2]=Td[c[(c[v>>2]|0)+16>>2]&255](I)|0;Rd[c[(c[e>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pO(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];NY(u|0,0,12)|0;dO(w);Rd[c[(c[e>>2]|0)+24>>2]&127](x,I);e=k;if((a[e]&1)==0){c[k+4>>2]=0;a[e]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}KO(k,0);w=x;c[e>>2]=c[w>>2];c[e+4>>2]=c[w+4>>2];c[e+8>>2]=c[w+8>>2];NY(w|0,0,12)|0;HO(x);K=Td[c[(c[v>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[413668]|0)==-1)){c[o>>2]=1654672;c[o+4>>2]=16;c[o+8>>2]=0;QN(1654672,o,124)}o=(c[413669]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=xd(4)|0;M=L;PX(M);tc(L|0,1619736,180)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=xd(4)|0;M=L;PX(M);tc(L|0,1619736,180)}L=H;M=c[H>>2]|0;if(d){Rd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Rd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){c[l+4>>2]=0;a[z]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KO(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];NY(y|0,0,12)|0;HO(A)}else{Rd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Rd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){c[l+4>>2]=0;a[D]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KO(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];NY(l|0,0,12)|0;HO(E)}E=H;c[g>>2]=Td[c[(c[E>>2]|0)+12>>2]&255](L)|0;c[h>>2]=Td[c[(c[E>>2]|0)+16>>2]&255](L)|0;Rd[c[(c[H>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pO(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];NY(j|0,0,12)|0;dO(F);Rd[c[(c[H>>2]|0)+24>>2]&127](G,L);H=k;if((a[H]&1)==0){c[k+4>>2]=0;a[H]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}KO(k,0);k=G;c[H>>2]=c[k>>2];c[H+4>>2]=c[k+4>>2];c[H+8>>2]=c[k+8>>2];NY(k|0,0,12)|0;HO(G);K=Td[c[(c[E>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function sU(b,d,e,f,g,h,i,j,k,l,m,n,o,p,q){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0;c[e>>2]=b;r=i;s=p;t=p+4|0;u=p+8|0;p=o;v=(f&512|0)==0;w=o+4|0;x=o+8|0;o=i;y=(q|0)>0;z=n;A=n+1|0;B=n+8|0;C=n+4|0;n=0;D=g;while(1){a:do{switch(a[k+n|0]|0){case 2:{g=a[p]|0;E=(g&1)==0;if(E){F=(g&255)>>>1}else{F=c[w>>2]|0}if((F|0)==0|v){G=D;break a}if(E){H=(g&255)>>>1;I=w;J=w}else{g=c[x>>2]|0;H=c[w>>2]|0;I=g;J=g}g=I+(H<<2)|0;E=c[e>>2]|0;if((J|0)==(g|0)){K=E}else{L=(I+(H-1<<2)+(-J|0)|0)>>>2;M=E;N=J;while(1){c[M>>2]=c[N>>2];O=N+4|0;if((O|0)==(g|0)){break}M=M+4|0;N=O}K=E+(L+1<<2)|0}c[e>>2]=K;G=D;break};case 3:{N=a[s]|0;M=(N&1)==0;if(M){P=(N&255)>>>1}else{P=c[t>>2]|0}if((P|0)==0){G=D;break a}if(M){Q=t}else{Q=c[u>>2]|0}M=c[Q>>2]|0;N=c[e>>2]|0;c[e>>2]=N+4;c[N>>2]=M;G=D;break};case 1:{c[d>>2]=c[e>>2];M=ce[c[(c[r>>2]|0)+44>>2]&127](i,32)|0;N=c[e>>2]|0;c[e>>2]=N+4;c[N>>2]=M;G=D;break};case 0:{c[d>>2]=c[e>>2];G=D;break};case 4:{M=c[e>>2]|0;N=j?D+4|0:D;g=N;while(1){if(!(g>>>0<h>>>0)){break}if(Vd[c[(c[o>>2]|0)+12>>2]&127](i,2048,c[g>>2]|0)|0){g=g+4|0}else{break}}if(y){do{if(g>>>0>N>>>0){L=g;E=q;O=c[e>>2]|0;while(1){R=L-4|0;S=O+4|0;c[O>>2]=c[R>>2];T=E-1|0;U=(T|0)>0;if(R>>>0>N>>>0&U){L=R;E=T;O=S}else{break}}c[e>>2]=S;if(U){V=T;W=R;X=34;break}O=c[e>>2]|0;c[e>>2]=O+4;Y=O;Z=R}else{V=q;W=g;X=34}}while(0);do{if((X|0)==34){X=0;O=ce[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;E=c[e>>2]|0;L=E+4|0;c[e>>2]=L;if((V|0)>0){_=V;$=E;aa=L}else{Y=E;Z=W;break}while(1){c[$>>2]=O;L=_-1|0;if((L|0)>0){_=L;$=aa;aa=aa+4|0}else{break}}c[e>>2]=E+(V+1<<2);Y=E+(V<<2)|0;Z=W}}while(0);c[Y>>2]=l;ba=Z}else{ba=g}if((ba|0)==(N|0)){O=ce[c[(c[r>>2]|0)+44>>2]&127](i,48)|0;L=c[e>>2]|0;ca=L+4|0;c[e>>2]=ca;c[L>>2]=O;da=ca}else{ca=a[z]|0;O=(ca&1)==0;if(O){ea=(ca&255)>>>1}else{ea=c[C>>2]|0}if((ea|0)==0){fa=ba;ga=0;ha=0;ia=-1}else{if(O){ja=A}else{ja=c[B>>2]|0}fa=ba;ga=0;ha=0;ia=a[ja]|0}while(1){do{if((ga|0)==(ia|0)){O=c[e>>2]|0;c[e>>2]=O+4;c[O>>2]=m;O=ha+1|0;ca=a[z]|0;L=(ca&1)==0;if(L){ka=(ca&255)>>>1}else{ka=c[C>>2]|0}if(!(O>>>0<ka>>>0)){la=ia;ma=O;na=0;break}if(L){oa=A}else{oa=c[B>>2]|0}if((a[oa+O|0]|0)==127){la=-1;ma=O;na=0;break}if(L){pa=A}else{pa=c[B>>2]|0}la=a[pa+O|0]|0;ma=O;na=0}else{la=ia;ma=ha;na=ga}}while(0);E=fa-4|0;O=c[E>>2]|0;L=c[e>>2]|0;c[e>>2]=L+4;c[L>>2]=O;if((E|0)==(N|0)){break}else{fa=E;ga=na+1|0;ha=ma;ia=la}}da=c[e>>2]|0}if((M|0)==(da|0)){G=N;break a}g=da-4|0;if(g>>>0>M>>>0){qa=M;ra=g}else{G=N;break a}while(1){g=c[qa>>2]|0;c[qa>>2]=c[ra>>2];c[ra>>2]=g;g=qa+4|0;E=ra-4|0;if(g>>>0<E>>>0){qa=g;ra=E}else{G=N;break}}break};default:{G=D}}}while(0);N=n+1|0;if(N>>>0<4>>>0){n=N;D=G}else{break}}G=a[s]|0;s=(G&1)==0;if(s){sa=(G&255)>>>1}else{sa=c[t>>2]|0}if(sa>>>0>1>>>0){if(s){ta=(G&255)>>>1;ua=t;va=t}else{G=c[u>>2]|0;ta=c[t>>2]|0;ua=G;va=G}G=va+4|0;va=ua+(ta<<2)|0;t=c[e>>2]|0;if((G|0)==(va|0)){wa=t}else{u=(ua+(ta-1<<2)+(-G|0)|0)>>>2;ta=t;ua=G;while(1){c[ta>>2]=c[ua>>2];G=ua+4|0;if((G|0)==(va|0)){break}else{ta=ta+4|0;ua=G}}wa=t+(u+1<<2)|0}c[e>>2]=wa}wa=f&176;if((wa|0)==32){c[d>>2]=c[e>>2];return}else if((wa|0)==16){return}else{c[d>>2]=b;return}}function tU(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+528|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+504|0;v=d+512|0;w=d+520|0;$O(l,g);x=l|0;y=c[x>>2]|0;if(!((c[413550]|0)==-1)){c[k>>2]=1654200;c[k+4>>2]=16;c[k+8>>2]=0;QN(1654200,k,124)}k=(c[413551]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+4|0}else{H=c[j+8>>2]|0}E=c[H>>2]|0;G=(E|0)==(ce[c[(c[A>>2]|0)+44>>2]&127](B,45)|0)}NY(p|0,0,12)|0;A=q;NY(A|0,0,12)|0;E=r;NY(E|0,0,12)|0;rU(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=iY(J<<2)|0;E=A;if((A|0)!=0){S=E;T=E;U=I;break}vY();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+4|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}sU(S,u,v,c[g+4>>2]|0,W,W+(V<<2)|0,B,G,m,c[n>>2]|0,c[o>>2]|0,p,q,r,L);c[w>>2]=c[e>>2];lS(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){HO(r);HO(q);dO(p);X=c[x>>2]|0;Y=X|0;Z=vN(Y)|0;i=d;return}jY(T);HO(r);HO(q);dO(p);X=c[x>>2]|0;Y=X|0;Z=vN(Y)|0;i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function uU(a){a=a|0;tN(a|0);qY(a);return}function vU(a){a=a|0;tN(a|0);return}function wU(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Cd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function xU(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;d=i;i=i+16|0;j=d|0;k=j;NY(k|0,0,12)|0;l=a[h]|0;if((l&1)==0){m=(l&255)>>>1;n=h+1|0;o=h+1|0}else{l=c[h+8>>2]|0;m=c[h+4>>2]|0;n=l;o=l}l=o+m|0;do{if(n>>>0<l>>>0){m=n;do{vO(j,a[m]|0);m=m+1|0;}while(m>>>0<l>>>0);m=(e|0)==-1?-1:e<<1;if((a[k]&1)==0){p=m;q=10;break}r=c[j+8>>2]|0;s=m}else{p=(e|0)==-1?-1:e<<1;q=10}}while(0);if((q|0)==10){r=j+1|0;s=p}p=Ub(s|0,f|0,g|0,r|0)|0;NY(b|0,0,12)|0;r=KY(p|0)|0;g=p+r|0;if((r|0)>0){t=p}else{dO(j);i=d;return}do{vO(b,a[t]|0);t=t+1|0;}while(t>>>0<g>>>0);dO(j);i=d;return}function yU(a,b){a=a|0;b=b|0;Yc(((b|0)==-1?-1:b<<1)|0)|0;return}function zU(a){a=a|0;tN(a|0);qY(a);return}function AU(a){a=a|0;tN(a|0);return}function BU(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((a[d]&1)==0){f=d+1|0}else{f=c[d+8>>2]|0}d=Cd(f|0,1)|0;return d>>>(((d|0)!=-1|0)>>>0)|0}function CU(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;d=i;i=i+240|0;j=d|0;k=d+8|0;l=d+40|0;m=d+48|0;n=d+56|0;o=d+64|0;p=d+192|0;q=d+200|0;r=d+208|0;s=d+224|0;t=d+232|0;u=r;NY(u|0,0,12)|0;c[s+4>>2]=0;c[s>>2]=1615112;v=a[h]|0;if((v&1)==0){w=(v&255)>>>1;x=h+4|0;y=h+4|0}else{v=c[h+8>>2]|0;w=c[h+4>>2]|0;x=v;y=v}v=y+(w<<2)|0;w=k|0;a:do{if(x>>>0<v>>>0){y=s|0;h=s;z=k+32|0;A=x;B=1615112;while(1){c[m>>2]=A;C=(ie[c[B+12>>2]&31](y,j,A,v,m,w,z,l)|0)==2;D=c[m>>2]|0;if(C|(D|0)==(A|0)){break}if(w>>>0<(c[l>>2]|0)>>>0){C=w;do{vO(r,a[C]|0);C=C+1|0;}while(C>>>0<(c[l>>2]|0)>>>0);E=c[m>>2]|0}else{E=D}if(!(E>>>0<v>>>0)){break a}A=E;B=c[h>>2]|0}XT(65488)}}while(0);tN(s|0);if((a[u]&1)==0){F=r+1|0}else{F=c[r+8>>2]|0}u=Ub(((e|0)==-1?-1:e<<1)|0,f|0,g|0,F|0)|0;NY(b|0,0,12)|0;c[t+4>>2]=0;c[t>>2]=1615056;F=KY(u|0)|0;g=u+F|0;if((F|0)<=0){G=t|0;tN(G);dO(r);i=d;return}F=t|0;f=t;e=g;s=o|0;E=o+128|0;o=u;u=1615056;while(1){c[q>>2]=o;v=(ie[c[u+16>>2]&31](F,n,o,(e-o|0)>32?o+32|0:g,q,s,E,p)|0)==2;m=c[q>>2]|0;if(v|(m|0)==(o|0)){break}if(s>>>0<(c[p>>2]|0)>>>0){v=s;do{LO(b,c[v>>2]|0);v=v+4|0;}while(v>>>0<(c[p>>2]|0)>>>0);H=c[q>>2]|0}else{H=m}if(!(H>>>0<g>>>0)){I=37;break}o=H;u=c[f>>2]|0}if((I|0)==37){G=t|0;tN(G);dO(r);i=d;return}XT(65488)}function DU(a,b){a=a|0;b=b|0;Yc(((b|0)==-1?-1:b<<1)|0)|0;return}function EU(b){b=b|0;var d=0,e=0,f=0;c[b>>2]=1614528;d=b+8|0;e=c[d>>2]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((e|0)==(c[413194]|0)){f=b|0;tN(f);return}Tb(c[d>>2]|0);f=b|0;tN(f);return}function FU(a){a=a|0;a=xd(8)|0;wN(a,1592352);c[a>>2]=1613440;tc(a|0,1619784,46)}function GU(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;e=i;i=i+448|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+64|0;l=e+80|0;m=e+96|0;n=e+112|0;o=e+128|0;p=e+144|0;q=e+160|0;r=e+176|0;s=e+192|0;t=e+208|0;u=e+224|0;v=e+240|0;w=e+256|0;x=e+272|0;y=e+288|0;z=e+304|0;A=e+320|0;B=e+336|0;C=e+352|0;D=e+368|0;E=e+384|0;F=e+400|0;G=e+416|0;H=e+432|0;c[b+4>>2]=d-1;c[b>>2]=1614784;d=b+8|0;I=b+12|0;J=b+136|0;a[J]=1;K=b+24|0;c[I>>2]=K;c[d>>2]=K;c[b+16>>2]=J;J=28;L=K;do{if((L|0)==0){M=0}else{c[L>>2]=0;M=c[I>>2]|0}L=M+4|0;c[I>>2]=L;J=J-1|0;}while((J|0)!=0);XN(b+144|0,1591120,1);J=c[d>>2]|0;d=c[I>>2]|0;if((d|0)!=(J|0)){c[I>>2]=d+(~((d-4+(-J|0)|0)>>>2)<<2)}c[413227]=0;c[413226]=1614488;if(!((c[413472]|0)==-1)){c[G>>2]=1653888;c[G+4>>2]=16;c[G+8>>2]=0;QN(1653888,G,124)}HU(b,1652904,(c[413473]|0)-1|0);c[413225]=0;c[413224]=1614448;if(!((c[413470]|0)==-1)){c[F>>2]=1653880;c[F+4>>2]=16;c[F+8>>2]=0;QN(1653880,F,124)}HU(b,1652896,(c[413471]|0)-1|0);c[413277]=0;c[413276]=1614896;c[413278]=0;a[1653116]=0;c[413278]=c[(fb()|0)>>2];if(!((c[413552]|0)==-1)){c[E>>2]=1654208;c[E+4>>2]=16;c[E+8>>2]=0;QN(1654208,E,124)}HU(b,1653104,(c[413553]|0)-1|0);c[413275]=0;c[413274]=1614816;if(!((c[413550]|0)==-1)){c[D>>2]=1654200;c[D+4>>2]=16;c[D+8>>2]=0;QN(1654200,D,124)}HU(b,1653096,(c[413551]|0)-1|0);c[413229]=0;c[413228]=1614584;if(!((c[413476]|0)==-1)){c[C>>2]=1653904;c[C+4>>2]=16;c[C+8>>2]=0;QN(1653904,C,124)}HU(b,1652912,(c[413477]|0)-1|0);c[403247]=0;c[403246]=1614528;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);c[403248]=c[413194];if(!((c[413474]|0)==-1)){c[B>>2]=1653896;c[B+4>>2]=16;c[B+8>>2]=0;QN(1653896,B,124)}HU(b,1612984,(c[413475]|0)-1|0);c[413231]=0;c[413230]=1614640;if(!((c[413478]|0)==-1)){c[A>>2]=1653912;c[A+4>>2]=16;c[A+8>>2]=0;QN(1653912,A,124)}HU(b,1652920,(c[413479]|0)-1|0);c[413233]=0;c[413232]=1614696;if(!((c[413480]|0)==-1)){c[z>>2]=1653920;c[z+4>>2]=16;c[z+8>>2]=0;QN(1653920,z,124)}HU(b,1652928,(c[413481]|0)-1|0);c[413207]=0;c[413206]=1613992;a[1652832]=46;a[1652833]=44;NY(1652836,0,12)|0;if(!((c[413456]|0)==-1)){c[y>>2]=1653824;c[y+4>>2]=16;c[y+8>>2]=0;QN(1653824,y,124)}HU(b,1652824,(c[413457]|0)-1|0);c[403239]=0;c[403238]=1613944;c[403240]=46;c[403241]=44;NY(1612968,0,12)|0;if(!((c[413454]|0)==-1)){c[x>>2]=1653816;c[x+4>>2]=16;c[x+8>>2]=0;QN(1653816,x,124)}HU(b,1612952,(c[413455]|0)-1|0);c[413223]=0;c[413222]=1614376;if(!((c[413468]|0)==-1)){c[w>>2]=1653872;c[w+4>>2]=16;c[w+8>>2]=0;QN(1653872,w,124)}HU(b,1652888,(c[413469]|0)-1|0);c[413221]=0;c[413220]=1614304;if(!((c[413466]|0)==-1)){c[v>>2]=1653864;c[v+4>>2]=16;c[v+8>>2]=0;QN(1653864,v,124)}HU(b,1652880,(c[413467]|0)-1|0);c[413219]=0;c[413218]=1614240;if(!((c[413464]|0)==-1)){c[u>>2]=1653856;c[u+4>>2]=16;c[u+8>>2]=0;QN(1653856,u,124)}HU(b,1652872,(c[413465]|0)-1|0);c[413217]=0;c[413216]=1614176;if(!((c[413462]|0)==-1)){c[t>>2]=1653848;c[t+4>>2]=16;c[t+8>>2]=0;QN(1653848,t,124)}HU(b,1652864,(c[413463]|0)-1|0);c[413287]=0;c[413286]=1616112;if(!((c[413672]|0)==-1)){c[s>>2]=1654688;c[s+4>>2]=16;c[s+8>>2]=0;QN(1654688,s,124)}HU(b,1653144,(c[413673]|0)-1|0);c[413285]=0;c[413284]=1616048;if(!((c[413670]|0)==-1)){c[r>>2]=1654680;c[r+4>>2]=16;c[r+8>>2]=0;QN(1654680,r,124)}HU(b,1653136,(c[413671]|0)-1|0);c[413283]=0;c[413282]=1615984;if(!((c[413668]|0)==-1)){c[q>>2]=1654672;c[q+4>>2]=16;c[q+8>>2]=0;QN(1654672,q,124)}HU(b,1653128,(c[413669]|0)-1|0);c[413281]=0;c[413280]=1615920;if(!((c[413666]|0)==-1)){c[p>>2]=1654664;c[p+4>>2]=16;c[p+8>>2]=0;QN(1654664,p,124)}HU(b,1653120,(c[413667]|0)-1|0);c[413205]=0;c[413204]=1613624;if(!((c[413444]|0)==-1)){c[o>>2]=1653776;c[o+4>>2]=16;c[o+8>>2]=0;QN(1653776,o,124)}HU(b,1652816,(c[413445]|0)-1|0);c[413203]=0;c[413202]=1613584;if(!((c[413442]|0)==-1)){c[n>>2]=1653768;c[n+4>>2]=16;c[n+8>>2]=0;QN(1653768,n,124)}HU(b,1652808,(c[413443]|0)-1|0);c[413201]=0;c[413200]=1613544;if(!((c[413440]|0)==-1)){c[m>>2]=1653760;c[m+4>>2]=16;c[m+8>>2]=0;QN(1653760,m,124)}HU(b,1652800,(c[413441]|0)-1|0);c[413199]=0;c[413198]=1613504;if(!((c[413438]|0)==-1)){c[l>>2]=1653752;c[l+4>>2]=16;c[l+8>>2]=0;QN(1653752,l,124)}HU(b,1652792,(c[413439]|0)-1|0);c[403235]=0;c[403234]=1613848;c[403236]=1613896;if(!((c[413452]|0)==-1)){c[k>>2]=1653808;c[k+4>>2]=16;c[k+8>>2]=0;QN(1653808,k,124)}HU(b,1612936,(c[413453]|0)-1|0);c[403231]=0;c[403230]=1613752;c[403232]=1613800;if(!((c[413450]|0)==-1)){c[j>>2]=1653800;c[j+4>>2]=16;c[j+8>>2]=0;QN(1653800,j,124)}HU(b,1612920,(c[413451]|0)-1|0);c[403227]=0;c[403226]=1614752;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);c[403228]=c[413194];c[403226]=1613720;if(!((c[413448]|0)==-1)){c[h>>2]=1653792;c[h+4>>2]=16;c[h+8>>2]=0;QN(1653792,h,124)}HU(b,1612904,(c[413449]|0)-1|0);c[403223]=0;c[403222]=1614752;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);c[403224]=c[413194];c[403222]=1613688;if(!((c[413446]|0)==-1)){c[g>>2]=1653784;c[g+4>>2]=16;c[g+8>>2]=0;QN(1653784,g,124)}HU(b,1612888,(c[413447]|0)-1|0);c[413215]=0;c[413214]=1614080;if(!((c[413460]|0)==-1)){c[f>>2]=1653840;c[f+4>>2]=16;c[f+8>>2]=0;QN(1653840,f,124)}HU(b,1652856,(c[413461]|0)-1|0);c[413213]=0;c[413212]=1614040;if(!((c[413458]|0)==-1)){c[H>>2]=1653832;c[H+4>>2]=16;c[H+8>>2]=0;QN(1653832,H,124)}HU(b,1652848,(c[413459]|0)-1|0);i=e;return}function HU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;uN(b|0);e=a+8|0;f=a+12|0;a=c[f>>2]|0;g=e|0;h=c[g>>2]|0;i=a-h>>2;do{if(i>>>0>d>>>0){j=h}else{k=d+1|0;if(i>>>0<k>>>0){MW(e,k-i|0);j=c[g>>2]|0;break}if(!(i>>>0>k>>>0)){j=h;break}l=h+(k<<2)|0;if((a|0)==(l|0)){j=h;break}c[f>>2]=a+(~((a-4+(-l|0)|0)>>>2)<<2);j=h}}while(0);h=c[j+(d<<2)>>2]|0;if((h|0)==0){m=j;n=m+(d<<2)|0;c[n>>2]=b;return}vN(h|0)|0;m=c[g>>2]|0;n=m+(d<<2)|0;c[n>>2]=b;return}function IU(a){a=a|0;JU(a);qY(a);return}function JU(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;c[b>>2]=1614784;d=b+12|0;e=c[d>>2]|0;f=b+8|0;g=c[f>>2]|0;if((e|0)!=(g|0)){h=0;i=g;g=e;while(1){e=c[i+(h<<2)>>2]|0;if((e|0)==0){j=g;k=i}else{vN(e|0)|0;j=c[d>>2]|0;k=c[f>>2]|0}e=h+1|0;if(e>>>0<j-k>>2>>>0){h=e;i=k;g=j}else{break}}}dO(b+144|0);j=c[f>>2]|0;if((j|0)==0){l=b|0;tN(l);return}f=c[d>>2]|0;if((f|0)!=(j|0)){c[d>>2]=f+(~((f-4+(-j|0)|0)>>>2)<<2)}if((b+24|0)==(j|0)){a[b+136|0]=0;l=b|0;tN(l);return}else{qY(j);l=b|0;tN(l);return}}function KU(){var b=0,d=0;if((a[1654752]|0)!=0){b=c[413186]|0;return b|0}if(($b(1654752)|0)==0){b=c[413186]|0;return b|0}do{if((a[1654760]|0)==0){if(($b(1654760)|0)==0){break}GU(1652936,1);c[413190]=1652936;c[413188]=1652760}}while(0);d=c[c[413188]>>2]|0;c[413192]=d;uN(d|0);c[413186]=1652768;b=c[413186]|0;return b|0}function LU(a){a=a|0;var b=0;b=c[(KU()|0)>>2]|0;c[a>>2]=b;uN(b|0);return}function MU(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;uN(d|0);return}function NU(a){a=a|0;vN(c[a>>2]|0)|0;return}function OU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=16;c[e+8>>2]=0;QN(a,e,124)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=0;i=d;return g|0}g=(c[b+(e<<2)>>2]|0)!=0;i=d;return g|0}function PU(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;i=i+16|0;e=d|0;f=c[a>>2]|0;a=b|0;if(!((c[a>>2]|0)==-1)){c[e>>2]=b;c[e+4>>2]=16;c[e+8>>2]=0;QN(a,e,124)}e=(c[b+4>>2]|0)-1|0;b=c[f+8>>2]|0;if(!((c[f+12>>2]|0)-b>>2>>>0>e>>>0)){g=xd(4)|0;h=g;PX(h);tc(g|0,1619736,180);return 0}f=c[b+(e<<2)>>2]|0;if((f|0)==0){g=xd(4)|0;h=g;PX(h);tc(g|0,1619736,180);return 0}else{i=d;return f|0}return 0}function QU(a){a=a|0;tN(a|0);qY(a);return}function RU(a){a=a|0;if((a|0)==0){return}Qd[c[(c[a>>2]|0)+4>>2]&511](a);return}function SU(a){a=a|0;c[a+4>>2]=(I=c[413482]|0,c[413482]=I+1,I)+1;return}function TU(a){a=a|0;tN(a|0);qY(a);return}function UU(a,d,e){a=a|0;d=d|0;e=e|0;var f=0;if(!(e>>>0<128>>>0)){f=0;return f|0}f=(b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16!=0;return f|0}function VU(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){f=c[h>>2]|0;if(f>>>0<128>>>0){j=b[(c[(fb()|0)>>2]|0)+(f<<1)>>1]|0}else{j=0}b[i>>1]=j;f=h+4|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+2|0}}return g|0}function WU(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((e|0)==(f|0)){g=e;return g|0}else{h=e}while(1){e=c[h>>2]|0;if(e>>>0<128>>>0){if(!((b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0)){g=h;i=7;break}}e=h+4|0;if((e|0)==(f|0)){g=f;i=7;break}else{h=e}}if((i|0)==7){return g|0}return 0}function XU(a,d,e,f){a=a|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;a=e;while(1){if((a|0)==(f|0)){g=f;h=7;break}e=c[a>>2]|0;if(!(e>>>0<128>>>0)){g=a;h=7;break}if((b[(c[(fb()|0)>>2]|0)+(e<<1)>>1]&d)<<16>>16==0){g=a;h=7;break}else{a=a+4|0}}if((h|0)==7){return g|0}return 0}function YU(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Dd()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function ZU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Dd()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function _U(a,b){a=a|0;b=b|0;var d=0;if(!(b>>>0<128>>>0)){d=b;return d|0}d=c[(c[(Ed()|0)>>2]|0)+(b<<2)>>2]|0;return d|0}function $U(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((b|0)==(d|0)){e=b;return e|0}else{f=b}while(1){b=c[f>>2]|0;if(b>>>0<128>>>0){g=c[(c[(Ed()|0)>>2]|0)+(b<<2)>>2]|0}else{g=b}c[f>>2]=g;b=f+4|0;if((b|0)==(d|0)){e=d;break}else{f=b}}return e|0}function aV(a,b){a=a|0;b=b|0;return b<<24>>24|0}function bV(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((d|0)==(e|0)){g=d;return g|0}else{h=d;i=f}while(1){c[i>>2]=a[h]|0;f=h+1|0;if((f|0)==(e|0)){g=e;break}else{h=f;i=i+4|0}}return g|0}function cV(a,b,c){a=a|0;b=b|0;c=c|0;return(b>>>0<128>>>0?b&255:c)|0}function dV(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0;if((d|0)==(e|0)){h=d;return h|0}b=((e-4+(-d|0)|0)>>>2)+1|0;i=d;j=g;while(1){g=c[i>>2]|0;a[j]=g>>>0<128>>>0?g&255:f;g=i+4|0;if((g|0)==(e|0)){break}else{i=g;j=j+1|0}}h=d+(b<<2)|0;return h|0}function eV(b){b=b|0;var d=0;c[b>>2]=1614896;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}rY(d)}}while(0);tN(b|0);qY(b);return}function fV(b){b=b|0;var d=0;c[b>>2]=1614896;d=c[b+8>>2]|0;do{if((d|0)!=0){if((a[b+12|0]|0)==0){break}rY(d)}}while(0);tN(b|0);return}function gV(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Dd()|0)>>2]|0)+((b&255)<<2)>>2]&255;return d|0}function hV(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Dd()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function iV(a,b){a=a|0;b=b|0;var d=0;if(b<<24>>24<0){d=b;return d|0}d=c[(c[(Ed()|0)>>2]|0)+(b<<24>>24<<2)>>2]&255;return d|0}function jV(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((d|0)==(e|0)){f=d;return f|0}else{g=d}while(1){d=a[g]|0;if(d<<24>>24<0){h=d}else{h=c[(c[(Ed()|0)>>2]|0)+(d<<24>>24<<2)>>2]&255}a[g]=h;d=g+1|0;if((d|0)==(e|0)){f=e;break}else{g=d}}return f|0}function kV(a,b){a=a|0;b=b|0;return b|0}function lV(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;if((c|0)==(d|0)){f=c;return f|0}else{g=c;h=e}while(1){a[h]=a[g]|0;e=g+1|0;if((e|0)==(d|0)){f=d;break}else{g=e;h=h+1|0}}return f|0}function mV(a,b,c){a=a|0;b=b|0;c=c|0;return(b<<24>>24<0?c:b)|0}function nV(b,c,d,e,f){b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;if((c|0)==(d|0)){g=c;return g|0}else{h=c;i=f}while(1){f=a[h]|0;a[i]=f<<24>>24<0?e:f;f=h+1|0;if((f|0)==(d|0)){g=d;break}else{h=f;i=i+1|0}}return g|0}function oV(a){a=a|0;tN(a|0);qY(a);return}function pV(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function qV(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;c[f>>2]=d;c[i>>2]=g;return 3}function rV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function sV(a){a=a|0;return 1}function tV(a){a=a|0;return 1}function uV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;b=d-c|0;return(b>>>0<e>>>0?b:e)|0}function vV(a){a=a|0;return 1}function wV(a){a=a|0;EU(a);qY(a);return}function xV(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;l=i;i=i+8|0;m=l|0;n=m;o=i;i=i+4|0;i=i+7&-8;p=e;while(1){if((p|0)==(f|0)){q=f;break}if((c[p>>2]|0)==0){q=p;break}else{p=p+4|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){r=e}else{p=d;s=j;t=b+8|0;u=o|0;v=h;w=e;x=q;while(1){y=c[p+4>>2]|0;c[m>>2]=c[p>>2];c[m+4>>2]=y;y=cd(c[t>>2]|0)|0;z=oX(v,g,x-w>>2,s-v|0,d)|0;if((y|0)!=0){cd(y|0)|0}if((z|0)==(-1|0)){A=15;break}else if((z|0)==0){B=1;A=50;break}y=(c[k>>2]|0)+z|0;c[k>>2]=y;if((y|0)==(j|0)){A=48;break}if((x|0)==(f|0)){C=f;D=y;E=c[g>>2]|0}else{y=cd(c[t>>2]|0)|0;z=nX(u,0,d)|0;if((y|0)!=0){cd(y|0)|0}if((z|0)==-1){B=2;A=50;break}y=c[k>>2]|0;if(z>>>0>(s-y|0)>>>0){B=1;A=50;break}b:do{if((z|0)!=0){F=z;G=u;H=y;while(1){I=a[G]|0;c[k>>2]=H+1;a[H]=I;I=F-1|0;if((I|0)==0){break b}F=I;G=G+1|0;H=c[k>>2]|0}}}while(0);y=(c[g>>2]|0)+4|0;c[g>>2]=y;z=y;while(1){if((z|0)==(f|0)){J=f;break}if((c[z>>2]|0)==0){J=z;break}else{z=z+4|0}}C=J;D=c[k>>2]|0;E=y}if((E|0)==(f|0)|(D|0)==(j|0)){r=E;break a}else{v=D;w=E;x=C}}if((A|0)==15){c[k>>2]=v;c:do{if((w|0)==(c[g>>2]|0)){K=w}else{x=w;u=v;while(1){s=c[x>>2]|0;p=cd(c[t>>2]|0)|0;z=nX(u,s,n)|0;if((p|0)!=0){cd(p|0)|0}if((z|0)==-1){K=x;break c}p=(c[k>>2]|0)+z|0;c[k>>2]=p;z=x+4|0;if((z|0)==(c[g>>2]|0)){K=z;break}else{x=z;u=p}}}}while(0);c[g>>2]=K;B=2;i=l;return B|0}else if((A|0)==48){r=c[g>>2]|0;break}else if((A|0)==50){i=l;return B|0}}}while(0);B=(r|0)!=(f|0)|0;i=l;return B|0}function yV(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;l=i;i=i+8|0;m=l|0;n=m;o=e;while(1){if((o|0)==(f|0)){p=f;break}if((a[o]|0)==0){p=o;break}else{o=o+1|0}}c[k>>2]=h;c[g>>2]=e;a:do{if((e|0)==(f|0)|(h|0)==(j|0)){q=e}else{o=d;r=j;s=b+8|0;t=h;u=e;v=p;while(1){w=c[o+4>>2]|0;c[m>>2]=c[o>>2];c[m+4>>2]=w;x=v;w=cd(c[s>>2]|0)|0;y=kX(t,g,x-u|0,r-t>>2,d)|0;if((w|0)!=0){cd(w|0)|0}if((y|0)==(-1|0)){z=15;break}else if((y|0)==0){A=2;z=49;break}w=(c[k>>2]|0)+(y<<2)|0;c[k>>2]=w;if((w|0)==(j|0)){z=47;break}y=c[g>>2]|0;if((v|0)==(f|0)){B=f;C=w;D=y}else{E=cd(c[s>>2]|0)|0;F=jX(w,y,1,d)|0;if((E|0)!=0){cd(E|0)|0}if((F|0)!=0){A=2;z=49;break}c[k>>2]=(c[k>>2]|0)+4;F=(c[g>>2]|0)+1|0;c[g>>2]=F;E=F;while(1){if((E|0)==(f|0)){G=f;break}if((a[E]|0)==0){G=E;break}else{E=E+1|0}}B=G;C=c[k>>2]|0;D=F}if((D|0)==(f|0)|(C|0)==(j|0)){q=D;break a}else{t=C;u=D;v=B}}if((z|0)==15){c[k>>2]=t;b:do{if((u|0)==(c[g>>2]|0)){H=u}else{v=t;r=u;while(1){o=cd(c[s>>2]|0)|0;E=jX(v,r,x-r|0,n)|0;if((o|0)!=0){cd(o|0)|0}if((E|0)==0){I=r+1|0}else if((E|0)==(-1|0)){z=26;break}else if((E|0)==(-2|0)){z=27;break}else{I=r+E|0}E=(c[k>>2]|0)+4|0;c[k>>2]=E;if((I|0)==(c[g>>2]|0)){H=I;break b}else{v=E;r=I}}if((z|0)==26){c[g>>2]=r;A=2;i=l;return A|0}else if((z|0)==27){c[g>>2]=r;A=1;i=l;return A|0}}}while(0);c[g>>2]=H;A=(H|0)!=(f|0)|0;i=l;return A|0}else if((z|0)==47){q=c[g>>2]|0;break}else if((z|0)==49){i=l;return A|0}}}while(0);A=(q|0)!=(f|0)|0;i=l;return A|0}function zV(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;i=i+8|0;c[g>>2]=e;e=h|0;j=cd(c[b+8>>2]|0)|0;b=nX(e,0,d)|0;if((j|0)!=0){cd(j|0)|0}if((b|0)==(-1|0)|(b|0)==0){k=2;i=h;return k|0}j=b-1|0;b=c[g>>2]|0;if(j>>>0>(f-b|0)>>>0){k=1;i=h;return k|0}if((j|0)==0){k=0;i=h;return k|0}else{l=j;m=e;n=b}while(1){b=a[m]|0;c[g>>2]=n+1;a[n]=b;b=l-1|0;if((b|0)==0){k=0;break}l=b;m=m+1|0;n=c[g>>2]|0}i=h;return k|0}function AV(a){a=a|0;var b=0,d=0,e=0;b=a+8|0;a=cd(c[b>>2]|0)|0;d=mX(0,0,4)|0;if((a|0)!=0){cd(a|0)|0}if((d|0)!=0){e=-1;return e|0}d=c[b>>2]|0;if((d|0)==0){e=1;return e|0}b=cd(d|0)|0;if((b|0)==0){e=0;return e|0}cd(b|0)|0;e=0;return e|0}function BV(a){a=a|0;return 0}function CV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if((f|0)==0|(d|0)==(e|0)){g=0;return g|0}h=e;i=a+8|0;a=d;d=0;j=0;while(1){k=cd(c[i>>2]|0)|0;l=iX(a,h-a|0,b)|0;if((k|0)!=0){cd(k|0)|0}if((l|0)==(-1|0)|(l|0)==(-2|0)){g=d;m=15;break}else if((l|0)==0){n=1;o=a+1|0}else{n=l;o=a+l|0}l=n+d|0;k=j+1|0;if(k>>>0>=f>>>0|(o|0)==(e|0)){g=l;m=15;break}else{a=o;d=l;j=k}}if((m|0)==15){return g|0}return 0}function DV(a){a=a|0;var b=0,d=0;b=c[a+8>>2]|0;do{if((b|0)==0){d=1}else{a=cd(b|0)|0;if((a|0)==0){d=4;break}cd(a|0)|0;d=4}}while(0);return d|0}function EV(a){a=a|0;tN(a|0);qY(a);return}function FV(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=GV(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>1<<1);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function GV(d,f,g,h,i,j,k,l){d=d|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;c[g>>2]=d;c[j>>2]=h;do{if((l&2|0)!=0){if((i-h|0)<3){m=1;return m|0}else{c[j>>2]=h+1;a[h]=-17;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-69;d=c[j>>2]|0;c[j>>2]=d+1;a[d]=-65;break}}}while(0);h=f;l=c[g>>2]|0;if(!(l>>>0<f>>>0)){m=0;return m|0}d=i;i=l;a:while(1){l=b[i>>1]|0;n=l&65535;if(n>>>0>k>>>0){m=2;o=26;break}do{if((l&65535)>>>0<128>>>0){p=c[j>>2]|0;if((d-p|0)<1){m=1;o=26;break a}c[j>>2]=p+1;a[p]=l}else{if((l&65535)>>>0<2048>>>0){p=c[j>>2]|0;if((d-p|0)<2){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>6|192;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((l&65535)>>>0<55296>>>0){p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if(!((l&65535)>>>0<56320>>>0)){if((l&65535)>>>0<57344>>>0){m=2;o=26;break a}p=c[j>>2]|0;if((d-p|0)<3){m=1;o=26;break a}c[j>>2]=p+1;a[p]=n>>>12|224;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n>>>6&63|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n&63|128;break}if((h-i|0)<4){m=1;o=26;break a}p=i+2|0;q=e[p>>1]|0;if((q&64512|0)!=56320){m=2;o=26;break a}if((d-(c[j>>2]|0)|0)<4){m=1;o=26;break a}r=n&960;if(((r<<10)+65536|n<<10&64512|q&1023)>>>0>k>>>0){m=2;o=26;break a}c[g>>2]=p;p=(r>>>6)+1|0;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=p>>>2|240;r=c[j>>2]|0;c[j>>2]=r+1;a[r]=n>>>2&15|p<<4&48|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=n<<4&48|q>>>6&15|128;p=c[j>>2]|0;c[j>>2]=p+1;a[p]=q&63|128}}while(0);n=(c[g>>2]|0)+2|0;c[g>>2]=n;if(n>>>0<f>>>0){i=n}else{m=0;o=26;break}}if((o|0)==26){return m|0}return 0}function HV(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=IV(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>1<<1);i=b;return l|0}function IV(e,f,g,h,i,j,k,l){e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;c[g>>2]=e;c[j>>2]=h;h=c[g>>2]|0;do{if((l&4|0)==0){m=h}else{if((f-h|0)<=2){m=h;break}if(!((a[h]|0)==-17)){m=h;break}if(!((a[h+1|0]|0)==-69)){m=h;break}if(!((a[h+2|0]|0)==-65)){m=h;break}e=h+3|0;c[g>>2]=e;m=e}}while(0);a:do{if(m>>>0<f>>>0){h=f;l=i;e=c[j>>2]|0;n=m;b:while(1){if(!(e>>>0<i>>>0)){o=n;break a}p=a[n]|0;q=p&255;if(q>>>0>k>>>0){r=2;s=41;break}do{if(p<<24>>24>-1){b[e>>1]=p&255;c[g>>2]=n+1}else{if((p&255)>>>0<194>>>0){r=2;s=41;break b}if((p&255)>>>0<224>>>0){if((h-n|0)<2){r=1;s=41;break b}t=d[n+1|0]|0;if((t&192|0)!=128){r=2;s=41;break b}u=t&63|q<<6&1984;if(u>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=u;c[g>>2]=n+2;break}if((p&255)>>>0<240>>>0){if((h-n|0)<3){r=1;s=41;break b}u=a[n+1|0]|0;t=a[n+2|0]|0;if((q|0)==224){if(!((u&-32)<<24>>24==-96)){r=2;s=41;break b}}else if((q|0)==237){if(!((u&-32)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((u&-64)<<24>>24==-128)){r=2;s=41;break b}}v=t&255;if((v&192|0)!=128){r=2;s=41;break b}t=(u&255)<<6&4032|q<<12|v&63;if((t&65535)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=t;c[g>>2]=n+3;break}if(!((p&255)>>>0<245>>>0)){r=2;s=41;break b}if((h-n|0)<4){r=1;s=41;break b}t=a[n+1|0]|0;v=a[n+2|0]|0;u=a[n+3|0]|0;if((q|0)==240){if(!((t+112&255)>>>0<48>>>0)){r=2;s=41;break b}}else if((q|0)==244){if(!((t&-16)<<24>>24==-128)){r=2;s=41;break b}}else{if(!((t&-64)<<24>>24==-128)){r=2;s=41;break b}}w=v&255;if((w&192|0)!=128){r=2;s=41;break b}v=u&255;if((v&192|0)!=128){r=2;s=41;break b}if((l-e|0)<4){r=1;s=41;break b}u=q&7;x=t&255;t=w<<6;y=v&63;if((x<<12&258048|u<<18|t&4032|y)>>>0>k>>>0){r=2;s=41;break b}b[e>>1]=x<<2&60|w>>>4&3|((x>>>4&3|u<<2)<<6)+16320|55296;u=e+2|0;c[j>>2]=u;b[u>>1]=y|t&960|56320;c[g>>2]=(c[g>>2]|0)+4}}while(0);q=(c[j>>2]|0)+2|0;c[j>>2]=q;p=c[g>>2]|0;if(p>>>0<f>>>0){e=q;n=p}else{o=p;break a}}if((s|0)==41){return r|0}}else{o=m}}while(0);r=o>>>0<f>>>0|0;return r|0}function JV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function KV(a){a=a|0;return 0}function LV(a){a=a|0;return 0}function MV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return NV(c,d,e,1114111,0)|0}function NV(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=0;j=h;b:while(1){k=a[j]|0;l=k&255;if(l>>>0>f>>>0){m=j;break a}do{if(k<<24>>24>-1){n=j+1|0;o=i}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}p=d[j+1|0]|0;if((p&192|0)!=128){m=j;break a}if((p&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;o=i;break}if((k&255)>>>0<240>>>0){q=j;if((g-q|0)<3){m=j;break a}p=a[j+1|0]|0;r=a[j+2|0]|0;if((l|0)==224){if(!((p&-32)<<24>>24==-96)){s=21;break b}}else if((l|0)==237){if(!((p&-32)<<24>>24==-128)){s=23;break b}}else{if(!((p&-64)<<24>>24==-128)){s=25;break b}}t=r&255;if((t&192|0)!=128){m=j;break a}if(((p&255)<<6&4032|l<<12&61440|t&63)>>>0>f>>>0){m=j;break a}n=j+3|0;o=i;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}u=j;if((g-u|0)<4){m=j;break a}if((e-i|0)>>>0<2>>>0){m=j;break a}t=a[j+1|0]|0;p=a[j+2|0]|0;r=a[j+3|0]|0;if((l|0)==240){if(!((t+112&255)>>>0<48>>>0)){s=34;break b}}else if((l|0)==244){if(!((t&-16)<<24>>24==-128)){s=36;break b}}else{if(!((t&-64)<<24>>24==-128)){s=38;break b}}v=p&255;if((v&192|0)!=128){m=j;break a}p=r&255;if((p&192|0)!=128){m=j;break a}if(((t&255)<<12&258048|l<<18&1835008|v<<6&4032|p&63)>>>0>f>>>0){m=j;break a}n=j+4|0;o=i+1|0}}while(0);l=o+1|0;if(n>>>0<c>>>0&l>>>0<e>>>0){i=l;j=n}else{m=n;break a}}if((s|0)==21){w=q-b|0;return w|0}else if((s|0)==23){w=q-b|0;return w|0}else if((s|0)==25){w=q-b|0;return w|0}else if((s|0)==34){w=u-b|0;return w|0}else if((s|0)==36){w=u-b|0;return w|0}else if((s|0)==38){w=u-b|0;return w|0}}else{m=h}}while(0);w=m-b|0;return w|0}function OV(a){a=a|0;return 4}function PV(a){a=a|0;tN(a|0);qY(a);return}function QV(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=RV(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d>>2<<2);c[j>>2]=g+((c[k>>2]|0)-g);i=b;return l|0}function RV(b,d,e,f,g,h,i,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0;c[e>>2]=b;c[h>>2]=f;do{if((j&2|0)!=0){if((g-f|0)<3){k=1;return k|0}else{c[h>>2]=f+1;a[f]=-17;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-69;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=-65;break}}}while(0);f=c[e>>2]|0;if(!(f>>>0<d>>>0)){k=0;return k|0}j=g;g=f;a:while(1){f=c[g>>2]|0;if((f&-2048|0)==55296|f>>>0>i>>>0){k=2;l=19;break}do{if(f>>>0<128>>>0){b=c[h>>2]|0;if((j-b|0)<1){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f}else{if(f>>>0<2048>>>0){b=c[h>>2]|0;if((j-b|0)<2){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>6|192;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}b=c[h>>2]|0;m=j-b|0;if(f>>>0<65536>>>0){if((m|0)<3){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>12|224;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f>>>6&63|128;n=c[h>>2]|0;c[h>>2]=n+1;a[n]=f&63|128;break}else{if((m|0)<4){k=1;l=19;break a}c[h>>2]=b+1;a[b]=f>>>18|240;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>12&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f>>>6&63|128;b=c[h>>2]|0;c[h>>2]=b+1;a[b]=f&63|128;break}}}while(0);f=(c[e>>2]|0)+4|0;c[e>>2]=f;if(f>>>0<d>>>0){g=f}else{k=0;l=19;break}}if((l|0)==19){return k|0}return 0}function SV(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0;b=i;i=i+16|0;a=b|0;k=b+8|0;c[a>>2]=d;c[k>>2]=g;l=TV(d,e,a,g,h,k,1114111,0)|0;c[f>>2]=d+((c[a>>2]|0)-d);c[j>>2]=g+((c[k>>2]|0)-g>>2<<2);i=b;return l|0}function TV(b,e,f,g,h,i,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;c[f>>2]=b;c[i>>2]=g;g=c[f>>2]|0;do{if((k&4|0)==0){l=g}else{if((e-g|0)<=2){l=g;break}if(!((a[g]|0)==-17)){l=g;break}if(!((a[g+1|0]|0)==-69)){l=g;break}if(!((a[g+2|0]|0)==-65)){l=g;break}b=g+3|0;c[f>>2]=b;l=b}}while(0);a:do{if(l>>>0<e>>>0){g=e;k=c[i>>2]|0;b=l;b:while(1){if(!(k>>>0<h>>>0)){m=b;break a}n=a[b]|0;o=n&255;do{if(n<<24>>24>-1){if(o>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=o;c[f>>2]=b+1}else{if((n&255)>>>0<194>>>0){p=2;q=40;break b}if((n&255)>>>0<224>>>0){if((g-b|0)<2){p=1;q=40;break b}r=d[b+1|0]|0;if((r&192|0)!=128){p=2;q=40;break b}s=r&63|o<<6&1984;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+2;break}if((n&255)>>>0<240>>>0){if((g-b|0)<3){p=1;q=40;break b}s=a[b+1|0]|0;r=a[b+2|0]|0;if((o|0)==224){if(!((s&-32)<<24>>24==-96)){p=2;q=40;break b}}else if((o|0)==237){if(!((s&-32)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((s&-64)<<24>>24==-128)){p=2;q=40;break b}}t=r&255;if((t&192|0)!=128){p=2;q=40;break b}r=(s&255)<<6&4032|o<<12&61440|t&63;if(r>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=r;c[f>>2]=b+3;break}if(!((n&255)>>>0<245>>>0)){p=2;q=40;break b}if((g-b|0)<4){p=1;q=40;break b}r=a[b+1|0]|0;t=a[b+2|0]|0;s=a[b+3|0]|0;if((o|0)==240){if(!((r+112&255)>>>0<48>>>0)){p=2;q=40;break b}}else if((o|0)==244){if(!((r&-16)<<24>>24==-128)){p=2;q=40;break b}}else{if(!((r&-64)<<24>>24==-128)){p=2;q=40;break b}}u=t&255;if((u&192|0)!=128){p=2;q=40;break b}t=s&255;if((t&192|0)!=128){p=2;q=40;break b}s=(r&255)<<12&258048|o<<18&1835008|u<<6&4032|t&63;if(s>>>0>j>>>0){p=2;q=40;break b}c[k>>2]=s;c[f>>2]=b+4}}while(0);o=(c[i>>2]|0)+4|0;c[i>>2]=o;n=c[f>>2]|0;if(n>>>0<e>>>0){k=o;b=n}else{m=n;break a}}if((q|0)==40){return p|0}}else{m=l}}while(0);p=m>>>0<e>>>0|0;return p|0}function UV(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;c[f>>2]=d;return 3}function VV(a){a=a|0;return 0}function WV(a){a=a|0;return 0}function XV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return YV(c,d,e,1114111,0)|0}function YV(b,c,e,f,g){b=b|0;c=c|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;do{if((g&4|0)==0){h=b}else{if((c-b|0)<=2){h=b;break}if(!((a[b]|0)==-17)){h=b;break}if(!((a[b+1|0]|0)==-69)){h=b;break}h=(a[b+2|0]|0)==-65?b+3|0:b}}while(0);a:do{if(h>>>0<c>>>0&(e|0)!=0){g=c;i=1;j=h;b:while(1){k=a[j]|0;l=k&255;do{if(k<<24>>24>-1){if(l>>>0>f>>>0){m=j;break a}n=j+1|0}else{if((k&255)>>>0<194>>>0){m=j;break a}if((k&255)>>>0<224>>>0){if((g-j|0)<2){m=j;break a}o=d[j+1|0]|0;if((o&192|0)!=128){m=j;break a}if((o&63|l<<6&1984)>>>0>f>>>0){m=j;break a}n=j+2|0;break}if((k&255)>>>0<240>>>0){p=j;if((g-p|0)<3){m=j;break a}o=a[j+1|0]|0;q=a[j+2|0]|0;if((l|0)==237){if(!((o&-32)<<24>>24==-128)){r=23;break b}}else if((l|0)==224){if(!((o&-32)<<24>>24==-96)){r=21;break b}}else{if(!((o&-64)<<24>>24==-128)){r=25;break b}}s=q&255;if((s&192|0)!=128){m=j;break a}if(((o&255)<<6&4032|l<<12&61440|s&63)>>>0>f>>>0){m=j;break a}n=j+3|0;break}if(!((k&255)>>>0<245>>>0)){m=j;break a}t=j;if((g-t|0)<4){m=j;break a}s=a[j+1|0]|0;o=a[j+2|0]|0;q=a[j+3|0]|0;if((l|0)==240){if(!((s+112&255)>>>0<48>>>0)){r=33;break b}}else if((l|0)==244){if(!((s&-16)<<24>>24==-128)){r=35;break b}}else{if(!((s&-64)<<24>>24==-128)){r=37;break b}}u=o&255;if((u&192|0)!=128){m=j;break a}o=q&255;if((o&192|0)!=128){m=j;break a}if(((s&255)<<12&258048|l<<18&1835008|u<<6&4032|o&63)>>>0>f>>>0){m=j;break a}n=j+4|0}}while(0);if(!(n>>>0<c>>>0&i>>>0<e>>>0)){m=n;break a}i=i+1|0;j=n}if((r|0)==21){v=p-b|0;return v|0}else if((r|0)==23){v=p-b|0;return v|0}else if((r|0)==25){v=p-b|0;return v|0}else if((r|0)==33){v=t-b|0;return v|0}else if((r|0)==35){v=t-b|0;return v|0}else if((r|0)==37){v=t-b|0;return v|0}}else{m=h}}while(0);v=m-b|0;return v|0}function ZV(a){a=a|0;return 4}function _V(a){a=a|0;tN(a|0);qY(a);return}function $V(a){a=a|0;tN(a|0);qY(a);return}function aW(a){a=a|0;c[a>>2]=1613992;dO(a+12|0);tN(a|0);qY(a);return}function bW(a){a=a|0;c[a>>2]=1613992;dO(a+12|0);tN(a|0);return}function cW(a){a=a|0;c[a>>2]=1613944;dO(a+16|0);tN(a|0);qY(a);return}function dW(a){a=a|0;c[a>>2]=1613944;dO(a+16|0);tN(a|0);return}function eW(b){b=b|0;return a[b+8|0]|0}function fW(a){a=a|0;return c[a+8>>2]|0}function gW(b){b=b|0;return a[b+9|0]|0}function hW(a){a=a|0;return c[a+12>>2]|0}function iW(a,b){a=a|0;b=b|0;VN(a,b+12|0);return}function jW(a,b){a=a|0;b=b|0;VN(a,b+16|0);return}function kW(a,b){a=a|0;b=b|0;XN(a,80496,4);return}function lW(a,b){a=a|0;b=b|0;FO(a,79280,KX(79280)|0);return}function mW(a,b){a=a|0;b=b|0;XN(a,78128,5);return}function nW(a,b){a=a|0;b=b|0;FO(a,77696,KX(77696)|0);return}function oW(b){b=b|0;var d=0;if((a[1654848]|0)!=0){d=c[413312]|0;return d|0}if(($b(1654848)|0)==0){d=c[413312]|0;return d|0}do{if((a[1654736]|0)==0){if(($b(1654736)|0)==0){break}NY(1652288,0,168)|0;Eb(330,0,s|0)|0}}while(0);gO(1652288,1600880)|0;gO(1652300,1600376)|0;gO(1652312,1599800)|0;gO(1652324,1599392)|0;gO(1652336,1599032)|0;gO(1652348,1598816)|0;gO(1652360,1598624)|0;gO(1652372,1598496)|0;gO(1652384,1598368)|0;gO(1652396,1598104)|0;gO(1652408,1597768)|0;gO(1652420,1597216)|0;gO(1652432,1596816)|0;gO(1652444,1596688)|0;c[413312]=1652288;d=c[413312]|0;return d|0}function pW(b){b=b|0;var d=0;if((a[1654792]|0)!=0){d=c[413290]|0;return d|0}if(($b(1654792)|0)==0){d=c[413290]|0;return d|0}do{if((a[1654712]|0)==0){if(($b(1654712)|0)==0){break}NY(1651544,0,168)|0;Eb(120,0,s|0)|0}}while(0);IO(1651544,1608432)|0;IO(1651556,1607928)|0;IO(1651568,1607144)|0;IO(1651580,1607016)|0;IO(1651592,1606152)|0;IO(1651604,1605504)|0;IO(1651616,1604496)|0;IO(1651628,1603776)|0;IO(1651640,1603168)|0;IO(1651652,1602560)|0;IO(1651664,1602112)|0;IO(1651676,1601912)|0;IO(1651688,1601656)|0;IO(1651700,1601416)|0;c[413290]=1651544;d=c[413290]|0;return d|0}function qW(b){b=b|0;var d=0;if((a[1654840]|0)!=0){d=c[413310]|0;return d|0}if(($b(1654840)|0)==0){d=c[413310]|0;return d|0}do{if((a[1654728]|0)==0){if(($b(1654728)|0)==0){break}NY(1652e3,0,288)|0;Eb(216,0,s|0)|0}}while(0);gO(1652e3,31112)|0;gO(1652012,30440)|0;gO(1652024,30048)|0;gO(1652036,29520)|0;gO(1652048,29064)|0;gO(1652060,28520)|0;gO(1652072,28088)|0;gO(1652084,27608)|0;gO(1652096,26936)|0;gO(1652108,26416)|0;gO(1652120,25160)|0;gO(1652132,24504)|0;gO(1652144,24096)|0;gO(1652156,23536)|0;gO(1652168,23072)|0;gO(1652180,22576)|0;gO(1652192,29064)|0;gO(1652204,22088)|0;gO(1652216,21648)|0;gO(1652228,1612336)|0;gO(1652240,1611504)|0;gO(1652252,1610984)|0;gO(1652264,1610312)|0;gO(1652276,1609696)|0;c[413310]=1652e3;d=c[413310]|0;return d|0}function rW(b){b=b|0;var d=0;if((a[1654784]|0)!=0){d=c[413288]|0;return d|0}if(($b(1654784)|0)==0){d=c[413288]|0;return d|0}do{if((a[1654704]|0)==0){if(($b(1654704)|0)==0){break}NY(1651256,0,288)|0;Eb(166,0,s|0)|0}}while(0);IO(1651256,48888)|0;IO(1651268,48176)|0;IO(1651280,47424)|0;IO(1651292,46760)|0;IO(1651304,36504)|0;IO(1651316,44632)|0;IO(1651328,43160)|0;IO(1651340,42720)|0;IO(1651352,42208)|0;IO(1651364,41416)|0;IO(1651376,40808)|0;IO(1651388,40056)|0;IO(1651400,39352)|0;IO(1651412,38688)|0;IO(1651424,38160)|0;IO(1651436,37224)|0;IO(1651448,36504)|0;IO(1651460,35936)|0;IO(1651472,35216)|0;IO(1651484,34416)|0;IO(1651496,33784)|0;IO(1651508,33336)|0;IO(1651520,32896)|0;IO(1651532,32344)|0;c[413288]=1651256;d=c[413288]|0;return d|0}function sW(b){b=b|0;var d=0;if((a[1654856]|0)!=0){d=c[413314]|0;return d|0}if(($b(1654856)|0)==0){d=c[413314]|0;return d|0}do{if((a[1654744]|0)==0){if(($b(1654744)|0)==0){break}NY(1652456,0,288)|0;Eb(164,0,s|0)|0}}while(0);gO(1652456,51208)|0;gO(1652468,50384)|0;c[413314]=1652456;d=c[413314]|0;return d|0}function tW(b){b=b|0;var d=0;if((a[1654800]|0)!=0){d=c[413292]|0;return d|0}if(($b(1654800)|0)==0){d=c[413292]|0;return d|0}do{if((a[1654720]|0)==0){if(($b(1654720)|0)==0){break}NY(1651712,0,288)|0;Eb(300,0,s|0)|0}}while(0);IO(1651712,54264)|0;IO(1651724,52928)|0;c[413292]=1651712;d=c[413292]|0;return d|0}function uW(b){b=b|0;if((a[1654864]|0)!=0){return 1653264}if(($b(1654864)|0)==0){return 1653264}XN(1653264,75808,8);Eb(322,1653264,s|0)|0;return 1653264}function vW(b){b=b|0;if((a[1654808]|0)!=0){return 1653176}if(($b(1654808)|0)==0){return 1653176}FO(1653176,74880,KX(74880)|0);Eb(90,1653176,s|0)|0;return 1653176}function wW(b){b=b|0;if((a[1654888]|0)!=0){return 1653312}if(($b(1654888)|0)==0){return 1653312}XN(1653312,73208,8);Eb(322,1653312,s|0)|0;return 1653312}function xW(b){b=b|0;if((a[1654832]|0)!=0){return 1653224}if(($b(1654832)|0)==0){return 1653224}FO(1653224,72016,KX(72016)|0);Eb(90,1653224,s|0)|0;return 1653224}function yW(b){b=b|0;if((a[1654880]|0)!=0){return 1653296}if(($b(1654880)|0)==0){return 1653296}XN(1653296,70920,20);Eb(322,1653296,s|0)|0;return 1653296}function zW(b){b=b|0;if((a[1654824]|0)!=0){return 1653208}if(($b(1654824)|0)==0){return 1653208}FO(1653208,70008,KX(70008)|0);Eb(90,1653208,s|0)|0;return 1653208}function AW(b){b=b|0;if((a[1654872]|0)!=0){return 1653280}if(($b(1654872)|0)==0){return 1653280}XN(1653280,69008,11);Eb(322,1653280,s|0)|0;return 1653280}function BW(b){b=b|0;if((a[1654816]|0)!=0){return 1653192}if(($b(1654816)|0)==0){return 1653192}FO(1653192,67336,KX(67336)|0);Eb(90,1653192,s|0)|0;return 1653192}function CW(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=+GY(b,g,c[413194]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function DW(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=+GY(b,g,c[413194]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)!=34){h=l;i=f;return+h}c[e>>2]=4;h=l;i=f;return+h}function EW(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0.0,j=0,k=0,l=0.0;f=i;i=i+8|0;g=f|0;if((b|0)==(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}j=Vc()|0;k=c[j>>2]|0;c[j>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=+GY(b,g,c[413194]|0);b=c[j>>2]|0;if((b|0)==0){c[j>>2]=k}if((c[g>>2]|0)!=(d|0)){c[e>>2]=4;h=0.0;i=f;return+h}if((b|0)==34){c[e>>2]=4}h=l;i=f;return+h}function FW(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;do{if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0}else{if((a[b]|0)==45){c[e>>2]=4;j=0;k=0;break}l=Vc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);n=zc(b|0,h|0,f|0,c[413194]|0)|0;o=c[l>>2]|0;if((o|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;break}if((o|0)!=34){j=K;k=n;break}c[e>>2]=4;j=-1;k=-1}}while(0);i=g;return(K=j,k)|0}function GW(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[413194]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function HW(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[413194]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>-1>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m;i=g;return j|0}return 0}function IW(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}if((a[b]|0)==45){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);m=zc(b|0,h|0,f|0,c[413194]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}d=0;if((b|0)==34|(f>>>0>d>>>0|f>>>0==d>>>0&m>>>0>65535>>>0)){c[e>>2]=4;j=-1;i=g;return j|0}else{j=m&65535;i=g;return j|0}return 0}function JW(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}l=Vc()|0;m=c[l>>2]|0;c[l>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);n=Ec(b|0,h|0,f|0,c[413194]|0)|0;f=K;b=c[l>>2]|0;if((b|0)==0){c[l>>2]=m}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;k=0;i=g;return(K=j,k)|0}if((b|0)==34){c[e>>2]=4;e=0;b=(f|0)>(e|0)|(f|0)==(e|0)&n>>>0>0>>>0;i=g;return(K=b?2147483647:-2147483648,b?-1:0)|0}else{j=f;k=n;i=g;return(K=j,k)|0}return 0}function KW(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+8|0;h=g|0;if((b|0)==(d|0)){c[e>>2]=4;j=0;i=g;return j|0}k=Vc()|0;l=c[k>>2]|0;c[k>>2]=0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);m=Ec(b|0,h|0,f|0,c[413194]|0)|0;f=K;b=c[k>>2]|0;if((b|0)==0){c[k>>2]=l}if((c[h>>2]|0)!=(d|0)){c[e>>2]=4;j=0;i=g;return j|0}do{if((b|0)==34){c[e>>2]=4;d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>0>>>0){j=2147483647}else{break}i=g;return j|0}else{d=-1;if((f|0)<(d|0)|(f|0)==(d|0)&m>>>0<-2147483648>>>0){c[e>>2]=4;break}d=0;if((f|0)>(d|0)|(f|0)==(d|0)&m>>>0>2147483647>>>0){c[e>>2]=4;j=2147483647;i=g;return j|0}else{j=m;i=g;return j|0}}}while(0);j=-2147483648;i=g;return j|0}function LW(a){a=a|0;var b=0,d=0,e=0,f=0;b=a+4|0;d=(c[a>>2]|0)+(c[b+4>>2]|0)|0;a=d;e=c[b>>2]|0;if((e&1|0)==0){f=e;Qd[f&511](a);return}else{f=c[(c[d>>2]|0)+(e-1)>>2]|0;Qd[f&511](a);return}}function MW(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=b+8|0;f=b+4|0;g=c[f>>2]|0;h=c[e>>2]|0;i=g;if(!(h-i>>2>>>0<d>>>0)){j=d;k=g;do{if((k|0)==0){l=0}else{c[k>>2]=0;l=c[f>>2]|0}k=l+4|0;c[f>>2]=k;j=j-1|0;}while((j|0)!=0);return}j=b+16|0;k=b|0;l=c[k>>2]|0;g=i-l>>2;i=g+d|0;if(i>>>0>1073741823>>>0){FU(0)}m=h-l|0;do{if(m>>2>>>0<536870911>>>0){l=m>>1;h=l>>>0<i>>>0?i:l;if((h|0)==0){n=0;o=0;break}l=b+128|0;if(!((a[l]|0)==0&h>>>0<29>>>0)){p=h;q=11;break}a[l]=1;n=j;o=h}else{p=1073741823;q=11}}while(0);if((q|0)==11){n=oY(p<<2)|0;o=p}p=d;d=n+(g<<2)|0;do{if((d|0)==0){r=0}else{c[d>>2]=0;r=d}d=r+4|0;p=p-1|0;}while((p|0)!=0);p=c[k>>2]|0;r=(c[f>>2]|0)-p|0;q=n+(g-(r>>2)<<2)|0;g=p;MY(q|0,g|0,r)|0;c[k>>2]=q;c[f>>2]=d;c[e>>2]=n+(o<<2);if((p|0)==0){return}if((j|0)==(p|0)){a[b+128|0]=0;return}else{qY(g);return}}function NW(a){a=a|0;HO(1651988);HO(1651976);HO(1651964);HO(1651952);HO(1651940);HO(1651928);HO(1651916);HO(1651904);HO(1651892);HO(1651880);HO(1651868);HO(1651856);HO(1651844);HO(1651832);HO(1651820);HO(1651808);HO(1651796);HO(1651784);HO(1651772);HO(1651760);HO(1651748);HO(1651736);HO(1651724);HO(1651712);return}function OW(a){a=a|0;dO(1652732);dO(1652720);dO(1652708);dO(1652696);dO(1652684);dO(1652672);dO(1652660);dO(1652648);dO(1652636);dO(1652624);dO(1652612);dO(1652600);dO(1652588);dO(1652576);dO(1652564);dO(1652552);dO(1652540);dO(1652528);dO(1652516);dO(1652504);dO(1652492);dO(1652480);dO(1652468);dO(1652456);return}function PW(a){a=a|0;HO(1651532);HO(1651520);HO(1651508);HO(1651496);HO(1651484);HO(1651472);HO(1651460);HO(1651448);HO(1651436);HO(1651424);HO(1651412);HO(1651400);HO(1651388);HO(1651376);HO(1651364);HO(1651352);HO(1651340);HO(1651328);HO(1651316);HO(1651304);HO(1651292);HO(1651280);HO(1651268);HO(1651256);return}function QW(a){a=a|0;dO(1652276);dO(1652264);dO(1652252);dO(1652240);dO(1652228);dO(1652216);dO(1652204);dO(1652192);dO(1652180);dO(1652168);dO(1652156);dO(1652144);dO(1652132);dO(1652120);dO(1652108);dO(1652096);dO(1652084);dO(1652072);dO(1652060);dO(1652048);dO(1652036);dO(1652024);dO(1652012);dO(1652e3);return}function RW(a){a=a|0;HO(1651700);HO(1651688);HO(1651676);HO(1651664);HO(1651652);HO(1651640);HO(1651628);HO(1651616);HO(1651604);HO(1651592);HO(1651580);HO(1651568);HO(1651556);HO(1651544);return}function SW(a){a=a|0;dO(1652444);dO(1652432);dO(1652420);dO(1652408);dO(1652396);dO(1652384);dO(1652372);dO(1652360);dO(1652348);dO(1652336);dO(1652324);dO(1652312);dO(1652300);dO(1652288);return}function TW(a){a=a|0;var b=0;if((ZW(a)|0)!=0){b=1;return b|0}b=(UW(a)|0)!=0|0;return b|0}function UW(a){a=a|0;var b=0;if(a>>>0<131072>>>0){b=(d[4864+((d[4864+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}else{b=a>>>0<196606>>>0|0;return b|0}return 0}function VW(a){a=a|0;return nc(a|0)|0}function WW(a){a=a|0;var b=0;if(a>>>0<32>>>0|(a-127|0)>>>0<33>>>0|(a-8232|0)>>>0<2>>>0){b=1;return b|0}b=(a-65529|0)>>>0<3>>>0|0;return b|0}function XW(a,b){a=a|0;b=b|0;var c=0;switch(b|0){case 11:{c=dX(a)|0;break};case 9:{c=bX(a)|0;break};case 7:{c=$W(a)|0;break};case 3:{c=VW(a)|0;break};case 5:{c=ZW(a)|0;break};case 8:{c=aX(a)|0;break};case 6:{c=_W(a)|0;break};case 2:{c=UW(a)|0;break};case 12:{c=eX(a)|0;break};case 1:{c=TW(a)|0;break};case 4:{c=WW(a)|0;break};case 10:{c=cX(a)|0;break};default:{c=0}}return c|0}function YW(b){b=b|0;var c=0,d=0,e=0;c=a[b]|0;a:do{switch(c<<24>>24){case 115:{d=13;break};case 117:{d=14;break};case 100:{if((IY(b,392)|0)==0){e=5}else{d=16}break};case 98:{if((IY(b,380)|0)==0){e=3}else{d=16}break};case 97:{if((IY(b,368)|0)==0){e=1;break a}if((IY(b,374)|0)==0){e=2}else{d=16}break};case 103:{if((IY(b,398)|0)==0){e=6}else{d=16}break};case 112:{if((IY(b,410)|0)==0){e=8;break a}if((IY(b,416)|0)==0){e=9;break a}if((c<<24>>24|0)==115){d=13}else if((c<<24>>24|0)==117){d=14}else if((c<<24>>24|0)==120){d=15}else{d=16}break};case 108:{if((IY(b,404)|0)==0){e=7}else{d=16}break};case 99:{if((IY(b,386)|0)==0){e=4}else{d=16}break};case 120:{d=15;break};default:{d=16}}}while(0);if((d|0)==13){if((IY(b,422)|0)==0){e=10}else{d=16}}else if((d|0)==14){if((IY(b,428)|0)==0){e=11}else{d=16}}else if((d|0)==15){if((IY(b,434)|0)==0){e=12}else{d=16}}if((d|0)==16){e=0}return e|0}function ZW(a){a=a|0;return(a-48|0)>>>0<10>>>0|0}function _W(a){a=a|0;var b=0;if((cX(a)|0)!=0){b=0;return b|0}b=(aX(a)|0)!=0|0;return b|0}function $W(a){a=a|0;var b=0;if((fX(a)|0)!=(a|0)){b=1;return b|0}b=(a|0)==223|0;return b|0}function aX(a){a=a|0;var b=0;if(a>>>0<255>>>0){b=(a+1&127)>>>0>32>>>0|0;return b|0}if(a>>>0<8232>>>0|(a-8234|0)>>>0<47062>>>0|(a-57344|0)>>>0<8185>>>0){b=1;return b|0}else{return((a-65532|0)>>>0>1048579>>>0|(a&65534|0)==65534)&1^1|0}return 0}function bX(a){a=a|0;var b=0;if(!(a>>>0<131072>>>0)){b=0;return b|0}b=(d[1696+((d[1696+(a>>>8)|0]|0)<<5|a>>>3&31)|0]|0)>>>((a&7)>>>0)&1;return b|0}function cX(a){a=a|0;return(JX(15656,a)|0)!=0|0}function dX(a){a=a|0;return(hX(a)|0)!=(a|0)|0}function eX(a){a=a|0;var b=0;if((a-48|0)>>>0<10>>>0){b=1;return b|0}b=((a|32)-97|0)>>>0<6>>>0|0;return b|0}function fX(a){a=a|0;return gX(a,0)|0}function gX(c,f){c=c|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=(f<<1)-1|0;h=f-1|0;if((UW(c)|0)==0|(c-1536|0)>>>0<2560>>>0|(c-11776|0)>>>0<30784>>>0|(c-43008|0)>>>0<22272>>>0){i=c;return i|0}do{if((f|0)==0){if(!((c-11520|0)>>>0<38>>>0)){j=0;break}i=c-7264|0;return i|0}else{if(!((c-4256|0)>>>0<46>>>0)){j=0;break}do{if((c|0)>4293){if((c|0)==4301|(c|0)==4295){break}else{i=c}return i|0}}while(0);i=c+7264|0;return i|0}}while(0);while(1){if((j|0)==61){break}k=a[18290+(j<<2)|0]|0;l=k<<24>>24;m=c-(e[18288+(j<<2)>>1]|0)|0;if((m-(l&h)|0)>>>0<(d[18291+(j<<2)|0]|0)>>>0){n=12;break}else{j=j+1|0}}if((n|0)==12){if(k<<24>>24==1){i=f+c-(m&1)|0;return i|0}else{i=(ga(l,g)|0)+c|0;return i|0}}g=1-f|0;l=0;while(1){m=b[8096+(l<<2)+(g<<1)>>1]|0;if(m<<16>>16==0){break}if((m&65535|0)==(c|0)){n=17;break}else{l=l+1|0}}if((n|0)==17){i=e[8096+(l<<2)+(f<<1)>>1]|0;return i|0}if(!((c-66600+(f*40|0)|0)>>>0<40>>>0)){i=c;return i|0}i=c-40+(f*80|0)|0;return i|0}function hX(a){a=a|0;return gX(a,1)|0}function iX(a,b,c){a=a|0;b=b|0;c=c|0;return jX(0,a,b,(c|0)!=0?c:1636752)|0}function jX(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;j=((f|0)==0?1636744:f)|0;f=c[j>>2]|0;a:do{if((d|0)==0){if((f|0)==0){k=0}else{break}i=g;return k|0}else{if((b|0)==0){l=h;c[h>>2]=l;m=l}else{m=b}if((e|0)==0){k=-2;i=g;return k|0}do{if((f|0)==0){l=a[d]|0;n=l&255;if(l<<24>>24>-1){c[m>>2]=n;k=l<<24>>24!=0|0;i=g;return k|0}else{l=n-194|0;if(l>>>0>50>>>0){break a}o=d+1|0;p=c[1612680+(l<<2)>>2]|0;q=e-1|0;break}}else{o=d;p=f;q=e}}while(0);b:do{if((q|0)==0){r=p}else{l=a[o]|0;n=(l&255)>>>3;if((n-16|n+(p>>26))>>>0>7>>>0){break a}else{s=o;t=p;u=q;v=l}while(1){s=s+1|0;t=(v&255)-128|t<<6;u=u-1|0;if((t|0)>=0){break}if((u|0)==0){r=t;break b}v=a[s]|0;if(((v&255)-128|0)>>>0>63>>>0){break a}}c[j>>2]=0;c[m>>2]=t;k=e-u|0;i=g;return k|0}}while(0);c[j>>2]=r;k=-2;i=g;return k|0}}while(0);c[j>>2]=0;c[(Vc()|0)>>2]=84;k=-1;i=g;return k|0}function kX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=i;i=i+1032|0;h=g|0;j=g+1024|0;k=c[b>>2]|0;c[j>>2]=k;l=(a|0)!=0;m=l?e:256;e=l?a:h|0;a:do{if((k|0)==0|(m|0)==0){n=0;o=d;p=m;q=e;r=k}else{a=h|0;s=m;t=d;u=0;v=e;w=k;while(1){x=t>>>2;y=x>>>0>=s>>>0;if(!(y|t>>>0>131>>>0)){n=u;o=t;p=s;q=v;r=w;break a}z=y?s:x;A=t-z|0;x=lX(v,j,z,f)|0;if((x|0)==-1){break}if((v|0)==(a|0)){B=a;C=s}else{B=v+(x<<2)|0;C=s-x|0}z=x+u|0;x=c[j>>2]|0;if((x|0)==0|(C|0)==0){n=z;o=A;p=C;q=B;r=x;break a}else{s=C;t=A;u=z;v=B;w=x}}n=-1;o=A;p=0;q=v;r=c[j>>2]|0}}while(0);b:do{if((r|0)==0){D=n}else{if((p|0)==0|(o|0)==0){D=n;break}else{E=p;F=o;G=n;H=q;I=r}while(1){J=jX(H,I,F,f)|0;if((J+2|0)>>>0<3>>>0){break}A=(c[j>>2]|0)+J|0;c[j>>2]=A;B=E-1|0;C=G+1|0;if((B|0)==0|(F|0)==(J|0)){D=C;break b}else{E=B;F=F-J|0;G=C;H=H+4|0;I=A}}if((J|0)==0){c[j>>2]=0;D=G;break}else if((J|0)==(-1|0)){D=-1;break}else{c[f>>2]=0;D=G;break}}}while(0);if(!l){i=g;return D|0}c[b>>2]=c[j>>2];i=g;return D|0}function lX(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;h=c[e>>2]|0;do{if((g|0)==0){i=5}else{j=g|0;k=c[j>>2]|0;if((k|0)==0){i=5;break}if((b|0)==0){l=k;m=h;n=f;i=16;break}c[j>>2]=0;o=k;p=h;q=b;r=f;i=36}}while(0);if((i|0)==5){if((b|0)==0){s=h;t=f;i=7}else{u=h;v=b;w=f;i=6}}a:while(1){if((i|0)==6){i=0;if((w|0)==0){x=f;i=53;break}else{y=w;z=v;A=u}while(1){h=a[A]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((A&3|0)==0&y>>>0>3>>>0){B=y;C=z;D=A}else{E=A;F=z;G=y;H=h;break}while(1){I=c[D>>2]|0;if(((I-16843009|I)&-2139062144|0)!=0){i=30;break}c[C>>2]=I&255;c[C+4>>2]=d[D+1|0]|0;c[C+8>>2]=d[D+2|0]|0;J=D+4|0;K=C+16|0;c[C+12>>2]=d[D+3|0]|0;L=B-4|0;if(L>>>0>3>>>0){B=L;C=K;D=J}else{i=31;break}}if((i|0)==30){i=0;E=D;F=C;G=B;H=I&255;break}else if((i|0)==31){i=0;E=J;F=K;G=L;H=a[J]|0;break}}else{E=A;F=z;G=y;H=h}}while(0);M=H&255;if(!((M-1|0)>>>0<127>>>0)){break}c[F>>2]=M;h=G-1|0;if((h|0)==0){x=f;i=53;break a}else{y=h;z=F+4|0;A=E+1|0}}h=M-194|0;if(h>>>0>50>>>0){N=G;O=F;P=E;i=47;break}o=c[1612680+(h<<2)>>2]|0;p=E+1|0;q=F;r=G;i=36;continue}else if((i|0)==7){i=0;h=a[s]|0;do{if(((h&255)-1|0)>>>0<127>>>0){if((s&3|0)!=0){Q=s;R=t;S=h;break}g=c[s>>2]|0;if(((g-16843009|g)&-2139062144|0)==0){T=t;U=s}else{Q=s;R=t;S=g&255;break}do{U=U+4|0;T=T-4|0;V=c[U>>2]|0;}while(((V-16843009|V)&-2139062144|0)==0);Q=U;R=T;S=V&255}else{Q=s;R=t;S=h}}while(0);h=S&255;if((h-1|0)>>>0<127>>>0){s=Q+1|0;t=R-1|0;i=7;continue}g=h-194|0;if(g>>>0>50>>>0){N=R;O=b;P=Q;i=47;break}l=c[1612680+(g<<2)>>2]|0;m=Q+1|0;n=R;i=16;continue}else if((i|0)==16){i=0;g=(d[m]|0)>>>3;if((g-16|g+(l>>26))>>>0>7>>>0){i=17;break}g=m+1|0;do{if((l&33554432|0)==0){W=g}else{if(((d[g]|0)-128|0)>>>0>63>>>0){i=20;break a}h=m+2|0;if((l&524288|0)==0){W=h;break}if(((d[h]|0)-128|0)>>>0>63>>>0){i=23;break a}W=m+3|0}}while(0);s=W;t=n-1|0;i=7;continue}else if((i|0)==36){i=0;g=d[p]|0;h=g>>>3;if((h-16|h+(o>>26))>>>0>7>>>0){i=37;break}h=p+1|0;X=g-128|o<<6;do{if((X|0)<0){g=(d[h]|0)-128|0;if(g>>>0>63>>>0){i=40;break a}k=p+2|0;Y=g|X<<6;if((Y|0)>=0){Z=Y;_=k;break}g=(d[k]|0)-128|0;if(g>>>0>63>>>0){i=43;break a}Z=g|Y<<6;_=p+3|0}else{Z=X;_=h}}while(0);c[q>>2]=Z;u=_;v=q+4|0;w=r-1|0;i=6;continue}}if((i|0)==17){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==20){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==23){$=l;aa=m-1|0;ba=b;ca=n;i=46}else if((i|0)==37){$=o;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==40){$=X;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==43){$=Y;aa=p-1|0;ba=q;ca=r;i=46}else if((i|0)==53){return x|0}if((i|0)==46){if(($|0)==0){N=ca;O=ba;P=aa;i=47}else{da=ba;ea=aa}}do{if((i|0)==47){if((a[P]|0)!=0){da=O;ea=P;break}if((O|0)!=0){c[O>>2]=0;c[e>>2]=0}x=f-N|0;return x|0}}while(0);c[(Vc()|0)>>2]=84;if((da|0)==0){x=-1;return x|0}c[e>>2]=ea;x=-1;return x|0}function mX(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0;g=i;i=i+8|0;h=g|0;c[h>>2]=b;if((e|0)==0){j=0;i=g;return j|0}do{if((f|0)!=0){if((b|0)==0){k=h;c[h>>2]=k;l=k}else{l=b}k=a[e]|0;m=k&255;if(k<<24>>24>-1){c[l>>2]=m;j=k<<24>>24!=0|0;i=g;return j|0}k=m-194|0;if(k>>>0>50>>>0){break}m=e+1|0;n=c[1612680+(k<<2)>>2]|0;if(f>>>0<4>>>0){if((n&-2147483648>>>(((f*6|0)-6|0)>>>0)|0)!=0){break}}k=d[m]|0;m=k>>>3;if((m-16|m+(n>>26))>>>0>7>>>0){break}m=k-128|n<<6;if((m|0)>=0){c[l>>2]=m;j=2;i=g;return j|0}n=(d[e+2|0]|0)-128|0;if(n>>>0>63>>>0){break}k=n|m<<6;if((k|0)>=0){c[l>>2]=k;j=3;i=g;return j|0}m=(d[e+3|0]|0)-128|0;if(m>>>0>63>>>0){break}c[l>>2]=m|k<<6;j=4;i=g;return j|0}}while(0);c[(Vc()|0)>>2]=84;j=-1;i=g;return j|0}function nX(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((b|0)==0){f=1;return f|0}if(d>>>0<128>>>0){a[b]=d;f=1;return f|0}if(d>>>0<2048>>>0){a[b]=d>>>6|192;a[b+1|0]=d&63|128;f=2;return f|0}if(d>>>0<55296>>>0|(d-57344|0)>>>0<8192>>>0){a[b]=d>>>12|224;a[b+1|0]=d>>>6&63|128;a[b+2|0]=d&63|128;f=3;return f|0}if((d-65536|0)>>>0<1048576>>>0){a[b]=d>>>18|240;a[b+1|0]=d>>>12&63|128;a[b+2|0]=d>>>6&63|128;a[b+3|0]=d&63|128;f=4;return f|0}else{c[(Vc()|0)>>2]=84;f=-1;return f|0}return 0}function oX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;f=i;i=i+264|0;g=f|0;h=f+256|0;j=c[b>>2]|0;c[h>>2]=j;k=(a|0)!=0;l=k?e:256;e=k?a:g|0;a:do{if((j|0)==0|(l|0)==0){m=0;n=d;o=l;p=e;q=j}else{a=g|0;r=l;s=d;t=0;u=e;v=j;while(1){w=s>>>0>=r>>>0;if(!(w|s>>>0>32>>>0)){m=t;n=s;o=r;p=u;q=v;break a}x=w?r:s;y=s-x|0;w=pX(u,h,x,0)|0;if((w|0)==-1){break}if((u|0)==(a|0)){z=a;A=r}else{z=u+w|0;A=r-w|0}x=w+t|0;w=c[h>>2]|0;if((w|0)==0|(A|0)==0){m=x;n=y;o=A;p=z;q=w;break a}else{r=A;s=y;t=x;u=z;v=w}}m=-1;n=y;o=0;p=u;q=c[h>>2]|0}}while(0);b:do{if((q|0)==0){B=m}else{if((o|0)==0|(n|0)==0){B=m;break}else{C=o;D=n;E=m;F=p;G=q}while(1){H=nX(F,c[G>>2]|0,0)|0;if((H+1|0)>>>0<2>>>0){break}y=(c[h>>2]|0)+4|0;c[h>>2]=y;z=D-1|0;A=E+1|0;if((C|0)==(H|0)|(z|0)==0){B=A;break b}else{C=C-H|0;D=z;E=A;F=F+H|0;G=y}}if((H|0)!=0){B=-1;break}c[h>>2]=0;B=E}}while(0);if(!k){i=f;return B|0}c[b>>2]=c[h>>2];i=f;return B|0}function pX(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;f=i;i=i+8|0;g=f|0;if((b|0)==0){h=c[d>>2]|0;j=g|0;k=c[h>>2]|0;if((k|0)==0){l=0;i=f;return l|0}else{m=0;n=h;o=k}while(1){if(o>>>0>127>>>0){k=nX(j,o,0)|0;if((k|0)==-1){l=-1;p=26;break}else{q=k}}else{q=1}k=q+m|0;h=n+4|0;r=c[h>>2]|0;if((r|0)==0){l=k;p=26;break}else{m=k;n=h;o=r}}if((p|0)==26){i=f;return l|0}}a:do{if(e>>>0>3>>>0){o=e;n=b;m=c[d>>2]|0;while(1){q=c[m>>2]|0;if((q|0)==0){s=o;t=n;break a}if(q>>>0>127>>>0){j=nX(n,q,0)|0;if((j|0)==-1){l=-1;break}u=n+j|0;v=o-j|0;w=m}else{a[n]=q;u=n+1|0;v=o-1|0;w=c[d>>2]|0}q=w+4|0;c[d>>2]=q;if(v>>>0>3>>>0){o=v;n=u;m=q}else{s=v;t=u;break a}}i=f;return l|0}else{s=e;t=b}}while(0);b:do{if((s|0)==0){x=0}else{b=g|0;u=s;v=t;w=c[d>>2]|0;while(1){m=c[w>>2]|0;if((m|0)==0){p=24;break}if(m>>>0>127>>>0){n=nX(b,m,0)|0;if((n|0)==-1){l=-1;p=26;break}if(n>>>0>u>>>0){p=20;break}nX(v,c[w>>2]|0,0)|0;y=v+n|0;z=u-n|0;A=w}else{a[v]=m;y=v+1|0;z=u-1|0;A=c[d>>2]|0}m=A+4|0;c[d>>2]=m;if((z|0)==0){x=0;break b}else{u=z;v=y;w=m}}if((p|0)==20){l=e-u|0;i=f;return l|0}else if((p|0)==24){a[v]=0;x=u;break}else if((p|0)==26){i=f;return l|0}}}while(0);c[d>>2]=0;l=e-x|0;i=f;return l|0}function qX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0;e=i;i=i+104|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=e+32|0;l=e+40|0;m=e+48|0;n=e+56|0;o=iY(20)|0;p=o;if((o|0)==0){q=12;i=e;return q|0}r=iY(2048)|0;c[o+16>>2]=r;if((r|0)==0){jY(o);q=12;i=e;return q|0}c[o>>2]=512;c[o+4>>2]=10240;c[o+8>>2]=128;c[o+12>>2]=0;s=GX(0,0)|0;if((s|0)==0){jY(r);jY(o);q=12;i=e;return q|0}NY(n|0,0,44)|0;c[n>>2]=s;c[n+4>>2]=p;c[n+12>>2]=b;c[n+36>>2]=d;b=n+28|0;c[b>>2]=-1;r=rX(n)|0;a:do{if((r|0)==0){t=n+20|0;u=c[t>>2]|0;v=u-1|0;c[a>>2]=v;w=c[n+8>>2]|0;x=c[b>>2]|0;if((x|0)>-1){if((c[n+32>>2]|0)!=0){y=2;z=0;A=0;B=0;break}}if((x|0)>(v|0)){y=6;z=0;A=0;B=0;break}v=kY(1,68)|0;C=v;if((v|0)==0){y=12;z=C;A=0;B=0;break}D=x>>>31;c[v+60>>2]=D^1;c[v+64>>2]=c[n+32>>2];c[v+28>>2]=u;if((D|0)==1){if((d&8|0)==0){E=13}else{F=0}}else{E=13}if((E|0)==13){D=sX(0,p,w,C)|0;if((D|0)!=0){y=D;z=C;A=0;B=0;break}D=c[v+40>>2]|0;if((D|0)>0){u=(D<<2)+4|0;x=iY(u)|0;G=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[v+32>>2]=G;NY(x|0,-1|0,u|0)|0;H=G}else{H=0}G=kY(D<<1|1,4)|0;c[v+36>>2]=G;if((G|0)==0){y=12;z=C;A=0;B=0;break}G=kY(c[t>>2]|0,12)|0;if((G|0)==0){y=12;z=C;A=0;B=0;break}c[v+16>>2]=G;G=sX(s,p,w,C)|0;if((G|0)==0){F=H}else{y=G;z=C;A=0;B=0;break}}G=n+24|0;t=o+12|0;D=c[t>>2]|0;c[h>>2]=0;c[j>>2]=0;u=yX(p,w)|0;b:do{if((u|0)==0){x=yX(p,0)|0;if((x|0)!=0){I=x;break}x=o+16|0;J=c[t>>2]|0;c:do{if((J|0)>(D|0)){K=0;L=0;M=0;N=J;d:while(1){O=N-1|0;c[t>>2]=O;P=c[x>>2]|0;Q=c[P+(O<<2)>>2]|0;O=N-2|0;c[t>>2]=O;R=c[P+(O<<2)>>2]|0;do{if((Q|0)==0){O=c[R>>2]|0;if((O|0)==3){S=c[R+4>>2]|0;T=yX(p,c[S+4>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=yX(p,0)|0;if((T|0)!=0){U=T;V=L;break c}T=yX(p,c[S>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}W=yX(p,0)|0}else if((O|0)==1){T=c[R+4>>2]|0;S=yX(p,c[T+4>>2]|0)|0;if((S|0)!=0){U=S;V=L;break c}S=yX(p,0)|0;if((S|0)!=0){U=S;V=L;break c}S=yX(p,c[T>>2]|0)|0;if((S|0)!=0){U=S;V=L;break c}W=yX(p,0)|0}else if((O|0)==2){S=c[R+4>>2]|0;T=yX(p,K)|0;if((T|0)!=0){U=T;V=L;break c}T=yX(p,R)|0;if((T|0)!=0){U=T;V=L;break c}T=yX(p,1)|0;if((T|0)!=0){U=T;V=L;break c}T=yX(p,c[S>>2]|0)|0;if((T|0)!=0){U=T;V=L;break c}T=yX(p,0)|0;if((T|0)!=0){U=T;V=L;break c}if((c[S+4>>2]|0)>1){E=45}else{if((c[S+8>>2]|0)>1){E=45}else{X=K}}if((E|0)==45){E=0;c[h>>2]=0;X=0}Y=M+1|0;Z=L;_=X;break}else if((O|0)==0){O=c[R+4>>2]|0;S=c[O>>2]|0;if(!((S|0)>-1|(S|0)==-4)){Y=M;Z=L;_=K;break}S=O+8|0;O=(c[S>>2]|0)+K|0;c[S>>2]=O;if((O|0)<=(c[j>>2]|0)){Y=M;Z=L;_=K;break}c[j>>2]=O;Y=M;Z=L;_=K;break}else{Y=M;Z=L;_=K;break}if((W|0)==0){Y=M;Z=L;_=K}else{U=W;V=L;break c}}else if((Q|0)==1){O=R+4|0;S=c[O>>2]|0;T=N-3|0;c[t>>2]=T;$=c[P+(T<<2)>>2]|0;c[h>>2]=$;T=S+4|0;aa=c[T>>2]|0;do{if((aa|0)>1){c[k>>2]=0;ba=S;E=51}else{if((c[S+8>>2]|0)<=1){ca=$;break}c[k>>2]=0;da=S;if((aa|0)>0){ba=da;E=51}else{ea=aa;fa=0;ga=$;ha=da;E=60}}}while(0);e:do{if((E|0)==51){E=0;da=aa;ia=0;ja=1;ka=$;while(1){la=zX(s,p,c[ba>>2]|0,(ja|0)<(da|0)?1:2,h,F,l,j)|0;if((la|0)!=0){I=la;break b}la=c[l>>2]|0;if((ia|0)==0){ma=la}else{na=IX(s,0,0,1,32)|0;if((na|0)==0){I=12;break b}oa=IX(s,0,0,1,8)|0;pa=na+4|0;c[pa>>2]=oa;if((oa|0)==0){I=12;break b}c[na>>2]=1;c[na+8>>2]=-1;c[na+12>>2]=-1;c[oa>>2]=ia;c[(c[pa>>2]|0)+4>>2]=la;c[na+16>>2]=(c[la+16>>2]|0)+(c[ia+16>>2]|0);ma=na}if((ma|0)==0){I=12;break b}na=c[T>>2]|0;if((ja|0)>=(na|0)){ea=na;fa=ma;ga=ka;ha=ba;E=60;break e}da=na;ia=ma;ja=ja+1|0;ka=c[h>>2]|0}}}while(0);if((E|0)==60){E=0;T=S+8|0;aa=c[T>>2]|0;do{if((aa|0)==-1){ka=c[h>>2]|0;ja=zX(s,p,c[ha>>2]|0,0,h,0,k,j)|0;if((ja|0)!=0){I=ja;break b}ja=c[k>>2]|0;ia=IX(s,0,0,1,32)|0;da=ia;if((ia|0)==0){E=65;break d}na=IX(s,0,0,1,16)|0;c[ia+4>>2]=na;if((na|0)==0){E=65;break d}c[ia>>2]=2;c[ia+8>>2]=-1;c[ia+12>>2]=-1;c[na>>2]=ja;c[na+4>>2]=0;c[na+8>>2]=-1;la=na+12|0;c[la>>2]=c[la>>2]&-2;c[ia+16>>2]=c[ja+16>>2];c[k>>2]=da;qa=ka;ra=da}else{if((ea|0)<(aa|0)){sa=0;ta=ea}else{qa=ga;ra=0;break}while(1){da=c[h>>2]|0;ka=zX(s,p,c[ha>>2]|0,0,h,0,m,j)|0;if((ka|0)!=0){I=ka;break b}ka=c[m>>2]|0;if((sa|0)==0){ua=ka}else{ja=IX(s,0,0,1,32)|0;if((ja|0)==0){E=72;break d}ia=IX(s,0,0,1,8)|0;la=ja+4|0;c[la>>2]=ia;if((ia|0)==0){E=72;break d}c[ja>>2]=1;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ia>>2]=ka;c[(c[la>>2]|0)+4>>2]=sa;c[ja+16>>2]=(c[sa+16>>2]|0)+(c[ka+16>>2]|0);ua=ja}c[k>>2]=ua;if((ua|0)==0){I=12;break b}ja=IX(s,0,0,1,32)|0;if((ja|0)==0){I=12;break b}ka=IX(s,0,0,1,20)|0;c[ja+4>>2]=ka;if((ka|0)==0){I=12;break b}c[ja>>2]=0;c[ja+8>>2]=-1;c[ja+12>>2]=-1;c[ka>>2]=-1;c[ka+4>>2]=-1;c[ka+8>>2]=-1;ka=IX(s,0,0,1,32)|0;la=ka;if((ka|0)==0){E=78;break d}ia=IX(s,0,0,1,8)|0;na=ka+4|0;c[na>>2]=ia;if((ia|0)==0){E=78;break d}c[ka>>2]=3;c[ka+8>>2]=-1;c[ka+12>>2]=-1;c[ia>>2]=ja;c[(c[na>>2]|0)+4>>2]=ua;c[ka+16>>2]=(c[ua+16>>2]|0)+(c[ja+16>>2]|0);c[k>>2]=la;ja=ta+1|0;if((ja|0)<(c[T>>2]|0)){sa=la;ta=ja}else{qa=da;ra=la;break}}}}while(0);c[h>>2]=qa;do{if((fa|0)==0){va=ra;E=85}else{if((ra|0)==0){wa=fa;break}T=IX(s,0,0,1,32)|0;if((T|0)==0){I=12;break b}aa=IX(s,0,0,1,8)|0;S=T+4|0;c[S>>2]=aa;if((aa|0)==0){I=12;break b}c[T>>2]=1;c[T+8>>2]=-1;c[T+12>>2]=-1;c[aa>>2]=fa;c[(c[S>>2]|0)+4>>2]=ra;c[T+16>>2]=(c[ra+16>>2]|0)+(c[fa+16>>2]|0);va=T;E=85}}while(0);if((E|0)==85){E=0;if((va|0)==0){I=12;break b}else{wa=va}}c[O>>2]=c[wa+4>>2];c[R>>2]=c[wa>>2];ca=qa}T=M-1|0;S=ca-$+L|0;if((T|0)!=0){Y=T;Z=S;_=ca;break}c[h>>2]=S;Y=0;Z=S;_=S}else{Y=M;Z=L;_=K}}while(0);R=c[t>>2]|0;if((R|0)>(D|0)){K=_;L=Z;M=Y;N=R}else{U=0;V=Z;break c}}if((E|0)==65){c[k>>2]=0;I=12;break b}else if((E|0)==72){c[k>>2]=0;I=12;break b}else if((E|0)==78){c[k>>2]=0;I=12;break b}}else{U=0;V=0}}while(0);x=(c[G>>2]|0)+V|0;c[G>>2]=x;J=c[j>>2]|0;if((J|0)<=(x|0)){I=U;break}c[G>>2]=J;I=U}else{I=u}}while(0);if((I|0)!=0){y=I;z=C;A=0;B=0;break}u=c[G>>2]|0;c[G>>2]=u+1;D=IX(s,0,0,1,32)|0;if((D|0)==0){y=12;z=C;A=0;B=0;break}J=IX(s,0,0,1,20)|0;c[D+4>>2]=J;if((J|0)==0){y=12;z=C;A=0;B=0;break}c[D>>2]=0;c[D+8>>2]=-1;c[D+12>>2]=-1;c[J>>2]=0;c[J+4>>2]=0;c[J+8>>2]=u;u=IX(s,0,0,1,32)|0;J=u;if((u|0)==0){y=12;z=C;A=0;B=0;break}x=IX(s,0,0,1,8)|0;N=u+4|0;c[N>>2]=x;if((x|0)==0){y=12;z=C;A=0;B=0;break}c[u>>2]=1;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=w;c[(c[N>>2]|0)+4>>2]=D;c[u+16>>2]=(c[D+16>>2]|0)+(c[w+16>>2]|0);D=c[t>>2]|0;N=yX(p,u)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=yX(p,0)|0;if((N|0)!=0){y=N;z=C;A=0;B=0;break}N=c[t>>2]|0;f:do{if((N|0)>(D|0)){x=o+16|0;M=N;g:while(1){L=M-1|0;c[t>>2]=L;K=c[x>>2]|0;R=c[K+(L<<2)>>2]|0;L=M-2|0;c[t>>2]=L;xa=c[K+(L<<2)>>2]|0;do{if((R|0)==0){L=c[xa>>2]|0;if((L|0)==0){K=c[xa+4>>2]|0;P=K;Q=c[P>>2]|0;if((Q|0)==-4){c[xa+8>>2]=0;S=K+8|0;T=c[S>>2]|0;aa=IX(s,0,0,1,64)|0;if((aa|0)==0){E=105;break g}c[aa>>2]=T;c[aa+4>>2]=0;c[aa+8>>2]=1114111;c[aa+20>>2]=0;c[aa+24>>2]=0;NY(aa+28|0,-1|0,16)|0;c[xa+24>>2]=aa;aa=c[S>>2]|0;S=c[K+4>>2]|0;T=IX(s,0,0,1,64)|0;if((T|0)==0){E=107;break g}c[T>>2]=aa;c[T+4>>2]=0;c[T+8>>2]=1114111;c[T+20>>2]=0;c[T+24>>2]=0;c[T+28>>2]=S;c[T+32>>2]=-1;c[T+36>>2]=-1;c[T+40>>2]=-1;c[xa+28>>2]=T;break}T=xa+8|0;if((Q|0)<0){c[T>>2]=1;S=IX(s,0,0,1,32)|0;if((S|0)==0){E=111;break g}c[S>>2]=-1;c[S+4>>2]=-1;c[S+8>>2]=-1;c[xa+24>>2]=S;S=IX(s,0,0,1,32)|0;if((S|0)==0){E=113;break g}c[S>>2]=-1;c[S+4>>2]=-1;c[S+8>>2]=-1;c[xa+28>>2]=S;break}else{c[T>>2]=0;T=K+8|0;S=c[T>>2]|0;aa=K+4|0;la=c[aa>>2]|0;da=IX(s,0,0,1,64)|0;if((da|0)==0){E=116;break g}c[da>>2]=S;c[da+4>>2]=Q;c[da+8>>2]=la;c[da+20>>2]=0;c[da+24>>2]=0;NY(da+28|0,-1|0,16)|0;c[xa+24>>2]=da;da=c[T>>2]|0;T=c[P>>2]|0;P=c[aa>>2]|0;aa=c[K+12>>2]|0;la=c[K+16>>2]|0;K=IX(s,0,0,1,64)|0;if((K|0)==0){E=118;break g}c[K>>2]=da;c[K+4>>2]=T;c[K+8>>2]=P;c[K+20>>2]=aa;c[K+24>>2]=la;NY(K+28|0,-1|0,16)|0;c[xa+28>>2]=K;break}}else if((L|0)==3){K=yX(p,xa)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=yX(p,1)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=xa+4|0;la=yX(p,c[(c[K>>2]|0)+4>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=yX(p,0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=yX(p,c[c[K>>2]>>2]|0)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=yX(p,0)|0;if((la|0)==0){break}else{y=la;z=C;A=0;B=0;break a}}else if((L|0)==1){la=yX(p,xa)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=yX(p,2)|0;if((la|0)!=0){y=la;z=C;A=0;B=0;break a}la=xa+4|0;K=yX(p,c[(c[la>>2]|0)+4>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=yX(p,0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=yX(p,c[c[la>>2]>>2]|0)|0;if((K|0)!=0){y=K;z=C;A=0;B=0;break a}K=yX(p,0)|0;if((K|0)==0){break}else{y=K;z=C;A=0;B=0;break a}}else if((L|0)==2){L=yX(p,xa)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=yX(p,3)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=yX(p,c[c[xa+4>>2]>>2]|0)|0;if((L|0)!=0){y=L;z=C;A=0;B=0;break a}L=yX(p,0)|0;if((L|0)==0){break}else{y=L;z=C;A=0;B=0;break a}}else{break}}else if((R|0)==1){L=c[xa+4>>2]|0;K=L;la=c[K>>2]|0;aa=L+4|0;L=c[aa>>2]|0;if((c[la+8>>2]|0)==0){ya=(c[L+8>>2]|0)!=0|0}else{ya=1}c[xa+8>>2]=ya;P=wX(s,c[la+24>>2]|0,c[L+24>>2]|0,0,0)|0;c[xa+24>>2]=P;if((P|0)==0){y=12;z=C;A=0;B=0;break a}P=wX(s,c[(c[K>>2]|0)+28>>2]|0,c[(c[aa>>2]|0)+28>>2]|0,0,0)|0;c[xa+28>>2]=P;if((P|0)==0){y=12;z=C;A=0;B=0;break a}}else if((R|0)==3){P=c[xa+4>>2]|0;aa=P;K=c[aa>>2]|0;do{if((c[P+4>>2]|0)==0){E=142}else{if((c[K+8>>2]|0)!=0){E=142;break}c[xa+8>>2]=0}}while(0);if((E|0)==142){E=0;c[xa+8>>2]=1}c[xa+24>>2]=c[K+24>>2];c[xa+28>>2]=c[(c[aa>>2]|0)+28>>2]}else if((R|0)==2){P=c[xa+4>>2]|0;L=P;la=c[L>>2]|0;T=la+8|0;if((c[T>>2]|0)==0){za=0}else{za=(c[(c[P+4>>2]|0)+8>>2]|0)!=0|0}c[xa+8>>2]=za;if((c[T>>2]|0)==0){c[xa+24>>2]=c[la+24>>2];Aa=P+4|0}else{T=xX(p,la,0,0,f)|0;if((T|0)!=0){y=T;z=C;A=0;B=0;break a}Ba=iY((c[f>>2]<<2)+4|0)|0;T=Ba;if((Ba|0)==0){y=12;z=C;A=0;B=0;break a}c[T>>2]=-1;c[g>>2]=0;Ca=xX(p,c[L>>2]|0,T,g,0)|0;if((Ca|0)!=0){E=151;break g}la=P+4|0;P=xa+24|0;c[P>>2]=wX(s,c[(c[la>>2]|0)+24>>2]|0,c[(c[L>>2]|0)+24>>2]|0,T,c[g>>2]|0)|0;jY(Ba);if((c[P>>2]|0)==0){y=12;z=C;A=0;B=0;break a}else{Aa=la}}la=c[Aa>>2]|0;if((c[la+8>>2]|0)==0){c[xa+28>>2]=c[la+28>>2];break}P=xX(p,la,0,0,f)|0;if((P|0)!=0){y=P;z=C;A=0;B=0;break a}Da=iY((c[f>>2]<<2)+4|0)|0;P=Da;if((Da|0)==0){y=12;z=C;A=0;B=0;break a}c[P>>2]=-1;c[g>>2]=0;Ea=xX(p,c[Aa>>2]|0,P,g,0)|0;if((Ea|0)!=0){E=158;break g}la=xa+28|0;c[la>>2]=wX(s,c[(c[L>>2]|0)+28>>2]|0,c[(c[Aa>>2]|0)+28>>2]|0,P,c[g>>2]|0)|0;jY(Da);if((c[la>>2]|0)==0){y=12;z=C;A=0;B=0;break a}}}while(0);M=c[t>>2]|0;if((M|0)<=(D|0)){break f}}if((E|0)==105){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==107){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==111){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==113){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==116){c[xa+24>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==118){c[xa+28>>2]=0;y=12;z=C;A=0;B=0;break a}else if((E|0)==151){jY(Ba);y=Ca;z=C;A=0;B=0;break a}else if((E|0)==158){jY(Da);y=Ea;z=C;A=0;B=0;break a}}}while(0);D=c[G>>2]|0;t=D<<2;N=iY(t)|0;w=N;if((N|0)==0){y=12;z=C;A=w;B=0;break}M=iY(t)|0;t=M;if((M|0)==0){y=12;z=C;A=w;B=t;break}if((D|0)>0){NY(N|0,0,((D|0)>1?D<<2:4)|0)|0}tX(J,0,w,0)|0;D=c[G>>2]|0;if((D|0)>0){x=0;R=0;while(1){c[t+(x<<2)>>2]=R;la=w+(x<<2)|0;P=R+1+(c[la>>2]|0)|0;c[la>>2]=0;la=x+1|0;if((la|0)<(D|0)){x=la;R=P}else{Fa=P;break}}}else{Fa=0}R=kY(Fa+1|0,32)|0;x=R;if((R|0)==0){y=12;z=C;A=w;B=t;break}c[v>>2]=x;R=v+4|0;c[R>>2]=Fa;D=tX(J,x,w,t)|0;if((D|0)!=0){y=D;z=C;A=w;B=t;break}c[v+20>>2]=0;D=u+24|0;P=c[D>>2]|0;if((c[P>>2]|0)>-1){la=1;L=P;while(1){P=L+32|0;T=la+1|0;if((c[P>>2]|0)>-1){la=T;L=P}else{Ga=T;break}}}else{Ga=1}L=kY(Ga,32)|0;la=L;if((L|0)==0){y=12;z=C;A=w;B=t;break}c[v+8>>2]=la;L=c[D>>2]|0;J=c[L>>2]|0;if((J|0)>-1){T=0;P=L;L=J;while(1){c[la+(T<<5)+8>>2]=x+(c[t+(L<<2)>>2]<<5);c[la+(T<<5)+12>>2]=L;J=la+(T<<5)+16|0;c[J>>2]=0;da=P+12|0;Q=c[da>>2]|0;if((Q|0)!=0){S=0;while(1){Ha=S+1|0;if((c[Q+(S<<2)>>2]|0)>-1){S=Ha}else{break}}S=Ha<<2;Q=iY(S)|0;c[J>>2]=Q;if((Q|0)==0){y=12;z=C;A=w;B=t;break a}MY(Q|0,c[da>>2]|0,S)|0}c[la+(T<<5)+20>>2]=c[P+16>>2];S=T+1|0;Q=P+32|0;ja=c[Q>>2]|0;if((ja|0)>-1){T=S;P=Q;L=ja}else{Ia=S;break}}}else{Ia=0}c[la+(Ia<<5)+8>>2]=0;c[R>>2]=Fa;c[v+12>>2]=x+(c[t+(c[c[u+28>>2]>>2]<<2)>>2]<<5);c[v+52>>2]=c[G>>2];c[v+56>>2]=d;HX(s);jY(c[o+16>>2]|0);jY(o);jY(N);jY(M);c[a+4>>2]=v;q=0;i=e;return q|0}else{y=r;z=0;A=0;B=0}}while(0);HX(s);jY(c[o+16>>2]|0);jY(o);if((A|0)!=0){jY(A)}if((B|0)!=0){jY(B)}c[a+4>>2]=z;uX(a);q=y;i=e;return q|0}function rX(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0;d=i;i=i+424|0;e=d|0;f=d+8|0;g=d+72|0;h=d+328|0;j=d+336|0;k=d+384|0;l=d+392|0;m=c[b+4>>2]|0;n=m+12|0;o=c[n>>2]|0;if((c[b+40>>2]|0)==0){p=b+20|0;yX(m,c[p>>2]|0)|0;yX(m,2)|0;c[p>>2]=(c[p>>2]|0)+1}p=yX(m,0)|0;q=b+12|0;r=b+16|0;c[r>>2]=c[q>>2];s=c[n>>2]|0;t=(p|0)==0;a:do{if((s|0)>(o|0)&t){u=m+16|0;v=b+36|0;w=b|0;x=b+24|0;y=b+20|0;z=g;A=f|0;B=b+28|0;C=l|0;D=k|0;E=k+1|0;F=j;G=b;H=j+12|0;I=j+40|0;J=j+24|0;K=j+8|0;L=0;M=0;N=s;b:while(1){O=N-1|0;c[n>>2]=O;P=c[u>>2]|0;c:do{switch(c[P+(O<<2)>>2]|0){case 7:{Q=c[q>>2]|0;R=a[Q]|0;if((R|0)==41){c[q>>2]=Q+1;S=0;T=M;U=L;break c}else if((R|0)!=124){S=0;T=M;U=L;break c}R=yX(m,7)|0;if((R|0)!=0){V=R;W=M;X=6;break b}R=yX(m,L)|0;if((R|0)!=0){V=R;W=M;X=6;break b}R=yX(m,8)|0;if((R|0)!=0){V=R;W=M;X=6;break b}R=yX(m,3)|0;if((R|0)!=0){V=R;W=M;X=6;break b}c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=L;break};case 5:{R=c[q>>2]|0;Q=a[R]|0;if(Q<<24>>24==0){S=0;T=M;U=L;break c}Y=c[v>>2]&1;Z=(Y|0)!=0;if(Z&Q<<24>>24==124){S=0;T=M;U=L;break c}do{if(!(Z&Q<<24>>24==41&(M|0)>0)){if((Y|0)==0&Q<<24>>24==92){if((a[R+1|0]|0)==41){break}}_=yX(m,5)|0;if((_|0)!=0){V=_;W=M;X=6;break b}_=yX(m,L)|0;if((_|0)!=0){V=_;W=M;X=6;break b}_=yX(m,6)|0;if((_|0)!=0){V=_;W=M;X=6;break b}S=yX(m,4)|0;T=M;U=L;break c}}while(0);Q=(Y|M|0)==0?8:0;Z=M-1|0;if((Y|0)!=0){S=Q;T=Z;U=L;break c}c[q>>2]=R+2;S=Q;T=Z;U=L;break};case 8:{Z=N-2|0;c[n>>2]=Z;Q=c[P+(Z<<2)>>2]|0;Z=c[w>>2]|0;_=IX(Z,0,0,1,32)|0;if((_|0)==0){$=12;X=293;break b}aa=IX(Z,0,0,1,8)|0;Z=_+4|0;c[Z>>2]=aa;if((aa|0)==0){$=12;X=293;break b}c[_>>2]=3;c[_+8>>2]=-1;c[_+12>>2]=-1;c[aa>>2]=Q;c[(c[Z>>2]|0)+4>>2]=L;c[_+16>>2]=(c[L+16>>2]|0)+(c[Q+16>>2]|0);S=0;T=M;U=_;break};case 4:{_=yX(m,9)|0;if((_|0)!=0){V=_;W=M;X=6;break b}S=yX(m,1)|0;T=M;U=L;break};case 3:{_=yX(m,5)|0;if((_|0)!=0){V=_;W=M;X=6;break b}S=yX(m,4)|0;T=M;U=L;break};case 0:{if((c[v>>2]&1|0)!=0){_=yX(m,7)|0;if((_|0)!=0){V=_;W=M;X=6;break b}}S=yX(m,3)|0;T=M;U=L;break};case 6:{_=N-2|0;c[n>>2]=_;Q=c[P+(_<<2)>>2]|0;_=c[w>>2]|0;Z=IX(_,0,0,1,32)|0;if((Z|0)==0){$=12;X=293;break b}aa=IX(_,0,0,1,8)|0;_=Z+4|0;c[_>>2]=aa;if((aa|0)==0){$=12;X=293;break b}c[Z>>2]=1;c[Z+8>>2]=-1;c[Z+12>>2]=-1;c[aa>>2]=Q;c[(c[_>>2]|0)+4>>2]=L;c[Z+16>>2]=(c[L+16>>2]|0)+(c[Q+16>>2]|0);S=0;T=M;U=Z;break};case 9:{Z=c[q>>2]|0;Q=a[Z]|0;switch(Q<<24>>24|0){case 92:{_=c[v>>2]|0;if((_&1|0)!=0){S=0;T=M;U=L;break c}aa=Z+1|0;if((a[aa]|0)!=123){S=0;T=M;U=L;break c}c[q>>2]=aa;ba=aa;ca=_;break};case 123:{_=c[v>>2]|0;if((_&1|0)==0){S=0;T=M;U=L;break c}else{ba=Z;ca=_}break};case 43:case 63:{if((c[v>>2]&1|0)==0){S=0;T=M;U=L;break c}else{X=41}break};case 42:{X=41;break};default:{S=0;T=M;U=L;break c}}if((X|0)==41){X=0;c[q>>2]=Z+1;Z=c[w>>2]|0;_=IX(Z,0,0,1,32)|0;if((_|0)==0){$=12;X=293;break b}aa=IX(Z,0,0,1,16)|0;c[_+4>>2]=aa;if((aa|0)==0){$=12;X=293;break b}c[_>>2]=2;c[_+8>>2]=-1;c[_+12>>2]=-1;c[aa>>2]=L;c[aa+4>>2]=Q<<24>>24==43;c[aa+8>>2]=Q<<24>>24==63?1:-1;Q=aa+12|0;c[Q>>2]=c[Q>>2]&-2;c[_+16>>2]=c[L+16>>2];S=yX(m,9)|0;T=M;U=_;break c}_=ba+1|0;c[q>>2]=_;Q=a[_]|0;if((Q-48&255)>>>0<10>>>0){aa=Q<<24>>24;if((aa-48|0)>>>0<10>>>0){da=-1;ea=_;fa=aa}else{$=10;X=293;break b}while(1){aa=((da|0)<0?-48:(da*10|0)-48|0)+fa|0;Z=ea+1|0;ga=a[Z]|0;ha=ga<<24>>24;if((ha-48|0)>>>0<10>>>0){da=aa;ea=Z;fa=ha}else{ia=aa;ja=Z;ka=ga;break}}}else{ia=-1;ja=_;ka=Q}do{if(ka<<24>>24==44){R=ja+1|0;Y=a[R]|0;ga=Y<<24>>24;if((ga-48|0)>>>0<10>>>0){la=-1;ma=R;na=ga}else{oa=R;pa=-1;qa=Y;break}while(1){Y=((la|0)<0?-48:(la*10|0)-48|0)+na|0;R=ma+1|0;ga=a[R]|0;Z=ga<<24>>24;if((Z-48|0)>>>0<10>>>0){la=Y;ma=R;na=Z}else{ra=Y;sa=R;ta=ga;X=54;break}}}else{ra=ia;sa=ja;ta=ka;X=54}}while(0);do{if((X|0)==54){X=0;if(!((ra|0)>-1)){oa=sa;pa=ra;qa=ta;break}if((ia|0)>(ra|0)|(ra|0)>255){$=10;X=293;break b}else{oa=sa;pa=ra;qa=ta}}}while(0);if(qa<<24>>24==0){$=9;X=293;break b}if((oa|0)==(_|0)){$=10;X=293;break b}if((ca&1|0)==0){if(!(qa<<24>>24==92)){$=10;X=293;break b}if((a[oa+1|0]|0)!=125){$=10;X=293;break b}ua=oa+2|0}else{if(!(qa<<24>>24==125)){$=10;X=293;break b}ua=oa+1|0}if((pa|ia|0)==0){Q=c[w>>2]|0;ga=IX(Q,0,0,1,32)|0;if((ga|0)==0){$=12;X=293;break b}R=IX(Q,0,0,1,20)|0;c[ga+4>>2]=R;if((R|0)==0){$=12;X=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[R>>2]=-1;c[R+4>>2]=-1;c[R+8>>2]=-1;va=ga}else{ga=(pa&ia|0)<0;R=c[w>>2]|0;Q=IX(R,0,0,1,32)|0;if((Q|0)==0){$=12;X=293;break b}Y=IX(R,0,0,1,16)|0;c[Q+4>>2]=Y;if((Y|0)==0){$=12;X=293;break b}c[Q>>2]=2;c[Q+8>>2]=-1;c[Q+12>>2]=-1;c[Y>>2]=L;c[Y+4>>2]=ga?1:ia;c[Y+8>>2]=ga?1:pa;ga=Y+12|0;c[ga>>2]=c[ga>>2]&-2;c[Q+16>>2]=c[L+16>>2];va=Q}c[q>>2]=ua;S=yX(m,9)|0;T=M;U=va;break};case 1:{Q=c[q>>2]|0;d:do{switch(a[Q]|0){case 40:{if((c[v>>2]&1|0)!=0){wa=Q;X=74}break};case 91:{ga=Q+1|0;c[q>>2]=ga;Y=iY(128)|0;if((Y|0)==0){$=12;X=293;break b}if((a[ga]|0)==94){R=Q+2|0;c[q>>2]=R;xa=1;ya=R}else{xa=0;ya=ga}ga=(xa|0)==0;R=ya;Z=32;aa=0;ha=0;za=Y;e:while(1){Y=a[R]|0;if((Y<<24>>24|0)==93){if(R>>>0>(c[q>>2]|0)>>>0){X=85;break}}else if((Y<<24>>24|0)==0){Aa=R;Ba=7;Ca=za;X=140;break}Y=mX(e,R,-1)|0;if((Y|0)<0){c[e>>2]=-1;Da=1}else{Da=Y}Y=R+Da|0;do{if((a[Y]|0)==45){Ea=Da+1|0;Fa=R+Ea|0;if((a[Fa]|0)==93){X=94;break}Ga=c[e>>2]|0;Ha=mX(e,Fa,-1)|0;if((Ha|0)<0){c[e>>2]=-1;Ia=1;Ja=-1}else{Ia=Ha;Ja=c[e>>2]|0}Ka=R+(Ia+Ea)|0;La=Ja;Ma=Ga;Na=Ga>>>0>Ja>>>0?11:0;Oa=0}else{X=94}}while(0);f:do{if((X|0)==94){X=0;Ga=a[R]|0;do{if((Ga<<24>>24|0)==91){Ea=a[R+1|0]|0;if((Ea<<24>>24|0)==46|(Ea<<24>>24|0)==61){Aa=R;Ba=3;Ca=za;X=140;break e}else if((Ea<<24>>24|0)!=58){Pa=0;break}Ea=R+2|0;Ha=Ea;while(1){Fa=a[Ha]|0;Qa=Fa<<24>>24==0;if(Fa<<24>>24!=58&(Qa^1)){Ha=Ha+1|0}else{break}}if(Qa){Aa=R;Ba=4;Ca=za;X=140;break e}Fa=Ha-R-2|0;Ra=(Fa|0)>63?63:Fa;LY(A|0,Ea|0,Ra|0)|0;a[f+Ra|0]=0;Ra=YW(A)|0;Ka=Ha+2|0;La=1114111;Ma=0;Na=(Ra|0)==0?4:0;Oa=Ra;break f}else if((Ga<<24>>24|0)==45){if((a[R+1|0]|0)==93){Pa=0;break}Pa=(c[q>>2]|0)==(R|0)?0:11}else{Pa=0}}while(0);Ga=c[e>>2]|0;Ka=Y;La=Ga;Ma=Ga;Na=Pa;Oa=0}}while(0);if((Na|0)!=0){Aa=Ka;Ba=Na;Ca=za;X=140;break}Y=(Oa|0)!=0;do{if(ga|Y^1){Ga=c[w>>2]|0;if((aa|0)<(Z|0)){Sa=Z;Ta=za}else{if((Z|0)>1024){Aa=Ka;Ba=12;Ca=za;X=140;break e}Ra=lY(za,Z<<3)|0;if((Ra|0)==0){Aa=Ka;Ba=12;Ca=za;X=140;break e}else{Sa=Z<<1;Ta=Ra}}Ra=IX(Ga,0,0,1,32)|0;if((Ra|0)==0){X=112;break e}Fa=IX(Ga,0,0,1,20)|0;Ga=Ra+4|0;c[Ga>>2]=Fa;if((Fa|0)==0){X=112;break e}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=Ma;c[Fa+4>>2]=La;c[Fa+8>>2]=-1;c[Ta+(aa<<2)>>2]=Ra;c[(c[Ga>>2]|0)+12>>2]=Oa;Va=0;Wa=Sa;Xa=aa+1|0;Ya=ha;Za=Ta}else{if((ha|0)>63){Va=12;Wa=Z;Xa=aa;Ya=ha;Za=za;break}c[g+(ha<<2)>>2]=Oa;Va=0;Wa=Z;Xa=aa;Ya=ha+1|0;Za=za}}while(0);Ga=(Va|0)==0;if(Ga&(((c[v>>2]&2|0)==0|Y)^1)){_a=Ma;$a=Wa;ab=Xa;bb=Za}else{if(Ga){R=Ka;Z=Wa;aa=Xa;ha=Ya;za=Za;continue}else{Aa=Ka;Ba=Va;Ca=Za;X=140;break}}while(1){Ga=_a;while(1){if(Ga>>>0>La>>>0){R=Ka;Z=$a;aa=ab;ha=Ya;za=bb;continue e}if(($W(Ga)|0)!=0){X=118;break}cb=Ga+1|0;if((dX(Ga)|0)==0){Ga=cb}else{X=129;break}}if((X|0)==118){X=0;Ra=fX(Ga)|0;Fa=Ga+1|0;g:do{if(($W(Fa)|0)==0){db=Ra;eb=Fa}else{fb=Ra;gb=Fa;while(1){if((fX(gb)|0)!=(fb+1|0)|gb>>>0>La>>>0){db=fb;eb=gb;break g}hb=fX(gb)|0;ib=gb+1|0;if(($W(ib)|0)==0){db=hb;eb=ib;break}else{fb=hb;gb=ib}}}}while(0);Fa=c[w>>2]|0;if((ab|0)<($a|0)){jb=$a;kb=bb}else{if(($a|0)>1024){Aa=Ka;Ba=12;Ca=bb;X=140;break e}gb=lY(bb,$a<<3)|0;if((gb|0)==0){Aa=Ka;Ba=12;Ca=bb;X=140;break e}else{jb=$a<<1;kb=gb}}gb=IX(Fa,0,0,1,32)|0;fb=gb;do{if((gb|0)==0){lb=0}else{Ha=IX(Fa,0,0,1,20)|0;c[gb+4>>2]=Ha;if((Ha|0)==0){lb=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Ha>>2]=Ra;c[Ha+4>>2]=db;c[Ha+8>>2]=-1;lb=fb}}while(0);c[kb+(ab<<2)>>2]=lb;mb=eb;nb=jb;ob=lb;pb=kb}else if((X|0)==129){X=0;fb=hX(Ga)|0;h:do{if((dX(cb)|0)==0){qb=cb;rb=fb}else{Ra=cb;gb=fb;while(1){if((hX(Ra)|0)!=(gb+1|0)|Ra>>>0>La>>>0){qb=Ra;rb=gb;break h}Fa=Ra+1|0;Ha=hX(Ra)|0;if((dX(Fa)|0)==0){qb=Fa;rb=Ha;break}else{Ra=Fa;gb=Ha}}}}while(0);Ga=c[w>>2]|0;if((ab|0)<($a|0)){sb=$a;tb=bb}else{if(($a|0)>1024){Aa=Ka;Ba=12;Ca=bb;X=140;break e}gb=lY(bb,$a<<3)|0;if((gb|0)==0){Aa=Ka;Ba=12;Ca=bb;X=140;break e}else{sb=$a<<1;tb=gb}}gb=IX(Ga,0,0,1,32)|0;Ra=gb;do{if((gb|0)==0){ub=0}else{Ha=IX(Ga,0,0,1,20)|0;c[gb+4>>2]=Ha;if((Ha|0)==0){ub=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Ha>>2]=fb;c[Ha+4>>2]=rb;c[Ha+8>>2]=-1;ub=Ra}}while(0);c[tb+(ab<<2)>>2]=ub;mb=qb;nb=sb;ob=ub;pb=tb}if((ob|0)==0){X=141;break e}else{_a=mb;$a=nb;ab=ab+1|0;bb=pb}}}i:do{if((X|0)==85){X=0;c[q>>2]=R+1;Z=(xa|0)!=0;if(Z){Fc(za|0,aa|0,4,46)}j:do{if((aa|0)>0){ga=(ha|0)>0;Y=ha<<2;Ra=Y+4|0;if(Z){vb=0;wb=0;xb=0;yb=0}else{fb=0;gb=0;while(1){Ga=za+(fb<<2)|0;Ha=c[(c[Ga>>2]|0)+4>>2]|0;do{if((Ha|0)==0){zb=gb;Ab=0}else{c[Ha+8>>2]=c[x>>2];if(ga){Fa=IX(c[w>>2]|0,0,0,0,Ra)|0;Ea=Ha+16|0;c[Ea>>2]=Fa;if((Fa|0)==0){Bb=gb;Cb=12;Db=za;break i}MY(Fa|0,z|0,Y)|0;c[(c[Ea>>2]|0)+(ha<<2)>>2]=0}else{c[Ha+16>>2]=0}if((gb|0)==0){zb=c[Ga>>2]|0;Ab=0;break}Ea=c[w>>2]|0;Fa=c[Ga>>2]|0;ib=IX(Ea,0,0,1,32)|0;hb=ib;do{if((ib|0)==0){Eb=0}else{Fb=IX(Ea,0,0,1,8)|0;Gb=ib+4|0;c[Gb>>2]=Fb;if((Fb|0)==0){Eb=0;break}c[ib>>2]=3;c[ib+8>>2]=-1;c[ib+12>>2]=-1;c[Fb>>2]=gb;c[(c[Gb>>2]|0)+4>>2]=Fa;c[ib+16>>2]=(c[Fa+16>>2]|0)+(c[gb+16>>2]|0);Eb=hb}}while(0);zb=Eb;Ab=(Eb|0)==0?12:0}}while(0);Ga=fb+1|0;if((Ga|0)<(aa|0)&(Ab|0)==0){fb=Ga;gb=zb}else{Hb=Ab;Ib=0;Jb=zb;break j}}}while(1){gb=za+(vb<<2)|0;fb=c[(c[gb>>2]|0)+4>>2]|0;Ga=fb;Ha=c[Ga>>2]|0;hb=fb+4|0;Fa=c[hb>>2]|0;do{if((Ha|0)<(wb|0)){ib=Fa+1|0;Kb=yb;Lb=0;Mb=(ib|0)<(wb|0)?wb:ib;Nb=xb}else{ib=Ha-1|0;if((ib|0)<(xb|0)){Ea=Fa+1|0;Kb=yb;Lb=0;Mb=Ea;Nb=Ea;break}c[Ga>>2]=xb;c[hb>>2]=ib;ib=Fa+1|0;if((fb|0)==0){Kb=yb;Lb=0;Mb=ib;Nb=ib;break}c[fb+8>>2]=c[x>>2];if(ga){Ea=IX(c[w>>2]|0,0,0,0,Ra)|0;Gb=fb+16|0;c[Gb>>2]=Ea;if((Ea|0)==0){Bb=yb;Cb=12;Db=za;break i}MY(Ea|0,z|0,Y)|0;c[(c[Gb>>2]|0)+(ha<<2)>>2]=0}else{c[fb+16>>2]=0}if((yb|0)==0){Kb=c[gb>>2]|0;Lb=0;Mb=ib;Nb=ib;break}Gb=c[w>>2]|0;Ea=c[gb>>2]|0;Fb=IX(Gb,0,0,1,32)|0;Ob=Fb;do{if((Fb|0)==0){Pb=0}else{Qb=IX(Gb,0,0,1,8)|0;Rb=Fb+4|0;c[Rb>>2]=Qb;if((Qb|0)==0){Pb=0;break}c[Fb>>2]=3;c[Fb+8>>2]=-1;c[Fb+12>>2]=-1;c[Qb>>2]=yb;c[(c[Rb>>2]|0)+4>>2]=Ea;c[Fb+16>>2]=(c[Ea+16>>2]|0)+(c[yb+16>>2]|0);Pb=Ob}}while(0);Kb=Pb;Lb=(Pb|0)==0?12:0;Mb=ib;Nb=ib}}while(0);gb=vb+1|0;if((gb|0)<(aa|0)&(Lb|0)==0){vb=gb;wb=Mb;xb=Nb;yb=Kb}else{Hb=Lb;Ib=Nb;Jb=Kb;break}}}else{Hb=0;Ib=0;Jb=0}}while(0);if((Hb|0)!=0|Z^1){Bb=Jb;Cb=Hb;Db=za;break}Y=c[w>>2]|0;Ra=c[x>>2]|0;ga=IX(Y,0,0,1,32)|0;gb=ga;if((ga|0)==0){Bb=Jb;Cb=12;Db=za;break}fb=IX(Y,0,0,1,20)|0;c[ga+4>>2]=fb;if((fb|0)==0){Bb=Jb;Cb=12;Db=za;break}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[fb>>2]=Ib;c[fb+4>>2]=1114111;c[fb+8>>2]=Ra;if((ha|0)>0){Ra=ha<<2;Y=IX(c[w>>2]|0,0,0,0,Ra+4|0)|0;Fa=fb+16|0;c[Fa>>2]=Y;if((Y|0)==0){Bb=Jb;Cb=12;Db=za;break}MY(Y|0,z|0,Ra)|0;c[(c[Fa>>2]|0)+(ha<<2)>>2]=0}else{c[fb+16>>2]=0}if((Jb|0)==0){Bb=gb;Cb=0;Db=za;break}fb=c[w>>2]|0;Fa=IX(fb,0,0,1,32)|0;Ra=Fa;do{if((Fa|0)==0){Sb=0}else{Y=IX(fb,0,0,1,8)|0;hb=Fa+4|0;c[hb>>2]=Y;if((Y|0)==0){Sb=0;break}c[Fa>>2]=3;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[Y>>2]=Jb;c[(c[hb>>2]|0)+4>>2]=gb;c[Fa+16>>2]=(c[ga+16>>2]|0)+(c[Jb+16>>2]|0);Sb=Ra}}while(0);Bb=Sb;Cb=(Sb|0)==0?12:0;Db=za}else if((X|0)==112){X=0;c[Ta+(aa<<2)>>2]=0;Aa=Ka;Ba=12;Ca=Ta;X=140}else if((X|0)==141){X=0;c[q>>2]=Ka;Bb=0;Cb=12;Db=pb}}while(0);if((X|0)==140){X=0;c[q>>2]=Aa;Bb=0;Cb=Ba;Db=Ca}jY(Db);c[x>>2]=(c[x>>2]|0)+1;if((Cb|0)==0){S=0;T=M;U=Bb;break c}else{$=Cb;X=293;break b}break};case 92:{aa=Q+1|0;za=a[aa]|0;do{if((c[v>>2]&1|0)==0){if(za<<24>>24==40){c[q>>2]=aa;wa=aa;X=74;break d}else{ha=a[Q+1|0]|0;if(ha<<24>>24==41){X=264;break d}else{Tb=ha;break}}}else{Tb=za}}while(0);za=Q+1|0;aa=Tb<<24>>24==0;if(aa){$=5;X=293;break b}else{Ub=0}while(1){if((Ub|0)==12){break}if((a[1528+(Ub<<3)|0]|0)==Tb<<24>>24){X=193;break}else{Ub=Ub+1|0}}if((X|0)==193){X=0;ha=c[1532+(Ub<<3)>>2]|0;MY(F|0,G|0,40)|0;c[H>>2]=ha;c[I>>2]=1;ha=rX(j)|0;if((ha|0)!=0){$=ha;X=293;break b}c[q>>2]=(c[q>>2]|0)+2;c[x>>2]=c[J>>2];S=0;T=M;U=c[K>>2]|0;break c}if(aa){$=5;X=293;break b}c[q>>2]=za;ha=a[za]|0;k:do{switch(ha|0){case 98:{R=c[w>>2]|0;Ra=IX(R,0,0,1,32)|0;ga=Ra;do{if((Ra|0)==0){Vb=0}else{Fa=IX(R,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Vb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=64;c[Fa+8>>2]=-1;Vb=ga}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Vb;break};case 66:{ga=c[w>>2]|0;Ra=IX(ga,0,0,1,32)|0;R=Ra;do{if((Ra|0)==0){Xb=0}else{Fa=IX(ga,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Xb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=128;c[Fa+8>>2]=-1;Xb=R}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Xb;break};case 60:{R=c[w>>2]|0;Ra=IX(R,0,0,1,32)|0;ga=Ra;do{if((Ra|0)==0){Yb=0}else{Fa=IX(R,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Yb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=16;c[Fa+8>>2]=-1;Yb=ga}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Yb;break};case 62:{ga=c[w>>2]|0;Ra=IX(ga,0,0,1,32)|0;R=Ra;do{if((Ra|0)==0){Zb=0}else{Fa=IX(ga,0,0,1,20)|0;c[Ra+4>>2]=Fa;if((Fa|0)==0){Zb=0;break}c[Ra>>2]=0;c[Ra+8>>2]=-1;c[Ra+12>>2]=-1;c[Fa>>2]=-2;c[Fa+4>>2]=32;c[Fa+8>>2]=-1;Zb=R}}while(0);c[q>>2]=(c[q>>2]|0)+1;Wb=Zb;break};case 120:{R=Q+2|0;c[q>>2]=R;Ra=a[R]|0;if(Ra<<24>>24==123){R=Q+3|0;c[q>>2]=R;ga=0;Fa=R;while(1){R=a[Fa]|0;if((R<<24>>24|0)==125|(R<<24>>24|0)==0){_b=Fa;$b=ga;break}if((eX(R<<24>>24)|0)==0){$=9;X=293;break b}R=c[q>>2]|0;a[l+ga|0]=a[R]|0;gb=ga+1|0;fb=R+1|0;c[q>>2]=fb;if(gb>>>0>31>>>0){_b=fb;$b=gb;break}else{ga=gb;Fa=fb}}c[q>>2]=_b+1;a[l+$b|0]=0;Fa=Ua(C|0,0,16)|0;ga=c[w>>2]|0;fb=c[x>>2]|0;gb=IX(ga,0,0,1,32)|0;R=gb;do{if((gb|0)==0){ac=0}else{Z=IX(ga,0,0,1,20)|0;c[gb+4>>2]=Z;if((Z|0)==0){ac=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Z>>2]=Fa;c[Z+4>>2]=Fa;c[Z+8>>2]=fb;ac=R}}while(0);c[x>>2]=(c[x>>2]|0)+1;Wb=ac;break k}else{NY(D|0,0,3)|0;R=(eX(Ra<<24>>24)|0)==0;fb=c[q>>2]|0;if(R){bc=fb}else{a[D]=a[fb]|0;R=fb+1|0;c[q>>2]=R;bc=R}if((eX(a[bc]|0)|0)!=0){R=c[q>>2]|0;a[E]=a[R]|0;c[q>>2]=R+1}R=Ua(D|0,0,16)|0;fb=c[w>>2]|0;Fa=c[x>>2]|0;gb=IX(fb,0,0,1,32)|0;ga=gb;do{if((gb|0)==0){cc=0}else{Z=IX(fb,0,0,1,20)|0;c[gb+4>>2]=Z;if((Z|0)==0){cc=0;break}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[Z>>2]=R;c[Z+4>>2]=R;c[Z+8>>2]=Fa;cc=ga}}while(0);c[x>>2]=(c[x>>2]|0)+1;Wb=cc;break k}break};default:{if((ZW(ha)|0)!=0){ga=(a[c[q>>2]|0]|0)-48|0;Fa=c[w>>2]|0;R=c[x>>2]|0;gb=IX(Fa,0,0,1,32)|0;if((gb|0)==0){$=12;X=293;break b}fb=IX(Fa,0,0,1,20)|0;c[gb+4>>2]=fb;if((fb|0)==0){$=12;X=293;break b}c[gb>>2]=0;c[gb+8>>2]=-1;c[gb+12>>2]=-1;c[fb>>2]=-4;c[fb+4>>2]=ga;c[fb+8>>2]=R;c[x>>2]=(c[x>>2]|0)+1;R=c[B>>2]|0;c[B>>2]=(ga|0)<(R|0)?R:ga;c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=gb;break c}gb=c[w>>2]|0;ga=a[c[q>>2]|0]|0;R=c[x>>2]|0;fb=IX(gb,0,0,1,32)|0;Fa=fb;do{if((fb|0)==0){dc=0}else{Ra=IX(gb,0,0,1,20)|0;c[fb+4>>2]=Ra;if((Ra|0)==0){dc=0;break}c[fb>>2]=0;c[fb+8>>2]=-1;c[fb+12>>2]=-1;c[Ra>>2]=ga;c[Ra+4>>2]=ga;c[Ra+8>>2]=R;dc=Fa}}while(0);c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+1;Wb=dc}}}while(0);if((Wb|0)==0){$=12;X=293;break b}else{S=0;T=M;U=Wb;break c}break};case 46:{ha=(c[v>>2]&4|0)==0;za=c[w>>2]|0;aa=c[x>>2]|0;Fa=IX(za,0,0,1,32)|0;R=Fa;ga=(Fa|0)==0;if(ha){if(ga){$=12;X=293;break b}ha=IX(za,0,0,1,20)|0;c[Fa+4>>2]=ha;if((ha|0)==0){$=12;X=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ha>>2]=0;c[ha+4>>2]=1114111;c[ha+8>>2]=aa;ec=(c[x>>2]|0)+1|0;fc=R}else{if(ga){$=12;X=293;break b}ga=IX(za,0,0,1,20)|0;c[Fa+4>>2]=ga;if((ga|0)==0){$=12;X=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[ga>>2]=0;c[ga+4>>2]=9;c[ga+8>>2]=aa;aa=c[w>>2]|0;ga=(c[x>>2]|0)+1|0;za=IX(aa,0,0,1,32)|0;if((za|0)==0){$=12;X=293;break b}ha=IX(aa,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;X=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=11;c[ha+4>>2]=1114111;c[ha+8>>2]=ga;ga=c[w>>2]|0;ha=IX(ga,0,0,1,32)|0;if((ha|0)==0){$=12;X=293;break b}aa=IX(ga,0,0,1,8)|0;ga=ha+4|0;c[ga>>2]=aa;if((aa|0)==0){$=12;X=293;break b}c[ha>>2]=3;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[aa>>2]=R;c[(c[ga>>2]|0)+4>>2]=za;c[ha+16>>2]=(c[za+16>>2]|0)+(c[Fa+16>>2]|0);ec=(c[x>>2]|0)+2|0;fc=ha}c[x>>2]=ec;c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=fc;break c;break};case 94:{if((c[v>>2]&1|0)==0){if((Q|0)!=(c[r>>2]|0)){break d}ha=yX(m,5)|0;if((ha|0)!=0){V=ha;W=M;X=6;break b}}ha=c[w>>2]|0;Fa=IX(ha,0,0,1,32)|0;if((Fa|0)==0){$=12;X=293;break b}za=IX(ha,0,0,1,20)|0;c[Fa+4>>2]=za;if((za|0)==0){$=12;X=293;break b}c[Fa>>2]=0;c[Fa+8>>2]=-1;c[Fa+12>>2]=-1;c[za>>2]=-2;c[za+4>>2]=1;c[za+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=Fa;break c;break};case 36:{if((c[v>>2]&1|0)==0){if((a[Q+1|0]|0)!=0){break d}}Fa=c[w>>2]|0;za=IX(Fa,0,0,1,32)|0;if((za|0)==0){$=12;X=293;break b}ha=IX(Fa,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;X=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=-2;c[ha+4>>2]=2;c[ha+8>>2]=-1;c[q>>2]=(c[q>>2]|0)+1;S=0;T=M;U=za;break c;break};case 41:{if((M|0)!=0){X=263}break};case 42:case 124:case 123:case 43:case 63:{X=263;break};case 0:{X=264;break};default:{}}}while(0);if((X|0)==74){X=0;_=M+1|0;c[q>>2]=wa+1;za=yX(m,c[y>>2]|0)|0;if((za|0)!=0){V=za;W=_;X=6;break b}za=yX(m,2)|0;if((za|0)!=0){V=za;W=_;X=6;break b}za=yX(m,0)|0;if((za|0)!=0){V=za;W=_;X=6;break b}c[y>>2]=(c[y>>2]|0)+1;S=0;T=_;U=L;break c}else if((X|0)==263){X=0;if((c[v>>2]&1|0)!=0){X=264}}if((X|0)==264){X=0;_=c[w>>2]|0;za=IX(_,0,0,1,32)|0;if((za|0)==0){$=12;X=293;break b}ha=IX(_,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;X=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=-1;c[ha+4>>2]=-1;c[ha+8>>2]=-1;S=0;T=M;U=za;break c}za=mX(h,Q,-1)|0;if((za|0)<0){c[h>>2]=-1;gc=1}else{gc=za}do{if((c[v>>2]&2|0)==0){X=279}else{if((dX(c[h>>2]|0)|0)==0){if(($W(c[h>>2]|0)|0)==0){X=279;break}}za=c[w>>2]|0;ha=fX(c[h>>2]|0)|0;_=fX(c[h>>2]|0)|0;Fa=c[x>>2]|0;ga=IX(za,0,0,1,32)|0;if((ga|0)==0){$=12;X=293;break b}R=IX(za,0,0,1,20)|0;c[ga+4>>2]=R;if((R|0)==0){$=12;X=293;break b}c[ga>>2]=0;c[ga+8>>2]=-1;c[ga+12>>2]=-1;c[R>>2]=ha;c[R+4>>2]=_;c[R+8>>2]=Fa;Fa=c[w>>2]|0;R=hX(c[h>>2]|0)|0;_=hX(c[h>>2]|0)|0;ha=c[x>>2]|0;za=IX(Fa,0,0,1,32)|0;if((za|0)==0){$=12;X=293;break b}aa=IX(Fa,0,0,1,20)|0;c[za+4>>2]=aa;if((aa|0)==0){$=12;X=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[aa>>2]=R;c[aa+4>>2]=_;c[aa+8>>2]=ha;ha=c[w>>2]|0;aa=IX(ha,0,0,1,32)|0;if((aa|0)==0){$=12;X=293;break b}_=IX(ha,0,0,1,8)|0;ha=aa+4|0;c[ha>>2]=_;if((_|0)==0){$=12;X=293;break b}c[aa>>2]=3;c[aa+8>>2]=-1;c[aa+12>>2]=-1;c[_>>2]=ga;c[(c[ha>>2]|0)+4>>2]=za;c[aa+16>>2]=(c[za+16>>2]|0)+(c[ga+16>>2]|0);hc=aa}}while(0);if((X|0)==279){X=0;Q=c[w>>2]|0;aa=c[h>>2]|0;ga=c[x>>2]|0;za=IX(Q,0,0,1,32)|0;if((za|0)==0){$=12;X=293;break b}ha=IX(Q,0,0,1,20)|0;c[za+4>>2]=ha;if((ha|0)==0){$=12;X=293;break b}c[za>>2]=0;c[za+8>>2]=-1;c[za+12>>2]=-1;c[ha>>2]=aa;c[ha+4>>2]=aa;c[ha+8>>2]=ga;hc=za}c[x>>2]=(c[x>>2]|0)+1;c[q>>2]=(c[q>>2]|0)+gc;S=0;T=M;U=hc;break};case 2:{za=N-2|0;c[n>>2]=za;ga=c[P+(za<<2)>>2]|0;if((c[L+12>>2]|0)>-1){za=c[w>>2]|0;ha=IX(za,0,0,1,32)|0;if((ha|0)==0){$=12;X=293;break b}aa=IX(za,0,0,1,20)|0;c[ha+4>>2]=aa;if((aa|0)==0){$=12;X=293;break b}c[ha>>2]=0;c[ha+8>>2]=-1;c[ha+12>>2]=-1;c[aa>>2]=-1;c[aa+4>>2]=-1;c[aa+8>>2]=-1;aa=c[w>>2]|0;za=IX(aa,0,0,1,32)|0;if((za|0)==0){$=12;X=293;break b}Q=IX(aa,0,0,1,8)|0;aa=za+4|0;c[aa>>2]=Q;if((Q|0)==0){$=12;X=293;break b}c[za>>2]=1;c[za+8>>2]=-1;c[za+12>>2]=-1;c[Q>>2]=ha;c[(c[aa>>2]|0)+4>>2]=L;aa=L+16|0;Q=za+16|0;c[Q>>2]=(c[aa>>2]|0)+(c[ha+16>>2]|0);c[Q>>2]=c[aa>>2];ic=za}else{ic=L}c[ic+12>>2]=ga;ga=ic+16|0;c[ga>>2]=(c[ga>>2]|0)+1;S=0;T=M;U=ic;break};case 10:{ga=N-2|0;c[n>>2]=ga;c[v>>2]=c[P+(ga<<2)>>2];S=0;T=M;U=L;break};default:{S=0;T=M;U=L}}}while(0);P=c[n>>2]|0;O=(S|0)==0;if((P|0)>(o|0)&O){L=U;M=T;N=P}else{jc=U;kc=T;lc=S;mc=O;break a}}if((X|0)==6){jc=L;kc=W;lc=V;mc=(V|0)==0;break}else if((X|0)==293){i=d;return $|0}}else{jc=0;kc=0;lc=p;mc=t}}while(0);t=(kc|0)>0;if(t|mc^1){$=t?8:lc;i=d;return $|0}c[b+8>>2]=jc;$=0;i=d;return $|0}function sX(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;f=b+12|0;g=c[f>>2]|0;h=(a|0)==0|(e|0)==0;if(!h){c[e+48>>2]=0;c[c[e+36>>2]>>2]=-1}i=c[e+28>>2]|0;j=iY((i<<3)+8|0)|0;k=j;if((j|0)==0){l=12;return l|0}c[k>>2]=-1;m=iY((i<<2)+4|0)|0;n=m;if((m|0)==0){jY(j);l=12;return l|0}c[n>>2]=-1;o=0;while(1){if(o>>>0>i>>>0){break}else{o=o+1|0}}yX(b,d)|0;d=yX(b,0)|0;o=c[f>>2]|0;a:do{if((o|0)>(g|0)&(d|0)==0){i=b+16|0;p=e+32|0;q=e+16|0;r=e+36|0;s=0;t=-1;u=1;v=0;w=0;x=0;y=k;z=o;while(1){A=z-1|0;c[f>>2]=A;B=c[i>>2]|0;b:do{switch(c[B+(A<<2)>>2]|0){case 6:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;C=0;do{E=y+(C<<2)|0;C=C+1|0}while((c[E>>2]|0)>-1);c[E>>2]=D<<1|1;c[y+(C<<2)>>2]=-1;F=0;while(1){if((c[n+(F<<2)>>2]|0)>-1){F=F+1|0}else{break}}c[n+(F-1<<2)>>2]=-1;G=0;H=y;I=x;J=w;K=v;L=u;M=t;N=s;break};case 1:{C=z-2|0;c[f>>2]=C;D=c[B+(C<<2)>>2]|0;if(h){C=c[(c[c[D+4>>2]>>2]|0)+20>>2]|0;O=z-3|0;c[f>>2]=O;c[D+20>>2]=(c[B+(O<<2)>>2]|0)+C;G=0;H=y;I=x;J=w;K=v;L=u;M=-1;N=s;break b}else{C=z-3|0;c[f>>2]=C;O=c[B+(C<<2)>>2]|0;C=z-4|0;c[f>>2]=C;D=(O|0)==0;G=0;H=y;I=x;J=w;K=v;L=u;M=D?t:c[B+(C<<2)>>2]|0;N=D&1;break b}break};case 4:{D=z-2|0;c[f>>2]=D;C=c[B+(D<<2)>>2]|0;D=z-3|0;c[f>>2]=D;G=0;H=y;I=x;J=w;K=(C|0)>-1?C:v;L=c[B+(D<<2)>>2]|0;M=t;N=s;break};case 5:{D=z-2|0;c[f>>2]=D;C=c[B+(D<<2)>>2]|0;if(!h){G=0;H=y;I=x;J=w;K=v;L=u;M=t;N=s;break b}D=c[C+4>>2]|0;c[C+20>>2]=(c[(c[D+4>>2]|0)+20>>2]|0)+(c[(c[D>>2]|0)+20>>2]|0);G=0;H=y;I=x;J=w;K=v;L=u;M=t;N=s;break};case 2:{D=y;while(1){if((c[D>>2]|0)>-1){D=D+4|0}else{G=0;H=D;I=x;J=w;K=v;L=u;M=t;N=s;break}}break};case 3:{D=c[B+(z-2<<2)>>2]|0;F=c[B+(z-3<<2)>>2]|0;C=c[B+(z-4<<2)>>2]|0;O=z-5|0;c[f>>2]=O;if(h){P=c[C+4>>2]|0;Q=C+16|0;c[C+20>>2]=(c[(c[P>>2]|0)+20>>2]|0)+(c[B+(O<<2)>>2]|0)+(c[(c[P+4>>2]|0)+20>>2]|0)+((c[Q>>2]|0)>0?2:0);R=c[f>>2]|0;S=Q}else{R=O;S=C+16|0}C=c[B+(R-1<<2)>>2]|0;O=R-2|0;c[f>>2]=O;Q=c[B+(O<<2)>>2]|0;O=R-3|0;c[f>>2]=O;P=c[B+(O<<2)>>2]|0;if((c[S>>2]|0)<=0){G=0;H=C;I=x;J=w;K=v;L=u;M=t;N=1;break b}if(h){T=0}else{BX(a,D,Q)|0;c[(c[p>>2]|0)+(Q<<2)>>2]=1;Q=BX(a,F,P)|0;c[(c[p>>2]|0)+(P<<2)>>2]=1;T=Q}G=T;H=C;I=x+2|0;J=w;K=v;L=u;M=t;N=1;break};case 0:{C=z-2|0;c[f>>2]=C;Q=c[B+(C<<2)>>2]|0;C=Q;P=Q+12|0;F=c[P>>2]|0;if((F|0)>-1){D=0;do{U=y+(D<<2)|0;D=D+1|0}while((c[U>>2]|0)>-1);c[U>>2]=F<<1;c[y+(D<<2)>>2]=-1;do{if(!h){O=0;while(1){if((c[n+(O<<2)>>2]|0)>-1){O=O+1|0}else{break}}c[(c[q>>2]|0)+(F*12|0)+8>>2]=0;if((O|0)<=0){break}V=iY((O<<2)+4|0)|0;W=V;if((V|0)==0){X=t;Y=v;Z=w;_=x;$=y;aa=12;break a}c[(c[q>>2]|0)+(F*12|0)+8>>2]=W;V=c[n>>2]|0;if((V|0)>-1){ba=0;ca=V;V=W;while(1){c[V>>2]=ca;da=ba+1|0;ea=c[n+(da<<2)>>2]|0;fa=W+(da<<2)|0;if((ea|0)>-1){ba=da;ca=ea;V=fa}else{ga=fa;break}}}else{ga=W}c[ga>>2]=-1}}while(0);F=yX(b,c[P>>2]|0)|0;if((F|0)!=0){X=t;Y=v;Z=w;_=x;$=y;aa=F;break a}F=yX(b,6)|0;if((F|0)!=0){X=t;Y=v;Z=w;_=x;$=y;aa=F;break a}}F=c[Q>>2]|0;do{if((F|0)==1){D=c[Q+4>>2]|0;V=c[D>>2]|0;ca=c[D+4>>2]|0;D=yX(b,Q)|0;if((D|0)!=0){ha=D;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}D=yX(b,5)|0;if((D|0)!=0){ha=D;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}D=yX(b,ca)|0;if((D|0)!=0){ha=D;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}D=yX(b,0)|0;if((D|0)!=0){ha=D;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}D=V+20|0;ba=yX(b,(c[D>>2]|0)+u|0)|0;if((ba|0)!=0){ha=ba;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if((c[D>>2]|0)>0){D=(c[ca+20>>2]|0)>0;oa=(D&1)+u|0;pa=D?u:-1}else{oa=u;pa=-1}D=yX(b,pa)|0;if((D|0)!=0){ha=D;ia=x;ja=w;ka=v;la=oa;ma=t;na=s;break}D=yX(b,4)|0;if((D|0)!=0){ha=D;ia=x;ja=w;ka=v;la=oa;ma=t;na=s;break}D=yX(b,V)|0;if((D|0)!=0){ha=D;ia=x;ja=w;ka=v;la=oa;ma=t;na=s;break}ha=yX(b,0)|0;ia=x;ja=w;ka=v;la=oa;ma=t;na=s}else if((F|0)==0){D=c[c[Q+4>>2]>>2]|0;if(!((D|0)>-1|(D|0)==-4)){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(!((c[y>>2]|0)>-1)){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(h){c[Q+20>>2]=1;qa=0;ra=w;sa=t}else{D=AX(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){V=c[r>>2]|0;ca=0;while(1){ta=V+(ca<<2)|0;ua=ca+1|0;if((c[ta>>2]|0)>-1){ca=ua}else{break}}c[ta>>2]=v;c[V+(ua<<2)>>2]=t;c[V+(ca+2<<2)>>2]=-1;va=w+1|0;wa=-1}else{va=w;wa=t}W=c[y>>2]|0;if((W|0)>-1){ba=c[q>>2]|0;O=0;fa=W;do{W=(fa|0)/2|0;if((fa&1|0)==0){c[ba+(W*12|0)>>2]=v}else{c[ba+(W*12|0)+4>>2]=v}O=O+1|0;fa=c[y+(O<<2)>>2]|0;}while((fa|0)>-1)}c[y>>2]=-1;qa=D;ra=va;sa=wa}c[y>>2]=-1;ha=qa;ia=x+1|0;ja=ra;ka=u;la=u+1|0;ma=sa;na=s}else if((F|0)==3){fa=c[Q+4>>2]|0;O=c[fa>>2]|0;ba=c[fa+4>>2]|0;fa=(c[y>>2]|0)>-1;ca=u+1|0;V=yX(b,fa?ca:u)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=yX(b,fa?u:v)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=yX(b,y)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=yX(b,(c[y>>2]|0)>>>31^1)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=yX(b,Q)|0;if((V|0)!=0){ha=V;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}V=ba;ba=yX(b,V)|0;if((ba|0)!=0){ha=ba;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}ba=O;O=yX(b,ba)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=yX(b,3)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=yX(b,V)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=yX(b,0)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=yX(b,2)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=yX(b,ba)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}O=yX(b,0)|0;if((O|0)!=0){ha=O;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if((c[y>>2]|0)>-1){if(h){xa=0;ya=w;za=t}else{O=AX(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=s;if((t|0)>-1){ba=c[r>>2]|0;V=0;while(1){Aa=ba+(V<<2)|0;Ba=V+1|0;if((c[Aa>>2]|0)>-1){V=Ba}else{break}}c[Aa>>2]=v;c[ba+(Ba<<2)>>2]=t;c[ba+(V+2<<2)>>2]=-1;Ca=w+1|0;Da=-1}else{Ca=w;Da=t}D=c[y>>2]|0;if((D|0)>-1){fa=c[q>>2]|0;W=0;ea=D;do{D=(ea|0)/2|0;if((ea&1|0)==0){c[fa+(D*12|0)>>2]=v}else{c[fa+(D*12|0)+4>>2]=v}W=W+1|0;ea=c[y+(W<<2)>>2]|0;}while((ea|0)>-1)}c[y>>2]=-1;xa=O;ya=Ca;za=Da}c[y>>2]=-1;Ea=xa;Fa=x+1|0;Ga=ya;Ha=u;Ia=ca;Ja=za}else{Ea=0;Fa=x;Ga=w;Ha=v;Ia=u;Ja=t}if((c[Q+16>>2]|0)<=0){ha=Ea;ia=Fa;ja=Ga;ka=Ha;la=Ia;ma=Ja;na=s;break}ha=Ea;ia=Fa;ja=Ga;ka=Ia+1|0;la=Ia+2|0;ma=Ja;na=s}else if((F|0)==2){ea=c[Q+4>>2]|0;if(h){if((c[y>>2]|0)>-1){Ka=1}else{Ka=c[ea+12>>2]&1}W=yX(b,Ka)|0;if((W|0)!=0){ha=W;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}}else{W=yX(b,v)|0;if((W|0)!=0){ha=W;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}W=yX(b,c[ea+12>>2]&1)|0;if((W|0)!=0){ha=W;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}}W=yX(b,Q)|0;if((W|0)!=0){ha=W;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}W=yX(b,1)|0;if((W|0)!=0){ha=W;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}W=yX(b,c[ea>>2]|0)|0;if((W|0)!=0){ha=W;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}W=yX(b,0)|0;if((W|0)!=0){ha=W;ia=x;ja=w;ka=v;la=u;ma=t;na=s;break}if(!((c[y>>2]|0)>-1)){if((c[ea+12>>2]&1|0)==0){ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=0;break}}if(h){La=0;Ma=w;Na=t}else{W=AX(a,C,v)|0;c[(c[p>>2]|0)+(v<<2)>>2]=(c[ea+12>>2]&1|0)==0?s:1;if((t|0)>-1){ea=c[r>>2]|0;fa=0;while(1){Oa=ea+(fa<<2)|0;Pa=fa+1|0;if((c[Oa>>2]|0)>-1){fa=Pa}else{break}}c[Oa>>2]=v;c[ea+(Pa<<2)>>2]=t;c[ea+(fa+2<<2)>>2]=-1;Qa=w+1|0;Ra=-1}else{Qa=w;Ra=t}ca=c[y>>2]|0;if((ca|0)>-1){O=c[q>>2]|0;V=0;ba=ca;do{ca=(ba|0)/2|0;if((ba&1|0)==0){c[O+(ca*12|0)>>2]=v}else{c[O+(ca*12|0)+4>>2]=v}V=V+1|0;ba=c[y+(V<<2)>>2]|0;}while((ba|0)>-1)}c[y>>2]=-1;La=W;Ma=Qa;Na=Ra}c[y>>2]=-1;ha=La;ia=x+1|0;ja=Ma;ka=u;la=u+1|0;ma=Na;na=0}else{ha=0;ia=x;ja=w;ka=v;la=u;ma=t;na=s}}while(0);C=c[P>>2]|0;if((C|0)>-1){Sa=0}else{G=ha;H=y;I=ia;J=ja;K=ka;L=la;M=ma;N=na;break b}do{Ta=n+(Sa<<2)|0;Sa=Sa+1|0}while((c[Ta>>2]|0)>-1);c[Ta>>2]=C;c[n+(Sa<<2)>>2]=-1;G=ha;H=y;I=ia;J=ja;K=ka;L=la;M=ma;N=na;break};default:{G=0;H=y;I=x;J=w;K=v;L=u;M=t;N=s}}}while(0);B=c[f>>2]|0;if((B|0)>(g|0)&(G|0)==0){s=N;t=M;u=L;v=K;w=J;x=I;y=H;z=B}else{X=M;Y=K;Z=J;_=I;$=H;aa=G;break a}}}else{X=-1;Y=0;Z=0;_=0;$=k;aa=d}}while(0);do{if(h){Ua=Z}else{d=c[$>>2]|0;if((d|0)>-1){k=c[e+16>>2]|0;G=0;H=d;do{d=(H|0)/2|0;if((H&1|0)==0){c[k+(d*12|0)>>2]=Y}else{c[k+(d*12|0)+4>>2]=Y}G=G+1|0;H=c[$+(G<<2)>>2]|0;}while((H|0)>-1)}c[$>>2]=-1;if(!((X|0)>-1)){Ua=Z;break}H=c[e+36>>2]|0;G=0;while(1){Va=H+(G<<2)|0;Wa=G+1|0;if((c[Va>>2]|0)>-1){G=Wa}else{break}}c[Va>>2]=Y;c[H+(Wa<<2)>>2]=X;c[H+(G+2<<2)>>2]=-1;Ua=Z+1|0}}while(0);c[e+48>>2]=_;c[e+40>>2]=_;c[e+44>>2]=Ua;jY(j);jY(m);l=aa;return l|0}function tX(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0;f=a;a:while(1){a=c[f>>2]|0;do{if((a|0)==1){g=c[f+4>>2]|0;h=g;i=g+4|0;g=vX(c[(c[h>>2]|0)+28>>2]|0,c[(c[i>>2]|0)+24>>2]|0,b,d,e)|0;if((g|0)!=0){j=g;k=10;break a}g=tX(c[h>>2]|0,b,d,e)|0;if((g|0)==0){l=i}else{j=g;k=10;break a}}else if((a|0)==2){g=c[f+4>>2]|0;i=g;if(!((c[g+8>>2]|0)==-1)){l=i;break}g=c[i>>2]|0;h=vX(c[g+28>>2]|0,c[g+24>>2]|0,b,d,e)|0;if((h|0)==0){l=i}else{j=h;k=10;break a}}else if((a|0)==3){h=c[f+4>>2]|0;i=tX(c[h>>2]|0,b,d,e)|0;if((i|0)!=0){j=i;k=10;break a}l=h+4|0}else{j=0;k=10;break a}}while(0);f=c[l>>2]|0}if((k|0)==10){return j|0}return 0}function uX(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;b=c[a+4>>2]|0;if((b|0)==0){return}a=b+4|0;d=b;e=c[d>>2]|0;if((c[a>>2]|0)==0){f=e}else{g=0;h=e;while(1){do{if((c[h+(g<<5)+8>>2]|0)==0){i=h}else{e=c[h+(g<<5)+16>>2]|0;if((e|0)==0){j=h}else{jY(e);j=c[d>>2]|0}e=c[j+(g<<5)+28>>2]|0;if((e|0)==0){i=j;break}jY(e);i=c[d>>2]|0}}while(0);e=g+1|0;if(e>>>0<(c[a>>2]|0)>>>0){g=e;h=i}else{f=i;break}}}if((f|0)!=0){jY(f)}f=b+8|0;i=c[f>>2]|0;if((i|0)!=0){if((c[i+8>>2]|0)==0){k=i}else{h=i;while(1){i=c[h+16>>2]|0;if((i|0)!=0){jY(i)}if((c[h+40>>2]|0)==0){break}else{h=h+32|0}}k=c[f>>2]|0}jY(k)}k=b+16|0;f=c[k>>2]|0;if((f|0)!=0){h=b+28|0;i=c[h>>2]|0;if((i|0)==0){l=f}else{g=0;a=f;f=i;while(1){i=c[a+(g*12|0)+8>>2]|0;if((i|0)==0){m=f;n=a}else{jY(i);m=c[h>>2]|0;n=c[k>>2]|0}i=g+1|0;if(i>>>0<m>>>0){g=i;a=n;f=m}else{l=n;break}}}jY(l)}l=c[b+32>>2]|0;if((l|0)!=0){jY(l)}l=c[b+20>>2]|0;if((l|0)!=0){jY(l)}l=c[b+36>>2]|0;if((l|0)!=0){jY(l)}jY(b);return}function vX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;g=a|0;a=c[g>>2]|0;h=(a|0)>-1;if((d|0)==0){if(!h){i=0;return i|0}j=b|0;k=g;l=a;while(1){a:do{if((c[j>>2]|0)>-1){a=b;m=l;while(1){n=e+(m<<2)|0;c[n>>2]=(c[n>>2]|0)+1;n=a+32|0;if(!((c[n>>2]|0)>-1)){break a}a=n;m=c[k>>2]|0}}}while(0);m=k+32|0;a=c[m>>2]|0;if((a|0)>-1){k=m;l=a}else{i=0;break}}return i|0}if(h){o=g}else{i=0;return i|0}b:while(1){g=o+4|0;h=o+8|0;l=o+16|0;k=o+20|0;e=o+24|0;j=o+28|0;a=o+12|0;m=-1;n=b;c:while(1){p=n;while(1){q=p|0;r=c[q>>2]|0;if(!((r|0)>-1)){break c}s=p+32|0;if((r|0)==(m|0)){p=s}else{break}}t=d+(c[f+(c[o>>2]<<2)>>2]<<5)|0;while(1){u=t+8|0;if((c[u>>2]|0)==0){break}else{t=t+32|0}}c[t+40>>2]=0;c[t>>2]=c[g>>2];c[t+4>>2]=c[h>>2];v=c[q>>2]|0;c[u>>2]=d+(c[f+(v<<2)>>2]<<5);c[t+12>>2]=v;v=c[k>>2]|0;w=c[e>>2]|0;x=c[p+16>>2]|c[l>>2]|((v|0)!=0?4:0)|((w|0)!=0?8:0);y=t+20|0;c[y>>2]=x;z=c[j>>2]|0;A=t+24|0;if((z|0)>-1){c[A>>2]=z;c[y>>2]=x|256}else{c[A>>2]=v}if((w|0)==0){c[t+28>>2]=0}else{v=0;while(1){B=v+1|0;if((c[w+(v<<2)>>2]|0)==0){break}else{v=B}}v=iY(B<<2)|0;w=v;c[t+28>>2]=w;if((v|0)==0){i=12;C=45;break b}v=c[e>>2]|0;A=c[v>>2]|0;if((A|0)==0){D=w}else{x=0;y=A;A=w;while(1){c[A>>2]=y;z=x+1|0;E=c[v+(z<<2)>>2]|0;F=w+(z<<2)|0;if((E|0)==0){D=F;break}else{x=z;y=E;A=F}}}c[D>>2]=0}A=c[a>>2]|0;if((A|0)==0){G=0}else{y=0;while(1){if((c[A+(y<<2)>>2]|0)>-1){y=y+1|0}else{G=y;break}}}y=p+12|0;A=c[y>>2]|0;if((A|0)==0){H=0}else{x=0;while(1){if((c[A+(x<<2)>>2]|0)>-1){x=x+1|0}else{H=x;break}}}x=t+16|0;A=c[x>>2]|0;if((A|0)!=0){jY(A)}c[x>>2]=0;A=H+G|0;if((A|0)<=0){m=r;n=s;continue}p=iY((A<<2)+4|0)|0;A=p;c[x>>2]=A;if((p|0)==0){i=12;C=45;break b}p=c[a>>2]|0;do{if((p|0)==0){I=0}else{x=c[p>>2]|0;if((x|0)>-1){J=0;K=x}else{I=0;break}while(1){c[A+(J<<2)>>2]=K;x=J+1|0;w=c[p+(x<<2)>>2]|0;if((w|0)>-1){J=x;K=w}else{I=x;break}}}}while(0);p=c[y>>2]|0;do{if((p|0)==0){L=I}else{t=c[p>>2]|0;if((t|0)>-1){M=0;N=I;O=t}else{L=I;break}while(1){t=0;while(1){if((t|0)>=(I|0)){C=37;break}if((c[A+(t<<2)>>2]|0)==(c[p+(M<<2)>>2]|0)){P=N;break}else{t=t+1|0}}if((C|0)==37){C=0;c[A+(N<<2)>>2]=O;P=N+1|0}t=M+1|0;x=c[p+(t<<2)>>2]|0;if((x|0)>-1){M=t;N=P;O=x}else{L=P;break}}}}while(0);c[A+(L<<2)>>2]=-1;m=r;n=s}n=o+32|0;if((c[n>>2]|0)>-1){o=n}else{i=0;C=45;break}}if((C|0)==45){return i|0}return 0}function wX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;g=(e|0)==0;if(g){h=0}else{i=0;while(1){if((c[e+(i<<2)>>2]|0)>-1){i=i+1|0}else{h=i;break}}}i=0;while(1){if((c[b+(i<<5)>>2]|0)>-1){i=i+1|0}else{j=0;break}}while(1){if((c[d+(j<<5)>>2]|0)>-1){j=j+1|0}else{break}}k=IX(a,0,0,1,(j+i<<5)+32|0)|0;i=k;if((k|0)==0){l=0;return l|0}k=c[b>>2]|0;a:do{if((k|0)>-1){j=(h|0)>0;m=0;n=k;while(1){c[i+(m<<5)>>2]=n;c[i+(m<<5)+4>>2]=c[b+(m<<5)+4>>2];c[i+(m<<5)+8>>2]=c[b+(m<<5)+8>>2];c[i+(m<<5)+16>>2]=c[b+(m<<5)+16>>2]|f;c[i+(m<<5)+20>>2]=c[b+(m<<5)+20>>2];c[i+(m<<5)+24>>2]=c[b+(m<<5)+24>>2];c[i+(m<<5)+28>>2]=c[b+(m<<5)+28>>2];o=b+(m<<5)+12|0;p=c[o>>2]|0;q=(p|0)==0;if(q&g){c[i+(m<<5)+12>>2]=0}else{b:do{if(q){r=0}else{s=0;while(1){if(!((c[p+(s<<2)>>2]|0)>-1)){r=s;break b}s=s+1|0}}}while(0);p=IX(a,0,0,0,(r+h<<2)+4|0)|0;q=p;if((p|0)==0){l=0;break}if((r|0)>0){p=c[o>>2]|0;s=0;while(1){c[q+(s<<2)>>2]=c[p+(s<<2)>>2];t=s+1|0;if((t|0)<(r|0)){s=t}else{u=r;break}}}else{u=0}if(j){s=0;while(1){c[q+(s+u<<2)>>2]=c[e+(s<<2)>>2];p=s+1|0;if((p|0)<(h|0)){s=p}else{v=h;break}}}else{v=0}c[q+(v+u<<2)>>2]=-1;c[i+(m<<5)+12>>2]=q}s=m+1|0;p=c[b+(s<<5)>>2]|0;if((p|0)>-1){m=s;n=p}else{w=s;break a}}return l|0}else{w=0}}while(0);b=c[d>>2]|0;u=i+(w<<5)|0;c:do{if((b|0)>-1){v=0;h=b;e=w;r=u;while(1){c[r>>2]=h;c[i+(e<<5)+4>>2]=c[d+(v<<5)+4>>2];c[i+(e<<5)+8>>2]=c[d+(v<<5)+8>>2];c[i+(e<<5)+16>>2]=c[d+(v<<5)+16>>2];c[i+(e<<5)+20>>2]=c[d+(v<<5)+20>>2];c[i+(e<<5)+24>>2]=c[d+(v<<5)+24>>2];c[i+(e<<5)+28>>2]=c[d+(v<<5)+28>>2];g=d+(v<<5)+12|0;f=c[g>>2]|0;if((f|0)==0){c[i+(e<<5)+12>>2]=0}else{k=0;while(1){if((c[f+(k<<2)>>2]|0)>-1){k=k+1|0}else{break}}f=IX(a,0,0,0,(k<<2)+4|0)|0;q=f;if((f|0)==0){l=0;break}if((k|0)>0){f=c[g>>2]|0;n=0;while(1){c[q+(n<<2)>>2]=c[f+(n<<2)>>2];m=n+1|0;if((m|0)<(k|0)){n=m}else{x=k;break}}}else{x=0}c[q+(x<<2)>>2]=-1;c[i+(e<<5)+12>>2]=q}k=v+1|0;n=c[d+(k<<5)>>2]|0;f=k+w|0;g=i+(f<<5)|0;if((n|0)>-1){v=k;h=n;e=f;r=g}else{y=g;break c}}return l|0}else{y=u}}while(0);c[y>>2]=-1;l=i;return l|0}function xX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;g=a+12|0;h=c[g>>2]|0;i=(f|0)!=0;if(i){c[f>>2]=0}j=yX(a,b)|0;if((j|0)!=0){k=j;return k|0}j=a+16|0;b=(d|0)==0;l=(e|0)==0;a:while(1){m=c[g>>2]|0;if((m|0)<=(h|0)){k=0;n=28;break}o=m-1|0;c[g>>2]=o;m=c[(c[j>>2]|0)+(o<<2)>>2]|0;o=c[m>>2]|0;do{if((o|0)==3){p=c[m+4>>2]|0;q=c[p>>2]|0;if((c[q+8>>2]|0)!=0){r=yX(a,q)|0;break}q=c[p+4>>2]|0;if((c[q+8>>2]|0)==0){continue a}r=yX(a,q)|0}else if((o|0)==1){q=c[m+4>>2]|0;p=yX(a,c[q>>2]|0)|0;if((p|0)!=0){k=p;n=28;break a}r=yX(a,c[q+4>>2]|0)|0}else if((o|0)==2){q=c[c[m+4>>2]>>2]|0;if((c[q+8>>2]|0)==0){continue a}r=yX(a,q)|0}else if((o|0)==0){q=c[m+4>>2]|0;p=c[q>>2]|0;if((p|0)==(-2|0)){if(l){continue a}c[e>>2]=c[e>>2]|c[q+4>>2];continue a}else if((p|0)!=(-3|0)){continue a}p=c[q+4>>2]|0;if(!((p|0)>-1)){continue a}do{if(!b){q=0;while(1){s=d+(q<<2)|0;t=c[s>>2]|0;if(!((t|0)>-1)){n=14;break}u=q+1|0;if((t|0)==(p|0)){n=13;break}else{q=u}}if((n|0)==13){n=0;if((p|0)<0){v=u}else{break}}else if((n|0)==14){n=0;v=q+1|0}c[s>>2]=p;c[d+(v<<2)>>2]=-1}}while(0);if(!i){continue a}c[f>>2]=(c[f>>2]|0)+1;continue a}else{continue a}}while(0);if((r|0)!=0){k=r;n=28;break}}if((n|0)==28){return k|0}return 0}function yX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+12|0;e=c[d>>2]|0;f=a|0;g=c[f>>2]|0;if((e|0)<(g|0)){c[(c[a+16>>2]|0)+(e<<2)>>2]=b;c[d>>2]=(c[d>>2]|0)+1;h=0;return h|0}d=c[a+4>>2]|0;if((g|0)>=(d|0)){h=12;return h|0}e=(c[a+8>>2]|0)+g|0;g=(e|0)>(d|0)?d:e;e=a+16|0;d=lY(c[e>>2]|0,g<<2)|0;if((d|0)==0){h=12;return h|0}else{c[f>>2]=g;c[e>>2]=d;yX(a,b)|0;return 0}return 0}function zX(a,b,d,e,f,g,h,i){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;j=b+12|0;k=c[j>>2]|0;yX(b,d)|0;d=yX(b,0)|0;a:do{if((d|0)==0){l=b+16|0;m=(e&1|0)==0;n=(e&2|0)==0;o=h;p=1;q=0;b:while(1){r=c[j>>2]|0;if((r|0)<=(k|0)){s=q;t=0;break a}u=r-1|0;c[j>>2]=u;v=c[l>>2]|0;w=c[v+(u<<2)>>2]|0;if((w|0)==1){u=r-2|0;c[j>>2]=u;o=c[v+(u<<2)>>2]|0;p=p;q=q;continue}else if((w|0)!=0){o=o;p=p;q=q;continue}w=r-2|0;c[j>>2]=w;r=c[v+(w<<2)>>2]|0;w=c[r>>2]|0;do{if((w|0)==0){v=c[r+4>>2]|0;u=c[v+8>>2]|0;x=c[v>>2]|0;y=c[v+4>>2]|0;do{if((x|0)>-1|(x|0)==-4){z=q+1|0;A=p;B=y;C=x;D=(c[f>>2]|0)+u|0}else{if(!((x|0)==-3)){z=q;A=p;B=y;C=x;D=u;break}if(!m){z=q;A=p;B=-1;C=-1;D=-1;break}if(n|(p|0)==0){z=q;A=p;B=y;C=-3;D=u;break}c[g+(y<<2)>>2]=1;z=q;A=0;B=y;C=-3;D=u}}while(0);u=IX(a,0,0,1,32)|0;y=u;do{if((u|0)==0){E=0}else{x=IX(a,0,0,1,20)|0;c[u+4>>2]=x;if((x|0)==0){E=0;break}c[u>>2]=0;c[u+8>>2]=-1;c[u+12>>2]=-1;c[x>>2]=C;c[x+4>>2]=B;c[x+8>>2]=D;E=y}}while(0);c[o>>2]=E;y=(E|0)==0?12:0;if((D|0)<=(c[i>>2]|0)){F=y;G=z;H=A;I=o;break}c[i>>2]=D;F=y;G=z;H=A;I=o}else if((w|0)==1){y=c[r+4>>2]|0;u=y;x=c[u>>2]|0;v=y+4|0;y=c[v>>2]|0;J=IX(a,0,0,1,32)|0;if((J|0)==0){K=29;break b}L=IX(a,0,0,1,8)|0;M=J+4|0;c[M>>2]=L;if((L|0)==0){K=29;break b}c[J>>2]=1;c[J+8>>2]=-1;c[J+12>>2]=-1;c[L>>2]=x;c[(c[M>>2]|0)+4>>2]=y;c[J+16>>2]=(c[y+16>>2]|0)+(c[x+16>>2]|0);c[o>>2]=J;J=c[M>>2]|0;M=J;c[M>>2]=0;x=J+4|0;c[x>>2]=0;J=yX(b,c[v>>2]|0)|0;if((J|0)!=0){s=q;t=J;break a}J=yX(b,0)|0;if((J|0)!=0){s=q;t=J;break a}J=yX(b,x)|0;if((J|0)!=0){s=q;t=J;break a}J=yX(b,1)|0;if((J|0)!=0){s=q;t=J;break a}J=yX(b,c[u>>2]|0)|0;if((J|0)!=0){s=q;t=J;break a}F=yX(b,0)|0;G=q;H=p;I=M}else if((w|0)==2){M=c[r+4>>2]|0;J=M;u=yX(b,c[J>>2]|0)|0;if((u|0)!=0){s=q;t=u;break a}u=yX(b,0)|0;if((u|0)!=0){s=q;t=u;break a}u=c[J>>2]|0;J=c[M+4>>2]|0;x=c[M+8>>2]|0;v=c[M+12>>2]&1;M=IX(a,0,0,1,32)|0;if((M|0)==0){K=40;break b}y=IX(a,0,0,1,16)|0;L=M+4|0;c[L>>2]=y;if((y|0)==0){K=40;break b}c[M>>2]=2;c[M+8>>2]=-1;c[M+12>>2]=-1;c[y>>2]=u;c[y+4>>2]=J;c[y+8>>2]=x;x=y+12|0;c[x>>2]=c[x>>2]&-2|v;c[M+16>>2]=c[u+16>>2];c[o>>2]=M;o=c[L>>2]|0;p=p;q=q;continue b}else if((w|0)==3){L=c[r+4>>2]|0;M=L;u=c[M>>2]|0;v=L+4|0;L=c[v>>2]|0;x=IX(a,0,0,1,32)|0;if((x|0)==0){K=20;break b}y=IX(a,0,0,1,8)|0;J=x+4|0;c[J>>2]=y;if((y|0)==0){K=20;break b}c[x>>2]=3;c[x+8>>2]=-1;c[x+12>>2]=-1;c[y>>2]=u;c[(c[J>>2]|0)+4>>2]=L;c[x+16>>2]=(c[L+16>>2]|0)+(c[u+16>>2]|0);c[o>>2]=x;x=c[J>>2]|0;J=yX(b,c[v>>2]|0)|0;if((J|0)!=0){s=q;t=J;break a}J=yX(b,0)|0;if((J|0)!=0){s=q;t=J;break a}J=yX(b,x+4|0)|0;if((J|0)!=0){s=q;t=J;break a}J=yX(b,1)|0;if((J|0)!=0){s=q;t=J;break a}J=yX(b,c[M>>2]|0)|0;if((J|0)!=0){s=q;t=J;break a}F=yX(b,0)|0;G=q;H=p;I=x}else{o=o;p=p;q=q;continue b}}while(0);if((F|0)==0){o=I;p=H;q=G}else{s=G;t=F;break a}}if((K|0)==20){c[o>>2]=0;s=q;t=12;break}else if((K|0)==29){c[o>>2]=0;s=q;t=12;break}else if((K|0)==40){c[o>>2]=0;s=q;t=12;break}}else{s=0;t=d}}while(0);c[f>>2]=(c[f>>2]|0)+s;return t|0}function AX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=IX(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=IX(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=IX(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e>>2]=h;i=IX(a,0,0,0,32)|0;j=e+4|0;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e>>2]=0;f=12;return f|0}function BX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=IX(a,0,0,0,8)|0;if((e|0)==0){f=12;return f|0}g=IX(a,0,0,1,32)|0;h=g;do{if((g|0)!=0){i=IX(a,0,0,1,20)|0;c[g+4>>2]=i;if((i|0)==0){break}c[g>>2]=0;c[g+8>>2]=-1;c[g+12>>2]=-1;c[i>>2]=-3;c[i+4>>2]=d;c[i+8>>2]=-1;c[e+4>>2]=h;i=IX(a,0,0,0,32)|0;j=e;c[j>>2]=i;if((i|0)==0){f=12;return f|0}k=b+4|0;c[i+4>>2]=c[k>>2];i=b|0;c[c[j>>2]>>2]=c[i>>2];l=c[j>>2]|0;c[l+8>>2]=-1;c[l+12>>2]=-1;c[l+24>>2]=0;c[(c[j>>2]|0)+28>>2]=0;c[(c[j>>2]|0)+20>>2]=0;c[k>>2]=e;c[i>>2]=1;f=0;return f|0}}while(0);c[e+4>>2]=0;f=12;return f|0}function CX(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[c[(c[a>>2]|0)+4>>2]>>2]|0;a=c[c[(c[b>>2]|0)+4>>2]>>2]|0;if((d|0)<(a|0)){e=-1;return e|0}e=(d|0)>(a|0)|0;return e|0}function DX(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;d=i;a:do{if((b|0)==0){g=13856}else{h=b;j=13856;while(1){if((a[j]|0)==0){g=j;break a}k=h-1|0;l=j+((KY(j|0)|0)+1)|0;if((k|0)==0){g=l;break}else{h=k;j=l}}}}while(0);b=Ab(e|0,f|0,46040,(f=i,i=i+8|0,c[f>>2]=(a[g]|0)==0?g+1|0:g,f)|0)|0;i=f;i=d;return b+1|0}



function bS(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=c[413194]|0;if(y){w=YR(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=YR(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[1654768]|0)==0;if(y){do{if(w){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=cS(m,c[413194]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);w=cS(m,c[413194]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}vY();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else if((B|0)==32){F=A}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=iY(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}vY();H=0;I=0;J=c[m>>2]|0}}while(0);$O(q,f);dS(J,F,A,H,o,p,q);vN(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];EK(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){jY(I)}if((D|0)==0){i=d;return}jY(D);i=d;return}function cS(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;i=i+16|0;g=f|0;h=g;c[h>>2]=e;c[h+4>>2]=0;h=cd(b|0)|0;b=Ib(a|0,d|0,g|0)|0;if((h|0)==0){i=f;return b|0}cd(h|0)|0;i=f;return b|0}function dS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[413552]|0)==-1)){c[m>>2]=1654208;c[m+4>>2]=16;c[m+8>>2]=0;QN(1654208,m,124)}m=(c[413553]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;PX(r);tc(q|0,1619736,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;PX(r);tc(q|0,1619736,180)}q=j;r=c[o>>2]|0;if(!((c[413456]|0)==-1)){c[l>>2]=1653824;c[l+4>>2]=16;c[l+8>>2]=0;QN(1653824,l,124)}l=(c[413457]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;PX(t);tc(s|0,1619736,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;PX(t);tc(s|0,1619736,180)}s=r;Rd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ce[c[(c[j>>2]|0)+28>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ce[c[(c[o>>2]|0)+28>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+1;a[p]=m;m=u+2|0;p=ce[c[(c[o>>2]|0)+28>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+1;a[t]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((hb(t<<24>>24|0,c[413194]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((Hb(p<<24>>24|0,c[413194]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){fe[c[(c[j>>2]|0)+32>>2]&127](q,x,y,c[h>>2]|0)|0;c[h>>2]=(c[h>>2]|0)+(y-x)}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){A=x;B=v}else{break}do{v=a[A]|0;a[A]=a[B]|0;a[B]=v;A=A+1|0;B=B-1|0;}while(A>>>0<B>>>0)}}while(0);p=Td[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;C=0;D=x;while(1){E=(a[w]&1)==0;do{if((a[(E?v:c[t>>2]|0)+C|0]|0)>0){if((o|0)!=(a[(E?v:c[t>>2]|0)+C|0]|0)){F=C;G=o;break}H=c[h>>2]|0;c[h>>2]=H+1;a[H]=p;H=a[w]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[u>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}else{F=C;G=o}}while(0);E=ce[c[(c[m>>2]|0)+28>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;c[h>>2]=H+1;a[H]=E;E=D+1|0;if(E>>>0<y>>>0){o=G+1|0;C=F;D=E}else{break}}}D=f+(x-b)|0;C=c[h>>2]|0;if((D|0)==(C|0)){break}o=C-1|0;if(o>>>0>D>>>0){J=D;K=o}else{break}do{o=a[J]|0;a[J]=a[K]|0;a[K]=o;J=J+1|0;K=K-1|0;}while(J>>>0<K>>>0)}}while(0);c:do{if(y>>>0<e>>>0){K=j;J=y;while(1){x=a[J]|0;if(x<<24>>24==46){break}F=ce[c[(c[K>>2]|0)+28>>2]&127](q,x)|0;x=c[h>>2]|0;c[h>>2]=x+1;a[x]=F;F=J+1|0;if(F>>>0<e>>>0){J=F}else{L=F;break c}}K=Td[c[(c[r>>2]|0)+12>>2]&255](s)|0;F=c[h>>2]|0;c[h>>2]=F+1;a[F]=K;L=J+1|0}else{L=y}}while(0);fe[c[(c[j>>2]|0)+32>>2]&127](q,L,e,c[h>>2]|0)|0;q=(c[h>>2]|0)+(l-L)|0;c[h>>2]=q;if((d|0)==(e|0)){M=q;c[g>>2]=M;dO(n);i=k;return}M=f+(d-b)|0;c[g>>2]=M;dO(n);i=k;return}function eS(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+152|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+112|0;p=d+120|0;q=d+128|0;r=d+136|0;s=d+144|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=c[413194]|0;if(y){w=YR(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=YR(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[1654768]|0)==0;if(y){do{if(w){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=cS(m,c[413194]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);w=cS(m,c[413194]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}vY();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=iY(C<<1)|0;if((G|0)!=0){H=G;I=G;J=E;break}vY();H=0;I=0;J=c[m>>2]|0}}while(0);$O(q,f);dS(J,F,A,H,o,p,q);vN(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];EK(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){jY(I)}if((D|0)==0){i=d;return}jY(D);i=d;return}function fS(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+104|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+88|0;n=d+96|0;o=d+16|0;a[o]=a[1613296]|0;a[o+1|0]=a[1613297]|0;a[o+2|0]=a[1613298]|0;a[o+3|0]=a[1613299]|0;a[o+4|0]=a[1613300]|0;a[o+5|0]=a[1613301]|0;p=k|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);q=YR(p,20,c[413194]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==16){r=a[p]|0;if((r<<24>>24|0)==45|(r<<24>>24|0)==43){s=k+1|0;break}if(!((q|0)>1&r<<24>>24==48)){t=12;break}r=a[k+1|0]|0;if(!((r<<24>>24|0)==120|(r<<24>>24|0)==88)){t=12;break}s=k+2|0}else if((h|0)==32){s=o}else{t=12}}while(0);if((t|0)==12){s=p}$O(m,f);t=m|0;m=c[t>>2]|0;if(!((c[413552]|0)==-1)){c[j>>2]=1654208;c[j+4>>2]=16;c[j+8>>2]=0;QN(1654208,j,124)}j=(c[413553]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){r=c[h+(j<<2)>>2]|0;if((r|0)==0){break}vN(c[t>>2]|0)|0;u=l|0;fe[c[(c[r>>2]|0)+32>>2]&127](r,p,o,u)|0;r=l+q|0;if((s|0)==(o|0)){v=r;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;EK(b,n,u,v,r,f,g);i=d;return}v=l+(s-k)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;EK(b,n,u,v,r,f,g);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function gS(a){a=a|0;tN(a|0);qY(a);return}function hS(a){a=a|0;tN(a|0);return}function iS(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;j=i;i=i+48|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+16|0;m=j+24|0;n=j+32|0;if((c[f+4>>2]&1|0)==0){o=c[(c[d>>2]|0)+24>>2]|0;c[l>>2]=c[e>>2];Yd[o&63](b,d,l,f,g,h&1);i=j;return}$O(m,f);f=m|0;m=c[f>>2]|0;if(!((c[413454]|0)==-1)){c[k>>2]=1653816;c[k+4>>2]=16;c[k+8>>2]=0;QN(1653816,k,124)}k=(c[413455]|0)-1|0;g=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-g>>2>>>0>k>>>0){l=c[g+(k<<2)>>2]|0;if((l|0)==0){break}d=l;vN(c[f>>2]|0)|0;o=c[l>>2]|0;if(h){Rd[c[o+24>>2]&127](n,d)}else{Rd[c[o+28>>2]&127](n,d)}d=n;o=a[d]|0;if((o&1)==0){l=n+4|0;p=l;q=l;r=n+8|0}else{l=n+8|0;p=c[l>>2]|0;q=n+4|0;r=l}l=e|0;s=p;t=o;while(1){if((t&1)==0){u=(t&255)>>>1;v=q}else{u=c[q>>2]|0;v=c[r>>2]|0}if((s|0)==(v+(u<<2)|0)){break}o=c[s>>2]|0;w=c[l>>2]|0;do{if((w|0)!=0){x=w+24|0;y=c[x>>2]|0;if((y|0)==(c[w+28>>2]|0)){z=ce[c[(c[w>>2]|0)+52>>2]&127](w,o)|0}else{c[x>>2]=y+4;c[y>>2]=o;z=o}if(!((z|0)==-1)){break}c[l>>2]=0}}while(0);s=s+4|0;t=a[d]|0}c[b>>2]=c[l>>2];HO(n);i=j;return}}while(0);j=xd(4)|0;PX(j);tc(j|0,1619736,180)}function jS(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[1613288]|0;a[q+1|0]=a[1613289]|0;a[q+2|0]=a[1613290]|0;a[q+3|0]=a[1613291]|0;a[q+4|0]=a[1613292]|0;a[q+5|0]=a[1613293]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=k|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);t=YR(u,12,c[413194]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;$O(o,f);kS(u,w,q,x,m,n,o);vN(c[o>>2]|0)|0;c[p>>2]=c[e>>2];lS(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function kS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[413550]|0)==-1)){c[m>>2]=1654200;c[m+4>>2]=16;c[m+8>>2]=0;QN(1654200,m,124)}m=(c[413551]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;PX(r);tc(q|0,1619736,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;PX(r);tc(q|0,1619736,180)}q=j;r=c[o>>2]|0;if(!((c[413454]|0)==-1)){c[l>>2]=1653816;c[l+4>>2]=16;c[l+8>>2]=0;QN(1653816,l,124)}l=(c[413455]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;PX(t);tc(s|0,1619736,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;PX(t);tc(s|0,1619736,180)}s=r;Rd[c[(c[r>>2]|0)+20>>2]&127](n,s);t=n;l=a[t]|0;if((l&1)==0){u=(l&255)>>>1}else{u=c[n+4>>2]|0}do{if((u|0)==0){fe[c[(c[j>>2]|0)+48>>2]&127](q,b,e,f)|0;l=f+(e-b<<2)|0;c[h>>2]=l;v=l}else{c[h>>2]=f;l=a[b]|0;if((l<<24>>24|0)==45|(l<<24>>24|0)==43){o=ce[c[(c[j>>2]|0)+44>>2]&127](q,l)|0;l=c[h>>2]|0;c[h>>2]=l+4;c[l>>2]=o;w=b+1|0}else{w=b}do{if((e-w|0)>1){if((a[w]|0)!=48){x=w;break}o=w+1|0;l=a[o]|0;if(!((l<<24>>24|0)==120|(l<<24>>24|0)==88)){x=w;break}l=j;m=ce[c[(c[l>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=ce[c[(c[l>>2]|0)+44>>2]&127](q,a[o]|0)|0;o=c[h>>2]|0;c[h>>2]=o+4;c[o>>2]=m;x=w+2|0}else{x=w}}while(0);do{if((x|0)!=(e|0)){m=e-1|0;if(m>>>0>x>>>0){y=x;z=m}else{break}do{m=a[y]|0;a[y]=a[z]|0;a[z]=m;y=y+1|0;z=z-1|0;}while(y>>>0<z>>>0)}}while(0);m=Td[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<e>>>0){o=n+1|0;l=j;p=n+4|0;A=n+8|0;B=0;C=0;D=x;while(1){E=(a[t]&1)==0;do{if((a[(E?o:c[A>>2]|0)+C|0]|0)==0){F=C;G=B}else{if((B|0)!=(a[(E?o:c[A>>2]|0)+C|0]|0)){F=C;G=B;break}H=c[h>>2]|0;c[h>>2]=H+4;c[H>>2]=m;H=a[t]|0;if((H&1)==0){I=(H&255)>>>1}else{I=c[p>>2]|0}F=(C>>>0<(I-1|0)>>>0)+C|0;G=0}}while(0);E=ce[c[(c[l>>2]|0)+44>>2]&127](q,a[D]|0)|0;H=c[h>>2]|0;J=H+4|0;c[h>>2]=J;c[H>>2]=E;E=D+1|0;if(E>>>0<e>>>0){B=G+1|0;C=F;D=E}else{K=J;break}}}else{K=c[h>>2]|0}D=f+(x-b<<2)|0;if((D|0)==(K|0)){v=K;break}C=K-4|0;if(C>>>0>D>>>0){L=D;M=C}else{v=K;break}while(1){C=c[L>>2]|0;c[L>>2]=c[M>>2];c[M>>2]=C;C=L+4|0;D=M-4|0;if(C>>>0<D>>>0){L=C;M=D}else{v=K;break}}}}while(0);if((d|0)==(e|0)){N=v;c[g>>2]=N;dO(n);i=k;return}N=f+(d-b<<2)|0;c[g>>2]=N;dO(n);i=k;return}function lS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[l>>2];l=k|0;m=d|0;d=c[m>>2]|0;if((d|0)==0){c[b>>2]=0;i=k;return}n=g;g=e;o=n-g>>2;p=h+12|0;h=c[p>>2]|0;q=(h|0)>(o|0)?h-o|0:0;o=f;h=o-g|0;g=h>>2;do{if((h|0)>0){if((Vd[c[(c[d>>2]|0)+48>>2]&127](d,e,g)|0)==(g|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);do{if((q|0)>0){GO(l,q,j);if((a[l]&1)==0){r=l+4|0}else{r=c[l+8>>2]|0}if((Vd[c[(c[d>>2]|0)+48>>2]&127](d,r,q)|0)==(q|0)){HO(l);break}c[m>>2]=0;c[b>>2]=0;HO(l);i=k;return}}while(0);l=n-o|0;o=l>>2;do{if((l|0)>0){if((Vd[c[(c[d>>2]|0)+48>>2]&127](d,f,o)|0)==(o|0)){break}c[m>>2]=0;c[b>>2]=0;i=k;return}}while(0);c[p>>2]=0;c[b>>2]=d;i=k;return}function mS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+200|0;o=d+208|0;p=d+216|0;q=d+224|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=100}}while(0);u=l|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);t=YR(u,22,c[413194]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;$O(p,f);kS(u,w,r,x,n,o,p);vN(c[p>>2]|0)|0;c[q>>2]=c[e>>2];lS(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function nS(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+144|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+8|0;l=d+24|0;m=d+112|0;n=d+120|0;o=d+128|0;p=d+136|0;q=j|0;a[q]=a[1613288]|0;a[q+1|0]=a[1613289]|0;a[q+2|0]=a[1613290]|0;a[q+3|0]=a[1613291]|0;a[q+4|0]=a[1613292]|0;a[q+5|0]=a[1613293]|0;r=j+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=r}else{a[r]=43;u=j+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;u=v+1|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=k|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);t=YR(u,12,c[413194]|0,q,(q=i,i=i+8|0,c[q>>2]=h,q)|0)|0;i=q;q=k+t|0;h=c[s>>2]&176;do{if((h|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=k+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=k+2|0}else if((h|0)==32){w=q}else{x=22}}while(0);if((x|0)==22){w=u}x=l|0;$O(o,f);kS(u,w,q,x,m,n,o);vN(c[o>>2]|0)|0;c[p>>2]=c[e>>2];lS(b,p,x,c[m>>2]|0,c[n>>2]|0,f,g);i=d;return}function oS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=i;i=i+240|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+32|0;n=d+208|0;o=d+216|0;p=d+224|0;q=d+232|0;c[k>>2]=37;c[k+4>>2]=0;r=k;k=r+1|0;s=f+4|0;t=c[s>>2]|0;if((t&2048|0)==0){u=k}else{a[k]=43;u=r+2|0}if((t&512|0)==0){v=u}else{a[u]=35;v=u+1|0}a[v]=108;a[v+1|0]=108;u=v+2|0;v=t&74;do{if((v|0)==64){a[u]=111}else if((v|0)==8){if((t&16384|0)==0){a[u]=120;break}else{a[u]=88;break}}else{a[u]=117}}while(0);u=l|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);t=YR(u,23,c[413194]|0,r,(r=i,i=i+16|0,c[r>>2]=h,c[r+8>>2]=j,r)|0)|0;i=r;r=l+t|0;j=c[s>>2]&176;do{if((j|0)==16){s=a[u]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){w=l+1|0;break}if(!((t|0)>1&s<<24>>24==48)){x=22;break}s=a[l+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){x=22;break}w=l+2|0}else if((j|0)==32){w=r}else{x=22}}while(0);if((x|0)==22){w=u}x=m|0;$O(p,f);kS(u,w,r,x,n,o,p);vN(c[p>>2]|0)|0;c[q>>2]=c[e>>2];lS(b,q,x,c[n>>2]|0,c[o>>2]|0,f,g);i=d;return}function pS(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){if((k&1|0)==0){a[x]=97;y=0;break}else{a[x]=65;y=0;break}}else{a[x]=46;v=x+2|0;a[x+1|0]=42;if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=c[413194]|0;if(y){w=YR(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=YR(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[1654768]|0)==0;if(y){do{if(w){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=cS(m,c[413194]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);w=cS(m,c[413194]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}vY();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=iY(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}vY();H=B;I=B;J=c[m>>2]|0}}while(0);$O(q,f);qS(J,F,A,H,o,p,q);vN(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];lS(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){jY(I)}if((D|0)==0){i=d;return}jY(D);i=d;return}function qS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;k=i;i=i+48|0;l=k|0;m=k+16|0;n=k+32|0;o=j|0;j=c[o>>2]|0;if(!((c[413550]|0)==-1)){c[m>>2]=1654200;c[m+4>>2]=16;c[m+8>>2]=0;QN(1654200,m,124)}m=(c[413551]|0)-1|0;p=c[j+8>>2]|0;if(!((c[j+12>>2]|0)-p>>2>>>0>m>>>0)){q=xd(4)|0;r=q;PX(r);tc(q|0,1619736,180)}j=c[p+(m<<2)>>2]|0;if((j|0)==0){q=xd(4)|0;r=q;PX(r);tc(q|0,1619736,180)}q=j;r=c[o>>2]|0;if(!((c[413454]|0)==-1)){c[l>>2]=1653816;c[l+4>>2]=16;c[l+8>>2]=0;QN(1653816,l,124)}l=(c[413455]|0)-1|0;o=c[r+8>>2]|0;if(!((c[r+12>>2]|0)-o>>2>>>0>l>>>0)){s=xd(4)|0;t=s;PX(t);tc(s|0,1619736,180)}r=c[o+(l<<2)>>2]|0;if((r|0)==0){s=xd(4)|0;t=s;PX(t);tc(s|0,1619736,180)}s=r;Rd[c[(c[r>>2]|0)+20>>2]&127](n,s);c[h>>2]=f;t=a[b]|0;if((t<<24>>24|0)==45|(t<<24>>24|0)==43){l=ce[c[(c[j>>2]|0)+44>>2]&127](q,t)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=l;u=b+1|0}else{u=b}l=e;a:do{if((l-u|0)>1){if((a[u]|0)!=48){v=u;w=34;break}t=u+1|0;o=a[t]|0;if(!((o<<24>>24|0)==120|(o<<24>>24|0)==88)){v=u;w=34;break}o=j;m=ce[c[(c[o>>2]|0)+44>>2]&127](q,48)|0;p=c[h>>2]|0;c[h>>2]=p+4;c[p>>2]=m;m=u+2|0;p=ce[c[(c[o>>2]|0)+44>>2]&127](q,a[t]|0)|0;t=c[h>>2]|0;c[h>>2]=t+4;c[t>>2]=p;p=m;while(1){if(!(p>>>0<e>>>0)){x=m;y=p;break a}t=a[p]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((hb(t<<24>>24|0,c[413194]|0)|0)==0){x=m;y=p;break}else{p=p+1|0}}}else{v=u;w=34}}while(0);b:do{if((w|0)==34){while(1){w=0;if(!(v>>>0<e>>>0)){x=u;y=v;break b}p=a[v]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((Hb(p<<24>>24|0,c[413194]|0)|0)==0){x=u;y=v;break}else{v=v+1|0;w=34}}}}while(0);w=n;v=a[w]|0;if((v&1)==0){z=(v&255)>>>1}else{z=c[n+4>>2]|0}do{if((z|0)==0){fe[c[(c[j>>2]|0)+48>>2]&127](q,x,y,c[h>>2]|0)|0;v=(c[h>>2]|0)+(y-x<<2)|0;c[h>>2]=v;A=v}else{do{if((x|0)!=(y|0)){v=y-1|0;if(v>>>0>x>>>0){B=x;C=v}else{break}do{v=a[B]|0;a[B]=a[C]|0;a[C]=v;B=B+1|0;C=C-1|0;}while(B>>>0<C>>>0)}}while(0);p=Td[c[(c[r>>2]|0)+16>>2]&255](s)|0;if(x>>>0<y>>>0){v=n+1|0;u=n+4|0;t=n+8|0;m=j;o=0;D=0;E=x;while(1){F=(a[w]&1)==0;do{if((a[(F?v:c[t>>2]|0)+D|0]|0)>0){if((o|0)!=(a[(F?v:c[t>>2]|0)+D|0]|0)){G=D;H=o;break}I=c[h>>2]|0;c[h>>2]=I+4;c[I>>2]=p;I=a[w]|0;if((I&1)==0){J=(I&255)>>>1}else{J=c[u>>2]|0}G=(D>>>0<(J-1|0)>>>0)+D|0;H=0}else{G=D;H=o}}while(0);F=ce[c[(c[m>>2]|0)+44>>2]&127](q,a[E]|0)|0;I=c[h>>2]|0;K=I+4|0;c[h>>2]=K;c[I>>2]=F;F=E+1|0;if(F>>>0<y>>>0){o=H+1|0;D=G;E=F}else{L=K;break}}}else{L=c[h>>2]|0}E=f+(x-b<<2)|0;if((E|0)==(L|0)){A=L;break}D=L-4|0;if(D>>>0>E>>>0){M=E;N=D}else{A=L;break}while(1){D=c[M>>2]|0;c[M>>2]=c[N>>2];c[N>>2]=D;D=M+4|0;E=N-4|0;if(D>>>0<E>>>0){M=D;N=E}else{A=L;break}}}}while(0);c:do{if(y>>>0<e>>>0){L=j;N=y;while(1){M=a[N]|0;if(M<<24>>24==46){break}x=ce[c[(c[L>>2]|0)+44>>2]&127](q,M)|0;M=c[h>>2]|0;G=M+4|0;c[h>>2]=G;c[M>>2]=x;x=N+1|0;if(x>>>0<e>>>0){N=x}else{O=x;P=G;break c}}L=Td[c[(c[r>>2]|0)+12>>2]&255](s)|0;G=c[h>>2]|0;x=G+4|0;c[h>>2]=x;c[G>>2]=L;O=N+1|0;P=x}else{O=y;P=A}}while(0);fe[c[(c[j>>2]|0)+48>>2]&127](q,O,e,P)|0;P=(c[h>>2]|0)+(l-O<<2)|0;c[h>>2]=P;if((d|0)==(e|0)){Q=P;c[g>>2]=Q;dO(n);i=k;return}Q=f+(d-b<<2)|0;c[g>>2]=Q;dO(n);i=k;return}function rS(b,d,e,f,g,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=+j;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;d=i;i=i+320|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+8|0;m=d+40|0;n=d+48|0;o=d+280|0;p=d+288|0;q=d+296|0;r=d+304|0;s=d+312|0;c[k>>2]=37;c[k+4>>2]=0;t=k;k=t+1|0;u=f+4|0;v=c[u>>2]|0;if((v&2048|0)==0){w=k}else{a[k]=43;w=t+2|0}if((v&1024|0)==0){x=w}else{a[w]=35;x=w+1|0}w=v&260;k=v>>>14;do{if((w|0)==260){a[x]=76;v=x+1|0;if((k&1|0)==0){a[v]=97;y=0;break}else{a[v]=65;y=0;break}}else{a[x]=46;a[x+1|0]=42;a[x+2|0]=76;v=x+3|0;if((w|0)==256){if((k&1|0)==0){a[v]=101;y=1;break}else{a[v]=69;y=1;break}}else if((w|0)==4){if((k&1|0)==0){a[v]=102;y=1;break}else{a[v]=70;y=1;break}}else{if((k&1|0)==0){a[v]=103;y=1;break}else{a[v]=71;y=1;break}}}}while(0);k=l|0;c[m>>2]=k;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=c[413194]|0;if(y){w=YR(k,30,l,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;A=w}else{w=YR(k,30,l,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;A=w}do{if((A|0)>29){w=(a[1654768]|0)==0;if(y){do{if(w){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);l=cS(m,c[413194]|0,t,(z=i,i=i+16|0,c[z>>2]=c[f+8>>2],h[z+8>>3]=j,z)|0)|0;i=z;B=l}else{do{if(w){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);w=cS(m,c[413194]|0,t,(z=i,i=i+8|0,h[z>>3]=j,z)|0)|0;i=z;B=w}w=c[m>>2]|0;if((w|0)!=0){C=B;D=w;E=w;break}vY();w=c[m>>2]|0;C=B;D=w;E=w}else{C=A;D=0;E=c[m>>2]|0}}while(0);A=E+C|0;B=c[u>>2]&176;do{if((B|0)==32){F=A}else if((B|0)==16){u=a[E]|0;if((u<<24>>24|0)==45|(u<<24>>24|0)==43){F=E+1|0;break}if(!((C|0)>1&u<<24>>24==48)){G=53;break}u=a[E+1|0]|0;if(!((u<<24>>24|0)==120|(u<<24>>24|0)==88)){G=53;break}F=E+2|0}else{G=53}}while(0);if((G|0)==53){F=E}do{if((E|0)==(k|0)){H=n|0;I=0;J=k}else{G=iY(C<<3)|0;B=G;if((G|0)!=0){H=B;I=B;J=E;break}vY();H=B;I=B;J=c[m>>2]|0}}while(0);$O(q,f);qS(J,F,A,H,o,p,q);vN(c[q>>2]|0)|0;q=e|0;c[s>>2]=c[q>>2];lS(r,s,H,c[o>>2]|0,c[p>>2]|0,f,g);g=c[r>>2]|0;c[q>>2]=g;c[b>>2]=g;if((I|0)!=0){jY(I)}if((D|0)==0){i=d;return}jY(D);i=d;return}function sS(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;d=i;i=i+216|0;j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=d|0;k=d+24|0;l=d+48|0;m=d+200|0;n=d+208|0;o=d+16|0;a[o]=a[1613296]|0;a[o+1|0]=a[1613297]|0;a[o+2|0]=a[1613298]|0;a[o+3|0]=a[1613299]|0;a[o+4|0]=a[1613300]|0;a[o+5|0]=a[1613301]|0;p=k|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);q=YR(p,20,c[413194]|0,o,(o=i,i=i+8|0,c[o>>2]=h,o)|0)|0;i=o;o=k+q|0;h=c[f+4>>2]&176;do{if((h|0)==32){r=o}else if((h|0)==16){s=a[p]|0;if((s<<24>>24|0)==45|(s<<24>>24|0)==43){r=k+1|0;break}if(!((q|0)>1&s<<24>>24==48)){t=12;break}s=a[k+1|0]|0;if(!((s<<24>>24|0)==120|(s<<24>>24|0)==88)){t=12;break}r=k+2|0}else{t=12}}while(0);if((t|0)==12){r=p}$O(m,f);t=m|0;m=c[t>>2]|0;if(!((c[413550]|0)==-1)){c[j>>2]=1654200;c[j+4>>2]=16;c[j+8>>2]=0;QN(1654200,j,124)}j=(c[413551]|0)-1|0;h=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-h>>2>>>0>j>>>0){s=c[h+(j<<2)>>2]|0;if((s|0)==0){break}vN(c[t>>2]|0)|0;u=l|0;fe[c[(c[s>>2]|0)+48>>2]&127](s,p,o,u)|0;s=l+(q<<2)|0;if((r|0)==(o|0)){v=s;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;lS(b,n,u,v,s,f,g);i=d;return}v=l+(r-k<<2)|0;w=e|0;x=c[w>>2]|0;y=n|0;c[y>>2]=x;lS(b,n,u,v,s,f,g);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function tS(d,e,f,g,h,j,k,l,m){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;n=i;i=i+48|0;o=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[o>>2];o=g;g=i;i=i+4|0;i=i+7&-8;c[g>>2]=c[o>>2];o=n|0;p=n+16|0;q=n+24|0;r=n+32|0;s=n+40|0;$O(p,h);t=p|0;p=c[t>>2]|0;if(!((c[413552]|0)==-1)){c[o>>2]=1654208;c[o+4>>2]=16;c[o+8>>2]=0;QN(1654208,o,124)}o=(c[413553]|0)-1|0;u=c[p+8>>2]|0;do{if((c[p+12>>2]|0)-u>>2>>>0>o>>>0){v=c[u+(o<<2)>>2]|0;if((v|0)==0){break}w=v;vN(c[t>>2]|0)|0;c[j>>2]=0;x=f|0;a:do{if((l|0)==(m|0)){y=67}else{z=g|0;A=v;B=v;C=v+8|0;D=e;E=r|0;F=s|0;G=q|0;H=l;I=0;b:while(1){J=I;while(1){if((J|0)!=0){y=67;break a}K=c[x>>2]|0;do{if((K|0)==0){L=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){L=K;break}if(!((Td[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){L=K;break}c[x>>2]=0;L=0}}while(0);K=(L|0)==0;M=c[z>>2]|0;c:do{if((M|0)==0){y=20}else{do{if((c[M+12>>2]|0)==(c[M+16>>2]|0)){if(!((Td[c[(c[M>>2]|0)+36>>2]&255](M)|0)==-1)){break}c[z>>2]=0;y=20;break c}}while(0);if(K){N=M}else{y=21;break b}}}while(0);if((y|0)==20){y=0;if(K){y=21;break b}else{N=0}}if((Vd[c[(c[A>>2]|0)+36>>2]&127](w,a[H]|0,0)|0)<<24>>24==37){y=24;break}M=a[H]|0;if(!(M<<24>>24<0)){O=c[C>>2]|0;if(!((b[O+(M<<24>>24<<1)>>1]&8192)==0)){P=H;y=35;break}}Q=L+12|0;M=c[Q>>2]|0;R=L+16|0;if((M|0)==(c[R>>2]|0)){S=(Td[c[(c[L>>2]|0)+36>>2]&255](L)|0)&255}else{S=a[M]|0}M=ce[c[(c[B>>2]|0)+12>>2]&127](w,S)|0;if(M<<24>>24==(ce[c[(c[B>>2]|0)+12>>2]&127](w,a[H]|0)|0)<<24>>24){y=62;break}c[j>>2]=4;J=4}d:do{if((y|0)==24){y=0;J=H+1|0;if((J|0)==(m|0)){y=25;break b}M=Vd[c[(c[A>>2]|0)+36>>2]&127](w,a[J]|0,0)|0;if((M<<24>>24|0)==69|(M<<24>>24|0)==48){T=H+2|0;if((T|0)==(m|0)){y=28;break b}U=M;V=Vd[c[(c[A>>2]|0)+36>>2]&127](w,a[T]|0,0)|0;W=T}else{U=0;V=M;W=J}J=c[(c[D>>2]|0)+36>>2]|0;c[E>>2]=L;c[F>>2]=N;be[J&7](q,e,r,s,h,j,k,V,U);c[x>>2]=c[G>>2];X=W+1|0}else if((y|0)==35){while(1){y=0;J=P+1|0;if((J|0)==(m|0)){Y=m;break}M=a[J]|0;if(M<<24>>24<0){Y=J;break}if((b[O+(M<<24>>24<<1)>>1]&8192)==0){Y=J;break}else{P=J;y=35}}K=L;J=N;M=N;while(1){do{if((K|0)==0){Z=0}else{if((c[K+12>>2]|0)!=(c[K+16>>2]|0)){Z=K;break}if(!((Td[c[(c[K>>2]|0)+36>>2]&255](K)|0)==-1)){Z=K;break}c[x>>2]=0;Z=0}}while(0);T=(Z|0)==0;do{if((J|0)==0){_=M;y=48}else{if((c[J+12>>2]|0)!=(c[J+16>>2]|0)){if(T){$=J;aa=M;break}else{X=Y;break d}}if((Td[c[(c[J>>2]|0)+36>>2]&255](J)|0)==-1){c[z>>2]=0;_=0;y=48;break}else{if(T^(M|0)==0){$=M;aa=M;break}else{X=Y;break d}}}}while(0);if((y|0)==48){y=0;if(T){X=Y;break d}else{$=0;aa=_}}ba=Z+12|0;ca=c[ba>>2]|0;da=Z+16|0;if((ca|0)==(c[da>>2]|0)){ea=(Td[c[(c[Z>>2]|0)+36>>2]&255](Z)|0)&255}else{ea=a[ca]|0}if(ea<<24>>24<0){X=Y;break d}if((b[(c[C>>2]|0)+(ea<<24>>24<<1)>>1]&8192)==0){X=Y;break d}ca=c[ba>>2]|0;if((ca|0)==(c[da>>2]|0)){Td[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;K=Z;J=$;M=aa;continue}else{c[ba>>2]=ca+1;K=Z;J=$;M=aa;continue}}}else if((y|0)==62){y=0;M=c[Q>>2]|0;if((M|0)==(c[R>>2]|0)){Td[c[(c[L>>2]|0)+40>>2]&255](L)|0}else{c[Q>>2]=M+1}X=H+1|0}}while(0);if((X|0)==(m|0)){y=67;break a}H=X;I=c[j>>2]|0}if((y|0)==21){c[j>>2]=4;fa=L;break}else if((y|0)==25){c[j>>2]=4;fa=L;break}else if((y|0)==28){c[j>>2]=4;fa=L;break}}}while(0);if((y|0)==67){fa=c[x>>2]|0}w=f|0;do{if((fa|0)==0){ga=0}else{if((c[fa+12>>2]|0)!=(c[fa+16>>2]|0)){ga=fa;break}if(!((Td[c[(c[fa>>2]|0)+36>>2]&255](fa)|0)==-1)){ga=fa;break}c[w>>2]=0;ga=0}}while(0);w=(ga|0)==0;x=g|0;v=c[x>>2]|0;e:do{if((v|0)==0){y=77}else{do{if((c[v+12>>2]|0)==(c[v+16>>2]|0)){if(!((Td[c[(c[v>>2]|0)+36>>2]&255](v)|0)==-1)){break}c[x>>2]=0;y=77;break e}}while(0);if(!w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);do{if((y|0)==77){if(w){break}ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);c[j>>2]=c[j>>2]|2;ha=d|0;c[ha>>2]=ga;i=n;return}}while(0);n=xd(4)|0;PX(n);tc(n|0,1619736,180)}function uS(a){a=a|0;tN(a|0);qY(a);return}function vS(a){a=a|0;tN(a|0);return}function wS(a){a=a|0;return 2}function xS(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];tS(a,b,k,l,f,g,h,1613280,1613288);i=j;return}function yS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Td[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+1|0;r=o+1|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}tS(b,d,l,m,g,h,j,q,r+p|0);i=k;return}function zS(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;$O(m,f);f=m|0;m=c[f>>2]|0;if(!((c[413552]|0)==-1)){c[l>>2]=1654208;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654208,l,124)}l=(c[413553]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}vN(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Td[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(WQ(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;PX(j);tc(j|0,1619736,180)}function AS(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;$O(m,f);f=m|0;m=c[f>>2]|0;if(!((c[413552]|0)==-1)){c[l>>2]=1654208;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654208,l,124)}l=(c[413553]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}vN(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Td[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(WQ(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;PX(j);tc(j|0,1619736,180)}function BS(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;$O(l,f);f=l|0;l=c[f>>2]|0;if(!((c[413552]|0)==-1)){c[k>>2]=1654208;c[k+4>>2]=16;c[k+8>>2]=0;QN(1654208,k,124)}k=(c[413553]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}vN(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=GS(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=xd(4)|0;PX(b);tc(b|0,1619736,180)}function CS(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;$O(z,g);_=z|0;z=c[_>>2]|0;if(!((c[413552]|0)==-1)){c[y>>2]=1654208;c[y+4>>2]=16;c[y+8>>2]=0;QN(1654208,y,124)}y=(c[413553]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;vN(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 99:{aa=d+8|0;ca=Td[c[(c[aa>>2]|0)+12>>2]&255](aa)|0;aa=e|0;c[B>>2]=c[aa>>2];c[C>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ea=(da&255)>>>1;fa=ca+1|0;ga=ca+1|0}else{da=c[ca+8>>2]|0;ea=c[ca+4>>2]|0;fa=da;ga=da}tS(A,d,B,C,g,h,j,fa,ga+ea|0);c[aa>>2]=c[A>>2];break};case 98:case 66:case 104:{aa=c[f>>2]|0;da=d+8|0;ca=Td[c[(c[da>>2]|0)+4>>2]&255](da)|0;c[w>>2]=aa;aa=(WQ(e,w,ca,ca+288|0,ba,h,0)|0)-ca|0;if((aa|0)>=288){break a}c[j+16>>2]=((aa|0)/12|0|0)%12|0;break};case 110:case 116:{c[J>>2]=c[f>>2];DS(0,e,J,h,ba);break};case 109:{c[r>>2]=c[f>>2];aa=(GS(e,r,h,ba,2)|0)-1|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<12){c[j+16>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 77:{c[q>>2]=c[f>>2];ca=GS(e,q,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<60){c[j+4>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 100:case 101:{aa=j+12|0;c[v>>2]=c[f>>2];ca=GS(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ca-1|0)>>>0<31>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=da|4;break};case 106:{c[s>>2]=c[f>>2];ca=GS(e,s,h,ba,3)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<366){c[j+28>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 68:{aa=e|0;c[E>>2]=c[aa>>2];c[F>>2]=c[f>>2];tS(D,d,E,F,g,h,j,1613272,1613280);c[aa>>2]=c[D>>2];break};case 84:{aa=e|0;c[S>>2]=c[aa>>2];c[T>>2]=c[f>>2];tS(R,d,S,T,g,h,j,1613232,1613240);c[aa>>2]=c[R>>2];break};case 72:{c[u>>2]=c[f>>2];aa=GS(e,u,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<24){c[j+8>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 88:{ca=d+8|0;aa=Td[c[(c[ca>>2]|0)+24>>2]&255](ca)|0;ca=e|0;c[X>>2]=c[ca>>2];c[Y>>2]=c[f>>2];ha=a[aa]|0;if((ha&1)==0){ia=(ha&255)>>>1;ja=aa+1|0;ka=aa+1|0}else{ha=c[aa+8>>2]|0;ia=c[aa+4>>2]|0;ja=ha;ka=ha}tS(W,d,X,Y,g,h,j,ja,ka+ia|0);c[ca>>2]=c[W>>2];break};case 70:{ca=e|0;c[H>>2]=c[ca>>2];c[I>>2]=c[f>>2];tS(G,d,H,I,g,h,j,1613264,1613272);c[ca>>2]=c[G>>2];break};case 119:{c[o>>2]=c[f>>2];ca=GS(e,o,h,ba,1)|0;ha=c[h>>2]|0;if((ha&4|0)==0&(ca|0)<7){c[j+24>>2]=ca;break a}else{c[h>>2]=ha|4;break a}break};case 120:{ha=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];$d[ha&127](b,d,U,V,g,h,j);i=l;return};case 73:{ha=j+8|0;c[t>>2]=c[f>>2];ca=GS(e,t,h,ba,2)|0;aa=c[h>>2]|0;do{if((aa&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[ha>>2]=ca;break a}}while(0);c[h>>2]=aa|4;break};case 112:{c[K>>2]=c[f>>2];ES(d,j+8|0,e,K,h,ba);break};case 114:{ca=e|0;c[M>>2]=c[ca>>2];c[N>>2]=c[f>>2];tS(L,d,M,N,g,h,j,1613248,1613259);c[ca>>2]=c[L>>2];break};case 82:{ca=e|0;c[P>>2]=c[ca>>2];c[Q>>2]=c[f>>2];tS(O,d,P,Q,g,h,j,1613240,1613245);c[ca>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];ca=GS(e,p,h,ba,2)|0;ha=c[h>>2]|0;if((ha&4|0)==0&(ca|0)<61){c[j>>2]=ca;break a}else{c[h>>2]=ha|4;break a}break};case 97:case 65:{ha=c[f>>2]|0;ca=d+8|0;da=Td[c[c[ca>>2]>>2]&255](ca)|0;c[x>>2]=ha;ha=(WQ(e,x,da,da+168|0,ba,h,0)|0)-da|0;if((ha|0)>=168){break a}c[j+24>>2]=((ha|0)/12|0|0)%7|0;break};case 121:{c[n>>2]=c[f>>2];ha=GS(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((ha|0)<69){la=ha+2e3|0}else{la=(ha-69|0)>>>0<31>>>0?ha+1900|0:ha}c[j+20>>2]=la-1900;break};case 89:{c[m>>2]=c[f>>2];ha=GS(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ha-1900;break};case 37:{c[Z>>2]=c[f>>2];FS(0,e,Z,h,ba);break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=xd(4)|0;PX(l);tc(l|0,1619736,180)}function DS(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;d=i;j=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[j>>2];j=e|0;e=f|0;f=h+8|0;a:while(1){h=c[j>>2]|0;do{if((h|0)==0){k=0}else{if((c[h+12>>2]|0)!=(c[h+16>>2]|0)){k=h;break}if((Td[c[(c[h>>2]|0)+36>>2]&255](h)|0)==-1){c[j>>2]=0;k=0;break}else{k=c[j>>2]|0;break}}}while(0);h=(k|0)==0;l=c[e>>2]|0;do{if((l|0)==0){m=12}else{if((c[l+12>>2]|0)!=(c[l+16>>2]|0)){if(h){n=l;break}else{o=l;break a}}if((Td[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1){c[e>>2]=0;m=12;break}else{if(h){n=l;break}else{o=l;break a}}}}while(0);if((m|0)==12){m=0;if(h){o=0;break}else{n=0}}l=c[j>>2]|0;p=c[l+12>>2]|0;if((p|0)==(c[l+16>>2]|0)){q=(Td[c[(c[l>>2]|0)+36>>2]&255](l)|0)&255}else{q=a[p]|0}if(q<<24>>24<0){o=n;break}if((b[(c[f>>2]|0)+(q<<24>>24<<1)>>1]&8192)==0){o=n;break}p=c[j>>2]|0;l=p+12|0;r=c[l>>2]|0;if((r|0)==(c[p+16>>2]|0)){Td[c[(c[p>>2]|0)+40>>2]&255](p)|0;continue}else{c[l>>2]=r+1;continue}}n=c[j>>2]|0;do{if((n|0)==0){s=0}else{if((c[n+12>>2]|0)!=(c[n+16>>2]|0)){s=n;break}if((Td[c[(c[n>>2]|0)+36>>2]&255](n)|0)==-1){c[j>>2]=0;s=0;break}else{s=c[j>>2]|0;break}}}while(0);j=(s|0)==0;b:do{if((o|0)==0){m=32}else{do{if((c[o+12>>2]|0)==(c[o+16>>2]|0)){if(!((Td[c[(c[o>>2]|0)+36>>2]&255](o)|0)==-1)){break}c[e>>2]=0;m=32;break b}}while(0);if(!j){break}i=d;return}}while(0);do{if((m|0)==32){if(j){break}i=d;return}}while(0);c[g>>2]=c[g>>2]|2;i=d;return}function ES(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Td[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=WQ(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function FS(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;b=i;h=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[h>>2];h=d|0;d=c[h>>2]|0;do{if((d|0)==0){j=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){j=d;break}if((Td[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[h>>2]=0;j=0;break}else{j=c[h>>2]|0;break}}}while(0);d=(j|0)==0;j=e|0;e=c[j>>2]|0;a:do{if((e|0)==0){k=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Td[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[j>>2]=0;k=11;break a}}while(0);if(d){l=e}else{k=12}}}while(0);if((k|0)==11){if(d){k=12}else{l=0}}if((k|0)==12){c[f>>2]=c[f>>2]|6;i=b;return}d=c[h>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){m=(Td[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{m=a[e]|0}if(!((Vd[c[(c[g>>2]|0)+36>>2]&127](g,m,0)|0)<<24>>24==37)){c[f>>2]=c[f>>2]|4;i=b;return}m=c[h>>2]|0;g=m+12|0;e=c[g>>2]|0;if((e|0)==(c[m+16>>2]|0)){Td[c[(c[m>>2]|0)+40>>2]&255](m)|0}else{c[g>>2]=e+1}e=c[h>>2]|0;do{if((e|0)==0){n=0}else{if((c[e+12>>2]|0)!=(c[e+16>>2]|0)){n=e;break}if((Td[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1){c[h>>2]=0;n=0;break}else{n=c[h>>2]|0;break}}}while(0);h=(n|0)==0;b:do{if((l|0)==0){k=31}else{do{if((c[l+12>>2]|0)==(c[l+16>>2]|0)){if(!((Td[c[(c[l>>2]|0)+36>>2]&255](l)|0)==-1)){break}c[j>>2]=0;k=31;break b}}while(0);if(!h){break}i=b;return}}while(0);do{if((k|0)==31){if(h){break}i=b;return}}while(0);c[f>>2]=c[f>>2]|2;i=b;return}function GS(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=0}else{if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){l=d;break}if((Td[c[(c[d>>2]|0)+36>>2]&255](d)|0)==-1){c[k>>2]=0;l=0;break}else{l=c[k>>2]|0;break}}}while(0);d=(l|0)==0;l=e|0;e=c[l>>2]|0;a:do{if((e|0)==0){m=11}else{do{if((c[e+12>>2]|0)==(c[e+16>>2]|0)){if(!((Td[c[(c[e>>2]|0)+36>>2]&255](e)|0)==-1)){break}c[l>>2]=0;m=11;break a}}while(0);if(d){n=e}else{m=12}}}while(0);if((m|0)==11){if(d){m=12}else{n=0}}if((m|0)==12){c[f>>2]=c[f>>2]|6;o=0;i=j;return o|0}d=c[k>>2]|0;e=c[d+12>>2]|0;if((e|0)==(c[d+16>>2]|0)){p=(Td[c[(c[d>>2]|0)+36>>2]&255](d)|0)&255}else{p=a[e]|0}do{if(!(p<<24>>24<0)){e=g+8|0;if((b[(c[e>>2]|0)+(p<<24>>24<<1)>>1]&2048)==0){break}d=g;q=(Vd[c[(c[d>>2]|0)+36>>2]&127](g,p,0)|0)<<24>>24;r=c[k>>2]|0;s=r+12|0;t=c[s>>2]|0;if((t|0)==(c[r+16>>2]|0)){Td[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=q;v=h;w=n;x=n}else{c[s>>2]=t+1;u=q;v=h;w=n;x=n}while(1){y=u-48|0;q=v-1|0;t=c[k>>2]|0;do{if((t|0)==0){z=0}else{if((c[t+12>>2]|0)!=(c[t+16>>2]|0)){z=t;break}if((Td[c[(c[t>>2]|0)+36>>2]&255](t)|0)==-1){c[k>>2]=0;z=0;break}else{z=c[k>>2]|0;break}}}while(0);t=(z|0)==0;do{if((w|0)==0){A=0;B=x}else{if((c[w+12>>2]|0)!=(c[w+16>>2]|0)){A=w;B=x;break}if(!((Td[c[(c[w>>2]|0)+36>>2]&255](w)|0)==-1)){A=x;B=x;break}c[l>>2]=0;A=0;B=0}}while(0);C=c[k>>2]|0;if(!((t^(A|0)==0)&(q|0)>0)){m=40;break}s=c[C+12>>2]|0;if((s|0)==(c[C+16>>2]|0)){D=(Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)&255}else{D=a[s]|0}if(D<<24>>24<0){o=y;m=52;break}if((b[(c[e>>2]|0)+(D<<24>>24<<1)>>1]&2048)==0){o=y;m=52;break}s=((Vd[c[(c[d>>2]|0)+36>>2]&127](g,D,0)|0)<<24>>24)+(y*10|0)|0;r=c[k>>2]|0;E=r+12|0;F=c[E>>2]|0;if((F|0)==(c[r+16>>2]|0)){Td[c[(c[r>>2]|0)+40>>2]&255](r)|0;u=s;v=q;w=A;x=B;continue}else{c[E>>2]=F+1;u=s;v=q;w=A;x=B;continue}}if((m|0)==40){do{if((C|0)==0){G=0}else{if((c[C+12>>2]|0)!=(c[C+16>>2]|0)){G=C;break}if((Td[c[(c[C>>2]|0)+36>>2]&255](C)|0)==-1){c[k>>2]=0;G=0;break}else{G=c[k>>2]|0;break}}}while(0);d=(G|0)==0;b:do{if((B|0)==0){m=50}else{do{if((c[B+12>>2]|0)==(c[B+16>>2]|0)){if(!((Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){break}c[l>>2]=0;m=50;break b}}while(0);if(d){o=y}else{break}i=j;return o|0}}while(0);do{if((m|0)==50){if(d){break}else{o=y}i=j;return o|0}}while(0);c[f>>2]=c[f>>2]|2;o=y;i=j;return o|0}else if((m|0)==52){i=j;return o|0}}}while(0);c[f>>2]=c[f>>2]|4;o=0;i=j;return o|0}function HS(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;l=i;i=i+48|0;m=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[m>>2];m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=l|0;n=l+16|0;o=l+24|0;p=l+32|0;q=l+40|0;$O(n,f);r=n|0;n=c[r>>2]|0;if(!((c[413550]|0)==-1)){c[m>>2]=1654200;c[m+4>>2]=16;c[m+8>>2]=0;QN(1654200,m,124)}m=(c[413551]|0)-1|0;s=c[n+8>>2]|0;do{if((c[n+12>>2]|0)-s>>2>>>0>m>>>0){t=c[s+(m<<2)>>2]|0;if((t|0)==0){break}u=t;vN(c[r>>2]|0)|0;c[g>>2]=0;v=d|0;a:do{if((j|0)==(k|0)){w=71}else{x=e|0;y=t;z=t;A=t;B=b;C=p|0;D=q|0;E=o|0;F=j;G=0;b:while(1){H=G;while(1){if((H|0)!=0){w=71;break a}I=c[v>>2]|0;do{if((I|0)==0){J=1;K=0}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){M=Td[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{M=c[L>>2]|0}if(!((M|0)==-1)){J=0;K=I;break}c[v>>2]=0;J=1;K=0}}while(0);I=c[x>>2]|0;do{if((I|0)==0){w=23}else{L=c[I+12>>2]|0;if((L|0)==(c[I+16>>2]|0)){N=Td[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{N=c[L>>2]|0}if((N|0)==-1){c[x>>2]=0;w=23;break}else{if(J){O=I;break}else{w=25;break b}}}}while(0);if((w|0)==23){w=0;if(J){w=25;break b}else{O=0}}if((Vd[c[(c[y>>2]|0)+52>>2]&127](u,c[F>>2]|0,0)|0)<<24>>24==37){w=28;break}if(Vd[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[F>>2]|0)|0){P=F;w=38;break}Q=K+12|0;I=c[Q>>2]|0;R=K+16|0;if((I|0)==(c[R>>2]|0)){S=Td[c[(c[K>>2]|0)+36>>2]&255](K)|0}else{S=c[I>>2]|0}I=ce[c[(c[A>>2]|0)+28>>2]&127](u,S)|0;if((I|0)==(ce[c[(c[A>>2]|0)+28>>2]&127](u,c[F>>2]|0)|0)){w=66;break}c[g>>2]=4;H=4}c:do{if((w|0)==28){w=0;H=F+4|0;if((H|0)==(k|0)){w=29;break b}I=Vd[c[(c[y>>2]|0)+52>>2]&127](u,c[H>>2]|0,0)|0;if((I<<24>>24|0)==69|(I<<24>>24|0)==48){L=F+8|0;if((L|0)==(k|0)){w=32;break b}T=I;U=Vd[c[(c[y>>2]|0)+52>>2]&127](u,c[L>>2]|0,0)|0;V=L}else{T=0;U=I;V=H}H=c[(c[B>>2]|0)+36>>2]|0;c[C>>2]=K;c[D>>2]=O;be[H&7](o,b,p,q,f,g,h,U,T);c[v>>2]=c[E>>2];W=V+4|0}else if((w|0)==38){while(1){w=0;H=P+4|0;if((H|0)==(k|0)){X=k;break}if(Vd[c[(c[z>>2]|0)+12>>2]&127](u,8192,c[H>>2]|0)|0){P=H;w=38}else{X=H;break}}H=K;I=O;L=O;while(1){do{if((H|0)==0){Y=1;Z=0}else{_=c[H+12>>2]|0;if((_|0)==(c[H+16>>2]|0)){$=Td[c[(c[H>>2]|0)+36>>2]&255](H)|0}else{$=c[_>>2]|0}if(!(($|0)==-1)){Y=0;Z=H;break}c[v>>2]=0;Y=1;Z=0}}while(0);do{if((I|0)==0){aa=L;w=53}else{_=c[I+12>>2]|0;if((_|0)==(c[I+16>>2]|0)){ba=Td[c[(c[I>>2]|0)+36>>2]&255](I)|0}else{ba=c[_>>2]|0}if((ba|0)==-1){c[x>>2]=0;aa=0;w=53;break}else{if(Y^(L|0)==0){ca=L;da=L;break}else{W=X;break c}}}}while(0);if((w|0)==53){w=0;if(Y){W=X;break c}else{ca=0;da=aa}}_=Z+12|0;ea=c[_>>2]|0;fa=Z+16|0;if((ea|0)==(c[fa>>2]|0)){ga=Td[c[(c[Z>>2]|0)+36>>2]&255](Z)|0}else{ga=c[ea>>2]|0}if(!(Vd[c[(c[z>>2]|0)+12>>2]&127](u,8192,ga)|0)){W=X;break c}ea=c[_>>2]|0;if((ea|0)==(c[fa>>2]|0)){Td[c[(c[Z>>2]|0)+40>>2]&255](Z)|0;H=Z;I=ca;L=da;continue}else{c[_>>2]=ea+4;H=Z;I=ca;L=da;continue}}}else if((w|0)==66){w=0;L=c[Q>>2]|0;if((L|0)==(c[R>>2]|0)){Td[c[(c[K>>2]|0)+40>>2]&255](K)|0}else{c[Q>>2]=L+4}W=F+4|0}}while(0);if((W|0)==(k|0)){w=71;break a}F=W;G=c[g>>2]|0}if((w|0)==25){c[g>>2]=4;ha=K;break}else if((w|0)==29){c[g>>2]=4;ha=K;break}else if((w|0)==32){c[g>>2]=4;ha=K;break}}}while(0);if((w|0)==71){ha=c[v>>2]|0}u=d|0;do{if((ha|0)==0){ia=1;ja=0}else{t=c[ha+12>>2]|0;if((t|0)==(c[ha+16>>2]|0)){ka=Td[c[(c[ha>>2]|0)+36>>2]&255](ha)|0}else{ka=c[t>>2]|0}if(!((ka|0)==-1)){ia=0;ja=ha;break}c[u>>2]=0;ia=1;ja=0}}while(0);u=e|0;v=c[u>>2]|0;do{if((v|0)==0){w=84}else{t=c[v+12>>2]|0;if((t|0)==(c[v+16>>2]|0)){la=Td[c[(c[v>>2]|0)+36>>2]&255](v)|0}else{la=c[t>>2]|0}if((la|0)==-1){c[u>>2]=0;w=84;break}if(!ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);do{if((w|0)==84){if(ia){break}ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);c[g>>2]=c[g>>2]|2;ma=a|0;c[ma>>2]=ja;i=l;return}}while(0);l=xd(4)|0;PX(l);tc(l|0,1619736,180)}function IS(a){a=a|0;tN(a|0);qY(a);return}function JS(a){a=a|0;tN(a|0);return}function KS(a){a=a|0;return 2}function LS(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0;j=i;i=i+16|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;c[k>>2]=c[d>>2];c[l>>2]=c[e>>2];HS(a,b,k,l,f,g,h,1613200,1613232);i=j;return}function MS(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=i;i=i+16|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=k|0;m=k+8|0;n=d+8|0;o=Td[c[(c[n>>2]|0)+20>>2]&255](n)|0;c[l>>2]=c[e>>2];c[m>>2]=c[f>>2];f=a[o]|0;if((f&1)==0){p=(f&255)>>>1;q=o+4|0;r=o+4|0}else{f=c[o+8>>2]|0;p=c[o+4>>2]|0;q=f;r=f}HS(b,d,l,m,g,h,j,q,r+(p<<2)|0);i=k;return}function NS(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;$O(m,f);f=m|0;m=c[f>>2]|0;if(!((c[413550]|0)==-1)){c[l>>2]=1654200;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654200,l,124)}l=(c[413551]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}vN(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Td[c[c[q>>2]>>2]&255](q)|0;c[k>>2]=p;p=(tR(d,k,r,r+168|0,o,g,0)|0)-r|0;if((p|0)>=168){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+24>>2]=((p|0)/12|0|0)%7|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;PX(j);tc(j|0,1619736,180)}function OS(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;j=i;i=i+32|0;k=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[k>>2];k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=j|0;l=j+8|0;m=j+24|0;$O(m,f);f=m|0;m=c[f>>2]|0;if(!((c[413550]|0)==-1)){c[l>>2]=1654200;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654200,l,124)}l=(c[413551]|0)-1|0;n=c[m+8>>2]|0;do{if((c[m+12>>2]|0)-n>>2>>>0>l>>>0){o=c[n+(l<<2)>>2]|0;if((o|0)==0){break}vN(c[f>>2]|0)|0;p=c[e>>2]|0;q=b+8|0;r=Td[c[(c[q>>2]|0)+4>>2]&255](q)|0;c[k>>2]=p;p=(tR(d,k,r,r+288|0,o,g,0)|0)-r|0;if((p|0)>=288){s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}c[h+16>>2]=((p|0)/12|0|0)%12|0;s=d|0;t=c[s>>2]|0;u=a|0;c[u>>2]=t;i=j;return}}while(0);j=xd(4)|0;PX(j);tc(j|0,1619736,180)}function PS(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+32|0;j=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[j>>2];j=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[j>>2];j=b|0;k=b+8|0;l=b+24|0;$O(l,f);f=l|0;l=c[f>>2]|0;if(!((c[413550]|0)==-1)){c[k>>2]=1654200;c[k+4>>2]=16;c[k+8>>2]=0;QN(1654200,k,124)}k=(c[413551]|0)-1|0;m=c[l+8>>2]|0;do{if((c[l+12>>2]|0)-m>>2>>>0>k>>>0){n=c[m+(k<<2)>>2]|0;if((n|0)==0){break}vN(c[f>>2]|0)|0;c[j>>2]=c[e>>2];o=US(d,j,g,n,4)|0;if((c[g>>2]&4|0)!=0){p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}if((o|0)<69){s=o+2e3|0}else{s=(o-69|0)>>>0<31>>>0?o+1900|0:o}c[h+20>>2]=s-1900;p=d|0;q=c[p>>2]|0;r=a|0;c[r>>2]=q;i=b;return}}while(0);b=xd(4)|0;PX(b);tc(b|0,1619736,180)}function QS(b,d,e,f,g,h,j,k,l){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;l=i;i=i+328|0;m=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[m>>2];m=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[m>>2];m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+64|0;v=l+72|0;w=l+80|0;x=l+88|0;y=l+96|0;z=l+112|0;A=l+120|0;B=l+128|0;C=l+136|0;D=l+144|0;E=l+152|0;F=l+160|0;G=l+168|0;H=l+176|0;I=l+184|0;J=l+192|0;K=l+200|0;L=l+208|0;M=l+216|0;N=l+224|0;O=l+232|0;P=l+240|0;Q=l+248|0;R=l+256|0;S=l+264|0;T=l+272|0;U=l+280|0;V=l+288|0;W=l+296|0;X=l+304|0;Y=l+312|0;Z=l+320|0;c[h>>2]=0;$O(z,g);_=z|0;z=c[_>>2]|0;if(!((c[413550]|0)==-1)){c[y>>2]=1654200;c[y+4>>2]=16;c[y+8>>2]=0;QN(1654200,y,124)}y=(c[413551]|0)-1|0;$=c[z+8>>2]|0;do{if((c[z+12>>2]|0)-$>>2>>>0>y>>>0){aa=c[$+(y<<2)>>2]|0;if((aa|0)==0){break}ba=aa;vN(c[_>>2]|0)|0;a:do{switch(k<<24>>24|0){case 68:{aa=e|0;c[E>>2]=c[aa>>2];c[F>>2]=c[f>>2];HS(D,d,E,F,g,h,j,1613168,1613200);c[aa>>2]=c[D>>2];break};case 110:case 116:{c[J>>2]=c[f>>2];RS(0,e,J,h,ba);break};case 114:{aa=e|0;c[M>>2]=c[aa>>2];c[N>>2]=c[f>>2];HS(L,d,M,N,g,h,j,1613120,1613164);c[aa>>2]=c[L>>2];break};case 88:{aa=d+8|0;ca=Td[c[(c[aa>>2]|0)+24>>2]&255](aa)|0;aa=e|0;c[X>>2]=c[aa>>2];c[Y>>2]=c[f>>2];da=a[ca]|0;if((da&1)==0){ea=(da&255)>>>1;fa=ca+4|0;ga=ca+4|0}else{da=c[ca+8>>2]|0;ea=c[ca+4>>2]|0;fa=da;ga=da}HS(W,d,X,Y,g,h,j,fa,ga+(ea<<2)|0);c[aa>>2]=c[W>>2];break};case 98:case 66:case 104:{aa=c[f>>2]|0;da=d+8|0;ca=Td[c[(c[da>>2]|0)+4>>2]&255](da)|0;c[w>>2]=aa;aa=(tR(e,w,ca,ca+288|0,ba,h,0)|0)-ca|0;if((aa|0)>=288){break a}c[j+16>>2]=((aa|0)/12|0|0)%12|0;break};case 100:case 101:{aa=j+12|0;c[v>>2]=c[f>>2];ca=US(e,v,h,ba,2)|0;da=c[h>>2]|0;do{if((da&4|0)==0){if(!((ca-1|0)>>>0<31>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=da|4;break};case 89:{c[m>>2]=c[f>>2];ca=US(e,m,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}c[j+20>>2]=ca-1900;break};case 37:{c[Z>>2]=c[f>>2];TS(0,e,Z,h,ba);break};case 84:{ca=e|0;c[S>>2]=c[ca>>2];c[T>>2]=c[f>>2];HS(R,d,S,T,g,h,j,1613064,1613096);c[ca>>2]=c[R>>2];break};case 119:{c[o>>2]=c[f>>2];ca=US(e,o,h,ba,1)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<7){c[j+24>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 73:{aa=j+8|0;c[t>>2]=c[f>>2];ca=US(e,t,h,ba,2)|0;ha=c[h>>2]|0;do{if((ha&4|0)==0){if(!((ca-1|0)>>>0<12>>>0)){break}c[aa>>2]=ca;break a}}while(0);c[h>>2]=ha|4;break};case 120:{ca=c[(c[d>>2]|0)+20>>2]|0;c[U>>2]=c[e>>2];c[V>>2]=c[f>>2];$d[ca&127](b,d,U,V,g,h,j);i=l;return};case 77:{c[q>>2]=c[f>>2];ca=US(e,q,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<60){c[j+4>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 70:{aa=e|0;c[H>>2]=c[aa>>2];c[I>>2]=c[f>>2];HS(G,d,H,I,g,h,j,1613032,1613064);c[aa>>2]=c[G>>2];break};case 72:{c[u>>2]=c[f>>2];aa=US(e,u,h,ba,2)|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<24){c[j+8>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 82:{ca=e|0;c[P>>2]=c[ca>>2];c[Q>>2]=c[f>>2];HS(O,d,P,Q,g,h,j,1613096,1613116);c[ca>>2]=c[O>>2];break};case 83:{c[p>>2]=c[f>>2];ca=US(e,p,h,ba,2)|0;aa=c[h>>2]|0;if((aa&4|0)==0&(ca|0)<61){c[j>>2]=ca;break a}else{c[h>>2]=aa|4;break a}break};case 109:{c[r>>2]=c[f>>2];aa=(US(e,r,h,ba,2)|0)-1|0;ca=c[h>>2]|0;if((ca&4|0)==0&(aa|0)<12){c[j+16>>2]=aa;break a}else{c[h>>2]=ca|4;break a}break};case 112:{c[K>>2]=c[f>>2];SS(d,j+8|0,e,K,h,ba);break};case 99:{ca=d+8|0;aa=Td[c[(c[ca>>2]|0)+12>>2]&255](ca)|0;ca=e|0;c[B>>2]=c[ca>>2];c[C>>2]=c[f>>2];da=a[aa]|0;if((da&1)==0){ia=(da&255)>>>1;ja=aa+4|0;ka=aa+4|0}else{da=c[aa+8>>2]|0;ia=c[aa+4>>2]|0;ja=da;ka=da}HS(A,d,B,C,g,h,j,ja,ka+(ia<<2)|0);c[ca>>2]=c[A>>2];break};case 106:{c[s>>2]=c[f>>2];ca=US(e,s,h,ba,3)|0;da=c[h>>2]|0;if((da&4|0)==0&(ca|0)<366){c[j+28>>2]=ca;break a}else{c[h>>2]=da|4;break a}break};case 97:case 65:{da=c[f>>2]|0;ca=d+8|0;aa=Td[c[c[ca>>2]>>2]&255](ca)|0;c[x>>2]=da;da=(tR(e,x,aa,aa+168|0,ba,h,0)|0)-aa|0;if((da|0)>=168){break a}c[j+24>>2]=((da|0)/12|0|0)%7|0;break};case 121:{c[n>>2]=c[f>>2];da=US(e,n,h,ba,4)|0;if((c[h>>2]&4|0)!=0){break a}if((da|0)<69){la=da+2e3|0}else{la=(da-69|0)>>>0<31>>>0?da+1900|0:da}c[j+20>>2]=la-1900;break};default:{c[h>>2]=c[h>>2]|4}}}while(0);c[b>>2]=c[e>>2];i=l;return}}while(0);l=xd(4)|0;PX(l);tc(l|0,1619736,180)}function RS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=d|0;d=f;a:while(1){h=c[g>>2]|0;do{if((h|0)==0){j=1}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){l=Td[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[g>>2]=0;j=1;break}else{j=(c[g>>2]|0)==0;break}}}while(0);h=c[b>>2]|0;do{if((h|0)==0){m=15}else{k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){n=Td[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{n=c[k>>2]|0}if((n|0)==-1){c[b>>2]=0;m=15;break}else{if(j){o=h;break}else{p=h;break a}}}}while(0);if((m|0)==15){m=0;if(j){p=0;break}else{o=0}}h=c[g>>2]|0;k=c[h+12>>2]|0;if((k|0)==(c[h+16>>2]|0)){q=Td[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{q=c[k>>2]|0}if(!(Vd[c[(c[d>>2]|0)+12>>2]&127](f,8192,q)|0)){p=o;break}k=c[g>>2]|0;h=k+12|0;r=c[h>>2]|0;if((r|0)==(c[k+16>>2]|0)){Td[c[(c[k>>2]|0)+40>>2]&255](k)|0;continue}else{c[h>>2]=r+4;continue}}o=c[g>>2]|0;do{if((o|0)==0){s=1}else{q=c[o+12>>2]|0;if((q|0)==(c[o+16>>2]|0)){t=Td[c[(c[o>>2]|0)+36>>2]&255](o)|0}else{t=c[q>>2]|0}if((t|0)==-1){c[g>>2]=0;s=1;break}else{s=(c[g>>2]|0)==0;break}}}while(0);do{if((p|0)==0){m=37}else{g=c[p+12>>2]|0;if((g|0)==(c[p+16>>2]|0)){u=Td[c[(c[p>>2]|0)+36>>2]&255](p)|0}else{u=c[g>>2]|0}if((u|0)==-1){c[b>>2]=0;m=37;break}if(!s){break}i=a;return}}while(0);do{if((m|0)==37){if(s){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function SS(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;i=i+8|0;k=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[k>>2];k=j|0;l=b+8|0;b=Td[c[(c[l>>2]|0)+8>>2]&255](l)|0;l=a[b]|0;if((l&1)==0){m=(l&255)>>>1}else{m=c[b+4>>2]|0}l=a[b+12|0]|0;if((l&1)==0){n=(l&255)>>>1}else{n=c[b+16>>2]|0}if((m|0)==(-n|0)){c[g>>2]=c[g>>2]|4;i=j;return}c[k>>2]=c[f>>2];f=tR(e,k,b,b+24|0,h,g,0)|0;g=f-b|0;do{if((f|0)==(b|0)){if((c[d>>2]|0)!=12){break}c[d>>2]=0;i=j;return}}while(0);if((g|0)!=12){i=j;return}g=c[d>>2]|0;if((g|0)>=12){i=j;return}c[d>>2]=g+12;i=j;return}function TS(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a=i;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=b|0;b=c[g>>2]|0;do{if((b|0)==0){h=1}else{j=c[b+12>>2]|0;if((j|0)==(c[b+16>>2]|0)){k=Td[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{k=c[j>>2]|0}if((k|0)==-1){c[g>>2]=0;h=1;break}else{h=(c[g>>2]|0)==0;break}}}while(0);k=d|0;d=c[k>>2]|0;do{if((d|0)==0){l=14}else{b=c[d+12>>2]|0;if((b|0)==(c[d+16>>2]|0)){m=Td[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{m=c[b>>2]|0}if((m|0)==-1){c[k>>2]=0;l=14;break}else{if(h){n=d;break}else{l=16;break}}}}while(0);if((l|0)==14){if(h){l=16}else{n=0}}if((l|0)==16){c[e>>2]=c[e>>2]|6;i=a;return}h=c[g>>2]|0;d=c[h+12>>2]|0;if((d|0)==(c[h+16>>2]|0)){o=Td[c[(c[h>>2]|0)+36>>2]&255](h)|0}else{o=c[d>>2]|0}if(!((Vd[c[(c[f>>2]|0)+52>>2]&127](f,o,0)|0)<<24>>24==37)){c[e>>2]=c[e>>2]|4;i=a;return}o=c[g>>2]|0;f=o+12|0;d=c[f>>2]|0;if((d|0)==(c[o+16>>2]|0)){Td[c[(c[o>>2]|0)+40>>2]&255](o)|0}else{c[f>>2]=d+4}d=c[g>>2]|0;do{if((d|0)==0){p=1}else{f=c[d+12>>2]|0;if((f|0)==(c[d+16>>2]|0)){q=Td[c[(c[d>>2]|0)+36>>2]&255](d)|0}else{q=c[f>>2]|0}if((q|0)==-1){c[g>>2]=0;p=1;break}else{p=(c[g>>2]|0)==0;break}}}while(0);do{if((n|0)==0){l=38}else{g=c[n+12>>2]|0;if((g|0)==(c[n+16>>2]|0)){r=Td[c[(c[n>>2]|0)+36>>2]&255](n)|0}else{r=c[g>>2]|0}if((r|0)==-1){c[k>>2]=0;l=38;break}if(!p){break}i=a;return}}while(0);do{if((l|0)==38){if(p){break}i=a;return}}while(0);c[e>>2]=c[e>>2]|2;i=a;return}function US(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;g=i;h=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[h>>2];h=a|0;a=c[h>>2]|0;do{if((a|0)==0){j=1}else{k=c[a+12>>2]|0;if((k|0)==(c[a+16>>2]|0)){l=Td[c[(c[a>>2]|0)+36>>2]&255](a)|0}else{l=c[k>>2]|0}if((l|0)==-1){c[h>>2]=0;j=1;break}else{j=(c[h>>2]|0)==0;break}}}while(0);l=b|0;b=c[l>>2]|0;do{if((b|0)==0){m=14}else{a=c[b+12>>2]|0;if((a|0)==(c[b+16>>2]|0)){n=Td[c[(c[b>>2]|0)+36>>2]&255](b)|0}else{n=c[a>>2]|0}if((n|0)==-1){c[l>>2]=0;m=14;break}else{if(j){o=b;break}else{m=16;break}}}}while(0);if((m|0)==14){if(j){m=16}else{o=0}}if((m|0)==16){c[d>>2]=c[d>>2]|6;p=0;i=g;return p|0}j=c[h>>2]|0;b=c[j+12>>2]|0;if((b|0)==(c[j+16>>2]|0)){q=Td[c[(c[j>>2]|0)+36>>2]&255](j)|0}else{q=c[b>>2]|0}b=e;if(!(Vd[c[(c[b>>2]|0)+12>>2]&127](e,2048,q)|0)){c[d>>2]=c[d>>2]|4;p=0;i=g;return p|0}j=e;n=(Vd[c[(c[j>>2]|0)+52>>2]&127](e,q,0)|0)<<24>>24;q=c[h>>2]|0;a=q+12|0;k=c[a>>2]|0;if((k|0)==(c[q+16>>2]|0)){Td[c[(c[q>>2]|0)+40>>2]&255](q)|0;r=n;s=f;t=o;u=o}else{c[a>>2]=k+4;r=n;s=f;t=o;u=o}while(1){v=r-48|0;o=s-1|0;f=c[h>>2]|0;do{if((f|0)==0){w=1}else{n=c[f+12>>2]|0;if((n|0)==(c[f+16>>2]|0)){x=Td[c[(c[f>>2]|0)+36>>2]&255](f)|0}else{x=c[n>>2]|0}if((x|0)==-1){c[h>>2]=0;w=1;break}else{w=(c[h>>2]|0)==0;break}}}while(0);do{if((t|0)==0){y=1;z=0;A=u}else{f=c[t+12>>2]|0;if((f|0)==(c[t+16>>2]|0)){B=Td[c[(c[t>>2]|0)+36>>2]&255](t)|0}else{B=c[f>>2]|0}if((B|0)==-1){c[l>>2]=0;y=1;z=0;A=0;break}else{y=(u|0)==0;z=u;A=u;break}}}while(0);C=c[h>>2]|0;if(!((w^y)&(o|0)>0)){break}f=c[C+12>>2]|0;if((f|0)==(c[C+16>>2]|0)){D=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{D=c[f>>2]|0}if(!(Vd[c[(c[b>>2]|0)+12>>2]&127](e,2048,D)|0)){p=v;m=63;break}f=((Vd[c[(c[j>>2]|0)+52>>2]&127](e,D,0)|0)<<24>>24)+(v*10|0)|0;n=c[h>>2]|0;k=n+12|0;a=c[k>>2]|0;if((a|0)==(c[n+16>>2]|0)){Td[c[(c[n>>2]|0)+40>>2]&255](n)|0;r=f;s=o;t=z;u=A;continue}else{c[k>>2]=a+4;r=f;s=o;t=z;u=A;continue}}if((m|0)==63){i=g;return p|0}do{if((C|0)==0){E=1}else{u=c[C+12>>2]|0;if((u|0)==(c[C+16>>2]|0)){F=Td[c[(c[C>>2]|0)+36>>2]&255](C)|0}else{F=c[u>>2]|0}if((F|0)==-1){c[h>>2]=0;E=1;break}else{E=(c[h>>2]|0)==0;break}}}while(0);do{if((A|0)==0){m=60}else{h=c[A+12>>2]|0;if((h|0)==(c[A+16>>2]|0)){G=Td[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{G=c[h>>2]|0}if((G|0)==-1){c[l>>2]=0;m=60;break}if(E){p=v}else{break}i=g;return p|0}}while(0);do{if((m|0)==60){if(E){break}else{p=v}i=g;return p|0}}while(0);c[d>>2]=c[d>>2]|2;p=v;i=g;return p|0}function VS(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((e|0)==(c[413194]|0)){f=b|0;tN(f);g=b;qY(g);return}Tb(c[d>>2]|0);f=b|0;tN(f);g=b;qY(g);return}function WS(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((e|0)==(c[413194]|0)){f=b|0;tN(f);return}Tb(c[d>>2]|0);f=b|0;tN(f);return}function XS(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;g=i;i=i+112|0;f=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[f>>2];f=g|0;l=g+8|0;m=l|0;n=f|0;a[n]=37;o=f+1|0;a[o]=j;p=f+2|0;a[p]=k;a[f+3|0]=0;if(!(k<<24>>24==0)){a[o]=k;a[p]=j}j=id(m|0,100,n|0,h|0,c[d+8>>2]|0)|0;d=l+j|0;l=c[e>>2]|0;if((j|0)==0){q=l;r=b|0;c[r>>2]=q;i=g;return}else{s=m;t=l;u=l}while(1){l=a[s]|0;do{if((t|0)==0){v=0;w=u}else{m=t+24|0;j=c[m>>2]|0;if((j|0)==(c[t+28>>2]|0)){e=(ce[c[(c[t>>2]|0)+52>>2]&127](t,l&255)|0)==-1;v=e?0:t;w=e?0:u;break}else{c[m>>2]=j+1;a[j]=l;v=t;w=u;break}}}while(0);l=s+1|0;if((l|0)==(d|0)){q=w;break}else{s=l;t=v;u=w}}r=b|0;c[r>>2]=q;i=g;return}function YS(b){b=b|0;var d=0,e=0,f=0,g=0;d=b+8|0;e=c[d>>2]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((e|0)==(c[413194]|0)){f=b|0;tN(f);g=b;qY(g);return}Tb(c[d>>2]|0);f=b|0;tN(f);g=b;qY(g);return}function ZS(b){b=b|0;var d=0,e=0,f=0;d=b+8|0;e=c[d>>2]|0;do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);if((e|0)==(c[413194]|0)){f=b|0;tN(f);return}Tb(c[d>>2]|0);f=b|0;tN(f);return}function _S(a,b,d,e,f,g,h,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;f=i;i=i+408|0;e=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[e>>2];e=f|0;k=f+400|0;l=e|0;c[k>>2]=e+400;$S(b+8|0,l,k,g,h,j);j=c[k>>2]|0;k=c[d>>2]|0;if((l|0)==(j|0)){m=k;n=a|0;c[n>>2]=m;i=f;return}else{o=l;p=k;q=k}while(1){k=c[o>>2]|0;if((p|0)==0){r=0;s=q}else{l=p+24|0;d=c[l>>2]|0;if((d|0)==(c[p+28>>2]|0)){t=ce[c[(c[p>>2]|0)+52>>2]&127](p,k)|0}else{c[l>>2]=d+4;c[d>>2]=k;t=k}k=(t|0)==-1;r=k?0:p;s=k?0:q}k=o+4|0;if((k|0)==(j|0)){m=s;break}else{o=k;p=r;q=s}}n=a|0;c[n>>2]=m;i=f;return}function $S(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=i;i=i+120|0;k=j|0;l=j+112|0;m=i;i=i+4|0;i=i+7&-8;n=j+8|0;o=k|0;a[o]=37;p=k+1|0;a[p]=g;q=k+2|0;a[q]=h;a[k+3|0]=0;if(!(h<<24>>24==0)){a[p]=h;a[q]=g}g=b|0;id(n|0,100,o|0,f|0,c[g>>2]|0)|0;c[l>>2]=0;c[l+4>>2]=0;c[m>>2]=n;n=(c[e>>2]|0)-d>>2;f=cd(c[g>>2]|0)|0;g=lX(d,m,n,l)|0;if((f|0)!=0){cd(f|0)|0}if((g|0)==-1){XT(65488)}else{c[e>>2]=d+(g<<2);i=j;return}}function aT(a){a=a|0;tN(a|0);qY(a);return}function bT(a){a=a|0;tN(a|0);return}function cT(a){a=a|0;return 127}function dT(a){a=a|0;return 127}function eT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function fT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function gT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function hT(a,b){a=a|0;b=b|0;$N(a,1,45);return}function iT(a){a=a|0;return 0}function jT(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function kT(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function lT(a){a=a|0;tN(a|0);qY(a);return}function mT(a){a=a|0;tN(a|0);return}function nT(a){a=a|0;return 127}function oT(a){a=a|0;return 127}function pT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function qT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function rT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function sT(a,b){a=a|0;b=b|0;$N(a,1,45);return}function tT(a){a=a|0;return 0}function uT(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function vT(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function wT(a){a=a|0;tN(a|0);qY(a);return}function xT(a){a=a|0;tN(a|0);return}function yT(a){a=a|0;return 2147483647}function zT(a){a=a|0;return 2147483647}function AT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function BT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function CT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function DT(a,b){a=a|0;b=b|0;GO(a,1,45);return}function ET(a){a=a|0;return 0}function FT(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function GT(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function HT(a){a=a|0;tN(a|0);qY(a);return}function IT(a){a=a|0;tN(a|0);return}function JT(a){a=a|0;return 2147483647}function KT(a){a=a|0;return 2147483647}function LT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function MT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function NT(a,b){a=a|0;b=b|0;NY(a|0,0,12)|0;return}function OT(a,b){a=a|0;b=b|0;GO(a,1,45);return}function PT(a){a=a|0;return 0}function QT(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function RT(b,c){b=b|0;c=c|0;c=b;C=67109634;a[c]=C;C=C>>8;a[c+1|0]=C;C=C>>8;a[c+2|0]=C;C=C>>8;a[c+3|0]=C;return}function ST(a){a=a|0;tN(a|0);qY(a);return}function TT(a){a=a|0;tN(a|0);return}function UT(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;d=i;i=i+280|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=d+160|0;t=d+176|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=212;w=m+100|0;$O(p,h);m=p|0;x=c[m>>2]|0;if(!((c[413552]|0)==-1)){c[l>>2]=1654208;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654208,l,124)}l=(c[413553]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(WT(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;fe[c[(c[z>>2]|0)+32>>2]&127](A,1613016,1613026,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>98){H=iY(G+2|0)|0;if((H|0)!=0){I=H;J=H;break}vY();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+10|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((a[N]|0)==(a[M]|0)){O=N;break}else{N=N+1|0}}a[L]=a[1613016+(O-H)|0]|0;N=M+1|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=ub(D|0,1596808,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}jY(J);break}M=xd(8)|0;BN(M,1594848);tc(M|0,1619752,32)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=0}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){R=z;break}if(!((Td[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1)){R=z;break}c[A>>2]=0;R=0}}while(0);A=(R|0)==0;z=c[B>>2]|0;do{if((z|0)==0){S=45}else{if((c[z+12>>2]|0)!=(c[z+16>>2]|0)){if(A){break}else{S=47;break}}if((Td[c[(c[z>>2]|0)+36>>2]&255](z)|0)==-1){c[B>>2]=0;S=45;break}else{if(A){break}else{S=47;break}}}}while(0);if((S|0)==45){if(A){S=47}}if((S|0)==47){c[j>>2]=c[j>>2]|2}c[b>>2]=R;vN(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Qd[c[v>>2]&511](B);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function VT(a){a=a|0;return}function WT(e,f,g,h,j,k,l,m,n,o,p){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0;q=i;i=i+520|0;r=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[r>>2];r=q|0;s=q+400|0;t=q+408|0;u=q+416|0;v=q+424|0;w=q+440|0;x=q+456|0;y=q+472|0;z=q+488|0;A=q+504|0;B=q+512|0;C=r|0;D=v;NY(D|0,0,12)|0;E=w;NY(E|0,0,12)|0;F=x;NY(F|0,0,12)|0;G=y;NY(G|0,0,12)|0;H=z;NY(H|0,0,12)|0;_T(g,h,s,t,u,v,w,x,y,A);h=n|0;c[o>>2]=c[h>>2];g=e|0;e=f|0;f=m+8|0;m=y+1|0;I=y+4|0;J=y+8|0;K=x+1|0;L=x+4|0;M=x+8|0;N=(j&512|0)!=0;j=w+1|0;O=w+8|0;P=w+4|0;Q=z;R=Q+1|0;S=z+8|0;T=z+4|0;U=s+3|0;V=v+4|0;W=n+4|0;n=p;p=212;X=C;Y=C;C=r+400|0;r=0;Z=0;a:while(1){_=c[g>>2]|0;do{if((_|0)==0){$=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){$=_;break}if((Td[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;$=0;break}else{$=c[g>>2]|0;break}}}while(0);_=($|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=15}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}if((Td[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=15;break}else{if(_){ca=aa;break}else{da=p;ea=X;fa=Y;ga=Z;ba=310;break a}}}}while(0);if((ba|0)==15){ba=0;if(_){da=p;ea=X;fa=Y;ga=Z;ba=310;break}else{ca=0}}b:do{switch(a[s+r|0]|0){case 0:{ba=42;break};case 3:{aa=a[F]|0;ha=(aa&1)==0;if(ha){ia=(aa&255)>>>1}else{ia=c[L>>2]|0}ja=a[G]|0;ka=(ja&1)==0;if(ka){la=(ja&255)>>>1}else{la=c[I>>2]|0}if((ia|0)==(-la|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(ha){sa=(aa&255)>>>1}else{sa=c[L>>2]|0}do{if((sa|0)!=0){if(ka){ta=(ja&255)>>>1}else{ta=c[I>>2]|0}if((ta|0)==0){break}ua=c[g>>2]|0;va=c[ua+12>>2]|0;wa=c[ua+16>>2]|0;if((va|0)==(wa|0)){xa=(Td[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255;ya=c[g>>2]|0;za=xa;Aa=a[F]|0;Ba=ya;Ca=c[ya+12>>2]|0;Da=c[ya+16>>2]|0}else{za=a[va]|0;Aa=aa;Ba=ua;Ca=va;Da=wa}wa=Ba+12|0;va=(Ca|0)==(Da|0);if(za<<24>>24==(a[(Aa&1)==0?K:c[M>>2]|0]|0)){if(va){Td[c[(c[Ba>>2]|0)+40>>2]&255](Ba)|0}else{c[wa>>2]=Ca+1}wa=a[F]|0;if((wa&1)==0){Ea=(wa&255)>>>1}else{Ea=c[L>>2]|0}ma=Ea>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(va){Fa=(Td[c[(c[Ba>>2]|0)+36>>2]&255](Ba)|0)&255}else{Fa=a[Ca]|0}if(!(Fa<<24>>24==(a[(a[G]&1)==0?m:c[J>>2]|0]|0))){ba=136;break a}va=c[g>>2]|0;wa=va+12|0;ua=c[wa>>2]|0;if((ua|0)==(c[va+16>>2]|0)){Td[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[wa>>2]=ua+1}a[l]=1;ua=a[G]|0;if((ua&1)==0){Ga=(ua&255)>>>1}else{Ga=c[I>>2]|0}ma=Ga>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}while(0);if(ha){Ha=(aa&255)>>>1}else{Ha=c[L>>2]|0}ka=c[g>>2]|0;ua=c[ka+12>>2]|0;wa=(ua|0)==(c[ka+16>>2]|0);if((Ha|0)==0){if(wa){va=(Td[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;Ia=va;Ja=a[G]|0}else{Ia=a[ua]|0;Ja=ja}if(!(Ia<<24>>24==(a[(Ja&1)==0?m:c[J>>2]|0]|0))){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}va=c[g>>2]|0;ya=va+12|0;xa=c[ya>>2]|0;if((xa|0)==(c[va+16>>2]|0)){Td[c[(c[va>>2]|0)+40>>2]&255](va)|0}else{c[ya>>2]=xa+1}a[l]=1;xa=a[G]|0;if((xa&1)==0){Ka=(xa&255)>>>1}else{Ka=c[I>>2]|0}ma=Ka>>>0>1>>>0?y:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}if(wa){wa=(Td[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255;La=wa;Ma=a[F]|0}else{La=a[ua]|0;Ma=aa}if(!(La<<24>>24==(a[(Ma&1)==0?K:c[M>>2]|0]|0))){a[l]=1;ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}ua=c[g>>2]|0;wa=ua+12|0;ka=c[wa>>2]|0;if((ka|0)==(c[ua+16>>2]|0)){Td[c[(c[ua>>2]|0)+40>>2]&255](ua)|0}else{c[wa>>2]=ka+1}ka=a[F]|0;if((ka&1)==0){Na=(ka&255)>>>1}else{Na=c[L>>2]|0}ma=Na>>>0>1>>>0?x:Z;na=C;oa=Y;pa=X;qa=p;ra=n;break};case 1:{if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}ka=c[g>>2]|0;wa=c[ka+12>>2]|0;if((wa|0)==(c[ka+16>>2]|0)){Oa=(Td[c[(c[ka>>2]|0)+36>>2]&255](ka)|0)&255}else{Oa=a[wa]|0}if(Oa<<24>>24<0){ba=41;break a}if((b[(c[f>>2]|0)+(Oa<<24>>24<<1)>>1]&8192)==0){ba=41;break a}wa=c[g>>2]|0;ka=wa+12|0;ua=c[ka>>2]|0;if((ua|0)==(c[wa+16>>2]|0)){Pa=(Td[c[(c[wa>>2]|0)+40>>2]&255](wa)|0)&255}else{c[ka>>2]=ua+1;Pa=a[ua]|0}vO(z,Pa);ba=42;break};case 2:{if(!((Z|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Qa=(a[U]|0)!=0}else{Qa=0}if(!(N|Qa)){ma=0;na=C;oa=Y;pa=X;qa=p;ra=n;break b}}ua=a[E]|0;ka=(ua&1)==0;wa=ka?j:c[O>>2]|0;c:do{if((r|0)==0){Ra=wa;Sa=ua;Ta=ca;Ua=ca}else{if(!((d[s+(r-1)|0]|0)>>>0<2>>>0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}xa=wa+(ka?(ua&255)>>>1:c[P>>2]|0)|0;ya=wa;while(1){if((ya|0)==(xa|0)){Va=xa;break}va=a[ya]|0;if(va<<24>>24<0){Va=ya;break}if((b[(c[f>>2]|0)+(va<<24>>24<<1)>>1]&8192)==0){Va=ya;break}else{ya=ya+1|0}}ya=Va-wa|0;xa=a[H]|0;va=(xa&1)==0;if(va){Wa=(xa&255)>>>1}else{Wa=c[T>>2]|0}if(ya>>>0>Wa>>>0){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break}if(va){va=(xa&255)>>>1;Xa=va;Ya=R;Za=va-ya+(Q+1)|0}else{va=c[S>>2]|0;xa=c[T>>2]|0;Xa=xa;Ya=va;Za=va+(xa-ya)|0}ya=Ya+Xa|0;if((Za|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=Za;$a=wa}while(1){if((a[_a]|0)!=(a[$a]|0)){Ra=wa;Sa=ua;Ta=ca;Ua=ca;break c}xa=_a+1|0;if((xa|0)==(ya|0)){Ra=Va;Sa=ua;Ta=ca;Ua=ca;break}else{_a=xa;$a=$a+1|0}}}}while(0);d:while(1){if((Sa&1)==0){ab=(Sa&255)>>>1;bb=j}else{ab=c[P>>2]|0;bb=c[O>>2]|0}if((Ra|0)==(bb+ab|0)){break}ua=c[g>>2]|0;do{if((ua|0)==0){cb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){cb=ua;break}if((Td[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;cb=0;break}else{cb=c[g>>2]|0;break}}}while(0);ua=(cb|0)==0;do{if((Ta|0)==0){db=Ua;ba=173}else{if((c[Ta+12>>2]|0)!=(c[Ta+16>>2]|0)){if(ua){eb=Ta;fb=Ua;break}else{break d}}if((Td[c[(c[Ta>>2]|0)+36>>2]&255](Ta)|0)==-1){c[e>>2]=0;db=0;ba=173;break}else{if(ua^(Ua|0)==0){eb=Ua;fb=Ua;break}else{break d}}}}while(0);if((ba|0)==173){ba=0;if(ua){break}else{eb=0;fb=db}}wa=c[g>>2]|0;ka=c[wa+12>>2]|0;if((ka|0)==(c[wa+16>>2]|0)){gb=(Td[c[(c[wa>>2]|0)+36>>2]&255](wa)|0)&255}else{gb=a[ka]|0}if(!(gb<<24>>24==(a[Ra]|0))){break}ka=c[g>>2]|0;wa=ka+12|0;aa=c[wa>>2]|0;if((aa|0)==(c[ka+16>>2]|0)){Td[c[(c[ka>>2]|0)+40>>2]&255](ka)|0}else{c[wa>>2]=aa+1}Ra=Ra+1|0;Sa=a[E]|0;Ta=eb;Ua=fb}if(!N){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break b}aa=a[E]|0;if((aa&1)==0){hb=(aa&255)>>>1;ib=j}else{hb=c[P>>2]|0;ib=c[O>>2]|0}if((Ra|0)==(ib+hb|0)){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}else{ba=189;break a}break};case 4:{aa=0;wa=C;ka=Y;ja=X;ha=p;ya=n;e:while(1){xa=c[g>>2]|0;do{if((xa|0)==0){jb=0}else{if((c[xa+12>>2]|0)!=(c[xa+16>>2]|0)){jb=xa;break}if((Td[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)==-1){c[g>>2]=0;jb=0;break}else{jb=c[g>>2]|0;break}}}while(0);xa=(jb|0)==0;ua=c[e>>2]|0;do{if((ua|0)==0){ba=202}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){if(xa){break}else{break e}}if((Td[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[e>>2]=0;ba=202;break}else{if(xa){break}else{break e}}}}while(0);if((ba|0)==202){ba=0;if(xa){break}}ua=c[g>>2]|0;va=c[ua+12>>2]|0;if((va|0)==(c[ua+16>>2]|0)){kb=(Td[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)&255}else{kb=a[va]|0}do{if(kb<<24>>24<0){ba=221}else{if((b[(c[f>>2]|0)+(kb<<24>>24<<1)>>1]&2048)==0){ba=221;break}va=c[o>>2]|0;if((va|0)==(ya|0)){ua=(c[W>>2]|0)!=212;lb=c[h>>2]|0;mb=ya-lb|0;nb=mb>>>0<2147483647>>>0?mb<<1:-1;ob=lY(ua?lb:0,nb)|0;if((ob|0)==0){vY()}do{if(ua){c[h>>2]=ob;pb=ob}else{lb=c[h>>2]|0;c[h>>2]=ob;if((lb|0)==0){pb=ob;break}Qd[c[W>>2]&511](lb);pb=c[h>>2]|0}}while(0);c[W>>2]=102;ob=pb+mb|0;c[o>>2]=ob;qb=(c[h>>2]|0)+nb|0;rb=ob}else{qb=ya;rb=va}c[o>>2]=rb+1;a[rb]=kb;sb=aa+1|0;tb=wa;ub=ka;vb=ja;wb=ha;xb=qb}}while(0);if((ba|0)==221){ba=0;xa=a[D]|0;if((xa&1)==0){yb=(xa&255)>>>1}else{yb=c[V>>2]|0}if((yb|0)==0|(aa|0)==0){break}if(!(kb<<24>>24==(a[u]|0))){break}if((ka|0)==(wa|0)){xa=ka-ja|0;ob=xa>>>0<2147483647>>>0?xa<<1:-1;if((ha|0)==212){zb=0}else{zb=ja}ua=lY(zb,ob)|0;lb=ua;if((ua|0)==0){vY()}Ab=lb+(ob>>>2<<2)|0;Bb=lb+(xa>>2<<2)|0;Cb=lb;Db=102}else{Ab=wa;Bb=ka;Cb=ja;Db=ha}c[Bb>>2]=aa;sb=0;tb=Ab;ub=Bb+4|0;vb=Cb;wb=Db;xb=ya}lb=c[g>>2]|0;xa=lb+12|0;ob=c[xa>>2]|0;if((ob|0)==(c[lb+16>>2]|0)){Td[c[(c[lb>>2]|0)+40>>2]&255](lb)|0;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}else{c[xa>>2]=ob+1;aa=sb;wa=tb;ka=ub;ja=vb;ha=wb;ya=xb;continue}}if((ja|0)==(ka|0)|(aa|0)==0){Eb=wa;Fb=ka;Gb=ja;Hb=ha}else{if((ka|0)==(wa|0)){ob=ka-ja|0;xa=ob>>>0<2147483647>>>0?ob<<1:-1;if((ha|0)==212){Ib=0}else{Ib=ja}lb=lY(Ib,xa)|0;ua=lb;if((lb|0)==0){vY()}Jb=ua+(xa>>>2<<2)|0;Kb=ua+(ob>>2<<2)|0;Lb=ua;Mb=102}else{Jb=wa;Kb=ka;Lb=ja;Mb=ha}c[Kb>>2]=aa;Eb=Jb;Fb=Kb+4|0;Gb=Lb;Hb=Mb}if((c[A>>2]|0)>0){ua=c[g>>2]|0;do{if((ua|0)==0){Nb=0}else{if((c[ua+12>>2]|0)!=(c[ua+16>>2]|0)){Nb=ua;break}if((Td[c[(c[ua>>2]|0)+36>>2]&255](ua)|0)==-1){c[g>>2]=0;Nb=0;break}else{Nb=c[g>>2]|0;break}}}while(0);ua=(Nb|0)==0;aa=c[e>>2]|0;do{if((aa|0)==0){ba=257}else{if((c[aa+12>>2]|0)!=(c[aa+16>>2]|0)){if(ua){Ob=aa;break}else{ba=264;break a}}if((Td[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)==-1){c[e>>2]=0;ba=257;break}else{if(ua){Ob=aa;break}else{ba=264;break a}}}}while(0);if((ba|0)==257){ba=0;if(ua){ba=264;break a}else{Ob=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Pb=(Td[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Pb=a[ha]|0}if(!(Pb<<24>>24==(a[t]|0))){ba=264;break a}ha=c[g>>2]|0;aa=ha+12|0;ja=c[aa>>2]|0;if((ja|0)==(c[ha+16>>2]|0)){Td[c[(c[ha>>2]|0)+40>>2]&255](ha)|0;Qb=ya;Rb=Ob;Sb=Ob}else{c[aa>>2]=ja+1;Qb=ya;Rb=Ob;Sb=Ob}while(1){ja=c[g>>2]|0;do{if((ja|0)==0){Tb=0}else{if((c[ja+12>>2]|0)!=(c[ja+16>>2]|0)){Tb=ja;break}if((Td[c[(c[ja>>2]|0)+36>>2]&255](ja)|0)==-1){c[g>>2]=0;Tb=0;break}else{Tb=c[g>>2]|0;break}}}while(0);ja=(Tb|0)==0;do{if((Rb|0)==0){Ub=Sb;ba=280}else{if((c[Rb+12>>2]|0)!=(c[Rb+16>>2]|0)){if(ja){Vb=Sb;Wb=Rb;break}else{ba=288;break a}}if((Td[c[(c[Rb>>2]|0)+36>>2]&255](Rb)|0)==-1){c[e>>2]=0;Ub=0;ba=280;break}else{if(ja^(Sb|0)==0){Vb=Sb;Wb=Sb;break}else{ba=288;break a}}}}while(0);if((ba|0)==280){ba=0;if(ja){ba=288;break a}else{Vb=Ub;Wb=0}}aa=c[g>>2]|0;ha=c[aa+12>>2]|0;if((ha|0)==(c[aa+16>>2]|0)){Xb=(Td[c[(c[aa>>2]|0)+36>>2]&255](aa)|0)&255}else{Xb=a[ha]|0}if(Xb<<24>>24<0){ba=288;break a}if((b[(c[f>>2]|0)+(Xb<<24>>24<<1)>>1]&2048)==0){ba=288;break a}ha=c[o>>2]|0;if((ha|0)==(Qb|0)){aa=(c[W>>2]|0)!=212;ka=c[h>>2]|0;wa=Qb-ka|0;ob=wa>>>0<2147483647>>>0?wa<<1:-1;xa=lY(aa?ka:0,ob)|0;if((xa|0)==0){vY()}do{if(aa){c[h>>2]=xa;Yb=xa}else{ka=c[h>>2]|0;c[h>>2]=xa;if((ka|0)==0){Yb=xa;break}Qd[c[W>>2]&511](ka);Yb=c[h>>2]|0}}while(0);c[W>>2]=102;xa=Yb+wa|0;c[o>>2]=xa;Zb=(c[h>>2]|0)+ob|0;_b=xa}else{Zb=Qb;_b=ha}xa=c[g>>2]|0;aa=c[xa+12>>2]|0;if((aa|0)==(c[xa+16>>2]|0)){ja=(Td[c[(c[xa>>2]|0)+36>>2]&255](xa)|0)&255;$b=ja;ac=c[o>>2]|0}else{$b=a[aa]|0;ac=_b}c[o>>2]=ac+1;a[ac]=$b;aa=(c[A>>2]|0)-1|0;c[A>>2]=aa;ja=c[g>>2]|0;xa=ja+12|0;ka=c[xa>>2]|0;if((ka|0)==(c[ja+16>>2]|0)){Td[c[(c[ja>>2]|0)+40>>2]&255](ja)|0}else{c[xa>>2]=ka+1}if((aa|0)>0){Qb=Zb;Rb=Wb;Sb=Vb}else{bc=Zb;break}}}else{bc=ya}if((c[o>>2]|0)==(c[h>>2]|0)){ba=308;break a}else{ma=Z;na=Eb;oa=Fb;pa=Gb;qa=Hb;ra=bc}break};default:{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n}}}while(0);f:do{if((ba|0)==42){ba=0;if((r|0)==3){da=p;ea=X;fa=Y;ga=Z;ba=310;break a}else{cc=ca;dc=ca}while(1){_=c[g>>2]|0;do{if((_|0)==0){ec=0}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){ec=_;break}if((Td[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[g>>2]=0;ec=0;break}else{ec=c[g>>2]|0;break}}}while(0);_=(ec|0)==0;do{if((cc|0)==0){fc=dc;ba=55}else{if((c[cc+12>>2]|0)!=(c[cc+16>>2]|0)){if(_){gc=cc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}if((Td[c[(c[cc>>2]|0)+36>>2]&255](cc)|0)==-1){c[e>>2]=0;fc=0;ba=55;break}else{if(_^(dc|0)==0){gc=dc;hc=dc;break}else{ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}}}}while(0);if((ba|0)==55){ba=0;if(_){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}else{gc=0;hc=fc}}ha=c[g>>2]|0;ob=c[ha+12>>2]|0;if((ob|0)==(c[ha+16>>2]|0)){ic=(Td[c[(c[ha>>2]|0)+36>>2]&255](ha)|0)&255}else{ic=a[ob]|0}if(ic<<24>>24<0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}if((b[(c[f>>2]|0)+(ic<<24>>24<<1)>>1]&8192)==0){ma=Z;na=C;oa=Y;pa=X;qa=p;ra=n;break f}ob=c[g>>2]|0;ha=ob+12|0;wa=c[ha>>2]|0;if((wa|0)==(c[ob+16>>2]|0)){jc=(Td[c[(c[ob>>2]|0)+40>>2]&255](ob)|0)&255}else{c[ha>>2]=wa+1;jc=a[wa]|0}vO(z,jc);cc=gc;dc=hc}}}while(0);ya=r+1|0;if(ya>>>0<4>>>0){n=ra;p=qa;X=pa;Y=oa;C=na;r=ya;Z=ma}else{da=qa;ea=pa;fa=oa;ga=ma;ba=310;break}}g:do{if((ba|0)==41){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==136){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==189){c[k>>2]=c[k>>2]|4;kc=0;lc=X;mc=p}else if((ba|0)==264){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==288){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==308){c[k>>2]=c[k>>2]|4;kc=0;lc=Gb;mc=Hb}else if((ba|0)==310){h:do{if((ga|0)!=0){ma=ga;oa=ga+1|0;pa=ga+8|0;qa=ga+4|0;Z=1;i:while(1){r=a[ma]|0;if((r&1)==0){nc=(r&255)>>>1}else{nc=c[qa>>2]|0}if(!(Z>>>0<nc>>>0)){break h}r=c[g>>2]|0;do{if((r|0)==0){oc=0}else{if((c[r+12>>2]|0)!=(c[r+16>>2]|0)){oc=r;break}if((Td[c[(c[r>>2]|0)+36>>2]&255](r)|0)==-1){c[g>>2]=0;oc=0;break}else{oc=c[g>>2]|0;break}}}while(0);r=(oc|0)==0;_=c[e>>2]|0;do{if((_|0)==0){ba=328}else{if((c[_+12>>2]|0)!=(c[_+16>>2]|0)){if(r){break}else{break i}}if((Td[c[(c[_>>2]|0)+36>>2]&255](_)|0)==-1){c[e>>2]=0;ba=328;break}else{if(r){break}else{break i}}}}while(0);if((ba|0)==328){ba=0;if(r){break}}_=c[g>>2]|0;na=c[_+12>>2]|0;if((na|0)==(c[_+16>>2]|0)){pc=(Td[c[(c[_>>2]|0)+36>>2]&255](_)|0)&255}else{pc=a[na]|0}if((a[ma]&1)==0){qc=oa}else{qc=c[pa>>2]|0}if(!(pc<<24>>24==(a[qc+Z|0]|0))){break}na=Z+1|0;_=c[g>>2]|0;C=_+12|0;Y=c[C>>2]|0;if((Y|0)==(c[_+16>>2]|0)){Td[c[(c[_>>2]|0)+40>>2]&255](_)|0;Z=na;continue}else{c[C>>2]=Y+1;Z=na;continue}}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da;break g}}while(0);if((ea|0)==(fa|0)){kc=1;lc=fa;mc=da;break}c[B>>2]=0;$T(v,ea,fa,B);if((c[B>>2]|0)==0){kc=1;lc=ea;mc=da;break}c[k>>2]=c[k>>2]|4;kc=0;lc=ea;mc=da}}while(0);dO(z);dO(y);dO(x);dO(w);dO(v);if((lc|0)==0){i=q;return kc|0}Qd[mc&511](lc);i=q;return kc|0}function XT(a){a=a|0;var b=0;b=xd(8)|0;BN(b,a);tc(b|0,1619752,32)}function YT(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;d=i;i=i+160|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+120|0;o=d+128|0;p=d+136|0;q=d+144|0;r=d+152|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=212;u=m+100|0;$O(p,h);m=p|0;v=c[m>>2]|0;if(!((c[413552]|0)==-1)){c[l>>2]=1654208;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654208,l,124)}l=(c[413553]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(WT(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){a[k+1|0]=0;a[B]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){vO(k,ce[c[(c[B>>2]|0)+28>>2]&127](y,45)|0)}x=ce[c[(c[B>>2]|0)+28>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-1|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((a[C]|0)==x<<24>>24){C=C+1|0}else{break}}ZT(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=0}else{if((c[B+12>>2]|0)!=(c[B+16>>2]|0)){D=B;break}if(!((Td[c[(c[B>>2]|0)+36>>2]&255](B)|0)==-1)){D=B;break}c[x>>2]=0;D=0}}while(0);x=(D|0)==0;do{if((A|0)==0){E=33}else{if((c[A+12>>2]|0)!=(c[A+16>>2]|0)){if(x){break}else{E=35;break}}if((Td[c[(c[A>>2]|0)+36>>2]&255](A)|0)==-1){c[z>>2]=0;E=33;break}else{if(x^(A|0)==0){break}else{E=35;break}}}}while(0);if((E|0)==33){if(x){E=35}}if((E|0)==35){c[j>>2]=c[j>>2]|2}c[b>>2]=D;vN(c[m>>2]|0)|0;A=c[s>>2]|0;c[s>>2]=0;if((A|0)==0){i=d;return}Qd[c[t>>2]&511](A);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function ZT(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=10;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g|0;if((e|0)==(d|0)){return b|0}if((i-k|0)>>>0<h>>>0){yO(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+1|0}else{m=c[b+8>>2]|0}l=e+(k-g)|0;g=d;d=m+k|0;while(1){a[d]=a[g]|0;j=g+1|0;if((j|0)==(e|0)){break}else{g=j;d=d+1|0}}a[m+l|0]=0;l=k+h|0;if((a[f]&1)==0){a[f]=l<<1;return b|0}else{c[b+4>>2]=l;return b|0}return 0}function _T(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[413670]|0)==-1)){c[p>>2]=1654680;c[p+4>>2]=16;c[p+8>>2]=0;QN(1654680,p,124)}p=(c[413671]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=xd(4)|0;D=B;PX(D);tc(B|0,1619736,180)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=xd(4)|0;D=B;PX(D);tc(B|0,1619736,180)}B=b;Rd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Rd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){a[l+1|0]=0;a[q]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pO(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];NY(p|0,0,12)|0;dO(r);Rd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){a[k+1|0]=0;a[r]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}pO(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];NY(p|0,0,12)|0;dO(s);s=b;a[f]=Td[c[(c[s>>2]|0)+12>>2]&255](B)|0;a[g]=Td[c[(c[s>>2]|0)+16>>2]&255](B)|0;Rd[c[(c[D>>2]|0)+20>>2]&127](t,B);s=h;if((a[s]&1)==0){a[h+1|0]=0;a[s]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}pO(h,0);p=t;c[s>>2]=c[p>>2];c[s+4>>2]=c[p+4>>2];c[s+8>>2]=c[p+8>>2];NY(p|0,0,12)|0;dO(t);Rd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){a[j+1|0]=0;a[D]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pO(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];NY(t|0,0,12)|0;dO(u);E=Td[c[(c[b>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[413672]|0)==-1)){c[o>>2]=1654688;c[o+4>>2]=16;c[o+8>>2]=0;QN(1654688,o,124)}o=(c[413673]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=xd(4)|0;G=F;PX(G);tc(F|0,1619736,180)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=xd(4)|0;G=F;PX(G);tc(F|0,1619736,180)}F=B;Rd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Rd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){a[l+1|0]=0;a[v]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pO(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];NY(l|0,0,12)|0;dO(w);Rd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){a[k+1|0]=0;a[w]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}pO(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];NY(k|0,0,12)|0;dO(x);x=B;a[f]=Td[c[(c[x>>2]|0)+12>>2]&255](F)|0;a[g]=Td[c[(c[x>>2]|0)+16>>2]&255](F)|0;Rd[c[(c[G>>2]|0)+20>>2]&127](y,F);x=h;if((a[x]&1)==0){a[h+1|0]=0;a[x]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}pO(h,0);h=y;c[x>>2]=c[h>>2];c[x+4>>2]=c[h+4>>2];c[x+8>>2]=c[h+8>>2];NY(h|0,0,12)|0;dO(y);Rd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){a[j+1|0]=0;a[G]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pO(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];NY(j|0,0,12)|0;dO(z);E=Td[c[(c[B>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function $T(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=b;h=a[g]|0;if((h&1)==0){i=(h&255)>>>1}else{i=c[b+4>>2]|0}if((i|0)==0){return}do{if((d|0)==(e|0)){j=h}else{i=e-4|0;if(i>>>0>d>>>0){k=d;l=i}else{j=h;break}do{i=c[k>>2]|0;c[k>>2]=c[l>>2];c[l>>2]=i;k=k+4|0;l=l-4|0;}while(k>>>0<l>>>0);j=a[g]|0}}while(0);if((j&1)==0){m=(j&255)>>>1;n=b+1|0}else{m=c[b+4>>2]|0;n=c[b+8>>2]|0}b=e-4|0;e=a[n]|0;j=e<<24>>24<1|e<<24>>24==127;a:do{if(b>>>0>d>>>0){g=n+m|0;l=n;k=d;h=e;i=j;while(1){if(!i){if((h<<24>>24|0)!=(c[k>>2]|0)){break}}o=(g-l|0)>1?l+1|0:l;p=k+4|0;q=a[o]|0;r=q<<24>>24<1|q<<24>>24==127;if(p>>>0<b>>>0){l=o;k=p;h=q;i=r}else{s=q;t=r;break a}}c[f>>2]=4;return}else{s=e;t=j}}while(0);if(t){return}t=c[b>>2]|0;if(!(s<<24>>24>>>0<t>>>0|(t|0)==0)){return}c[f>>2]=4;return}function aU(a){a=a|0;tN(a|0);qY(a);return}function bU(a){a=a|0;tN(a|0);return}function cU(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;d=i;i=i+600|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=d+456|0;t=d+496|0;u=n|0;c[u>>2]=m;v=n+4|0;c[v>>2]=212;w=m+400|0;$O(p,h);m=p|0;x=c[m>>2]|0;if(!((c[413550]|0)==-1)){c[l>>2]=1654200;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654200,l,124)}l=(c[413551]|0)-1|0;y=c[x+8>>2]|0;do{if((c[x+12>>2]|0)-y>>2>>>0>l>>>0){z=c[y+(l<<2)>>2]|0;if((z|0)==0){break}A=z;a[q]=0;B=f|0;c[r>>2]=c[B>>2];do{if(dU(e,r,g,p,c[h+4>>2]|0,j,q,A,n,o,w)|0){C=s|0;fe[c[(c[z>>2]|0)+48>>2]&127](A,1613e3,1613010,C)|0;D=t|0;E=c[o>>2]|0;F=c[u>>2]|0;G=E-F|0;do{if((G|0)>392){H=iY((G>>2)+2|0)|0;if((H|0)!=0){I=H;J=H;break}vY();I=0;J=0}else{I=D;J=0}}while(0);if((a[q]|0)==0){K=I}else{a[I]=45;K=I+1|0}if(F>>>0<E>>>0){G=s+40|0;H=s;L=K;M=F;while(1){N=C;while(1){if((N|0)==(G|0)){O=G;break}if((c[N>>2]|0)==(c[M>>2]|0)){O=N;break}else{N=N+4|0}}a[L]=a[1613e3+(O-H>>2)|0]|0;N=M+4|0;P=L+1|0;if(N>>>0<(c[o>>2]|0)>>>0){L=P;M=N}else{Q=P;break}}}else{Q=K}a[Q]=0;M=ub(D|0,1596808,(L=i,i=i+8|0,c[L>>2]=k,L)|0)|0;i=L;if((M|0)==1){if((J|0)==0){break}jY(J);break}M=xd(8)|0;BN(M,1594848);tc(M|0,1619752,32)}}while(0);A=e|0;z=c[A>>2]|0;do{if((z|0)==0){R=1}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){S=Td[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{S=c[M>>2]|0}if((S|0)==-1){c[A>>2]=0;R=1;break}else{R=(c[A>>2]|0)==0;break}}}while(0);z=c[B>>2]|0;do{if((z|0)==0){T=47}else{M=c[z+12>>2]|0;if((M|0)==(c[z+16>>2]|0)){U=Td[c[(c[z>>2]|0)+36>>2]&255](z)|0}else{U=c[M>>2]|0}if((U|0)==-1){c[B>>2]=0;T=47;break}else{if(R){break}else{T=49;break}}}}while(0);if((T|0)==47){if(R){T=49}}if((T|0)==49){c[j>>2]=c[j>>2]|2}c[b>>2]=c[A>>2];vN(c[m>>2]|0)|0;B=c[u>>2]|0;c[u>>2]=0;if((B|0)==0){i=d;return}Qd[c[v>>2]&511](B);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function dU(b,e,f,g,h,j,k,l,m,n,o){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0;p=i;i=i+528|0;q=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[q>>2];q=p|0;r=p+8|0;s=p+408|0;t=p+416|0;u=p+424|0;v=p+432|0;w=p+448|0;x=p+464|0;y=p+480|0;z=p+496|0;A=p+512|0;B=p+520|0;c[q>>2]=o;o=r|0;C=v;NY(C|0,0,12)|0;D=w;NY(D|0,0,12)|0;E=x;NY(E|0,0,12)|0;F=y;NY(F|0,0,12)|0;G=z;NY(G|0,0,12)|0;gU(f,g,s,t,u,v,w,x,y,A);g=m|0;c[n>>2]=c[g>>2];f=b|0;b=e|0;e=l;H=y+4|0;I=y+8|0;J=x+4|0;K=x+8|0;L=(h&512|0)!=0;h=w+4|0;M=w+8|0;N=z+4|0;O=z+8|0;P=s+3|0;Q=v+4|0;R=212;S=o;T=o;o=r+400|0;r=0;U=0;a:while(1){V=c[f>>2]|0;do{if((V|0)==0){W=1}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Y=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Y=c[X>>2]|0}if((Y|0)==-1){c[f>>2]=0;W=1;break}else{W=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=16}else{X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){_=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{_=c[X>>2]|0}if((_|0)==-1){c[b>>2]=0;Z=16;break}else{if(W){$=V;break}else{aa=R;ba=S;ca=T;da=U;Z=302;break a}}}}while(0);if((Z|0)==16){Z=0;if(W){aa=R;ba=S;ca=T;da=U;Z=302;break}else{$=0}}b:do{switch(a[s+r|0]|0){case 1:{if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){ea=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{ea=c[X>>2]|0}if(!(Vd[c[(c[e>>2]|0)+12>>2]&127](l,8192,ea)|0)){Z=41;break a}X=c[f>>2]|0;V=X+12|0;fa=c[V>>2]|0;if((fa|0)==(c[X+16>>2]|0)){ga=Td[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[V>>2]=fa+4;ga=c[fa>>2]|0}LO(z,ga);Z=42;break};case 0:{Z=42;break};case 3:{fa=a[E]|0;V=(fa&1)==0;if(V){ha=(fa&255)>>>1}else{ha=c[J>>2]|0}X=a[F]|0;ia=(X&1)==0;if(ia){ja=(X&255)>>>1}else{ja=c[H>>2]|0}if((ha|0)==(-ja|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}if(V){pa=(fa&255)>>>1}else{pa=c[J>>2]|0}do{if((pa|0)!=0){if(ia){qa=(X&255)>>>1}else{qa=c[H>>2]|0}if((qa|0)==0){break}ra=c[f>>2]|0;sa=c[ra+12>>2]|0;if((sa|0)==(c[ra+16>>2]|0)){ta=Td[c[(c[ra>>2]|0)+36>>2]&255](ra)|0;ua=ta;va=a[E]|0}else{ua=c[sa>>2]|0;va=fa}sa=c[f>>2]|0;ta=sa+12|0;ra=c[ta>>2]|0;wa=(ra|0)==(c[sa+16>>2]|0);if((ua|0)==(c[((va&1)==0?J:c[K>>2]|0)>>2]|0)){if(wa){Td[c[(c[sa>>2]|0)+40>>2]&255](sa)|0}else{c[ta>>2]=ra+4}ta=a[E]|0;if((ta&1)==0){xa=(ta&255)>>>1}else{xa=c[J>>2]|0}ka=xa>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break b}if(wa){ya=Td[c[(c[sa>>2]|0)+36>>2]&255](sa)|0}else{ya=c[ra>>2]|0}if((ya|0)!=(c[((a[F]&1)==0?H:c[I>>2]|0)>>2]|0)){Z=134;break a}ra=c[f>>2]|0;sa=ra+12|0;wa=c[sa>>2]|0;if((wa|0)==(c[ra+16>>2]|0)){Td[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[sa>>2]=wa+4}a[k]=1;wa=a[F]|0;if((wa&1)==0){za=(wa&255)>>>1}else{za=c[H>>2]|0}ka=za>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}}while(0);if(V){Aa=(fa&255)>>>1}else{Aa=c[J>>2]|0}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;sa=(wa|0)==(c[ia+16>>2]|0);if((Aa|0)==0){if(sa){ra=Td[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Ba=ra;Ca=a[F]|0}else{Ba=c[wa>>2]|0;Ca=X}if((Ba|0)!=(c[((Ca&1)==0?H:c[I>>2]|0)>>2]|0)){ka=U;la=o;ma=T;na=S;oa=R;break b}ra=c[f>>2]|0;ta=ra+12|0;Da=c[ta>>2]|0;if((Da|0)==(c[ra+16>>2]|0)){Td[c[(c[ra>>2]|0)+40>>2]&255](ra)|0}else{c[ta>>2]=Da+4}a[k]=1;Da=a[F]|0;if((Da&1)==0){Ea=(Da&255)>>>1}else{Ea=c[H>>2]|0}ka=Ea>>>0>1>>>0?y:U;la=o;ma=T;na=S;oa=R;break b}if(sa){sa=Td[c[(c[ia>>2]|0)+36>>2]&255](ia)|0;Fa=sa;Ga=a[E]|0}else{Fa=c[wa>>2]|0;Ga=fa}if((Fa|0)!=(c[((Ga&1)==0?J:c[K>>2]|0)>>2]|0)){a[k]=1;ka=U;la=o;ma=T;na=S;oa=R;break b}wa=c[f>>2]|0;sa=wa+12|0;ia=c[sa>>2]|0;if((ia|0)==(c[wa+16>>2]|0)){Td[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[sa>>2]=ia+4}ia=a[E]|0;if((ia&1)==0){Ha=(ia&255)>>>1}else{Ha=c[J>>2]|0}ka=Ha>>>0>1>>>0?x:U;la=o;ma=T;na=S;oa=R;break};case 2:{if(!((U|0)!=0|r>>>0<2>>>0)){if((r|0)==2){Ia=(a[P]|0)!=0}else{Ia=0}if(!(L|Ia)){ka=0;la=o;ma=T;na=S;oa=R;break b}}ia=a[D]|0;sa=(ia&1)==0?h:c[M>>2]|0;c:do{if((r|0)==0){Ja=sa;Ka=ia;La=$;Ma=$}else{if((d[s+(r-1)|0]|0)>>>0<2>>>0){Na=sa;Oa=ia}else{Ja=sa;Ka=ia;La=$;Ma=$;break}while(1){if((Oa&1)==0){Pa=(Oa&255)>>>1;Qa=h}else{Pa=c[h>>2]|0;Qa=c[M>>2]|0}if((Na|0)==(Qa+(Pa<<2)|0)){Ra=Oa;break}if(!(Vd[c[(c[e>>2]|0)+12>>2]&127](l,8192,c[Na>>2]|0)|0)){Z=148;break}Na=Na+4|0;Oa=a[D]|0}if((Z|0)==148){Z=0;Ra=a[D]|0}wa=(Ra&1)==0;Da=Na-(wa?h:c[M>>2]|0)>>2;ta=a[G]|0;ra=(ta&1)==0;if(ra){Sa=(ta&255)>>>1}else{Sa=c[N>>2]|0}d:do{if(!(Da>>>0>Sa>>>0)){if(ra){Ta=(ta&255)>>>1;Ua=N;Va=N+(((ta&255)>>>1)-Da<<2)|0}else{Wa=c[O>>2]|0;Xa=c[N>>2]|0;Ta=Xa;Ua=Wa;Va=Wa+(Xa-Da<<2)|0}Xa=Ua+(Ta<<2)|0;if((Va|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}else{Ya=Va;Za=wa?h:c[M>>2]|0}while(1){if((c[Ya>>2]|0)!=(c[Za>>2]|0)){break d}Wa=Ya+4|0;if((Wa|0)==(Xa|0)){Ja=Na;Ka=Ra;La=$;Ma=$;break c}Ya=Wa;Za=Za+4|0}}}while(0);Ja=wa?h:c[M>>2]|0;Ka=Ra;La=$;Ma=$}}while(0);e:while(1){if((Ka&1)==0){_a=(Ka&255)>>>1;$a=h}else{_a=c[h>>2]|0;$a=c[M>>2]|0}if((Ja|0)==($a+(_a<<2)|0)){break}ia=c[f>>2]|0;do{if((ia|0)==0){ab=1}else{sa=c[ia+12>>2]|0;if((sa|0)==(c[ia+16>>2]|0)){bb=Td[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{bb=c[sa>>2]|0}if((bb|0)==-1){c[f>>2]=0;ab=1;break}else{ab=(c[f>>2]|0)==0;break}}}while(0);do{if((La|0)==0){cb=Ma;Z=178}else{ia=c[La+12>>2]|0;if((ia|0)==(c[La+16>>2]|0)){db=Td[c[(c[La>>2]|0)+36>>2]&255](La)|0}else{db=c[ia>>2]|0}if((db|0)==-1){c[b>>2]=0;cb=0;Z=178;break}else{if(ab^(Ma|0)==0){eb=Ma;fb=Ma;break}else{break e}}}}while(0);if((Z|0)==178){Z=0;if(ab){break}else{eb=0;fb=cb}}ia=c[f>>2]|0;wa=c[ia+12>>2]|0;if((wa|0)==(c[ia+16>>2]|0)){gb=Td[c[(c[ia>>2]|0)+36>>2]&255](ia)|0}else{gb=c[wa>>2]|0}if((gb|0)!=(c[Ja>>2]|0)){break}wa=c[f>>2]|0;ia=wa+12|0;sa=c[ia>>2]|0;if((sa|0)==(c[wa+16>>2]|0)){Td[c[(c[wa>>2]|0)+40>>2]&255](wa)|0}else{c[ia>>2]=sa+4}Ja=Ja+4|0;Ka=a[D]|0;La=eb;Ma=fb}if(!L){ka=U;la=o;ma=T;na=S;oa=R;break b}sa=a[D]|0;if((sa&1)==0){hb=(sa&255)>>>1;ib=h}else{hb=c[h>>2]|0;ib=c[M>>2]|0}if((Ja|0)==(ib+(hb<<2)|0)){ka=U;la=o;ma=T;na=S;oa=R}else{Z=193;break a}break};case 4:{sa=0;ia=o;wa=T;fa=S;X=R;f:while(1){V=c[f>>2]|0;do{if((V|0)==0){jb=1}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){kb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{kb=c[Da>>2]|0}if((kb|0)==-1){c[f>>2]=0;jb=1;break}else{jb=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=207}else{Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){lb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{lb=c[Da>>2]|0}if((lb|0)==-1){c[b>>2]=0;Z=207;break}else{if(jb){break}else{break f}}}}while(0);if((Z|0)==207){Z=0;if(jb){break}}V=c[f>>2]|0;Da=c[V+12>>2]|0;if((Da|0)==(c[V+16>>2]|0)){mb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{mb=c[Da>>2]|0}if(Vd[c[(c[e>>2]|0)+12>>2]&127](l,2048,mb)|0){Da=c[n>>2]|0;if((Da|0)==(c[q>>2]|0)){hU(m,n,q);nb=c[n>>2]|0}else{nb=Da}c[n>>2]=nb+4;c[nb>>2]=mb;ob=sa+1|0;pb=ia;qb=wa;rb=fa;sb=X}else{Da=a[C]|0;if((Da&1)==0){tb=(Da&255)>>>1}else{tb=c[Q>>2]|0}if((tb|0)==0|(sa|0)==0){break}if((mb|0)!=(c[u>>2]|0)){break}if((wa|0)==(ia|0)){Da=(X|0)!=212;V=wa-fa|0;ta=V>>>0<2147483647>>>0?V<<1:-1;if(Da){ub=fa}else{ub=0}Da=lY(ub,ta)|0;ra=Da;if((Da|0)==0){vY()}vb=ra+(ta>>>2<<2)|0;wb=ra+(V>>2<<2)|0;xb=ra;yb=102}else{vb=ia;wb=wa;xb=fa;yb=X}c[wb>>2]=sa;ob=0;pb=vb;qb=wb+4|0;rb=xb;sb=yb}ra=c[f>>2]|0;V=ra+12|0;ta=c[V>>2]|0;if((ta|0)==(c[ra+16>>2]|0)){Td[c[(c[ra>>2]|0)+40>>2]&255](ra)|0;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}else{c[V>>2]=ta+4;sa=ob;ia=pb;wa=qb;fa=rb;X=sb;continue}}if((fa|0)==(wa|0)|(sa|0)==0){zb=ia;Ab=wa;Bb=fa;Cb=X}else{if((wa|0)==(ia|0)){ta=(X|0)!=212;V=wa-fa|0;ra=V>>>0<2147483647>>>0?V<<1:-1;if(ta){Db=fa}else{Db=0}ta=lY(Db,ra)|0;Da=ta;if((ta|0)==0){vY()}Eb=Da+(ra>>>2<<2)|0;Fb=Da+(V>>2<<2)|0;Gb=Da;Hb=102}else{Eb=ia;Fb=wa;Gb=fa;Hb=X}c[Fb>>2]=sa;zb=Eb;Ab=Fb+4|0;Bb=Gb;Cb=Hb}Da=c[A>>2]|0;if((Da|0)>0){V=c[f>>2]|0;do{if((V|0)==0){Ib=1}else{ra=c[V+12>>2]|0;if((ra|0)==(c[V+16>>2]|0)){Jb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Jb=c[ra>>2]|0}if((Jb|0)==-1){c[f>>2]=0;Ib=1;break}else{Ib=(c[f>>2]|0)==0;break}}}while(0);V=c[b>>2]|0;do{if((V|0)==0){Z=259}else{sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Kb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Kb=c[sa>>2]|0}if((Kb|0)==-1){c[b>>2]=0;Z=259;break}else{if(Ib){Lb=V;break}else{Z=265;break a}}}}while(0);if((Z|0)==259){Z=0;if(Ib){Z=265;break a}else{Lb=0}}V=c[f>>2]|0;sa=c[V+12>>2]|0;if((sa|0)==(c[V+16>>2]|0)){Mb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Mb=c[sa>>2]|0}if((Mb|0)!=(c[t>>2]|0)){Z=265;break a}sa=c[f>>2]|0;V=sa+12|0;X=c[V>>2]|0;if((X|0)==(c[sa+16>>2]|0)){Td[c[(c[sa>>2]|0)+40>>2]&255](sa)|0;Nb=Lb;Ob=Da;Pb=Lb}else{c[V>>2]=X+4;Nb=Lb;Ob=Da;Pb=Lb}while(1){X=c[f>>2]|0;do{if((X|0)==0){Qb=1}else{V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Rb=Td[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Rb=c[V>>2]|0}if((Rb|0)==-1){c[f>>2]=0;Qb=1;break}else{Qb=(c[f>>2]|0)==0;break}}}while(0);do{if((Nb|0)==0){Sb=Pb;Z=282}else{X=c[Nb+12>>2]|0;if((X|0)==(c[Nb+16>>2]|0)){Tb=Td[c[(c[Nb>>2]|0)+36>>2]&255](Nb)|0}else{Tb=c[X>>2]|0}if((Tb|0)==-1){c[b>>2]=0;Sb=0;Z=282;break}else{if(Qb^(Pb|0)==0){Ub=Pb;Vb=Pb;break}else{Z=289;break a}}}}while(0);if((Z|0)==282){Z=0;if(Qb){Z=289;break a}else{Ub=Sb;Vb=0}}X=c[f>>2]|0;V=c[X+12>>2]|0;if((V|0)==(c[X+16>>2]|0)){Wb=Td[c[(c[X>>2]|0)+36>>2]&255](X)|0}else{Wb=c[V>>2]|0}if(!(Vd[c[(c[e>>2]|0)+12>>2]&127](l,2048,Wb)|0)){Z=289;break a}if((c[n>>2]|0)==(c[q>>2]|0)){hU(m,n,q)}V=c[f>>2]|0;X=c[V+12>>2]|0;if((X|0)==(c[V+16>>2]|0)){Xb=Td[c[(c[V>>2]|0)+36>>2]&255](V)|0}else{Xb=c[X>>2]|0}X=c[n>>2]|0;c[n>>2]=X+4;c[X>>2]=Xb;X=Ob-1|0;c[A>>2]=X;V=c[f>>2]|0;sa=V+12|0;fa=c[sa>>2]|0;if((fa|0)==(c[V+16>>2]|0)){Td[c[(c[V>>2]|0)+40>>2]&255](V)|0}else{c[sa>>2]=fa+4}if((X|0)>0){Nb=Vb;Ob=X;Pb=Ub}else{break}}}if((c[n>>2]|0)==(c[g>>2]|0)){Z=300;break a}else{ka=U;la=zb;ma=Ab;na=Bb;oa=Cb}break};default:{ka=U;la=o;ma=T;na=S;oa=R}}}while(0);g:do{if((Z|0)==42){Z=0;if((r|0)==3){aa=R;ba=S;ca=T;da=U;Z=302;break a}else{Yb=$;Zb=$}while(1){Da=c[f>>2]|0;do{if((Da|0)==0){_b=1}else{X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){$b=Td[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{$b=c[X>>2]|0}if(($b|0)==-1){c[f>>2]=0;_b=1;break}else{_b=(c[f>>2]|0)==0;break}}}while(0);do{if((Yb|0)==0){ac=Zb;Z=56}else{Da=c[Yb+12>>2]|0;if((Da|0)==(c[Yb+16>>2]|0)){bc=Td[c[(c[Yb>>2]|0)+36>>2]&255](Yb)|0}else{bc=c[Da>>2]|0}if((bc|0)==-1){c[b>>2]=0;ac=0;Z=56;break}else{if(_b^(Zb|0)==0){cc=Zb;dc=Zb;break}else{ka=U;la=o;ma=T;na=S;oa=R;break g}}}}while(0);if((Z|0)==56){Z=0;if(_b){ka=U;la=o;ma=T;na=S;oa=R;break g}else{cc=0;dc=ac}}Da=c[f>>2]|0;X=c[Da+12>>2]|0;if((X|0)==(c[Da+16>>2]|0)){ec=Td[c[(c[Da>>2]|0)+36>>2]&255](Da)|0}else{ec=c[X>>2]|0}if(!(Vd[c[(c[e>>2]|0)+12>>2]&127](l,8192,ec)|0)){ka=U;la=o;ma=T;na=S;oa=R;break g}X=c[f>>2]|0;Da=X+12|0;fa=c[Da>>2]|0;if((fa|0)==(c[X+16>>2]|0)){fc=Td[c[(c[X>>2]|0)+40>>2]&255](X)|0}else{c[Da>>2]=fa+4;fc=c[fa>>2]|0}LO(z,fc);Yb=cc;Zb=dc}}}while(0);fa=r+1|0;if(fa>>>0<4>>>0){R=oa;S=na;T=ma;o=la;r=fa;U=ka}else{aa=oa;ba=na;ca=ma;da=ka;Z=302;break}}h:do{if((Z|0)==41){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==134){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==193){c[j>>2]=c[j>>2]|4;gc=0;hc=S;ic=R}else if((Z|0)==265){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==289){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==300){c[j>>2]=c[j>>2]|4;gc=0;hc=Bb;ic=Cb}else if((Z|0)==302){i:do{if((da|0)!=0){ka=da;ma=da+4|0;na=da+8|0;oa=1;j:while(1){U=a[ka]|0;if((U&1)==0){jc=(U&255)>>>1}else{jc=c[ma>>2]|0}if(!(oa>>>0<jc>>>0)){break i}U=c[f>>2]|0;do{if((U|0)==0){kc=1}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){lc=Td[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{lc=c[r>>2]|0}if((lc|0)==-1){c[f>>2]=0;kc=1;break}else{kc=(c[f>>2]|0)==0;break}}}while(0);U=c[b>>2]|0;do{if((U|0)==0){Z=321}else{r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){mc=Td[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{mc=c[r>>2]|0}if((mc|0)==-1){c[b>>2]=0;Z=321;break}else{if(kc){break}else{break j}}}}while(0);if((Z|0)==321){Z=0;if(kc){break}}U=c[f>>2]|0;r=c[U+12>>2]|0;if((r|0)==(c[U+16>>2]|0)){nc=Td[c[(c[U>>2]|0)+36>>2]&255](U)|0}else{nc=c[r>>2]|0}if((a[ka]&1)==0){oc=ma}else{oc=c[na>>2]|0}if((nc|0)!=(c[oc+(oa<<2)>>2]|0)){break}r=oa+1|0;U=c[f>>2]|0;la=U+12|0;o=c[la>>2]|0;if((o|0)==(c[U+16>>2]|0)){Td[c[(c[U>>2]|0)+40>>2]&255](U)|0;oa=r;continue}else{c[la>>2]=o+4;oa=r;continue}}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa;break h}}while(0);if((ba|0)==(ca|0)){gc=1;hc=ca;ic=aa;break}c[B>>2]=0;$T(v,ba,ca,B);if((c[B>>2]|0)==0){gc=1;hc=ba;ic=aa;break}c[j>>2]=c[j>>2]|4;gc=0;hc=ba;ic=aa}}while(0);HO(z);HO(y);HO(x);HO(w);dO(v);if((hc|0)==0){i=p;return gc|0}Qd[ic&511](hc);i=p;return gc|0}function eU(b,d,e,f,g,h,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;d=i;i=i+456|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=f;f=i;i=i+4|0;i=i+7&-8;c[f>>2]=c[l>>2];l=d|0;m=d+16|0;n=d+416|0;o=d+424|0;p=d+432|0;q=d+440|0;r=d+448|0;s=n|0;c[s>>2]=m;t=n+4|0;c[t>>2]=212;u=m+400|0;$O(p,h);m=p|0;v=c[m>>2]|0;if(!((c[413550]|0)==-1)){c[l>>2]=1654200;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654200,l,124)}l=(c[413551]|0)-1|0;w=c[v+8>>2]|0;do{if((c[v+12>>2]|0)-w>>2>>>0>l>>>0){x=c[w+(l<<2)>>2]|0;if((x|0)==0){break}y=x;a[q]=0;z=f|0;A=c[z>>2]|0;c[r>>2]=A;if(dU(e,r,g,p,c[h+4>>2]|0,j,q,y,n,o,u)|0){B=k;if((a[B]&1)==0){c[k+4>>2]=0;a[B]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}B=x;if((a[q]|0)!=0){LO(k,ce[c[(c[B>>2]|0)+44>>2]&127](y,45)|0)}x=ce[c[(c[B>>2]|0)+44>>2]&127](y,48)|0;y=c[o>>2]|0;B=y-4|0;C=c[s>>2]|0;while(1){if(!(C>>>0<B>>>0)){break}if((c[C>>2]|0)==(x|0)){C=C+4|0}else{break}}fU(k,C,y)|0}x=e|0;B=c[x>>2]|0;do{if((B|0)==0){D=1}else{E=c[B+12>>2]|0;if((E|0)==(c[B+16>>2]|0)){F=Td[c[(c[B>>2]|0)+36>>2]&255](B)|0}else{F=c[E>>2]|0}if((F|0)==-1){c[x>>2]=0;D=1;break}else{D=(c[x>>2]|0)==0;break}}}while(0);do{if((A|0)==0){G=35}else{B=c[A+12>>2]|0;if((B|0)==(c[A+16>>2]|0)){H=Td[c[(c[A>>2]|0)+36>>2]&255](A)|0}else{H=c[B>>2]|0}if((H|0)==-1){c[z>>2]=0;G=35;break}else{if(D){break}else{G=37;break}}}}while(0);if((G|0)==35){if(D){G=37}}if((G|0)==37){c[j>>2]=c[j>>2]|2}c[b>>2]=c[x>>2];vN(c[m>>2]|0)|0;z=c[s>>2]|0;c[s>>2]=0;if((z|0)==0){i=d;return}Qd[c[t>>2]&511](z);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function fU(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;f=b;g=d;h=a[f]|0;if((h&1)==0){i=1;j=h;k=(h&255)>>>1}else{h=c[b>>2]|0;i=(h&-2)-1|0;j=h&255;k=c[b+4>>2]|0}h=e-g>>2;if((h|0)==0){return b|0}if((i-k|0)>>>0<h>>>0){NO(b,i,k+h-i|0,k,k,0,0);l=a[f]|0}else{l=j}if((l&1)==0){m=b+4|0}else{m=c[b+8>>2]|0}l=m+(k<<2)|0;if((d|0)==(e|0)){n=l}else{j=k+((e-4+(-g|0)|0)>>>2)+1|0;g=d;d=l;while(1){c[d>>2]=c[g>>2];l=g+4|0;if((l|0)==(e|0)){break}else{g=l;d=d+4|0}}n=m+(j<<2)|0}c[n>>2]=0;n=k+h|0;if((a[f]&1)==0){a[f]=n<<1;return b|0}else{c[b+4>>2]=n;return b|0}return 0}function gU(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0;n=i;i=i+176|0;o=n|0;p=n+16|0;q=n+32|0;r=n+40|0;s=n+56|0;t=n+72|0;u=n+88|0;v=n+104|0;w=n+112|0;x=n+128|0;y=n+144|0;z=n+160|0;if(b){b=c[d>>2]|0;if(!((c[413666]|0)==-1)){c[p>>2]=1654664;c[p+4>>2]=16;c[p+8>>2]=0;QN(1654664,p,124)}p=(c[413667]|0)-1|0;A=c[b+8>>2]|0;if(!((c[b+12>>2]|0)-A>>2>>>0>p>>>0)){B=xd(4)|0;D=B;PX(D);tc(B|0,1619736,180)}b=c[A+(p<<2)>>2]|0;if((b|0)==0){B=xd(4)|0;D=B;PX(D);tc(B|0,1619736,180)}B=b;Rd[c[(c[b>>2]|0)+44>>2]&127](q,B);D=e;C=c[q>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;D=b;Rd[c[(c[D>>2]|0)+32>>2]&127](r,B);q=l;if((a[q]&1)==0){c[l+4>>2]=0;a[q]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KO(l,0);p=r;c[q>>2]=c[p>>2];c[q+4>>2]=c[p+4>>2];c[q+8>>2]=c[p+8>>2];NY(p|0,0,12)|0;HO(r);Rd[c[(c[D>>2]|0)+28>>2]&127](s,B);r=k;if((a[r]&1)==0){c[k+4>>2]=0;a[r]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}KO(k,0);p=s;c[r>>2]=c[p>>2];c[r+4>>2]=c[p+4>>2];c[r+8>>2]=c[p+8>>2];NY(p|0,0,12)|0;HO(s);s=b;c[f>>2]=Td[c[(c[s>>2]|0)+12>>2]&255](B)|0;c[g>>2]=Td[c[(c[s>>2]|0)+16>>2]&255](B)|0;Rd[c[(c[b>>2]|0)+20>>2]&127](t,B);b=h;if((a[b]&1)==0){a[h+1|0]=0;a[b]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}pO(h,0);p=t;c[b>>2]=c[p>>2];c[b+4>>2]=c[p+4>>2];c[b+8>>2]=c[p+8>>2];NY(p|0,0,12)|0;dO(t);Rd[c[(c[D>>2]|0)+24>>2]&127](u,B);D=j;if((a[D]&1)==0){c[j+4>>2]=0;a[D]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}KO(j,0);t=u;c[D>>2]=c[t>>2];c[D+4>>2]=c[t+4>>2];c[D+8>>2]=c[t+8>>2];NY(t|0,0,12)|0;HO(u);E=Td[c[(c[s>>2]|0)+36>>2]&255](B)|0;c[m>>2]=E;i=n;return}else{B=c[d>>2]|0;if(!((c[413668]|0)==-1)){c[o>>2]=1654672;c[o+4>>2]=16;c[o+8>>2]=0;QN(1654672,o,124)}o=(c[413669]|0)-1|0;d=c[B+8>>2]|0;if(!((c[B+12>>2]|0)-d>>2>>>0>o>>>0)){F=xd(4)|0;G=F;PX(G);tc(F|0,1619736,180)}B=c[d+(o<<2)>>2]|0;if((B|0)==0){F=xd(4)|0;G=F;PX(G);tc(F|0,1619736,180)}F=B;Rd[c[(c[B>>2]|0)+44>>2]&127](v,F);G=e;C=c[v>>2]|0;a[G]=C;C=C>>8;a[G+1|0]=C;C=C>>8;a[G+2|0]=C;C=C>>8;a[G+3|0]=C;G=B;Rd[c[(c[G>>2]|0)+32>>2]&127](w,F);v=l;if((a[v]&1)==0){c[l+4>>2]=0;a[v]=0}else{c[c[l+8>>2]>>2]=0;c[l+4>>2]=0}KO(l,0);l=w;c[v>>2]=c[l>>2];c[v+4>>2]=c[l+4>>2];c[v+8>>2]=c[l+8>>2];NY(l|0,0,12)|0;HO(w);Rd[c[(c[G>>2]|0)+28>>2]&127](x,F);w=k;if((a[w]&1)==0){c[k+4>>2]=0;a[w]=0}else{c[c[k+8>>2]>>2]=0;c[k+4>>2]=0}KO(k,0);k=x;c[w>>2]=c[k>>2];c[w+4>>2]=c[k+4>>2];c[w+8>>2]=c[k+8>>2];NY(k|0,0,12)|0;HO(x);x=B;c[f>>2]=Td[c[(c[x>>2]|0)+12>>2]&255](F)|0;c[g>>2]=Td[c[(c[x>>2]|0)+16>>2]&255](F)|0;Rd[c[(c[B>>2]|0)+20>>2]&127](y,F);B=h;if((a[B]&1)==0){a[h+1|0]=0;a[B]=0}else{a[c[h+8>>2]|0]=0;c[h+4>>2]=0}pO(h,0);h=y;c[B>>2]=c[h>>2];c[B+4>>2]=c[h+4>>2];c[B+8>>2]=c[h+8>>2];NY(h|0,0,12)|0;dO(y);Rd[c[(c[G>>2]|0)+24>>2]&127](z,F);G=j;if((a[G]&1)==0){c[j+4>>2]=0;a[G]=0}else{c[c[j+8>>2]>>2]=0;c[j+4>>2]=0}KO(j,0);j=z;c[G>>2]=c[j>>2];c[G+4>>2]=c[j+4>>2];c[G+8>>2]=c[j+8>>2];NY(j|0,0,12)|0;HO(z);E=Td[c[(c[x>>2]|0)+36>>2]&255](F)|0;c[m>>2]=E;i=n;return}}function hU(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=a+4|0;f=(c[e>>2]|0)!=212;g=a|0;a=c[g>>2]|0;h=a;i=(c[d>>2]|0)-h|0;j=i>>>0<2147483647>>>0?i<<1:-1;i=(c[b>>2]|0)-h>>2;if(f){k=a}else{k=0}a=lY(k,j)|0;k=a;if((a|0)==0){vY()}do{if(f){c[g>>2]=k;l=k}else{a=c[g>>2]|0;c[g>>2]=k;if((a|0)==0){l=k;break}Qd[c[e>>2]&511](a);l=c[g>>2]|0}}while(0);c[e>>2]=102;c[b>>2]=l+(i<<2);c[d>>2]=(c[g>>2]|0)+(j>>>2<<2);return}function iU(a){a=a|0;tN(a|0);qY(a);return}function jU(a){a=a|0;tN(a|0);return}function kU(b,d,e,f,g,j,k){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=+k;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;d=i;i=i+448|0;l=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[l>>2];l=d|0;m=d+120|0;n=d+232|0;o=d+240|0;p=d+248|0;q=d+256|0;r=d+264|0;s=d+280|0;t=d+296|0;u=d+312|0;v=d+320|0;w=d+424|0;x=d+432|0;y=d+440|0;z=d+16|0;c[m>>2]=z;A=d+128|0;B=Ab(z|0,100,1593504,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;do{if(B>>>0>99>>>0){do{if((a[1654768]|0)==0){if(($b(1654768)|0)==0){break}c[413194]=nb(2147483647,1591120,0)|0}}while(0);C=cS(m,c[413194]|0,1593504,(z=i,i=i+8|0,h[z>>3]=k,z)|0)|0;i=z;D=c[m>>2]|0;if((D|0)==0){vY();E=c[m>>2]|0}else{E=D}D=iY(C)|0;if((D|0)!=0){F=D;G=C;H=D;I=E;break}vY();F=0;G=C;H=0;I=E}else{F=A;G=B;H=0;I=0}}while(0);$O(n,g);B=n|0;A=c[B>>2]|0;if(!((c[413552]|0)==-1)){c[l>>2]=1654208;c[l+4>>2]=16;c[l+8>>2]=0;QN(1654208,l,124)}l=(c[413553]|0)-1|0;E=c[A+8>>2]|0;do{if((c[A+12>>2]|0)-E>>2>>>0>l>>>0){z=c[E+(l<<2)>>2]|0;if((z|0)==0){break}C=z;D=c[m>>2]|0;fe[c[(c[z>>2]|0)+32>>2]&127](C,D,D+G|0,F)|0;if((G|0)==0){J=0}else{J=(a[c[m>>2]|0]|0)==45}NY(r|0,0,12)|0;D=s;NY(D|0,0,12)|0;z=t;NY(z|0,0,12)|0;lU(f,J,n,o,p,q,r,s,t,u);K=v|0;L=c[u>>2]|0;if((G|0)>(L|0)){M=a[z]|0;if((M&1)==0){N=(M&255)>>>1}else{N=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){O=(M&255)>>>1}else{O=c[s+4>>2]|0}P=N+(G-L<<1|1)+O|0}else{M=a[z]|0;if((M&1)==0){Q=(M&255)>>>1}else{Q=c[t+4>>2]|0}M=a[D]|0;if((M&1)==0){R=(M&255)>>>1}else{R=c[s+4>>2]|0}P=Q+2+R|0}M=P+L|0;do{if(M>>>0>100>>>0){D=iY(M)|0;if((D|0)!=0){S=D;T=D;break}vY();S=0;T=0}else{S=K;T=0}}while(0);mU(S,w,x,c[g+4>>2]|0,F,F+G|0,C,J,o,a[p]|0,a[q]|0,r,s,t,L);c[y>>2]=c[e>>2];EK(b,y,S,c[w>>2]|0,c[x>>2]|0,g,j);if((T|0)!=0){jY(T)}dO(t);dO(s);dO(r);vN(c[B>>2]|0)|0;if((H|0)!=0){jY(H)}if((I|0)==0){i=d;return}jY(I);i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function lU(b,d,e,f,g,h,j,k,l,m){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;n=i;i=i+40|0;o=n|0;p=n+16|0;q=n+32|0;r=q;s=i;i=i+12|0;i=i+7&-8;t=i;i=i+4|0;i=i+7&-8;u=t;v=i;i=i+12|0;i=i+7&-8;w=i;i=i+12|0;i=i+7&-8;x=i;i=i+12|0;i=i+7&-8;y=i;i=i+4|0;i=i+7&-8;z=y;A=i;i=i+12|0;i=i+7&-8;B=i;i=i+4|0;i=i+7&-8;D=B;E=i;i=i+12|0;i=i+7&-8;F=i;i=i+12|0;i=i+7&-8;G=i;i=i+12|0;i=i+7&-8;H=c[e>>2]|0;if(b){if(!((c[413670]|0)==-1)){c[p>>2]=1654680;c[p+4>>2]=16;c[p+8>>2]=0;QN(1654680,p,124)}p=(c[413671]|0)-1|0;b=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-b>>2>>>0>p>>>0)){I=xd(4)|0;J=I;PX(J);tc(I|0,1619736,180)}e=c[b+(p<<2)>>2]|0;if((e|0)==0){I=xd(4)|0;J=I;PX(J);tc(I|0,1619736,180)}I=e;J=c[e>>2]|0;if(d){Rd[c[J+44>>2]&127](r,I);r=f;C=c[q>>2]|0;a[r]=C;C=C>>8;a[r+1|0]=C;C=C>>8;a[r+2|0]=C;C=C>>8;a[r+3|0]=C;Rd[c[(c[e>>2]|0)+32>>2]&127](s,I);r=l;if((a[r]&1)==0){a[l+1|0]=0;a[r]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pO(l,0);q=s;c[r>>2]=c[q>>2];c[r+4>>2]=c[q+4>>2];c[r+8>>2]=c[q+8>>2];NY(q|0,0,12)|0;dO(s)}else{Rd[c[J+40>>2]&127](u,I);u=f;C=c[t>>2]|0;a[u]=C;C=C>>8;a[u+1|0]=C;C=C>>8;a[u+2|0]=C;C=C>>8;a[u+3|0]=C;Rd[c[(c[e>>2]|0)+28>>2]&127](v,I);u=l;if((a[u]&1)==0){a[l+1|0]=0;a[u]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pO(l,0);t=v;c[u>>2]=c[t>>2];c[u+4>>2]=c[t+4>>2];c[u+8>>2]=c[t+8>>2];NY(t|0,0,12)|0;dO(v)}v=e;a[g]=Td[c[(c[v>>2]|0)+12>>2]&255](I)|0;a[h]=Td[c[(c[v>>2]|0)+16>>2]&255](I)|0;v=e;Rd[c[(c[v>>2]|0)+20>>2]&127](w,I);t=j;if((a[t]&1)==0){a[j+1|0]=0;a[t]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pO(j,0);u=w;c[t>>2]=c[u>>2];c[t+4>>2]=c[u+4>>2];c[t+8>>2]=c[u+8>>2];NY(u|0,0,12)|0;dO(w);Rd[c[(c[v>>2]|0)+24>>2]&127](x,I);v=k;if((a[v]&1)==0){a[k+1|0]=0;a[v]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}pO(k,0);w=x;c[v>>2]=c[w>>2];c[v+4>>2]=c[w+4>>2];c[v+8>>2]=c[w+8>>2];NY(w|0,0,12)|0;dO(x);K=Td[c[(c[e>>2]|0)+36>>2]&255](I)|0;c[m>>2]=K;i=n;return}else{if(!((c[413672]|0)==-1)){c[o>>2]=1654688;c[o+4>>2]=16;c[o+8>>2]=0;QN(1654688,o,124)}o=(c[413673]|0)-1|0;I=c[H+8>>2]|0;if(!((c[H+12>>2]|0)-I>>2>>>0>o>>>0)){L=xd(4)|0;M=L;PX(M);tc(L|0,1619736,180)}H=c[I+(o<<2)>>2]|0;if((H|0)==0){L=xd(4)|0;M=L;PX(M);tc(L|0,1619736,180)}L=H;M=c[H>>2]|0;if(d){Rd[c[M+44>>2]&127](z,L);z=f;C=c[y>>2]|0;a[z]=C;C=C>>8;a[z+1|0]=C;C=C>>8;a[z+2|0]=C;C=C>>8;a[z+3|0]=C;Rd[c[(c[H>>2]|0)+32>>2]&127](A,L);z=l;if((a[z]&1)==0){a[l+1|0]=0;a[z]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pO(l,0);y=A;c[z>>2]=c[y>>2];c[z+4>>2]=c[y+4>>2];c[z+8>>2]=c[y+8>>2];NY(y|0,0,12)|0;dO(A)}else{Rd[c[M+40>>2]&127](D,L);D=f;C=c[B>>2]|0;a[D]=C;C=C>>8;a[D+1|0]=C;C=C>>8;a[D+2|0]=C;C=C>>8;a[D+3|0]=C;Rd[c[(c[H>>2]|0)+28>>2]&127](E,L);D=l;if((a[D]&1)==0){a[l+1|0]=0;a[D]=0}else{a[c[l+8>>2]|0]=0;c[l+4>>2]=0}pO(l,0);l=E;c[D>>2]=c[l>>2];c[D+4>>2]=c[l+4>>2];c[D+8>>2]=c[l+8>>2];NY(l|0,0,12)|0;dO(E)}E=H;a[g]=Td[c[(c[E>>2]|0)+12>>2]&255](L)|0;a[h]=Td[c[(c[E>>2]|0)+16>>2]&255](L)|0;E=H;Rd[c[(c[E>>2]|0)+20>>2]&127](F,L);h=j;if((a[h]&1)==0){a[j+1|0]=0;a[h]=0}else{a[c[j+8>>2]|0]=0;c[j+4>>2]=0}pO(j,0);j=F;c[h>>2]=c[j>>2];c[h+4>>2]=c[j+4>>2];c[h+8>>2]=c[j+8>>2];NY(j|0,0,12)|0;dO(F);Rd[c[(c[E>>2]|0)+24>>2]&127](G,L);E=k;if((a[E]&1)==0){a[k+1|0]=0;a[E]=0}else{a[c[k+8>>2]|0]=0;c[k+4>>2]=0}pO(k,0);k=G;c[E>>2]=c[k>>2];c[E+4>>2]=c[k+4>>2];c[E+8>>2]=c[k+8>>2];NY(k|0,0,12)|0;dO(G);K=Td[c[(c[H>>2]|0)+36>>2]&255](L)|0;c[m>>2]=K;i=n;return}}function mU(d,e,f,g,h,i,j,k,l,m,n,o,p,q,r){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0;c[f>>2]=d;s=j;t=q;u=q+1|0;v=q+8|0;w=q+4|0;q=p;x=(g&512|0)==0;y=p+1|0;z=p+8|0;A=p+4|0;p=j+8|0;B=(r|0)>0;C=o;D=o+1|0;E=o+8|0;F=o+4|0;o=-r|0;G=0;H=h;while(1){a:do{switch(a[l+G|0]|0){case 2:{h=a[q]|0;I=(h&1)==0;if(I){J=(h&255)>>>1}else{J=c[A>>2]|0}if((J|0)==0|x){K=H;break a}if(I){L=(h&255)>>>1;M=y;N=y}else{h=c[z>>2]|0;L=c[A>>2]|0;M=h;N=h}h=M+L|0;I=c[f>>2]|0;if((N|0)==(h|0)){O=I}else{P=I;I=N;while(1){a[P]=a[I]|0;Q=I+1|0;R=P+1|0;if((Q|0)==(h|0)){O=R;break}else{P=R;I=Q}}}c[f>>2]=O;K=H;break};case 0:{c[e>>2]=c[f>>2];K=H;break};case 1:{c[e>>2]=c[f>>2];I=ce[c[(c[s>>2]|0)+28>>2]&127](j,32)|0;P=c[f>>2]|0;c[f>>2]=P+1;a[P]=I;K=H;break};case 3:{I=a[t]|0;P=(I&1)==0;if(P){S=(I&255)>>>1}else{S=c[w>>2]|0}if((S|0)==0){K=H;break a}if(P){T=u}else{T=c[v>>2]|0}P=a[T]|0;I=c[f>>2]|0;c[f>>2]=I+1;a[I]=P;K=H;break};case 4:{P=c[f>>2]|0;I=k?H+1|0:H;h=I;while(1){if(!(h>>>0<i>>>0)){break}Q=a[h]|0;if(Q<<24>>24<0){break}if((b[(c[p>>2]|0)+(Q<<24>>24<<1)>>1]&2048)==0){break}else{h=h+1|0}}Q=h;if(B){if(h>>>0>I>>>0){R=I+(-Q|0)|0;Q=R>>>0<o>>>0?o:R;R=Q+r|0;U=h;V=r;W=P;while(1){X=U-1|0;Y=a[X]|0;c[f>>2]=W+1;a[W]=Y;Y=V-1|0;Z=(Y|0)>0;if(!(X>>>0>I>>>0&Z)){break}U=X;V=Y;W=c[f>>2]|0}W=h+Q|0;if(Z){_=R;$=W;aa=32}else{ba=0;ca=R;da=W}}else{_=r;$=h;aa=32}if((aa|0)==32){aa=0;ba=ce[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;ca=_;da=$}W=c[f>>2]|0;c[f>>2]=W+1;if((ca|0)>0){V=ca;U=W;while(1){a[U]=ba;Y=V-1|0;X=c[f>>2]|0;c[f>>2]=X+1;if((Y|0)>0){V=Y;U=X}else{ea=X;break}}}else{ea=W}a[ea]=m;fa=da}else{fa=h}if((fa|0)==(I|0)){U=ce[c[(c[s>>2]|0)+28>>2]&127](j,48)|0;V=c[f>>2]|0;c[f>>2]=V+1;a[V]=U}else{U=a[C]|0;V=(U&1)==0;if(V){ga=(U&255)>>>1}else{ga=c[F>>2]|0}if((ga|0)==0){ha=fa;ia=0;ja=0;ka=-1}else{if(V){la=D}else{la=c[E>>2]|0}ha=fa;ia=0;ja=0;ka=a[la]|0}while(1){do{if((ia|0)==(ka|0)){V=c[f>>2]|0;c[f>>2]=V+1;a[V]=n;V=ja+1|0;U=a[C]|0;R=(U&1)==0;if(R){ma=(U&255)>>>1}else{ma=c[F>>2]|0}if(!(V>>>0<ma>>>0)){na=ka;oa=V;pa=0;break}if(R){qa=D}else{qa=c[E>>2]|0}if((a[qa+V|0]|0)==127){na=-1;oa=V;pa=0;break}if(R){ra=D}else{ra=c[E>>2]|0}na=a[ra+V|0]|0;oa=V;pa=0}else{na=ka;oa=ja;pa=ia}}while(0);V=ha-1|0;R=a[V]|0;U=c[f>>2]|0;c[f>>2]=U+1;a[U]=R;if((V|0)==(I|0)){break}else{ha=V;ia=pa+1|0;ja=oa;ka=na}}}h=c[f>>2]|0;if((P|0)==(h|0)){K=I;break a}W=h-1|0;if(W>>>0>P>>>0){sa=P;ta=W}else{K=I;break a}while(1){W=a[sa]|0;a[sa]=a[ta]|0;a[ta]=W;W=sa+1|0;h=ta-1|0;if(W>>>0<h>>>0){sa=W;ta=h}else{K=I;break}}break};default:{K=H}}}while(0);I=G+1|0;if(I>>>0<4>>>0){G=I;H=K}else{break}}K=a[t]|0;t=(K&1)==0;if(t){ua=(K&255)>>>1}else{ua=c[w>>2]|0}if(ua>>>0>1>>>0){if(t){va=(K&255)>>>1;wa=u;xa=u}else{u=c[v>>2]|0;va=c[w>>2]|0;wa=u;xa=u}u=xa+1|0;xa=wa+va|0;va=c[f>>2]|0;if((u|0)==(xa|0)){ya=va}else{wa=va;va=u;while(1){a[wa]=a[va]|0;u=va+1|0;w=wa+1|0;if((u|0)==(xa|0)){ya=w;break}else{wa=w;va=u}}}c[f>>2]=ya}ya=g&176;if((ya|0)==32){c[e>>2]=c[f>>2];return}else if((ya|0)==16){return}else{c[e>>2]=d;return}}function nU(b,d,e,f,g,h,j){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;d=i;i=i+232|0;k=e;e=i;i=i+4|0;i=i+7&-8;c[e>>2]=c[k>>2];k=d|0;l=d+16|0;m=d+24|0;n=d+32|0;o=d+40|0;p=d+48|0;q=d+64|0;r=d+80|0;s=d+96|0;t=d+104|0;u=d+208|0;v=d+216|0;w=d+224|0;$O(l,g);x=l|0;y=c[x>>2]|0;if(!((c[413552]|0)==-1)){c[k>>2]=1654208;c[k+4>>2]=16;c[k+8>>2]=0;QN(1654208,k,124)}k=(c[413553]|0)-1|0;z=c[y+8>>2]|0;do{if((c[y+12>>2]|0)-z>>2>>>0>k>>>0){A=c[z+(k<<2)>>2]|0;if((A|0)==0){break}B=A;C=j;D=a[C]|0;E=(D&1)==0;if(E){F=(D&255)>>>1}else{F=c[j+4>>2]|0}if((F|0)==0){G=0}else{if(E){H=j+1|0}else{H=c[j+8>>2]|0}E=a[H]|0;G=E<<24>>24==(ce[c[(c[A>>2]|0)+28>>2]&127](B,45)|0)<<24>>24}NY(p|0,0,12)|0;A=q;NY(A|0,0,12)|0;E=r;NY(E|0,0,12)|0;lU(f,G,l,m,n,o,p,q,r,s);D=t|0;I=a[C]|0;J=(I&1)==0;if(J){K=(I&255)>>>1}else{K=c[j+4>>2]|0}L=c[s>>2]|0;if((K|0)>(L|0)){if(J){M=(I&255)>>>1}else{M=c[j+4>>2]|0}J=a[E]|0;if((J&1)==0){N=(J&255)>>>1}else{N=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){O=(J&255)>>>1}else{O=c[q+4>>2]|0}P=N+(M-L<<1|1)+O|0}else{J=a[E]|0;if((J&1)==0){Q=(J&255)>>>1}else{Q=c[r+4>>2]|0}J=a[A]|0;if((J&1)==0){R=(J&255)>>>1}else{R=c[q+4>>2]|0}P=Q+2+R|0}J=P+L|0;do{if(J>>>0>100>>>0){A=iY(J)|0;if((A|0)!=0){S=A;T=A;U=I;break}vY();S=0;T=0;U=a[C]|0}else{S=D;T=0;U=I}}while(0);if((U&1)==0){V=(U&255)>>>1;W=j+1|0}else{V=c[j+4>>2]|0;W=c[j+8>>2]|0}mU(S,u,v,c[g+4>>2]|0,W,W+V|0,B,G,m,a[n]|0,a[o]|0,p,q,r,L);c[w>>2]=c[e>>2];EK(b,w,S,c[u>>2]|0,c[v>>2]|0,g,h);if((T|0)==0){dO(r);dO(q);dO(p);X=c[x>>2]|0;Y=X|0;Z=vN(Y)|0;i=d;return}jY(T);dO(r);dO(q);dO(p);X=c[x>>2]|0;Y=X|0;Z=vN(Y)|0;i=d;return}}while(0);d=xd(4)|0;PX(d);tc(d|0,1619736,180)}function oU(a){a=a|0;tN(a|0);qY(a);return}function pU(a){a=a|0;tN(a|0);return}



function PF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=PG(h)|0;Gz(e|0);if((a|0)==0){j=aG(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(Dz(0,d,a)|0){m=l|0;j=c[m>>2]|0;Gz(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(Dz(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Gz(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function QF(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];NG(a,b);i=d;return}function RF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=sG(c|0)|0;c=uG(k,1)|0;vG(g,k);tG(f,c,g);wG(0,CB((xG(f)|0)+16|0)|0,d);d=yG(f)|0;a[d+4|0]=1;zG(0,lG((xG(f)|0)+20|0)|0);a[d+5|0]=1;AG(j,f);SF(h,j);QF(b,h);TF(j);TF(f);i=e;return}function SF(a,b){a=a|0;b=b|0;qG(a,b);return}function TF(a){a=a|0;gG(a);return}function UF(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Gz(f|0);c[e>>2]=0;Gz(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=$F(a)|0;b=c[c[e>>2]>>2]|0;Gz(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(aG(a)|0)>>2]|0;qB(e,c[d>>2]|0);d=bG(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function VF(a){a=a|0;return c[(ZF(a|0)|0)>>2]|0}function WF(a){a=a|0;var b=0;b=XF(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function XF(a){a=a|0;return YF(a|0)|0}function YF(a){a=a|0;return a|0}function ZF(a){a=a|0;return _F(a|0)|0}function _F(a){a=a|0;return a|0}function $F(a){a=a|0;return a|0}function aG(a){a=a|0;return rz(eG(a+4|0)|0)|0}function bG(a){a=a|0;return cG(a+8|0)|0}function cG(a){a=a|0;return dG(a|0)|0}function dG(a){a=a|0;return a|0}function eG(a){a=a|0;return fG(a|0)|0}function fG(a){a=a|0;return a|0}function gG(a){a=a|0;hG(a,0);return}function hG(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=XF(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}jG(iG(d)|0,e);return}function iG(a){a=a|0;return pG(a|0)|0}function jG(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;kG(e,lG(d+20|0)|0)}if((d|0)==0){return}mG(c[b>>2]|0,d,1);return}function kG(a,b){a=a|0;b=b|0;a=i;i=i+8|0;oG(a|0,0,b);i=a;return}function lG(a){a=a|0;return a|0}function mG(a,b,c){a=a|0;b=b|0;c=c|0;nG(0,b,0);return}function nG(a,b,c){a=a|0;b=b|0;c=c|0;qY(b);return}function oG(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;zD(d);i=c;return}function pG(a){a=a|0;return a+4|0}function qG(a,b){a=a|0;b=b|0;rG(a,b);return}function rG(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function sG(a){a=a|0;return LG(a+4|0)|0}function tG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];DG(a,b,d);i=e;return}function uG(a,b){a=a|0;b=b|0;return CG(0,b,0)|0}function vG(a,b){a=a|0;b=b|0;BG(a,b);return}function wG(a,b,d){a=a|0;b=b|0;d=d|0;if((b|0)==0){return}c[b>>2]=c[d>>2];return}function xG(a){a=a|0;return c[(ZF(a|0)|0)>>2]|0}function yG(a){a=a|0;return iG(a|0)|0}function zG(a,b){a=a|0;b=b|0;a=i;i=i+8|0;if((b|0)==0){i=a;return}rD(b,a|0);i=a;return}function AG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;qG(f,b);QF(e,f);SF(d,e);QF(a,d);TF(e);i=c;return}function BG(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function CG(a,b,c){a=a|0;b=b|0;c=c|0;return oY(b<<5)|0}function DG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(FG(f)|0)>>2]|0;f=GG(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;EG(a|0,b,g);i=e;return}function EG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];HG(a,b,d);i=e;return}function FG(a){a=a|0;return a|0}function GG(a){a=a|0;return a|0}function HG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(JG(f)|0)>>2]|0;f=KG(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;IG(a|0,b,g);i=e;return}function IG(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(JG(f)|0)>>2];f=KG(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function JG(a){a=a|0;return a|0}function KG(a){a=a|0;return a|0}function LG(a){a=a|0;return MG(a|0)|0}function MG(a){a=a|0;return a|0}function NG(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=WF(OG(b)|0)|0;g=KG(yG(OG(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;EG(a|0,f,e);i=d;return}function OG(a){a=a|0;return c[a>>2]|0}function PG(a){a=a|0;return c[(aG(a)|0)>>2]|0}function QG(a,b){a=a|0;b=b|0;b=i;i=i+8|0;RG(a|0,b|0);i=b;return}function RG(a,b){a=a|0;b=b|0;SG(a,0);return}function SG(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;TG(a+4|0);UG(a+8|0,0,b|0);d=tF(a)|0;c[(VG(a)|0)>>2]=d;i=b;return}function TG(a){a=a|0;YG(a);return}function UG(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;WG(b,c,d);i=e;return}function VG(a){a=a|0;return a|0}function WG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;XG(b|0,c[(iC(g)|0)>>2]|0,f+8|0);i=f;return}function XG(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(iC(g)|0)>>2];i=f;return}function YG(a){a=a|0;ZG(a|0);return}function ZG(a){a=a|0;lC(a|0);return}function _G(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=AF(h)|0;Gz(e|0);if((a|0)==0){j=tF(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(GD(0,d,a)|0){m=l|0;j=c[m>>2]|0;Gz(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(GD(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Gz(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function $G(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];WH(a,b);i=d;return}function aH(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=BH(c|0)|0;c=DH(k,1)|0;EH(g,k);CH(f,c,g);FH(0,NE((GH(f)|0)+16|0)|0,d);d=HH(f)|0;a[d+4|0]=1;IH(0,sH((GH(f)|0)+28|0)|0);a[d+5|0]=1;JH(j,f);bH(h,j);$G(b,h);cH(j);cH(f);i=e;return}function bH(a,b){a=a|0;b=b|0;zH(a,b);return}function cH(a){a=a|0;nH(a);return}function dH(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Gz(f|0);c[e>>2]=0;Gz(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=VG(a)|0;b=c[c[e>>2]>>2]|0;Gz(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(tF(a)|0)>>2]|0;qB(e,c[d>>2]|0);d=kH(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function eH(a){a=a|0;return c[(iH(a|0)|0)>>2]|0}function fH(a){a=a|0;var b=0;b=gH(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function gH(a){a=a|0;return hH(a|0)|0}function hH(a){a=a|0;return a|0}function iH(a){a=a|0;return jH(a|0)|0}function jH(a){a=a|0;return a|0}function kH(a){a=a|0;return lH(a+8|0)|0}function lH(a){a=a|0;return mH(a|0)|0}function mH(a){a=a|0;return a|0}function nH(a){a=a|0;oH(a,0);return}function oH(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=gH(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}qH(pH(d)|0,e);return}function pH(a){a=a|0;return yH(a|0)|0}function qH(b,d){b=b|0;d=d|0;var e=0;if((a[b+5|0]|0)!=0){e=c[b>>2]|0;rH(e,sH(d+28|0)|0)}if((a[b+4|0]|0)!=0){e=c[b>>2]|0;tH(e,NE(d+16|0)|0)}if((d|0)==0){return}uH(c[b>>2]|0,d,1);return}function rH(a,b){a=a|0;b=b|0;a=i;i=i+8|0;xH(a|0,0,b);i=a;return}function sH(a){a=a|0;return a|0}function tH(a,b){a=a|0;b=b|0;a=i;i=i+8|0;wH(a|0,0,b);i=a;return}function uH(a,b,c){a=a|0;b=b|0;c=c|0;vH(0,b,0);return}function vH(a,b,c){a=a|0;b=b|0;c=c|0;qY(b);return}function wH(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;dO(d);i=c;return}function xH(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;dO(d);i=c;return}function yH(a){a=a|0;return a+4|0}function zH(a,b){a=a|0;b=b|0;AH(a,b);return}function AH(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function BH(a){a=a|0;return UH(a+4|0)|0}function CH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];MH(a,b,d);i=e;return}function DH(a,b){a=a|0;b=b|0;return LH(0,b,0)|0}function EH(a,b){a=a|0;b=b|0;KH(a,b);return}function FH(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}VN(b,c);return}function GH(a){a=a|0;return c[(iH(a|0)|0)>>2]|0}function HH(a){a=a|0;return pH(a|0)|0}function IH(a,b){a=a|0;b=b|0;if((b|0)==0){return}TN(b);return}function JH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;zH(f,b);$G(e,f);bH(d,e);$G(a,d);cH(e);i=c;return}function KH(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function LH(a,b,c){a=a|0;b=b|0;c=c|0;return oY(b*40|0)|0}function MH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(OH(f)|0)>>2]|0;f=PH(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;NH(a|0,b,g);i=e;return}function NH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];QH(a,b,d);i=e;return}function OH(a){a=a|0;return a|0}function PH(a){a=a|0;return a|0}function QH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(SH(f)|0)>>2]|0;f=TH(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;RH(a|0,b,g);i=e;return}function RH(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(SH(f)|0)>>2];f=TH(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function SH(a){a=a|0;return a|0}function TH(a){a=a|0;return a|0}function UH(a){a=a|0;return VH(a|0)|0}function VH(a){a=a|0;return a|0}function WH(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=fH(XH(b)|0)|0;g=TH(HH(XH(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;NH(a|0,f,e);i=d;return}function XH(a){a=a|0;return c[a>>2]|0}function YH(a){a=a|0;ZH(a|0);return}function ZH(a){a=a|0;_H(a);return}function _H(a){a=a|0;$H(a,AF(a)|0);return}function $H(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Gz(d|0);if((b|0)==0){i=d;return}$H(a,c[b>>2]|0);$H(a,c[b+4>>2]|0);e=BH(a)|0;aI(e,bI(b+16|0)|0);uH(e,b,1);i=d;return}function aI(a,b){a=a|0;b=b|0;a=i;i=i+8|0;cI(a|0,0,b);i=a;return}function bI(a){a=a|0;return a|0}function cI(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;dI(d);i=c;return}function dI(a){a=a|0;eI(a);return}function eI(a){a=a|0;fI(a|0);return}function fI(a){a=a|0;gI(a);return}function gI(a){a=a|0;dO(a+12|0);dO(a|0);return}function hI(a){a=a|0;iI(a+180|0);iI(a+168|0);iI(a+156|0);iI(a+144|0);iI(a+132|0);iI(a+120|0);iI(a+108|0);iI(a+96|0);iI(a+84|0);iI(a+72|0);iI(a+60|0);iI(a+48|0);iI(a+36|0);iI(a+24|0);zD(a+12|0);zD(a|0);return}function iI(a){a=a|0;jI(a);return}function jI(a){a=a|0;kI(a|0);return}function kI(a){a=a|0;lI(a);return}function lI(a){a=a|0;mI(a,PG(a)|0);return}function mI(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Gz(d|0);if((b|0)==0){i=d;return}mI(a,c[b>>2]|0);mI(a,c[b+4>>2]|0);e=sG(a)|0;nI(e,oI(b+16|0)|0);mG(e,b,1);i=d;return}function nI(a,b){a=a|0;b=b|0;a=i;i=i+8|0;pI(a|0,0,b);i=a;return}function oI(a){a=a|0;return a|0}function pI(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;qI(d);i=c;return}function qI(a){a=a|0;rI(a);return}function rI(a){a=a|0;sI(a|0);return}function sI(a){a=a|0;tI(a);return}function tI(a){a=a|0;zD(a+4|0);return}function uI(a){a=a|0;vI(a|0);return}function vI(a){a=a|0;wI(a);return}function wI(a){a=a|0;xI(a,kE(a)|0);return}function xI(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+8|0;Gz(d|0);if((b|0)==0){i=d;return}xI(a,c[b>>2]|0);xI(a,c[b+4>>2]|0);e=UE(a)|0;yI(e,ZD(b+16|0)|0);OE(e,b,1);i=d;return}function yI(a,b){a=a|0;b=b|0;a=i;i=i+8|0;zI(a|0,0,b);i=a;return}function zI(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;AI(d);i=c;return}function AI(a){a=a|0;BI(a);return}function BI(a){a=a|0;CI(a|0);return}function CI(a){a=a|0;DI(a);return}function DI(a){a=a|0;dO(a|0);return}function EI(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=i;i=i+16|0;d=c|0;e=c+8|0;FI(a|0);HI(d,b);II(e,b);GI(a,d,e);i=c;return a|0}function FI(a){a=a|0;var b=0,d=0;b=i;i=i+8|0;$H(a,AF(a)|0);c[(kH(a)|0)>>2]=0;d=tF(a)|0;c[(VG(a)|0)>>2]=d;Gz(b|0);c[d>>2]=0;i=b;return}function GI(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+32|0;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];f=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[f>>2];f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;QI(f,a);if(!(RI(b,d)|0)){i=e;return}k=c[f>>2]|0;f=h|0;do{c[f>>2]=k;JI(g,h);SI(j,a,g,TI(b)|0);UI(b)|0;}while(RI(b,d)|0);i=e;return}function HI(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;OI(d,b|0);JI(a,d);i=c;return}function II(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;KI(d,b|0);JI(a,d);i=c;return}function JI(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];NI(a,b);i=d;return}function KI(a,b){a=a|0;b=b|0;LI(a,BD(b)|0);return}function LI(a,b){a=a|0;b=b|0;MI(a,b);return}function MI(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function NI(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function OI(a,b){a=a|0;b=b|0;LI(a,c[(PI(b)|0)>>2]|0);return}function PI(a){a=a|0;return a|0}function QI(a,b){a=a|0;b=b|0;II(a,b);return}function RI(a,b){a=a|0;b=b|0;return _J(a|0,b|0)|0}function SI(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;i=i+40|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;c[h>>2]=c[d>>2];aJ(j,e);$I(g,b|0,h,j);qF(a,g);dI(j);i=f;return}function TI(a){a=a|0;return YI(a|0)|0}function UI(a){a=a|0;VI(a|0)|0;return a|0}function VI(a){a=a|0;var b=0;b=a|0;c[b>>2]=WI(c[b>>2]|0)|0;return a|0}function WI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a+4|0;e=c[d>>2]|0;Gz(b|0);if((e|0)==0){e=a;while(1){a=uB(e)|0;f=c[e+8>>2]|0;if(a){g=f;break}else{e=f}}i=b;return g|0}else{g=XI(c[d>>2]|0)|0;i=b;return g|0}return 0}function XI(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a|0;f=c[e>>2]|0;Gz(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e|0;f=c[a>>2]|0;Gz(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function YI(a){a=a|0;return ZI((c[a>>2]|0)+16|0)|0}function ZI(a){a=a|0;return _I(a)|0}function _I(a){a=a|0;return a|0}function $I(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+64|0;g=d;d=i;i=i+4|0;i=i+7&-8;c[d>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+24|0;k=f+40|0;l=f+48|0;c[h>>2]=c[d>>2];d=eJ(b,h,g,e)|0;h=c[d>>2]|0;Gz(f+16|0);if((h|0)!=0){m=h;sF(a,m);i=f;return}gJ(l,b,e);hJ(k,l);fJ(j,k);iJ(l);l=c[g>>2]|0;dH(b,l,d,jJ(j)|0);d=kJ(j)|0;iJ(j);m=d;sF(a,m);i=f;return}function aJ(a,b){a=a|0;b=b|0;bJ(a,b);return}function bJ(a,b){a=a|0;b=b|0;cJ(a|0,b);return}function cJ(a,b){a=a|0;b=b|0;dJ(a,b);return}function dJ(a,b){a=a|0;b=b|0;VN(a|0,b|0);VN(a+12|0,b+12|0);return}function eJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+88|0;g=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[g>>2];g=f|0;h=f+8|0;j=f+16|0;k=f+24|0;l=f+32|0;m=f+40|0;n=f+48|0;o=f+56|0;p=f+64|0;q=f+72|0;r=f+80|0;rF(h,a);OJ(g,h);do{if(!(NJ(b,g)|0)){h=CF(a)|0;s=QJ(b)|0;if(PJ(h,e,s)|0){break}t=PJ(h,s,e)|0;s=c[b>>2]|0;if(!t){c[d>>2]=s;u=d;i=f;return u|0}c[o>>2]=s;UJ(n,o,1,0);rF(q,a);OJ(p,q);do{if(!(NJ(n,p)|0)){if(PJ(h,e,QJ(n)|0)|0){break}u=TJ(a,d,e)|0;i=f;return u|0}}while(0);h=s+4|0;t=c[h>>2]|0;Gz(r);if((t|0)==0){c[d>>2]=s;u=h;i=f;return u|0}else{h=c[n>>2]|0;c[d>>2]=h;u=h|0;i=f;return u|0}}}while(0);n=c[b>>2]|0;b=j|0;c[b>>2]=n;RJ(l,a);OJ(k,l);do{if(!(NJ(j,k)|0)){l=CF(a)|0;if(PJ(l,QJ(SJ(j)|0)|0,e)|0){break}u=TJ(a,d,e)|0;i=f;return u|0}}while(0);e=n|0;a=c[e>>2]|0;Gz(m);if((a|0)==0){c[d>>2]=n;u=e;i=f;return u|0}else{e=c[b>>2]|0;c[d>>2]=e;u=e+4|0;i=f;return u|0}return 0}function fJ(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];LJ(a,b);i=d;return}function gJ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=BH(c)|0;c=DH(k,1)|0;xJ(g,k);wJ(f,c,g);yJ(0,bI((zJ(f)|0)+16|0)|0,d);a[(AJ(f)|0)+4|0]=1;BJ(j,f);hJ(h,j);fJ(b,h);iJ(j);iJ(f);i=e;return}function hJ(a,b){a=a|0;b=b|0;uJ(a,b);return}function iJ(a){a=a|0;pJ(a);return}function jJ(a){a=a|0;return c[(nJ(a|0)|0)>>2]|0}function kJ(a){a=a|0;var b=0;b=lJ(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function lJ(a){a=a|0;return mJ(a|0)|0}function mJ(a){a=a|0;return a|0}function nJ(a){a=a|0;return oJ(a|0)|0}function oJ(a){a=a|0;return a|0}function pJ(a){a=a|0;qJ(a,0);return}function qJ(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=lJ(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}sJ(rJ(d)|0,e);return}function rJ(a){a=a|0;return tJ(a|0)|0}function sJ(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;aI(e,bI(d+16|0)|0)}if((d|0)==0){return}uH(c[b>>2]|0,d,1);return}function tJ(a){a=a|0;return a+4|0}function uJ(a,b){a=a|0;b=b|0;vJ(a,b);return}function vJ(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function wJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];FJ(a,b,d);i=e;return}function xJ(a,b){a=a|0;b=b|0;EJ(a,b);return}function yJ(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}CJ(b,c);return}function zJ(a){a=a|0;return c[(nJ(a|0)|0)>>2]|0}function AJ(a){a=a|0;return rJ(a|0)|0}function BJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;uJ(f,b);fJ(e,f);hJ(d,e);fJ(a,d);iJ(e);i=c;return}function CJ(a,b){a=a|0;b=b|0;DJ(a,b);return}function DJ(a,b){a=a|0;b=b|0;cJ(a|0,b|0);return}function EJ(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;return}function FJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(OH(f)|0)>>2]|0;f=HJ(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;GJ(a|0,b,g);i=e;return}function GJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];IJ(a,b,d);i=e;return}function HJ(a){a=a|0;return a|0}function IJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(SH(f)|0)>>2]|0;f=KJ(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;JJ(a|0,b,g);i=e;return}function JJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(SH(f)|0)>>2];f=KJ(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function KJ(a){a=a|0;return a|0}function LJ(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=kJ(MJ(b)|0)|0;g=KJ(AJ(MJ(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;GJ(a|0,f,e);i=d;return}function MJ(a){a=a|0;return c[a>>2]|0}function NJ(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function OJ(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];ZJ(a,b);i=d;return}function PJ(a,b,c){a=a|0;b=b|0;c=c|0;return GD(0,b|0,c|0)|0}function QJ(a){a=a|0;return(c[a>>2]|0)+16|0}function RJ(a,b){a=a|0;b=b|0;sF(a,c[(VG(b)|0)>>2]|0);return}function SJ(a){a=a|0;var b=0;b=a|0;c[b>>2]=XJ(c[b>>2]|0)|0;return a|0}function TJ(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=AF(a)|0;Gz(e|0);if((h|0)==0){j=tF(a)|0;c[b>>2]=j;k=j|0;i=e;return k|0}j=CF(a)|0;a=h;while(1){h=a+16|0;if(PJ(j,d,h)|0){l=a|0;m=c[l>>2]|0;Gz(f);if((m|0)==0){n=5;break}else{o=l}}else{p=a|0;if(!(PJ(j,h,d)|0)){n=10;break}q=a+4|0;h=c[q>>2]|0;Gz(g);if((h|0)==0){n=9;break}else{o=q}}a=c[o>>2]|0}if((n|0)==5){c[b>>2]=a;k=l;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==10){c[b>>2]=p;k=b;i=e;return k|0}return 0}function UJ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;e=i;f=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[f>>2];VJ(b,d);c[a>>2]=c[b>>2];i=e;return}function VJ(a,b){a=a|0;b=b|0;var c=0;c=i;i=i+8|0;WJ(a,b,c|0);i=c;return}function WJ(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;if(!((c|0)>-1)){f=c;do{SJ(b)|0;f=f+1|0;}while((f|0)<0);i=e;return}if((c|0)>0){g=c}else{i=e;return}do{VI(b)|0;g=g-1|0;}while((g|0)>0);i=e;return}function XJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=i;i=i+8|0;d=a|0;e=c[d>>2]|0;Gz(b|0);if((e|0)==0){e=a;while(1){a=uB(e)|0;f=c[e+8>>2]|0;if(a){e=f}else{g=f;break}}i=b;return g|0}else{g=YJ(c[d>>2]|0)|0;i=b;return g|0}return 0}function YJ(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;i=i+8|0;d=b|0;e=a+4|0;f=c[e>>2]|0;Gz(d);if((f|0)==0){g=a;i=b;return g|0}else{h=e}while(1){e=c[h>>2]|0;a=e+4|0;f=c[a>>2]|0;Gz(d);if((f|0)==0){g=e;break}else{h=a}}i=b;return g|0}function ZJ(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function _J(a,b){a=a|0;b=b|0;return(NJ(a,b)|0)^1|0}function $J(a){a=a|0;var b=0;b=i;i=i+128|0;rD(a|0,b|0);rD(a+12|0,b+8|0);aK(a+24|0,b+16|0);aK(a+36|0,b+24|0);aK(a+48|0,b+32|0);aK(a+60|0,b+40|0);aK(a+72|0,b+48|0);aK(a+84|0,b+56|0);aK(a+96|0,b+64|0);aK(a+108|0,b+72|0);aK(a+120|0,b+80|0);aK(a+132|0,b+88|0);aK(a+144|0,b+96|0);aK(a+156|0,b+104|0);aK(a+168|0,b+112|0);aK(a+180|0,b+120|0);i=b;return}function aK(a,b){a=a|0;b=b|0;bK(a,0);return}function bK(a,b){a=a|0;b=b|0;b=i;i=i+8|0;cK(a|0,b|0);i=b;return}function cK(a,b){a=a|0;b=b|0;dK(a,0);return}function dK(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;eK(a+4|0);fK(a+8|0,0,b|0);d=aG(a)|0;c[($F(a)|0)>>2]=d;i=b;return}function eK(a){a=a|0;iK(a);return}function fK(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;gK(b,c,d);i=e;return}function gK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;hK(b|0,c[(iC(g)|0)>>2]|0,f+8|0);i=f;return}function hK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(iC(g)|0)>>2];i=f;return}function iK(a){a=a|0;jK(a|0);return}function jK(a){a=a|0;lC(a|0);return}function kK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+80|0;a=b|0;d=b+16|0;e=b+32|0;f=b+48|0;g=b+64|0;h=c[407048]|0;if((h|0)==0){j=0}else{k=oY(12)|0;ZN(k,h);j=k}if((c[407089]|0)!=0){c[406964]=1}if((j|0)==0){c[406881]=1;c[406882]=1;i=b;return}do{if((BO(j,1593208,0)|0)==-1){VN(a,j);TN(d);k=c[4150]|0;h=(k|0)<28;while(1){l=BO(a,1602280,0)|0;m=(l|0)!=-1;if(m){zO(e,a,0,l);eO(d,e)|0;dO(e);zO(f,a,l+1|0,-1);eO(a,f)|0;dO(f)}else{eO(d,a)|0}if(h){n=k;o=1}else{break}while(1){ZN(g,c[1626160+(n<<2)>>2]|0);l=lK(d,g)|0;dO(g);if(l){c[1627520+(n<<2)>>2]=1;p=0}else{p=o}l=n+1|0;if((l|0)<28){n=l;o=p}else{break}}if((p|0)!=0){break}if(!m){q=39;break}}if((q|0)==39){dO(d);dO(a);break}Cu(1,1,1586880,(l=i,i=i+1|0,i=i+7&-8,c[l>>2]=0,l)|0);i=l;if(h){r=k;do{s=c[1626272+(r<<2)>>2]|0;Cu(1,0,73856,(l=i,i=i+16|0,c[l>>2]=c[1626160+(r<<2)>>2],c[l+8>>2]=s,l)|0);i=l;r=r+1|0;}while((r|0)<28)}Qd[c[3538]&511](1);r=AO(j)|0;Eu(0,62376,(l=i,i=i+8|0,c[l>>2]=r,l)|0);i=l}else{r=1;do{c[1627520+(r<<2)>>2]=1;r=r+1|0;}while((r|0)<28)}}while(0);c[406881]=1;c[406882]=1;if((c[406889]|0)!=0){c[406904]=1}if((c[406903]|0)==1){c[406905]=1}if((c[406898]|0)!=0){c[406897]=1}if((c[406900]|0)!=0){c[406897]=1}if((c[406888]|0)!=0){c[406887]=1}if((c[406899]|0)!=0){c[406897]=1}if((c[406886]|0)!=0){c[406885]=1}dO(j);qY(j);i=b;return}function lK(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=bO(b)|0;if((d|0)!=(bO(c)|0)){e=0;return e|0}f=cO(b)|0;g=cO(c)|0;if(WN(b)|0){e=(ID(f,g,d)|0)==0;return e|0}if((d|0)==0){e=1;return e|0}else{h=f;i=g;j=d}while(1){if((a[h]|0)!=(a[i]|0)){e=0;k=7;break}d=j-1|0;if((d|0)==0){e=1;k=7;break}else{h=h+1|0;i=i+1|0;j=d}}if((k|0)==7){return e|0}return 0}function mK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;a=c[407050]|0;if((a|0)==0){d=1;i=b;return d|0}e=oY(12)|0;f=e;ZN(f,a);if((e|0)==0){d=1;i=b;return d|0}else{g=1}while(1){if((g|0)>=4){h=7;break}if(nK(f,c[1623656+(g<<2)>>2]|0)|0){d=g;h=8;break}else{g=g+1|0}}if((h|0)==7){g=AO(f)|0;Cu(1,1,53312,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f;g=c[405921]|0;Cu(1,0,73856,(f=i,i=i+16|0,c[f>>2]=c[405915],c[f+8>>2]=g,f)|0);i=f;g=c[405922]|0;Cu(1,0,73856,(f=i,i=i+16|0,c[f>>2]=c[405916],c[f+8>>2]=g,f)|0);i=f;g=c[405923]|0;Cu(1,0,73856,(f=i,i=i+16|0,c[f>>2]=c[405917],c[f+8>>2]=g,f)|0);i=f;Qd[c[3538]&511](1);Eu(0,45184,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;return 0}else if((h|0)==8){i=b;return d|0}return 0}function nK(a,b){a=a|0;b=b|0;return(DO(a,b)|0)==0|0}function oK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;b=i;i=i+32|0;a=b|0;d=b+16|0;e=c[407046]|0;if((e|0)==0){f=1;i=b;return f|0}g=oY(12)|0;h=g;ZN(h,e);if((g|0)==0){f=1;i=b;return f|0}ZN(a,37600);g=lK(h,a)|0;dO(a);if(g){f=1;i=b;return f|0}ZN(d,31392);g=lK(h,d)|0;dO(d);if(g){f=2;i=b;return f|0}else{f=AO(h)|0;Cu(1,1,25824,(h=i,i=i+8|0,c[h>>2]=f,h)|0);i=h;Cu(1,0,73856,(h=i,i=i+16|0,c[h>>2]=37600,c[h+8>>2]=1611336,h)|0);i=h;Cu(1,0,73856,(h=i,i=i+16|0,c[h>>2]=31392,c[h+8>>2]=1605072,h)|0);i=h;Qd[c[3538]&511](1);Eu(0,45184,(h=i,i=i+1|0,i=i+7&-8,c[h>>2]=0,h)|0);i=h;return 0}return 0}function pK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;mQ(e,a);do{if(pQ(e)|0){h=QD(b)|0;BK(f,a);j=a;k=a;l=k+(c[(c[j>>2]|0)-12>>2]|0)|0;m=l;if(((Kz(m)|0)&176|0)==32){n=b+h|0}else{n=b}EK(g,f,b,n,b+h|0,m,ZO(l)|0);if(!(CK(g)|0)){break}TO(k+(c[(c[j>>2]|0)-12>>2]|0)|0,5)}}while(0);nQ(e);i=d;return a|0}function qK(a){a=a|0;sQ(a,_O(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0;$P(a)|0;return a|0}function rK(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;f=i;i=i+2128|0;g=f|0;h=f+32|0;j=f+48|0;k=f+64|0;l=f+80|0;ZN(h,d);OO(k,1597504,h);XC(j,k,1595480);dO(k);k=AO(j)|0;d=b+104|0;do{if((c[d>>2]|0)>0){m=b|0;n=c[m>>2]|0;if((IY(c[n+4>>2]|0,1594072)|0)!=0){break}a[n+104|0]=1;a[(c[m>>2]|0)+((c[d>>2]|0)*112|0)+104|0]=1}}while(0);if((IY(k,1592824)|0)==0){dO(j);dO(h);i=f;return}d=qX(g,k,1)|0;if((d|0)!=0){m=l|0;NY(m|0,0,2048)|0;DX(d,g,m,2048)|0;qQ(pK(pK(pK(pK(pK(1654480,1591536)|0,k)|0,1590624)|0,m)|0,1589656)|0,2)|0;dO(j);dO(h);i=f;return}m=b+108|0;k=c[m>>2]|0;if((k|0)>0){d=b|0;l=0;n=k;while(1){k=c[d>>2]|0;if((a[k+(l*112|0)+104|0]|0)==0){o=(EX(g,c[k+(l*112|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(l*112|0)+104|0]=o;p=c[m>>2]|0}else{p=n}o=l+1|0;if((o|0)<(p|0)){l=o;n=p}else{break}}}p=b+208|0;if((c[p>>2]|0)>0){n=b+32|0;l=b|0;m=(e|0)==0;d=b+16|0;o=0;do{k=c[n>>2]|0;q=a[k+(o*52|0)+8|0]|0;do{if((q<<24>>24|0)==0){r=(EX(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0){break}a[(c[l>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}else if((q<<24>>24|0)==1){r=(EX(g,c[k+(o*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(o*52|0)+48|0]=r;r=c[n>>2]|0;if((a[r+(o*52|0)+48|0]|0)!=0|m){break}a[(c[d>>2]|0)+((c[r+(o*52|0)+4>>2]|0)*112|0)+104|0]=0}}while(0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}p=b+116|0;o=c[p>>2]|0;if((o|0)>0){d=b+4|0;m=0;n=o;while(1){o=c[d>>2]|0;if((a[o+(m*60|0)+56|0]|0)==0){l=(EX(g,c[o+(m*60|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(m*60|0)+56|0]=l;s=c[p>>2]|0}else{s=n}l=m+1|0;if((l|0)<(s|0)){m=l;n=s}else{break}}}s=b+212|0;if((c[s>>2]|0)>0){n=b+36|0;m=b+4|0;p=(e|0)==0;d=b+20|0;l=0;do{o=c[n>>2]|0;k=a[o+(l*52|0)+8|0]|0;do{if((k<<24>>24|0)==0){q=(EX(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0){break}a[(c[m>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}else if((k<<24>>24|0)==1){q=(EX(g,c[o+(l*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(l*52|0)+48|0]=q;q=c[n>>2]|0;if((a[q+(l*52|0)+48|0]|0)!=0|p){break}a[(c[d>>2]|0)+((c[q+(l*52|0)+4>>2]|0)*60|0)+56|0]=0}}while(0);l=l+1|0;}while((l|0)<(c[s>>2]|0))}s=b+120|0;l=c[s>>2]|0;if((l|0)>0){d=b+8|0;p=0;n=l;while(1){l=c[d>>2]|0;if((a[l+(p*48|0)+44|0]|0)==0){m=(EX(g,c[l+(p*48|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(p*48|0)+44|0]=m;t=c[s>>2]|0}else{t=n}m=p+1|0;if((m|0)<(t|0)){p=m;n=t}else{break}}}t=b+216|0;if((c[t>>2]|0)>0){n=b+40|0;p=b+8|0;s=(e|0)==0;d=b+24|0;m=0;do{l=c[n>>2]|0;o=a[l+(m*52|0)+8|0]|0;do{if((o<<24>>24|0)==0){k=(EX(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0){break}a[(c[p>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}else if((o<<24>>24|0)==1){k=(EX(g,c[l+(m*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(m*52|0)+48|0]=k;k=c[n>>2]|0;if((a[k+(m*52|0)+48|0]|0)!=0|s){break}a[(c[d>>2]|0)+((c[k+(m*52|0)+4>>2]|0)*48|0)+44|0]=0}}while(0);m=m+1|0;}while((m|0)<(c[t>>2]|0))}t=b+124|0;m=c[t>>2]|0;if((m|0)>0){d=b+12|0;s=0;n=m;while(1){m=c[d>>2]|0;if((a[m+(s*52|0)+48|0]|0)==0){p=(EX(g,c[m+(s*52|0)+4>>2]|0,0,0,0)|0)!=0|0;a[(c[d>>2]|0)+(s*52|0)+48|0]=p;u=c[t>>2]|0}else{u=n}p=s+1|0;if((p|0)<(u|0)){s=p;n=u}else{break}}}u=b+220|0;if((c[u>>2]|0)>0){n=b+44|0;s=b+12|0;t=(e|0)==0;e=b+28|0;b=0;do{d=c[n>>2]|0;p=a[d+(b*52|0)+8|0]|0;do{if((p<<24>>24|0)==0){m=(EX(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0){break}a[(c[s>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}else if((p<<24>>24|0)==1){m=(EX(g,c[d+(b*52|0)+16>>2]|0,0,0,0)|0)!=0|0;a[(c[n>>2]|0)+(b*52|0)+48|0]=m;m=c[n>>2]|0;if((a[m+(b*52|0)+48|0]|0)!=0|t){break}a[(c[e>>2]|0)+((c[m+(b*52|0)+4>>2]|0)*52|0)+48|0]=0}}while(0);b=b+1|0;}while((b|0)<(c[u>>2]|0))}uX(g);dO(j);dO(h);i=f;return}function sK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0.0,I=0.0,J=0,K=0,L=0;b=i;i=i+320|0;a=b|0;e=b+16|0;f=b+32|0;g=b+48|0;j=b+64|0;k=b+80|0;l=b+96|0;m=b+112|0;n=b+128|0;o=b+144|0;p=b+160|0;q=b+176|0;r=b+192|0;s=b+208|0;t=b+224|0;u=b+240|0;v=b+256|0;w=b+272|0;x=b+288|0;y=b+304|0;z=c[407074]|0;A=c[407044]|0;B=c[409184]|0;if((c[406905]|0)==0){if(!((c[407062]|0)==0|(B|0)!=0)){C=3}}else{C=3}if((C|0)==3){c[409184]=1}C=d+248|0;D=d+240|0;E=~~+vb(+((+h[C>>3]- +h[D>>3])/+h[d+264>>3]));c[d+256>>2]=E;Au(23,0,1588664,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;E=c[407031]|0;do{if((E|0)==0){G=0}else{if((IY(E,1587704)|0)==0){G=1;break}if((IY(E,1586368)|0)==0){G=0;break}if((IY(E,1337048)|0)==0){G=2;break}Cu(1,0,82080,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F;G=0}}while(0);if((Ev(G)|0)!=0){Cu(1,0,80920,(F=i,i=i+8|0,c[F>>2]=E,F)|0);i=F}if((c[409184]|0)!=0){zL(d+56|0);Jv((c[d+64>>2]|0)+13+(c[d+68>>2]|0)+(c[d+72>>2]|0)|0);Fv(0);Fv(6);Gv(3);Gv(4);Gv(1)}E=(z|0)!=0;if(E){if((A|0)==0){H=+h[D>>3]}else{H=+EY(A)}h[C>>3]=H;Au(1,0,79696,(F=i,i=i+8|0,h[F>>3]=H,F)|0);i=F}do{if((c[407088]|0)!=0){C=oY(12)|0;A=C;ZN(A,c[407058]|0);if((C|0)==0){break}C=AO(A)|0;c[d+280>>2]=C;Au(23,0,78648,(F=i,i=i+8|0,c[F>>2]=C,F)|0);i=F}}while(0);C=c[407057]|0;TN(a);if((C|0)==0){ZN(g,c[d+88>>2]|0);ZN(j,77648);tK(f,g,j);XC(e,f,c[d+284>>2]|0);eO(a,e)|0;dO(e);dO(f);dO(j);dO(g)}else{fO(a,C)|0}ZN(k,1650632);ZN(l,1650632);ZN(m,1650632);ZN(n,1650632);ZN(o,1650632);ZN(p,1650632);C=c[407062]|0;if((c[407066]|0)!=0){fO(k,c[407036]|0)|0}if((c[407070]|0)!=0){fO(l,c[407040]|0)|0}if((c[407065]|0)!=0){fO(m,c[407035]|0)|0}if((c[407067]|0)==0){I=0.0}else{fO(n,c[407037]|0)|0;I=+EY(AO(n)|0)}if((c[407068]|0)==0){J=1}else{fO(o,c[407038]|0)|0;J=Oc(AO(o)|0)|0}if((c[407083]|0)!=0){fO(p,c[407053]|0)|0}VN(q,a);VN(r,k);VN(s,l);VN(t,m);VN(u,p);g=uK(d,q,r,s,t,I,J,u,C)|0;dO(u);dO(t);dO(s);dO(r);dO(q);if((g|0)!=0|E^1){K=g}else{Fv(5);g=QK(d)|0;Iv(5);Au(1,0,75672,(F=i,i=i+1|0,i=i+7&-8,c[F>>2]=0,F)|0);i=F;K=g}c[409184]=B;if(!((K|0)==0&(B|0)!=0)){L=K;dO(p);dO(o);dO(n);dO(m);dO(l);dO(k);dO(a);i=b;return L|0}K=d+88|0;ZN(w,c[K>>2]|0);XC(v,w,74792);dO(w);ZN(y,c[K>>2]|0);XC(x,y,73096);dO(y);Iv(0);y=c[407049]|0;K=AO(v)|0;w=AO(x)|0;B=c[d+280>>2]|0;g=c[d+284>>2]|0;nL(d,K,w,(y|0)!=0?y:71920,B,g,AO(a)|0)|0;dO(x);dO(v);L=0;dO(p);dO(o);dO(n);dO(m);dO(l);dO(k);dO(a);i=b;return L|0}function tK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;UN(a,d|0);e=bO(b)|0;f=bO(c)|0;EO(a,cO(b)|0,e,f+e|0);wO(a,cO(c)|0,f)|0;i=d;return}function uK(a,b,d,e,f,g,h,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;l=i;i=i+48|0;m=l|0;n=l+16|0;o=l+32|0;if((bO(j)|0)==0){p=0}else{p=AO(j)|0}VN(m,b);b=(vK(a,m,k)|0)==0;dO(m);if(!b){q=-1;i=l;return q|0}ZN(n,1650632);b=a+280|0;m=nK(n,c[b>>2]|0)|0;dO(n);do{if(m){r=3}else{n=0;k=1;do{ZN(o,c[1623368+(k<<2)>>2]|0);j=nK(o,c[b>>2]|0)|0;dO(o);n=j?k:n;k=k+1|0;}while((k|0)<20);if((n|0)!=0){r=n;break}Cu(1,0,63472,(s=i,i=i+8|0,c[s>>2]=c[b>>2],s)|0);i=s;Cu(1,0,1586880,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;k=1;do{j=c[1623448+(k<<2)>>2]|0;Cu(1,0,73856,(s=i,i=i+16|0,c[s>>2]=c[1623368+(k<<2)>>2],c[s+8>>2]=j,s)|0);i=s;k=k+1|0;}while((k|0)<20);Eu(c[a+536>>2]|0,45184,(s=i,i=i+1|0,i=i+7&-8,c[s>>2]=0,s)|0);i=s;return 0}}while(0);Au(23,0,61744,(s=i,i=i+8|0,c[s>>2]=c[1623368+(r<<2)>>2],s)|0);i=s;s=AO(d)|0;d=AO(e)|0;e=_x(a,s,d,AO(f)|0,g,h,r,p)|0;Rd[c[2007]&127](8e3,a);q=e;i=l;return q|0}function vK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=c[a+256>>2]<<2;c[2e3]=Ic(AO(b)|0)|0;c[2001]=f;c[2002]=d;d=a+284|0;do{if((c[406962]|0)==0){f=c[d>>2]|0;if((IY(70872,f)|0)==0){g=0;break}if((IY(69952,f)|0)==0){c[2004]=58;c[2005]=18;c[2007]=22;g=0;break}if((IY(68960,f)|0)==0){c[2004]=26;c[2005]=110;c[2006]=60;c[2007]=6;g=1;break}if((IY(67912,f)|0)==0){c[2004]=66;c[2005]=24;c[2006]=48;c[2007]=38;g=1;break}if((IY(66976,f)|0)==0){c[2004]=94;c[2005]=108;c[2007]=78;g=0;break}f=pK(1654480,65424)|0;qQ(pK(f,c[d>>2]|0)|0,2)|0;h=1;i=e;return h|0}else{g=0}}while(0);rK(a+8|0,c[a+288>>2]|0,g);Rd[c[2004]&127](8e3,a);a=c[2e3]|0;Au(23,0,64464,(g=i,i=i+16|0,c[g>>2]=c[d>>2],c[g+8>>2]=a,g)|0);i=g;h=0;i=e;return h|0}function wK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+32|0;f=e|0;g=e+16|0;ru();do{if((HL(a,b)|0)==0){if((JL(a,b)|0)!=0){break}do{if((c[407075]|0)!=0){h=c[407045]|0;if((IY(h,57312)|0)==0){xu(1);break}if((IY(h,56672)|0)==0){xu(0);break}else{Cu(1,0,55904,(j=i,i=i+8|0,c[j>>2]=h,j)|0);i=j;Sa(0)|0;qc(0);return 0}}}while(0);if((c[407064]|0)==0){kK(0,0);mx(d);if((d|0)==0){qQ(pK(1654480,51144)|0,2)|0}c[d+300>>2]=mK(0,0)|0;c[d+292>>2]=oK(0,0)|0;UC(d+8|0,d+240|0);vx(d)|0;Cx(d)|0;Lx(d)|0;do{if((c[d+116>>2]|0)==0){if((c[d+124>>2]|0)==0){break}if((c[d+128>>2]|0)==0){break}qQ(pK(1654480,50336)|0,2)|0;k=1;i=e;return k|0}}while(0);c[406962]=c[407081];k=0;i=e;return k|0}ZN(f,c[407034]|0);h=1;while(1){if((h|0)>=30){l=40;break}m=1627016+(h<<2)|0;ZN(g,c[m>>2]|0);n=lK(f,g)|0;dO(g);if(n){break}else{h=h+1|0}}if((l|0)==40){n=AO(f)|0;Cu(1,0,52888,(j=i,i=i+8|0,c[j>>2]=n,j)|0);i=j;Cu(1,0,51960,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;Sa(0)|0;qc(0);return 0}n=c[1626896+(h<<2)>>2]|0;do{if((n|0)==1){o=c[1627144+(h<<2)>>2]|0;Au(1,1,55048,(j=i,i=i+16|0,c[j>>2]=c[m>>2],c[j+8>>2]=o,j)|0);i=j}else{o=c[m>>2]|0;if((n|0)==2){p=c[1627144+(h<<2)>>2]|0;Au(1,1,54192,(j=i,i=i+24|0,c[j>>2]=o,c[j+8>>2]=o,c[j+16>>2]=p,j)|0);i=j;break}else{Cu(1,1,58136,(j=i,i=i+8|0,c[j>>2]=o,j)|0);i=j;break}}}while(0);do{if((h|0)==6){Au(1,0,73856,(j=i,i=i+16|0,c[j>>2]=27544,c[j+8>>2]=28944,j)|0);i=j;Au(1,0,73856,(j=i,i=i+16|0,c[j>>2]=26928,c[j+8>>2]=28472,j)|0);i=j;Au(1,0,73856,(j=i,i=i+16|0,c[j>>2]=26360,c[j+8>>2]=27984,j)|0);i=j}else if((h|0)==18){n=c[4150]|0;if((n|0)<28){q=n}else{break}do{n=c[1626272+(q<<2)>>2]|0;Au(1,0,73856,(j=i,i=i+16|0,c[j>>2]=c[1626160+(q<<2)>>2],c[j+8>>2]=n,j)|0);i=j;q=q+1|0;}while((q|0)<28)}else if((h|0)==10){n=1;do{o=c[1623592+(n<<2)>>2]|0;Au(1,0,73856,(j=i,i=i+16|0,c[j>>2]=c[1623528+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<7)}else if((h|0)==28){n=1;do{o=c[1623448+(n<<2)>>2]|0;Au(1,0,73856,(j=i,i=i+16|0,c[j>>2]=c[1623368+(n<<2)>>2],c[j+8>>2]=o,j)|0);i=j;n=n+1|0;}while((n|0)<20)}}while(0);Qd[c[3538]&511](1);Sa(0)|0;qc(0);return 0}}while(0);Au(1,1,60728,(j=i,i=i+8|0,c[j>>2]=c[b>>2],j)|0);i=j;b=1;do{q=c[1626896+(b<<2)>>2]|0;do{if((q|0)==1){m=c[1627272+(b<<2)>>2]|0;Au(1,0,59808,(j=i,i=i+16|0,c[j>>2]=c[1627016+(b<<2)>>2],c[j+8>>2]=m,j)|0);i=j}else{m=c[1627016+(b<<2)>>2]|0;if((q|0)==2){f=c[1627272+(b<<2)>>2]|0;Au(1,0,58960,(j=i,i=i+24|0,c[j>>2]=m,c[j+8>>2]=m,c[j+16>>2]=f,j)|0);i=j;break}else{Cu(1,0,58136,(j=i,i=i+8|0,c[j>>2]=m,j)|0);i=j;break}}}while(0);b=b+1|0;}while((b|0)<30);Qd[c[3538]&511](1);Sa(0)|0;qc(0);return 0}function xK(a){a=a|0;var b=0,d=0,e=0;a=i;b=c[413732]|0;Cc(7896)|0;vc(48848,(d=i,i=i+8|0,c[d>>2]=c[b+88>>2],d)|0)|0;i=d;Cc(7976)|0;vc(47368,(d=i,i=i+8|0,h[d>>3]=+h[b+264>>3],d)|0)|0;i=d;e=b+4|0;vc(46728,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+4>>2]>>3],d)|0)|0;i=d;vc(46072,(d=i,i=i+8|0,h[d>>3]=+h[c[(c[e>>2]|0)+8>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;vc(44600,(d=i,i=i+8|0,h[d>>3]=+h[c[b+4>>2]>>3]- +h[c[b+8>>2]>>3],d)|0)|0;i=d;vc(43648,(d=i,i=i+8|0,h[d>>3]=+h[c[c[e>>2]>>2]>>3],d)|0)|0;i=d;b=c[e>>2]|0;vc(42680,(d=i,i=i+8|0,h[d>>3]=+h[c[b>>2]>>3]- +h[c[b+4>>2]>>3],d)|0)|0;i=d;Cc(7872)|0;i=a;return}function yK(a,b){a=a|0;b=+b;return}function zK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;i=i+160|0;f=1;g=0;h=i;i=i+168|0;c[h>>2]=0;while(1)switch(f|0){case 1:j=e|0;k=(c[d+536>>2]|0)+76|0;l=c[k>>2]|0;c[k>>2]=j;m=OY(j|0,f,h)|0;f=6;break;case 6:if((m|0)==0){f=2;break}else{n=-1;f=4;break};case 2:j=ua(10,a|0,b|0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;if((j|0)==0){f=3;break}else{o=1;f=5;break};case 3:c[413732]=d;Da(74,10,234)|0;if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;j=ua(12,0,0,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(42,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(50,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(112,d|0)|0;if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(c[(c[d+540>>2]|0)+8>>2]|0,d|0);if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;pa(26,d|0);if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;sa(98,0)|0;if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;n=j;f=4;break;case 4:c[k>>2]=l;Ia(4);if((x|0)!=0&(y|0)!=0){g=PY(c[x>>2]|0,h)|0;if((g|0)>0){f=-1;break}else return 0}x=y=0;o=n;f=5;break;case 5:i=e;return o|0;case-1:if((g|0)==1){m=y;f=6}x=y=0;break}return 0}function AK(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+16|0;f=a;a=i;i=i+24|0;c[a>>2]=c[f>>2];c[a+4>>2]=c[f+4>>2];c[a+8>>2]=c[f+8>>2];c[a+12>>2]=c[f+12>>2];c[a+16>>2]=c[f+16>>2];c[a+20>>2]=c[f+20>>2];f=e|0;a=f;c[a>>2]=d;c[a+4>>2]=0;a=c[u>>2]|0;Xa(39224,9,1,a|0)|0;Pc(a|0,b|0,f|0)|0;Va(10,a|0)|0;Sa(0)|0;i=e;return}function BK(a,b){a=a|0;b=b|0;DK(a,b);return}function CK(a){a=a|0;return(c[a>>2]|0)==0|0}function DK(a,b){a=a|0;b=b|0;c[a>>2]=YO(b+(c[(c[b>>2]|0)-12>>2]|0)|0)|0;return}function EK(a,b,d,e,f,g,h){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;j=i;i=i+48|0;k=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[k>>2];k=j+8|0;l=j+16|0;m=j+32|0;n=j+40|0;o=b|0;b=c[o>>2]|0;Gz(j|0);if((b|0)==0){c[a>>2]=0;i=j;return}p=f;f=d;q=p-f|0;r=FK(g)|0;s=(r|0)>(q|0)?r-q|0:0;q=e;r=q-f|0;do{if((r|0)>0){if((iP(b,d,r)|0)==(r|0)){break}Gz(k);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);do{if((s|0)>0){_N(l,s,h);if((iP(b,cO(l)|0,s)|0)==(s|0)){dO(l);break}Gz(m);c[o>>2]=0;c[a>>2]=0;dO(l);i=j;return}}while(0);l=p-q|0;do{if((l|0)>0){if((iP(b,e,l)|0)==(l|0)){break}Gz(n);c[o>>2]=0;c[a>>2]=0;i=j;return}}while(0);GK(g,0)|0;c[a>>2]=b;i=j;return}function FK(a){a=a|0;return c[a+12>>2]|0}function GK(a,b){a=a|0;b=b|0;var d=0;d=a+12|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function HK(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;f=i;i=i+136|0;g=f|0;IK(g,16);JK(g+(c[(c[g>>2]|0)-12>>2]|0)|0,16)|0;if((d|0)>0){j=e-1|0;k=(j|0)>0;l=(e|0)>0;m=g;n=(e|0)==0;e=0;do{if(k){o=0;p=e;while(1){pK(rQ(m,+h[b+(p<<3)>>3])|0,1591128)|0;q=p+d|0;r=o+1|0;if((r|0)<(j|0)){o=r;p=q}else{s=q;break}}}else{s=e}if(l){rQ(m,+h[b+(s<<3)>>3])|0}e=e+1|0;if(!((e|0)==(d|0)|n)){pK(m,1601856)|0}}while((e|0)<(d|0))}KK(a,g);LK(g);i=f;return}function IK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=a+56|0;aP(d);e=a|0;c[e>>2]=1614964;f=d|0;c[f>>2]=1614984;d=a+4|0;hQ(a,1616364,d|0);c[e>>2]=1614964;c[f>>2]=1614984;XK(d,b|16);return}function JK(a,b){a=a|0;b=b|0;var d=0;d=a+8|0;a=c[d>>2]|0;c[d>>2]=b;return a|0}function KK(a,b){a=a|0;b=b|0;RK(a,b+4|0);return}function LK(a){a=a|0;$K(a,1616360);XO(a+56|0);return}function MK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+120>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[406894]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Au(14,0,73664,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Td[c[(c[e>>2]|0)+160>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Au(14,0,62192,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[406894]|0)==0){i=d;return 0}Au(14,0,53208,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(44944,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function NK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+124>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[406894]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Au(14,0,73664,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Td[c[(c[e>>2]|0)+164>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Au(14,0,62192,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[406894]|0)==0){i=d;return 0}Au(14,0,53208,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(44944,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function OK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+128>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[406894]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Au(14,0,73664,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Td[c[(c[e>>2]|0)+168>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Au(14,0,62192,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[406894]|0)==0){i=d;return 0}Au(14,0,53208,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(44944,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function PK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0,y=0,z=0,A=0;d=i;e=a+540|0;f=c[(c[e>>2]|0)+132>>2]|0;g=a+464|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)!=0){k=a;a=0;l=0;m=j;while(1){h[(c[m+(f*44|0)+28>>2]|0)+(a<<3)>>3]=1.0;do{if((c[406894]|0)!=0){Cc(7848)|0;j=c[g>>2]|0;if((c[j+(f*44|0)>>2]|0)==0){break}else{n=0;o=j}do{p=+h[(c[o+(f*44|0)+28>>2]|0)+(n<<3)>>3];Au(14,0,73664,(q=i,i=i+16|0,c[q>>2]=n,h[q+8>>3]=p,q)|0);i=q;n=n+1|0;o=c[g>>2]|0;}while(n>>>0<(c[o+(f*44|0)>>2]|0)>>>0)}}while(0);Td[c[(c[e>>2]|0)+172>>2]&255](k)|0;j=c[g>>2]|0;if((c[j+(f*44|0)+4>>2]|0)==0){r=l;s=j}else{t=0;u=l;v=j;while(1){j=(c[v+(f*44|0)+36>>2]|0)+(t<<3)|0;p=+h[j>>3];w=u+1|0;h[b+(u<<3)>>3]=p;x=+h[j>>3];Au(14,0,62192,(q=i,i=i+48|0,c[q>>2]=u,c[q+8>>2]=a,c[q+16>>2]=t,h[q+24>>3]=p,c[q+32>>2]=a,h[q+40>>3]=x,q)|0);i=q;j=t+1|0;y=c[g>>2]|0;if(j>>>0<(c[y+(f*44|0)+4>>2]|0)>>>0){t=j;u=w;v=y}else{r=w;s=y;break}}}h[(c[s+(f*44|0)+28>>2]|0)+(a<<3)>>3]=0.0;v=a+1|0;if(v>>>0<(c[s+(f*44|0)>>2]|0)>>>0){a=v;l=r;m=s}else{break}}}if((c[406894]|0)==0){i=d;return 0}Au(14,0,53208,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;s=c[g>>2]|0;if((c[s+(f*44|0)+4>>2]|0)==0){i=d;return 0}else{z=0;A=s}do{s=c[A+(f*44|0)>>2]|0;if((s|0)!=0){m=0;r=s;do{x=+h[b+((ga(r,m)|0)+z<<3)>>3];vc(44944,(q=i,i=i+8|0,h[q>>3]=x,q)|0)|0;i=q;m=m+1|0;r=c[(c[g>>2]|0)+(f*44|0)>>2]|0;}while(m>>>0<r>>>0)}kc(10)|0;z=z+1|0;A=c[g>>2]|0;}while(z>>>0<(c[A+(f*44|0)+4>>2]|0)>>>0);i=d;return 0}function QK(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;b=i;i=i+256|0;d=b|0;e=b+16|0;f=b+32|0;g=b+48|0;h=b+64|0;j=b+80|0;k=b+96|0;l=b+112|0;m=b+128|0;n=b+144|0;o=b+160|0;p=b+176|0;q=b+192|0;r=b+208|0;s=b+224|0;t=b+240|0;u=c[a+112>>2]|0;v=c[a+152>>2]|0;w=c[a+156>>2]|0;x=kY(ga(u,u)|0,8)|0;y=x;z=kY(ga(v,u)|0,8)|0;A=z;B=kY(ga(w,u)|0,8)|0;C=B;D=kY(ga(w,v)|0,8)|0;E=D;TN(d);TN(e);TN(f);TN(g);TN(h);TN(j);TN(k);F=a+536|0;Du(c[F>>2]|0,(x|0)!=0|0,31312,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Du(c[F>>2]|0,(z|0)!=0|0,31312,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Du(c[F>>2]|0,(B|0)!=0|0,31312,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;Du(c[F>>2]|0,(D|0)!=0|0,31312,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G;H=a+540|0;I=a;if((Td[c[(c[H>>2]|0)+140>>2]&255](I)|0)==0){J=c[F>>2]|0;MK(a,y)|0;Du(J,1,25728,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}HK(l,y,u,u);eO(d,l)|0;dO(l);if((Td[c[(c[H>>2]|0)+144>>2]&255](I)|0)==0){l=c[F>>2]|0;NK(a,A)|0;Du(l,1,1611240,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}HK(m,A,u,v);eO(e,m)|0;dO(m);if((Td[c[(c[H>>2]|0)+148>>2]&255](I)|0)==0){m=c[F>>2]|0;OK(a,C)|0;Du(m,1,1604712,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}HK(n,C,w,u);eO(f,n)|0;dO(n);if((Td[c[(c[H>>2]|0)+152>>2]&255](I)|0)==0){I=c[F>>2]|0;PK(a,E)|0;Du(I,1,1600520,(G=i,i=i+1|0,i=i+7&-8,c[G>>2]=0,G)|0);i=G}HK(o,E,w,v);eO(g,o)|0;dO(o);if((u|0)==0){fO(h,1597488)|0}else{HK(p,c[(c[c[a+4>>2]>>2]|0)+8>>2]|0,1,u);eO(h,p)|0;dO(p)}if((v|0)==0){fO(j,1597488)|0}else{HK(q,c[a+432>>2]|0,1,v);eO(j,q)|0;dO(q)}jY(x);jY(z);jY(B);jY(D);ZN(t,c[a+84>>2]|0);OO(s,1595472,t);XC(r,s,1594064);eO(k,r)|0;dO(r);dO(s);dO(t);t=xc(AO(k)|0,1592816)|0;s=c[F>>2]|0;F=AO(k)|0;Du(s,(t|0)!=0|0,1591512,(G=i,i=i+8|0,c[G>>2]=F,G)|0);i=G;F=ee[c[(c[H>>2]|0)+176>>2]&15]()|0;s=AO(h)|0;r=AO(j)|0;a=AO(d)|0;D=AO(e)|0;B=AO(f)|0;z=AO(g)|0;kd(t|0,F|0,(G=i,i=i+48|0,c[G>>2]=s,c[G+8>>2]=r,c[G+16>>2]=a,c[G+24>>2]=D,c[G+32>>2]=B,c[G+40>>2]=z,G)|0)|0;i=G;if((c[406905]|0)==0){K=Sa(t|0)|0;L=Oa(t|0)|0;dO(k);dO(j);dO(h);dO(g);dO(f);dO(e);dO(d);i=b;return 0}z=ee[c[(c[H>>2]|0)+176>>2]&15]()|0;H=AO(h)|0;B=AO(j)|0;D=AO(d)|0;a=AO(e)|0;r=AO(f)|0;s=AO(g)|0;Au(25,0,z,(G=i,i=i+48|0,c[G>>2]=H,c[G+8>>2]=B,c[G+16>>2]=D,c[G+24>>2]=a,c[G+32>>2]=r,c[G+40>>2]=s,G)|0);i=G;K=Sa(t|0)|0;L=Oa(t|0)|0;dO(k);dO(j);dO(h);dO(g);dO(f);dO(e);dO(d);i=b;return 0}function RK(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;d=i;i=i+24|0;e=d|0;f=d+8|0;g=d+16|0;h=c[b+48>>2]|0;if((h&16|0)!=0){j=b+44|0;k=c[j>>2]|0;l=b|0;m=qP(l)|0;if(k>>>0<m>>>0){c[j>>2]=m;n=m}else{n=k}SK(a,pP(l)|0,n,e);i=d;return}if((h&8|0)==0){UN(a,g);i=d;return}else{g=b|0;b=kP(g)|0;SK(a,b,mP(g)|0,f);i=d;return}}function SK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;TK(a,b,c,0);return}function TK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;UK(a,b,c);return}function UK(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=i;i=i+1|0;i=i+7&-8;g=VK(c,d)|0;if(g>>>0>4294967279>>>0){RN(0)}if(g>>>0<11>>>0){jO(b,g);h=iO(b)|0}else{j=qO(g)|0;k=j+1|0;j=ND(YN(b)|0,k)|0;sO(b,j);rO(b,k);hO(b,g);h=j}if((c|0)==(d|0)){l=h;a[f]=0;OD(l,f);i=e;return}j=d+(-c|0)|0;g=h;b=c;while(1){OD(g,b);c=b+1|0;if((c|0)==(d|0)){break}else{g=g+1|0;b=c}}l=h+j|0;a[f]=0;OD(l,f);i=e;return}function VK(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=WK(a,b,c|0)|0;i=c;return d|0}function WK(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;i=e;return c-b|0}function XK(a,b){a=a|0;b=b|0;lL(a,b);return}function YK(a){a=a|0;LK(a);qY(a);return}function ZK(a){a=a|0;LK(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function _K(a){a=a|0;YK(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function $K(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];aL(a+4|0);return}function aL(a){a=a|0;bL(a);return}function bL(a){a=a|0;c[a>>2]=1615168;dO(a+32|0);eP(a|0);return}function cL(a){a=a|0;aL(a);qY(a);return}function dL(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b+44|0;i=c[h>>2]|0;j=b|0;k=qP(j)|0;if(i>>>0<k>>>0){c[h>>2]=k;l=k}else{l=i}i=g&24;do{if((i|0)==0){Uy(a,-1,-1);return}else if((i|0)==24){if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}Uy(a,-1,-1);return}else{if((f|0)==2){m=11;break}else if((f|0)==0){n=0;o=0;break}else if((f|0)!=1){m=12;break}if((g&8|0)==0){k=qP(j)|0;h=k-(pP(j)|0)|0;n=(h|0)<0|0?-1:0;o=h;break}else{h=lP(j)|0;k=h-(kP(j)|0)|0;n=(k|0)<0|0?-1:0;o=k;break}}}while(0);if((m|0)==11){f=l-(cO(b+32|0)|0)|0;n=(f|0)<0|0?-1:0;o=f}else if((m|0)==12){Uy(a,-1,-1);return}m=UY(o,n,d,e)|0;e=K;d=0;do{if(!((e|0)<(d|0)|(e|0)==(d|0)&m>>>0<0>>>0)){n=l-(cO(b+32|0)|0)|0;o=(n|0)<0|0?-1:0;if((o|0)<(e|0)|(o|0)==(e|0)&n>>>0<m>>>0){break}n=g&8;do{if(!((m|0)==0&(e|0)==0)){do{if((n|0)!=0){if((lP(j)|0)!=0){break}Uy(a,-1,-1);return}}while(0);if((g&16|0)==0){break}if((qP(j)|0)!=0){break}Uy(a,-1,-1);return}}while(0);if((n|0)!=0){o=kP(j)|0;oP(j,o,o+m|0,l)}if((g&16|0)!=0){o=pP(j)|0;tP(j,o,rP(j)|0);sP(j,m)}Uy(a,m,e);return}}while(0);Uy(a,-1,-1);return}function eL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=d;d=i;i=i+16|0;c[d>>2]=c[g>>2];c[d+4>>2]=c[g+4>>2];c[d+8>>2]=c[g+8>>2];c[d+12>>2]=c[g+12>>2];g=c[(c[b>>2]|0)+16>>2]|0;h=gA(d)|0;Yd[g&63](a,b,h,K,0,e);i=f;return}function fL(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=b+44|0;e=c[d>>2]|0;f=b|0;g=qP(f)|0;if(e>>>0<g>>>0){c[d>>2]=g;h=g}else{h=e}if((c[b+48>>2]&8|0)==0){i=-1;return i|0}if((mP(f)|0)>>>0<h>>>0){b=kP(f)|0;oP(f,b,lP(f)|0,h)}h=lP(f)|0;if(!(h>>>0<(mP(f)|0)>>>0)){i=-1;return i|0}i=EA(a[h]|0)|0;return i|0}function gL(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=b+44|0;f=c[e>>2]|0;g=b|0;h=qP(g)|0;if(f>>>0<h>>>0){c[e>>2]=h;i=h}else{i=f}f=kP(g)|0;h=lP(g)|0;if(!(f>>>0<h>>>0)){j=-1;return j|0}if(AA(d,-1)|0){oP(g,f,h-1|0,i);j=DA(d)|0;return j|0}f=(c[b+48>>2]&16|0)==0;b=BA(d)|0;do{if(f){if(FA(b,a[h-1|0]|0)|0){break}else{j=-1}return j|0}}while(0);h=kP(g)|0;oP(g,h,(lP(g)|0)-1|0,i);a[lP(g)|0]=b;j=d;return j|0}function hL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;d=i;i=i+8|0;e=d|0;if(AA(b,-1)|0){f=DA(b)|0;i=d;return f|0}g=a|0;h=lP(g)|0;j=h-(kP(g)|0)|0;h=qP(g)|0;if((h|0)==(rP(g)|0)){k=a+48|0;if((c[k>>2]&16|0)==0){f=-1;i=d;return f|0}l=pP(g)|0;m=a+44|0;n=(c[m>>2]|0)-l|0;o=a+32|0;vO(o,0);oO(o,lO(o)|0);p=cO(o)|0;tP(g,p,p+(bO(o)|0)|0);sP(g,h-l|0);c[m>>2]=(pP(g)|0)+n;q=m;r=k}else{q=a+44|0;r=a+48|0}c[e>>2]=(qP(g)|0)+1;k=c[(iL(e,q)|0)>>2]|0;c[q>>2]=k;if((c[r>>2]&8|0)!=0){r=cO(a+32|0)|0;oP(g,r,r+j|0,k)}f=hP(g,b&255)|0;i=d;return f|0}function iL(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=jL(a,b,c|0)|0;i=c;return d|0}function jL(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;f=kL(0,b,c)|0;i=e;return(f?c:b)|0}function kL(a,b,d){a=a|0;b=b|0;d=d|0;return(c[b>>2]|0)>>>0<(c[d>>2]|0)>>>0|0}function lL(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;i=i+16|0;e=d|0;jP(a|0);c[a>>2]=1615168;TN(a+32|0);c[a+44>>2]=0;c[a+48>>2]=b;TN(e);mL(a,e);dO(e);i=d;return}function mL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=a+32|0;eO(d,b)|0;b=a+44|0;c[b>>2]=0;e=a+48|0;f=c[e>>2]|0;if((f&8|0)==0){g=f}else{f=cO(d)|0;h=f+(bO(d)|0)|0;c[b>>2]=h;f=cO(d)|0;oP(a|0,f,f,h);g=c[e>>2]|0}if((g&16|0)==0){return}g=bO(d)|0;c[b>>2]=(cO(d)|0)+g;oO(d,lO(d)|0);b=a|0;a=cO(d)|0;tP(b,a,a+(bO(d)|0)|0);if((c[e>>2]&3|0)==0){return}sP(b,g);return}function nL(a,b,d,e,f,g,j){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0;g=i;i=i+8|0;f=g|0;k=xc(b|0,1590936)|0;l=mc(1601776,1590936)|0;m=(l|0)!=0;n=Vc()|0;if(m){o=c[a+536>>2]|0;p=Wc(c[n>>2]|0)|0;Du(o,(k|0)!=0|0,73640,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=p,q)|0);i=q;Xa(62136,17,1,l|0)|0;Xa(53192,10,1,l|0)|0;Xa(44920,18,1,l|0)|0;oL(l,e,37440,c[a+88>>2]|0,(c[a+72>>2]|0)+(c[a+64>>2]|0)|0,-1,999,1650600)}else{p=Wc(c[n>>2]|0)|0;Cu(26,0,1586736,(q=i,i=i+8|0,c[q>>2]=p,q)|0);i=q;p=c[a+536>>2]|0;o=Wc(c[n>>2]|0)|0;Du(p,(k|0)!=0|0,73640,(q=i,i=i+16|0,c[q>>2]=b,c[q+8>>2]=o,q)|0);i=q}Xa(25376,348,1,k|0)|0;if((Ld(f|0)|0)<0){o=Wc(c[n>>2]|0)|0;Cu(26,0,1611216,(q=i,i=i+8|0,c[q>>2]=o,q)|0);i=q;Oa(k|0)|0;Cb(l|0)|0;r=1;i=g;return r|0}if((rc(1627864,250,1604688,bb(f|0)|0)|0)==0){Cu(26,0,1600496,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q;Oa(k|0)|0;r=1;i=g;return r|0}Xa(1597368,13,1,k|0)|0;Xa(1595232,12,1,k|0)|0;pL(k,2);Xa(1593824,6,1,k|0)|0;qL(k,c[a+84>>2]|0);Xa(1592696,8,1,k|0)|0;pL(k,2);Xa(1591496,8,1,k|0)|0;f=a+88|0;qL(k,c[f>>2]|0);Xa(1590608,10,1,k|0)|0;pL(k,2);Xa(1589648,6,1,k|0)|0;qL(k,1627864);Xa(1588648,8,1,k|0)|0;pL(k,2);Xa(1587632,8,1,k|0)|0;qL(k,c[a+280>>2]|0);Xa(1586352,10,1,k|0)|0;pL(k,2);Xa(1337032,14,1,k|0)|0;qL(k,c[a+284>>2]|0);Xa(82056,16,1,k|0)|0;pL(k,2);Xa(80896,16,1,k|0)|0;qL(k,j);Xa(79672,18,1,k|0)|0;pL(k,2);o=rL(j)|0;kd(k|0,78608,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;pL(k,2);s=+Av(7);kd(k|0,77608,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);s=+Av(6);kd(k|0,76552,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);s=+Av(1);kd(k|0,75640,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);s=+Av(4);kd(k|0,74664,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);s=+Av(3);kd(k|0,73064,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);s=+Av(5);kd(k|0,71880,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);s=+Av(0);kd(k|0,70792,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);s=+Dv(2);kd(k|0,69880,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);o=yv(2)|0;kd(k|0,68888,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;pL(k,2);s=+Cv(2);kd(k|0,67856,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;Xa(66928,13,1,k|0)|0;Xa(65360,16,1,k|0)|0;pL(k,2);s=+Av(8);kd(k|0,64408,(q=i,i=i+8|0,h[q>>3]=s,q)|0)|0;i=q;pL(k,2);o=vv(8)|0;kd(k|0,63352,(q=i,i=i+8|0,c[q>>2]=o,q)|0)|0;i=q;Xa(61688,17,1,k|0)|0;Xa(60664,22,1,k|0)|0;sL(k,a);Xa(59752,23,1,k|0)|0;Xa(58904,12,1,k|0)|0;o=a+116|0;if((c[o>>2]|0)>0){j=a+8|0;n=0;do{tL(k,(c[j>>2]|0)+(n*112|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+136|0;if((c[o>>2]|0)>0){n=a+24|0;j=0;do{tL(k,(c[n>>2]|0)+(j*112|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+124|0;if((c[o>>2]|0)>0){j=a+12|0;n=0;do{tL(k,(c[j>>2]|0)+(n*60|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+140|0;if((c[o>>2]|0)>0){n=a+28|0;j=0;do{tL(k,(c[n>>2]|0)+(j*60|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+128|0;if((c[o>>2]|0)>0){j=a+16|0;n=0;do{tL(k,(c[j>>2]|0)+(n*48|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+144|0;if((c[o>>2]|0)>0){n=a+32|0;j=0;do{tL(k,(c[n>>2]|0)+(j*48|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}o=a+132|0;if((c[o>>2]|0)>0){j=a+20|0;n=0;do{tL(k,(c[j>>2]|0)+(n*52|0)|0);n=n+1|0;}while((n|0)<(c[o>>2]|0))}o=a+148|0;if((c[o>>2]|0)>0){n=a+36|0;j=0;do{tL(k,(c[n>>2]|0)+(j*52|0)|0);j=j+1|0;}while((j|0)<(c[o>>2]|0))}Xa(58072,13,1,k|0)|0;Xa(57240,12,1,k|0)|0;uL(k,l,e,c[f>>2]|0,a);Xa(56656,13,1,k|0)|0;Xa(55888,12,1,k|0)|0;vL(k,c[a+68>>2]|0,a+56|0);Xa(54984,13,1,k|0)|0;Xa(54152,16,1,k|0)|0;wL(k,l,e,a);Xa(52864,17,1,k|0)|0;Xa(51944,14,1,k|0)|0;Oa(k|0)|0;if(!m){r=0;i=g;return r|0}m=c[a+508>>2]|0;a=((KY(d|0)|0)<<1)+230|0;d=(m|0)!=0;if(d){t=(KY(m|0)|0)<<1}else{t=0}k=iY(a+t|0)|0;if((k|0)==0){fd(51136,50312,404,1612528);return 0}if((Cb(l|0)|0)!=0){Cu(26,0,49592,(q=i,i=i+1|0,i=i+7&-8,c[q>>2]=0,q)|0);i=q}if(d){d=c[f>>2]|0;Ob(k|0,48088,(q=i,i=i+32|0,c[q>>2]=48832,c[q+8>>2]=d,c[q+16>>2]=m,c[q+24>>2]=d,q)|0)|0;i=q;if((Gc(k|0)|0)!=0){u=42}}else{MY(k|0,47336,25)|0;u=42}if((u|0)==42){Cu(1,0,46664,(q=i,i=i+8|0,c[q>>2]=k,q)|0);i=q}u=c[f>>2]|0;Au(1,0,45920,(q=i,i=i+16|0,c[q>>2]=u,c[q+8>>2]=u,q)|0);i=q;jY(k);r=0;i=g;return r|0}function oL(a,b,d,e,f,g,j,k){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0;l=i;if((a|0)==0){i=l;return}m=(g|0)>-1;if(m){n=g+9|0;o=wv(n)|0;p=xv(n)|0;if((o|0)==0){q=-.01}else{q=+(o>>>0>>>0)*.95}if((p|0)==0){r=.01}else{r=+(p>>>0>>>0)*1.05}s=+Cv(n)*1.01+1.0e-30;t=o;u=r;v=q;w=p}else{s=0.0;t=0;u=0.0;v=0.0;w=0}Xa(62136,17,1,a|0)|0;Xa(1608904,12,1,a|0)|0;Xa(1608384,12,1,a|0)|0;Xa(1607872,13,1,a|0)|0;kd(a|0,1607424,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;Xa(1606952,10,1,a|0)|0;Xa(1606112,11,1,a|0)|0;Xa(1605440,11,1,a|0)|0;Xa(1604472,10,1,a|0)|0;if(m){kd(a|0,1603744,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Xa(1603136,17,1,a|0)|0}o=g+3|0;kd(a|0,1610152,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=4,p)|0)|0;i=p;Xa(1602544,13,1,a|0)|0;if(m){Xa(1608384,12,1,a|0)|0;if((t|0)==(w|0)){kd(a|0,1602088,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Xa(1603136,17,1,a|0)|0}kd(a|0,1601864,(p=i,i=i+24|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,p)|0)|0;i=p;kd(a|0,1609568,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=4,p)|0)|0;i=p;Xa(1601624,10,1,a|0)|0;Xa(1601344,10,1,a|0)|0;Xa(1601624,10,1,a|0)|0;Xa(1601104,11,1,a|0)|0;kd(a|0,1600824,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;kd(a|0,1600336,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Xa(1599808,33,1,a|0)|0;Xa(1599128,32,1,a|0)|0;kd(a|0,1598960,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Xa(1604472,10,1,a|0)|0;kd(a|0,1603744,(p=i,i=i+8|0,h[p>>3]=s,p)|0)|0;i=p}else{Xa(1601344,10,1,a|0)|0;Xa(1601624,10,1,a|0)|0;Xa(1601104,11,1,a|0)|0;kd(a|0,1600824,(p=i,i=i+8|0,c[p>>2]=b,p)|0)|0;i=p;kd(a|0,1600336,(p=i,i=i+8|0,c[p>>2]=d,p)|0)|0;i=p;Xa(1599808,33,1,a|0)|0;Xa(1599128,32,1,a|0)|0;kd(a|0,1598960,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;Xa(1604472,10,1,a|0)|0;Xa(1603136,17,1,a|0)|0}kd(a|0,1610152,(p=i,i=i+48|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=o,c[p+32>>2]=o,c[p+40>>2]=2,p)|0)|0;i=p;Xa(1602544,13,1,a|0)|0;if(!m){i=l;return}if((t|0)==(w|0)){kd(a|0,1602088,(p=i,i=i+16|0,h[p>>3]=v,h[p+8>>3]=u,p)|0)|0;i=p}else{Xa(1603136,17,1,a|0)|0}Xa(1598824,32,1,a|0)|0;Xa(1598592,29,1,a|0)|0;kd(a|0,1598456,(p=i,i=i+32|0,c[p>>2]=e,c[p+8>>2]=k,c[p+16>>2]=j,c[p+24>>2]=b,p)|0)|0;i=p;kd(a|0,1609568,(p=i,i=i+40|0,c[p>>2]=e,c[p+8>>2]=f,c[p+16>>2]=f,c[p+24>>2]=g+1,c[p+32>>2]=2,p)|0)|0;i=p;i=l;return}function pL(a,b){a=a|0;b=b|0;var c=0;if((b|0)==0){return}else{c=b}do{c=c-1|0;Va(32,a|0)|0;}while((c|0)!=0);return}function qL(b,c){b=b|0;c=c|0;var d=0,e=0,f=0;d=a[c]|0;if(d<<24>>24==0){return}else{e=c;f=d}do{d=f<<24>>24;if((d|0)==62){Xa(1612288,4,1,b|0)|0}else if((d|0)==39){Xa(1611800,6,1,b|0)|0}else if((d|0)==34){Xa(1610936,6,1,b|0)|0}else if((d|0)==60){Xa(21600,4,1,b|0)|0}else{Va(d|0,b|0)|0}e=e+1|0;f=a[e]|0;}while(!(f<<24>>24==0));return}function rL(a){a=a|0;var b=0,c=0;b=xc(a|0,21968)|0;if((b|0)==0){c=-1;return c|0}sd(b|0,0,2)|0;a=Mb(b|0)|0;Oa(b|0)|0;c=a;return c|0}function sL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;d=i;i=i+112|0;e=d|0;f=d+32|0;g=d+56|0;h=d+88|0;j=c[b+88>>2]|0;k=iY((KY(j|0)|0)+15|0)|0;Ob(k|0,29496,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;pL(a,2);Xa(28928,10,1,a|0)|0;qL(a,k);Xa(28456,12,1,a|0)|0;pL(a,2);j=rL(k)|0;kd(a|0,27952,(l=i,i=i+8|0,c[l>>2]=j,l)|0)|0;i=l;jY(k);pL(a,2);Xa(27528,9,1,a|0)|0;pL(a,4);Xa(26904,22,1,a|0)|0;pL(a,4);Xa(26304,22,1,a|0)|0;pL(a,4);Xa(25080,26,1,a|0)|0;k=b+56|0;l=b+64|0;j=c[l>>2]|0;if((j|0)>0){m=e+4|0;n=0;while(1){yL(e,k,n);o=c[m>>2]|0;pL(a,4);Xa(24472,8,1,a|0)|0;qL(a,o);Xa(23952,18,1,a|0)|0;o=n+1|0;p=c[l>>2]|0;if((o|0)<(p|0)){n=o}else{q=p;break}}}else{q=j}j=b+72|0;b=c[j>>2]|0;if((b|0)>0){n=f+8|0;m=0;do{DL(f,k,m);e=c[n>>2]|0;pL(a,4);Xa(24472,8,1,a|0)|0;qL(a,e);Xa(23952,18,1,a|0)|0;m=m+1|0;r=c[j>>2]|0;}while((m|0)<(r|0));s=c[l>>2]|0;t=r}else{s=q;t=b}if((s|0)>0){s=g+4|0;b=0;do{yL(g,k,b);q=c[s>>2]|0;pL(a,4);Xa(23480,8,1,a|0)|0;qL(a,q);Xa(23032,21,1,a|0)|0;b=b+1|0;}while((b|0)<(c[l>>2]|0));u=c[j>>2]|0}else{u=t}if((u|0)<=0){pL(a,2);v=Xa(22488,10,1,a|0)|0;i=d;return}u=h+8|0;t=0;do{DL(h,k,t);l=c[u>>2]|0;pL(a,4);Xa(23480,8,1,a|0)|0;qL(a,l);Xa(23032,21,1,a|0)|0;t=t+1|0;}while((t|0)<(c[j>>2]|0));pL(a,2);v=Xa(22488,10,1,a|0)|0;i=d;return}function tL(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;pL(a,2);kd(a|0,31064,(e=i,i=i+8|0,c[e>>2]=c[b>>2],e)|0)|0;i=e;qL(a,c[b+4>>2]|0);Xa(30376,11,1,a|0)|0;qL(a,c[b+8>>2]|0);Xa(39192,3,1,a|0)|0;xL(a,4,b+12|0);pL(a,2);Xa(30016,12,1,a|0)|0;i=d;return}function uL(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;g=i;i=i+32|0;j=g|0;k=f+64|0;if((c[k>>2]|0)<=0){i=g;return}l=f+56|0;m=j+4|0;n=f+72|0;f=j|0;o=j+8|0;p=0;do{yL(j,l,p);oL(b,d,c[m>>2]|0,e,(c[n>>2]|0)+(c[k>>2]|0)|0,p,c[f>>2]|0,35184);q=p+9|0;Gv(q);pL(a,2);kd(a|0,34256,(r=i,i=i+8|0,c[r>>2]=c[f>>2],r)|0)|0;i=r;pL(a,4);Xa(1593824,6,1,a|0)|0;qL(a,c[m>>2]|0);Xa(1592696,8,1,a|0)|0;pL(a,4);s=yv(q)|0;kd(a|0,42168,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;pL(a,4);t=+Dv(q);kd(a|0,41392,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;pL(a,4);t=+Cv(q);kd(a|0,67856,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;xL(a,6,o);pL(a,2);Xa(33752,12,1,a|0)|0;p=p+1|0;}while((p|0)<(c[k>>2]|0));i=g;return}function vL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0,x=0;e=i;i=i+120|0;f=e|0;g=e+24|0;j=e+48|0;k=e+72|0;l=e+96|0;if((b|0)<=0){i=e;return}m=f|0;n=g+8|0;o=j+12|0;p=d+8|0;q=d+16|0;r=k|0;s=l|0;t=0;do{pL(a,2);CL(f,d,t);kd(a|0,40024,(u=i,i=i+8|0,c[u>>2]=c[m>>2],u)|0)|0;i=u;CL(g,d,t);qL(a,c[n>>2]|0);Xa(39192,3,1,a|0)|0;pL(a,4);Xa(38672,7,1,a|0)|0;CL(j,d,t);if((c[o>>2]|0)>0){v=0;do{pL(a,6);kd(a|0,38120,(u=i,i=i+8|0,c[u>>2]=0,u)|0)|0;i=u;v=v+1|0;CL(j,d,t);}while((v|0)<(c[o>>2]|0))}pL(a,4);Xa(37192,8,1,a|0)|0;pL(a,4);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;CL(k,d,t);w=+Av(v+(c[r>>2]|0)|0);v=(c[p>>2]|0)+9+(c[q>>2]|0)|0;CL(l,d,t);x=vv(v+(c[s>>2]|0)|0)|0;kd(a|0,36448,(u=i,i=i+16|0,h[u>>3]=w,c[u+8>>2]=x,u)|0)|0;i=u;pL(a,2);Xa(35888,12,1,a|0)|0;t=t+1|0;}while((t|0)<(b|0));i=e;return}function wL(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0.0;f=i;i=i+24|0;g=f|0;j=e+56|0;k=e+64|0;l=c[k>>2]|0;m=e+72|0;if((c[m>>2]|0)<=0){i=f;return}n=g+8|0;o=e+88|0;e=g|0;p=l;q=l;do{DL(g,j,p-q|0);oL(b,d,c[n>>2]|0,c[o>>2]|0,(c[m>>2]|0)+(c[k>>2]|0)|0,p,c[e>>2]|0,44592);l=p+9|0;Gv(l);pL(a,2);Xa(43632,15,1,a|0)|0;pL(a,4);kd(a|0,42656,(r=i,i=i+8|0,c[r>>2]=c[e>>2],r)|0)|0;i=r;pL(a,4);s=yv(l)|0;kd(a|0,42168,(r=i,i=i+8|0,c[r>>2]=s,r)|0)|0;i=r;pL(a,4);t=+Dv(l);kd(a|0,41392,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;pL(a,4);t=+Cv(l);kd(a|0,67856,(r=i,i=i+8|0,h[r>>3]=t,r)|0)|0;i=r;pL(a,2);Xa(40768,16,1,a|0)|0;p=p+1|0;q=c[k>>2]|0;}while((p|0)<((c[m>>2]|0)+q|0));i=f;return}function xL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;f=d;d=i;i=i+24|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];c[d+8>>2]=c[f+8>>2];c[d+12>>2]=c[f+12>>2];c[d+16>>2]=c[f+16>>2];c[d+20>>2]=c[f+20>>2];pL(a,b);Xa(33272,16,1,a|0)|0;qL(a,c[d>>2]|0);b=c[d+8>>2]|0;f=c[d+12>>2]|0;g=c[d+16>>2]|0;h=(c[d+20>>2]|0)!=0?32312:31912;kd(a|0,32744,(a=i,i=i+40|0,c[a>>2]=c[d+4>>2],c[a+8>>2]=b,c[a+16>>2]=f,c[a+24>>2]=g,c[a+32>>2]=h,a)|0)|0;i=a;i=e;return}function yL(a,b,d){a=a|0;b=b|0;d=d|0;if((c[b+24>>2]|0)==0){zL(b)}MY(a|0,(c[b+20>>2]|0)+(d<<5)|0,32)|0;return}function zL(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;b=i;i=i+1040|0;d=b|0;e=b+16|0;c[d>>2]=a;f=d+4|0;c[f>>2]=1;g=d+8|0;c[g>>2]=0;h=d+12|0;c[h>>2]=0;j=a+4|0;do{if((c[j>>2]|0)==0){k=a|0;l=xc(c[k>>2]|0,1589880)|0;if((l|0)!=0){m=l;break}l=Wc(c[(Vc()|0)>>2]|0)|0;Eu(0,1601432,(n=i,i=i+16|0,c[n>>2]=c[k>>2],c[n+8>>2]=l,n)|0);i=n}else{m=0}}while(0);l=Bp(0)|0;if((l|0)==0){Eu(0,1586680,(n=i,i=i+1|0,i=i+7&-8,c[n>>2]=0,n)|0);i=n}k=a+8|0;c[a+20>>2]=kY(c[k>>2]|0,32)|0;o=a+12|0;p=kY((c[o>>2]|0)+1|0,20)|0;c[a+24>>2]=p;c[p>>2]=0;c[p+4>>2]=-1;c[p+8>>2]=73584;c[p+12>>2]=0;c[p+16>>2]=0;Mp(l,d);Np(l,14,14);d=c[j>>2]|0;do{if((d|0)==0){p=e|0;NY(p|0,0,1024)|0;while(1){q=gd(p|0,1,1024,m|0)|0;r=q>>>0<1024>>>0;if((Op(l,p,q,r&1)|0)==0){s=9;break}if(r){s=11;break}}if((s|0)==9){p=Wp(Tp(l)|0)|0;r=Up(l)|0;Oa(m|0)|0;Ip(l);q=c[a>>2]|0;Eu(0,62056,(n=i,i=i+32|0,c[n>>2]=53120,c[n+8>>2]=q,c[n+16>>2]=p,c[n+24>>2]=r,n)|0);i=n}else if((s|0)==11){Oa(m|0)|0;break}}else{if((Op(l,d,KY(d|0)|0,1)|0)!=0){break}r=Wp(Tp(l)|0)|0;p=Up(l)|0;Ip(l);q=c[j>>2]|0;Eu(0,44824,(n=i,i=i+32|0,c[n>>2]=53120,c[n+8>>2]=q,c[n+16>>2]=r,c[n+24>>2]=p,n)|0);i=n}}while(0);if((c[o>>2]|0)!=(c[f>>2]|0)){fd(37368,53120,295,1612608)}c[a+16>>2]=c[g>>2];if((c[k>>2]|0)==(c[h>>2]|0)){i=b;return}else{fd(31240,53120,297,1612608)}}function AL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;e=i;f=c[a>>2]|0;g=c[a+4>>2]|0;h=c[a+12>>2]|0;if((IY(1590376,b)|0)==0){if((IY(c[d>>2]|0,1589544)|0)==0){j=(c[d+8>>2]|0)==0|0}else{j=0}Du(0,j,1588496,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;j=c[406866]|0;a=c[409190]|0;do{if((j|0)==0|(a|0)==0){c[409190]=32;l=iY(1152)|0;c[406866]=l;m=l;n=f+24|0}else{l=f+24|0;if(((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)+2|0)<(a|0)){m=j;n=l;break}c[409190]=a<<1;o=lY(j,a*72|0)|0;c[406866]=o;m=o;n=l}}while(0);a=(c[n>>2]|0)+(g*20|0)+12|0;n=c[a>>2]|0;c[a>>2]=n+1;MY(m+(n*36|0)|0,GL(c[d+4>>2]|0)|0,36)|0;i=e;return}if((IY(1587528,b)|0)==0){n=c[d>>2]|0;if((n|0)==0){i=e;return}else{p=d;q=n}a:while(1){do{if((IY(1586248,q)|0)==0){c[409276]=Ic(c[p+4>>2]|0)|0}else{if((IY(1336808,q)|0)==0){c[409277]=Ua(c[p+4>>2]|0,0,10)|0;break}if((IY(81816,q)|0)==0){c[409279]=Ua(c[p+4>>2]|0,0,10)|0;break}if((IY(80776,q)|0)==0){c[409278]=Ua(c[p+4>>2]|0,0,10)|0;break}if((IY(79560,q)|0)==0){c[409280]=Ua(c[p+4>>2]|0,0,10)|0;break}if((IY(78368,q)|0)!=0){r=23;break a}c[409281]=(IY(c[p+4>>2]|0,77368)|0)==0}}while(0);n=p+8|0;m=c[n>>2]|0;if((m|0)==0){r=45;break}else{p=n;q=m}}if((r|0)==23){Eu(0,76416,(k=i,i=i+8|0,c[k>>2]=c[f>>2],k)|0);i=k}else if((r|0)==45){i=e;return}}if((IY(1600480,b)|0)==0){r=c[f+12>>2]|0;if((g|0)>(r|0)){q=c[f>>2]|0;Eu(0,75472,(k=i,i=i+24|0,c[k>>2]=53120,c[k+8>>2]=q,c[k+16>>2]=r,k)|0);i=k}if((IY(74432,c[d>>2]|0)|0)!=0){r=c[f>>2]|0;Eu(0,73008,(k=i,i=i+16|0,c[k>>2]=53120,c[k+8>>2]=r,k)|0);i=k}r=Ua(c[d+4>>2]|0,0,10)|0;if((g|0)!=(r|0)){q=c[f>>2]|0;Eu(0,71816,(k=i,i=i+32|0,c[k>>2]=53120,c[k+8>>2]=q,c[k+16>>2]=r,c[k+24>>2]=g,k)|0);i=k}r=f+24|0;q=c[r>>2]|0;c[q+(g*20|0)>>2]=g;c[q+(g*20|0)+4>>2]=-1;c[q+(g*20|0)+8>>2]=70736;q=c[r>>2]|0;c[q+(g*20|0)+12>>2]=0;c[q+(g*20|0)+16>>2]=0;i=e;return}if((IY(1604656,b)|0)!=0){if((IY(1591376,b)|0)!=0){i=e;return}b=f+20|0;f=c[b>>2]|0;c[f+(h<<5)>>2]=h;c[f+(h<<5)+4>>2]=67848;f=Ic(c[d+4>>2]|0)|0;c[(c[b>>2]|0)+(h<<5)+4>>2]=f;c[(c[b>>2]|0)+(h<<5)+8>>2]=66904;i=e;return}c[406871]=0;c[406872]=0;h=c[d>>2]|0;do{if((h|0)==0){s=0}else{b=d;f=h;do{do{if((IY(f,1589544)|0)==0){c[406871]=Ic(c[b+4>>2]|0)|0}else{if((IY(f,69872)|0)!=0){break}c[406872]=Ic(c[b+4>>2]|0)|0}}while(0);b=b+8|0;f=c[b>>2]|0;}while((f|0)!=0);if((c[406871]|0)==0){s=0;break}s=(c[406872]|0)!=0|0}}while(0);Du(0,s,68848,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[406870]=-1;c[406873]=c[409276];c[406874]=c[409277];c[406875]=c[409278];c[406876]=c[409279];c[406877]=c[409280];c[406878]=c[409281];i=e;return}function BL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;e=c[a>>2]|0;f=a+4|0;g=c[f>>2]|0;h=a+8|0;j=c[h>>2]|0;k=a+12|0;a=c[k>>2]|0;if((IY(1604656,b)|0)==0){FL(1627480);i=d;return}if((IY(1600480,b)|0)==0){l=e+24|0;m=iY((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)*36|0)|0;c[(c[l>>2]|0)+(g*20|0)+16>>2]=m;if((c[(c[l>>2]|0)+(g*20|0)+12>>2]|0)>0){m=0;do{n=iY(36)|0;MY(n|0,(c[406866]|0)+(m*36|0)|0,36)|0;c[(c[(c[l>>2]|0)+(g*20|0)+16>>2]|0)+(m<<2)>>2]=n;m=m+1|0;}while((m|0)<(c[(c[l>>2]|0)+(g*20|0)+12>>2]|0))}c[f>>2]=g+1;i=d;return}if((IY(1597360,b)|0)==0){f=e+24|0;l=c[f>>2]|0;m=c[l+(g*20|0)+12>>2]|0;Qb(l+(g*20|0)+8|0,1595192,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((IY(1593808,b)|0)==0){f=e+24|0;e=c[f>>2]|0;m=c[e+(g*20|0)+12>>2]|0;Qb(e+(g*20|0)+8|0,1592648,(o=i,i=i+16|0,c[o>>2]=g,c[o+8>>2]=m,o)|0)|0;i=o;c[(c[f>>2]|0)+(g*20|0)+4>>2]=j;c[h>>2]=j+1;i=d;return}if((IY(1591376,b)|0)!=0){i=d;return}c[k>>2]=a+1;i=d;return}function CL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=b+24|0;f=c[e>>2]|0;if((f|0)==0){zL(b);g=c[e>>2]|0}else{g=f}f=a;a=g+(d*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];return}function DL(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;f=b+24|0;if((c[f>>2]|0)==0){zL(b)}g=c[b+16>>2]|0;if(g>>>0<d>>>0){Eu(0,25272,(h=i,i=i+16|0,c[h>>2]=d,c[h+8>>2]=g,h)|0);i=h}g=c[b+12>>2]|0;b=0;while(1){if((b|0)>=(g|0)){j=9;break}k=c[f>>2]|0;if((c[k+(b*20|0)+4>>2]|0)==(d|0)){j=8;break}else{b=b+1|0}}if((j|0)==8){f=a;a=k+(b*20|0)|0;c[f>>2]=c[a>>2];c[f+4>>2]=c[a+4>>2];c[f+8>>2]=c[a+8>>2];c[f+12>>2]=c[a+12>>2];c[f+16>>2]=c[a+16>>2];i=e;return}else if((j|0)==9){Eu(0,1611064,(h=i,i=i+8|0,c[h>>2]=d,h)|0);i=h}}function EL(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0;b=a+20|0;d=c[b>>2]|0;if((d|0)!=0){jY(d);c[b>>2]=0}b=a+24|0;d=c[b>>2]|0;if((d|0)==0){return}e=a+12|0;if((c[e>>2]|0)>0){a=0;f=d;while(1){jY(c[f+(a*20|0)+16>>2]|0);c[(c[b>>2]|0)+(a*20|0)+16>>2]=0;g=a+1|0;h=c[b>>2]|0;if((g|0)<(c[e>>2]|0)){a=g;f=h}else{i=h;break}}}else{i=d}jY(i);c[b>>2]=0;return}function FL(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;b=i;e=a;a=i;i=i+36|0;i=i+7&-8;MY(a,e,36)|0;e=iY(72)|0;f=c[a+4>>2]|0;g=e;c[g>>2]=f;MY(e+4|0,a|0,36)|0;a=e+40|0;h=a;c[e+48>>2]=0;c[e+60>>2]=f;c[e+64>>2]=KY(f|0)|0;j=c[406868]|0;do{if((j|0)==0){k=e;c[406868]=k;c[e+44>>2]=0;l=iY(44)|0;m=l;c[e+40>>2]=m;if((l|0)==0){Nb(-1|0)}NY(l|0,0,44)|0;c[l+16>>2]=e+40;c[l+4>>2]=32;c[l+8>>2]=5;c[l+20>>2]=40;n=iY(384)|0;c[l>>2]=n;if((n|0)==0){Nb(-1|0)}else{NY(n|0,0,384)|0;c[l+40>>2]=-1609490463;o=k;p=m;q=f;break}}else{c[(c[(c[j+40>>2]|0)+16>>2]|0)+8>>2]=e;m=(c[406868]|0)+40|0;k=c[m>>2]|0;c[e+44>>2]=(c[k+16>>2]|0)+(-(c[k+20>>2]|0)|0);c[(c[m>>2]|0)+16>>2]=h;m=c[406868]|0;o=m;p=c[m+40>>2]|0;q=c[g>>2]|0}}while(0);g=o+40|0;o=p+12|0;c[o>>2]=(c[o>>2]|0)+1;o=a;c[o>>2]=p;p=e+68|0;c[p>>2]=-17973521;a=KY(q|0)|0;if(a>>>0>11>>>0){j=q;f=a;m=-1640531527;k=-1640531527;l=-17973521;while(1){n=((d[j+5|0]|0)<<8|(d[j+4|0]|0)|(d[j+6|0]|0)<<16|(d[j+7|0]|0)<<24)+m|0;r=((d[j+9|0]|0)<<8|(d[j+8|0]|0)|(d[j+10|0]|0)<<16|(d[j+11|0]|0)<<24)+l|0;s=((d[j+1|0]|0)<<8|(d[j]|0)|(d[j+2|0]|0)<<16|(d[j+3|0]|0)<<24)+k-n-r^r>>>13;t=n-r-s^s<<8;n=r-s-t^t>>>13;r=s-t-n^n>>>12;s=t-n-r^r<<16;t=n-r-s^s>>>5;n=r-s-t^t>>>3;r=s-t-n^n<<10;s=t-n-r^r>>>15;c[p>>2]=s;t=j+12|0;u=f-12|0;if(u>>>0>11>>>0){j=t;f=u;m=r;k=n;l=s}else{v=t;w=u;x=r;y=n;z=s;break}}}else{v=q;w=a;x=-1640531527;y=-1640531527;z=-17973521}a=z+(KY(q|0)|0)|0;c[p>>2]=a;switch(w|0){case 4:{A=x;B=a;C=18;break};case 3:{D=y;E=x;F=a;C=19;break};case 7:{G=x;H=a;C=15;break};case 8:{I=a;C=14;break};case 11:{w=((d[v+10|0]|0)<<24)+a|0;c[p>>2]=w;J=w;C=12;break};case 10:{J=a;C=12;break};case 2:{K=y;L=x;M=a;C=20;break};case 1:{N=y;O=x;P=a;C=21;break};case 6:{Q=x;R=a;C=16;break};case 5:{S=x;T=a;C=17;break};case 9:{U=a;C=13;break};default:{V=y;W=x;X=a}}if((C|0)==12){a=((d[v+9|0]|0)<<16)+J|0;c[p>>2]=a;U=a;C=13}if((C|0)==13){a=((d[v+8|0]|0)<<8)+U|0;c[p>>2]=a;I=a;C=14}if((C|0)==14){G=((d[v+7|0]|0)<<24)+x|0;H=I;C=15}if((C|0)==15){Q=((d[v+6|0]|0)<<16)+G|0;R=H;C=16}if((C|0)==16){S=((d[v+5|0]|0)<<8)+Q|0;T=R;C=17}if((C|0)==17){A=(d[v+4|0]|0)+S|0;B=T;C=18}if((C|0)==18){D=((d[v+3|0]|0)<<24)+y|0;E=A;F=B;C=19}if((C|0)==19){K=((d[v+2|0]|0)<<16)+D|0;L=E;M=F;C=20}if((C|0)==20){N=((d[v+1|0]|0)<<8)+K|0;O=L;P=M;C=21}if((C|0)==21){V=(d[v]|0)+N|0;W=O;X=P}P=V-W-X^X>>>13;V=W-X-P^P<<8;W=X-P-V^V>>>13;X=P-V-W^W>>>12;P=V-W-X^X<<16;V=W-X-P^P>>>5;W=X-P-V^V>>>3;X=P-V-W^W<<10;P=V-W-X^X>>>15;c[p>>2]=P;p=c[g>>2]|0;X=P&(c[p+4>>2]|0)-1;P=c[p>>2]|0;p=P+(X*12|0)+4|0;c[p>>2]=(c[p>>2]|0)+1;c[e+56>>2]=c[P+(X*12|0)>>2];c[e+52>>2]=0;e=c[c[g>>2]>>2]|0;g=c[e+(X*12|0)>>2]|0;if((g|0)==0){Y=e}else{c[g+12>>2]=h;Y=c[c[(c[406868]|0)+40>>2]>>2]|0}c[Y+(X*12|0)>>2]=h;h=c[c[(c[406868]|0)+40>>2]>>2]|0;if((c[h+(X*12|0)+4>>2]|0)>>>0<(((c[h+(X*12|0)+8>>2]|0)*10|0)+10|0)>>>0){i=b;return}X=c[o>>2]|0;if((c[X+36>>2]|0)==1){i=b;return}h=X+4|0;Y=iY((c[h>>2]|0)*24|0)|0;g=Y;if((Y|0)==0){Nb(-1|0)}NY(Y|0,0,(c[h>>2]|0)*24|0|0)|0;Y=c[X+12>>2]|0;e=c[h>>2]|0;c[X+24>>2]=(((e<<1)-1&Y|0)!=0)+(Y>>>(((c[X+8>>2]|0)+1|0)>>>0));c[X+28>>2]=0;Y=c[X>>2]|0;if((e|0)==0){Z=Y}else{e=0;h=Y;Y=X;while(1){X=c[h+(e*12|0)>>2]|0;if((X|0)==0){_=Y}else{P=X;X=Y;while(1){p=P+16|0;W=c[p>>2]|0;V=(c[X+4>>2]<<1)-1&c[P+28>>2];O=g+(V*12|0)+4|0;N=(c[O>>2]|0)+1|0;c[O>>2]=N;v=c[X+24>>2]|0;if(N>>>0>v>>>0){N=X+28|0;c[N>>2]=(c[N>>2]|0)+1;c[g+(V*12|0)+8>>2]=((c[O>>2]|0)>>>0)/(v>>>0)|0}c[P+12>>2]=0;v=g+(V*12|0)|0;c[p>>2]=c[v>>2];p=c[v>>2]|0;if((p|0)!=0){c[p+12>>2]=P}c[v>>2]=P;v=c[o>>2]|0;if((W|0)==0){_=v;break}else{P=W;X=v}}}X=e+1|0;P=c[_>>2]|0;if(X>>>0<(c[_+4>>2]|0)>>>0){e=X;h=P;Y=_}else{Z=P;break}}}jY(Z);Z=c[o>>2]|0;_=Z+4|0;c[_>>2]=c[_>>2]<<1;_=Z+8|0;c[_>>2]=(c[_>>2]|0)+1;c[Z>>2]=g;g=c[o>>2]|0;o=g+32|0;if(!((c[g+28>>2]|0)>>>0>(c[g+12>>2]|0)>>>1>>>0)){c[o>>2]=0;i=b;return}Z=(c[o>>2]|0)+1|0;c[o>>2]=Z;if(!(Z>>>0>1>>>0)){i=b;return}c[g+36>>2]=1;i=b;return}function GL(a){a=a|0;var b=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;b=i;e=c[406868]|0;a:do{if((e|0)==0){f=24}else{g=KY(a|0)|0;if(g>>>0>11>>>0){h=-17973521;j=-1640531527;k=-1640531527;l=g;m=a;while(1){n=((d[m+5|0]|0)<<8|(d[m+4|0]|0)|(d[m+6|0]|0)<<16|(d[m+7|0]|0)<<24)+k|0;o=((d[m+9|0]|0)<<8|(d[m+8|0]|0)|(d[m+10|0]|0)<<16|(d[m+11|0]|0)<<24)+h|0;p=((d[m+1|0]|0)<<8|(d[m]|0)|(d[m+2|0]|0)<<16|(d[m+3|0]|0)<<24)+j-n-o^o>>>13;q=n-o-p^p<<8;n=o-p-q^q>>>13;o=p-q-n^n>>>12;p=q-n-o^o<<16;q=n-o-p^p>>>5;n=o-p-q^q>>>3;o=p-q-n^n<<10;p=q-n-o^o>>>15;q=m+12|0;r=l-12|0;if(r>>>0>11>>>0){h=p;j=n;k=o;l=r;m=q}else{s=p;t=n;u=o;v=r;w=q;break}}}else{s=-17973521;t=-1640531527;u=-1640531527;v=g;w=a}m=(KY(a|0)|0)+s|0;switch(v|0){case 1:{x=u;y=t;z=m;f=15;break};case 8:{A=m;f=8;break};case 11:{B=((d[w+10|0]|0)<<24)+m|0;f=6;break};case 5:{C=u;D=m;f=11;break};case 9:{E=m;f=7;break};case 10:{B=m;f=6;break};case 6:{F=u;G=m;f=10;break};case 3:{H=u;I=t;J=m;f=13;break};case 2:{K=u;L=t;M=m;f=14;break};case 4:{N=u;O=m;f=12;break};case 7:{P=u;Q=m;f=9;break};default:{R=u;S=t;T=m}}if((f|0)==6){E=((d[w+9|0]|0)<<16)+B|0;f=7}if((f|0)==7){A=((d[w+8|0]|0)<<8)+E|0;f=8}if((f|0)==8){P=((d[w+7|0]|0)<<24)+u|0;Q=A;f=9}if((f|0)==9){F=((d[w+6|0]|0)<<16)+P|0;G=Q;f=10}if((f|0)==10){C=((d[w+5|0]|0)<<8)+F|0;D=G;f=11}if((f|0)==11){N=(d[w+4|0]|0)+C|0;O=D;f=12}if((f|0)==12){H=N;I=((d[w+3|0]|0)<<24)+t|0;J=O;f=13}if((f|0)==13){K=H;L=((d[w+2|0]|0)<<16)+I|0;M=J;f=14}if((f|0)==14){x=K;y=((d[w+1|0]|0)<<8)+L|0;z=M;f=15}if((f|0)==15){R=x;S=(d[w]|0)+y|0;T=z}m=S-T-R^T>>>13;l=R-T-m^m<<8;k=T-m-l^l>>>13;j=m-l-k^k>>>12;m=l-k-j^j<<16;l=k-j-m^m>>>5;k=j-m-l^l>>>3;j=m-l-k^k<<10;m=c[e+40>>2]|0;h=c[(c[m>>2]|0)+(((l-k-j^j>>>15)&(c[m+4>>2]|0)-1)*12|0)>>2]|0;if((h|0)==0){f=24;break}j=h+(-(c[m+20>>2]|0)|0)|0;if((j|0)==0){f=24;break}h=KY(a|0)|0;k=j;while(1){U=k;if((c[k+64>>2]|0)==(h|0)){if((HY(c[k+60>>2]|0,a,h)|0)==0){break}}j=c[k+56>>2]|0;if((j|0)==0){f=24;break a}l=j+(-(c[m+20>>2]|0)|0)|0;if((l|0)==0){f=24;break a}else{k=l}}if((k|0)==0){f=24}else{V=U}}}while(0);do{if((f|0)==24){if((ib(a|0,65336)|0)==0){V=0;break}else{W=16608}i=b;return W|0}}while(0);Du(0,(V|0)!=0|0,63296,(f=i,i=i+8|0,c[f>>2]=a,f)|0);i=f;W=V+4|0;i=b;return W|0}function HL(a,b){a=a|0;b=b|0;var c=0;if((IL(1589232,a,b)|0)!=0){c=1;return c|0}c=(IL(1601336,a,b)|0)!=0|0;return c|0}function IL(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;if((d|0)>0){f=0}else{g=0;return g|0}while(1){h=c[e+(f<<2)>>2]|0;if((a[h]|0)==45){if((IY(b,h+1|0)|0)==0){g=1;i=5;break}}h=f+1|0;if((h|0)<(d|0)){f=h}else{g=0;i=5;break}}if((i|0)==5){return g|0}return 0}function JL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;d=i;Du(0,(IY(c[406784]|0,1586616)|0)==0|0,73488,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Du(0,(IY(c[406848]|0,1586616)|0)==0|0,61928,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;Du(0,(IY(c[406816]|0,1586616)|0)==0|0,53040,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;NY(1628240,0,120)|0;NY(1628120,0,120)|0;if((a|0)>1){f=1}else{g=0;i=d;return g|0}a:while(1){h=b+(f<<2)|0;j=f+1|0;k=1;while(1){l=c[1626896+(k<<2)>>2]|0;if((l|0)==2){m=c[1627016+(k<<2)>>2]|0;if(!((IL(m,1,h)|0)==0|(j|0)>=(a|0))){n=9;break}o=c[1627016+(k<<2)>>2]|0;if((LL(o,h)|0)!=0){n=13;break}}else if((l|0)==1){if((IL(c[1627016+(k<<2)>>2]|0,1,h)|0)!=0){n=5;break}}l=k+1|0;if((l|0)<30){k=l}else{n=17;break a}}if((n|0)==5){n=0;l=1628240+(k<<2)|0;if((c[l>>2]|0)!=0){n=6;break}c[l>>2]=1;p=f}else if((n|0)==9){n=0;l=1628240+(k<<2)|0;if((c[l>>2]|0)!=0){n=10;break}c[l>>2]=1;c[1628120+(k<<2)>>2]=KL(m,h)|0;p=j}else if((n|0)==13){n=0;l=1628240+(k<<2)|0;if((c[l>>2]|0)!=0){n=14;break}c[l>>2]=1;c[1628120+(k<<2)>>2]=ML(o,h)|0;p=f}l=p+1|0;if((l|0)<(a|0)){f=l}else{g=0;n=19;break}}if((n|0)==6){Cu(1,0,44768,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==10){Cu(1,0,44768,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==14){Cu(1,0,44768,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==17){Cu(1,0,37336,(e=i,i=i+8|0,c[e>>2]=c[h>>2],e)|0);i=e;g=1;i=d;return g|0}else if((n|0)==19){i=d;return g|0}return 0}function KL(b,d){b=b|0;d=d|0;var e=0,f=0;e=c[d>>2]|0;if((a[e]|0)!=45){f=0;return f|0}if((IY(b,e+1|0)|0)!=0){f=0;return f|0}f=c[d+4>>2]|0;return f|0}function LL(a,b){a=a|0;b=b|0;return(ML(a,b)|0)!=0|0}function ML(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=KY(b|0)|0;f=c[d>>2]|0;if((a[f]|0)!=45){g=0;return g|0}if((JY(b,f+1|0,e)|0)!=0){g=0;return g|0}if((a[f+(e+1)|0]|0)!=61){g=0;return g|0}g=f+(e+2)|0;return g|0}function NL(){return}function OL(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)<=0){Nb(0);return 0}e=c[u>>2]|0;Xa(46160,5,1,e|0)|0;f=b;b=0;while(1){Va(a[f]|0,e|0)|0;g=b+1|0;if((g|0)<(d|0)){f=f+1|0;b=g}else{break}}Xa(1591648,20,1,e|0)|0;Nb(0);return 0}function PL(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[u>>2]|0;kd(d|0,1592984,(e=i,i=i+8|0,c[e>>2]=a,e)|0)|0;i=e;if((b|0)==0){Nb(1)}else{Sa(d|0)|0;VL();Sa(d|0)|0;ob(6,0)|0;jd()}}function QL(a,b){a=a|0;b=b|0;return+(+X(+(+h[a>>3]),+(+h[b>>3])))}function RL(a,b){a=a|0;b=b|0;var d=0.0,e=0.0,f=0,g=0.0,i=0.0,j=0.0;d=+h[a>>3];a=c[b>>2]|0;if((a|0)==0){e=1.0;return+e}if((a|0)<0){f=-a|0;g=1.0/d;i=1.0}else{f=a;g=d;i=1.0}while(1){if((f&1|0)==0){j=i}else{j=i*g}a=f>>>1;if((a|0)==0){e=j;break}f=a;g=g*g;i=j}return+e}function SL(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0.0;c=+h[a>>3];if(c<0.0){d=-0.0-c}else{d=c}if(!(+h[b>>3]<0.0)){e=d;return+e}e=-0.0-d;return+e}function TL(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=c;g=b+d|0;if((d|0)<=(e|0)){do{if(b>>>0>c>>>0){h=c+d|0;if(!(h>>>0>b>>>0)){break}if((d|0)>0){i=h;j=g}else{return}do{i=i-1|0;j=j-1|0;a[j]=a[i]|0;}while(j>>>0>b>>>0);return}}while(0);if((d|0)>0){k=c;l=b}else{return}while(1){j=l+1|0;a[l]=a[k]|0;if(j>>>0<g>>>0){k=k+1|0;l=j}else{break}}return}l=c+e|0;do{if(b>>>0>c>>>0&l>>>0>b>>>0){k=b+e|0;if((e|0)>0){j=(-f|0)-e|0;i=~f;h=~(c+(j>>>0>i>>>0?j:i));i=k;j=l;do{j=j-1|0;i=i-1|0;a[i]=a[j]|0;}while(j>>>0>c>>>0);m=b+h|0}else{m=k}n=m+e|0}else{if((e|0)<=0){n=b;break}j=c+1|0;i=(l>>>0>j>>>0?l:j)+(-f|0)|0;j=c;o=b;while(1){p=j+1|0;a[o]=a[j]|0;if(p>>>0<l>>>0){j=p;o=o+1|0}else{break}}n=b+i|0}}while(0);if(!(n>>>0<g>>>0)){return}NY(n|0,32,b+(d-n)|0)|0;return}function UL(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0;d=c[b+4>>2]|0;if((d|0)>99){return 0}e=1637152+(d*48|0)|0;f=c[e>>2]|0;if((f|0)!=0){do{if((c[1637196+(d*48|0)>>2]|0)==1){g=10}else{h=c[b+8>>2]|0;if((h|0)!=0){i=a[h]|0;if((i|0)==68|(i|0)==100){g=10;break}}if((c[1637192+(d*48|0)>>2]|0)==1){WL(b)|0}i=1637156+(d*48|0)|0;if((c[i>>2]|0)==0){break}Oa(c[e>>2]|0)|0;jY(c[i>>2]|0)}}while(0);do{if((g|0)==10){Oa(f|0)|0;b=1637156+(d*48|0)|0;i=c[b>>2]|0;if((i|0)==0){break}Gd(i|0)|0;jY(c[b>>2]|0)}}while(0);c[e>>2]=0}c[1637188+(d*48|0)>>2]=0;c[1637156+(d*48|0)>>2]=0;return 0}function VL(){var a=0;if((c[409282]|0)!=0){return}c[409282]=1;c[409284]=0;a=0;do{c[409283]=a;UL(1637128)|0;a=a+1|0;}while((a|0)<100);return}function WL(a){a=a|0;var b=0,d=0,e=0,f=0,g=0;b=c[a+4>>2]|0;if((c[1637168+(b*48|0)>>2]|0)!=0){d=0;return d|0}e=1637152+(b*48|0)|0;f=c[e>>2]|0;g=Mb(f|0)|0;sd(f|0,0,2)|0;if((g|0)>=(Mb(f|0)|0)){d=0;return d|0}if((c[1637172+(b*48|0)>>2]|0)==0){d=0;return d|0}if((c[1637180+(b*48|0)>>2]&2|0)!=0){Sa(c[e>>2]|0)|0}b=bd(jb(c[e>>2]|0)|0,g|0)|0;sd(c[e>>2]|0,0,2)|0;if((b|0)==0){d=0;return d|0}if((c[a>>2]|0)==0){YL(111,56112);d=111;return d|0}else{c[(Vc()|0)>>2]=111;d=111;return d|0}return 0}function XL(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;i=i+80|0;d=b|0;do{if((Xc(jb(a|0)|0,d|0)|0)<0){e=0}else{f=c[d+12>>2]&61440;if((f|0)==24576){e=1;break}else if((f|0)==8192){e=(Kc(jb(a|0)|0)|0)==0|0;break}else if((f|0)==16384|(f|0)==32768){e=(c[d+16>>2]|0)!=0|0;break}else{e=0;break}}}while(0);i=b;return e|0}function YL(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;do{if(a>>>0<100>>>0){kb(b|0);e=c[u>>2]|0}else{if((a+1|0)>>>0>132>>>0){f=c[u>>2]|0;kd(f|0,74952,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=a,g)|0)|0;i=g;e=f;break}f=c[u>>2]|0;if((a|0)==-1){kd(f|0,73392,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g;e=f;break}else{h=c[1626768+(a-100<<2)>>2]|0;kd(f|0,72112,(g=i,i=i+16|0,c[g>>2]=b,c[g+8>>2]=h,g)|0)|0;i=g;e=f;break}}}while(0);b=c[411750]|0;do{if((b|0)==0){Xa(68016,29,1,e|0)|0}else{kd(e|0,71112,(g=i,i=i+8|0,c[g>>2]=(b-1637152|0)/48|0,g)|0)|0;i=g;a=c[(c[411750]|0)+4>>2]|0;if((a|0)==0){Xa(69056,10,1,e|0)|0;break}else{kd(e|0,69256,(g=i,i=i+8|0,c[g>>2]=a,g)|0)|0;i=g;break}}}while(0);b=c[411734]|0;if((b|0)!=0){kd(e|0,65720,(g=i,i=i+8|0,c[g>>2]=b,g)|0)|0;i=g}b=(c[411690]|0)!=0?61824:60216;a=(c[411732]|0)!=0?59896:59064;f=(c[411736]|0)!=0?58224:57472;kd(e|0,65576,(g=i,i=i+32|0,c[g>>2]=(c[411710]|0)!=0?64600:63576,c[g+8>>2]=b,c[g+16>>2]=a,c[g+24>>2]=f,g)|0)|0;i=g;PL(56760,1);i=d;return}function ZL(){var a=0;c[411720]=1;a=c[u>>2]|0;c[409288]=a;c[409293]=XL(a)|0;c[409294]=1;c[409298]=1;a=c[p>>2]|0;c[409348]=a;c[409353]=XL(a)|0;c[409354]=1;c[409358]=0;a=c[r>>2]|0;c[409360]=a;c[409365]=XL(a)|0;c[409366]=1;c[409370]=1;return}function _L(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;b=a+28|0;d=c[b>>2]|0;a:do{if((d&2|0)==0){e=a+4|0;f=c[e>>2]|0;do{if((f|0)!=0){if((c[a+16>>2]|0)==0){g=c[a+24>>2]|0}else{g=0}if((c[a+40>>2]|0)==3){h=a|0;i=sb(f|0,c[16648+(g<<2)>>2]|0,c[h>>2]|0)|0;c[h>>2]=i;c[411768]=i;if((i|0)==0){break}c[b>>2]=2;break a}i=a|0;h=Mb(c[i>>2]|0)|0;j=sb(c[e>>2]|0,c[16648+((g|2)<<2)>>2]|0,c[i>>2]|0)|0;c[i>>2]=j;c[411768]=j;if((j|0)==0){c[i>>2]=0;break}else{c[b>>2]=3;sd(c[i>>2]|0,h|0,0)|0;break a}}}while(0);c[(Vc()|0)>>2]=127;k=1;return k|0}else{if((d&1|0)==0){break}sd(c[a>>2]|0,0,1)|0}}while(0);c[a+40>>2]=1;k=0;return k|0}function $L(a,b,d){a=a|0;b=b|0;d=d|0;if((a|0)==0){YL(b,d)}d=c[411746]|0;if((d|0)!=0){ee[d&15]()|0}c[(Vc()|0)>>2]=b;return b|0}function aM(a){a=a|0;c[411714]=0;c[411696]=0;c[411716]=0;return((bM(a,0)|0)==0)<<31>>31|0}function bM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b;while(1){b=a[e]|0;f=e+1|0;if((b<<24>>24|0)==32){e=f}else if((b<<24>>24|0)==40){break}else{g=0;h=8;break}}if((h|0)==8){return g|0}h=c[411716]|0;c[411716]=h+1;if((h|0)==1){c[411696]=d}if((gM(1,d,0,0)|0)<0){g=0;return g|0}d=hM(f)|0;if((d|0)==0){g=0;return g|0}else{i=d}while(1){if((a[i]|0)==32){i=i+1|0}else{g=i;break}}return g|0}function cM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;if((c[a>>2]|0)>0){f=b;g=0}else{h=0;i=e;return h|0}a:while(1){b=(f|0)==0;b:while(1){j=c[411714]|0;k=1641952+(j<<4)|0;l=c[k>>2]|0;switch(dM(l)|0){case 1:{m=c[1641956+(j<<4)>>2]|0;n=(c[411694]|0)+1|0;c[411694]=n;c[1646792+(n<<2)>>2]=m;c[411714]=j+1;continue b;break};case 3:{m=c[411756]|0;n=1647032+(m<<2)|0;o=(c[n>>2]|0)-1|0;c[n>>2]=o;if((o|0)<1){c[411756]=m-1;c[411694]=(c[411694]|0)-1;c[411714]=j+1;continue b}else{m=c[411694]|0;c[411694]=m-1;c[411714]=(c[1646792+(m<<2)>>2]|0)+1;continue b}break};case 6:{m=c[1641956+(j<<4)>>2]|0;o=(c[411756]|0)+1|0;c[411756]=o;c[1647032+(o<<2)>>2]=m;c[411714]=j+1;continue b;break};case 8:{m=c[411756]|0;p=1647032+(m<<2)|0;q=c[p>>2]|0;if((q|0)>=1){r=10;break b}c[411756]=m-1;c[411714]=j+1;continue b;break};case 9:{m=(Td[c[411744]&255](k)|0)==0;c[411714]=(c[411714]|0)+1;if(m){break b}else{continue b}break};case 2:{c[411756]=0;c[411694]=0;c[411714]=c[1641956+(j<<4)>>2];if(b){r=24;break a}if((c[409286]|0)==0){h=0;r=37;break a}m=ee[c[411740]&15]()|0;if((m|0)==0){continue b}else{h=m;r=37;break a}break};case 22:{c[411770]=1;c[411714]=j+1;continue b;break};case 16:{if(b){r=28;break a}c[411714]=j+1;continue b;break};case 33:{c[411718]=1;c[411714]=j+1;continue b;break};case 17:case 19:{c[411754]=0;c[411714]=j+1;continue b;break};case 18:{c[411754]=1;c[411714]=j+1;continue b;break};case 20:{c[411692]=c[1641956+(j<<4)>>2];c[411714]=j+1;continue b;break};case 21:{c[411770]=0;c[411714]=j+1;continue b;break};default:{r=4;break a}}}if((r|0)==10){r=0;if(b){r=11;break}c[p>>2]=q-1;c[409286]=1;j=Vd[c[411748]&127](k,f,d)|0;if((j|0)>0){r=13;break}if((j|0)<0){r=15;break}}j=g+1|0;if((j|0)<(c[a>>2]|0)){f=f+d|0;g=j}else{h=0;r=37;break}}if((r|0)==4){g=c[411734]|0;kd(c[u>>2]|0,1599888,(d=i,i=i+16|0,c[d>>2]=l,c[d+8>>2]=g,d)|0)|0;i=d;if((c[c[411738]>>2]|0)==0){YL(100,1604168);h=100;i=e;return h|0}else{c[(Vc()|0)>>2]=100;h=100;i=e;return h|0}}else if((r|0)==11){h=ee[c[411746]&15]()|0;i=e;return h|0}else if((r|0)==13){d=c[c[411738]>>2]|0;h=$L(d,c[(Vc()|0)>>2]|0,1587480)|0;i=e;return h|0}else if((r|0)==15){if((c[(c[411738]|0)+8>>2]|0)==0){YL(-1,1587480);h=-1;i=e;return h|0}else{c[(Vc()|0)>>2]=-1;h=-1;i=e;return h|0}}else if((r|0)==24){h=ee[c[411746]&15]()|0;i=e;return h|0}else if((r|0)==28){h=ee[c[411746]&15]()|0;i=e;return h|0}else if((r|0)==37){i=e;return h|0}return 0}function dM(a){a=a|0;var b=0;switch(a|0){case 4:case 5:case 11:case 12:case 15:case 13:case 14:{b=9;break};case 36:case 35:case 28:case 27:case 23:case 7:case 10:case 30:case 31:case 32:case 34:case 29:case 24:case 25:case 26:{b=8;break};default:{b=a}}return b|0}function eM(){var a=0,b=0,d=0;a=i;i=i+8|0;b=a|0;c[b>>2]=1;d=cM(b,0,0)|0;i=a;return d|0}function fM(){c[411752]=0;c[411714]=0;c[411694]=0;c[411756]=0;c[409286]=0;c[411698]=0;c[411758]=0;return}function gM(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=c[411714]|0;if((f|0)>299){Xa(62904,24,1,c[u>>2]|0)|0;PL(c[411734]|0,1);g=c[411714]|0}else{g=f}c[1641952+(f<<4)>>2]=a;c[1641956+(f<<4)>>2]=b;c[1641960+(f<<4)>>2]=d;c[1641964+(f<<4)>>2]=e;c[411714]=g+1;return g|0}function hM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=a[b]|0;if(d<<24>>24==0){e=0;return e|0}else{f=b;g=d}a:while(1){d=f+1|0;if(g<<24>>24==32){f=d;g=a[d]|0;continue}d=iM(f)|0;if((d|0)==0){e=0;h=12;break}else{i=d}while(1){d=a[i]|0;if((d<<24>>24|0)==41){h=9;break a}else if((d<<24>>24|0)==44){h=7;break}else if((d<<24>>24|0)!=32){j=i;break}i=i+1|0}if((h|0)==7){h=0;j=i+1|0}d=a[j]|0;if(d<<24>>24==0){e=0;h=12;break}else{f=j;g=d}}if((h|0)==9){g=(c[411716]|0)-1|0;c[411716]=g;if((g|0)==0){gM(2,c[411696]|0,0,0)|0;e=i+1|0;return e|0}else{gM(3,0,0,0)|0;e=i+1|0;return e|0}}else if((h|0)==12){return e|0}return 0}function iM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0;d=i;i=i+16|0;e=d|0;f=d+8|0;do{if((a[b]|0)==41){g=b}else{if((jM(b,e)|0)!=0){g=c[e>>2]|0;break}if((kM(b,e)|0)!=0){g=c[e>>2]|0;break}h=lM(b,f,1)|0;j=gM(6,c[f>>2]|0,0,0)|0;if((j|0)<0){g=0;break}g=bM(h,j)|0}}while(0);i=d;return g|0}function jM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;e=i;i=i+8|0;f=e|0;a:do{switch(a[b]|0){case 84:case 116:{g=b+1|0;h=a[g]|0;if((h<<24>>24|0)==114|(h<<24>>24|0)==82){j=14;k=g}else if((h<<24>>24|0)==108|(h<<24>>24|0)==76){j=13;k=g}else{j=15;k=b}g=lM(k+1|0,f,0)|0;if((g|0)==0){l=15;break a}gM(j,c[f>>2]|0,0,0)|0;m=g-1|0;l=30;break};case 43:{n=0;l=13;break};case 2:case 34:case 39:{c[1641960+((gM(11,0,0,0)|0)<<4)>>2]=b;g=mM(b)|0;c[d>>2]=g;o=(g|0)!=0|0;i=e;return o|0};case 66:case 98:{g=b+1|0;h=a[g]|0;if((h<<24>>24|0)==122|(h<<24>>24|0)==90){gM(22,0,0,0)|0;m=g;l=30;break a}else{gM(21,0,0,0)|0;m=g;l=30;break a}break};case 47:{gM(5,0,0,0)|0;m=b;l=30;break};case 36:{gM(33,0,0,0)|0;m=b;l=30;break};case 83:case 115:{g=b+1|0;h=a[g]|0;if((h<<24>>24|0)==112|(h<<24>>24|0)==80){p=18;q=g}else if((h<<24>>24|0)==115|(h<<24>>24|0)==83){p=19;q=g}else{p=17;q=b}gM(p,0,0,0)|0;m=q;l=30;break};case 88:case 120:{gM(4,1,0,0)|0;m=b;l=30;break};case 80:case 112:{gM(20,1,0,0)|0;m=b;l=30;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{r=0;s=b;l=14;break};case 58:{gM(16,0,0,0)|0;m=b;l=30;break};case 45:{n=1;l=13;break};default:{o=0;i=e;return o|0}}}while(0);if((l|0)==13){r=n;s=b+1|0;l=14}b:do{if((l|0)==14){b=lM(s,f,0)|0;if((b|0)==0){l=15;break}switch(a[b]|0){case 72:case 104:{n=c[f>>2]|0;c[1641960+((gM(12,n,0,0)|0)<<4)>>2]=b+1;m=b+n|0;l=30;break b;break};case 88:case 120:{gM(4,c[f>>2]|0,0,0)|0;m=b;l=30;break b;break};case 80:case 112:{n=c[f>>2]|0;if((r|0)==0){t=n}else{q=-n|0;c[f>>2]=q;t=q}gM(20,t,0,0)|0;m=b;l=30;break b;break};default:{o=0;i=e;return o|0}}}}while(0);if((l|0)==15){c[d>>2]=0;o=1;i=e;return o|0}else if((l|0)==30){c[d>>2]=m+1;o=1;i=e;return o|0}return 0}function kM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;e=i;i=i+32|0;f=e|0;g=e+8|0;h=e+16|0;j=e+24|0;k=lM(b,f,1)|0;gM(6,c[f>>2]|0,0,0)|0;f=k+1|0;a:do{switch(a[k]|0){case 73:case 105:{l=10;m=7;n=38;break};case 68:case 100:{o=lM(f,g,0)|0;if((o|0)==0){n=4;break a}p=c[g>>2]|0;if((p|0)==0){q=o;n=45;break a}if((a[o]|0)==46){r=lM(o+1|0,h,0)|0;if((r|0)==0){n=4;break a}s=r;t=c[h>>2]|0}else{c[h>>2]=0;s=o;t=0}gM(26,p,t,0)|0;q=s;n=45;break};case 69:case 101:{u=1;n=3;break};case 79:case 111:{l=34;m=32;n=38;break};case 71:case 103:{u=0;n=3;break};case 90:case 122:{l=36;m=35;n=38;break};case 76:case 108:{p=lM(f,g,0)|0;if((p|0)==0){n=4;break a}o=c[g>>2]|0;if((o|0)==0){q=p;n=45;break a}gM(29,o,0,0)|0;q=p;n=45;break};case 65:case 97:{p=f;while(1){v=a[p]|0;if(v<<24>>24==32){p=p+1|0}else{break}}if(!((v-48&255)>>>0<10>>>0)){gM(30,0,0,0)|0;q=p;n=45;break a}o=lM(p,g,1)|0;r=c[g>>2]|0;if((r|0)==0){q=o;n=45;break a}gM(31,r,0,0)|0;q=o;n=45;break};case 70:case 102:{o=lM(f,g,0)|0;if((o|0)==0){n=4;break a}r=c[g>>2]|0;if((r|0)==0){q=o;n=45;break a}if((a[o]|0)==46){w=lM(o+1|0,h,0)|0;if((w|0)==0){n=4;break a}x=w;y=c[h>>2]|0}else{c[h>>2]=0;x=o;y=0}gM(23,r,y,0)|0;q=x;n=45;break};default:{c[411714]=(c[411714]|0)-1;c[d>>2]=b;z=0;i=e;return z|0}}}while(0);do{if((n|0)==3){b=lM(f,g,0)|0;if((b|0)==0){n=4;break}x=c[g>>2]|0;if((x|0)==0){q=b;n=45;break}y=a[b]|0;if(y<<24>>24==46){v=lM(b+1|0,h,0)|0;if((v|0)==0){n=4;break}A=v;B=a[v]|0}else{c[h>>2]=0;A=b;B=y}if(!((B<<24>>24|0)==69|(B<<24>>24|0)==101)){gM((u|0)==1?24:27,x,c[h>>2]|0,0)|0;q=A;n=45;break}y=lM(A+1|0,j,0)|0;if((y|0)==0){n=4;break}gM((u|0)==1?25:28,x,c[h>>2]|0,c[j>>2]|0)|0;q=y;n=45}else if((n|0)==38){y=lM(f,g,0)|0;if((y|0)==0){n=4;break}x=c[g>>2]|0;if((x|0)==0){q=y;n=45;break}if((a[y]|0)!=46){gM(m,x,0,0)|0;q=y;n=45;break}b=lM(y+1|0,h,0)|0;if((b|0)==0){n=4;break}gM(l,x,c[h>>2]|0,0)|0;q=b;n=45}}while(0);if((n|0)==4){c[d>>2]=0;z=1;i=e;return z|0}else if((n|0)==45){c[d>>2]=q;z=1;i=e;return z|0}return 0}function lM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;f=0;g=0;h=b;while(1){b=a[h]|0;i=b<<24>>24;if(b<<24>>24==32){j=f;k=g}else{if((b-48&255)>>>0>9>>>0){break}j=f+1|0;k=(g*10|0)-48+i|0}f=j;g=k;h=h+1|0}if((f|0)!=0){l=h;m=g;c[d>>2]=m;return l|0}l=(e|0)==0?0:h;m=e;c[d>>2]=m;return l|0}function mM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;d=a[b]|0;e=b+1|0;f=a[e]|0;a:do{if(!(f<<24>>24==0)){g=b;h=e;i=f;while(1){if(i<<24>>24==d<<24>>24){j=g+2|0;if((a[j]|0)==d<<24>>24){k=j}else{l=j;break}}else{k=h}j=k+1|0;m=a[j]|0;if(m<<24>>24==0){break a}else{g=k;h=j;i=m}}return l|0}}while(0);if((c[c[411738]>>2]|0)==0){YL(100,74352);l=0;return l|0}else{c[(Vc()|0)>>2]=100;l=0;return l|0}return 0}function nM(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0;do{if((b|0)>0){g=b;h=0}else{if((b|0)<0){g=-b|0;h=1;break}c[e>>2]=0;c[d>>2]=1;a[1646910]=48;i=1646910;return i|0}}while(0);c[e>>2]=h;h=g;g=23;while(1){e=g-1|0;j=1646888+e|0;a[j]=((h>>>0)%(f>>>0)|0)+48;b=(h>>>0)/(f>>>0)|0;if((b|0)==0){break}else{h=b;g=e}}c[d>>2]=24-g;i=j;return i|0}function oM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0;d=c[411730]|0;e=c[411708]|0;if((d|0)>(e|0)){c[411708]=d;f=d}else{f=e}e=f+1|0;if((e|0)<(c[4168]|0)){g=f}else{pM(e,f);g=c[411708]|0}f=c[4170]|0;e=f+g|0;if((b|0)==0){h=e}else{a[e]=b;h=f+(g+1)|0}a[h]=0;Za(f|0,c[411768]|0)|0;g=KY(f|0)|0;b=f+g|0;if(b>>>0<h>>>0){i=f;j=g;k=b}else{return 0}while(1){b=j+1|0;g=i+b|0;Va(a[k]|0,c[411768]|0)|0;Za(g|0,c[411768]|0)|0;f=KY(g|0)|0;e=i+(b+f)|0;if(e>>>0<h>>>0){i=g;j=f;k=e}else{break}}return 0}function pM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;e=c[4170]|0;if((e|0)==1647088){c[4168]=1024;f=1024}else{f=c[4168]|0}if((f|0)>(b|0)){g=f}else{h=f;do{h=h<<1;}while((h|0)<=(b|0));c[4168]=h;g=h}h=iY(g)|0;if((h|0)==0){YL(113,1597304);i=c[4170]|0}else{i=e}e=i+d|0;if((d|0)>0){d=h;g=i;while(1){b=g+1|0;a[d]=a[g]|0;if(b>>>0<e>>>0){d=d+1|0;g=b}else{break}}j=c[4170]|0}else{j=i}if((j|0)==1647088){c[4170]=h;return}jY(j);c[4170]=h;return}function qM(b){b=b|0;var d=0,e=0,f=0;d=c[411708]|0;e=c[4168]|0;if((d|0)<(e|0)){f=d}else{pM(d,e);f=c[411708]|0}c[411708]=f+1;a[(c[4170]|0)+f|0]=b;return}function rM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;d=i;i=i+280|0;e=d|0;f=d+256|0;g=d+272|0;c[411736]=1;h=b+4|0;j=c[h>>2]|0;if(j>>>0>99>>>0){if((c[b>>2]|0)==0){YL(101,44888);k=101;i=d;return k|0}else{c[(Vc()|0)>>2]=101;k=101;i=d;return k|0}}if((c[411720]|0)==0){ZL();l=c[h>>2]|0}else{l=j}j=1637152+(l*48|0)|0;c[411750]=j;m=j|0;a:do{if((c[m>>2]|0)!=0){j=c[b+8>>2]|0;do{if((j|0)!=0){n=e|0;wM(j,c[b+12>>2]|0,n);o=xM(n,g)|0;if((o|0)==(c[1637160+(l*48|0)>>2]|0)){if((c[g>>2]|0)==(c[1637164+(l*48|0)>>2]|0)){break}}c[f+4>>2]=c[h>>2];c[f+8>>2]=0;c[f>>2]=c[b>>2];o=UL(f)|0;if((o|0)==0){break a}else{k=o}i=d;return k|0}}while(0);j=c[b+32>>2]|0;if((j|0)==0){k=0;i=d;return k|0}o=a[j]|0;if(o<<24>>24==122){p=1}else{p=o<<24>>24==90|0}c[1637184+(l*48|0)>>2]=p;k=0;i=d;return k|0}}while(0);p=b+28|0;f=c[p>>2]|0;g=1637168+(l*48|0)|0;c[g>>2]=f;o=c[b+32>>2]|0;do{if((o|0)==0){q=0}else{j=a[o]|0;if(j<<24>>24==122){q=1;break}q=j<<24>>24==90|0}}while(0);c[1637184+(l*48|0)>>2]=q;q=c[b+24>>2]|0;do{if((q|0)==0){o=1637176+(l*48|0)|0;if((f|0)>0){c[o>>2]=0;r=0;break}else{c[o>>2]=1;r=1;break}}else{o=a[q]|0;if((o<<24>>24|0)==102|(o<<24>>24|0)==70){c[1637176+(l*48|0)>>2]=1;r=1;break}else{c[1637176+(l*48|0)>>2]=0;r=0;break}}}while(0);q=c[b+8>>2]|0;do{if((q|0)==0){Ob(e|0,37408,(f=i,i=i+8|0,c[f>>2]=c[h>>2],f)|0)|0;i=f}else{f=e|0;wM(q,c[b+12>>2]|0,f);if((a[f]|0)!=0){break}if((c[b>>2]|0)==0){sM(107,44888,b);k=107;i=d;return k|0}else{c[(Vc()|0)>>2]=107;k=107;i=d;return k|0}}}while(0);q=1637196+(l*48|0)|0;c[q>>2]=0;c[1637188+(l*48|0)>>2]=0;h=1637192+(l*48|0)|0;c[h>>2]=0;c[m>>2]=0;f=1637180+(l*48|0)|0;c[f>>2]=3;o=c[b+16>>2]|0;b:do{if((o|0)!=0){c:do{switch(a[o]|0){case 110:case 78:{if((Lb(e|0,0)|0)!=0){break c}if((c[b>>2]|0)==0){sM(128,44888,b);k=128;i=d;return k|0}else{c[(Vc()|0)>>2]=128;k=128;i=d;return k|0}break};case 111:case 79:{if((Lb(e|0,0)|0)==0){break b}j=(c[b>>2]|0)==0;n=Vc()|0;s=c[n>>2]|0;if(j){sM(s,44888,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=s;k=s;i=d;return k|0}break};case 115:case 83:{c[q>>2]=1;s=yb()|0;c[m>>2]=s;if((s|0)!=0){c[1637156+(l*48|0)>>2]=0;c[1637164+(l*48|0)>>2]=-1;c[1637160+(l*48|0)>>2]=-1;c[1637172+(l*48|0)>>2]=1;k=0;i=d;return k|0}s=(c[b>>2]|0)==0;n=Vc()|0;j=c[n>>2]|0;if(s){sM(j,44888,b);k=c[n>>2]|0;i=d;return k|0}else{c[n>>2]=j;k=j;i=d;return k|0}break};case 114:case 82:{break};default:{break b}}}while(0);j=xc(e|0,c[4162]|0)|0;if((j|0)==0){break}Oa(j|0)|0}}while(0);q=e|0;e=iY((KY(q|0)|0)+1|0)|0;c[1637156+(l*48|0)>>2]=e;if((e|0)==0){if((c[b>>2]|0)==0){sM(113,31280,b);k=113;i=d;return k|0}else{c[(Vc()|0)>>2]=113;k=113;i=d;return k|0}}TY(e|0,q|0)|0;e=b+20|0;if((c[e>>2]|0)==0){t=r}else{t=(c[g>>2]|0)==0?r:0}r=xc(q|0,c[16648+((t|2)<<2)>>2]|0)|0;do{if((r|0)==0){g=xc(q|0,c[16664+(t<<2)>>2]|0)|0;if((g|0)!=0){c[f>>2]=1;u=g;break}g=xc(q|0,c[16648+(t<<2)>>2]|0)|0;if((g|0)!=0){c[h>>2]=1;c[f>>2]=2;u=g;break}g=(c[b>>2]|0)==0;o=Vc()|0;j=c[o>>2]|0;if(g){YL(j,44888);k=c[o>>2]|0;i=d;return k|0}else{c[o>>2]=j;k=j;i=d;return k|0}}else{u=r}}while(0);c[m>>2]=u;r=1637172+(l*48|0)|0;c[r>>2]=XL(u)|0;u=xM(q,1637164+(l*48|0)|0)|0;c[1637160+(l*48|0)>>2]=u;if((u|0)==-1){if((c[b>>2]|0)==0){sM(108,44888,b);k=108;i=d;return k|0}else{c[(Vc()|0)>>2]=108;k=108;i=d;return k|0}}if((c[r>>2]|0)==0){k=0;i=d;return k|0}if((c[p>>2]|0)!=0){wd(c[m>>2]|0);k=0;i=d;return k|0}p=c[e>>2]|0;if((p|0)==0){k=0;i=d;return k|0}e=a[p]|0;if(!((e<<24>>24|0)==97|(e<<24>>24|0)==65)){k=0;i=d;return k|0}if((sd(c[m>>2]|0,0,2)|0)==0){k=0;i=d;return k|0}if((c[b>>2]|0)==0){sM(129,44888,b);k=129;i=d;return k|0}else{c[(Vc()|0)>>2]=129;k=129;i=d;return k|0}return 0}function sM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+8|0;f=c[e>>2]|0;if((f|0)==0){YL(a,b);return}g=d+12|0;d=c[g>>2]|0;if((d|0)<(c[4168]|0)){h=f;i=d}else{pM(d,0);h=c[e>>2]|0;i=c[g>>2]|0}g=c[4170]|0;c[(c[411750]|0)+4>>2]=g;wM(h,i,g);YL(a,b);return}function tM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e+16|0;g=e|0;Ob(g|0,37408,(h=i,i=i+8|0,c[h>>2]=d,h)|0)|0;i=h;c[f>>2]=1;c[f+4>>2]=d;c[f+8>>2]=g;c[f+12>>2]=KY(g|0)|0;c[f+16>>2]=0;c[f+20>>2]=(a|0)==3?25352:1611056;c[f+24>>2]=(b|0)==5?1604640:1600472;c[f+28>>2]=(a|0)==4;c[f+32>>2]=0;a=rM(f)|0;i=e;return a|0}function uM(a){a=a|0;var b=0,d=0,e=0;b=c[a+4>>2]|0;d=1637152+(b*48|0)|0;c[411750]=d;if(b>>>0>99>>>0){if((c[a>>2]|0)==0){YL(101,1585968);e=101;return e|0}else{c[(Vc()|0)>>2]=101;e=101;return e|0}}do{if((c[d>>2]|0)==0){if((tM(3,5,b)|0)==0){break}if((c[a>>2]|0)==0){YL(114,1600328);e=114;return e|0}else{c[(Vc()|0)>>2]=114;e=114;return e|0}}}while(0);if((c[1637176+(b*48|0)>>2]|0)!=0){e=0;return e|0}if((c[a>>2]|0)==0){YL(102,1600328);e=102;return e|0}else{c[(Vc()|0)>>2]=102;e=102;return e|0}return 0}function vM(){var a=0;a=eM()|0;c[411734]=0;return a|0}function wM(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=d+c|0;f=b+c|0;while(1){if(!(f>>>0>b>>>0)){g=3;break}h=f-1|0;i=e-1|0;if((a[h]|0)==32){e=i;f=h}else{break}}if((g|0)==3){a[d]=0;return}a[e]=0;e=i;i=h;while(1){a[e]=a[i]|0;if(i>>>0>b>>>0){e=e-1|0;i=i-1|0}else{break}}return}function xM(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;d=i;i=i+80|0;e=d|0;if((zd(a|0,e|0)|0)<0){f=-1;i=d;return f|0}c[b>>2]=c[e>>2];f=c[e+72>>2]|0;i=d;return f|0}function yM(b,d,e,f,j){b=b|0;d=d|0;e=e|0;f=f|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;k=i;i=i+56|0;l=k|0;m=(f|0)<1?2:f;n=c[411692]|0;if((n|0)==0){o=3}else{if((n|0)<(e+2|0)&(n|0)>(-e|0)){o=3}}a:do{if((o|0)==3){p=(((n|0)<1)<<31>>31)+e|0;if((j|0)==4){q=+g[b>>2]}else{q=+h[b>>3]}do{if(q<0.0){r=-0.0-q;s=1;t=1}else{u=c[411754]|0;if(q!=0.0){r=q;s=u;t=0;break}r=0.0;s=u;t=0}}while(0);u=d-4-m-p-s|0;if((u|0)<0){break}v=((n|0)<0?n:0)+p|0;w=(v|0)>40;x=w?40:v;y=w?v-40|0:0;v=l|0;Ob(v|0,81544,(w=i,i=i+16|0,c[w>>2]=x,h[w+8>>3]=r,w)|0)|0;i=w;z=a[v]|0;if(!((z-48|0)>>>0<10>>>0)){if((z|0)==110|(z|0)==78){A=0}else{A=s}z=d-(KY(v|0)|0)-A|0;if((z|0)<0){break}if((z|0)>0){B=z;do{B=B-1|0;Qd[c[411712]&511](32);}while((B|0)>0)}if((A|0)!=0){Qd[c[411712]&511]((t|0)!=0?45:43)}B=a[v]|0;if(B<<24>>24==0){i=k;return 0}else{D=v;E=B}do{Qd[c[411712]&511](E<<24>>24);D=D+1|0;E=a[D]|0;}while(!(E<<24>>24==0));i=k;return 0}B=l+(x+3)|0;if(r!=0.0){p=(Oc(B|0)|0)+1|0;Ob(B|0,1599336,(w=i,i=i+8|0,c[w>>2]=p-(c[411692]|0),w)|0)|0;i=w}else{p=B;C=3158059;a[p]=C;C=C>>8;a[p+1|0]=C;C=C>>8;a[p+2|0]=C;C=C>>8;a[p+3|0]=C}p=l+(x+4)|0;B=(m|0)<2;if(B){if((a[p]|0)!=48){break}}z=l+(x+6)|0;F=(a[z]|0)==0;b:do{if(F){G=2}else{if((f|0)==0){H=l+(x+2)|0;while(1){I=H+1|0;J=a[I]|0;a[H]=J;if(J<<24>>24==0){G=2;break b}else{H=I}}}H=(f|0)<0;if(H|F){G=H?m:2;break}else{K=z;L=2}while(1){if((L|0)>=(m|0)){break a}H=L+1|0;I=K+1|0;if((a[I]|0)==0){G=H;break}else{K=I;L=H}}}}while(0);if((u|0)>0){z=u;do{z=z-1|0;Qd[c[411712]&511](32);}while((z|0)>0)}if((s|0)!=0){Qd[c[411712]&511]((t|0)!=0?45:43)}z=c[411692]|0;do{if((z|0)<1){Qd[c[411712]&511](46);u=c[411712]|0;if((z|0)<0){F=z;w=u;while(1){Qd[w&511](48);H=F+1|0;I=c[411712]|0;if((H|0)<0){F=H;w=I}else{M=I;break}}}else{M=u}Qd[M&511](a[v]|0);N=l+2|0}else{if((z|0)<=1){N=v;break}Qd[c[411712]&511](a[v]|0);w=l+2|0;F=z-1|0;I=c[411712]|0;if((F|0)>0){H=z+1|0;J=w;O=F;F=I;while(1){Qd[F&511](a[J]|0);P=O-1|0;Q=c[411712]|0;if((P|0)>0){J=J+1|0;O=P;F=Q}else{break}}R=l+H|0;S=Q}else{R=w;S=I}Qd[S&511](46);N=R}}while(0);if((y|0)==0){T=N}else{z=l+(x+2)|0;if(N>>>0<z>>>0){v=N;while(1){F=v+1|0;Qd[c[411712]&511](a[v]|0);if(F>>>0<z>>>0){v=F}else{U=F;break}}}else{U=N}v=y;while(1){Qd[c[411712]&511](48);z=v-1|0;if((z|0)>0){v=z}else{T=U;break}}}if(T>>>0<p>>>0){v=T;while(1){y=v+1|0;Qd[c[411712]&511](a[v]|0);if(y>>>0<p>>>0){v=y}else{V=y;break}}}else{V=T}if(B){Qd[c[411712]&511](a[V+1|0]|0);i=k;return 0}v=G+1|0;if((v|0)<=(m|0)){p=v;do{Qd[c[411712]&511](48);p=p+1|0;}while((p|0)<=(m|0))}p=a[V]|0;if(p<<24>>24==0){i=k;return 0}else{W=V;X=p}do{W=W+1|0;Qd[c[411712]&511](X<<24>>24);X=a[W]|0;}while(!(X<<24>>24==0));i=k;return 0}}while(0);if((d|0)>0){Y=d}else{i=k;return 0}do{Y=Y-1|0;Qd[c[411712]&511](42);}while((Y|0)>0);i=k;return 0}function zM(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var j=0,k=0,l=0.0,m=0,n=0.0,o=0,p=0.0,q=0.0,r=0,s=0,t=0,u=0,v=0,w=0;j=i;i=i+656|0;k=j|0;if((f|0)==4){l=+g[b>>2]}else{l=+h[b>>3]}b=(e|0)<344;f=b?e:344;m=b?0:e-344|0;do{if(l<0.0){n=-0.0-l;o=1}else{if(l!=0.0){n=l;o=0;break}n=0.0;o=0}}while(0);e=c[411692]|0;if((e|0)==0){p=n}else{if((e|0)>0){l=n;b=e;while(1){q=l*10.0;r=b-1|0;if((r|0)>0){l=q;b=r}else{p=q;break}}}else{l=n;b=e;while(1){n=l*.1;e=b+1|0;if((e|0)<0){l=n;b=e}else{p=n;break}}}}b=k|0;e=Ob(b|0,72424,(r=i,i=i+16|0,c[r>>2]=f,h[r+8>>3]=p,r)|0)|0;i=r;r=e+m|0;if((a[b]|0)!=48|(f|0)==0){s=b;t=r}else{s=k+1|0;t=r-1|0}a:do{if((o|0)==1){r=s;while(1){k=a[r]|0;if(!(k<<24>>24==48)){b=k<<24>>24;if((b|0)==0){u=0;break a}else if((b|0)!=46){break}}r=r+1|0}u=1}else{u=o}}while(0);o=(u|0)==0;r=((c[411754]|u|0)!=0)+t|0;if((r|0)>(d|0)){if((d|0)>0){v=d}else{i=j;return 0}do{v=v-1|0;Qd[c[411712]&511](42);}while((v|0)>0);i=j;return 0}v=d-r|0;if((v|0)>0){r=v;do{r=r-1|0;Qd[c[411712]&511](32);}while((r|0)>0)}do{if(o){if((c[411754]|0)==0){break}Qd[c[411712]&511](43)}else{Qd[c[411712]&511](45)}}while(0);o=a[s]|0;if(!(o<<24>>24==0)){r=s;s=o;do{r=r+1|0;Qd[c[411712]&511](s<<24>>24);s=a[r]|0;}while(!(s<<24>>24==0))}if((m|0)>0){w=m}else{i=j;return 0}do{w=w-1|0;Qd[c[411712]&511](48);}while((w|0)>0);i=j;return 0}function AM(d,e,f){d=d|0;e=e|0;f=f|0;var g=0;if((f|0)==1){g=a[d]|0}else if((f|0)==4){g=c[d>>2]|0}else{g=b[d>>1]|0}d=e-1|0;if((d|0)>0){e=0;do{Qd[c[411712]&511](32);e=e+1|0;}while((e|0)<(d|0))}d=c[411712]|0;if((g|0)==0){Qd[d&511](70);return 0}else{Qd[d&511](84);return 0}return 0}function BM(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=i;if((c[411752]|0)==0){f=3}else{g=CM()|0;if((g|0)==0){f=3}else{h=g}}a:do{if((f|0)==3){g=c[a>>2]|0;switch(g|0){case 27:case 28:{h=HM(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 34:{EM(b,c[a+4>>2]|0,c[a+8>>2]|0,d,8);h=0;break a;break};case 26:case 24:case 25:{h=yM(b,c[a+4>>2]|0,c[a+8>>2]|0,c[a+12>>2]|0,d)|0;break a;break};case 30:{FM(b,d);h=0;break a;break};case 32:{DM(b,c[a+4>>2]|0,d,8);h=0;break a;break};case 36:{IM(b,c[a+4>>2]|0,c[a+8>>2]|0,d);h=0;break a;break};case 7:{break};case 35:{IM(b,c[a+4>>2]|0,0,d);h=0;break a;break};case 10:{EM(b,c[a+4>>2]|0,c[a+8>>2]|0,d,10);h=0;break a;break};case 29:{AM(b,c[a+4>>2]|0,d)|0;h=0;break a;break};case 31:{GM(b,c[a+4>>2]|0,d);h=0;break a;break};case 23:{h=zM(b,c[a+4>>2]|0,c[a+8>>2]|0,d)|0;break a;break};default:{kd(c[u>>2]|0,81336,(j=i,i=i+8|0,c[j>>2]=g,j)|0)|0;i=j;PL(c[411734]|0,1)}}DM(b,c[a+4>>2]|0,d,10);h=0}}while(0);i=e;return h|0}function CM(){var a=0,b=0,d=0,e=0,f=0,g=0,h=0,i=0;a=c[411752]|0;c[411752]=0;if((c[411736]|0)!=0){if((a|0)>0){b=c[411730]|0;d=c[411708]|0;if((b|0)<=(d|0)){e=a;while(1){Qd[c[411712]&511](32);f=e-1|0;if((f|0)>0){e=f}else{g=0;break}}return g|0}e=d+a|0;if((b|0)>(e|0)){c[411708]=e;g=0;return g|0}e=a-b+d|0;c[411708]=b;if((e|0)>0){h=e}else{g=0;return g|0}while(1){Qd[c[411712]&511](32);e=h-1|0;if((e|0)>0){h=e}else{g=0;break}}return g|0}if((a|0)>=0){g=0;return g|0}h=c[411708]|0;e=h+a|0;if((e|0)>=0){if((c[411730]|0)<(h|0)){c[411730]=h}c[411708]=e;g=0;return g|0}if((c[c[411738]>>2]|0)==0){YL(110,1585816);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}if((a|0)<0){e=c[411708]|0;if((c[411730]|0)<(e|0)){c[411730]=e}h=e+a|0;c[411708]=h;c[411728]=(c[411728]|0)+a;if((h|0)>=0){g=0;return g|0}if((c[c[411738]>>2]|0)==0){YL(110,1585816);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}if((a|0)<=0){g=0;return g|0}h=c[411708]|0;e=h+a|0;if((e|0)>=(c[(c[411688]|0)+16>>2]|0)){if((c[c[411738]>>2]|0)==0){YL(110,72416);g=110;return g|0}else{c[(Vc()|0)>>2]=110;g=110;return g|0}}b=c[411730]|0;if((b|0)<=(h|0)){d=a;while(1){Qd[c[411712]&511](32);f=d-1|0;if((f|0)>0){d=f}else{g=0;break}}return g|0}if((b|0)>(e|0)){c[411728]=(c[411728]|0)+a;c[411708]=e;g=0;return g|0}e=b-h|0;h=a-e|0;c[411728]=(c[411728]|0)+e;c[411708]=b;if((h|0)>0){i=h}else{g=0;return g|0}while(1){Qd[c[411712]&511](32);h=i-1|0;if((h|0)>0){i=h}else{g=0;break}}return g|0}function DM(d,e,f,g){d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+16|0;j=h|0;k=h+8|0;if((f|0)==4){l=c[d>>2]|0}else if((f|0)==1){l=a[d]|0}else{l=b[d>>1]|0}d=nM(l,j,k,g)|0;g=c[k>>2]|0;l=(((c[411754]|g|0)!=0)<<31>>31)+(e-(c[j>>2]|0))|0;if((l|0)<0){if((e|0)>0){m=0}else{i=h;return}do{Qd[c[411712]&511](42);m=m+1|0;}while((m|0)<(e|0));i=h;return}if((l|0)>0){e=0;do{Qd[c[411712]&511](32);e=e+1|0;}while((e|0)<(l|0));n=c[k>>2]|0}else{n=g}do{if((n|0)==0){if((c[411754]|0)==0){break}Qd[c[411712]&511](43)}else{Qd[c[411712]&511](45)}}while(0);if((c[j>>2]|0)>0){o=0;p=d}else{i=h;return}while(1){Qd[c[411712]&511](a[p]|0);d=o+1|0;if((d|0)<(c[j>>2]|0)){o=d;p=p+1|0}else{break}}i=h;return}function EM(d,e,f,g,h){d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;j=i;i=i+16|0;k=j|0;l=j+8|0;if((g|0)==1){m=a[d]|0}else if((g|0)==4){m=c[d>>2]|0}else{m=b[d>>1]|0}d=nM(m,k,l,h)|0;h=c[l>>2]|0;g=(c[411754]|h|0)!=0|0;n=c[k>>2]|0;do{if((g+n|0)<=(e|0)){if((g+f|0)>(e|0)){break}if((m|f|0)==0){if((e|0)>0){o=0}else{i=j;return}do{Qd[c[411712]&511](32);o=o+1|0;}while((o|0)<(e|0));i=j;return}p=e-((n|0)<(f|0)?f:n)-g|0;if((p|0)>0){q=0;do{Qd[c[411712]&511](32);q=q+1|0;}while((q|0)<(p|0));r=c[l>>2]|0}else{r=h}do{if((r|0)==0){if((c[411754]|0)==0){break}Qd[c[411712]&511](43)}else{Qd[c[411712]&511](45)}}while(0);p=c[k>>2]|0;if((f-p|0)>0){q=0;while(1){Qd[c[411712]&511](48);s=q+1|0;t=c[k>>2]|0;if((s|0)<(f-t|0)){q=s}else{u=t;break}}}else{u=p}if((u|0)>0){v=0;w=d}else{i=j;return}while(1){Qd[c[411712]&511](a[w]|0);q=v+1|0;if((q|0)<(c[k>>2]|0)){v=q;w=w+1|0}else{break}}i=j;return}}while(0);if((e|0)>0){x=0}else{i=j;return}do{Qd[c[411712]&511](42);x=x+1|0;}while((x|0)<(e|0));i=j;return}function FM(b,d){b=b|0;d=d|0;var e=0,f=0;if((d|0)>0){e=b;f=d}else{return}while(1){d=f-1|0;Qd[c[411712]&511](a[e]|0);if((d|0)>0){e=e+1|0;f=d}else{break}}return}function GM(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;if((d|0)>(e|0)){f=d;while(1){g=f-1|0;Qd[c[411712]&511](32);if((g|0)>(e|0)){f=g}else{h=e;break}}}else{h=d}if((h|0)>0){i=h;j=b}else{return}while(1){b=i-1|0;Qd[c[411712]&511](a[j]|0);if((b|0)>0){i=b;j=j+1|0}else{break}}return}function HM(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0;if((f|0)==4){i=+g[a>>2]}else{i=+h[a>>3]}if(i<0.0){j=-0.0-i}else{j=i}a:do{if(j<.1){if(!(j!=0.0)){k=1;break}l=yM(a,b,d,e,f)|0;return l|0}else{if((d|0)>=0){i=1.0;m=0;while(1){if(j<i){k=m;break a}n=m+1|0;if((n|0)>(d|0)){break}else{i=i*10.0;m=n}}}l=yM(a,b,d,e,f)|0;return l|0}}while(0);m=c[411692]|0;c[411692]=0;n=(e|0)==0?4:e+2|0;e=zM(a,b-n|0,d-k|0,f)|0;if((n|0)>0){f=0;do{Qd[c[411712]&511](32);f=f+1|0;}while((f|0)<(n|0))}c[411692]=m;l=e;return l|0}function IM(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;h=b;i=h+(g-1)|0;while(1){if((i|0)==(h|0)){j=3;break}g=a[i]|0;if(g<<24>>24==0){i=i-1|0}else{k=i;l=0;m=g;break}}if((j|0)==3){k=h;l=1;m=a[h]|0}j=((m&255)>>>0>15>>>0)+(k-b<<1|1)|0;if((j|0)>(e|0)){if((e|0)>0){n=0}else{return}do{Qd[c[411712]&511](42);n=n+1|0;}while((n|0)<(e|0));return}n=f-j|0;b=(n|0)>0;m=b?f:j;j=e-1|0;if((j|0)>=(m|0)){e=j;do{Qd[c[411712]&511](32);e=e-1|0;}while((e|0)>=(m|0))}if(b){b=n;do{b=b-1|0;Qd[c[411712]&511](48);}while((b|0)>0)}b=a[k]|0;do{if((b&240|0)==0){Qd[c[411712]&511](a[344+(b&15)|0]|0);if(l){return}else{o=k-1|0;break}}else{o=k}}while(0);while(1){Qd[c[411712]&511](a[344+((d[o]|0)>>>4)|0]|0);Qd[c[411712]&511](a[344+(a[o]&15)|0]|0);if((o|0)==(h|0)){break}o=o-1|0}return}function JM(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=c[a>>2]|0;switch(d|0){case 12:{e=LM(c[a+4>>2]|0,c[a+8>>2]|0)|0;i=b;return e|0};case 14:case 4:{c[411752]=(c[411752]|0)+(c[a+4>>2]|0);e=1;i=b;return e|0};case 15:{c[411752]=(c[a+4>>2]|0)-1-(c[411708]|0);e=1;i=b;return e|0};case 11:{e=KM(c[a+8>>2]|0)|0;i=b;return e|0};case 13:{f=(c[411752]|0)-(c[a+4>>2]|0)|0;c[411752]=f;a=-(c[411708]|0)|0;if((f|0)>=(a|0)){e=1;i=b;return e|0}c[411752]=a;e=1;i=b;return e|0};case 5:{break};default:{kd(c[u>>2]|0,1599168,(a=i,i=i+8|0,c[a>>2]=d,a)|0)|0;i=a;PL(c[411734]|0,1)}}e=ee[c[411742]&15]()|0;i=b;return e|0}function KM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;do{if((c[411752]|0)!=0){d=CM()|0;if((d|0)==0){break}else{e=d}return e|0}}while(0);d=a[b]|0;f=b+1|0;g=a[f]|0;if(g<<24>>24==0){e=1;return e|0}else{h=b;i=f;j=g}while(1){if(j<<24>>24==d<<24>>24){g=h+2|0;if(!((a[g]|0)==d<<24>>24)){e=1;k=9;break}Qd[c[411712]&511](d<<24>>24);l=g}else{Qd[c[411712]&511](j<<24>>24);l=i}g=l+1|0;f=a[g]|0;if(f<<24>>24==0){e=1;k=9;break}else{h=l;i=g;j=f}}if((k|0)==9){return e|0}return 0}function LM(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0;do{if((c[411752]|0)!=0){e=CM()|0;if((e|0)==0){break}else{f=e}return f|0}}while(0);if((b|0)==0){f=1;return f|0}else{g=b;h=d}while(1){d=g-1|0;Qd[c[411712]&511](a[h]|0);if((d|0)==0){f=1;break}else{g=d;h=h+1|0}}return f|0}function MM(){var a=0;a=oM(10)|0;c[411752]=0;c[411708]=0;c[411730]=0;return(a|0)==0|0}function NM(a){a=a|0;var b=0,d=0,e=0;if((c[411720]|0)==0){ZL()}c[411710]=0;c[411690]=1;c[411732]=1;c[411736]=1;b=uM(a)|0;if((b|0)!=0){d=b;return d|0}c[411738]=a;c[411708]=0;c[411752]=0;c[411730]=0;c[411718]=0;c[411692]=0;b=c[a+12>>2]|0;c[411734]=b;c[411768]=c[c[411750]>>2];if((aM(b)|0)<0){if((c[a>>2]|0)==0){YL(100,80264);d=100;return d|0}else{c[(Vc()|0)>>2]=100;d=100;return d|0}}c[411712]=256;c[411748]=28;c[411744]=194;c[411746]=2;c[411740]=6;c[411742]=8;fM();c[411754]=0;b=c[411750]|0;c[411770]=c[b+32>>2];if((c[b+40>>2]|0)==1){d=0;return d|0}if((_L(b)|0)==0){d=0;return d|0}b=(c[a>>2]|0)==0;a=Vc()|0;e=c[a>>2]|0;if(b){YL(e,1599016);d=c[a>>2]|0;return d|0}else{c[a>>2]=e;d=e;return d|0}return 0}function OM(){var a=0;if((c[411718]|0)==0){a=oM(10)|0}else{oM(0)|0;Sa(c[411768]|0)|0;a=0}c[411752]=0;c[411708]=0;c[411730]=0;return a|0}function PM(){var a=0,b=0;if((c[409286]|0)==0){a=0}else{b=oM(10)|0;c[409286]=0;a=b}c[411752]=0;c[411708]=0;c[411730]=0;return a|0}function QM(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;i=i+32|0;d=b|0;e=b+8|0;f=b+16|0;g=b+24|0;h=c[p>>2]|0;kN(1653576,h,1653704);c[413642]=1615628;c[413644]=1615648;c[413643]=0;bP(1654576,1653576);c[413662]=0;c[413663]=-1;j=c[r>>2]|0;c[413370]=1615312;LU(1653484);NY(1653488,0,24)|0;c[413370]=1615848;c[413378]=j;MU(g,1653484);k=PU(g,1653904)|0;l=k;NU(g);c[413379]=l;c[413380]=1653712;a[1653524]=(Td[c[(c[k>>2]|0)+28>>2]&255](l)|0)&1;c[413576]=1615532;c[413577]=1615552;bP(1654308,1653480);c[413595]=0;c[413596]=-1;l=c[u>>2]|0;c[413382]=1615312;LU(1653532);NY(1653536,0,24)|0;c[413382]=1615848;c[413390]=l;MU(f,1653532);k=PU(f,1653904)|0;g=k;NU(f);c[413391]=g;c[413392]=1653720;a[1653572]=(Td[c[(c[k>>2]|0)+28>>2]&255](g)|0)&1;c[413620]=1615532;c[413621]=1615552;bP(1654484,1653528);c[413639]=0;c[413640]=-1;g=c[(c[(c[413620]|0)-12>>2]|0)+1654504>>2]|0;c[413598]=1615532;c[413599]=1615552;bP(1654396,g);c[413617]=0;c[413618]=-1;c[(c[(c[413642]|0)-12>>2]|0)+1654640>>2]=1654304;g=(c[(c[413620]|0)-12>>2]|0)+1654484|0;c[g>>2]=c[g>>2]|8192;c[(c[(c[413620]|0)-12>>2]|0)+1654552>>2]=1654304;YM(1653424,h,1653728);c[413554]=1615580;c[413556]=1615600;c[413555]=0;bP(1654224,1653424);c[413574]=0;c[413575]=-1;c[413332]=1615240;LU(1653332);NY(1653336,0,24)|0;c[413332]=1615776;c[413340]=j;MU(e,1653332);j=PU(e,1653896)|0;h=j;NU(e);c[413341]=h;c[413342]=1653736;a[1653372]=(Td[c[(c[j>>2]|0)+28>>2]&255](h)|0)&1;c[413484]=1615484;c[413485]=1615504;bP(1653940,1653328);c[413503]=0;c[413504]=-1;c[413344]=1615240;LU(1653380);NY(1653384,0,24)|0;c[413344]=1615776;c[413352]=l;MU(d,1653380);l=PU(d,1653896)|0;h=l;NU(d);c[413353]=h;c[413354]=1653744;a[1653420]=(Td[c[(c[l>>2]|0)+28>>2]&255](h)|0)&1;c[413528]=1615484;c[413529]=1615504;bP(1654116,1653376);c[413547]=0;c[413548]=-1;h=c[(c[(c[413528]|0)-12>>2]|0)+1654136>>2]|0;c[413506]=1615484;c[413507]=1615504;bP(1654028,h);c[413525]=0;c[413526]=-1;c[(c[(c[413554]|0)-12>>2]|0)+1654288>>2]=1653936;h=(c[(c[413528]|0)-12>>2]|0)+1654116|0;c[h>>2]=c[h>>2]|8192;c[(c[(c[413528]|0)-12>>2]|0)+1654184>>2]=1653936;i=b;return}function RM(a){a=a|0;$P(1654304)|0;$P(1654392)|0;gQ(1653936)|0;gQ(1654024)|0;return}function SM(a){a=a|0;c[a>>2]=1615240;NU(a+4|0);return}function TM(a){a=a|0;c[a>>2]=1615240;NU(a+4|0);qY(a);return}function UM(b,d){b=b|0;d=d|0;var e=0;Td[c[(c[b>>2]|0)+24>>2]&255](b)|0;e=PU(d,1653896)|0;d=e;c[b+36>>2]=d;a[b+44|0]=(Td[c[(c[e>>2]|0)+28>>2]&255](d)|0)&1;return}function VM(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a+36|0;g=a+40|0;h=d|0;j=d+8|0;k=d;d=a+32|0;while(1){a=c[f>>2]|0;l=Ud[c[(c[a>>2]|0)+20>>2]&127](a,c[g>>2]|0,h,j,e)|0;a=(c[e>>2]|0)-k|0;if((Xa(h|0,1,a|0,c[d>>2]|0)|0)!=(a|0)){m=-1;n=5;break}if((l|0)==2){m=-1;n=5;break}else if((l|0)!=1){n=4;break}}if((n|0)==4){m=((Sa(c[d>>2]|0)|0)!=0)<<31>>31;i=b;return m|0}else if((n|0)==5){i=b;return m|0}return 0}



function Dq(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;j=i;k=b;b=e;e=f;f=g;g=h;h=c[k+356>>2]|0;l=0;m=0;n=_p(k,h+20|0,c[f>>2]|0,0)|0;if((n|0)==0){o=Gp(h+80|0,c[f>>2]|0)|0;if((o|0)==0){p=1;q=p;i=j;return q|0}n=_p(k,h+20|0,o,24)|0;if((n|0)==0){p=1;q=p;i=j;return q|0}do{if((d[k+236|0]|0)!=0){if((Jq(k,n)|0)!=0){break}p=1;q=p;i=j;return q|0}}while(0)}o=c[n+12>>2]|0;r=fe[c[b+40>>2]&127](b,e,c[k+380>>2]|0,c[k+392>>2]|0)|0;if((r+o|0)>(c[k+380>>2]|0)){s=c[k+380>>2]|0;c[k+380>>2]=r+o+16;t=ce[c[k+16>>2]&127](c[k+392>>2]|0,c[k+380>>2]<<4)|0;if((t|0)==0){p=1;q=p;i=j;return q|0}c[k+392>>2]=t;if((r|0)>(s|0)){fe[c[b+40>>2]&127](b,e,r,c[k+392>>2]|0)|0}}e=c[k+392>>2]|0;s=0;while(1){if((s|0)>=(r|0)){u=49;break}t=(c[k+392>>2]|0)+(s<<4)|0;v=c[t>>2]|0;w=c[t>>2]|0;x=lq(k,b,v,w+(ce[c[b+32>>2]&127](b,c[t>>2]|0)|0)|0)|0;if((x|0)==0){u=19;break}if((a[(c[x>>2]|0)-1|0]|0)!=0){u=21;break}a[(c[x>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x>>2];if((a[(c[k+392>>2]|0)+(s<<4)+12|0]|0)!=0){c[e+(l<<2)>>2]=hq(k+416|0,b,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0)|0;if((c[e+(l<<2)>>2]|0)==0){u=37;break}c[k+432>>2]=c[k+428>>2]}else{t=1;if((a[x+8|0]|0)!=0){w=0;while(1){if((w|0)>=(o|0)){break}if((x|0)==(c[(c[n+20>>2]|0)+(w*12|0)>>2]|0)){u=29;break}w=w+1|0}if((u|0)==29){u=0;t=a[(c[n+20>>2]|0)+(w*12|0)+4|0]|0}}y=pq(k,b,t,c[(c[k+392>>2]|0)+(s<<4)+4>>2]|0,c[(c[k+392>>2]|0)+(s<<4)+8>>2]|0,k+416|0)|0;if((y|0)!=0){u=34;break}c[e+(l<<2)>>2]=c[k+432>>2];c[k+432>>2]=c[k+428>>2]}if((c[x+4>>2]|0)!=0){if((a[x+9|0]|0)!=0){z=cq(k,c[x+4>>2]|0,x,c[e+(l<<2)>>2]|0,g)|0;if((z|0)!=0){u=42;break}l=l-1|0}else{l=l+1|0;m=m+1|0;a[(c[x>>2]|0)-1|0]=2}}else{l=l+1|0}s=s+1|0}if((u|0)==19){p=1;q=p;i=j;return q|0}else if((u|0)==21){if((b|0)==(c[k+144>>2]|0)){c[k+288>>2]=c[(c[k+392>>2]|0)+(s<<4)>>2]}p=8;q=p;i=j;return q|0}else if((u|0)==34){p=y;q=p;i=j;return q|0}else if((u|0)==37){p=1;q=p;i=j;return q|0}else if((u|0)==42){p=z;q=p;i=j;return q|0}else if((u|0)==49){c[k+384>>2]=l;do{if((c[n+8>>2]|0)!=0){if((a[(c[c[n+8>>2]>>2]|0)-1|0]|0)==0){u=58;break}s=0;while(1){if((s|0)>=(l|0)){break}if((c[e+(s<<2)>>2]|0)==(c[c[n+8>>2]>>2]|0)){u=54;break}s=s+2|0}if((u|0)==54){c[k+388>>2]=s}}else{u=58}}while(0);if((u|0)==58){c[k+388>>2]=-1}s=0;a:while(1){if((s|0)>=(o|0)){break}x=(c[n+20>>2]|0)+(s*12|0)|0;do{if((a[(c[c[x>>2]>>2]|0)-1|0]|0)==0){if((c[x+8>>2]|0)==0){break}if((c[(c[x>>2]|0)+4>>2]|0)!=0){if((a[(c[x>>2]|0)+9|0]|0)!=0){A=cq(k,c[(c[x>>2]|0)+4>>2]|0,c[x>>2]|0,c[x+8>>2]|0,g)|0;if((A|0)!=0){u=66;break a}}else{a[(c[c[x>>2]>>2]|0)-1|0]=2;m=m+1|0;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}else{a[(c[c[x>>2]>>2]|0)-1|0]=1;t=l;l=t+1|0;c[e+(t<<2)>>2]=c[c[x>>2]>>2];t=l;l=t+1|0;c[e+(t<<2)>>2]=c[x+8>>2]}}}while(0);s=s+1|0}if((u|0)==66){p=A;q=p;i=j;return q|0}c[e+(l<<2)>>2]=0;s=0;if((m|0)!=0){A=c[k+400>>2]|0;o=1<<d[k+404|0];do{if((m<<1>>d[k+404|0]|0)!=0){do{x=k+404|0;t=a[x]|0;a[x]=t+1;}while((m>>(t&255)|0)!=0);if((d[k+404|0]|0)<3){a[k+404|0]=3}o=1<<d[k+404|0];t=ce[c[k+16>>2]&127](c[k+396>>2]|0,o*12|0)|0;if((t|0)!=0){c[k+396>>2]=t;A=0;break}p=1;q=p;i=j;return q|0}}while(0);if((A|0)==0){A=-1;B=o;while(1){if((B|0)==0){break}t=B-1|0;B=t;c[(c[k+396>>2]|0)+(t*12|0)>>2]=A}}t=A-1|0;A=t;c[k+400>>2]=t;b:while(1){if((s|0)>=(l|0)){break}t=c[e+(s<<2)>>2]|0;if((a[t-1|0]|0)==2){x=c[k+496>>2]|0;a[t-1|0]=0;w=c[(c[(_p(k,h+40|0,t,0)|0)+4>>2]|0)+4>>2]|0;if((w|0)==0){u=93;break}B=0;while(1){if((B|0)>=(c[w+20>>2]|0)){break}z=a[(c[w+16>>2]|0)+B|0]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Xp(k+416|0)|0)<<24>>24!=0){u=99;break}if(!0){u=100;break b}}else{u=99}}while(0);if((u|0)==99){u=0;y=k+428|0;b=c[y>>2]|0;c[y>>2]=b+1;a[b]=z;if(!1){u=100;break b}}x=(x*1000003|0)^z&255;B=B+1|0}do{b=t;t=b+1|0;}while((a[b]|0)!=58);do{b=a[t]|0;do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Xp(k+416|0)|0)<<24>>24!=0){u=110;break}if(!0){u=111;break b}}else{u=110}}while(0);if((u|0)==110){u=0;z=a[t]|0;y=k+428|0;v=c[y>>2]|0;c[y>>2]=v+1;a[v]=z;if(!1){u=111;break b}}x=(x*1000003|0)^b&255;z=t;t=z+1|0;}while((a[z]|0)!=0);z=0;v=o-1|0;B=x&v;while(1){if((c[(c[k+396>>2]|0)+(B*12|0)>>2]|0)!=(A|0)){break}if((x|0)==(c[(c[k+396>>2]|0)+(B*12|0)+4>>2]|0)){y=c[k+432>>2]|0;C=c[(c[k+396>>2]|0)+(B*12|0)+8>>2]|0;while(1){if((a[y]|0)==(a[C]|0)){D=(a[y]|0)!=0}else{D=0}if(!D){break}y=y+1|0;C=C+1|0}if((a[y]|0)==0){u=124;break b}}if(!(z<<24>>24!=0)){z=((x&~v)>>>(((d[k+404|0]|0)-1|0)>>>0)&v>>>2|1)&255}if((B|0)<(z&255|0)){C=B+(o-(z&255))|0;B=C;E=C}else{C=B-(z&255)|0;B=C;E=C}}if((a[k+237|0]|0)!=0){a[(c[k+428>>2]|0)-1|0]=a[k+472|0]|0;t=c[c[w>>2]>>2]|0;do{do{if((c[k+428>>2]|0)==(c[k+424>>2]|0)){if((Xp(k+416|0)|0)<<24>>24!=0){u=137;break}if(!0){u=138;break b}}else{u=137}}while(0);if((u|0)==137){u=0;y=a[t]|0;z=k+428|0;v=c[z>>2]|0;c[z>>2]=v+1;a[v]=y;if(!1){u=138;break b}}y=t;t=y+1|0;}while((a[y]|0)!=0)}t=c[k+432>>2]|0;c[k+432>>2]=c[k+428>>2];c[e+(s<<2)>>2]=t;c[(c[k+396>>2]|0)+(B*12|0)>>2]=A;c[(c[k+396>>2]|0)+(B*12|0)+4>>2]=x;c[(c[k+396>>2]|0)+(B*12|0)+8>>2]=t;w=m-1|0;m=w;if((w|0)==0){u=143;break}}else{a[t-1|0]=0}s=s+2|0}if((u|0)==93){p=27;q=p;i=j;return q|0}else if((u|0)==100){p=1;q=p;i=j;return q|0}else if((u|0)==111){p=1;q=p;i=j;return q|0}else if((u|0)==124){p=8;q=p;i=j;return q|0}else if((u|0)==138){p=1;q=p;i=j;return q|0}else if((u|0)==143){s=s+2|0}}while(1){if((s|0)>=(l|0)){break}a[(c[e+(s<<2)>>2]|0)-1|0]=0;s=s+2|0}e=c[g>>2]|0;while(1){if((e|0)==0){break}a[(c[c[e+12>>2]>>2]|0)-1|0]=0;e=c[e+4>>2]|0}if((a[k+236|0]|0)==0){p=0;q=p;i=j;return q|0}do{if((c[n+4>>2]|0)!=0){e=c[(c[n+4>>2]|0)+4>>2]|0;if((e|0)==0){p=27;q=p;i=j;return q|0}F=c[f>>2]|0;do{g=F;F=g+1|0;}while((a[g]|0)!=58)}else{if((c[h+156>>2]|0)!=0){e=c[h+156>>2]|0;F=c[f>>2]|0;break}else{p=0;q=p;i=j;return q|0}}}while(0);h=0;do{if((d[k+237|0]|0)!=0){if((c[c[e>>2]>>2]|0)==0){break}do{n=h;h=n+1|0;}while((a[(c[c[e>>2]>>2]|0)+n|0]|0)!=0)}}while(0);c[f+4>>2]=F;c[f+16>>2]=c[e+20>>2];c[f+8>>2]=c[c[e>>2]>>2];c[f+20>>2]=h;s=0;do{n=s;s=n+1|0;}while((a[F+n|0]|0)!=0);r=s+(c[e+20>>2]|0)+h|0;if((r|0)>(c[e+24>>2]|0)){G=Td[c[k+12>>2]&255](r+24|0)|0;if((G|0)==0){p=1;q=p;i=j;return q|0}c[e+24>>2]=r+24;MY(G|0,c[e+16>>2]|0,c[e+20>>2]|0)|0;r=c[k+364>>2]|0;while(1){if((r|0)==0){break}if((c[r+12>>2]|0)==(c[e+16>>2]|0)){c[r+12>>2]=G}r=c[r>>2]|0}Qd[c[k+20>>2]&511](c[e+16>>2]|0);c[e+16>>2]=G}G=(c[e+16>>2]|0)+(c[e+20>>2]|0)|0;MY(G|0,F|0,s)|0;if((h|0)!=0){G=G+(s-1)|0;a[G]=a[k+472|0]|0;MY(G+1|0,c[c[e>>2]>>2]|0,h)|0}c[f>>2]=c[e+16>>2];p=0;q=p;i=j;return q|0}return 0}function Eq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;c[j+280>>2]=68;c[j+288>>2]=b;a:while(1){c[h>>2]=0;f=fe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;c[j+292>>2]=c[h>>2];switch(f|0){case 0:{k=18;break a;break};case-1:{k=19;break a;break};case-2:{k=22;break a;break};case 13:{if((xq(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=16;break a}break};case-4:{k=8;break a;break};case 15:{if((c[j+80>>2]|0)!=0){Vp(j,c[j+144>>2]|0,b,c[h>>2]|0)}break};case-15:{k=3;break a;break};case 11:{if((wq(j,c[j+144>>2]|0,b,c[h>>2]|0)|0)==0){k=13;break a}break};default:{k=25;break a}}f=c[h>>2]|0;b=f;c[j+288>>2]=f;f=c[j+480>>2]|0;if((f|0)==2){k=28;break}else if((f|0)==3){k=27;break}}b:do{if((k|0)==3){do{if((c[j+80>>2]|0)!=0){Vp(j,c[j+144>>2]|0,b,c[h>>2]|0);if((c[j+480>>2]|0)==2){l=35;break b}else{break}}}while(0);c[e>>2]=c[h>>2];l=0}else if((k|0)==8){c[e>>2]=b;l=0}else if((k|0)==13){l=1}else if((k|0)==16){l=1}else if((k|0)==18){c[j+288>>2]=c[h>>2];l=4}else if((k|0)==19){if((a[j+484|0]|0)!=0){l=5;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==22){if((a[j+484|0]|0)!=0){l=6;break}else{c[e>>2]=b;l=0;break}}else if((k|0)==25){l=9}else if((k|0)==27){c[e>>2]=c[h>>2];l=0}else if((k|0)==28){l=35}}while(0);i=g;return l|0}function Fq(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;j=i;i=i+32|0;k=j|0;l=j+8|0;m=j+16|0;n=j+24|0;o=b;b=d;d=e;e=f;f=g;g=h;c[k>>2]=c[d>>2];if((b|0)==(c[o+144>>2]|0)){p=o+288|0;c[p>>2]=c[k>>2];q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}c[p>>2]=c[k>>2];c[d>>2]=0;a:while(1){h=fe[c[b+8>>2]&127](b,c[k>>2]|0,e,l)|0;c[q>>2]=c[l>>2];switch(h|0){case 0:{r=33;break a;break};case-2:{r=34;break a;break};case 6:{h=c[o+60>>2]|0;if((h|0)!=0){if((a[b+72|0]|0)!=0){ge[h&15](c[o+4>>2]|0,c[k>>2]|0,(c[l>>2]|0)-(c[k>>2]|0)|0)}else{while(1){c[n>>2]=c[o+44>>2];Pd[c[b+60>>2]&31](b,k,c[l>>2]|0,n,c[o+48>>2]|0);c[q>>2]=c[l>>2];ge[h&15](c[o+4>>2]|0,c[o+44>>2]|0,(c[n>>2]|0)-(c[o+44>>2]|0)|0);if((c[k>>2]|0)==(c[l>>2]|0)){break}c[p>>2]=c[k>>2]}}}else{if((c[o+80>>2]|0)!=0){Vp(o,b,c[k>>2]|0,c[l>>2]|0)}}break};case 40:{r=6;break a;break};case-1:case-4:{r=37;break a;break};case 7:{if((c[o+60>>2]|0)!=0){a[m]=10;ge[c[o+60>>2]&15](c[o+4>>2]|0,m,1)}else{if((c[o+80>>2]|0)!=0){Vp(o,b,c[k>>2]|0,c[l>>2]|0)}}break};default:{r=40;break a}}h=c[l>>2]|0;c[k>>2]=h;c[p>>2]=h;h=c[o+480>>2]|0;if((h|0)==3){r=42;break}else if((h|0)==2){r=43;break}}if((r|0)==6){if((c[o+76>>2]|0)!=0){Qd[c[o+76>>2]&511](c[o+4>>2]|0)}else{if((c[o+80>>2]|0)!=0){Vp(o,b,c[k>>2]|0,c[l>>2]|0)}}c[d>>2]=c[l>>2];c[f>>2]=c[l>>2];if((c[o+480>>2]|0)==2){s=35;t=s;i=j;return t|0}else{s=0;t=s;i=j;return t|0}}else if((r|0)==33){c[p>>2]=c[l>>2];s=4;t=s;i=j;return t|0}else if((r|0)==34){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=6;t=s;i=j;return t|0}}else if((r|0)==37){if(g<<24>>24!=0){c[f>>2]=c[k>>2];s=0;t=s;i=j;return t|0}else{s=20;t=s;i=j;return t|0}}else if((r|0)==40){c[p>>2]=c[l>>2];s=23;t=s;i=j;return t|0}else if((r|0)==42){c[f>>2]=c[l>>2];s=0;t=s;i=j;return t|0}else if((r|0)==43){s=35;t=s;i=j;return t|0}return 0}function Gq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=Fq(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)==0){k=f;l=k;i=g;return l|0}if((c[j+476>>2]|0)!=0){c[j+280>>2]=34;k=Hq(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=jq(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}return 0}function Hq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=Aq(h,1,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Iq(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function Iq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;b=i;d=a;a=c[d+364>>2]|0;while(1){if((a|0)==0){break}e=(c[a+24>>2]|0)+1|0;f=(c[a+36>>2]|0)+e|0;if((c[a+4>>2]|0)==(f|0)){g=4;break}h=e+(c[a+8>>2]|0)|0;if((h|0)>((c[a+40>>2]|0)-(c[a+36>>2]|0)|0)){j=ce[c[d+16>>2]&127](c[a+36>>2]|0,h)|0;if((j|0)==0){g=7;break}if((c[a+12>>2]|0)==(c[a+36>>2]|0)){c[a+12>>2]=j}if((c[a+16>>2]|0)!=0){c[a+16>>2]=j+((c[a+16>>2]|0)-(c[a+36>>2]|0))}c[a+36>>2]=j;c[a+40>>2]=j+h;f=j+e|0}MY(f|0,c[a+4>>2]|0,c[a+8>>2]|0)|0;c[a+4>>2]=f;a=c[a>>2]|0}if((g|0)!=4)if((g|0)==7){k=0;l=k;i=b;return l|0}k=1;l=k;i=b;return l|0}function Jq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=c[b>>2]|0;a:while(1){if((a[g]|0)==0){h=26;break}if((a[g]|0)==58){j=c[b>>2]|0;while(1){if((j|0)==(g|0)){break}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((Xp(d+80|0)|0)<<24>>24!=0){h=9;break}if(!0){h=10;break a}}else{h=9}}while(0);if((h|0)==9){h=0;k=a[j]|0;l=d+92|0;m=c[l>>2]|0;c[l>>2]=m+1;a[m]=k;if(!1){h=10;break a}}j=j+1|0}do{if((c[d+92>>2]|0)==(c[d+88>>2]|0)){if((Xp(d+80|0)|0)<<24>>24!=0){h=16;break}if(!0){h=17;break a}}else{h=16}}while(0);if((h|0)==16){h=0;j=d+92|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=0;if(!1){h=17;break}}k=_p(f,d+60|0,c[d+96>>2]|0,8)|0;if((k|0)==0){h=19;break}if((c[k>>2]|0)==(c[d+96>>2]|0)){c[d+96>>2]=c[d+92>>2]}else{c[d+92>>2]=c[d+96>>2]}c[b+4>>2]=k}g=g+1|0}if((h|0)==10){n=0;o=n;i=e;return o|0}else if((h|0)==17){n=0;o=n;i=e;return o|0}else if((h|0)==19){n=0;o=n;i=e;return o|0}else if((h|0)==26){n=1;o=n;i=e;return o|0}return 0}function Kq(b,e,f,g,h,j){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;k=i;i=i+16|0;l=k|0;m=k+8|0;n=b;b=e;e=f;f=g;g=h;h=j;j=c[n+356>>2]|0;a:while(1){b:do{switch(fe[c[b+16>>2]&127](b,f,g,l)|0){case 9:{o=(Vd[c[b+48>>2]&127](b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0)&255;if(o<<24>>24!=0){do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Xp(h)|0)<<24>>24!=0){p=51;break}if(!0){p=52;break a}}else{p=51}}while(0);if((p|0)==51){p=0;q=h+12|0;r=c[q>>2]|0;c[q>>2]=r+1;a[r]=o;if(!1){p=52;break a}}break b}r=hq(n+440|0,b,f+(c[b+68>>2]|0)|0,(c[l>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((r|0)==0){p=55;break a}q=_p(n,j|0,r,0)|0;c[n+452>>2]=c[n+456>>2];if((h|0)==(j+80|0)){if((c[n+272>>2]|0)!=0){if((d[j+130|0]|0)!=0){s=((c[n+300>>2]|0)!=0^1)&1}else{s=((a[j+129|0]|0)!=0^1)&1}t=(s|0)!=0}else{t=0}u=t&1}else{if((a[j+129|0]|0)!=0){v=(d[j+130|0]|0)!=0}else{v=1}u=v&1}do{if(u<<24>>24!=0){if((q|0)==0){p=68;break a}if((a[q+34|0]|0)==0){p=70;break a}}else{if((q|0)!=0){break}else{break b}}}while(0);if((a[q+32|0]|0)!=0){p=77;break a}if((c[q+28>>2]|0)!=0){p=81;break a}if((c[q+4>>2]|0)==0){p=85;break a}o=(c[q+4>>2]|0)+(c[q+8>>2]|0)|0;a[q+32|0]=1;w=Kq(n,c[n+228>>2]|0,e,c[q+4>>2]|0,o,h)|0;a[q+32|0]=0;if((w|0)!=0){p=89;break a}break};case 10:{o=ce[c[b+44>>2]&127](b,f)|0;if((o|0)<0){p=11;break a}do{if(!(e<<24>>24!=0)){if((o|0)!=32){break}if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break b}}while(0);o=Rq(o,m|0)|0;if((o|0)==0){p=20;break a}q=0;while(1){if((q|0)>=(o|0)){break}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Xp(h)|0)<<24>>24!=0){p=28;break}if(!0){p=29;break a}}else{p=28}}while(0);if((p|0)==28){p=0;r=a[m+q|0]|0;x=h+12|0;y=c[x>>2]|0;c[x>>2]=y+1;a[y]=r;if(!1){p=29;break a}}q=q+1|0}break};case 6:{if((nq(h,b,f,c[l>>2]|0)|0)==0){p=34;break a}break};case-3:{c[l>>2]=f+(c[b+68>>2]|0);p=37;break};case 39:case 7:{p=37;break};case-1:{p=7;break a;break};case-4:{p=3;break a;break};case 0:{p=4;break a;break};default:{p=92;break a}}}while(0);c:do{if((p|0)==37){p=0;do{if(!(e<<24>>24!=0)){if(((c[h+12>>2]|0)-(c[h+16>>2]|0)|0)!=0){if((a[(c[h+12>>2]|0)-1|0]|0)!=32){break}}break c}}while(0);do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Xp(h)|0)<<24>>24!=0){p=44;break}if(!0){p=45;break a}}else{p=44}}while(0);if((p|0)==44){p=0;q=h+12|0;o=c[q>>2]|0;c[q>>2]=o+1;a[o]=32;if(!1){p=45;break a}}}}while(0);f=c[l>>2]|0}if((p|0)==3){z=0;A=z;i=k;return A|0}else if((p|0)==4){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=c[l>>2]}z=4;A=z;i=k;return A|0}else if((p|0)==7){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=4;A=z;i=k;return A|0}else if((p|0)==11){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((p|0)==20){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=14;A=z;i=k;return A|0}else if((p|0)==29){z=1;A=z;i=k;return A|0}else if((p|0)==34){z=1;A=z;i=k;return A|0}else if((p|0)==45){z=1;A=z;i=k;return A|0}else if((p|0)==52){z=1;A=z;i=k;return A|0}else if((p|0)==55){z=1;A=z;i=k;return A|0}else if((p|0)==68){z=11;A=z;i=k;return A|0}else if((p|0)==70){z=24;A=z;i=k;return A|0}else if((p|0)==77){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=12;A=z;i=k;return A|0}else if((p|0)==81){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=15;A=z;i=k;return A|0}else if((p|0)==85){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=16;A=z;i=k;return A|0}else if((p|0)==89){z=w;A=z;i=k;return A|0}else if((p|0)==92){if((b|0)==(c[n+144>>2]|0)){c[n+288>>2]=f}z=23;A=z;i=k;return A|0}return 0}function Lq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+1040|0;f=e|0;g=b;b=d;if((c[g+124>>2]|0)!=0){d=0;while(1){if((d|0)>=256){break}c[f+(d<<2)>>2]=-1;d=d+1|0}c[f+1028>>2]=0;c[f+1024>>2]=0;c[f+1032>>2]=0;do{if((Vd[c[g+124>>2]&127](c[g+248>>2]|0,b,f)|0)!=0){d=c[g+12>>2]|0;h=Sq()|0;c[g+240>>2]=Td[d&255](h)|0;if((c[g+240>>2]|0)!=0){h=fe[((a[g+236|0]&255|0)!=0?40:24)&127](c[g+240>>2]|0,f|0,c[f+1028>>2]|0,c[f+1024>>2]|0)|0;if((h|0)==0){break}c[g+244>>2]=c[f+1024>>2];c[g+252>>2]=c[f+1032>>2];c[g+144>>2]=h;j=0;k=j;i=e;return k|0}else{if((c[f+1032>>2]|0)!=0){Qd[c[f+1032>>2]&511](c[f+1024>>2]|0)}j=1;k=j;i=e;return k|0}}}while(0);if((c[f+1032>>2]|0)!=0){Qd[c[f+1032>>2]&511](c[f+1024>>2]|0)}}j=18;k=j;i=e;return k|0}function Mq(){var a=0,b=0;a=i;Jc(((Ld(0)|0)>>>0)%4294967295|0|0);b=SY()|0;i=a;return b|0}function Nq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=dq(g)|0;if((a|0)!=0){h=a;j=h;i=f;return j|0}else{c[g+280>>2]=76;h=eq(g,b,d,e)|0;j=h;i=f;return j|0}return 0}function Oq(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=Td[c[e>>2]&255](188)|0;if((b|0)==0){f=b;g=f;i=d;return g|0}else{Pq(b+80|0,e);Pq(b+104|0,e);Qq(b|0,e);Qq(b+20|0,e);Qq(b+40|0,e);Qq(b+60|0,e);a[b+131|0]=0;Qq(b+132|0,e);c[b+152>>2]=0;c[b+156>>2]=0;a[b+160|0]=0;c[b+184>>2]=0;c[b+164>>2]=0;c[b+180>>2]=0;c[b+172>>2]=0;c[b+176>>2]=0;c[b+168>>2]=0;a[b+128|0]=1;a[b+129|0]=0;a[b+130|0]=0;f=b;g=f;i=d;return g|0}return 0}function Pq(a,b){a=a|0;b=b|0;var d=0;d=a;c[d>>2]=0;c[d+4>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;c[d+20>>2]=b;i=i;return}function Qq(b,d){b=b|0;d=d|0;var e=0;e=b;a[e+4|0]=0;c[e+8>>2]=0;c[e+12>>2]=0;c[e>>2]=0;c[e+16>>2]=d;i=i;return}function Rq(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=i;e=b;b=c;if((e|0)<0){f=0;g=f;i=d;return g|0}if((e|0)<128){a[b|0]=e;f=1;g=f;i=d;return g|0}if((e|0)<2048){a[b|0]=e>>6|192;a[b+1|0]=e&63|128;f=2;g=f;i=d;return g|0}if((e|0)<65536){a[b|0]=e>>12|224;a[b+1|0]=e>>6&63|128;a[b+2|0]=e&63|128;f=3;g=f;i=d;return g|0}if((e|0)<1114112){a[b|0]=e>>18|240;a[b+1|0]=e>>12&63|128;a[b+2|0]=e>>6&63|128;a[b+3|0]=e&63|128;f=4;g=f;i=d;return g|0}else{f=0;g=f;i=d;return g|0}return 0}function Sq(){return 1912}function Tq(e,f,g,h){e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=e;e=f;f=g;g=h;h=k;l=0;while(1){if((l|0)>=368){break}a[k+l|0]=a[15288+l|0]|0;l=l+1|0}l=0;a:while(1){if((l|0)>=128){break}do{if((d[15364+l|0]|0|0)!=28){if((d[15364+l|0]|0|0)==0){break}if((c[e+(l<<2)>>2]|0)!=(l|0)){m=10;break a}}}while(0);l=l+1|0}if((m|0)==10){n=0;o=n;i=j;return o|0}l=0;b:while(1){if((l|0)>=256){m=46;break}k=c[e+(l<<2)>>2]|0;if((k|0)==-1){a[h+76+l|0]=1;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)<0){if((k|0)<-4){m=19;break}a[h+76+l|0]=5-(k+2);a[h+888+(l<<2)|0]=0;b[h+376+(l<<1)>>1]=0}else{if((k|0)<128){do{if((d[15364+k|0]|0|0)!=28){if((d[15364+k|0]|0|0)==0){break}if((k|0)!=(l|0)){m=25;break b}}}while(0);a[h+76+l|0]=a[15364+k|0]|0;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=k;if((k|0)==0){p=65535}else{p=k}b[h+376+(l<<1)>>1]=p}else{if((Uq(k)|0)<0){a[h+76+l|0]=0;b[h+376+(l<<1)>>1]=-1;a[h+888+(l<<2)|0]=1;a[h+888+(l<<2)+1|0]=0}else{if((k|0)>65535){m=33;break}if((c[12320+(((d[8704+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=22}else{if((c[12320+(((d[13600+(k>>8)|0]|0)<<3)+((k&255)>>5)<<2)>>2]&1<<(k&31)|0)!=0){a[h+76+l|0]=26}else{a[h+76+l|0]=28}}a[h+888+(l<<2)|0]=Rq(k,h+888+(l<<2)+1|0)|0;b[h+376+(l<<1)>>1]=k}}}}l=l+1|0}if((m|0)==19){n=0;o=n;i=j;return o|0}else if((m|0)==25){n=0;o=n;i=j;return o|0}else if((m|0)==33){n=0;o=n;i=j;return o|0}else if((m|0)==46){c[h+372>>2]=g;c[h+368>>2]=f;if((f|0)!=0){c[h+332>>2]=10;c[h+336>>2]=10;c[h+340>>2]=10;c[h+344>>2]=30;c[h+348>>2]=30;c[h+352>>2]=30;c[h+356>>2]=58;c[h+360>>2]=58;c[h+364>>2]=58}c[h+60>>2]=14;c[h+64>>2]=16;n=h|0;o=n;i=j;return o|0}return 0}function Uq(a){a=a|0;var b=0,c=0,e=0,f=0;b=i;c=a;a:do{switch(c>>8|0){case 216:case 217:case 218:case 219:case 220:case 221:case 222:case 223:{e=-1;break};case 255:{do{if((c|0)!=65534){if((c|0)==65535){break}f=10;break a}}while(0);e=-1;break};case 0:{if((d[15364+c|0]|0|0)==0){e=-1;break a}else{f=10;break a}break};default:{f=10}}}while(0);if((f|0)==10){e=c}i=b;return e|0}function Vq(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ce[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12320+(((d[13600+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function Wq(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0;e=i;f=a;a=ce[c[f+368>>2]&127](c[f+372>>2]|0,b)|0;if((a&-65536|0)!=0){g=0;h=g;i=e;return h|0}else{g=c[12320+(((d[8704+(a>>8)|0]|0)<<3)+((a&255)>>5)<<2)>>2]&1<<(a&31);h=g;i=e;return h|0}return 0}function Xq(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;e=a;a=ce[c[e+368>>2]&127](c[e+372>>2]|0,b)|0;if((a&-65536|0)!=0){f=1;g=f&1;i=d;return g|0}f=(Uq(a)|0)<0;g=f&1;i=d;return g|0}function Yq(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;j=i;i=i+8|0;k=j|0;l=b;b=e;e=f;f=g;g=h;h=l;while(1){if((c[b>>2]|0)==(e|0)){m=3;break}n=h+888+(d[c[b>>2]|0]<<2)|0;o=n;n=o+1|0;p=a[o]|0;if((p|0)==0){p=Rq(ce[c[h+368>>2]&127](c[h+372>>2]|0,c[b>>2]|0)|0,k|0)|0;if((p|0)>(g-(c[f>>2]|0)|0)){m=6;break}n=k|0;o=b;c[o>>2]=(c[o>>2]|0)+((d[l+76+(d[c[b>>2]|0]|0)|0]|0)-3)}else{if((p|0)>(g-(c[f>>2]|0)|0)){m=9;break}o=b;c[o>>2]=(c[o>>2]|0)+1}do{o=n;n=o+1|0;q=a[o]|0;o=f;r=c[o>>2]|0;c[o>>2]=r+1;a[r]=q;q=p-1|0;p=q;}while((q|0)!=0)}if((m|0)==3){i=j;return}else if((m|0)==6){i=j;return}else if((m|0)==9){i=j;return}}function Zq(a,e,f,g,h){a=a|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0;j=i;k=a;a=e;e=f;f=g;g=h;h=k;while(1){if((c[a>>2]|0)!=(e|0)){l=(c[f>>2]|0)!=(g|0)}else{l=0}if(!l){break}m=b[h+376+((d[c[a>>2]|0]|0)<<1)>>1]|0;if((m&65535|0)==0){m=(ce[c[h+368>>2]&127](c[h+372>>2]|0,c[a>>2]|0)|0)&65535;n=a;c[n>>2]=(c[n>>2]|0)+((d[k+76+(d[c[a>>2]|0]|0)|0]|0)-3)}else{n=a;c[n>>2]=(c[n>>2]|0)+1}n=f;o=c[n>>2]|0;c[n>>2]=o+2;b[o>>1]=m}i=j;return}function _q(){return 16112}function $q(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=ar(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=44;c[g+4>>2]=82;c[g+52>>2]=6;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function ar(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if((d|0)==0){e=6}else{a=0;while(1){if((a|0)>=6){f=9;break}if((or(d,c[16576+(a<<2)>>2]|0)|0)!=0){f=6;break}a=a+1|0}if((f|0)==6){e=a;break}else if((f|0)==9){e=-1;break}}}while(0);i=b;return e|0}function br(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=mt(16720,a,0,b,c,d)|0;i=e;return f|0}function cr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=mt(16720,a,1,b,c,d)|0;i=e;return f|0}function dr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;a=i;Ls(816,b,c,d);i=a;return}function er(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=fr(20,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function fr(a,b,d,e,f,g,h,j,k,l,m){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;n=i;i=i+32|0;o=n|0;p=n+8|0;q=n+16|0;r=n+24|0;s=a;a=b;b=d;c[o>>2]=e;e=f;f=g;g=h;h=j;j=k;k=l;l=m;c[p>>2]=0;c[q>>2]=0;c[r>>2]=0;c[o>>2]=(c[o>>2]|0)+((c[b+68>>2]|0)*5|0);e=e+(-(c[b+68>>2]<<1)|0)|0;do{if((nt(b,c[o>>2]|0,e,q,r,p,o)|0)!=0){if((c[q>>2]|0)==0){break}do{if((fe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,1626392)|0)!=0){if((g|0)!=0){c[g>>2]=c[p>>2]}if((h|0)!=0){c[h>>2]=c[o>>2]}if((nt(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}if((a|0)!=0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}else{if((a|0)!=0){break}c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);do{if((fe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,1626424)|0)!=0){m=ot(b,c[p>>2]|0,e)|0;if(97<=(m|0)){if((m|0)>122){v=22}}else{v=22}do{if((v|0)==22){if(65<=(m|0)){if((m|0)<=90){break}}c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}}while(0);if((j|0)!=0){c[j>>2]=c[p>>2]}if((k|0)!=0){c[k>>2]=Vd[s&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0}if((nt(b,c[o>>2]|0,e,q,r,p,o)|0)==0){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}if((c[q>>2]|0)!=0){break}t=1;u=t;i=n;return u|0}}while(0);do{if((fe[c[b+28>>2]&127](b,c[q>>2]|0,c[r>>2]|0,1626400)|0)!=0){if((a|0)!=0){break}if((fe[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,1626384)|0)!=0){if((l|0)!=0){c[l>>2]=1}}else{if((fe[c[b+28>>2]&127](b,c[p>>2]|0,(c[o>>2]|0)+(-(c[b+68>>2]|0)|0)|0,1626416)|0)==0){c[f>>2]=c[p>>2];t=0;u=t;i=n;return u|0}if((l|0)!=0){c[l>>2]=0}}while(1){if((pt(ot(b,c[o>>2]|0,e)|0)|0)==0){break}c[o>>2]=(c[o>>2]|0)+(c[b+68>>2]|0)}if((c[o>>2]|0)!=(e|0)){c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}else{t=1;u=t;i=n;return u|0}}}while(0);c[f>>2]=c[q>>2];t=0;u=t;i=n;return u|0}}while(0);c[f>>2]=c[o>>2];t=0;u=t;i=n;return u|0}function gr(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Pd[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((or(h|0,1626480)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=ar(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16720+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function hr(){return 15744}function ir(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=b;b=d;d=ar(e)|0;if((d|0)==-1){h=0;j=h;i=f;return j|0}else{a[g+73|0]=d;c[g>>2]=14;c[g+4>>2]=92;c[g+52>>2]=6;c[g+76>>2]=b;c[b>>2]=g;h=1;j=h;i=f;return j|0}return 0}function jr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=mt(16688,a,0,b,c,d)|0;i=e;return f|0}function kr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=mt(16688,a,1,b,c,d)|0;i=e;return f|0}function lr(a,b,c,d,e,f,g,h,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0;l=i;m=fr(56,a,b,c,d,e,f,g,h,j,k)|0;i=l;return m|0}function mr(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+144|0;g=f|0;h=f+8|0;j=f+136|0;k=b;c[g>>2]=d;d=e;c[j>>2]=h;Pd[c[k+60>>2]&31](k,g,d,j,(c[j>>2]|0)+128-1|0);if((c[g>>2]|0)!=(d|0)){l=0;m=l;i=f;return m|0}a[c[j>>2]|0]=0;do{if((or(h|0,1626480)|0)!=0){if((c[k+68>>2]|0)!=2){break}l=k;m=l;i=f;return m|0}}while(0);k=ar(h|0)|0;if((k|0)==-1){l=0;m=l;i=f;return m|0}else{l=c[16688+(k<<2)>>2]|0;m=l;i=f;return m|0}return 0}function nr(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;f=i;g=Tq(b,c,d,e)|0;if((g|0)==0){h=g;i=f;return h|0}a[g+134|0]=23;h=g;i=f;return h|0}function or(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;e=b;b=c;do{c=e;e=c+1|0;f=a[c]|0;c=b;b=c+1|0;g=a[c]|0;do{if(97<=(f<<24>>24|0)){if((f<<24>>24|0)>122){break}f=(f<<24>>24)-32&255}}while(0);do{if(97<=(g<<24>>24|0)){if((g<<24>>24|0)>122){break}g=(g<<24>>24)-32&255}}while(0);if((f<<24>>24|0)!=(g<<24>>24|0)){h=9;break}}while(f<<24>>24!=0);if((h|0)==9){j=0;k=j;i=d;return k|0}j=1;k=j;i=d;return k|0}function pr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 31:{c[f>>2]=b+2;k=23;break a;break};case 19:{k=Ur(j,b+2|0,e,f)|0;break a;break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{m=26;break b}break};case 22:case 24:{n=18;b=b+2|0;m=86;break};case 25:case 26:case 27:case 23:{n=19;b=b+2|0;m=86;break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=18;m=86;break b}if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){b=b+2|0;n=19;m=86;break b}else{m=85;break b}break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:{m=26;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 16:{k=Tr(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};case 15:{k=Or(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 34:{c[f>>2]=b+2;k=37;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 15:{c[f>>2]=b+2;k=35;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 12:{k=Sr(12,j,b+2|0,e,f)|0;break a;break};case 13:{k=Sr(13,j,b+2|0,e,f)|0;break a;break};case 30:{k=Ir(j,b+2|0,e,f)|0;break a;break};default:{m=85}}}while(0);if((m|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){m=28;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((q|0)==9){if((b+2|0)==(e|0)){m=36;break}}else if(!((q|0)==21|(q|0)==10)){break}}if((m|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((m|0)==85){c[f>>2]=b;k=0;break}else if((m|0)==86){c:while(1){if((b|0)==(e|0)){m=141;break}if((a[b+1|0]|0)==0){r=d[j+76+(d[b]|0)|0]|0}else{r=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(r|0){case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{m=105;break c;break};case 23:{b=b+2|0;g=n;if((g|0)==18){if((b|0)==(e|0)){m=108;break c}n=41;if((a[b+1|0]|0)==0){s=d[j+76+(d[b]|0)|0]|0}else{s=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(s|0){case 5:{m=117;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=114;break c}m=116;break};case 22:case 24:case 25:case 26:case 27:{m=116;break};case 6:{m=120;break c;break};case 7:{m=123;break c;break};default:{n=19}}if((m|0)==116){m=0;b=b+2|0}}else if((g|0)==41){n=19}break};case 22:case 24:case 25:case 26:case 27:{m=95;break};case 5:{m=96;break c;break};case 34:{m=130;break c;break};case 33:{m=133;break c;break};case 15:{m=136;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=93;break c}m=95;break};case 6:{m=99;break c;break};case 7:{m=102;break c;break};default:{m=139;break c}}if((m|0)==95){m=0;b=b+2|0}}if((m|0)==93){c[f>>2]=b;k=0;break}else if((m|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==105){c[f>>2]=b;k=n;break}else if((m|0)==108){k=-1;break}else if((m|0)==114){c[f>>2]=b;k=0;break}else if((m|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==130){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((m|0)==133){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((m|0)==136){if((n|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((m|0)==139){c[f>>2]=b;k=0;break}else if((m|0)==141){k=-n|0;break}}}}while(0);i=h;return k|0}function qr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 2:{k=Lr(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 3:{k=Hr(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Gr(a[b+1|0]|0,a[b|0]|0)|0}c:do{switch(p|0){case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+3|0]|0)==0){if((a[b+2|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+5|0]|0)==0){if((a[b+4|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function rr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}a:do{switch(m|0){case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function sr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 0:case 1:case 8:{l=18;break a;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function tr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 3:{l=12;break a;break};case 2:{l=15;break a;break};case 10:{l=16;break a;break};case 9:{l=19;break a;break};case 21:{l=29;break a;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=Hr(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function ur(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 3:{m=12;break a;break};case 7:{b=b+4|0;break};case 9:{m=24;break a;break};case 30:{m=15;break a;break};case 10:{m=21;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=Hr(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=Ir(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function vr(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b+1|0]|0)==0){h=d[g+76+(d[b]|0)|0]|0}else{h=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(h|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=18;break a}j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=20;break a}break};case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 6:{k=9;break};case 5:{k=12;break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c+1|0]|0)==0){n=d[g+76+(d[c]|0)|0]|0}else{n=Gr(a[c+1|0]|0,a[c|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function wr(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f+1|0]|0)!=0){g=7;break}if((a[f|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function xr(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(g|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};default:{break a}}}i=e;return b-c|0}function yr(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b+1|0]|0)==0){g=d[f+76+(d[b]|0)|0]|0}else{g=Gr(a[b+1|0]|0,a[b|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function zr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(m|0){case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};case 11:case 17:{if((g|0)!=2){break a}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+3|0]|0)==0){o=a[b+2|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Gr(a[b+3|0]|0,a[b+2|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};default:{}}b=b+2|0}i=h;return k|0}function Ar(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d+1|0]|0)==0){if((a[d|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d+1|0]|0)==0){f=(a[d|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d+1|0]|0)==0){g=a[d|0]|0}else{g=-1}h=g;switch(h|0){case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d+1|0]|0)==0){l=(a[d|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d+1|0]|0)==0){m=a[d|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=Uq(c)|0;k=j;i=b;return k|0}function Br(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==4){if((a[e+1|0]|0)==0){f=a[e|0]|0}else{f=-1}if((f|0)==113){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=117){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((f|0)==97){e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=111){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==3){do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=97){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=109){break}e=e+2|0;do{if((a[e+1|0]|0)==0){if((a[e|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((c|0)==2){do{if((a[e+3|0]|0)==0){if((a[e+2|0]|0)!=116){break}if((a[e+1|0]|0)==0){j=a[e|0]|0}else{j=-1}if((j|0)==103){g=62;h=g;i=b;return h|0}else if((j|0)==108){g=60;h=g;i=b;return h|0}else{break}}}while(0)}g=0;h=g;i=b;return h|0}function Cr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(k|0){case 6:{b=b+3|0;break};case 7:{b=b+4|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 5:{b=b+2|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function Dr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b+1|0]|0)==0){if((a[b|0]|0)==9){k=10;break a}}break};case 26:case 22:{if((a[b+1|0]|0)==0){m=a[b|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b+1|0]|0)==0){n=a[b|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function Er(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g|0]|0;l=a[g+1|0]|0;b:do{switch(l&255|0){case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=k;break};case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}n=((l&3)<<2|(k&255)>>6&3)+1|0;m=e;o=c[m>>2]|0;c[m>>2]=o+1;a[o]=n>>2|240;o=e;m=c[o>>2]|0;c[o>>2]=m+1;a[m]=(k&255)>>2&15|(n&3)<<4|128;g=g+2|0;n=a[g|0]|0;m=((k&3)<<4|(a[g+1|0]&3)<<2|(n&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=m;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=n&63|128;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=(l&255)>>4|224;p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(l&15)<<2|(k&255)>>6|128;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}p=e;n=c[p>>2]|0;c[p>>2]=n+1;a[n]=(k&255)>>6|(l&255)<<2|192;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function Fr(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2+1|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[(c[k>>2]|0)+1|0]|0)<<8|(d[c[k>>2]|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function Gr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do{switch(a&255|0){case 255:{c=b&255;if((c|0)==255|(c|0)==254){d=0;break a}else{e=7;break a}break};case 216:case 217:case 218:case 219:{d=7;break};case 220:case 221:case 222:case 223:{d=8;break};default:{e=7}}}while(0);if((e|0)==7){d=29}i=i;return d|0}function Hr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 19:{k=Jr(j,b+2|0,e,f)|0;break a;break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 5:{m=32;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{m=35;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Ir(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=29;break c}break};case 7:{m=38;break c;break};case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 5:{m=32;break c;break};case 22:case 24:case 25:case 26:case 27:{break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function Jr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=120){break}k=Kr(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function Kr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b+1|0]|0)==0){k=d[j+76+(d[b]|0)|0]|0}else{k=Gr(a[b+1|0]|0,a[b|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function Lr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==27){k=Mr(j,b+2|0,e,f)|0;break a}else if((m|0)==20){k=Nr(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 15:{k=Or(j,b+2|0,e,f)|0;break a;break};case 17:{k=Pr(j,b+2|0,e,f)|0;break a;break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=39;break c}n=41;break};case 21:case 9:case 10:{n=74;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 5:{n=42;break c;break};case 7:{n=48;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b+1|0]|0)==0){p=d[j+76+(d[b]|0)|0]|0}else{p=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 6:{n=66;break c;break};case 22:case 24:{break};case 7:{n=69;break c;break};case 5:{n=63;break c;break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=60;break c}break};default:{n=72;break c}}b=b+2|0;break};case 6:{n=45;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b+1|0]|0)==0){q=d[j+76+(d[b]|0)|0]|0}else{q=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(q|0){case 7:{n=90;break e;break};case 11:{n=93;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 6:{n=87;break e;break};case 29:{n=80;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=Qr(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function Mr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(l|0){case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 0:case 1:case 8:{k=20;break b;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b+1|0]|0)==0){if((a[b|0]|0)==45){k=25;break b}}break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function Nr(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g+1|0]|0)!=0){k=7;break}if((a[g|0]|0)!=(a[14176+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function Or(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b+1|0]|0)==0){m=d[k+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(m|0){case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b+1|0]|0)==0){o=d[k+76+(d[b]|0)|0]|0}else{o=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 7:{n=37;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 6:{n=34;break c;break};case 21:case 9:case 10:{n=40;break c;break};case 15:{n=67;break c;break};case 5:{n=31;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){n=28;break c}break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((Rr(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b+1|0]|0)==0){p=d[k+76+(d[b]|0)|0]|0}else{p=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(p|0){case 0:case 1:case 8:{n=57;break d;break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b+1|0]|0)==0){if((a[b|0]|0)==62){n=62;break d}}break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((Rr(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b+1|0]|0)==0){if((a[b|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function Pr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 21:case 9:case 10:{m=40;break c;break};case 5:{m=31;break c;break};case 11:{m=53;break c;break};case 7:{m=37;break c;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 6:{m=34;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}m=30;break};case 23:{b=b+2|0;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function Qr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[(c[j>>2]|0)+1|0]|0)==0){m=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{m=Gr(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(m|0){case 14:{l=56;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){n=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{n=Gr(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(n|0){case 6:{l=35;break a;break};case 22:case 24:{break};case 7:{l=38;break a;break};case 29:{if((c[12320+((d[8704+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=29;break a}break};case 5:{l=32;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};case 22:case 24:case 25:case 26:case 27:{l=10;break};case 5:{l=11;break a;break};case 6:{l=14;break a;break};case 7:{l=17;break a;break};case 29:{if((c[12320+((d[13600+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=8;break a}l=10;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){o=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{o=Gr(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}b=o;if((b|0)==14){break}p=b;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=53;break a}}l=56;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){q=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{q=Gr(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}p=r;if(!((p|0)==21|(p|0)==10|(p|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){s=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{s=Gr(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}p=s;if((p|0)==(r|0)){break}switch(p|0){case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 2:{l=93;break a;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=Hr(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[(c[j>>2]|0)+1|0]|0)==0){u=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{u=Gr(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(u|0){case 21:case 9:case 10:{break};case 17:{l=103;break a;break};case 11:{l=104;break a;break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[(c[j>>2]|0)+1|0]|0)==0){v=d[k+76+(d[c[j>>2]|0]|0)|0]|0}else{v=Gr(a[(c[j>>2]|0)+1|0]|0,a[c[j>>2]|0]|0)|0}switch(v|0){case 17:{l=129;break a;break};case 29:{l=113;break b;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 6:{l=120;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12320+((d[8704+(d[(c[j>>2]|0)+1|0]|0)|0]<<3)+(d[c[j>>2]|0]>>5)<<2)>>2]&1<<(a[c[j>>2]|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[(c[j>>2]|0)+1|0]|0)==0){if((a[c[j>>2]|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}function Rr(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;b=i;g=d;d=f;f=0;c[d>>2]=11;do{if((e-g|0)!=6){h=1}else{if((a[g+1|0]|0)==0){j=a[g|0]|0}else{j=-1}if((j|0)==88){f=1}else if((j|0)!=120){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){k=a[g|0]|0}else{k=-1}if((k|0)==77){f=1}else if((k|0)!=109){h=1;break}g=g+2|0;if((a[g+1|0]|0)==0){l=a[g|0]|0}else{l=-1}if((l|0)==76){f=1}else if((l|0)!=108){h=1;break}if((f|0)!=0){h=0;break}else{c[d>>2]=12;h=1;break}}}while(0);i=b;return h|0}function Sr(b,e,f,g,h){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0;j=i;k=b;b=e;e=f;f=g;g=h;a:while(1){if((e|0)==(f|0)){l=29;break}if((a[e+1|0]|0)==0){m=d[b+76+(d[e]|0)|0]|0}else{m=Gr(a[e+1|0]|0,a[e|0]|0)|0}h=m;switch(h|0){case 12:case 13:{e=e+2|0;if((h|0)==(k|0)){l=19;break a}break};case 7:{if((f-e|0)<4){l=14;break a}e=e+4|0;break};case 0:case 1:case 8:{l=16;break a;break};case 5:{if((f-e|0)<2){l=8;break a}e=e+2|0;break};case 6:{if((f-e|0)<3){l=11;break a}e=e+3|0;break};default:{e=e+2|0}}}if((l|0)==8){n=-2;o=n;i=j;return o|0}else if((l|0)==11){n=-2;o=n;i=j;return o|0}else if((l|0)==14){n=-2;o=n;i=j;return o|0}else if((l|0)==16){c[g>>2]=e;n=0;o=n;i=j;return o|0}else if((l|0)==19){if((e|0)==(f|0)){n=-27;o=n;i=j;return o|0}c[g>>2]=e;if((a[e+1|0]|0)==0){p=d[b+76+(d[e]|0)|0]|0}else{p=Gr(a[e+1|0]|0,a[e|0]|0)|0}switch(p|0){case 21:case 9:case 10:case 11:case 30:case 20:{n=27;o=n;i=j;return o|0};default:{n=0;o=n;i=j;return o|0}}}else if((l|0)==29){n=-1;o=n;i=j;return o|0}return 0}function Tr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+1|0]|0)==0){m=d[j+76+(d[b]|0)|0]|0}else{m=Gr(a[b+1|0]|0,a[b|0]|0)|0}if((m|0)==22|(m|0)==24){b=b+2|0;a:while(1){if((b|0)==(e|0)){n=29;break}if((a[b+1|0]|0)==0){o=d[j+76+(d[b]|0)|0]|0}else{o=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(o|0){case 30:{n=17;break a;break};case 21:case 9:case 10:{break a;break};case 22:case 24:{break};default:{n=27;break a}}b=b+2|0}do{if((n|0)==17){if((b+2|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b+3|0]|0)==0){p=d[j+76+(d[b+2|0]|0)|0]|0}else{p=Gr(a[b+3|0]|0,a[b+2|0]|0)|0}if(!((p|0)==21|(p|0)==9|(p|0)==10|(p|0)==30)){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==27){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==29){k=-1;l=k;i=h;return l|0}}while(0);c[f>>2]=b;k=16;l=k;i=h;return l|0}else if((m|0)==27){k=Mr(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else if((m|0)==20){c[f>>2]=b+2;k=33;l=k;i=h;return l|0}else{c[f>>2]=b;k=0;l=k;i=h;return l|0}return 0}function Ur(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b+1|0]|0)==0){l=d[j+76+(d[b]|0)|0]|0}else{l=Gr(a[b+1|0]|0,a[b|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=43;break}if((a[b+1|0]|0)==0){n=d[j+76+(d[b]|0)|0]|0}else{n=Gr(a[b+1|0]|0,a[b|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=31;break c;break};case 7:{m=37;break c;break};case 29:{if((c[12320+((d[13600+(d[b+1|0]|0)|0]<<3)+(d[b|0]>>5)<<2)>>2]&1<<(a[b|0]&31)|0)==0){m=28;break c}break};case 9:case 10:case 21:case 32:case 11:case 30:case 36:{m=40;break c;break};case 6:{m=34;break c;break};default:{m=41;break c}}b=b+2|0}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){c[f>>2]=b;k=20;break}else if((m|0)==41){c[f>>2]=b;k=0;break}else if((m|0)==43){k=-20;break}}}while(0);i=h;return k|0}function Vr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-4}else{g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)==0){k=-1;break a}else{e=b+g|0;break}}}while(0);if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 11:{c[f>>2]=b+2;k=17;break a;break};case 2:{b=b+2|0;if((b|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 16:{k=ws(j,b+2|0,e,f)|0;break a;break};case 15:{k=rs(j,b+2|0,e,f)|0;break a;break};case 22:case 24:case 29:case 5:case 6:case 7:{c[f>>2]=b-2;k=29;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 9:{if((b+2|0)==(e|0)){c[f>>2]=e;k=-15;break a}else{n=26;break b}break};case 21:case 10:{n=26;break};case 30:{k=ls(j,b+2|0,e,f)|0;break a;break};case 35:{c[f>>2]=b+2;k=38;break a;break};case 20:{c[f>>2]=b+2;k=25;break a;break};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-26;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}if((b+2|0)==(e|0)){k=-1;break a}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=62){break}c[f>>2]=b+4;k=34;break a}}while(0)}}while(0);c[f>>2]=b;k=26;break a;break};case 31:{c[f>>2]=b+2;k=23;break a;break};case 32:{b=b+2|0;if((b|0)==(e|0)){k=-24;break a}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 15:{c[f>>2]=b+2;k=35;break a;break};case 9:case 10:case 21:case 11:case 35:case 36:case 32:{c[f>>2]=b;k=24;break a;break};case 34:{c[f>>2]=b+2;k=37;break a;break};case 33:{c[f>>2]=b+2;k=36;break a;break};default:{c[f>>2]=b;k=0;break a}}break};case 25:case 26:case 27:case 23:{p=19;b=b+2|0;n=86;break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;p=18;n=86;break b}if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){b=b+2|0;p=19;n=86;break b}else{n=85;break b}break};case 36:{c[f>>2]=b+2;k=21;break a;break};case 19:{k=xs(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{p=18;b=b+2|0;n=86;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 13:{k=vs(13,j,b+2|0,e,f)|0;break a;break};case 12:{k=vs(12,j,b+2|0,e,f)|0;break a;break};default:{n=85}}}while(0);if((n|0)==26){while(1){b=b+2|0;if((b|0)==(e|0)){n=28;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Gr(a[b|0]|0,a[b+1|0]|0)|0}if(!((q|0)==21|(q|0)==10))if((q|0)==9){if((b+2|0)==(e|0)){n=36;break}}else{break}}if((n|0)==28){c[f>>2]=b;k=15;break}c[f>>2]=b;k=15;break}else if((n|0)==85){c[f>>2]=b;k=0;break}else if((n|0)==86){c:while(1){if((b|0)==(e|0)){n=141;break}if((a[b|0]|0)==0){r=d[j+76+(d[b+1|0]|0)|0]|0}else{r=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(r|0){case 33:{n=133;break c;break};case 11:case 32:case 35:case 36:case 20:case 30:case 21:case 9:case 10:{n=105;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=93;break c}n=95;break};case 6:{n=99;break c;break};case 7:{n=102;break c;break};case 34:{n=130;break c;break};case 23:{b=b+2|0;g=p;if((g|0)==41){p=19}else if((g|0)==18){if((b|0)==(e|0)){n=108;break c}p=41;if((a[b|0]|0)==0){s=d[j+76+(d[b+1|0]|0)|0]|0}else{s=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(s|0){case 6:{n=120;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=114;break c}n=116;break};case 22:case 24:case 25:case 26:case 27:{n=116;break};case 5:{n=117;break c;break};case 7:{n=123;break c;break};default:{p=19}}if((n|0)==116){n=0;b=b+2|0}}break};case 15:{n=136;break c;break};case 22:case 24:case 25:case 26:case 27:{n=95;break};case 5:{n=96;break c;break};default:{n=139;break c}}if((n|0)==95){n=0;b=b+2|0}}if((n|0)==93){c[f>>2]=b;k=0;break}else if((n|0)==96){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==99){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==102){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==105){c[f>>2]=b;k=p;break}else if((n|0)==108){k=-1;break}else if((n|0)==114){c[f>>2]=b;k=0;break}else if((n|0)==117){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==120){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==123){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((n|0)==130){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=32;break}}else if((n|0)==133){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=31;break}}else if((n|0)==136){if((p|0)==19){c[f>>2]=b;k=0;break}else{c[f>>2]=b+2;k=30;break}}else if((n|0)==139){c[f>>2]=b;k=0;break}else if((n|0)==141){k=-p|0;break}}}}while(0);i=h;return k|0}function Wr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 2:{k=os(j,b+2|0,e,f)|0;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-5;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b;k=0;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 3:{k=ks(j,b+2|0,e,f)|0;l=k;i=h;return l|0};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=73;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Gr(a[b|0]|0,a[b+1|0]|0)|0}c:do{switch(p|0){case 3:case 2:case 0:case 1:case 8:case 9:case 10:{break b;break};case 4:{if((b+2|0)==(e|0)){o=69;break b}do{if((a[b+2|0]|0)==0){if((a[b+3|0]|0)!=93){break}if((b+4|0)==(e|0)){o=68;break b}if((a[b+4|0]|0)==0){if((a[b+5|0]|0)==62){o=67;break b}}b=b+2|0;break c}}while(0);b=b+2|0;break};case 5:{if((e-b|0)<2){o=51;break b}b=b+2|0;break};case 6:{if((e-b|0)<3){o=54;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=57;break b}b=b+4|0;break};default:{b=b+2|0}}}while(0)}if((o|0)==51){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==54){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==67){c[f>>2]=b+4;k=0;l=k;i=h;return l|0}else if((o|0)==68){o=69}else if((o|0)==73){c[f>>2]=b;k=6;l=k;i=h;return l|0}c[f>>2]=b;k=6;l=k;i=h;return l|0}function Xr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=e-b|0;do{if((g&1|0)!=0){g=g&-2;if((g|0)!=0){e=b+g|0;break}k=-1;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}a:do{switch(m|0){case 10:{c[f>>2]=b+2;k=7;l=k;i=h;return l|0};case 7:{if((e-b|0)>=4){b=b+4|0;break a}k=-2;l=k;i=h;return l|0};case 9:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0};case 5:{if((e-b|0)>=2){b=b+2|0;break a}k=-2;l=k;i=h;return l|0};case 6:{if((e-b|0)>=3){b=b+3|0;break a}k=-2;l=k;i=h;return l|0};case 0:case 1:case 8:{c[f>>2]=b;k=0;l=k;i=h;return l|0};case 4:{b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}b=b+2|0;if((b|0)==(e|0)){k=-1;l=k;i=h;return l|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=40;l=k;i=h;return l|0}}while(0);b=b-2|0;break a}}while(0);break};default:{b=b+2|0}}}while(0);b:while(1){if((b|0)==(e|0)){o=60;break}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 6:{if((e-b|0)<3){o=52;break b}b=b+3|0;break};case 7:{if((e-b|0)<4){o=55;break b}b=b+4|0;break};case 5:{if((e-b|0)<2){o=49;break b}b=b+2|0;break};case 0:case 1:case 8:case 9:case 10:case 4:{o=57;break b;break};default:{b=b+2|0}}}if((o|0)==49){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==52){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==55){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==57){c[f>>2]=b;k=6;l=k;i=h;return l|0}else if((o|0)==60){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function Yr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;g=0;k=e-b|0;if((k&1|0)!=0){k=k&-2;e=b+k|0}a:while(1){if((b|0)==(e|0)){l=45;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 0:case 1:case 8:{l=18;break a;break};case 7:{if((e-b|0)<4){l=16;break a}b=b+4|0;break};case 4:{k=b+2|0;b=k;if((k|0)==(e|0)){l=31;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=93){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=35;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}b=b+2|0;if((g|0)==0){l=39;break a}g=g-1|0}}while(0)}}while(0);break};case 5:{if((e-b|0)<2){l=10;break a}b=b+2|0;break};case 2:{k=b+2|0;b=k;if((k|0)==(e|0)){l=20;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=33){break}k=b+2|0;b=k;if((k|0)==(e|0)){l=24;break a}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=91){break}g=g+1|0;b=b+2|0}}while(0)}}while(0);break};case 6:{if((e-b|0)<3){l=13;break a}b=b+3|0;break};default:{b=b+2|0}}}if((l|0)==10){n=-2;o=n;i=h;return o|0}else if((l|0)==13){n=-2;o=n;i=h;return o|0}else if((l|0)==16){n=-2;o=n;i=h;return o|0}else if((l|0)==18){c[f>>2]=b;n=0;o=n;i=h;return o|0}else if((l|0)==20){n=-1;o=n;i=h;return o|0}else if((l|0)==24){n=-1;o=n;i=h;return o|0}else if((l|0)==31){n=-1;o=n;i=h;return o|0}else if((l|0)==35){n=-1;o=n;i=h;return o|0}else if((l|0)==39){c[f>>2]=b;n=42;o=n;i=h;return o|0}else if((l|0)==45){n=-1;o=n;i=h;return o|0}return 0}function Zr(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)==(e|0)){k=-4}else{g=b;a:while(1){if((b|0)==(e|0)){l=34;break}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 6:{b=b+3|0;break};case 3:{l=12;break a;break};case 10:{l=16;break a;break};case 9:{l=19;break a;break};case 2:{l=15;break a;break};case 5:{b=b+2|0;break};case 21:{l=29;break a;break};case 7:{b=b+4|0;break};default:{b=b+2|0}}}if((l|0)==12){if((b|0)==(g|0)){k=ks(j,b+2|0,e,f)|0;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==15){c[f>>2]=b;k=0;break}else if((l|0)==16){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==19){if((b|0)!=(g|0)){c[f>>2]=b;k=6;break}b=b+2|0;if((b|0)==(e|0)){k=-3;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((n|0)==10){b=b+2|0}c[f>>2]=b;k=7;break}else if((l|0)==29){if((b|0)==(g|0)){c[f>>2]=b+2;k=39;break}else{c[f>>2]=b;k=6;break}}else if((l|0)==34){c[f>>2]=b;k=6;break}}}while(0);i=h;return k|0}function _r(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;if((b|0)==(e|0)){k=-4;l=k;i=h;return l|0}g=b;a:while(1){if((b|0)==(e|0)){m=36;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 5:{b=b+2|0;break};case 10:{m=21;break a;break};case 6:{b=b+3|0;break};case 9:{m=24;break a;break};case 7:{b=b+4|0;break};case 3:{m=12;break a;break};case 30:{m=15;break a;break};default:{b=b+2|0}}}if((m|0)==12){if((b|0)==(g|0)){k=ks(j,b+2|0,e,f)|0;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==15){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}n=ls(j,b+2|0,e,f)|0;if((n|0)==22){o=0}else{o=n}k=o;l=k;i=h;return l|0}else if((m|0)==21){if((b|0)==(g|0)){c[f>>2]=b+2;k=7;l=k;i=h;return l|0}else{c[f>>2]=b;k=6;l=k;i=h;return l|0}}else if((m|0)==24){if((b|0)!=(g|0)){c[f>>2]=b;k=6;l=k;i=h;return l|0}b=b+2|0;if((b|0)==(e|0)){k=-3;l=k;i=h;return l|0}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((p|0)==10){b=b+2|0}c[f>>2]=b;k=7;l=k;i=h;return l|0}else if((m|0)==36){c[f>>2]=b;k=6;l=k;i=h;return l|0}return 0}function $r(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;f=i;g=b;b=c;c=e;a:while(1){if((a[b|0]|0)==0){h=d[g+76+(d[b+1|0]|0)|0]|0}else{h=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(h|0){case 29:case 22:case 23:case 24:case 25:case 26:case 27:{e=c;c=e+1|0;j=b;b=j+1|0;if((a[e]|0)!=(a[j]|0)){k=18;break a}j=c;c=j+1|0;e=b;b=e+1|0;if((a[j]|0)!=(a[e]|0)){k=20;break a}break};case 6:{k=9;break};case 7:{e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=7;break a}k=9;break};case 5:{k=12;break};default:{k=22;break a}}if((k|0)==9){k=0;j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=10;break}k=12}if((k|0)==12){k=0;e=b;b=e+1|0;j=c;c=j+1|0;if((a[e]|0)!=(a[j]|0)){k=13;break}j=b;b=j+1|0;e=c;c=e+1|0;if((a[j]|0)!=(a[e]|0)){k=15;break}}}if((k|0)==7){l=0;m=l;i=f;return m|0}else if((k|0)==10){l=0;m=l;i=f;return m|0}else if((k|0)==13){l=0;m=l;i=f;return m|0}else if((k|0)==15){l=0;m=l;i=f;return m|0}else if((k|0)==18){l=0;m=l;i=f;return m|0}else if((k|0)==20){l=0;m=l;i=f;return m|0}else if((k|0)==22){if((a[c|0]|0)==0){n=d[g+76+(d[c+1|0]|0)|0]|0}else{n=Gr(a[c|0]|0,a[c+1|0]|0)|0}switch(n|0){case 5:case 6:case 7:case 29:case 22:case 23:case 24:case 25:case 26:case 27:{l=0;m=l;i=f;return m|0};default:{l=1;m=l;i=f;return m|0}}}return 0}function as(b,c,d,e){b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;b=i;f=c;c=d;d=e;while(1){if((a[d]|0)==0){g=10;break}if((f|0)==(c|0)){g=4;break}if((a[f|0]|0)!=0){g=7;break}if((a[f+1|0]|0)!=(a[d]|0)){g=7;break}f=f+2|0;d=d+1|0}if((g|0)==4){h=0;j=h;i=b;return j|0}else if((g|0)==7){h=0;j=h;i=b;return j|0}else if((g|0)==10){h=(f|0)==(c|0)|0;j=h;i=b;return j|0}return 0}function bs(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;c=b;a:while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(g|0){case 7:{b=b+4|0;break};case 29:case 22:case 23:case 24:case 25:case 26:case 27:{b=b+2|0;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};default:{break a}}}i=e;return b-c|0}function cs(b,c){b=b|0;c=c|0;var e=0,f=0,g=0;e=i;f=b;b=c;while(1){if((a[b|0]|0)==0){g=d[f+76+(d[b+1|0]|0)|0]|0}else{g=Gr(a[b|0]|0,a[b+1|0]|0)|0}if(!((g|0)==10|(g|0)==9|(g|0)==21)){break}b=b+2|0}i=e;return b|0}function ds(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;g=1;k=0;l=0;b=b+2|0;a:while(1){if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(m|0){case 7:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+2|0;break};case 6:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b+1|0;break};case 11:case 17:{if((g|0)!=2){break a}break};case 3:{if((k|0)<(e|0)){a[f+(k<<4)+12|0]=0}break};case 12:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=12}else{if((l|0)==12){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 13:{if((g|0)!=2){if((k|0)<(e|0)){c[f+(k<<4)+4>>2]=b+2}g=2;l=13}else{if((l|0)==13){g=0;if((k|0)<(e|0)){c[f+(k<<4)+8>>2]=b}k=k+1|0}}break};case 21:{if((g|0)==1){g=0}else{b:do{if((g|0)==2){if((k|0)>=(e|0)){break}if((a[f+(k<<4)+12|0]|0)==0){break}do{if((b|0)!=(c[f+(k<<4)+4>>2]|0)){if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if((n|0)!=32){break}if((a[b+2|0]|0)==0){o=a[b+3|0]|0}else{o=-1}if((o|0)==32){break}if((a[b+2|0]|0)==0){p=d[j+76+(d[b+3|0]|0)|0]|0}else{p=Gr(a[b+2|0]|0,a[b+3|0]|0)|0}if((p|0)!=(l|0)){break b}}}while(0);a[f+(k<<4)+12|0]=0}}while(0)}break};case 29:case 22:case 24:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}break};case 5:{if((g|0)==0){if((k|0)<(e|0)){c[f+(k<<4)>>2]=b;a[f+(k<<4)+12|0]=1}g=1}b=b|0;break};case 9:case 10:{if((g|0)==1){g=0}else{do{if((g|0)==2){if((k|0)>=(e|0)){break}a[f+(k<<4)+12|0]=0}}while(0)}break};default:{}}b=b+2|0}i=h;return k|0}function es(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;b=i;d=c;c=0;d=d+4|0;do{if((a[d|0]|0)==0){if((a[d+1|0]|0)!=120){e=19;break}d=d+2|0;while(1){if((a[d|0]|0)==0){f=(a[d+1|0]|0)==59}else{f=0}if(!(f^1)){e=18;break}if((a[d|0]|0)==0){g=a[d+1|0]|0}else{g=-1}h=g;switch(h|0){case 65:case 66:case 67:case 68:case 69:case 70:{c=c<<4;c=c+(h-65+10)|0;break};case 97:case 98:case 99:case 100:case 101:case 102:{c=c<<4;c=c+(h-97+10)|0;break};case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:{c=c<<4;c=c|h-48;break};default:{}}if((c|0)>=1114112){break}d=d+2|0}if((e|0)==18){break}j=-1;k=j;i=b;return k|0}else{e=19}}while(0);do{if((e|0)==19){while(1){if((a[d|0]|0)==0){l=(a[d+1|0]|0)==59}else{l=0}if(!(l^1)){e=30;break}if((a[d|0]|0)==0){m=a[d+1|0]|0}else{m=-1}c=c*10|0;c=c+(m-48)|0;if((c|0)>=1114112){break}d=d+2|0}if((e|0)==30){break}j=-1;k=j;i=b;return k|0}}while(0);j=Uq(c)|0;k=j;i=b;return k|0}function fs(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;b=i;e=c;c=(d-e|0)/2|0;if((c|0)==4){if((a[e|0]|0)==0){f=a[e+1|0]|0}else{f=-1}if((f|0)==97){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=115){break}g=39;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((f|0)==113){e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=117){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=111){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=116){break}g=34;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}}else if((c|0)==3){do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=97){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=109){break}e=e+2|0;do{if((a[e|0]|0)==0){if((a[e+1|0]|0)!=112){break}g=38;h=g;i=b;return h|0}}while(0)}}while(0)}}while(0)}else if((c|0)==2){do{if((a[e+2|0]|0)==0){if((a[e+3|0]|0)!=116){break}if((a[e|0]|0)==0){j=a[e+1|0]|0}else{j=-1}if((j|0)==103){g=62;h=g;i=b;return h|0}else if((j|0)==108){g=60;h=g;i=b;return h|0}else{break}}}while(0)}g=0;h=g;i=b;return h|0}function gs(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0;h=i;j=b;b=e;e=f;f=g;while(1){if(!(b>>>0<e>>>0)){break}if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(k|0){case 9:{g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((l|0)!=10){break}b=b+2|0}}while(0);c[f+4>>2]=-1;break};case 7:{b=b+4|0;break};case 10:{c[f+4>>2]=-1;g=f|0;c[g>>2]=(c[g>>2]|0)+1;b=b+2|0;break};case 5:{b=b+2|0;break};case 6:{b=b+3|0;break};default:{b=b+2|0}}g=f+4|0;c[g>>2]=(c[g>>2]|0)+1}i=h;return}function hs(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;j=b;b=e;e=f;f=g;b=b+2|0;e=e-2|0;a:while(1){if((b|0)==(e|0)){k=27;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 26:case 22:{if((a[b|0]|0)==0){m=a[b+1|0]|0}else{m=-1}if((m&-128|0)!=0){k=18;break b}else{break b}break};case 25:case 24:case 27:case 13:case 31:case 32:case 34:case 35:case 17:case 14:case 15:case 9:case 10:case 18:case 16:case 33:case 30:case 19:case 23:{break};case 21:{if((a[b|0]|0)==0){if((a[b+1|0]|0)==9){k=10;break a}}break};default:{k=18}}}while(0);if((k|0)==18){k=0;if((a[b|0]|0)==0){n=a[b+1|0]|0}else{n=-1}if(!((n|0)==36|(n|0)==64)){k=23;break}}b=b+2|0}if((k|0)==10){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==23){c[f>>2]=b;o=0;p=o;i=h;return p|0}else if((k|0)==27){o=1;p=o;i=h;return p|0}return 0}function is(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;b=i;h=d;d=e;e=f;f=g;g=c[h>>2]|0;a:while(1){if((g|0)==(d|0)){j=20;break}k=a[g+1|0]|0;l=a[g|0]|0;b:do{switch(l&255|0){case 216:case 217:case 218:case 219:{if((f-(c[e>>2]|0)|0)<4){j=16;break a}m=((l&3)<<2|(k&255)>>6&3)+1|0;n=e;o=c[n>>2]|0;c[n>>2]=o+1;a[o]=m>>2|240;o=e;n=c[o>>2]|0;c[o>>2]=n+1;a[n]=(k&255)>>2&15|(m&3)<<4|128;g=g+2|0;m=a[g+1|0]|0;n=((k&3)<<4|(a[g|0]&3)<<2|(m&255)>>6|128)&255;o=e;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;n=e;p=c[n>>2]|0;c[n>>2]=p+1;a[p]=m&63|128;break};case 1:case 2:case 3:case 4:case 5:case 6:case 7:{j=9;break};case 0:{if((k&255|0)>=128){j=9;break b}if((c[e>>2]|0)==(f|0)){j=6;break a}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=k;break};default:{if((f-(c[e>>2]|0)|0)<3){j=13;break a}p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=(l&255)>>4|224;m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(l&15)<<2|(k&255)>>6|128;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}}}while(0);if((j|0)==9){j=0;if((f-(c[e>>2]|0)|0)<2){j=10;break}m=e;p=c[m>>2]|0;c[m>>2]=p+1;a[p]=(k&255)>>6|(l&255)<<2|192;p=e;m=c[p>>2]|0;c[p>>2]=m+1;a[m]=k&63|128}g=g+2|0}if((j|0)==6){c[h>>2]=g;i=b;return}else if((j|0)==10){c[h>>2]=g;i=b;return}else if((j|0)==13){c[h>>2]=g;i=b;return}else if((j|0)==16){c[h>>2]=g;i=b;return}else if((j|0)==20){c[h>>2]=g;i=b;return}}function js(e,f,g,h,j){e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;var k=0,l=0,m=0,n=0;e=i;k=f;f=g;g=h;h=j;do{if((f-(c[k>>2]|0)|0)>(((h-(c[g>>2]|0)|0)/2|0)<<1|0)){if((a[f-2|0]&248|0)!=216){break}f=f-2|0}}while(0);while(1){if((c[k>>2]|0)!=(f|0)){l=(c[g>>2]|0)!=(h|0)}else{l=0}if(!l){break}j=((d[c[k>>2]|0]|0)<<8|(d[(c[k>>2]|0)+1|0]|0))&65535;m=g;n=c[m>>2]|0;c[m>>2]=n+2;b[n>>1]=j;j=k;c[j>>2]=(c[j>>2]|0)+2}i=e;return}function ks(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 19:{k=ms(j,b+2|0,e,f)|0;break a;break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 7:{m=38;break c;break};case 6:{m=35;break c;break};case 18:{m=41;break c;break};case 5:{m=32;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=9;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function ls(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 21:case 10:case 9:case 30:{c[f>>2]=b;k=22;break a;break};case 22:case 24:{break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=44;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 22:case 24:case 25:case 26:case 27:{break};case 5:{m=32;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=29;break c}break};case 7:{m=38;break c;break};case 18:{m=41;break c;break};case 6:{m=35;break c;break};default:{m=42;break c}}b=b+2|0}if((m|0)==29){c[f>>2]=b;k=0;break}else if((m|0)==32){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==35){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==38){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==41){c[f>>2]=b+2;k=28;break}else if((m|0)==42){c[f>>2]=b;k=0;break}else if((m|0)==44){k=-1;break}}}while(0);i=h;return k|0}function ms(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=120){break}k=ns(j,b+2|0,e,f)|0;l=k;i=h;return l|0}}while(0);if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)!=25){c[f>>2]=b;k=0;l=k;i=h;return l|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=22;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=18;break}else if((o|0)!=25){n=19;break}b=b+2|0}if((n|0)==18){c[f>>2]=b+2;k=10;l=k;i=h;return l|0}else if((n|0)==19){c[f>>2]=b;k=0;l=k;i=h;return l|0}else if((n|0)==22){break}}}while(0);k=-1;l=k;i=h;return l|0}function ns(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;do{if((b|0)!=(e|0)){if((a[b|0]|0)==0){k=d[j+76+(d[b+1|0]|0)|0]|0}else{k=Gr(a[b|0]|0,a[b+1|0]|0)|0}if(!((k|0)==25|(k|0)==24)){c[f>>2]=b;l=0;m=l;i=h;return m|0}b=b+2|0;while(1){if((b|0)==(e|0)){n=19;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==18){n=15;break}else if(!((o|0)==25|(o|0)==24)){n=16;break}b=b+2|0}if((n|0)==15){c[f>>2]=b+2;l=10;m=l;i=h;return m|0}else if((n|0)==16){c[f>>2]=b;l=0;m=l;i=h;return m|0}else if((n|0)==19){break}}}while(0);l=-1;m=l;i=h;return m|0}function os(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 22:case 24:{break};case 15:{k=rs(j,b+2|0,e,f)|0;break a;break};case 17:{k=ss(j,b+2|0,e,f)|0;break a;break};case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 16:{g=b+2|0;b=g;if((g|0)==(e|0)){k=-1;break a}if((a[b|0]|0)==0){m=d[j+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((m|0)==20){k=qs(j,b+2|0,e,f)|0;break a}else if((m|0)==27){k=ps(j,b+2|0,e,f)|0;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;g=0;c:while(1){if((b|0)==(e|0)){n=110;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 21:case 9:case 10:{n=74;break c;break};case 5:{n=42;break c;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=39;break c}n=41;break};case 6:{n=45;break c;break};case 22:case 24:case 25:case 26:case 27:{n=41;break};case 7:{n=48;break c;break};case 11:{n=99;break c;break};case 17:{n=101;break c;break};case 23:{if((g|0)!=0){n=52;break c}g=1;b=b+2|0;if((b|0)==(e|0)){n=54;break c}if((a[b|0]|0)==0){p=d[j+76+(d[b+1|0]|0)|0]|0}else{p=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=60;break c}break};case 7:{n=69;break c;break};case 22:case 24:{break};case 5:{n=63;break c;break};case 6:{n=66;break c;break};default:{n=72;break c}}b=b+2|0;break};default:{n=108;break c}}if((n|0)==41){n=0;b=b+2|0}}d:do{if((n|0)==39){c[f>>2]=b;k=0;break a}else if((n|0)==42){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==45){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==48){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==52){c[f>>2]=b;k=0;break a}else if((n|0)==54){k=-1;break a}else if((n|0)==60){c[f>>2]=b;k=0;break a}else if((n|0)==63){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==66){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==69){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==72){c[f>>2]=b;k=0;break a}else if((n|0)==74){b=b+2|0;e:while(1){if((b|0)==(e|0)){n=98;break}if((a[b|0]|0)==0){q=d[j+76+(d[b+1|0]|0)|0]|0}else{q=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(q|0){case 22:case 24:{break e;break};case 5:{n=84;break e;break};case 11:{n=93;break e;break};case 6:{n=87;break e;break};case 17:{n=94;break e;break};case 21:case 9:case 10:{break};case 29:{n=80;break e;break};case 7:{n=90;break e;break};default:{n=96;break e}}b=b+2|0}do{if((n|0)==80){if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break}else{c[f>>2]=b;k=0;break a}}else if((n|0)==84){if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==87){if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==90){if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}}else if((n|0)==93){n=100;break d}else if((n|0)==94){break d}else if((n|0)==96){c[f>>2]=b;k=0;break a}else if((n|0)==98){k=-1;break a}}while(0);b=b+2|0;k=ts(j,b,e,f)|0;break a}else if((n|0)==99){n=100}else if((n|0)!=101)if((n|0)==108){c[f>>2]=b;k=0;break a}else if((n|0)==110){k=-1;break a}}while(0);if((n|0)==100){c[f>>2]=b+2;k=2;break}b=b+2|0;if((b|0)==(e|0)){k=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;k=4;break a}}while(0);c[f>>2]=b;k=0}}while(0);i=h;return k|0}function ps(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)!=(e|0)){do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=45){break}b=b+2|0;b:while(1){if((b|0)==(e|0)){k=34;break}if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(l|0){case 0:case 1:case 8:{k=20;break b;break};case 7:{if((e-b|0)<4){k=18;break b}b=b+4|0;break};case 6:{if((e-b|0)<3){k=15;break b}b=b+3|0;break};case 5:{if((e-b|0)<2){k=12;break b}b=b+2|0;break};case 27:{g=b+2|0;b=g;if((g|0)==(e|0)){k=22;break b}if((a[b|0]|0)==0){if((a[b+1|0]|0)==45){k=25;break b}}break};default:{b=b+2|0}}}if((k|0)==12){m=-2;n=m;i=h;return n|0}else if((k|0)==15){m=-2;n=m;i=h;return n|0}else if((k|0)==18){m=-2;n=m;i=h;return n|0}else if((k|0)==20){c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==22){m=-1;n=m;i=h;return n|0}else if((k|0)==25){g=b+2|0;b=g;if((g|0)==(e|0)){m=-1;n=m;i=h;return n|0}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;m=13;n=m;i=h;return n|0}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}else if((k|0)==34){break a}}}while(0);c[f>>2]=b;m=0;n=m;i=h;return n|0}}while(0);m=-1;n=m;i=h;return n|0}function qs(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;b=i;g=d;d=f;if((e-g|0)<12){h=-1;j=h;i=b;return j|0}e=0;while(1){if((e|0)>=6){k=10;break}if((a[g|0]|0)!=0){k=7;break}if((a[g+1|0]|0)!=(a[19656+e|0]|0)){k=7;break}e=e+1|0;g=g+2|0}if((k|0)==7){c[d>>2]=g;h=0;j=h;i=b;return j|0}else if((k|0)==10){c[d>>2]=g;h=8;j=h;i=b;return j|0}return 0}function rs(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=b;b=e;e=f;f=g;g=b;a:do{if((b|0)==(e|0)){l=-1}else{if((a[b|0]|0)==0){m=d[k+76+(d[b+1|0]|0)|0]|0}else{m=Gr(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(m|0){case 6:{if((e-b|0)<3){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 5:{if((e-b|0)<2){l=-2;break a}else{c[f>>2]=b;l=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;l=0;break a}break};default:{c[f>>2]=b;l=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){n=77;break}if((a[b|0]|0)==0){o=d[k+76+(d[b+1|0]|0)|0]|0}else{o=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(o|0){case 21:case 9:case 10:{n=40;break c;break};case 7:{n=37;break c;break};case 5:{n=31;break c;break};case 15:{n=67;break c;break};case 22:case 24:case 25:case 26:case 27:{break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){n=28;break c}break};case 6:{n=34;break c;break};default:{break c}}b=b+2|0}if((n|0)==28){c[f>>2]=b;l=0;break}else if((n|0)==31){if((e-b|0)<2){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==34){if((e-b|0)<3){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==37){if((e-b|0)<4){l=-2;break}else{c[f>>2]=b;l=0;break}}else if((n|0)==40){if((us(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;d:while(1){if((b|0)==(e|0)){n=66;break}if((a[b|0]|0)==0){p=d[k+76+(d[b+1|0]|0)|0]|0}else{p=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(p|0){case 15:{b=b+2|0;if((b|0)==(e|0)){n=59;break d}if((a[b|0]|0)==0){if((a[b+1|0]|0)==62){n=62;break d}}break};case 5:{if((e-b|0)<2){n=49;break d}b=b+2|0;break};case 6:{if((e-b|0)<3){n=52;break d}b=b+3|0;break};case 0:case 1:case 8:{n=57;break d;break};case 7:{if((e-b|0)<4){n=55;break d}b=b+4|0;break};default:{b=b+2|0}}}if((n|0)==49){l=-2;break}else if((n|0)==52){l=-2;break}else if((n|0)==55){l=-2;break}else if((n|0)==57){c[f>>2]=b;l=0;break}else if((n|0)==59){l=-1;break}else if((n|0)==62){c[f>>2]=b+2;l=c[j>>2]|0;break}else if((n|0)==66){l=-1;break}}else if((n|0)==67){if((us(k,g,b,j)|0)==0){c[f>>2]=b;l=0;break}b=b+2|0;if((b|0)==(e|0)){l=-1;break}do{if((a[b|0]|0)==0){if((a[b+1|0]|0)!=62){break}c[f>>2]=b+2;l=c[j>>2]|0;break a}}while(0)}else if((n|0)==77){l=-1;break}c[f>>2]=b;l=0}}while(0);i=h;return l|0}function ss(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0;h=i;j=b;b=e;e=f;f=g;a:do{if((b|0)==(e|0)){k=-1}else{if((a[b|0]|0)==0){l=d[j+76+(d[b+1|0]|0)|0]|0}else{l=Gr(a[b|0]|0,a[b+1|0]|0)|0}b:do{switch(l|0){case 5:{if((e-b|0)<2){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 29:{if((c[12320+((d[8704+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)!=0){break b}else{c[f>>2]=b;k=0;break a}break};case 22:case 24:{break};case 7:{if((e-b|0)<4){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};case 6:{if((e-b|0)<3){k=-2;break a}else{c[f>>2]=b;k=0;break a}break};default:{c[f>>2]=b;k=0;break a}}}while(0);b=b+2|0;c:while(1){if((b|0)==(e|0)){m=56;break}if((a[b|0]|0)==0){n=d[j+76+(d[b+1|0]|0)|0]|0}else{n=Gr(a[b|0]|0,a[b+1|0]|0)|0}switch(n|0){case 11:{m=53;break c;break};case 23:{b=b+2|0;break};case 29:{if((c[12320+((d[13600+(d[b|0]|0)|0]<<3)+(d[b+1|0]>>5)<<2)>>2]&1<<(a[b+1|0]&31)|0)==0){m=28;break c}m=30;break};case 22:case 24:case 25:case 26:case 27:{m=30;break};case 5:{m=31;break c;break};case 6:{m=34;break c;break};case 7:{m=37;break c;break};case 21:case 9:case 10:{m=40;break c;break};default:{m=54;break c}}if((m|0)==30){m=0;b=b+2|0}}if((m|0)==28){c[f>>2]=b;k=0;break}else if((m|0)==31){if((e-b|0)<2){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==34){if((e-b|0)<3){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==37){if((e-b|0)<4){k=-2;break}else{c[f>>2]=b;k=0;break}}else if((m|0)==40){b=b+2|0;while(1){if((b|0)==(e|0)){m=51;break}if((a[b|0]|0)==0){o=d[j+76+(d[b+1|0]|0)|0]|0}else{o=Gr(a[b|0]|0,a[b+1|0]|0)|0}if((o|0)==11){m=47;break}else if(!((o|0)==21|(o|0)==9|(o|0)==10)){m=48;break}b=b+2|0}if((m|0)==47){c[f>>2]=b+2;k=5;break}else if((m|0)==48){c[f>>2]=b;k=0;break}else if((m|0)==51){k=-1;break}}else if((m|0)==53){c[f>>2]=b+2;k=5;break}else if((m|0)==54){c[f>>2]=b;k=0;break}else if((m|0)==56){k=-1;break}}}while(0);i=h;return k|0}function ts(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+8|0;j=h|0;k=b;c[j>>2]=e;e=f;f=g;g=0;a:while(1){if((c[j>>2]|0)==(e|0)){l=141;break}if((a[c[j>>2]|0]|0)==0){m=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{m=Gr(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(m|0){case 22:case 24:case 25:case 26:case 27:{l=10;break};case 6:{l=14;break a;break};case 14:{l=56;break};case 7:{l=17;break a;break};case 29:{if((c[12320+((d[13600+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=8;break a}l=10;break};case 21:case 9:case 10:{while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=45;break a}if((a[c[j>>2]|0]|0)==0){n=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{n=Gr(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}b=n;if((b|0)==14){break}o=b;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=53;break a}}l=56;break};case 5:{l=11;break a;break};case 23:{if((g|0)!=0){l=21;break a}g=1;c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=23;break a}if((a[c[j>>2]|0]|0)==0){p=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{p=Gr(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(p|0){case 29:{if((c[12320+((d[8704+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=29;break a}break};case 22:case 24:{break};case 6:{l=35;break a;break};case 7:{l=38;break a;break};case 5:{l=32;break a;break};default:{l=41;break a}}c[j>>2]=(c[j>>2]|0)+2;break};default:{l=139;break a}}if((l|0)==10){l=0;c[j>>2]=(c[j>>2]|0)+2}else if((l|0)==56){l=0;g=0;while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=58;break a}if((a[c[j>>2]|0]|0)==0){q=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{q=Gr(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}r=q;if((r|0)==12){break}if((r|0)==13){break}o=r;if(!((o|0)==21|(o|0)==10|(o|0)==9)){l=67;break a}}c[j>>2]=(c[j>>2]|0)+2;while(1){if((c[j>>2]|0)==(e|0)){l=71;break a}if((a[c[j>>2]|0]|0)==0){s=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{s=Gr(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}o=s;if((o|0)==(r|0)){break}switch(o|0){case 6:{if((e-(c[j>>2]|0)|0)<3){l=82;break a}c[j>>2]=(c[j>>2]|0)+3;break};case 2:{l=93;break a;break};case 7:{if((e-(c[j>>2]|0)|0)<4){l=85;break a}c[j>>2]=(c[j>>2]|0)+4;break};case 0:case 1:case 8:{l=87;break a;break};case 3:{t=ks(k,(c[j>>2]|0)+2|0,e,j)|0;if((t|0)<=0){l=89;break a}break};case 5:{if((e-(c[j>>2]|0)|0)<2){l=79;break a}c[j>>2]=(c[j>>2]|0)+2;break};default:{c[j>>2]=(c[j>>2]|0)+2}}}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=97;break}if((a[c[j>>2]|0]|0)==0){u=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{u=Gr(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(u|0){case 17:{l=103;break a;break};case 11:{l=104;break a;break};case 21:case 9:case 10:{break};default:{l=105;break a}}b:while(1){c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){l=108;break a}if((a[c[j>>2]|0]|0)==0){v=d[k+76+(d[(c[j>>2]|0)+1|0]|0)|0]|0}else{v=Gr(a[c[j>>2]|0]|0,a[(c[j>>2]|0)+1|0]|0)|0}switch(v|0){case 29:{l=113;break b;break};case 22:case 24:{break b;break};case 5:{l=117;break a;break};case 6:{l=120;break a;break};case 7:{l=123;break a;break};case 21:case 9:case 10:{break};case 11:{l=127;break a;break};case 17:{l=129;break a;break};default:{l=136;break a}}}if((l|0)==113){l=0;if((c[12320+((d[8704+(d[c[j>>2]|0]|0)|0]<<3)+(d[(c[j>>2]|0)+1|0]>>5)<<2)>>2]&1<<(a[(c[j>>2]|0)+1|0]&31)|0)==0){l=114;break}}c[j>>2]=(c[j>>2]|0)+2}}if((l|0)==8){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==11){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==14){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==17){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==21){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==23){w=-1;x=w;i=h;return x|0}else if((l|0)==29){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==32){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==35){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==38){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==41){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==45){w=-1;x=w;i=h;return x|0}else if((l|0)==53){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==58){w=-1;x=w;i=h;return x|0}else if((l|0)==67){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==71){w=-1;x=w;i=h;return x|0}else if((l|0)==79){w=-2;x=w;i=h;return x|0}else if((l|0)==82){w=-2;x=w;i=h;return x|0}else if((l|0)==85){w=-2;x=w;i=h;return x|0}else if((l|0)==87){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==89){if((t|0)==0){c[f>>2]=c[j>>2]}w=t;x=w;i=h;return x|0}else if((l|0)==93){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==97){w=-1;x=w;i=h;return x|0}else if((l|0)!=103)if((l|0)==104){l=128}else if((l|0)==105){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==108){w=-1;x=w;i=h;return x|0}else if((l|0)==114){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==117){if((e-(c[j>>2]|0)|0)<2){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==120){if((e-(c[j>>2]|0)|0)<3){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==123){if((e-(c[j>>2]|0)|0)<4){w=-2;x=w;i=h;return x|0}else{c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}}else if((l|0)==127){l=128}else if((l|0)!=129)if((l|0)==136){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==139){c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}else if((l|0)==141){w=-1;x=w;i=h;return x|0}if((l|0)==128){c[f>>2]=(c[j>>2]|0)+2;w=1;x=w;i=h;return x|0}c[j>>2]=(c[j>>2]|0)+2;if((c[j>>2]|0)==(e|0)){w=-1;x=w;i=h;return x|0}do{if((a[c[j>>2]|0]|0)==0){if((a[(c[j>>2]|0)+1|0]|0)!=62){break}c[f>>2]=(c[j>>2]|0)+2;w=3;x=w;i=h;return x|0}}while(0);c[f>>2]=c[j>>2];w=0;x=w;i=h;return x|0}



function dn(a){a=a|0;_f(a);$f(a);bg(a);cg(a);dg(a);eg(a);fg(a);gg(a);hg(a);ig(a);jg(a);kg(a);lg(a);mg(a);ng(a);og(a);pg(a);qg(a);rg(a);sg(a);tg(a);ug(a);vg(a);wg(a);xg(a);yg(a);zg(a);Ag(a);Bg(a);Cg(a);Dg(a);Eg(a);Fg(a);Gg(a);Hg(a);Ig(a);Jg(a);Kg(a);Lg(a);Mg(a);Ng(a);Og(a);Pg(a);Qg(a);Rg(a);Sg(a);Tg(a);Sf(a);Tf(a);Uf(a);Vf(a);Wf(a);Xf(a);Yf(a);Zf(a);Nf(a);Of(a);Pf(a);Qf(a);Rf(a);If(a);Jf(a);Kf(a);Lf(a);Mf(a);Af(a);Bf(a);Cf(a);Df(a);Ef(a);Ff(a);Gf(a);Hf(a);vf(a);wf(a);xf(a);yf(a);zf(a);qf(a);rf(a);sf(a);tf(a);uf(a);hf(a);jf(a);kf(a);lf(a);mf(a);nf(a);of(a);pf(a);cf(a);df(a);ef(a);ff(a);gf(a);Ze(a);_e(a);$e(a);af(a);bf(a);Re(a);Se(a);Te(a);Ue(a);Ve(a);We(a);Xe(a);Ye(a);Me(a);Ne(a);Oe(a);Pe(a);Qe(a);He(a);Ie(a);Je(a);Ke(a);Le(a);return}function en(b){b=b|0;var d=0,e=0;d=i;if(a[1624440]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+452>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+452>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1599504,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+452>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624448,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624440]=1;i=d;return}function fn(b){b=b|0;var d=0,e=0;d=i;if(a[1624408]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+448>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+448>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(72432,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+448>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624416,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624408]=1;i=d;return}function gn(b){b=b|0;var d=0,e=0;d=i;if(a[1624400]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+444>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+444>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(61040,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+444>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624400]=1;i=d;return}function hn(b){b=b|0;var d=0,e=0;d=i;if(a[1624392]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+440>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+440>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(52280,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+440>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624392]=1;i=d;return}function jn(b){b=b|0;var d=0,e=0;d=i;if(a[1624384]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+436>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+436>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(43904,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+436>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624384]=1;i=d;return}function kn(b){b=b|0;var d=0,e=0;d=i;if(a[1624376]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+432>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+432>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(36712,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+432>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624376]=1;i=d;return}function ln(b){b=b|0;var d=0,e=0;d=i;if(a[1624368]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+428>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+428>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(30576,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+428>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624368]=1;i=d;return}function mn(b){b=b|0;var d=0,e=0;d=i;if(a[1624360]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+424>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+424>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(24600,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+424>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624360]=1;i=d;return}function nn(b){b=b|0;var d=0,e=0;d=i;if(a[1624352]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+420>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+420>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1610432,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+420>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624352]=1;i=d;return}function on(b){b=b|0;var d=0,e=0;d=i;if(a[1624344]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+416>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+416>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1603904,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+416>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624344]=1;i=d;return}function pn(b){b=b|0;var d=0,e=0;d=i;if(a[1624336]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+412>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+412>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1600032,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+412>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624336]=1;i=d;return}function qn(b){b=b|0;var d=0,e=0;d=i;if(a[1624328]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+408>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+408>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1596984,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+408>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624328]=1;i=d;return}function rn(b){b=b|0;var d=0,e=0;d=i;if(a[1624320]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+404>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+404>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1594920,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+404>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624320]=1;i=d;return}function sn(b){b=b|0;var d=0,e=0;d=i;if(a[1624312]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+400>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+400>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1593536,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+400>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624312]=1;i=d;return}function tn(b){b=b|0;var d=0,e=0;d=i;if(a[1624304]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+396>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+396>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1592368,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+396>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624304]=1;i=d;return}function un(b){b=b|0;var d=0,e=0;d=i;if(a[1624296]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+392>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+392>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1591144,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+392>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624296]=1;i=d;return}function vn(b){b=b|0;var d=0,e=0;d=i;if(a[1624288]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+388>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+388>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1590120,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+388>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624288]=1;i=d;return}function wn(b){b=b|0;var d=0,e=0;d=i;if(a[1624280]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+384>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+384>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1589304,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+384>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624280]=1;i=d;return}function xn(b){b=b|0;var d=0,e=0;d=i;if(a[1624272]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+380>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+380>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1588248,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+380>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624272]=1;i=d;return}function yn(b){b=b|0;var d=0,e=0;d=i;if(a[1624264]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+376>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+376>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1587216,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+376>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624264]=1;i=d;return}function zn(b){b=b|0;var d=0,e=0;d=i;if(a[1624256]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+372>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+372>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1585976,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+372>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624256]=1;i=d;return}function An(b){b=b|0;var d=0,e=0;d=i;if(a[1624248]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+368>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+368>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1336576,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+368>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624248]=1;i=d;return}function Bn(b){b=b|0;var d=0,e=0;d=i;if(a[1624240]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+364>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+364>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(81552,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+364>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624240]=1;i=d;return}function Cn(b){b=b|0;var d=0,e=0;d=i;if(a[1624232]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+360>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+360>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(80504,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+360>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624232]=1;i=d;return}function Dn(b){b=b|0;var d=0,e=0;d=i;if(a[1624224]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+356>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+356>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(79304,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+356>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624224]=1;i=d;return}function En(b){b=b|0;var d=0,e=0;d=i;if(a[1624216]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+352>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+352>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(78136,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+352>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624216]=1;i=d;return}function Fn(b){b=b|0;var d=0,e=0;d=i;if(a[1624208]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+348>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+348>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(77112,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+348>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624208]=1;i=d;return}function Gn(b){b=b|0;var d=0,e=0;d=i;if(a[1624200]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+344>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+344>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(76192,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+344>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624200]=1;i=d;return}function Hn(b){b=b|0;var d=0,e=0;d=i;if(a[1624192]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+340>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+340>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(75224,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+340>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624192]=1;i=d;return}function In(b){b=b|0;var d=0,e=0;d=i;if(a[1624184]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+336>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+336>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(74088,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+336>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624184]=1;i=d;return}function Jn(b){b=b|0;var d=0,e=0;d=i;if(a[1624176]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+332>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+332>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(72640,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+332>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624176]=1;i=d;return}function Kn(b){b=b|0;var d=0,e=0;d=i;if(a[1624168]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+328>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+328>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(71488,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+328>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624168]=1;i=d;return}function Ln(b){b=b|0;var d=0,e=0;d=i;if(a[1624160]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+324>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+324>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(70376,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+324>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624160]=1;i=d;return}function Mn(b){b=b|0;var d=0,e=0;d=i;if(a[1624152]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+320>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+320>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(69504,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+320>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624152]=1;i=d;return}function Nn(b){b=b|0;var d=0,e=0;d=i;if(a[1624144]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+316>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+316>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(68384,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+316>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624144]=1;i=d;return}function On(b){b=b|0;var d=0,e=0;d=i;if(a[1624136]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+312>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+312>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(67384,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+312>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624136]=1;i=d;return}function Pn(b){b=b|0;var d=0,e=0;d=i;if(a[1624104]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+308>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+308>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(65928,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+308>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624112,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624104]=1;i=d;return}function Qn(b){b=b|0;var d=0,e=0;d=i;if(a[1624096]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+304>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+304>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(65008,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+304>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624096]=1;i=d;return}function Rn(b){b=b|0;var d=0,e=0;d=i;if(a[1624064]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+300>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+300>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(63936,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+300>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624072,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624064]=1;i=d;return}function Sn(b){b=b|0;var d=0,e=0;d=i;if(a[1624056]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+296>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+296>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(62640,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+296>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624056]=1;i=d;return}function Tn(b){b=b|0;var d=0,e=0;d=i;if(a[1624048]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+292>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+292>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(61296,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+292>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624048]=1;i=d;return}function Un(b){b=b|0;var d=0,e=0;d=i;if(a[1624040]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+288>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+288>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(60328,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+288>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624040]=1;i=d;return}function Vn(b){b=b|0;var d=0,e=0;d=i;if(a[1624528]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+284>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+284>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(59288,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+284>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624528]=1;i=d;return}function Wn(b){b=b|0;var d=0,e=0;d=i;if(a[1624520]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+280>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+280>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(58536,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+280>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624520]=1;i=d;return}function Xn(b){b=b|0;var d=0,e=0;d=i;if(a[1624512]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+272>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+272>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(57744,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+272>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624512]=1;i=d;return}function Yn(b){b=b|0;var d=0,e=0;d=i;if(a[1624504]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+276>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+276>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(56912,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+276>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624504]=1;i=d;return}function Zn(b){b=b|0;var d=0,e=0;d=i;if(a[1624496]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+268>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+268>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(56304,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+268>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624496]=1;i=d;return}function _n(b){b=b|0;var d=0,e=0;d=i;if(a[1624488]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+264>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+264>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(55416,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+264>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624488]=1;i=d;return}function $n(b){b=b|0;var d=0,e=0;d=i;if(a[1624480]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+260>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+260>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(54480,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+260>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624480]=1;i=d;return}function ao(b){b=b|0;var d=0,e=0;d=i;if(a[1624472]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+256>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+256>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(53736,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+256>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624472]=1;i=d;return}function bo(b){b=b|0;var d=0,e=0;d=i;if(a[1624568]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+252>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+252>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(52536,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+252>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624568]=1;i=d;return}function co(b){b=b|0;var d=0,e=0;d=i;if(a[1624560]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+248>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+248>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(51456,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+248>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624560]=1;i=d;return}function eo(b){b=b|0;var d=0,e=0;d=i;if(a[1624552]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+244>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+244>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(50640,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+244>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624552]=1;i=d;return}function fo(b){b=b|0;var d=0,e=0;d=i;if(a[1624544]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+240>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+240>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(49912,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+240>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624544]=1;i=d;return}function go(b){b=b|0;var d=0,e=0;d=i;if(a[1624536]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+236>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+236>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(49232,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+236>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624536]=1;i=d;return}function ho(b){b=b|0;var d=0,e=0;d=i;if(a[1624608]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+232>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+232>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(48384,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+232>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624608]=1;i=d;return}function io(b){b=b|0;var d=0,e=0;d=i;if(a[1624600]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+228>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+228>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(47728,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+228>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624600]=1;i=d;return}function jo(b){b=b|0;var d=0,e=0;d=i;if(a[1624592]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+224>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+224>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(46992,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+224>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624592]=1;i=d;return}function ko(b){b=b|0;var d=0,e=0;d=i;if(a[1624584]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+220>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+220>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(46296,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+220>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624584]=1;i=d;return}function lo(b){b=b|0;var d=0,e=0;d=i;if(a[1624576]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+216>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+216>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(45488,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+216>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624576]=1;i=d;return}function mo(b){b=b|0;var d=0,e=0;d=i;if(a[1624672]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+212>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+212>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(44160,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+212>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624672]=1;i=d;return}function no(b){b=b|0;var d=0,e=0;d=i;if(a[1624664]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+208>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+208>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(43184,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+208>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624664]=1;i=d;return}function oo(b){b=b|0;var d=0,e=0;d=i;if(a[1624656]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+200>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+200>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(42408,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+200>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624656]=1;i=d;return}function po(b){b=b|0;var d=0,e=0;d=i;if(a[1624648]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+204>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+204>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(41800,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+204>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624648]=1;i=d;return}function qo(b){b=b|0;var d=0,e=0;d=i;if(a[1624640]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+196>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+196>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(41048,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+196>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624640]=1;i=d;return}function ro(b){b=b|0;var d=0,e=0;d=i;if(a[1624632]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+192>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+192>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(40304,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+192>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624632]=1;i=d;return}function so(b){b=b|0;var d=0,e=0;d=i;if(a[1624624]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+188>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+188>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(39552,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+188>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624624]=1;i=d;return}function to(b){b=b|0;var d=0,e=0;d=i;if(a[1624616]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+184>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+184>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(38960,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+184>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624616]=1;i=d;return}function uo(b){b=b|0;var d=0,e=0;d=i;if(a[1624712]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+180>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+180>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(38448,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+180>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624712]=1;i=d;return}function vo(b){b=b|0;var d=0,e=0;d=i;if(a[1624704]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+176>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+176>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(37832,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+176>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624704]=1;i=d;return}function wo(b){b=b|0;var d=0,e=0;d=i;if(a[1624696]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+172>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+172>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(36944,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+172>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624696]=1;i=d;return}function xo(b){b=b|0;var d=0,e=0;d=i;if(a[1624688]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+168>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+168>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(36176,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+168>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624688]=1;i=d;return}function yo(b){b=b|0;var d=0,e=0;d=i;if(a[1624680]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+164>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+164>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(35584,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+164>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624680]=1;i=d;return}function zo(b){b=b|0;var d=0,e=0;d=i;if(a[1624752]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+160>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+160>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(34936,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+160>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624752]=1;i=d;return}function Ao(b){b=b|0;var d=0,e=0;d=i;if(a[1624744]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+156>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+156>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(33992,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+156>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624744]=1;i=d;return}function Bo(b){b=b|0;var d=0,e=0;d=i;if(a[1624736]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+152>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+152>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(33504,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+152>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624736]=1;i=d;return}function Co(b){b=b|0;var d=0,e=0;d=i;if(a[1624728]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+148>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+148>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(33e3,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+148>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624728]=1;i=d;return}function Do(b){b=b|0;var d=0,e=0;d=i;if(a[1624720]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+144>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+144>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(32488,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+144>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624720]=1;i=d;return}function Eo(b){b=b|0;var d=0,e=0;d=i;if(a[1624816]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+140>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+140>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(32088,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+140>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624816]=1;i=d;return}function Fo(b){b=b|0;var d=0,e=0;d=i;if(a[1624808]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+136>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+136>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(31592,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+136>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624808]=1;i=d;return}function Go(b){b=b|0;var d=0,e=0;d=i;if(a[1624800]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+128>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+128>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(30832,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+128>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624800]=1;i=d;return}function Ho(b){b=b|0;var d=0,e=0;d=i;if(a[1624792]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+132>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+132>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(30144,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+132>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624792]=1;i=d;return}function Io(b){b=b|0;var d=0,e=0;d=i;if(a[1624784]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+124>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+124>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(29616,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+124>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624784]=1;i=d;return}function Jo(b){b=b|0;var d=0,e=0;d=i;if(a[1624776]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+120>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+120>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(29192,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+120>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624776]=1;i=d;return}function Ko(b){b=b|0;var d=0,e=0;d=i;if(a[1624768]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+116>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+116>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(28656,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+116>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624768]=1;i=d;return}function Lo(b){b=b|0;var d=0,e=0;d=i;if(a[1624760]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+112>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+112>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(28224,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+112>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624760]=1;i=d;return}function Mo(b){b=b|0;var d=0,e=0;d=i;if(a[1624856]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+108>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+108>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(27728,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+108>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624856]=1;i=d;return}function No(b){b=b|0;var d=0,e=0;d=i;if(a[1624848]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+104>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+104>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(27264,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+104>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624848]=1;i=d;return}function Oo(b){b=b|0;var d=0,e=0;d=i;if(a[1624840]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+100>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+100>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(26656,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+100>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624840]=1;i=d;return}function Po(b){b=b|0;var d=0,e=0;d=i;if(a[1624832]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+96>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+96>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(25960,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+96>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624832]=1;i=d;return}function Qo(b){b=b|0;var d=0,e=0;d=i;if(a[1624824]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+92>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+92>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(24824,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+92>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624824]=1;i=d;return}function Ro(b){b=b|0;var d=0,e=0;d=i;if(a[1624896]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+88>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+88>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(24248,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+88>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624896]=1;i=d;return}function So(b){b=b|0;var d=0,e=0;d=i;if(a[1624888]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+84>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+84>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(23664,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+84>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624888]=1;i=d;return}function To(b){b=b|0;var d=0,e=0;d=i;if(a[1624880]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+80>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+80>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(23232,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+80>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624880]=1;i=d;return}function Uo(b){b=b|0;var d=0,e=0;d=i;if(a[1624872]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+76>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+76>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(22704,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+76>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624872]=1;i=d;return}function Vo(b){b=b|0;var d=0,e=0;d=i;if(a[1624864]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+72>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+72>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(22232,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+72>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624864]=1;i=d;return}function Wo(b){b=b|0;var d=0,e=0;d=i;if(a[1625008]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+68>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+68>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(21744,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+68>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625008]=1;i=d;return}function Xo(b){b=b|0;var d=0,e=0;d=i;if(a[1625e3]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+64>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+64>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(21344,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+64>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625e3]=1;i=d;return}function Yo(b){b=b|0;var d=0,e=0;d=i;if(a[1624992]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+56>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+56>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1612056,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+56>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624992]=1;i=d;return}function Zo(b){b=b|0;var d=0,e=0;d=i;if(a[1624984]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+60>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+60>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1611512,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+60>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624984]=1;i=d;return}function _o(b){b=b|0;var d=0,e=0;d=i;if(a[1624952]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+52>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+52>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1610680,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+52>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624960,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624952]=1;i=d;return}function $o(b){b=b|0;var d=0,e=0;d=i;if(a[1624944]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+48>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+48>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1609888,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+48>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624944]=1;i=d;return}function ap(b){b=b|0;var d=0,e=0;d=i;if(a[1624936]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+44>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+44>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1609272,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+44>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624936]=1;i=d;return}function bp(b){b=b|0;var d=0,e=0;d=i;if(a[1624904]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+40>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+40>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1608672,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+40>>2]|0,1336208)|0)|0;ge[c[2160]&15](1624912,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1624904]=1;i=d;return}function cp(b){b=b|0;var d=0,e=0;d=i;if(a[1625048]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+36>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+36>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1608160,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+36>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625048]=1;i=d;return}function dp(b){b=b|0;var d=0,e=0;d=i;if(a[1625040]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+32>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+32>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1607608,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+32>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625040]=1;i=d;return}function ep(b){b=b|0;var d=0,e=0;d=i;if(a[1625032]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+28>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+28>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1607176,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+28>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625032]=1;i=d;return}function fp(b){b=b|0;var d=0,e=0;d=i;if(a[1625024]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+24>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+24>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1606648,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+24>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625024]=1;i=d;return}function gp(b){b=b|0;var d=0,e=0;d=i;if(a[1625016]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+20>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+20>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1605856,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+20>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625016]=1;i=d;return}function hp(b){b=b|0;var d=0,e=0;d=i;if(a[1625184]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+16>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+16>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1605184,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+16>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625192,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625184]=1;i=d;return}function ip(b){b=b|0;var d=0,e=0;d=i;if(a[1625152]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+12>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+12>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1604200,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+12>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625160,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625152]=1;i=d;return}function jp(b){b=b|0;var d=0,e=0;d=i;if(a[1625120]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1603472,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+8>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625128,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625120]=1;i=d;return}function kp(b){b=b|0;var d=0,e=0;d=i;if(a[1625088]|0){i=d;return}e=b+4|0;b=tx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1602752,_u(c[(c[(c[c[e>>2]>>2]|0)+12>>2]|0)+4>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625096,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625088]=1;i=d;return}function lp(b){b=b|0;var d=0,e=0;d=i;if(a[1625056]|0){i=d;return}e=b+4|0;b=tx(+(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0),1.0)|0;if(!(b<<24>>24==0|(rx(+(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0),9.0)|0)<<24>>24==0)){i=d;return}b=av(1602288,_u(c[c[(c[c[e>>2]>>2]|0)+12>>2]>>2]|0,1336208)|0)|0;ge[c[2160]&15](1625064,b,(b=i,i=i+1|0,i=i+7&-8,c[b>>2]=0,b)|0);i=b;a[1625056]=1;i=d;return}function mp(a){a=a|0;en(a);fn(a);gn(a);hn(a);jn(a);kn(a);ln(a);mn(a);nn(a);on(a);pn(a);qn(a);rn(a);sn(a);tn(a);un(a);vn(a);wn(a);xn(a);yn(a);zn(a);An(a);Bn(a);Cn(a);Dn(a);En(a);Fn(a);Gn(a);Hn(a);In(a);Jn(a);Kn(a);Ln(a);Mn(a);Nn(a);On(a);Pn(a);Qn(a);Rn(a);Sn(a);Tn(a);Un(a);Vn(a);Wn(a);Xn(a);Yn(a);Zn(a);_n(a);$n(a);ao(a);bo(a);co(a);eo(a);fo(a);go(a);ho(a);io(a);jo(a);ko(a);lo(a);mo(a);no(a);oo(a);po(a);qo(a);ro(a);so(a);to(a);uo(a);vo(a);wo(a);xo(a);yo(a);zo(a);Ao(a);Bo(a);Co(a);Do(a);Eo(a);Fo(a);Go(a);Ho(a);Io(a);Jo(a);Ko(a);Lo(a);Mo(a);No(a);Oo(a);Po(a);Qo(a);Ro(a);So(a);To(a);Uo(a);Vo(a);Wo(a);Xo(a);Yo(a);Zo(a);_o(a);$o(a);ap(a);bp(a);cp(a);dp(a);ep(a);fp(a);gp(a);hp(a);ip(a);jp(a);kp(a);lp(a);return 0}function np(a){a=a|0;return 1}function op(a){a=a|0;return 1}function pp(a){a=a|0;return 1}function qp(a){a=a|0;return 1}function rp(a){a=a|0;return 1}function sp(a){a=a|0;return 0}function tp(a){a=a|0;return 0}function up(a){a=a|0;return 0}function vp(a){a=a|0;return 0}function wp(a){a=a|0;return 0}function xp(a,b){a=a|0;b=b|0;return-1|0}function yp(a,b){a=a|0;b=b|0;return-1|0}function zp(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return-1|0}function Ap(){return 66288}function Bp(a){a=a|0;var b=0,c=0;b=i;c=Cp(a,0,0)|0;i=b;return c|0}function Cp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;e=Dp(a,b,c,0)|0;i=d;return e|0}function Dp(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;h=b;b=d;d=e;e=f;if((b|0)!=0){j=Td[c[b>>2]&255](500)|0;if((j|0)!=0){f=j+12|0;c[f>>2]=c[b>>2];c[f+4>>2]=c[b+4>>2];c[f+8>>2]=c[b+8>>2]}}else{j=iY(500)|0;if((j|0)!=0){b=j+12|0;c[b>>2]=46;c[b+4>>2]=98;c[b+8>>2]=102}}if((j|0)==0){k=j;l=k;i=g;return l|0}c[j+8>>2]=0;c[j+32>>2]=0;c[j+380>>2]=16;c[j+392>>2]=Td[c[j+12>>2]&255](c[j+380>>2]<<4)|0;if((c[j+392>>2]|0)==0){Qd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+44>>2]=Td[c[j+12>>2]&255](1024)|0;if((c[j+44>>2]|0)==0){Qd[c[j+20>>2]&511](c[j+392>>2]|0);Qd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}c[j+48>>2]=(c[j+44>>2]|0)+1024;do{if((e|0)!=0){c[j+356>>2]=e}else{c[j+356>>2]=Oq(j+12|0)|0;if((c[j+356>>2]|0)!=0){break}Qd[c[j+20>>2]&511](c[j+44>>2]|0);Qd[c[j+20>>2]&511](c[j+392>>2]|0);Qd[c[j+20>>2]&511](j);k=0;l=k;i=g;return l|0}}while(0);c[j+376>>2]=0;c[j+368>>2]=0;c[j+304>>2]=0;c[j+468>>2]=0;c[j+464>>2]=0;c[j+124>>2]=0;c[j+248>>2]=0;a[j+472|0]=33;a[j+236|0]=0;a[j+237|0]=0;c[j+396>>2]=0;c[j+400>>2]=0;a[j+404|0]=0;Pq(j+416|0,j+12|0);Pq(j+440|0,j+12|0);Fp(j,h);do{if((h|0)!=0){if((c[j+232>>2]|0)!=0){break}Ip(j);k=0;l=k;i=g;return l|0}}while(0);if((d|0)!=0){a[j+236|0]=1;c[j+228>>2]=hr()|0;a[j+472|0]=a[d]|0}else{c[j+228>>2]=_q()|0}k=j;l=k;i=g;return l|0}function Ep(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;if((c[d+4>>2]|0)!=0){a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;c[a>>2]=c[d+4>>2];c[d+4>>2]=a;a=e}}else{c[d+4>>2]=c[d>>2]}c[d>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;c[d+8>>2]=0;i=b;return}function Fp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;f=b;b=d;c[f+280>>2]=10;qt(f+256|0);if((b|0)!=0){g=Gp(f+416|0,b)|0}else{g=0}c[f+232>>2]=g;c[f+360>>2]=0;$q(f+148|0,f+144|0,0)|0;c[f>>2]=0;c[f+4>>2]=0;c[f+52>>2]=0;c[f+56>>2]=0;c[f+60>>2]=0;c[f+64>>2]=0;c[f+68>>2]=0;c[f+72>>2]=0;c[f+76>>2]=0;c[f+80>>2]=0;c[f+84>>2]=0;c[f+88>>2]=0;c[f+92>>2]=0;c[f+96>>2]=0;c[f+100>>2]=0;c[f+104>>2]=0;c[f+108>>2]=0;c[f+112>>2]=0;c[f+116>>2]=f;c[f+120>>2]=0;c[f+128>>2]=0;c[f+132>>2]=0;c[f+136>>2]=0;c[f+140>>2]=0;c[f+24>>2]=c[f+8>>2];c[f+28>>2]=c[f+8>>2];c[f+36>>2]=0;c[f+40>>2]=0;c[f+344>>2]=0;c[f+348>>2]=0;c[f+316>>2]=0;c[f+320>>2]=0;c[f+324>>2]=0;c[f+328>>2]=0;c[f+332>>2]=0;c[f+336>>2]=0;c[f+340>>2]=0;a[f+352|0]=0;a[f+353|0]=0;NY(f+408|0,0,8)|0;c[f+284>>2]=0;c[f+288>>2]=0;c[f+292>>2]=0;c[f+296>>2]=0;c[f+300>>2]=0;a[f+308|0]=1;c[f+312>>2]=0;c[f+364>>2]=0;c[f+372>>2]=0;c[f+384>>2]=0;c[f+240>>2]=0;c[f+252>>2]=0;c[f+244>>2]=0;c[f+476>>2]=0;c[f+480>>2]=0;a[f+488|0]=0;a[f+489|0]=0;c[f+492>>2]=0;c[f+496>>2]=0;i=e;return}function Gp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((Xp(f)|0)<<24>>24!=0){g=5;break}if(!0){g=6;break a}}else{g=5}}while(0);if((g|0)==5){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=6;break}}d=b;b=d+1|0;if((a[d]|0)==0){g=9;break}}if((g|0)==6){k=0;l=k;i=e;return l|0}else if((g|0)==9){b=c[f+16>>2]|0;c[f+16>>2]=c[f+12>>2];k=b;l=k;i=e;return l|0}return 0}function Hp(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;e=i;f=b;b=d;d=c[f+356>>2]|0;g=b;a:while(1){if((a[b]|0)==0){h=59;break}do{if((a[g]|0)==12){h=5}else{if((a[g]|0)==0){h=5;break}if((a[g]|0)==61){if(((c[f+428>>2]|0)-(c[f+432>>2]|0)|0)==0){j=d+152|0}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=21;break}if(!0){h=22;break a}}else{h=21}}while(0);if((h|0)==21){h=0;k=f+428|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){h=22;break a}}j=_p(f,d+60|0,c[f+432>>2]|0,8)|0;if((j|0)==0){h=24;break a}if((c[j>>2]|0)==(c[f+432>>2]|0)){c[j>>2]=Gp(d+80|0,c[j>>2]|0)|0;if((c[j>>2]|0)==0){h=27;break a}}c[f+428>>2]=c[f+432>>2]}b=g+1|0;while(1){if((a[b]|0)!=12){m=(a[b]|0)!=0}else{m=0}if(!m){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=37;break}if(!0){h=38;break a}}else{h=37}}while(0);if((h|0)==37){h=0;l=a[b]|0;k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=l;if(!1){h=38;break a}}b=b+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=44;break}if(!0){h=45;break a}}else{h=44}}while(0);if((h|0)==44){h=0;l=f+428|0;n=c[l>>2]|0;c[l>>2]=n+1;a[n]=0;if(!1){h=45;break a}}if((cq(f,j,0,c[f+432>>2]|0,f+372|0)|0)!=0){h=47;break a}c[f+428>>2]=c[f+432>>2];if((a[b]|0)!=0){b=b+1|0}g=b}else{do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=54;break}if(!0){h=55;break a}}else{h=54}}while(0);if((h|0)==54){h=0;n=a[g]|0;l=f+428|0;k=c[l>>2]|0;c[l>>2]=k+1;a[k]=n;if(!1){h=55;break a}}g=g+1|0}}}while(0);if((h|0)==5){h=0;do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=8;break}if(!0){h=9;break a}}else{h=8}}while(0);if((h|0)==8){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=0;if(!1){h=9;break}}k=_p(f,d|0,c[f+432>>2]|0,0)|0;if((k|0)!=0){a[k+32|0]=1}if((a[g]|0)!=0){g=g+1|0}b=g;c[f+428>>2]=c[f+432>>2]}}if((h|0)==9){o=0;p=o;i=e;return p|0}else if((h|0)==22){o=0;p=o;i=e;return p|0}else if((h|0)==24){o=0;p=o;i=e;return p|0}else if((h|0)==27){o=0;p=o;i=e;return p|0}else if((h|0)==38){o=0;p=o;i=e;return p|0}else if((h|0)==45){o=0;p=o;i=e;return p|0}else if((h|0)==47){o=0;p=o;i=e;return p|0}else if((h|0)==55){o=0;p=o;i=e;return p|0}else if((h|0)==59){o=1;p=o;i=e;return p|0}return 0}function Ip(b){b=b|0;var d=0,e=0,f=0;d=i;e=b;if((e|0)==0){i=d;return}b=c[e+364>>2]|0;while(1){if((b|0)==0){if((c[e+368>>2]|0)==0){break}b=c[e+368>>2]|0;c[e+368>>2]=0}f=b;b=c[b>>2]|0;Qd[c[e+20>>2]&511](c[f+36>>2]|0);Jp(c[f+44>>2]|0,e);Qd[c[e+20>>2]&511](f)}b=c[e+300>>2]|0;while(1){if((b|0)==0){if((c[e+304>>2]|0)==0){break}b=c[e+304>>2]|0;c[e+304>>2]=0}f=b;b=c[b+8>>2]|0;Qd[c[e+20>>2]&511](f)}Jp(c[e+376>>2]|0,e);Jp(c[e+372>>2]|0,e);Kp(e+416|0);Kp(e+440|0);do{if((a[e+488|0]|0)==0){if((c[e+356>>2]|0)==0){break}Lp(c[e+356>>2]|0,((c[e+476>>2]|0)!=0^1)&1,e+12|0)}}while(0);Qd[c[e+20>>2]&511](c[e+392>>2]|0);Qd[c[e+20>>2]&511](c[e+464>>2]|0);Qd[c[e+20>>2]&511](c[e+8>>2]|0);Qd[c[e+20>>2]&511](c[e+44>>2]|0);Qd[c[e+20>>2]&511](c[e+396>>2]|0);Qd[c[e+20>>2]&511](c[e+240>>2]|0);if((c[e+252>>2]|0)!=0){Qd[c[e+252>>2]&511](c[e+244>>2]|0)}Qd[c[e+20>>2]&511](e);i=d;return}function Jp(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;while(1){b=e;if((b|0)==0){break}e=c[b+4>>2]|0;Qd[c[a+20>>2]&511](c[b+16>>2]|0);Qd[c[a+20>>2]&511](b)}i=d;return}function Kp(a){a=a|0;var b=0,d=0,e=0;b=i;d=a;a=c[d>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Qd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}a=c[d+4>>2]|0;while(1){if((a|0)==0){break}e=c[a>>2]|0;Qd[c[(c[d+20>>2]|0)+8>>2]&511](a);a=e}i=b;return}function Lp(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;e=i;i=i+8|0;f=e|0;g=a;a=b;b=d;Yp(f,g+20|0);while(1){d=Zp(f)|0;if((d|0)==0){break}if((c[d+16>>2]|0)!=0){Qd[c[b+8>>2]&511](c[d+20>>2]|0)}}bq(g|0);bq(g+132|0);bq(g+20|0);bq(g+40|0);bq(g+60|0);Kp(g+80|0);Kp(g+104|0);if(!(a<<24>>24!=0)){h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Qd[k&511](m);i=e;return}Qd[c[b+8>>2]&511](c[g+184>>2]|0);Qd[c[b+8>>2]&511](c[g+164>>2]|0);h=b;j=h+8|0;k=c[j>>2]|0;l=g;m=l;Qd[k&511](m);i=e;return}function Mp(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=a;a=b;if((c[e+4>>2]|0)==(c[e>>2]|0)){b=a;c[e>>2]=b;c[e+4>>2]=b;i=d;return}else{c[e>>2]=a;i=d;return}}function Np(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=a;c[e+52>>2]=b;c[e+56>>2]=d;i=i;return}function Op(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=d;d=e;e=f;f=c[h+480>>2]|0;if((f|0)==3){c[h+284>>2]=33;j=0;k=j;i=g;return k|0}else if((f|0)==0){do{if((c[h+476>>2]|0)==0){if((Pp(h)|0)<<24>>24!=0){break}c[h+284>>2]=1;j=0;k=j;i=g;return k|0}}while(0)}else if((f|0)==2){c[h+284>>2]=36;j=0;k=j;i=g;return k|0}c[h+480>>2]=1;if((d|0)!=0){f=Rp(h,d)|0;if((f|0)==0){j=0;k=j;i=g;return k|0}else{MY(f|0,b|0,d)|0;j=Sp(h,d,e)|0;k=j;i=g;return k|0}}a[h+484|0]=e;if((e|0)==0){j=1;k=j;i=g;return k|0}c[h+296>>2]=c[h+24>>2];c[h+40>>2]=c[h+28>>2];c[h+284>>2]=fe[c[h+280>>2]&127](h,c[h+24>>2]|0,c[h+40>>2]|0,h+24|0)|0;if((c[h+284>>2]|0)!=0){c[h+292>>2]=c[h+288>>2];c[h+280>>2]=2;j=0;k=j;i=g;return k|0}e=c[h+480>>2]|0;if((e|0)==3){je[c[(c[h+144>>2]|0)+52>>2]&31](c[h+144>>2]|0,c[h+296>>2]|0,c[h+24>>2]|0,h+408|0);c[h+296>>2]=c[h+24>>2];j=2;k=j;i=g;return k|0}else if((e|0)==0|(e|0)==1){c[h+480>>2]=2}j=1;k=j;i=g;return k|0}function Pp(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((c[e+496>>2]|0)==0){c[e+496>>2]=Mq()|0}if((a[e+236|0]|0)!=0){f=Hp(e,16512)|0;g=f;i=d;return g|0}else{f=1;g=f;i=d;return g|0}return 0}function Qp(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;i=i;return c[a+284>>2]|0}function Rp(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=a;a=b;b=c[e+480>>2]|0;if((b|0)==3){c[e+284>>2]=33;f=0;g=f;i=d;return g|0}else if((b|0)==2){c[e+284>>2]=36;f=0;g=f;i=d;return g|0}else{if((a|0)>((c[e+32>>2]|0)-(c[e+28>>2]|0)|0)){b=a+((c[e+28>>2]|0)-(c[e+24>>2]|0))|0;a=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((a|0)>1024){a=1024}b=b+a|0;if((b|0)<=((c[e+32>>2]|0)-(c[e+8>>2]|0)|0)){if((a|0)<((c[e+24>>2]|0)-(c[e+8>>2]|0)|0)){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)-a|0;QY(c[e+8>>2]|0,(c[e+8>>2]|0)+h|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+a|0)|0;a=e+28|0;c[a>>2]=(c[a>>2]|0)+(-h|0);a=e+24|0;c[a>>2]=(c[a>>2]|0)+(-h|0)}}else{h=(c[e+32>>2]|0)-(c[e+24>>2]|0)|0;if((h|0)==0){h=1024}do{h=h<<1;}while((h|0)<(b|0));b=Td[c[e+12>>2]&255](h)|0;if((b|0)==0){c[e+284>>2]=1;f=0;g=f;i=d;return g|0}c[e+32>>2]=b+h;if((c[e+24>>2]|0)!=0){h=(c[e+24>>2]|0)-(c[e+8>>2]|0)|0;if((h|0)>1024){h=1024}MY(b|0,(c[e+24>>2]|0)+(-h|0)|0,(c[e+28>>2]|0)-(c[e+24>>2]|0)+h|0)|0;Qd[c[e+20>>2]&511](c[e+8>>2]|0);c[e+8>>2]=b;c[e+28>>2]=(c[e+8>>2]|0)+((c[e+28>>2]|0)-(c[e+24>>2]|0))+h;c[e+24>>2]=(c[e+8>>2]|0)+h}else{c[e+28>>2]=b+((c[e+28>>2]|0)-(c[e+24>>2]|0));h=b;c[e+8>>2]=h;c[e+24>>2]=h}}c[e+292>>2]=0;c[e+288>>2]=0;c[e+296>>2]=0}f=c[e+28>>2]|0;g=f;i=d;return g|0}return 0}function Sp(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;g=b;b=d;d=e;e=1;h=c[g+480>>2]|0;if((h|0)==0){do{if((c[g+476>>2]|0)==0){if((Pp(g)|0)<<24>>24!=0){break}c[g+284>>2]=1;j=0;k=j;i=f;return k|0}}while(0)}else if((h|0)==2){c[g+284>>2]=36;j=0;k=j;i=f;return k|0}else if((h|0)==3){c[g+284>>2]=33;j=0;k=j;i=f;return k|0}c[g+480>>2]=1;h=c[g+24>>2]|0;c[g+296>>2]=h;l=g+28|0;c[l>>2]=(c[l>>2]|0)+b;c[g+40>>2]=c[g+28>>2];l=g+36|0;c[l>>2]=(c[l>>2]|0)+b;a[g+484|0]=d;c[g+284>>2]=fe[c[g+280>>2]&127](g,h,c[g+40>>2]|0,g+24|0)|0;if((c[g+284>>2]|0)!=0){c[g+292>>2]=c[g+288>>2];c[g+280>>2]=2;j=0;k=j;i=f;return k|0}h=c[g+480>>2]|0;do{if((h|0)==3){e=2}else if((h|0)==0|(h|0)==1){if((d|0)==0){m=16;break}c[g+480>>2]=2;j=e;k=j;i=f;return k|0}else{m=16}}while(0);je[c[(c[g+144>>2]|0)+52>>2]&31](c[g+144>>2]|0,c[g+296>>2]|0,c[g+24>>2]|0,g+408|0);c[g+296>>2]=c[g+24>>2];j=e;k=j;i=f;return k|0}function Tp(a){a=a|0;i=i;return c[a+284>>2]|0}function Up(a){a=a|0;var b=0,d=0;b=i;d=a;do{if((c[d+288>>2]|0)!=0){if(!((c[d+288>>2]|0)>>>0>=(c[d+296>>2]|0)>>>0)){break}je[c[(c[d+144>>2]|0)+52>>2]&31](c[d+144>>2]|0,c[d+296>>2]|0,c[d+288>>2]|0,d+408|0);c[d+296>>2]=c[d+288>>2]}}while(0);i=b;return(c[d+408>>2]|0)+1|0}function Vp(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=b;b=d;c[h>>2]=e;e=f;if((a[b+72|0]|0)!=0){ge[c[k+80>>2]&15](c[k+4>>2]|0,c[h>>2]|0,e-(c[h>>2]|0)|0);i=g;return}if((b|0)==(c[k+144>>2]|0)){l=k+288|0;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}do{c[j>>2]=c[k+44>>2];Pd[c[b+60>>2]&31](b,h,e,j,c[k+48>>2]|0);c[m>>2]=c[h>>2];ge[c[k+80>>2]&15](c[k+4>>2]|0,c[k+44>>2]|0,(c[j>>2]|0)-(c[k+44>>2]|0)|0);c[l>>2]=c[h>>2];}while((c[h>>2]|0)!=(e|0));i=g;return}function Wp(a){a=a|0;var b=0,d=0,e=0,f=0;b=i;d=a;do{if(d>>>0>0>>>0){if(!(d>>>0<41>>>0)){break}e=c[1623200+(d<<2)>>2]|0;f=e;i=b;return f|0}}while(0);e=0;f=e;i=b;return f|0}function Xp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;do{if((c[d+4>>2]|0)!=0){if((c[d+16>>2]|0)==0){c[d>>2]=c[d+4>>2];c[d+4>>2]=c[c[d+4>>2]>>2];c[c[d>>2]>>2]=0;c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);c[d+12>>2]=c[d+16>>2];e=1;f=e;i=b;return f|0}if(((c[d+8>>2]|0)-(c[d+16>>2]|0)|0)>=(c[(c[d+4>>2]|0)+4>>2]|0)){break}a=c[c[d+4>>2]>>2]|0;c[c[d+4>>2]>>2]=c[d>>2];c[d>>2]=c[d+4>>2];c[d+4>>2]=a;MY((c[d>>2]|0)+8|0,c[d+16>>2]|0,(c[d+8>>2]|0)-(c[d+16>>2]|0)|0)|0;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+(c[(c[d>>2]|0)+4>>2]|0);e=1;f=e;i=b;return f|0}}while(0);do{if((c[d>>2]|0)!=0){if((c[d+16>>2]|0)!=((c[d>>2]|0)+8|0)){g=12;break}a=(c[d+8>>2]|0)-(c[d+16>>2]|0)<<1;h=ce[c[(c[d+20>>2]|0)+4>>2]&127](c[d>>2]|0,a+8|0)|0;if((h|0)!=0){c[d>>2]=h;c[(c[d>>2]|0)+4>>2]=a;c[d+12>>2]=(c[d>>2]|0)+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=(c[d>>2]|0)+8;c[d+8>>2]=(c[d+16>>2]|0)+a;break}e=0;f=e;i=b;return f|0}else{g=12}}while(0);if((g|0)==12){g=(c[d+8>>2]|0)-(c[d+16>>2]|0)|0;if((g|0)<1024){g=1024}else{g=g<<1}a=Td[c[c[d+20>>2]>>2]&255](g+8|0)|0;if((a|0)==0){e=0;f=e;i=b;return f|0}c[a+4>>2]=g;c[a>>2]=c[d>>2];c[d>>2]=a;if((c[d+12>>2]|0)!=(c[d+16>>2]|0)){MY(a+8|0,c[d+16>>2]|0,(c[d+12>>2]|0)-(c[d+16>>2]|0)|0)|0}c[d+12>>2]=a+8+((c[d+12>>2]|0)-(c[d+16>>2]|0));c[d+16>>2]=a+8;c[d+8>>2]=a+8+g}e=1;f=e;i=b;return f|0}function Yp(a,b){a=a|0;b=b|0;var d=0;d=a;a=b;c[d>>2]=c[a>>2];c[d+4>>2]=(c[d>>2]|0)+(c[a+8>>2]<<2);i=i;return}function Zp(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;d=a;while(1){if((c[d>>2]|0)==(c[d+4>>2]|0)){e=6;break}a=d|0;f=c[a>>2]|0;c[a>>2]=f+4;g=c[f>>2]|0;if((g|0)!=0){e=4;break}}if((e|0)==4){h=g;j=h;i=b;return j|0}else if((e|0)==6){h=0;j=h;i=b;return j|0}return 0}function _p(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;h=i;j=b;b=e;e=f;f=g;do{if((c[b+8>>2]|0)==0){if((f|0)==0){k=0;l=k;i=h;return l|0}a[b+4|0]=6;c[b+8>>2]=64;g=c[b+8>>2]<<2;c[b>>2]=Td[c[c[b+16>>2]>>2]&255](g)|0;if((c[b>>2]|0)!=0){NY(c[b>>2]|0,0,g|0)|0;g=$p(j,e)|0;m=g&(c[b+8>>2]|0)-1;break}c[b+8>>2]=0;k=0;l=k;i=h;return l|0}else{g=$p(j,e)|0;n=(c[b+8>>2]|0)-1|0;o=0;m=g&n;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if((aq(e,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0)<<24>>24!=0){p=10;break}if(!(o<<24>>24!=0)){o=((g&~n)>>>(((d[b+4|0]|0)-1|0)>>>0)&n>>>2|1)&255}if(m>>>0<(o&255)>>>0){q=m+((c[b+8>>2]|0)-(o&255))|0;m=q;r=q}else{q=m-(o&255)|0;m=q;r=q}}if((p|0)==10){k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}if((f|0)==0){k=0;l=k;i=h;return l|0}if(((c[b+12>>2]|0)>>>(((d[b+4|0]|0)-1|0)>>>0)|0)!=0){n=(d[b+4|0]|0)+1&255;q=1<<(n&255);s=q-1|0;t=q<<2;u=Td[c[c[b+16>>2]>>2]&255](t)|0;if((u|0)==0){k=0;l=k;i=h;return l|0}NY(u|0,0,t|0)|0;m=0;while(1){if(!(m>>>0<(c[b+8>>2]|0)>>>0)){break}if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){t=$p(j,c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]|0)|0;v=t&s;o=0;while(1){if((c[u+(v<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((t&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(v>>>0<(o&255)>>>0){w=v+(q-(o&255))|0;v=w;x=w}else{w=v-(o&255)|0;v=w;x=w}}c[u+(v<<2)>>2]=c[(c[b>>2]|0)+(m<<2)>>2]}m=m+1|0}Qd[c[(c[b+16>>2]|0)+8>>2]&511](c[b>>2]|0);c[b>>2]=u;a[b+4|0]=n;c[b+8>>2]=q;m=g&s;o=0;while(1){if((c[(c[b>>2]|0)+(m<<2)>>2]|0)==0){break}if(!(o<<24>>24!=0)){o=((g&~s)>>>(((n&255)-1|0)>>>0)&s>>>2|1)&255}if(m>>>0<(o&255)>>>0){t=m+(q-(o&255))|0;m=t;y=t}else{t=m-(o&255)|0;m=t;y=t}}}}}while(0);y=Td[c[c[b+16>>2]>>2]&255](f)|0;c[(c[b>>2]|0)+(m<<2)>>2]=y;if((c[(c[b>>2]|0)+(m<<2)>>2]|0)!=0){NY(c[(c[b>>2]|0)+(m<<2)>>2]|0,0,f|0)|0;c[c[(c[b>>2]|0)+(m<<2)>>2]>>2]=e;e=b+12|0;c[e>>2]=(c[e>>2]|0)+1;k=c[(c[b>>2]|0)+(m<<2)>>2]|0;l=k;i=h;return l|0}else{k=0;l=k;i=h;return l|0}return 0}function $p(b,e){b=b|0;e=e|0;var f=0,g=0;f=i;g=e;e=c[b+496>>2]|0;while(1){if((a[g]|0)==0){break}b=g;g=b+1|0;e=(e*1000003|0)^d[b]}i=f;return e|0}function aq(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=i;e=b;b=c;while(1){if((a[e]|0)!=(a[b]|0)){f=7;break}if((a[e]|0)==0){f=4;break}e=e+1|0;b=b+1|0}if((f|0)==4){g=1;h=g;i=d;return h|0}else if((f|0)==7){g=0;h=g;i=d;return h|0}return 0}function bq(a){a=a|0;var b=0,d=0;b=i;d=a;a=0;while(1){if(!(a>>>0<(c[d+8>>2]|0)>>>0)){break}Qd[c[(c[d+16>>2]|0)+8>>2]&511](c[(c[d>>2]|0)+(a<<2)>>2]|0);a=a+1|0}Qd[c[(c[d+16>>2]|0)+8>>2]&511](c[d>>2]|0);i=b;return}function cq(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;h=i;j=b;b=d;d=e;e=f;f=g;g=0;k=1;l=1;do{if((a[e]|0)==0){if((c[b>>2]|0)==0){break}m=28;n=m;i=h;return n|0}}while(0);do{if((c[b>>2]|0)!=0){if((a[c[b>>2]|0]|0)!=120){break}if((a[(c[b>>2]|0)+1|0]|0)!=109){break}if((a[(c[b>>2]|0)+2|0]|0)!=108){break}do{if((a[(c[b>>2]|0)+3|0]|0)==110){if((a[(c[b>>2]|0)+4|0]|0)!=115){break}if((a[(c[b>>2]|0)+5|0]|0)!=0){break}m=39;n=m;i=h;return n|0}}while(0);if((a[(c[b>>2]|0)+3|0]|0)==0){g=1}}}while(0);o=0;while(1){if((a[e+o|0]|0)==0){break}do{if((k&255|0)!=0){if((o|0)<=36){if((a[e+o|0]|0)==(a[21200+o|0]|0)){break}}k=0}}while(0);do{if(!(g<<24>>24!=0)){if((l&255|0)==0){break}if((o|0)<=29){if((a[e+o|0]|0)==(a[21168+o|0]|0)){break}}l=0}}while(0);o=o+1|0}if((k&255|0)!=0){p=(o|0)==36}else{p=0}k=p&1;if((l&255|0)!=0){q=(o|0)==29}else{q=0}l=q&1;if((g&255|0)!=(k&255|0)){m=(g&255|0)!=0?38:40;n=m;i=h;return n|0}if(l<<24>>24!=0){m=40;n=m;i=h;return n|0}if((a[j+472|0]|0)!=0){o=o+1|0}do{if((c[j+376>>2]|0)!=0){r=c[j+376>>2]|0;do{if((o|0)>(c[r+24>>2]|0)){l=ce[c[j+16>>2]&127](c[r+16>>2]|0,o+24|0)|0;if((l|0)!=0){c[r+16>>2]=l;c[r+24>>2]=o+24;break}m=1;n=m;i=h;return n|0}}while(0);c[j+376>>2]=c[r+4>>2]}else{r=Td[c[j+12>>2]&255](28)|0;if((r|0)==0){m=1;n=m;i=h;return n|0}c[r+16>>2]=Td[c[j+12>>2]&255](o+24|0)|0;if((c[r+16>>2]|0)!=0){c[r+24>>2]=o+24;break}Qd[c[j+20>>2]&511](r);m=1;n=m;i=h;return n|0}}while(0);c[r+20>>2]=o;MY(c[r+16>>2]|0,e|0,o)|0;if((a[j+472|0]|0)!=0){a[(c[r+16>>2]|0)+(o-1)|0]=a[j+472|0]|0}c[r>>2]=b;c[r+12>>2]=d;c[r+8>>2]=c[b+4>>2];do{if((a[e]|0)==0){if((b|0)!=((c[j+356>>2]|0)+152|0)){s=54;break}c[b+4>>2]=0}else{s=54}}while(0);if((s|0)==54){c[b+4>>2]=r}c[r+4>>2]=c[f>>2];c[f>>2]=r;do{if((d|0)!=0){if((c[j+100>>2]|0)==0){break}if((c[b+4>>2]|0)!=0){t=e}else{t=0}ge[c[j+100>>2]&15](c[j+4>>2]|0,c[b>>2]|0,t)}}while(0);m=0;n=m;i=h;return n|0}function dq(b){b=b|0;var d=0,e=0,f=0,g=0;d=i;e=b;if((Vd[((a[e+236|0]&255|0)!=0?52:4)&127](e+148|0,e+144|0,c[e+232>>2]|0)|0)!=0){f=0;g=f;i=d;return g|0}else{f=Lq(e,c[e+232>>2]|0)|0;g=f;i=d;return g|0}return 0}function eq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;c[h>>2]=b;e=fe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=fq(j,c[j+144>>2]|0,b,d,e,c[h>>2]|0,f,((a[j+484|0]|0)!=0^1)&1)|0;i=g;return k|0}function fq(b,e,f,g,h,j,k,l){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;m=i;i=i+8|0;n=m|0;o=b;b=e;e=f;f=g;g=h;c[n>>2]=j;j=k;k=l;l=c[o+356>>2]|0;if((b|0)==(c[o+144>>2]|0)){p=o+288|0;q=o+292|0}else{p=c[o+300>>2]|0;q=(c[o+300>>2]|0)+4|0}a:while(1){h=1;c[p>>2]=e;c[q>>2]=c[n>>2];if((g|0)<=0){if((k&255|0)!=0){if((g|0)!=0){r=8;break}}switch(g|0){case 0:{r=10;break a;break};case-1:{r=11;break a;break};case-2:{r=12;break a;break};case-15:{g=-g|0;break};case-4:{r=14;break a;break};default:{g=-g|0;c[n>>2]=f}}}s=Ud[c[o+256>>2]&127](o+256|0,g,e,c[n>>2]|0,b)|0;b:do{switch(s|0){case 40:{if((c[o+128>>2]|0)!=0){c[o+344>>2]=kq(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=367;break a}c[l+180>>2]=0;c[l+176>>2]=0;a[l+160|0]=1;h=0}break};case 41:case 42:{if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){t=Td[c[o+12>>2]&255](20)|0;if((t|0)==0){r=373;break a}c[t+4>>2]=0;c[t+8>>2]=0;c[t+12>>2]=0;c[t+16>>2]=0;c[t>>2]=(s|0)==41?2:1;c[q>>2]=e;ge[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,t);h=0}a[l+160|0]=0}break};case 43:{if((a[l+160|0]|0)!=0){c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=3;if((c[o+128>>2]|0)!=0){h=0}}break};case 18:{c[o+340>>2]=0;c[o+336>>2]=0;if((c[o+96>>2]|0)!=0){c[o+336>>2]=hq(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+336>>2]|0)==0){r=259;break a}c[o+432>>2]=c[o+428>>2];h=0}break};case 0:{if((g|0)==14){h=0}break};case 3:{if((c[o+84>>2]|0)!=0){h=0}break};case 11:{do{if((d[l+128|0]|0)!=0){if((c[o+136>>2]|0)==0){break}h=0}}while(0);break};case 17:{if((c[o+96>>2]|0)!=0){h=0}break};case 33:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0);break};case 39:{if((c[o+128>>2]|0)!=0){h=0}break};case 58:{if((c[o+80>>2]|0)!=0){Vp(o,b,e,c[n>>2]|0)}h=0;u=rq(o,b,n,f,j,k)|0;if((u|0)!=0){r=286;break a}if((c[n>>2]|0)==0){r=288;break a}break};case 44:{if((c[o+260>>2]|0)>>>0>=(c[o+468>>2]|0)>>>0){if((c[o+468>>2]|0)!=0){t=c[o+16>>2]|0;v=c[o+464>>2]|0;w=o+468|0;x=c[w>>2]<<1;c[w>>2]=x;w=ce[t&127](v,x)|0;if((w|0)==0){r=294;break a}c[o+464>>2]=w;if((c[l+184>>2]|0)!=0){w=ce[c[o+16>>2]&127](c[l+184>>2]|0,c[o+468>>2]<<2)|0;if((w|0)==0){r=297;break a}c[l+184>>2]=w}}else{w=c[o+12>>2]|0;c[o+468>>2]=32;c[o+464>>2]=Td[w&255](32)|0;if((c[o+464>>2]|0)==0){r=301;break a}}}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=0;if((a[l+160|0]|0)!=0){w=tq(o)|0;if((w|0)<0){r=306;break a}c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]=w;x=l+180|0;c[x>>2]=(c[x>>2]|0)+1;c[(c[l+164>>2]|0)+(w*28|0)>>2]=6;if((c[o+128>>2]|0)!=0){h=0}}break};case 21:{if((fe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=263;break a}if((c[o+336>>2]|0)!=0){w=hq(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((w|0)==0){r=266;break a}iq(w);c[o+340>>2]=w;c[o+432>>2]=c[o+428>>2];h=0}break};case 20:{do{if((c[o+340>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}c[q>>2]=e;Pd[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,0,c[o+340>>2]|0);h=0}}while(0);Ep(o+416|0);break};case-1:{r=279;break a;break};case 49:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==44){r=318;break a}do{if((d[l+160|0]|0)!=0){if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)!=0){break}if((c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]|0)==3){break}c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+((c[l+180>>2]|0)-1<<2)>>2]|0)*28|0)>>2]=5;if((c[o+128>>2]|0)!=0){h=0}}}while(0);a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=124;break};case 19:{do{if((c[o+336>>2]|0)!=0){if((c[o+96>>2]|0)==0){break}w=hq(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((w|0)==0){r=272;break a}c[q>>2]=e;Pd[c[o+96>>2]&31](c[o+4>>2]|0,c[o+336>>2]|0,c[o+360>>2]|0,w,c[o+340>>2]|0);h=0}}while(0);Ep(o+416|0);break};case 60:case 59:{a[l+129|0]=1;if((c[o+492>>2]|0)!=0){w=hq(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((w|0)==0){r=329;break a}y=_p(o,l+132|0,w,0)|0;c[l+92>>2]=c[l+96>>2];do{if((c[o+272>>2]|0)!=0){if((d[l+130|0]|0)!=0){if((c[o+300>>2]|0)!=0){r=340;break}}else{if((a[l+129|0]|0)!=0){r=340;break}}if((y|0)==0){r=335;break a}if((a[y+34|0]|0)==0){r=337;break a}}else{r=340}}while(0);do{if((r|0)==340){r=0;if((y|0)!=0){break}a[l+128|0]=a[l+130|0]|0;do{if((s|0)==60){if((c[o+120>>2]|0)==0){break}ge[c[o+120>>2]&15](c[o+4>>2]|0,w,1);h=0}}while(0);break b}}while(0);if((a[y+32|0]|0)!=0){r=347;break a}if((c[y+4>>2]|0)!=0){z=uq(o,y,((s|0)==60?1:0)&255)|0;if((z|0)!=0){r=350;break a}h=0;break b}if((c[o+112>>2]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}a[l+131|0]=0;a[y+32|0]=1;if((Ud[c[o+112>>2]&127](c[o+116>>2]|0,0,c[y+20>>2]|0,c[y+16>>2]|0,c[y+24>>2]|0)|0)==0){r=354;break a}a[y+32|0]=0;h=0;if((a[l+131|0]|0)==0){a[l+128|0]=a[l+130|0]|0;break b}}else{a[l+128|0]=a[l+130|0]|0}do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Td[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=363;break a}}}while(0);break};case 50:{if((a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]|0)==124){r=312;break a}a[(c[o+464>>2]|0)+(c[o+260>>2]|0)|0]=44;do{if((d[l+160|0]|0)!=0){if((c[o+128>>2]|0)==0){break}h=0}}while(0);break};case 51:{A=0;r=386;break};case 53:{A=1;r=386;break};case 52:{A=2;r=386;break};case 54:{A=3;r=386;break};case 45:{A=0;r=405;break};case 47:{A=1;r=405;break};case 46:{A=2;r=405;break};case 48:{A=3;r=405;break};case 55:{if((wq(o,b,e,c[n>>2]|0)|0)==0){r=417;break a}h=0;break};case 56:{if((xq(o,b,e,c[n>>2]|0)|0)==0){r=420;break a}h=0;break};case 1:{B=gq(o,0,e,c[n>>2]|0)|0;if((B|0)!=0){r=27;break a}b=c[o+144>>2]|0;h=0;break};case 4:{if((c[o+84>>2]|0)!=0){c[o+320>>2]=hq(o+416|0,b,e,c[n>>2]|0)|0;if((c[o+320>>2]|0)==0){r=31;break a}c[o+432>>2]=c[o+428>>2];c[o+328>>2]=0;h=0}c[o+324>>2]=0;break};case 7:{if((c[o+84>>2]|0)!=0){Pd[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,1);c[o+320>>2]=0;Ep(o+416|0);h=0}break};case 57:{C=gq(o,1,e,c[n>>2]|0)|0;if((C|0)!=0){r=38;break a}b=c[o+144>>2]|0;h=0;break};case 6:{a[o+489|0]=0;c[o+316>>2]=_p(o,l+132|0,16856,36)|0;if((c[o+316>>2]|0)==0){r=41;break a}a[l+129|0]=1;if((c[o+84>>2]|0)==0){r=49;break b}if((fe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=44;break a}w=hq(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((w|0)==0){r=46;break a}iq(w);c[o+432>>2]=c[o+428>>2];c[o+328>>2]=w;h=0;r=52;break};case 14:{r=49;break};case 8:{if((c[o+320>>2]|0)!=0){Pd[c[o+84>>2]&31](c[o+4>>2]|0,c[o+320>>2]|0,c[o+324>>2]|0,c[o+328>>2]|0,0);Ep(o+416|0);h=0}if((c[o+324>>2]|0)!=0){r=64}else{if((d[o+489|0]|0)!=0){r=64}}if((r|0)==64){r=0;w=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}x=_p(o,l+132|0,16856,36)|0;if((x|0)==0){r=67;break a}if((a[o+489|0]|0)!=0){c[x+20>>2]=c[o+360>>2]}a[l+131|0]=0;if((Ud[c[o+112>>2]&127](c[o+116>>2]|0,0,c[x+20>>2]|0,c[x+16>>2]|0,c[x+24>>2]|0)|0)==0){r=71;break a}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Td[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=76;break a}}}while(0)}else{if((c[o+324>>2]|0)==0){a[l+129|0]=w}}}}while(0);a[o+489|0]=0}if((c[o+88>>2]|0)!=0){Qd[c[o+88>>2]&511](c[o+4>>2]|0);h=0}break};case 2:{r=86;break a;break};case 34:{c[o+344>>2]=kq(o,b,e,c[n>>2]|0)|0;if((c[o+344>>2]|0)==0){r=104;break a}r=117;break};case 22:{c[o+348>>2]=lq(o,b,e,c[n>>2]|0)|0;if((c[o+348>>2]|0)==0){r=107;break a}a[o+352|0]=0;c[o+332>>2]=0;a[o+353|0]=0;r=117;break};case 23:{a[o+352|0]=1;c[o+332>>2]=16952;r=117;break};case 24:{a[o+353|0]=1;c[o+332>>2]=16920;r=117;break};case 25:{c[o+332>>2]=16912;r=117;break};case 26:{c[o+332>>2]=16904;r=117;break};case 27:{c[o+332>>2]=16928;r=117;break};case 28:{c[o+332>>2]=16936;r=117;break};case 29:{c[o+332>>2]=16896;r=117;break};case 30:{c[o+332>>2]=16880;r=117;break};case 31:case 32:{do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}if((c[o+332>>2]|0)!=0){D=16872}else{D=(s|0)==32?16840:16864}if((mq(o+416|0,D)|0)==0){r=127;break a}if((nq(o+416|0,b,e,c[n>>2]|0)|0)==0){r=129;break a}c[o+332>>2]=c[o+432>>2];h=0}}while(0);break};case 35:case 36:{if((a[l+128|0]|0)!=0){if((oq(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,a[o+353|0]|0,0,o)|0)==0){r=134;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=140}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=140}}}while(0);if((r|0)==140){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Xp(o+416|0)|0)<<24>>24!=0){r=143;break}if(!0){r=148;break a}}else{r=143}}while(0);if((r|0)==143){r=0;w=o+428|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=41;if(!1){r=148;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Xp(o+416|0)|0)<<24>>24!=0){r=147;break}if(!0){r=148;break a}}else{r=147}}while(0);if((r|0)==147){r=0;x=o+428|0;w=c[x>>2]|0;c[x>>2]=w+1;a[w]=0;if(!1){r=148;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;Yd[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,0,(s|0)==36|0);Ep(o+416|0);h=0}}while(0)}break};case 37:case 38:{if((a[l+128|0]|0)!=0){E=pq(o,b,a[o+352|0]|0,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0,l+80|0)|0;if((E|0)!=0){r=155;break a}w=c[l+96>>2]|0;c[l+96>>2]=c[l+92>>2];if((oq(c[o+344>>2]|0,c[o+348>>2]|0,a[o+352|0]|0,0,w,o)|0)==0){r=157;break a}do{if((c[o+132>>2]|0)!=0){if((c[o+332>>2]|0)==0){break}do{if((a[c[o+332>>2]|0]|0)==40){r=163}else{if((a[c[o+332>>2]|0]|0)!=78){break}if((a[(c[o+332>>2]|0)+1|0]|0)==79){r=163}}}while(0);if((r|0)==163){r=0;do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Xp(o+416|0)|0)<<24>>24!=0){r=166;break}if(!0){r=171;break a}}else{r=166}}while(0);if((r|0)==166){r=0;x=o+428|0;v=c[x>>2]|0;c[x>>2]=v+1;a[v]=41;if(!1){r=171;break a}}do{if((c[o+428>>2]|0)==(c[o+424>>2]|0)){if((Xp(o+416|0)|0)<<24>>24!=0){r=170;break}if(!0){r=171;break a}}else{r=170}}while(0);if((r|0)==170){r=0;v=o+428|0;x=c[v>>2]|0;c[v>>2]=x+1;a[x]=0;if(!1){r=171;break a}}c[o+332>>2]=c[o+432>>2];c[o+432>>2]=c[o+428>>2]}c[q>>2]=e;Yd[c[o+132>>2]&63](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,c[c[o+348>>2]>>2]|0,c[o+332>>2]|0,w,(s|0)==38|0);Ep(o+416|0);h=0}}while(0)}break};case 12:{if((a[l+128|0]|0)!=0){F=qq(o,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+316>>2]|0)!=0){c[(c[o+316>>2]|0)+4>>2]=c[l+120>>2];c[(c[o+316>>2]|0)+8>>2]=(c[l+116>>2]|0)-(c[l+120>>2]|0);c[l+120>>2]=c[l+116>>2];if((c[o+136>>2]|0)!=0){c[q>>2]=e;be[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,c[(c[o+316>>2]|0)+4>>2]|0,c[(c[o+316>>2]|0)+8>>2]|0,c[o+360>>2]|0,0,0,0);h=0}}else{c[l+116>>2]=c[l+120>>2]}if((F|0)!=0){r=183;break a}}break};case 5:{a[o+489|0]=0;a[l+129|0]=1;if((c[o+84>>2]|0)!=0){c[o+324>>2]=hq(o+416|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((c[o+324>>2]|0)==0){r=188;break a}c[o+432>>2]=c[o+428>>2];h=0}else{c[o+324>>2]=16856}do{if((a[l+130|0]|0)==0){if((c[o+492>>2]|0)!=0){break}if((c[o+108>>2]|0)==0){break}if((Td[c[o+108>>2]&255](c[o+4>>2]|0)|0)==0){r=195;break a}}}while(0);if((c[o+316>>2]|0)==0){c[o+316>>2]=_p(o,l+132|0,16856,36)|0;if((c[o+316>>2]|0)==0){r=198;break a}c[(c[o+316>>2]|0)+24>>2]=0}r=201;break};case 13:{r=201;break};case 15:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}if((c[o+136>>2]|0)==0){break}c[q>>2]=e;be[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,d[(c[o+316>>2]|0)+33|0]|0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,0);h=0}}while(0);break};case 16:{do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}w=hq(l+80|0,b,e,c[n>>2]|0)|0;c[(c[o+316>>2]|0)+28>>2]=w;if((c[(c[o+316>>2]|0)+28>>2]|0)==0){r=217;break a}c[l+96>>2]=c[l+92>>2];if((c[o+92>>2]|0)!=0){c[q>>2]=e;Yd[c[o+92>>2]&63](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}else{if((c[o+136>>2]|0)!=0){c[q>>2]=e;be[c[o+136>>2]&7](c[o+4>>2]|0,c[c[o+316>>2]>>2]|0,0,0,0,c[(c[o+316>>2]|0)+20>>2]|0,c[(c[o+316>>2]|0)+16>>2]|0,c[(c[o+316>>2]|0)+24>>2]|0,c[(c[o+316>>2]|0)+28>>2]|0);h=0}}}}while(0);break};case 9:{if((Vd[c[b+48>>2]&127](b,e,c[n>>2]|0)|0)!=0){c[o+316>>2]=0;break b}if((a[l+128|0]|0)!=0){w=hq(l+80|0,b,e,c[n>>2]|0)|0;if((w|0)==0){r=229;break a}c[o+316>>2]=_p(o,l|0,w,36)|0;if((c[o+316>>2]|0)==0){r=231;break a}if((c[c[o+316>>2]>>2]|0)!=(w|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=0;if((c[o+476>>2]|0)!=0){G=1}else{G=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(G^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};case 10:{if((a[l+128|0]|0)!=0){w=hq(l+80|0,b,e,c[n>>2]|0)|0;if((w|0)==0){r=244;break a}c[o+316>>2]=_p(o,l+132|0,w,36)|0;if((c[o+316>>2]|0)==0){r=246;break a}if((c[c[o+316>>2]>>2]|0)!=(w|0)){c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}else{c[l+96>>2]=c[l+92>>2];c[(c[o+316>>2]|0)+24>>2]=0;a[(c[o+316>>2]|0)+33|0]=1;if((c[o+476>>2]|0)!=0){H=1}else{H=(c[o+300>>2]|0)!=0}a[(c[o+316>>2]|0)+34|0]=(H^1)&1;if((c[o+136>>2]|0)!=0){h=0}}}else{c[l+92>>2]=c[l+96>>2];c[o+316>>2]=0}break};default:{}}}while(0);if((r|0)==49){r=0;if((fe[c[b+56>>2]&127](b,e,c[n>>2]|0,p)|0)==0){r=50;break}r=52}else if((r|0)==117){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+132>>2]|0)==0){break}h=0}}while(0)}else if((r|0)==201){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}s=hq(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;c[(c[o+316>>2]|0)+16>>2]=s;if((c[(c[o+316>>2]|0)+16>>2]|0)==0){r=204;break a}c[(c[o+316>>2]|0)+20>>2]=c[o+360>>2];c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}else if((r|0)==386){r=0;if((a[l+160|0]|0)!=0){if((A|0)==0){I=c[n>>2]|0}else{I=(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0}s=tq(o)|0;if((s|0)<0){r=391;break}c[(c[l+164>>2]|0)+(s*28|0)>>2]=4;c[(c[l+164>>2]|0)+(s*28|0)+4>>2]=A;w=kq(o,b,e,I)|0;if((w|0)==0){r=393;break}x=c[w>>2]|0;c[(c[l+164>>2]|0)+(s*28|0)+8>>2]=x;s=0;do{w=s;s=w+1|0;}while((a[x+w|0]|0)!=0);x=l+168|0;c[x>>2]=(c[x>>2]|0)+s;if((c[o+128>>2]|0)!=0){h=0}}}else if((r|0)==405){r=0;if((a[l+160|0]|0)!=0){if((c[o+128>>2]|0)!=0){h=0}x=l+180|0;c[x>>2]=(c[x>>2]|0)-1;c[(c[l+164>>2]|0)+((c[(c[l+184>>2]|0)+(c[l+180>>2]<<2)>>2]|0)*28|0)+4>>2]=A;if((c[l+180>>2]|0)==0){if(!(h<<24>>24!=0)){x=vq(o)|0;if((x|0)==0){r=411;break}c[q>>2]=e;ge[c[o+128>>2]&15](c[o+4>>2]|0,c[c[o+344>>2]>>2]|0,x)}a[l+160|0]=0;c[l+168>>2]=0}}}if((r|0)==52){r=0;do{if((d[l+128|0]|0)!=0){if((c[o+316>>2]|0)==0){break}x=hq(l+80|0,b,e+(c[b+68>>2]|0)|0,(c[n>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((x|0)==0){r=55;break a}iq(x);c[(c[o+316>>2]|0)+24>>2]=x;c[l+96>>2]=c[l+92>>2];if((c[o+136>>2]|0)!=0){h=0}}}while(0)}do{if((h&255|0)!=0){if((c[o+80>>2]|0)==0){break}Vp(o,b,e,c[n>>2]|0)}}while(0);h=c[o+480>>2]|0;if((h|0)==3){r=446;break}else if((h|0)==2){r=447;break}e=c[n>>2]|0;g=fe[c[b>>2]&127](b,e,f,n)|0}if((r|0)==8){c[j>>2]=e;J=0;K=J;i=m;return K|0}else if((r|0)==10){c[p>>2]=c[n>>2];J=4;K=J;i=m;return K|0}else if((r|0)==11){J=5;K=J;i=m;return K|0}else if((r|0)==12){J=6;K=J;i=m;return K|0}else if((r|0)==14){do{if((b|0)!=(c[o+144>>2]|0)){if((a[(c[o+300>>2]|0)+20|0]|0)!=0){break}c[j>>2]=e;J=0;K=J;i=m;return K|0}}while(0);do{if((d[o+488|0]|0)==0){if((b|0)!=(c[o+144>>2]|0)){break}J=3;K=J;i=m;return K|0}}while(0);if((Ud[c[o+256>>2]&127](o+256|0,-4,f,f,b)|0)==-1){J=29;K=J;i=m;return K|0}else{c[j>>2]=e;J=0;K=J;i=m;return K|0}}else if((r|0)==27){J=B;K=J;i=m;return K|0}else if((r|0)==31){J=1;K=J;i=m;return K|0}else if((r|0)==38){J=C;K=J;i=m;return K|0}else if((r|0)==41){J=1;K=J;i=m;return K|0}else if((r|0)==44){J=32;K=J;i=m;return K|0}else if((r|0)==46){J=1;K=J;i=m;return K|0}else if((r|0)==50){J=32;K=J;i=m;return K|0}else if((r|0)==55){J=1;K=J;i=m;return K|0}else if((r|0)==67){J=1;K=J;i=m;return K|0}else if((r|0)==71){J=21;K=J;i=m;return K|0}else if((r|0)==76){J=22;K=J;i=m;return K|0}else if((r|0)==86){if((a[o+489|0]|0)!=0){C=a[l+129|0]|0;a[l+129|0]=1;do{if((c[o+492>>2]|0)!=0){if((c[o+112>>2]|0)==0){break}B=_p(o,l+132|0,16856,36)|0;if((B|0)==0){J=1;K=J;i=m;return K|0}c[B+20>>2]=c[o+360>>2];a[l+131|0]=0;if((Ud[c[o+112>>2]&127](c[o+116>>2]|0,0,c[B+20>>2]|0,c[B+16>>2]|0,c[B+24>>2]|0)|0)==0){J=21;K=J;i=m;return K|0}if((a[l+131|0]|0)!=0){do{if((a[l+130|0]|0)==0){if((c[o+108>>2]|0)==0){break}if((Td[c[o+108>>2]&255](c[o+4>>2]|0)|0)!=0){break}J=22;K=J;i=m;return K|0}}while(0)}else{a[l+129|0]=C}}}while(0)}c[o+280>>2]=4;J=jq(o,e,f,j)|0;K=J;i=m;return K|0}else if((r|0)==104){J=1;K=J;i=m;return K|0}else if((r|0)==107){J=1;K=J;i=m;return K|0}else if((r|0)==127){J=1;K=J;i=m;return K|0}else if((r|0)==129){J=1;K=J;i=m;return K|0}else if((r|0)==134){J=1;K=J;i=m;return K|0}else if((r|0)==148){J=1;K=J;i=m;return K|0}else if((r|0)==155){J=E;K=J;i=m;return K|0}else if((r|0)==157){J=1;K=J;i=m;return K|0}else if((r|0)==171){J=1;K=J;i=m;return K|0}else if((r|0)==183){J=F;K=J;i=m;return K|0}else if((r|0)==188){J=1;K=J;i=m;return K|0}else if((r|0)==195){J=22;K=J;i=m;return K|0}else if((r|0)==198){J=1;K=J;i=m;return K|0}else if((r|0)==204){J=1;K=J;i=m;return K|0}else if((r|0)==217){J=1;K=J;i=m;return K|0}else if((r|0)==229){J=1;K=J;i=m;return K|0}else if((r|0)==231){J=1;K=J;i=m;return K|0}else if((r|0)==244){J=1;K=J;i=m;return K|0}else if((r|0)==246){J=1;K=J;i=m;return K|0}else if((r|0)==259){J=1;K=J;i=m;return K|0}else if((r|0)==263){J=32;K=J;i=m;return K|0}else if((r|0)==266){J=1;K=J;i=m;return K|0}else if((r|0)==272){J=1;K=J;i=m;return K|0}else if((r|0)==279){F=g;if((F|0)==12){J=17;K=J;i=m;return K|0}else if((F|0)==28){J=10;K=J;i=m;return K|0}else{J=2;K=J;i=m;return K|0}}else if((r|0)==286){J=u;K=J;i=m;return K|0}else if((r|0)==288){c[o+280>>2]=90;J=u;K=J;i=m;return K|0}else if((r|0)==294){J=1;K=J;i=m;return K|0}else if((r|0)==297){J=1;K=J;i=m;return K|0}else if((r|0)==301){J=1;K=J;i=m;return K|0}else if((r|0)==306){J=1;K=J;i=m;return K|0}else if((r|0)==312){J=2;K=J;i=m;return K|0}else if((r|0)==318){J=2;K=J;i=m;return K|0}else if((r|0)==329){J=1;K=J;i=m;return K|0}else if((r|0)==335){J=11;K=J;i=m;return K|0}else if((r|0)==337){J=24;K=J;i=m;return K|0}else if((r|0)==347){J=12;K=J;i=m;return K|0}else if((r|0)==350){J=z;K=J;i=m;return K|0}else if((r|0)==354){a[y+32|0]=0;J=21;K=J;i=m;return K|0}else if((r|0)==363){J=22;K=J;i=m;return K|0}else if((r|0)==367){J=1;K=J;i=m;return K|0}else if((r|0)==373){J=1;K=J;i=m;return K|0}else if((r|0)==391){J=1;K=J;i=m;return K|0}else if((r|0)==393){J=1;K=J;i=m;return K|0}else if((r|0)==411){J=1;K=J;i=m;return K|0}else if((r|0)==417){J=1;K=J;i=m;return K|0}else if((r|0)==420){J=1;K=J;i=m;return K|0}else if((r|0)==446){c[j>>2]=c[n>>2];J=0;K=J;i=m;return K|0}else if((r|0)==447){J=35;K=J;i=m;return K|0}return 0}function gq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+40|0;h=g|0;j=g+8|0;k=g+16|0;l=g+24|0;m=g+32|0;n=b;b=d;d=e;e=f;c[h>>2]=0;f=0;c[j>>2]=0;c[k>>2]=0;o=0;c[m>>2]=-1;if((Sd[((a[n+236|0]&255|0)!=0?6:4)&15](b,c[n+144>>2]|0,d,e,n+288|0,k,l,h,j,m)|0)==0){if((b|0)!=0){p=31;q=p;i=g;return q|0}else{p=30;q=p;i=g;return q|0}}do{if((b|0)==0){if((c[m>>2]|0)!=1){break}a[(c[n+356>>2]|0)+130|0]=1;if((c[n+492>>2]|0)==1){c[n+492>>2]=0}}}while(0);if((c[n+140>>2]|0)!=0){do{if((c[h>>2]|0)!=0){b=c[n+144>>2]|0;r=c[h>>2]|0;s=c[h>>2]|0;f=hq(n+440|0,b,r,s+(ce[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){c[n+456>>2]=c[n+452>>2];break}p=1;q=p;i=g;return q|0}}while(0);do{if((c[k>>2]|0)!=0){o=hq(n+440|0,c[n+144>>2]|0,c[k>>2]|0,(c[l>>2]|0)+(-(c[(c[n+144>>2]|0)+68>>2]|0)|0)|0)|0;if((o|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);je[c[n+140>>2]&31](c[n+4>>2]|0,o,f,c[m>>2]|0)}else{if((c[n+80>>2]|0)!=0){Vp(n,c[n+144>>2]|0,d,e)}}if((c[n+232>>2]|0)==0){do{if((c[j>>2]|0)!=0){if((c[(c[j>>2]|0)+68>>2]|0)==(c[(c[n+144>>2]|0)+68>>2]|0)){c[n+144>>2]=c[j>>2];break}c[n+288>>2]=c[h>>2];p=19;q=p;i=g;return q|0}else{if((c[h>>2]|0)==0){break}do{if((f|0)==0){e=c[n+144>>2]|0;d=c[h>>2]|0;m=c[h>>2]|0;f=hq(n+440|0,e,d,m+(ce[c[(c[n+144>>2]|0)+32>>2]&127](c[n+144>>2]|0,c[h>>2]|0)|0)|0)|0;if((f|0)!=0){break}p=1;q=p;i=g;return q|0}}while(0);m=Lq(n,f)|0;Ep(n+440|0);if((m|0)==18){c[n+288>>2]=c[h>>2]}p=m;q=p;i=g;return q|0}}while(0)}if((f|0)!=0){t=40}else{if((o|0)!=0){t=40}}if((t|0)==40){Ep(n+440|0)}p=0;q=p;i=g;return q|0}function hq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;if((nq(h,d,e,f)|0)==0){j=0;k=j;i=g;return k|0}do{if((c[h+12>>2]|0)==(c[h+8>>2]|0)){if((Xp(h)|0)<<24>>24!=0){break}j=0;k=j;i=g;return k|0}}while(0);f=h+12|0;e=c[f>>2]|0;c[f>>2]=e+1;a[e]=0;j=c[h+16>>2]|0;k=j;i=g;return k|0}function iq(b){b=b|0;var c=0,d=0,e=0,f=0,g=0;c=i;d=b;b=d;e=d;while(1){if((a[e]|0)==0){break}f=a[e]|0;if((f|0)==32|(f|0)==13|(f|0)==10){do{if((b|0)!=(d|0)){if((a[b-1|0]|0)==32){break}f=b;b=f+1|0;a[f]=32}}while(0)}else{f=b;b=f+1|0;a[f]=a[e]|0}e=e+1|0}if((b|0)==(d|0)){g=b;a[g]=0;i=c;return}if((a[b-1|0]|0)!=32){g=b;a[g]=0;i=c;return}b=b-1|0;g=b;a[g]=0;i=c;return}function jq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0;g=i;h=b;b=Aq(h,0,c[h+144>>2]|0,d,e,f,((a[h+484|0]|0)!=0^1)&1)|0;do{if((b|0)==0){if((Iq(h)|0)<<24>>24!=0){break}j=1;k=j;i=g;return k|0}}while(0);j=b;k=j;i=g;return k|0}function kq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=c[g+356>>2]|0;h=hq(a+80|0,b,d,e)|0;if((h|0)==0){j=0;k=j;i=f;return k|0}e=_p(g,a+20|0,h,24)|0;if((e|0)==0){j=0;k=j;i=f;return k|0}do{if((c[e>>2]|0)!=(h|0)){c[a+92>>2]=c[a+96>>2]}else{c[a+96>>2]=c[a+92>>2];if((Jq(g,e)|0)!=0){break}j=0;k=j;i=f;return k|0}}while(0);j=e;k=j;i=f;return k|0}function lq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;g=i;h=b;b=d;d=e;e=f;f=c[h+356>>2]|0;do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Xp(f+80|0)|0)<<24>>24!=0){j=4;break}if(!0){j=5}}else{j=4}}while(0);if((j|0)==4){k=f+92|0;l=c[k>>2]|0;c[k>>2]=l+1;a[l]=0;if(!1){j=5}}if((j|0)==5){m=0;n=m;i=g;return n|0}l=hq(f+80|0,b,d,e)|0;if((l|0)==0){m=0;n=m;i=g;return n|0}l=l+1|0;e=_p(h,f+40|0,l,12)|0;if((e|0)==0){m=0;n=m;i=g;return n|0}if((c[e>>2]|0)!=(l|0)){c[f+92>>2]=c[f+96>>2]}else{c[f+96>>2]=c[f+92>>2];if((a[h+236|0]|0)!=0){do{if((a[l|0]|0)==120){if((a[l+1|0]|0)!=109){j=25;break}if((a[l+2|0]|0)!=108){j=25;break}if((a[l+3|0]|0)!=110){j=25;break}if((a[l+4|0]|0)!=115){j=25;break}if((a[l+5|0]|0)!=0){if((a[l+5|0]|0)!=58){j=25;break}}if((a[l+5|0]|0)==0){c[e+4>>2]=f+152}else{c[e+4>>2]=_p(h,f+60|0,l+6|0,8)|0}a[e+9|0]=1}else{j=25}}while(0);if((j|0)==25){d=0;while(1){if((a[l+d|0]|0)==0){break}if((a[l+d|0]|0)==58){j=28;break}d=d+1|0}if((j|0)==28){b=0;a:while(1){if((b|0)>=(d|0)){break}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Xp(f+80|0)|0)<<24>>24!=0){j=33;break}if(!0){j=34;break a}}else{j=33}}while(0);if((j|0)==33){j=0;k=a[l+b|0]|0;o=f+92|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=k;if(!1){j=34;break}}b=b+1|0}if((j|0)==34){m=0;n=m;i=g;return n|0}do{if((c[f+92>>2]|0)==(c[f+88>>2]|0)){if((Xp(f+80|0)|0)<<24>>24!=0){j=40;break}if(!0){j=41}}else{j=40}}while(0);if((j|0)==40){b=f+92|0;l=c[b>>2]|0;c[b>>2]=l+1;a[l]=0;if(!1){j=41}}if((j|0)==41){m=0;n=m;i=g;return n|0}c[e+4>>2]=_p(h,f+60|0,c[f+96>>2]|0,8)|0;if((c[c[e+4>>2]>>2]|0)==(c[f+96>>2]|0)){c[f+96>>2]=c[f+92>>2]}else{c[f+92>>2]=c[f+96>>2]}}}}}m=e;n=m;i=g;return n|0}function mq(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0;e=i;f=b;b=d;a:while(1){if((a[b]|0)==0){g=9;break}do{if((c[f+12>>2]|0)==(c[f+8>>2]|0)){if((Xp(f)|0)<<24>>24!=0){g=6;break}if(!0){g=7;break a}}else{g=6}}while(0);if((g|0)==6){g=0;d=a[b]|0;h=f+12|0;j=c[h>>2]|0;c[h>>2]=j+1;a[j]=d;if(!1){g=7;break}}b=b+1|0}if((g|0)==7){k=0;l=k;i=e;return l|0}else if((g|0)==9){k=c[f+16>>2]|0;l=k;i=e;return l|0}return 0}function nq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0;f=i;i=i+8|0;g=f|0;h=a;a=b;c[g>>2]=d;d=e;do{if((c[h+12>>2]|0)==0){if((Xp(h)|0)<<24>>24!=0){break}j=0;k=j;i=f;return k|0}}while(0);while(1){Pd[c[a+60>>2]&31](a,g,d,h+12|0,c[h+8>>2]|0);if((c[g>>2]|0)==(d|0)){break}if(!((Xp(h)|0)<<24>>24!=0)){l=8;break}}if((l|0)==8){j=0;k=j;i=f;return k|0}j=c[h+16>>2]|0;k=j;i=f;return k|0}function oq(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=b;b=d;d=e;e=f;f=g;g=h;if((f|0)!=0){l=3}else{if((e&255|0)!=0){l=3}}if((l|0)==3){h=0;while(1){if((h|0)>=(c[k+12>>2]|0)){break}if((b|0)==(c[(c[k+20>>2]|0)+(h*12|0)>>2]|0)){l=6;break}h=h+1|0}if((l|0)==6){m=1;n=m;i=j;return n|0}do{if((e&255|0)!=0){if((c[k+8>>2]|0)!=0){break}if((a[b+9|0]|0)!=0){break}c[k+8>>2]=b}}while(0)}if((c[k+12>>2]|0)==(c[k+16>>2]|0)){do{if((c[k+16>>2]|0)==0){c[k+16>>2]=8;c[k+20>>2]=Td[c[g+12>>2]&255]((c[k+16>>2]|0)*12|0)|0;if((c[k+20>>2]|0)!=0){break}m=0;n=m;i=j;return n|0}else{e=c[k+16>>2]<<1;l=ce[c[g+16>>2]&127](c[k+20>>2]|0,e*12|0)|0;if((l|0)!=0){c[k+16>>2]=e;c[k+20>>2]=l;break}m=0;n=m;i=j;return n|0}}while(0)}g=(c[k+20>>2]|0)+((c[k+12>>2]|0)*12|0)|0;c[g>>2]=b;c[g+8>>2]=f;a[g+4|0]=d;if(!(d<<24>>24!=0)){a[b+8|0]=1}b=k+12|0;c[b>>2]=(c[b>>2]|0)+1;m=1;n=m;i=j;return n|0}function pq(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,k=0,l=0,m=0,n=0;j=i;k=e;e=h;h=Kq(b,d,k,f,g,e)|0;if((h|0)!=0){l=h;m=l;i=j;return m|0}do{if(!(k<<24>>24!=0)){if(((c[e+12>>2]|0)-(c[e+16>>2]|0)|0)==0){break}if((a[(c[e+12>>2]|0)-1|0]|0)!=32){break}h=e+12|0;c[h>>2]=(c[h>>2]|0)-1}}while(0);do{if((c[e+12>>2]|0)==(c[e+8>>2]|0)){if((Xp(e)|0)<<24>>24!=0){n=10;break}if(0){n=12}else{n=11}}else{n=10}}while(0);if((n|0)==10){k=e+12|0;e=c[k>>2]|0;c[k>>2]=e+1;a[e]=0;if(1){n=12}else{n=11}}if((n|0)==11){l=1;m=l;i=j;return m|0}else if((n|0)==12){l=0;m=l;i=j;return m|0}return 0}function qq(b,e,f,g){b=b|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;h=i;i=i+16|0;j=h|0;k=h+8|0;l=b;b=e;e=f;f=g;g=c[l+356>>2]|0;m=g+104|0;n=0;o=c[l+276>>2]|0;c[l+276>>2]=1;do{if((c[m>>2]|0)==0){if((Xp(m)|0)<<24>>24!=0){break}p=1;q=p;i=h;return q|0}}while(0);a:while(1){switch(fe[c[b+20>>2]&127](b,e,f,j)|0){case 28:{if((d[l+488|0]|0)==0){if((b|0)==(c[l+144>>2]|0)){r=30;break a}}s=hq(l+416|0,b,e+(c[b+68>>2]|0)|0,(c[j>>2]|0)+(-(c[b+68>>2]|0)|0)|0)|0;if((s|0)==0){r=10;break a}t=_p(l,g+132|0,s,0)|0;c[l+428>>2]=c[l+432>>2];if((t|0)==0){r=12;break a}if((a[t+32|0]|0)!=0){r=14;break a}if((c[t+16>>2]|0)!=0){if((c[l+112>>2]|0)!=0){a[g+131|0]=0;a[t+32|0]=1;if((Ud[c[l+112>>2]&127](c[l+116>>2]|0,0,c[t+20>>2]|0,c[t+16>>2]|0,c[t+24>>2]|0)|0)==0){r=20;break a}a[t+32|0]=0;if((a[g+131|0]|0)==0){a[g+128|0]=a[g+130|0]|0}}else{a[g+128|0]=a[g+130|0]|0}}else{a[t+32|0]=1;n=qq(l,c[l+228>>2]|0,c[t+4>>2]|0,(c[t+4>>2]|0)+(c[t+8>>2]|0)|0)|0;a[t+32|0]=0;if((n|0)!=0){r=27;break a}}break};case-1:{r=56;break a;break};case 9:case 6:{if((nq(m,b,e,c[j>>2]|0)|0)==0){r=33;break a}break};case 10:{s=ce[c[b+44>>2]&127](b,e)|0;if((s|0)<0){r=41;break a}s=Rq(s,k|0)|0;if((s|0)==0){r=45;break a}u=0;while(1){if((u|0)>=(s|0)){break}if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((Xp(m)|0)<<24>>24!=0)){r=52;break a}}v=a[k+u|0]|0;w=m+12|0;x=c[w>>2]|0;c[w>>2]=x+1;a[x]=v;u=u+1|0}break};case-4:{r=31;break a;break};case-3:{c[j>>2]=e+(c[b+68>>2]|0);r=36;break};case 0:{r=59;break a;break};case 7:{r=36;break};default:{r=62;break a}}if((r|0)==36){r=0;if((c[m+8>>2]|0)==(c[m+12>>2]|0)){if(!((Xp(m)|0)<<24>>24!=0)){r=38;break}}u=m+12|0;s=c[u>>2]|0;c[u>>2]=s+1;a[s]=10}e=c[j>>2]|0}if((r|0)==10){n=1}else if((r|0)==12){a[g+128|0]=a[g+130|0]|0}else if((r|0)==14){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=12}else if((r|0)==20){a[t+32|0]=0;n=21}else if((r|0)!=27)if((r|0)==30){c[l+288>>2]=e;n=10}else if((r|0)==31){n=0}else if((r|0)==33){n=1}else if((r|0)==38){n=1}else if((r|0)==41){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==45){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=14}else if((r|0)==52){n=1}else if((r|0)==56){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=4}else if((r|0)==59){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=c[j>>2]}n=4}else if((r|0)==62){if((b|0)==(c[l+144>>2]|0)){c[l+288>>2]=e}n=23}c[l+276>>2]=o;p=n;q=p;i=h;return q|0}function rq(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=i;i=i+8|0;j=h|0;k=a;a=b;b=d;d=f;f=g;g=c[b>>2]|0;if((a|0)==(c[k+144>>2]|0)){l=k+288|0;c[l>>2]=g;m=k+292|0}else{l=c[k+300>>2]|0;m=(c[k+300>>2]|0)+4|0}c[l>>2]=g;c[b>>2]=0;n=fe[c[a+12>>2]&127](a,g,e,j)|0;c[m>>2]=c[j>>2];switch(n|0){case 42:{if((c[k+80>>2]|0)!=0){Vp(k,a,g,c[j>>2]|0)}c[b>>2]=c[j>>2];c[d>>2]=c[j>>2];if((c[k+480>>2]|0)==2){o=35;p=o;i=h;return p|0}else{o=0;p=o;i=h;return p|0}break};case 0:{c[l>>2]=c[j>>2];o=4;p=o;i=h;return p|0};case-1:case-4:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=2;p=o;i=h;return p|0}break};case-2:{if(f<<24>>24!=0){c[d>>2]=g;o=0;p=o;i=h;return p|0}else{o=6;p=o;i=h;return p|0}break};default:{c[l>>2]=c[j>>2];o=23;p=o;i=h;return p|0}}return 0}function sq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0;g=i;i=i+8|0;h=g|0;j=b;c[h>>2]=d;d=e;e=f;f=rq(j,c[j+144>>2]|0,h,d,e,((a[j+484|0]|0)!=0^1)&1)|0;if((f|0)!=0){k=f;l=k;i=g;return l|0}if((c[h>>2]|0)!=0){c[j+280>>2]=76;k=eq(j,c[h>>2]|0,d,e)|0;l=k;i=g;return l|0}else{k=f;l=k;i=g;return l|0}return 0}function tq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0;b=i;d=a;a=c[d+356>>2]|0;do{if((c[a+184>>2]|0)==0){c[a+184>>2]=Td[c[d+12>>2]&255](c[d+468>>2]<<2)|0;if((c[a+184>>2]|0)!=0){c[c[a+184>>2]>>2]=0;break}e=-1;f=e;i=b;return f|0}}while(0);if((c[a+176>>2]|0)>>>0>=(c[a+172>>2]|0)>>>0){do{if((c[a+164>>2]|0)!=0){g=ce[c[d+16>>2]&127](c[a+164>>2]|0,(c[a+172>>2]<<1)*28|0)|0;if((g|0)!=0){h=a+172|0;c[h>>2]=c[h>>2]<<1;break}e=-1;f=e;i=b;return f|0}else{g=Td[c[d+12>>2]&255](896)|0;if((g|0)!=0){c[a+172>>2]=32;break}e=-1;f=e;i=b;return f|0}}while(0);c[a+164>>2]=g}g=a+176|0;d=c[g>>2]|0;c[g>>2]=d+1;g=d;d=(c[a+164>>2]|0)+(g*28|0)|0;if((c[a+180>>2]|0)!=0){h=(c[a+164>>2]|0)+((c[(c[a+184>>2]|0)+((c[a+180>>2]|0)-1<<2)>>2]|0)*28|0)|0;if((c[h+16>>2]|0)!=0){c[(c[a+164>>2]|0)+((c[h+16>>2]|0)*28|0)+24>>2]=g}if((c[h+20>>2]|0)==0){c[h+12>>2]=g}c[h+16>>2]=g;a=h+20|0;c[a>>2]=(c[a>>2]|0)+1}c[d+24>>2]=0;c[d+20>>2]=0;c[d+16>>2]=0;c[d+12>>2]=0;e=g;f=e;i=b;return f|0}function uq(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;f=i;i=i+8|0;g=f|0;h=b;b=d;d=e;do{if((c[h+304>>2]|0)!=0){j=c[h+304>>2]|0;c[h+304>>2]=c[j+8>>2]}else{j=Td[c[h+12>>2]&255](24)|0;if((j|0)!=0){break}k=1;l=k;i=f;return l|0}}while(0);a[b+32|0]=1;c[b+12>>2]=0;c[j+8>>2]=c[h+300>>2];c[h+300>>2]=j;c[j+12>>2]=b;c[j+16>>2]=c[h+312>>2];a[j+20|0]=d;c[j>>2]=0;c[j+4>>2]=0;d=c[b+4>>2]|0;e=(c[b+4>>2]|0)+(c[b+8>>2]|0)|0;if((a[b+33|0]|0)!=0){m=fe[c[c[h+228>>2]>>2]&127](c[h+228>>2]|0,d,e,g)|0;n=fq(h,c[h+228>>2]|0,d,e,m,c[g>>2]|0,g,0)|0}else{n=Aq(h,c[h+312>>2]|0,c[h+228>>2]|0,d,e,g,0)|0}if((n|0)==0){do{if((e|0)!=(c[g>>2]|0)){if((c[h+480>>2]|0)!=3){o=13;break}c[b+12>>2]=(c[g>>2]|0)-d;c[h+280>>2]=66}else{o=13}}while(0);if((o|0)==13){a[b+32|0]=0;c[h+300>>2]=c[j+8>>2];c[j+8>>2]=c[h+304>>2];c[h+304>>2]=j}}k=n;l=k;i=f;return l|0}function vq(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,j=0;b=i;i=i+16|0;d=b|0;e=b+8|0;f=a;a=c[f+356>>2]|0;g=Td[c[f+12>>2]&255](((c[a+176>>2]|0)*20|0)+(c[a+168>>2]|0)|0)|0;if((g|0)!=0){c[e>>2]=g+((c[a+176>>2]|0)*20|0);c[d>>2]=g+20;zq(f,0,g,d,e);h=g;j=h;i=b;return j|0}else{h=0;j=h;i=b;return j|0}return 0}function wq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0;f=i;g=a;a=b;b=d;d=e;if((c[g+64>>2]|0)==0){if((c[g+80>>2]|0)!=0){Vp(g,a,b,d)}h=1;j=h;i=f;return j|0}b=b+(c[a+68>>2]<<1)|0;e=b+(ce[c[a+32>>2]&127](a,b)|0)|0;k=hq(g+416|0,a,b,e)|0;if((k|0)==0){h=0;j=h;i=f;return j|0}c[g+432>>2]=c[g+428>>2];b=ce[c[a+36>>2]&127](a,e)|0;e=hq(g+416|0,a,b,d+(-(c[a+68>>2]<<1)|0)|0)|0;if((e|0)!=0){yq(e);ge[c[g+64>>2]&15](c[g+4>>2]|0,k,e);Ep(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function xq(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;f=i;g=a;a=b;b=d;d=e;if((c[g+68>>2]|0)==0){if((c[g+80>>2]|0)!=0){Vp(g,a,b,d)}h=1;j=h;i=f;return j|0}e=hq(g+416|0,a,b+(c[a+68>>2]<<2)|0,d+(-((c[a+68>>2]|0)*3|0)|0)|0)|0;if((e|0)!=0){yq(e);Rd[c[g+68>>2]&127](c[g+4>>2]|0,e);Ep(g+416|0);h=1;j=h;i=f;return j|0}else{h=0;j=h;i=f;return j|0}return 0}function yq(b){b=b|0;var c=0,d=0,e=0,f=0;c=i;d=b;while(1){if((a[d]|0)==0){e=3;break}if((a[d]|0)==13){break}d=d+1|0}if((e|0)==3){i=c;return}e=d;do{if((a[d]|0)==13){b=e;e=b+1|0;a[b]=10;b=d+1|0;d=b;if((a[b]|0)==10){d=d+1|0}}else{b=d;d=b+1|0;f=e;e=f+1|0;a[f]=a[b]|0}}while((a[d]|0)!=0);a[e]=0;i=c;return}function zq(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,k=0,l=0,m=0,n=0;h=i;j=b;b=d;d=e;e=f;f=g;g=c[j+356>>2]|0;c[d>>2]=c[(c[g+164>>2]|0)+(b*28|0)>>2];c[d+4>>2]=c[(c[g+164>>2]|0)+(b*28|0)+4>>2];if((c[d>>2]|0)==4){c[d+8>>2]=c[f>>2];k=c[(c[g+164>>2]|0)+(b*28|0)+8>>2]|0;while(1){l=a[k]|0;m=f;n=c[m>>2]|0;c[m>>2]=n+1;a[n]=l;if((a[k]|0)==0){break}k=k+1|0}c[d+12>>2]=0;c[d+16>>2]=0;i=h;return}else{c[d+12>>2]=c[(c[g+164>>2]|0)+(b*28|0)+20>>2];c[d+16>>2]=c[e>>2];k=e;c[k>>2]=(c[k>>2]|0)+((c[d+12>>2]|0)*20|0);k=0;l=c[(c[g+164>>2]|0)+(b*28|0)+12>>2]|0;while(1){if(!(k>>>0<(c[d+12>>2]|0)>>>0)){break}zq(j,l,(c[d+16>>2]|0)+(k*20|0)|0,e,f);k=k+1|0;l=c[(c[g+164>>2]|0)+(l*28|0)+24>>2]|0}c[d+8>>2]=0;i=h;return}}function Aq(b,e,f,g,h,j,k){b=b|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;l=i;i=i+112|0;m=l|0;n=l+8|0;o=l+16|0;p=l+24|0;q=l+32|0;r=l+40|0;s=l+48|0;t=l+56|0;u=l+80|0;v=l+88|0;w=l+96|0;x=l+104|0;y=b;b=e;e=f;c[m>>2]=g;g=h;h=j;j=k;k=c[y+356>>2]|0;if((e|0)==(c[y+144>>2]|0)){z=y+288|0;A=y+292|0}else{z=c[y+300>>2]|0;A=(c[y+300>>2]|0)+4|0}c[z>>2]=c[m>>2];a:while(1){c[n>>2]=c[m>>2];f=fe[c[e+4>>2]&127](e,c[m>>2]|0,g,n)|0;c[A>>2]=c[n>>2];b:do{switch(f|0){case-3:{B=6;break a;break};case 0:{B=25;break a;break};case-2:{B=29;break a;break};case 12:{B=164;break a;break};case 7:{if((c[y+60>>2]|0)!=0){a[v]=10;ge[c[y+60>>2]&15](c[y+4>>2]|0,v,1)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 9:{a[p]=Vd[c[e+48>>2]&127](e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((a[p]|0)!=0){if((c[y+60>>2]|0)!=0){ge[c[y+60>>2]&15](c[y+4>>2]|0,p,1)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}C=hq(k+80|0,e,(c[m>>2]|0)+(c[e+68>>2]|0)|0,(c[n>>2]|0)+(-(c[e+68>>2]|0)|0)|0)|0;if((C|0)==0){B=40;break a}D=_p(y,k|0,C,0)|0;c[k+92>>2]=c[k+96>>2];do{if((a[k+129|0]|0)!=0){if((d[k+130|0]|0)!=0){B=43;break}if((D|0)!=0){break}if((c[y+120>>2]|0)!=0){ge[c[y+120>>2]&15](c[y+4>>2]|0,C,0)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{B=43}}while(0);if((B|0)==43){B=0;if((D|0)==0){B=44;break a}if((a[D+34|0]|0)==0){B=46;break a}}if((a[D+32|0]|0)!=0){B=58;break a}if((c[D+28>>2]|0)!=0){B=60;break a}do{if((c[D+4>>2]|0)!=0){if((a[y+308|0]|0)!=0){E=uq(y,D,0)|0;if((E|0)!=0){B=70;break a}break}if((c[y+120>>2]|0)!=0){ge[c[y+120>>2]&15](c[y+4>>2]|0,c[D>>2]|0,0)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}break b}else{if((c[y+112>>2]|0)!=0){a[D+32|0]=1;C=Cq(y)|0;a[D+32|0]=0;if((C|0)==0){B=74;break a}if((Ud[c[y+112>>2]&127](c[y+116>>2]|0,C,c[D+20>>2]|0,c[D+16>>2]|0,c[D+24>>2]|0)|0)==0){B=76;break a}c[y+428>>2]=c[y+432>>2]}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);break};case 8:{if((c[y+72>>2]|0)!=0){Qd[c[y+72>>2]&511](c[y+4>>2]|0)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}F=Fq(y,e,n,g,h,j)|0;if((F|0)!=0){B=177;break a}if((c[n>>2]|0)==0){B=179;break a}break};case 2:case 1:{if((c[y+368>>2]|0)!=0){G=c[y+368>>2]|0;c[y+368>>2]=c[c[y+368>>2]>>2]}else{G=Td[c[y+12>>2]&255](48)|0;if((G|0)==0){B=86;break a}c[G+36>>2]=Td[c[y+12>>2]&255](32)|0;if((c[G+36>>2]|0)==0){B=88;break a}c[G+40>>2]=(c[G+36>>2]|0)+32}c[G+44>>2]=0;c[G>>2]=c[y+364>>2];c[y+364>>2]=G;c[G+16>>2]=0;c[G+20>>2]=0;c[G+4>>2]=(c[m>>2]|0)+(c[e+68>>2]|0);c[G+8>>2]=ce[c[e+32>>2]&127](e,c[G+4>>2]|0)|0;D=y+312|0;c[D>>2]=(c[D>>2]|0)+1;D=(c[G+4>>2]|0)+(c[G+8>>2]|0)|0;c[r>>2]=c[G+4>>2];c[q>>2]=c[G+36>>2];while(1){Pd[c[e+60>>2]&31](e,r,D,q,(c[G+40>>2]|0)-1|0);H=(c[q>>2]|0)-(c[G+36>>2]|0)|0;if((c[r>>2]|0)==(D|0)){break}C=(c[G+40>>2]|0)-(c[G+36>>2]|0)<<1;I=ce[c[y+16>>2]&127](c[G+36>>2]|0,C)|0;if((I|0)==0){B=94;break a}c[G+36>>2]=I;c[G+40>>2]=I+C;c[q>>2]=I+H}c[G+24>>2]=H;c[G+12>>2]=c[G+36>>2];a[c[q>>2]|0]=0;J=Dq(y,e,c[m>>2]|0,G+12|0,G+44|0)|0;if((J|0)!=0){B=97;break a}if((c[y+52>>2]|0)!=0){ge[c[y+52>>2]&15](c[y+4>>2]|0,c[G+12>>2]|0,c[y+392>>2]|0)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}Ep(y+416|0);break};case 11:{if((wq(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=211;break a}break};case 5:{if((c[y+312>>2]|0)==(b|0)){B=126;break a}D=c[y+364>>2]|0;c[y+364>>2]=c[D>>2];c[D>>2]=c[y+368>>2];c[y+368>>2]=D;K=(c[m>>2]|0)+(c[e+68>>2]<<1)|0;I=ce[c[e+32>>2]&127](e,K)|0;if((I|0)!=(c[D+8>>2]|0)){B=129;break a}if((HY(c[D+4>>2]|0,K,I)|0)!=0){B=129;break a}I=y+312|0;c[I>>2]=(c[I>>2]|0)-1;if((c[y+56>>2]|0)!=0){I=c[D+16>>2]|0;do{if((d[y+236|0]|0)!=0){if((I|0)==0){break}C=(c[D+12>>2]|0)+(c[D+28>>2]|0)|0;while(1){if((a[I]|0)==0){break}L=I;I=L+1|0;M=C;C=M+1|0;a[M]=a[L]|0}L=c[D+20>>2]|0;do{if((d[y+237|0]|0)!=0){if((L|0)==0){break}M=C;C=M+1|0;a[M]=a[y+472|0]|0;while(1){if((a[L]|0)==0){break}M=L;L=M+1|0;N=C;C=N+1|0;a[N]=a[M]|0}}}while(0);a[C]=0}}while(0);Rd[c[y+56>>2]&127](c[y+4>>2]|0,c[D+12>>2]|0)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}while(1){if((c[D+44>>2]|0)==0){break}I=c[D+44>>2]|0;if((c[y+104>>2]|0)!=0){Rd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[I>>2]>>2]|0)}c[D+44>>2]=c[(c[D+44>>2]|0)+4>>2];c[I+4>>2]=c[y+376>>2];c[y+376>>2]=I;c[(c[I>>2]|0)+4>>2]=c[I+8>>2]}if((c[y+312>>2]|0)==0){B=153;break a}break};case 13:{if((xq(y,e,c[m>>2]|0,c[n>>2]|0)|0)==0){B=214;break a}break};case-1:{B=26;break a;break};case-4:{B=18;break a;break};case 10:{D=ce[c[e+44>>2]&127](e,c[m>>2]|0)|0;if((D|0)<0){B=157;break a}if((c[y+60>>2]|0)!=0){I=c[y+60>>2]|0;L=c[y+4>>2]|0;M=Rq(D,u|0)|0;ge[I&15](L,u|0,M)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case-5:{B=182;break a;break};case 6:{M=c[y+60>>2]|0;if((M|0)!=0){if((a[e+72|0]|0)!=0){ge[M&15](c[y+4>>2]|0,c[m>>2]|0,(c[n>>2]|0)-(c[m>>2]|0)|0)}else{while(1){c[x>>2]=c[y+44>>2];Pd[c[e+60>>2]&31](e,m,c[n>>2]|0,x,c[y+48>>2]|0);c[A>>2]=c[m>>2];ge[M&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[x>>2]|0)-(c[y+44>>2]|0)|0);if((c[m>>2]|0)==(c[n>>2]|0)){break}c[z>>2]=c[m>>2]}}}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}break};case 4:case 3:{M=(c[m>>2]|0)+(c[e+68>>2]|0)|0;c[s>>2]=0;L=1;c[t>>2]=hq(y+416|0,e,M,M+(ce[c[e+32>>2]&127](e,M)|0)|0)|0;if((c[t>>2]|0)==0){B=105;break a}c[y+432>>2]=c[y+428>>2];O=Dq(y,e,c[m>>2]|0,t,s)|0;if((O|0)!=0){B=107;break a}c[y+432>>2]=c[y+428>>2];if((c[y+52>>2]|0)!=0){ge[c[y+52>>2]&15](c[y+4>>2]|0,c[t>>2]|0,c[y+392>>2]|0);L=0}if((c[y+56>>2]|0)!=0){if((c[y+52>>2]|0)!=0){c[z>>2]=c[A>>2]}Rd[c[y+56>>2]&127](c[y+4>>2]|0,c[t>>2]|0);L=0}do{if((L&255|0)!=0){if((c[y+80>>2]|0)==0){break}Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}while(0);Ep(y+416|0);while(1){if((c[s>>2]|0)==0){break}L=c[s>>2]|0;if((c[y+104>>2]|0)!=0){Rd[c[y+104>>2]&127](c[y+4>>2]|0,c[c[L>>2]>>2]|0)}c[s>>2]=c[(c[s>>2]|0)+4>>2];c[L+4>>2]=c[y+376>>2];c[y+376>>2]=L;c[(c[L>>2]|0)+4>>2]=c[L+8>>2]}if((c[y+312>>2]|0)==0){B=123;break a}break};default:{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,c[n>>2]|0)}}}}while(0);f=c[n>>2]|0;c[m>>2]=f;c[z>>2]=f;f=c[y+480>>2]|0;if((f|0)==3){B=220;break}else if((f|0)==2){B=221;break}}if((B|0)==6){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}c[A>>2]=g;if((c[y+60>>2]|0)!=0){a[o]=10;ge[c[y+60>>2]&15](c[y+4>>2]|0,o,1)}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,g)}}if((b|0)==0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==18){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((b|0)<=0){P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){P=13;Q=P;i=l;return Q|0}else{c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}}else if((B|0)==25){c[z>>2]=c[n>>2];P=4;Q=P;i=l;return Q|0}else if((B|0)==26){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=5;Q=P;i=l;return Q|0}}else if((B|0)==29){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}else{P=6;Q=P;i=l;return Q|0}}else if((B|0)==40){P=1;Q=P;i=l;return Q|0}else if((B|0)==44){P=11;Q=P;i=l;return Q|0}else if((B|0)==46){P=24;Q=P;i=l;return Q|0}else if((B|0)==58){P=12;Q=P;i=l;return Q|0}else if((B|0)==60){P=15;Q=P;i=l;return Q|0}else if((B|0)==70){P=E;Q=P;i=l;return Q|0}else if((B|0)==74){P=1;Q=P;i=l;return Q|0}else if((B|0)==76){P=21;Q=P;i=l;return Q|0}else if((B|0)==86){P=1;Q=P;i=l;return Q|0}else if((B|0)==88){Qd[c[y+20>>2]&511](G);P=1;Q=P;i=l;return Q|0}else if((B|0)==94){P=1;Q=P;i=l;return Q|0}else if((B|0)==97){P=J;Q=P;i=l;return Q|0}else if((B|0)==105){P=1;Q=P;i=l;return Q|0}else if((B|0)==107){P=O;Q=P;i=l;return Q|0}else if((B|0)==123){P=Eq(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==126){P=13;Q=P;i=l;return Q|0}else if((B|0)==129){c[z>>2]=K;P=7;Q=P;i=l;return Q|0}else if((B|0)==153){P=Eq(y,c[n>>2]|0,g,h)|0;Q=P;i=l;return Q|0}else if((B|0)==157){P=14;Q=P;i=l;return Q|0}else if((B|0)==164){P=17;Q=P;i=l;return Q|0}else if((B|0)==177){P=F;Q=P;i=l;return Q|0}else if((B|0)==179){c[y+280>>2]=74;P=F;Q=P;i=l;return Q|0}else if((B|0)==182){if(j<<24>>24!=0){c[h>>2]=c[m>>2];P=0;Q=P;i=l;return Q|0}if((c[y+60>>2]|0)!=0){if((a[e+72|0]|0)!=0){ge[c[y+60>>2]&15](c[y+4>>2]|0,c[m>>2]|0,g-(c[m>>2]|0)|0)}else{c[w>>2]=c[y+44>>2];Pd[c[e+60>>2]&31](e,m,g,w,c[y+48>>2]|0);ge[c[y+60>>2]&15](c[y+4>>2]|0,c[y+44>>2]|0,(c[w>>2]|0)-(c[y+44>>2]|0)|0)}}else{if((c[y+80>>2]|0)!=0){Vp(y,e,c[m>>2]|0,g)}}if((b|0)==0){c[z>>2]=g;P=3;Q=P;i=l;return Q|0}if((c[y+312>>2]|0)!=(b|0)){c[z>>2]=g;P=13;Q=P;i=l;return Q|0}else{c[h>>2]=g;P=0;Q=P;i=l;return Q|0}}else if((B|0)==211){P=1;Q=P;i=l;return Q|0}else if((B|0)==214){P=1;Q=P;i=l;return Q|0}else if((B|0)==220){c[h>>2]=c[n>>2];P=0;Q=P;i=l;return Q|0}else if((B|0)==221){P=35;Q=P;i=l;return Q|0}return 0}function Bq(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=i;i=i+8|0;h=g|0;j=b;b=d;d=e;e=f;f=c[j+300>>2]|0;if((f|0)==0){k=23;l=k;i=g;return l|0}m=c[f+12>>2]|0;n=(c[m+4>>2]|0)+(c[m+12>>2]|0)|0;o=(c[m+4>>2]|0)+(c[m+8>>2]|0)|0;if((a[m+33|0]|0)!=0){p=fe[c[c[j+228>>2]>>2]&127](c[j+228>>2]|0,n,o,h)|0;q=fq(j,c[j+228>>2]|0,n,o,p,c[h>>2]|0,h,0)|0}else{q=Aq(j,c[f+16>>2]|0,c[j+228>>2]|0,n,o,h,0)|0}if((q|0)!=0){k=q;l=k;i=g;return l|0}do{if((o|0)!=(c[h>>2]|0)){if((c[j+480>>2]|0)!=3){break}c[m+12>>2]=(c[h>>2]|0)-(c[m+4>>2]|0);k=q;l=k;i=g;return l|0}}while(0);a[m+32|0]=0;c[j+300>>2]=c[f+8>>2];c[f+8>>2]=c[j+304>>2];c[j+304>>2]=f;if((a[m+33|0]|0)!=0){c[j+280>>2]=76;m=fe[c[c[j+144>>2]>>2]&127](c[j+144>>2]|0,b,d,h)|0;k=fq(j,c[j+144>>2]|0,b,d,m,c[h>>2]|0,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}else{c[j+280>>2]=4;k=Aq(j,(c[j+476>>2]|0)!=0?1:0,c[j+144>>2]|0,b,d,e,((a[j+484|0]|0)!=0^1)&1)|0;l=k;i=g;return l|0}return 0}function Cq(b){b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;d=i;i=i+8|0;e=d|0;f=b;b=c[f+356>>2]|0;g=0;do{if((c[b+156>>2]|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=5;break}if(!0){h=6}}else{h=5}}while(0);if((h|0)==5){j=f+428|0;k=c[j>>2]|0;c[j>>2]=k+1;a[k]=61;if(!1){h=6}}if((h|0)==6){l=0;m=l;i=d;return m|0}k=c[(c[b+156>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}j=0;a:while(1){if((j|0)>=(k|0)){h=18;break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=14;break}if(!0){break a}}else{h=14}}while(0);if((h|0)==14){h=0;n=a[(c[(c[b+156>>2]|0)+16>>2]|0)+j|0]|0;o=f+428|0;p=c[o>>2]|0;c[o>>2]=p+1;a[p]=n;if(!1){break}}j=j+1|0}if((h|0)==18){g=1;break}l=0;m=l;i=d;return m|0}}while(0);Yp(e,b+60|0);b:while(1){j=Zp(e)|0;if((j|0)==0){h=21;break}if((c[j+4>>2]|0)==0){continue}c:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){break}if(0){break c}else{h=29;break b}}}while(0);k=f+428|0;n=c[k>>2]|0;c[k>>2]=n+1;a[n]=12;if(!1){h=29;break b}}}while(0);n=c[j>>2]|0;while(1){if((a[n]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=35;break}if(!0){h=36;break b}}else{h=35}}while(0);if((h|0)==35){h=0;k=a[n]|0;p=f+428|0;o=c[p>>2]|0;c[p>>2]=o+1;a[o]=k;if(!1){h=36;break b}}n=n+1|0}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=42;break}if(!0){h=43;break b}}else{h=42}}while(0);if((h|0)==42){h=0;n=f+428|0;k=c[n>>2]|0;c[n>>2]=k+1;a[k]=61;if(!1){h=43;break}}k=c[(c[j+4>>2]|0)+20>>2]|0;if((a[f+472|0]|0)!=0){k=k-1|0}n=0;while(1){if((n|0)>=(k|0)){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=51;break}if(!0){h=52;break b}}else{h=51}}while(0);if((h|0)==51){h=0;o=a[(c[(c[j+4>>2]|0)+16>>2]|0)+n|0]|0;p=f+428|0;q=c[p>>2]|0;c[p>>2]=q+1;a[q]=o;if(!1){h=52;break b}}n=n+1|0}g=1}if((h|0)==21){Yp(e,b|0);d:while(1){b=Zp(e)|0;if((b|0)==0){h=58;break}if((a[b+32|0]|0)==0){continue}e:do{if((g&255|0)!=0){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){break}if(0){break e}else{h=66;break d}}}while(0);n=f+428|0;j=c[n>>2]|0;c[n>>2]=j+1;a[j]=12;if(!1){h=66;break d}}}while(0);j=c[b>>2]|0;while(1){if((a[j]|0)==0){break}do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=72;break}if(!0){h=73;break d}}else{h=72}}while(0);if((h|0)==72){h=0;n=a[j]|0;k=f+428|0;o=c[k>>2]|0;c[k>>2]=o+1;a[o]=n;if(!1){h=73;break d}}j=j+1|0}g=1}if((h|0)==58){do{if((c[f+428>>2]|0)==(c[f+424>>2]|0)){if((Xp(f+416|0)|0)<<24>>24!=0){h=80;break}if(0){h=82}else{h=81}}else{h=80}}while(0);if((h|0)==80){g=f+428|0;e=c[g>>2]|0;c[g>>2]=e+1;a[e]=0;if(1){h=82}else{h=81}}if((h|0)==81){l=0;m=l;i=d;return m|0}else if((h|0)==82){l=c[f+432>>2]|0;m=l;i=d;return m|0}}else if((h|0)==66){l=0;m=l;i=d;return m|0}else if((h|0)==73){l=0;m=l;i=d;return m|0}}else if((h|0)==29){l=0;m=l;i=d;return m|0}else if((h|0)==36){l=0;m=l;i=d;return m|0}else if((h|0)==43){l=0;m=l;i=d;return m|0}else if((h|0)==52){l=0;m=l;i=d;return m|0}return 0}



function EX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0;g=i;i=i+16|0;h=g|0;j=g+8|0;k=c[a+4>>2]|0;a=k;l=k+40|0;m=c[l>>2]|0;do{if((m|0)<1|(d|0)==0){n=0}else{o=iY(m<<2)|0;if((o|0)==0){p=12}else{n=o;break}i=g;return p|0}}while(0);m=n;a:do{if((c[k+60>>2]|0)==0){c[h>>2]=0;o=f&1;q=f&2;r=k+56|0;s=c[r>>2]&4;if((n|0)==0){t=0}else{t=c[l>>2]|0}u=t<<2;v=c[k+52>>2]|0;w=v<<3;x=w+8|0;y=u+12+w+(x+(ga(u,v)|0)<<1)|0;z=iY(y)|0;if((z|0)==0){A=12;break}NY(z|0,0,y|0)|0;y=z;B=z+u&3;C=((B|0)==0?0:4-B|0)+u|0;B=z+C|0;D=C+x|0;C=z+D&3;E=((C|0)==0?0:4-C|0)+D|0;D=z+E|0;C=E+x|0;x=z+C&3;E=((x|0)==0?0:4-x|0)+C|0;C=z+E|0;x=E+w|0;w=z+x&3;if((v|0)>0){E=t<<3;F=0;G=z+(((w|0)==0?0:4-w|0)+x)|0;while(1){c[D+(F<<3)+4>>2]=G;c[B+(F<<3)+4>>2]=G+u;x=F+1|0;if((x|0)<(v|0)){F=x;G=G+E|0}else{H=0;break}}do{c[C+(H<<3)>>2]=-1;H=H+1|0;}while((H|0)<(v|0))}v=mX(h,b,4)|0;if((v|0)<1){if((v|0)<0){A=1;break}I=v+1|0}else{I=v}v=k+8|0;E=(s|0)==0;G=(o|0)==0;F=(t|0)>0;x=k+12|0;w=k+44|0;J=k+32|0;K=k+36|0;L=(t|0)==0;M=F^1;N=0;O=b+I|0;P=0;Q=I;R=D;S=y;T=0;U=-1;V=B;W=B;while(1){if((U|0)<0){X=c[v>>2]|0;Y=X+8|0;b:do{if((c[Y>>2]|0)==0){Z=W;_=U;$=T}else{aa=(P|0)==0;ba=(N|0)==95;ca=(P|0)<1&G;da=((N|0)!=10|E)^1;ea=W;fa=U;ha=T;ia=X;ja=Y;while(1){ka=ia;la=ja;c:while(1){ma=ka+12|0;if((c[C+(c[ma>>2]<<3)>>2]|0)>=(P|0)){na=ha;oa=fa;pa=ea;break}qa=ka+20|0;ra=c[qa>>2]|0;if((ra|0)==0){sa=260;break}d:do{if((ra&1|0)==0|ca|da){if((ra&2|0)!=0){ta=c[h>>2]|0;if((ta|q|0)!=0&((ta|0)!=10|E)){break}}do{if((ra&16|0)!=0){if(ba){break d}if((TW(N)|0)!=0){break d}ta=c[h>>2]|0;if((ta|0)==95){break}if((TW(ta)|0)==0){break d}}}while(0);ta=c[qa>>2]|0;if((ta&32|0)==0){ua=ta}else{if(!ba){if((TW(N)|0)==0){break}}ta=c[h>>2]|0;if((ta|0)==95){break}if((TW(ta)|0)!=0){break}ua=c[qa>>2]|0}do{if((ua&64|0)==0|aa){va=ua}else{ta=c[h>>2]|0;if((ta|0)==0){va=ua;break}if(ba){wa=1;xa=ta}else{ta=(TW(N)|0)!=0|0;wa=ta;xa=c[h>>2]|0}if((xa|0)==95){ya=1}else{ya=(TW(xa)|0)!=0|0}if((wa|0)==(ya|0)){break d}va=c[qa>>2]|0}}while(0);if((va&128|0)==0){sa=260;break c}if(aa){break}ta=c[h>>2]|0;if((ta|0)==0){break}if(ba){za=1;Aa=ta}else{ta=(TW(N)|0)!=0|0;za=ta;Aa=c[h>>2]|0}if((Aa|0)==95){Ba=1}else{Ba=(TW(Aa)|0)!=0|0}if((za|0)==(Ba|0)){sa=260;break c}}}while(0);qa=ka+40|0;if((c[qa>>2]|0)==0){Z=ea;_=fa;$=ha;break b}else{ka=ka+32|0;la=qa}}if((sa|0)==260){sa=0;qa=ea|0;c[qa>>2]=c[la>>2];if(F){NY(c[ea+4>>2]|0,-1|0,u|0)|0}ra=c[ka+16>>2]|0;do{if((ra|0)!=0){ta=c[ra>>2]|0;if(!((ta|0)>-1)){break}Ca=ea+4|0;Da=ra;Ea=ta;do{if((Ea|0)<(t|0)){c[(c[Ca>>2]|0)+(Ea<<2)>>2]=P}Da=Da+4|0;Ea=c[Da>>2]|0;}while((Ea|0)>-1)}}while(0);ra=(c[qa>>2]|0)!=(c[x>>2]|0);if(ra|M){Fa=ra?ha:1;Ga=ra?fa:P;Ha=ea+4|0}else{ra=ea+4|0;la=c[ra>>2]|0;Ea=0;while(1){c[n+(Ea<<2)>>2]=c[la+(Ea<<2)>>2];Da=Ea+1|0;if((Da|0)<(t|0)){Ea=Da}else{Fa=1;Ga=P;Ha=ra;break}}}c[C+(c[ma>>2]<<3)>>2]=P;c[C+(c[ma>>2]<<3)+4>>2]=Ha;na=Fa;oa=Ga;pa=ea+8|0}ra=ka+40|0;if((c[ra>>2]|0)==0){Z=pa;_=oa;$=na;break}else{ea=pa;fa=oa;ha=na;ia=ka+32|0;ja=ra}}}}while(0);c[Z>>2]=0;Ia=$;Ja=_}else{if(L|(W|0)==(V|0)){Ka=U;break}else{Ia=T;Ja=U}}Y=c[h>>2]|0;if((Y|0)==0){Ka=Ja;break}X=P+Q|0;ja=mX(h,O,4)|0;if((ja|0)<1){if((ja|0)<0){A=1;break a}La=ja+1|0}else{La=ja}ja=O+La|0;if((c[w>>2]|0)==0|(Ia|0)==0){Ma=V;Na=Ia;Oa=R}else{ia=V|0;ha=c[ia>>2]|0;if((ha|0)==0){Pa=R}else{fa=R;ea=ia;ia=ha;while(1){ha=c[K>>2]|0;ba=c[ha>>2]|0;aa=ea+4|0;e:do{if((ba|0)>-1){da=0;ca=ba;while(1){ra=c[ha+((da|1)<<2)>>2]|0;if((ca|0)>=(t|0)){Qa=fa;break e}Ea=c[aa>>2]|0;if((c[Ea+(ra<<2)>>2]|0)==(c[n+(ra<<2)>>2]|0)){if((c[Ea+(ca<<2)>>2]|0)<(c[n+(ca<<2)>>2]|0)){Qa=fa;break e}}Ea=da+2|0;ra=c[ha+(Ea<<2)>>2]|0;if((ra|0)>-1){da=Ea;ca=ra}else{sa=287;break}}}else{sa=287}}while(0);if((sa|0)==287){sa=0;c[fa>>2]=ia;ha=fa+4|0;ba=c[ha>>2]|0;c[ha>>2]=c[aa>>2];c[aa>>2]=ba;Qa=fa+8|0}ba=ea+8|0;ha=c[ba>>2]|0;if((ha|0)==0){Pa=Qa;break}else{fa=Qa;ea=ba;ia=ha}}}c[Pa>>2]=0;Ma=R;Na=0;Oa=V}ia=c[Ma>>2]|0;if((ia|0)==0){Ra=Oa;Sa=Ja;Ta=Na;Ua=S}else{ea=(X|0)==0;fa=(Y|0)==95;ha=(X|0)<1&G;ba=((Y|0)!=10|E)^1;ca=Ma;da=Oa;ka=Ja;ra=Na;Ea=S;la=ia;while(1){ia=la+8|0;if((c[ia>>2]|0)==0){Va=da;Wa=ka;Xa=ra;Ya=Ea}else{qa=ca+4|0;Da=da;Ca=ka;ta=ra;Za=Ea;_a=la;$a=ia;while(1){f:do{if((c[_a>>2]|0)>>>0>Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da}else{if((c[_a+4>>2]|0)>>>0<Y>>>0){ab=Za;bb=ta;cb=Ca;db=Da;break}ia=_a+20|0;eb=c[ia>>2]|0;g:do{if((eb|0)!=0){if(!((eb&1|0)==0|ha|ba)){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((eb&2|0)!=0){fb=c[h>>2]|0;if((fb|q|0)!=0&((fb|0)!=10|E)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}do{if((eb&16|0)!=0){if(fa){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((TW(Y)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==95){break}if((TW(fb)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);fb=c[ia>>2]|0;if((fb&32|0)==0){gb=fb}else{if(!fa){if((TW(Y)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}fb=c[h>>2]|0;if((fb|0)==95){ab=Za;bb=ta;cb=Ca;db=Da;break f}if((TW(fb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}gb=c[ia>>2]|0}do{if((gb&64|0)==0|ea){hb=gb}else{fb=c[h>>2]|0;if((fb|0)==0){hb=gb;break}if(fa){ib=1;jb=fb}else{fb=(TW(Y)|0)!=0|0;ib=fb;jb=c[h>>2]|0}if((jb|0)==95){kb=1}else{kb=(TW(jb)|0)!=0|0}if((ib|0)==(kb|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}hb=c[ia>>2]|0}}while(0);if((hb&128|0)==0){lb=hb}else{if(ea){ab=Za;bb=ta;cb=Ca;db=Da;break f}fb=c[h>>2]|0;if((fb|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}if(fa){mb=1;nb=fb}else{fb=(TW(Y)|0)!=0|0;mb=fb;nb=c[h>>2]|0}if((nb|0)==95){ob=1}else{ob=(TW(nb)|0)!=0|0}if((mb|0)!=(ob|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}lb=c[ia>>2]|0}do{if((lb&4|0)==0){pb=lb}else{if((c[r>>2]&2|0)!=0){pb=lb;break}if((XW(Y,c[_a+24>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}pb=c[ia>>2]|0}}while(0);do{if((pb&4|0)!=0){if((c[r>>2]&2|0)==0){break}fb=hX(Y)|0;qb=_a+24|0;if((XW(fb,c[qb>>2]|0)|0)!=0){break}fb=fX(Y)|0;if((XW(fb,c[qb>>2]|0)|0)==0){ab=Za;bb=ta;cb=Ca;db=Da;break f}}}while(0);if((c[ia>>2]&8|0)==0){break}qb=c[_a+28>>2]|0;fb=c[qb>>2]|0;if((fb|0)==0){break}if((c[r>>2]&2|0)==0){rb=qb;sb=fb;while(1){if((XW(Y,sb)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}rb=rb+4|0;sb=c[rb>>2]|0;if((sb|0)==0){break g}}}else{tb=qb}do{sb=fX(Y)|0;if((XW(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}sb=hX(Y)|0;if((XW(sb,c[tb>>2]|0)|0)!=0){ab=Za;bb=ta;cb=Ca;db=Da;break f}tb=tb+4|0;}while((c[tb>>2]|0)!=0)}}while(0);if(F){ia=c[qa>>2]|0;eb=0;do{c[Za+(eb<<2)>>2]=c[ia+(eb<<2)>>2];eb=eb+1|0;}while((eb|0)<(t|0))}eb=c[_a+16>>2]|0;do{if((eb|0)!=0){ia=c[eb>>2]|0;if((ia|0)>-1){ub=eb;vb=ia}else{break}do{if((vb|0)<(t|0)){c[Za+(vb<<2)>>2]=X}ub=ub+4|0;vb=c[ub>>2]|0;}while((vb|0)>-1)}}while(0);eb=_a+12|0;ia=c[eb>>2]|0;qb=C+(ia<<3)|0;if((c[qb>>2]|0)<(X|0)){sb=Da|0;c[sb>>2]=c[$a>>2];rb=Da+4|0;fb=c[rb>>2]|0;c[rb>>2]=Za;c[qb>>2]=X;c[C+(c[eb>>2]<<3)+4>>2]=rb;do{if((c[sb>>2]|0)==(c[x>>2]|0)){if((Ca|0)==-1){if(!F){wb=1;xb=X;break}yb=c[rb>>2]|0}else{if(!F){wb=ta;xb=Ca;break}eb=c[rb>>2]|0;if((c[eb>>2]|0)>(c[n>>2]|0)){wb=ta;xb=Ca;break}else{yb=eb}}eb=0;while(1){c[n+(eb<<2)>>2]=c[yb+(eb<<2)>>2];qb=eb+1|0;if((qb|0)<(t|0)){eb=qb}else{wb=1;xb=X;break}}}else{wb=ta;xb=Ca}}while(0);ab=fb;bb=wb;cb=xb;db=Da+8|0;break}else{rb=c[J>>2]|0;sb=c[C+(ia<<3)+4>>2]|0;eb=c[sb>>2]|0;if(F){zb=0}else{ab=Za;bb=ta;cb=Ca;db=Da;break}while(1){qb=c[Za+(zb<<2)>>2]|0;Ab=c[eb+(zb<<2)>>2]|0;if((c[rb+(zb<<2)>>2]|0)==0){if((qb|0)<(Ab|0)){break}if((qb|0)>(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}else{if((qb|0)>(Ab|0)){break}if((qb|0)<(Ab|0)){ab=Za;bb=ta;cb=Ca;db=Da;break f}}Ab=zb+1|0;if((Ab|0)<(t|0)){zb=Ab}else{ab=Za;bb=ta;cb=Ca;db=Da;break f}}c[sb>>2]=Za;if((c[$a>>2]|0)==(c[x>>2]|0)){Bb=0}else{ab=eb;bb=ta;cb=Ca;db=Da;break}while(1){c[n+(Bb<<2)>>2]=c[Za+(Bb<<2)>>2];rb=Bb+1|0;if((rb|0)<(t|0)){Bb=rb}else{ab=eb;bb=1;cb=X;db=Da;break}}}}}while(0);eb=_a+40|0;if((c[eb>>2]|0)==0){Va=db;Wa=cb;Xa=bb;Ya=ab;break}else{Da=db;Ca=cb;ta=bb;Za=ab;_a=_a+32|0;$a=eb}}}$a=ca+8|0;_a=c[$a>>2]|0;if((_a|0)==0){Ra=Va;Sa=Wa;Ta=Xa;Ua=Ya;break}else{ca=$a;da=Va;ka=Wa;ra=Xa;Ea=Ya;la=_a}}}c[Ra>>2]=0;N=Y;O=ja;P=X;Q=La;R=Ma;S=Ua;T=Ta;U=Sa;V=Oa;W=Ra}jY(z);Cb=Ka>>>31;Db=Ka;sa=375}else{c[j>>2]=0;W=f&1;V=f&2;U=k+56|0;T=c[U>>2]&4;S=GX(0,0)|0;if((S|0)==0){A=12;break}R=IX(S,0,0,0,32)|0;Q=R;if((R|0)==0){HX(S);A=12;break}c[R+24>>2]=0;c[R+28>>2]=0;R=c[l>>2]|0;if((R|0)==0){Eb=0;sa=9}else{P=iY(R<<2)|0;O=P;if((P|0)==0){Fb=12;Gb=0;Hb=0;Ib=O;Jb=0}else{Eb=O;sa=9}}do{if((sa|0)==9){O=Eb;P=c[k+28>>2]|0;if((P|0)==0){Kb=0}else{N=iY(P<<3)|0;P=N;if((N|0)==0){Fb=12;Gb=P;Hb=0;Ib=Eb;Jb=0;break}else{Kb=P}}P=k+52|0;N=c[P>>2]|0;if((N|0)==0){Lb=0}else{x=iY(N<<2)|0;N=x;if((x|0)==0){Fb=12;Gb=Kb;Hb=N;Ib=Eb;Jb=0;break}else{Lb=N}}N=Lb;x=(n|0)==0;F=k+8|0;C=k+12|0;J=k+32|0;r=(T|0)==0;E=(W|0)==0;q=b;G=1;K=-1;w=-1;L=Q;M=R;h:while(1){do{if((M|0)>0){if(x){NY(O|0,-1|0,M<<2|0)|0;break}else{u=0;do{c[Eb+(u<<2)>>2]=-1;c[n+(u<<2)>>2]=-1;u=u+1|0;}while((u|0)<(c[l>>2]|0))}}}while(0);u=c[P>>2]|0;if((u|0)>0){NY(N|0,0,u<<2|0)|0}u=c[j>>2]|0;v=G+K|0;B=mX(j,q,4)|0;if((B|0)<1){if((B|0)<0){A=1;break a}Mb=B+1|0}else{Mb=B}B=q+Mb|0;y=c[j>>2]|0;D=c[F>>2]|0;o=D+8|0;if((c[o>>2]|0)==0){Nb=Mb;Ob=w;Pb=L;Qb=0;sa=196}else{s=(v|0)==0;la=(u|0)==95;Ea=(v|0)<1&E;ra=((u|0)!=10|r)^1;ka=0;da=0;ca=L;fa=D;D=o;while(1){o=fa+20|0;ea=c[o>>2]|0;i:do{if((ea|0)==0){sa=56}else{if(!((ea&1|0)==0|Ea|ra)){Rb=ca;Sb=da;Tb=ka;break}if((ea&2|0)!=0){ba=c[j>>2]|0;if((ba|V|0)!=0&((ba|0)!=10|r)){Rb=ca;Sb=da;Tb=ka;break}}do{if((ea&16|0)!=0){if(la){Rb=ca;Sb=da;Tb=ka;break i}if((TW(u)|0)!=0){Rb=ca;Sb=da;Tb=ka;break i}ba=c[j>>2]|0;if((ba|0)==95){break}if((TW(ba)|0)==0){Rb=ca;Sb=da;Tb=ka;break i}}}while(0);ba=c[o>>2]|0;if((ba&32|0)==0){Ub=ba}else{if(!la){if((TW(u)|0)==0){Rb=ca;Sb=da;Tb=ka;break}}ba=c[j>>2]|0;if((ba|0)==95){Rb=ca;Sb=da;Tb=ka;break}if((TW(ba)|0)!=0){Rb=ca;Sb=da;Tb=ka;break}Ub=c[o>>2]|0}do{if((Ub&64|0)==0|s){Vb=Ub}else{ba=c[j>>2]|0;if((ba|0)==0){Vb=Ub;break}if(la){Wb=1;Xb=ba}else{ba=(TW(u)|0)!=0|0;Wb=ba;Xb=c[j>>2]|0}if((Xb|0)==95){Yb=1}else{Yb=(TW(Xb)|0)!=0|0}if((Wb|0)==(Yb|0)){Rb=ca;Sb=da;Tb=ka;break i}Vb=c[o>>2]|0}}while(0);if((Vb&128|0)==0){sa=56;break}if(s){Rb=ca;Sb=da;Tb=ka;break}ba=c[j>>2]|0;if((ba|0)==0){Rb=ca;Sb=da;Tb=ka;break}if(la){Zb=1;_b=ba}else{ba=(TW(u)|0)!=0|0;Zb=ba;_b=c[j>>2]|0}if((_b|0)==95){$b=1}else{$b=(TW(_b)|0)!=0|0}if((Zb|0)==($b|0)){sa=56}else{Rb=ca;Sb=da;Tb=ka}}}while(0);do{if((sa|0)==56){sa=0;if((ka|0)==0){Rb=ca;Sb=c[fa+16>>2]|0;Tb=c[D>>2]|0;break}o=ca+28|0;ea=c[o>>2]|0;if((ea|0)==0){ba=IX(S,0,0,0,32)|0;ha=ba;if((ba|0)==0){sa=60;break h}c[ba+24>>2]=ca;c[ba+28>>2]=0;_a=IX(S,0,0,0,c[l>>2]<<2)|0;c[ba+20>>2]=_a;if((_a|0)==0){sa=67;break h}c[o>>2]=ha;ac=ha}else{ac=ea}c[ac>>2]=v;c[ac+4>>2]=B;c[ac+8>>2]=c[D>>2];c[ac+12>>2]=c[fa+12>>2];c[ac+16>>2]=c[j>>2];if((c[l>>2]|0)>0){ea=c[ac+20>>2]|0;ha=0;do{c[ea+(ha<<2)>>2]=c[Eb+(ha<<2)>>2];ha=ha+1|0;}while((ha|0)<(c[l>>2]|0))}ha=c[fa+16>>2]|0;if((ha|0)==0){Rb=ac;Sb=da;Tb=ka;break}ea=c[ha>>2]|0;if(!((ea|0)>-1)){Rb=ac;Sb=da;Tb=ka;break}o=c[ac+20>>2]|0;_a=ha;ha=ea;while(1){ea=_a+4|0;c[o+(ha<<2)>>2]=v;ba=c[ea>>2]|0;if((ba|0)>-1){_a=ea;ha=ba}else{Rb=ac;Sb=da;Tb=ka;break}}}}while(0);ha=fa+40|0;if((c[ha>>2]|0)==0){break}else{ka=Tb;da=Sb;ca=Rb;fa=fa+32|0;D=ha}}do{if((Sb|0)==0){bc=0}else{D=c[Sb>>2]|0;if((D|0)>-1){cc=Sb;dc=D}else{bc=Sb;break}while(1){c[Eb+(dc<<2)>>2]=v;D=cc+4|0;fa=c[D>>2]|0;if((fa|0)>-1){cc=D;dc=fa}else{bc=D;break}}}}while(0);if((Tb|0)==0){Nb=Mb;Ob=w;Pb=Rb;Qb=bc;sa=196}else{ec=B;fc=v;gc=Mb;hc=w;ic=Rb;jc=bc;kc=Tb}}j:while(1){if((sa|0)==196){sa=0;D=c[Pb+24>>2]|0;if((D|0)==0){break}fa=c[Pb+8>>2]|0;if((c[fa+20>>2]&256|0)!=0){c[Lb+(c[Pb+12>>2]<<2)>>2]=0}ca=c[Pb>>2]|0;da=c[Pb+4>>2]|0;c[j>>2]=c[Pb+16>>2];ka=c[l>>2]|0;if((ka|0)<=0){ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue}u=c[Pb+20>>2]|0;la=0;while(1){c[Eb+(la<<2)>>2]=c[u+(la<<2)>>2];s=la+1|0;if((s|0)<(ka|0)){la=s}else{ec=da;fc=ca;gc=Nb;hc=Ob;ic=D;jc=Qb;kc=fa;continue j}}}if((kc|0)==(c[C>>2]|0)){lc=jc;mc=ic;nc=gc;oc=fc}else{fa=kc;D=jc;ca=ic;da=gc;la=fc;ka=ec;while(1){u=fa+8|0;do{if((c[u>>2]|0)==0){sa=109}else{if((c[fa+20>>2]&256|0)==0){sa=109;break}s=c[fa+24>>2]|0;FX(s+1|0,Kb,c[U>>2]&-9,a,Eb,la);ra=c[Kb+(s<<3)>>2]|0;Ea=c[Kb+(s<<3)+4>>2]|0;s=Ea-ra|0;if((JY(b+ra|0,ka-1|0,s)|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ha=(Ea|0)==(ra|0);ra=ha&1;Ea=Lb+(c[fa+12>>2]<<2)|0;if(ha){if((c[Ea>>2]|0)!=0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}}c[Ea>>2]=ra;ra=s-1|0;s=ra+la|0;Ea=c[j>>2]|0;ha=mX(j,ka+ra|0,4)|0;if((ha|0)<1){if((ha|0)<0){A=1;break a}pc=ha+1|0}else{pc=ha}qc=Ea;rc=pc+ra|0;sc=s;tc=pc}}while(0);do{if((sa|0)==109){sa=0;s=c[j>>2]|0;if((s|0)==0){Nb=da;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=mX(j,ka,4)|0;if((ra|0)>=1){qc=s;rc=ra;sc=la;tc=ra;break}if((ra|0)<0){A=1;break a}Ea=ra+1|0;qc=s;rc=Ea;sc=la;tc=Ea}}while(0);Ea=ka+rc|0;s=sc+da|0;if((c[u>>2]|0)==0){Nb=tc;Ob=hc;Pb=ca;Qb=D;sa=196;continue j}ra=(s|0)==0;ha=(qc|0)==95;_a=(s|0)<1&E;o=((qc|0)!=10|r)^1;ba=D;ea=ca;$a=fa;Za=0;ta=u;while(1){k:do{if((c[$a>>2]|0)>>>0>qc>>>0){uc=Za;vc=ea;wc=ba}else{if((c[$a+4>>2]|0)>>>0<qc>>>0){uc=Za;vc=ea;wc=ba;break}Ca=$a+20|0;Da=c[Ca>>2]|0;l:do{if((Da|0)!=0){if(!((Da&1|0)==0|_a|o)){uc=Za;vc=ea;wc=ba;break k}if((Da&2|0)!=0){qa=c[j>>2]|0;if((qa|V|0)!=0&((qa|0)!=10|r)){uc=Za;vc=ea;wc=ba;break k}}do{if((Da&16|0)!=0){if(ha){uc=Za;vc=ea;wc=ba;break k}if((TW(qc)|0)!=0){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==95){break}if((TW(qa)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);qa=c[Ca>>2]|0;if((qa&32|0)==0){xc=qa}else{if(!ha){if((TW(qc)|0)==0){uc=Za;vc=ea;wc=ba;break k}}qa=c[j>>2]|0;if((qa|0)==95){uc=Za;vc=ea;wc=ba;break k}if((TW(qa)|0)!=0){uc=Za;vc=ea;wc=ba;break k}xc=c[Ca>>2]|0}do{if((xc&64|0)==0|ra){yc=xc}else{qa=c[j>>2]|0;if((qa|0)==0){yc=xc;break}if(ha){zc=1;Ac=qa}else{qa=(TW(qc)|0)!=0|0;zc=qa;Ac=c[j>>2]|0}if((Ac|0)==95){Bc=1}else{Bc=(TW(Ac)|0)!=0|0}if((zc|0)==(Bc|0)){uc=Za;vc=ea;wc=ba;break k}yc=c[Ca>>2]|0}}while(0);if((yc&128|0)==0){Cc=yc}else{if(ra){uc=Za;vc=ea;wc=ba;break k}qa=c[j>>2]|0;if((qa|0)==0){uc=Za;vc=ea;wc=ba;break k}if(ha){Dc=1;Ec=qa}else{qa=(TW(qc)|0)!=0|0;Dc=qa;Ec=c[j>>2]|0}if((Ec|0)==95){Fc=1}else{Fc=(TW(Ec)|0)!=0|0}if((Dc|0)!=(Fc|0)){uc=Za;vc=ea;wc=ba;break k}Cc=c[Ca>>2]|0}do{if((Cc&4|0)==0){Gc=Cc}else{if((c[U>>2]&2|0)!=0){Gc=Cc;break}if((XW(qc,c[$a+24>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}Gc=c[Ca>>2]|0}}while(0);do{if((Gc&4|0)!=0){if((c[U>>2]&2|0)==0){break}qa=hX(qc)|0;aa=$a+24|0;if((XW(qa,c[aa>>2]|0)|0)!=0){break}qa=fX(qc)|0;if((XW(qa,c[aa>>2]|0)|0)==0){uc=Za;vc=ea;wc=ba;break k}}}while(0);if((c[Ca>>2]&8|0)==0){break}aa=c[$a+28>>2]|0;qa=c[aa>>2]|0;if((qa|0)==0){break}if((c[U>>2]&2|0)==0){eb=aa;sb=qa;while(1){if((XW(qc,sb)|0)!=0){uc=Za;vc=ea;wc=ba;break k}eb=eb+4|0;sb=c[eb>>2]|0;if((sb|0)==0){break l}}}else{Hc=aa}do{sb=fX(qc)|0;if((XW(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}sb=hX(qc)|0;if((XW(sb,c[Hc>>2]|0)|0)!=0){uc=Za;vc=ea;wc=ba;break k}Hc=Hc+4|0;}while((c[Hc>>2]|0)!=0)}}while(0);if((Za|0)==0){uc=c[ta>>2]|0;vc=ea;wc=c[$a+16>>2]|0;break}Ca=ea+28|0;Da=c[Ca>>2]|0;if((Da|0)==0){aa=IX(S,0,0,0,32)|0;sb=aa;if((aa|0)==0){sa=169;break h}c[aa+24>>2]=ea;c[aa+28>>2]=0;eb=IX(S,0,0,0,c[l>>2]<<2)|0;c[aa+20>>2]=eb;if((eb|0)==0){sa=176;break h}c[Ca>>2]=sb;Ic=sb}else{Ic=Da}c[Ic>>2]=s;c[Ic+4>>2]=Ea;c[Ic+8>>2]=c[ta>>2];c[Ic+12>>2]=c[$a+12>>2];c[Ic+16>>2]=c[j>>2];if((c[l>>2]|0)>0){Da=c[Ic+20>>2]|0;sb=0;do{c[Da+(sb<<2)>>2]=c[Eb+(sb<<2)>>2];sb=sb+1|0;}while((sb|0)<(c[l>>2]|0))}sb=c[$a+16>>2]|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}Da=Ic+20|0;Ca=sb;while(1){sb=c[Ca>>2]|0;if(!((sb|0)>-1)){uc=Za;vc=Ic;wc=ba;break k}c[(c[Da>>2]|0)+(sb<<2)>>2]=s;sb=Ca+4|0;if((sb|0)==0){uc=Za;vc=Ic;wc=ba;break}else{Ca=sb}}}}while(0);Ca=$a+40|0;if((c[Ca>>2]|0)==0){break}else{ba=wc;ea=vc;$a=$a+32|0;Za=uc;ta=Ca}}if((uc|0)==0){Nb=tc;Ob=hc;Pb=vc;Qb=wc;sa=196;continue j}do{if((wc|0)==0){Jc=0}else{ta=c[wc>>2]|0;if((ta|0)>-1){Kc=wc;Lc=ta}else{Jc=wc;break}while(1){ta=Kc+4|0;c[Eb+(Lc<<2)>>2]=s;Za=c[ta>>2]|0;if((Za|0)>-1){Kc=ta;Lc=Za}else{Jc=ta;break}}}}while(0);if((uc|0)==(c[C>>2]|0)){lc=Jc;mc=vc;nc=tc;oc=s;break}else{fa=uc;D=Jc;ca=vc;da=tc;la=s;ka=Ea}}}m:do{if((hc|0)<(oc|0)){sa=96}else{if((hc|0)!=(oc|0)|x){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}ka=c[l>>2]|0;la=c[J>>2]|0;if((ka|0)>0){Mc=0}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}while(1){da=c[Eb+(Mc<<2)>>2]|0;ca=c[n+(Mc<<2)>>2]|0;if((c[la+(Mc<<2)>>2]|0)==0){if((da|0)<(ca|0)){sa=96;break m}if((da|0)>(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}else{if((da|0)>(ca|0)){Nc=ka;break m}if((da|0)<(ca|0)){Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}ca=Mc+1|0;if((ca|0)<(ka|0)){Mc=ca}else{Nb=nc;Ob=hc;Pb=mc;Qb=lc;sa=196;continue j}}}}while(0);if((sa|0)==96){sa=0;if(x){Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}Nc=c[l>>2]|0}if((Nc|0)>0){Oc=0}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue}while(1){c[n+(Oc<<2)>>2]=c[Eb+(Oc<<2)>>2];ka=Oc+1|0;if((ka|0)<(c[l>>2]|0)){Oc=ka}else{Nb=nc;Ob=oc;Pb=mc;Qb=lc;sa=196;continue j}}}if((Ob|0)>=0){sa=205;break}if((c[j>>2]|0)==0){sa=205;break}c[j>>2]=y;q=B;G=Nb;K=v;w=Ob;L=Pb;M=c[l>>2]|0}if((sa|0)==60){HX(S);if((Eb|0)!=0){jY(O)}if((Kb|0)!=0){jY(Kb)}if((Lb|0)==0){A=12;break a}jY(N);A=12;break a}else if((sa|0)==67){HX(S);if((Eb|0)!=0){jY(O)}if((Kb|0)!=0){jY(Kb)}if((Lb|0)==0){A=12;break a}jY(N);A=12;break a}else if((sa|0)==169){HX(S);if((Eb|0)!=0){jY(O)}if((Kb|0)!=0){jY(Kb)}if((Lb|0)==0){A=12;break a}jY(N);A=12;break a}else if((sa|0)==176){HX(S);if((Eb|0)!=0){jY(O)}if((Kb|0)!=0){jY(Kb)}if((Lb|0)==0){A=12;break a}jY(N);A=12;break a}else if((sa|0)==205){Fb=Ob>>>31;Gb=Kb;Hb=Lb;Ib=Eb;Jb=Ob;break}}}while(0);HX(S);if((Ib|0)!=0){jY(Ib)}if((Gb|0)!=0){jY(Gb)}if((Hb|0)==0){Cb=Fb;Db=Jb;sa=375;break}jY(Hb);Cb=Fb;Db=Jb;sa=375}}while(0);do{if((sa|0)==375){if((Cb|0)!=0){A=Cb;break}FX(d,e,c[k+56>>2]|0,a,n,Db);A=0}}while(0);if((n|0)==0){p=A;i=g;return p|0}jY(m);p=A;i=g;return p|0}function FX(a,b,d,e,f,g){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;do{if((g|0)>-1){if((d&8|0)!=0){h=0;break}i=c[e+16>>2]|0;j=e+28|0;k=c[j>>2]|0;l=(a|0)!=0;if((k|0)!=0&l){m=e+48|0;n=0;while(1){o=c[i+(n*12|0)>>2]|0;if((o|0)==(c[m>>2]|0)){c[b+(n<<3)>>2]=g;p=g}else{q=c[f+(o<<2)>>2]|0;c[b+(n<<3)>>2]=q;p=q}q=c[i+(n*12|0)+4>>2]|0;if((q|0)==(c[m>>2]|0)){c[b+(n<<3)+4>>2]=g;r=g}else{o=c[f+(q<<2)>>2]|0;c[b+(n<<3)+4>>2]=o;r=o}if((p|0)==-1|(r|0)==-1){c[b+(n<<3)+4>>2]=-1;c[b+(n<<3)>>2]=-1}o=n+1|0;q=c[j>>2]|0;if(o>>>0<q>>>0&o>>>0<a>>>0){n=o}else{s=q;break}}}else{s=k}if((s|0)!=0&l){t=0;u=s}else{h=0;break}while(1){n=b+(t<<3)+4|0;m=c[i+(t*12|0)+8>>2]|0;do{if((m|0)==0){v=u}else{q=c[m>>2]|0;if(!((q|0)>-1)){v=u;break}o=b+(t<<3)|0;w=0;x=q;q=c[o>>2]|0;while(1){if((q|0)<(c[b+(x<<3)>>2]|0)){y=21}else{if((c[n>>2]|0)>(c[b+(x<<3)+4>>2]|0)){y=21}else{z=q}}if((y|0)==21){y=0;c[n>>2]=-1;c[o>>2]=-1;z=-1}A=w+1|0;B=c[m+(A<<2)>>2]|0;if((B|0)>-1){w=A;x=B;q=z}else{break}}v=c[j>>2]|0}}while(0);m=t+1|0;if(m>>>0<v>>>0&m>>>0<a>>>0){t=m;u=v}else{h=m;break}}}else{h=0}}while(0);if(h>>>0<a>>>0){C=h}else{return}do{c[b+(C<<3)>>2]=-1;c[b+(C<<3)+4>>2]=-1;C=C+1|0;}while(C>>>0<a>>>0);return}function GX(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)==0){c=kY(1,24)|0}else{NY(b|0,0,24)|0;c=b}if((c|0)==0){d=0;return d|0}d=c;return d|0}function HX(a){a=a|0;var b=0,d=0,e=0;b=c[a>>2]|0;if((b|0)==0){d=a;jY(d);return}else{e=b}while(1){jY(c[e>>2]|0);b=c[e+4>>2]|0;jY(e);if((b|0)==0){break}else{e=b}}d=a;jY(d);return}function IX(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;g=a+16|0;if((c[g>>2]|0)!=0){h=0;return h|0}i=a+12|0;j=c[i>>2]|0;do{if(j>>>0<f>>>0){if((b|0)!=0){if((d|0)!=0){c[a+8>>2]=d;c[i>>2]=1024;k=1024;l=d;break}c[g>>2]=1;h=0;return h|0}m=f<<3;n=m>>>0>1024>>>0?m:1024;m=iY(8)|0;o=m;if((m|0)==0){c[g>>2]=1;h=0;return h|0}p=iY(n)|0;q=m;c[q>>2]=p;if((p|0)==0){jY(m);c[g>>2]=1;h=0;return h|0}c[m+4>>2]=0;m=a+4|0;p=c[m>>2]|0;if((p|0)!=0){c[p+4>>2]=o}p=a|0;if((c[p>>2]|0)==0){c[p>>2]=o}c[m>>2]=o;o=c[q>>2]|0;c[a+8>>2]=o;c[i>>2]=n;k=n;l=o}else{k=j;l=c[a+8>>2]|0}}while(0);j=l+f&3;g=((j|0)==0?0:4-j|0)+f|0;c[a+8>>2]=l+g;c[i>>2]=k-g;if((e|0)==0){h=l;return h|0}NY(l|0,0,g|0)|0;h=l;return h|0}function JX(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;if((b|0)==0){d=a+((KX(a)|0)<<2)|0;return d|0}else{e=a}while(1){f=c[e>>2]|0;if((f|0)==0|(f|0)==(b|0)){break}else{e=e+4|0}}d=(f|0)!=0?e:0;return d|0}function KX(a){a=a|0;var b=0;b=a;while(1){if((c[b>>2]|0)==0){break}else{b=b+4|0}}return b-a>>2|0}function LX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;if((d|0)==0){return a|0}else{e=b;f=d;g=a}while(1){d=f-1|0;c[g>>2]=c[e>>2];if((d|0)==0){break}else{e=e+4|0;f=d;g=g+4|0}}return a|0}function MX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=(d|0)==0;if(a-b>>2>>>0<d>>>0){if(e){return a|0}else{f=d}do{f=f-1|0;c[a+(f<<2)>>2]=c[b+(f<<2)>>2];}while((f|0)!=0);return a|0}else{if(e){return a|0}else{g=b;h=d;i=a}while(1){d=h-1|0;c[i>>2]=c[g>>2];if((d|0)==0){break}else{g=g+4|0;h=d;i=i+4|0}}return a|0}return 0}function NX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;if((d|0)==0){return a|0}else{e=d;f=a}while(1){d=e-1|0;c[f>>2]=b;if((d|0)==0){break}else{e=d;f=f+4|0}}return a|0}function OX(a){a=a|0;return}function PX(a){a=a|0;c[a>>2]=1613344;return}function QX(a){a=a|0;qY(a);return}function RX(a){a=a|0;return}function SX(a){a=a|0;return 1589528}function TX(a){a=a|0;OX(a|0);return}function UX(a){a=a|0;return}function VX(a){a=a|0;return}function WX(a){a=a|0;OX(a|0);qY(a);return}function XX(a){a=a|0;OX(a|0);qY(a);return}function YX(a){a=a|0;OX(a|0);qY(a);return}function ZX(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+56|0;f=e|0;if((a|0)==(b|0)){g=1;i=e;return g|0}if((b|0)==0){g=0;i=e;return g|0}h=bY(b,1621360,1621344,0)|0;b=h;if((h|0)==0){g=0;i=e;return g|0}NY(f|0,0,56)|0;c[f>>2]=b;c[f+8>>2]=a;c[f+12>>2]=-1;c[f+48>>2]=1;je[c[(c[h>>2]|0)+28>>2]&31](b,f,c[d>>2]|0,1);if((c[f+24>>2]|0)!=1){g=0;i=e;return g|0}c[d>>2]=c[f+16>>2];g=1;i=e;return g|0}function _X(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((c[d+8>>2]|0)!=(b|0)){return}b=d+16|0;g=c[b>>2]|0;if((g|0)==0){c[b>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((g|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function $X(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0;if((b|0)!=(c[d+8>>2]|0)){g=c[b+8>>2]|0;je[c[(c[g>>2]|0)+28>>2]&31](g,d,e,f);return}g=d+16|0;b=c[g>>2]|0;if((b|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}e=d+24|0;if((c[e>>2]|0)!=2){return}c[e>>2]=f;return}function aY(b,d,e,f){b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;if((b|0)==(c[d+8>>2]|0)){g=d+16|0;h=c[g>>2]|0;if((h|0)==0){c[g>>2]=e;c[d+24>>2]=f;c[d+36>>2]=1;return}if((h|0)!=(e|0)){h=d+36|0;c[h>>2]=(c[h>>2]|0)+1;c[d+24>>2]=2;a[d+54|0]=1;return}h=d+24|0;if((c[h>>2]|0)!=2){return}c[h>>2]=f;return}h=c[b+12>>2]|0;g=b+16+(h<<3)|0;i=c[b+20>>2]|0;j=i>>8;if((i&1|0)==0){k=j}else{k=c[(c[e>>2]|0)+j>>2]|0}j=c[b+16>>2]|0;je[c[(c[j>>2]|0)+28>>2]&31](j,d,e+k|0,(i&2|0)!=0?f:2);if((h|0)<=1){return}h=d+54|0;i=e;k=b+24|0;while(1){b=c[k+4>>2]|0;j=b>>8;if((b&1|0)==0){l=j}else{l=c[(c[i>>2]|0)+j>>2]|0}j=c[k>>2]|0;je[c[(c[j>>2]|0)+28>>2]&31](j,d,e+l|0,(b&2|0)!=0?f:2);if((a[h]|0)!=0){m=16;break}b=k+8|0;if(b>>>0<g>>>0){k=b}else{m=16;break}}if((m|0)==16){return}}function bY(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;f=i;i=i+56|0;g=f|0;h=c[a>>2]|0;j=a+(c[h-8>>2]|0)|0;k=c[h-4>>2]|0;h=k;c[g>>2]=d;c[g+4>>2]=a;c[g+8>>2]=b;c[g+12>>2]=e;e=g+16|0;b=g+20|0;a=g+24|0;l=g+28|0;m=g+32|0;n=g+40|0;NY(e|0,0,39)|0;do{if((k|0)==(d|0)){c[g+48>>2]=1;Yd[c[(c[k>>2]|0)+20>>2]&63](h,g,j,j,1,0);o=(c[a>>2]|0)==1?j:0}else{Pd[c[(c[k>>2]|0)+24>>2]&31](h,g,j,1,0);p=c[g+36>>2]|0;if((p|0)==0){if((c[n>>2]|0)!=1){o=0;break}if((c[l>>2]|0)!=1){o=0;break}o=(c[m>>2]|0)==1?c[b>>2]|0:0;break}else if((p|0)!=1){o=0;break}if((c[a>>2]|0)!=1){if((c[n>>2]|0)!=0){o=0;break}if((c[l>>2]|0)!=1){o=0;break}if((c[m>>2]|0)!=1){o=0;break}}o=c[e>>2]|0}}while(0);i=f;return o|0}function cY(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)==(c[d>>2]|0)){do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=c[b+12>>2]|0;k=b+16+(j<<3)|0;a:do{if((j|0)>0){l=d+52|0;m=d+53|0;n=d+54|0;o=b+8|0;p=d+24|0;q=e;r=0;s=b+16|0;t=0;b:while(1){a[l]=0;a[m]=0;u=c[s+4>>2]|0;v=u>>8;if((u&1|0)==0){w=v}else{w=c[(c[q>>2]|0)+v>>2]|0}v=c[s>>2]|0;Yd[c[(c[v>>2]|0)+20>>2]&63](v,d,e,e+w|0,2-(u>>>1&1)|0,g);if((a[n]|0)!=0){x=t;y=r;break}do{if((a[m]|0)==0){z=t;A=r}else{if((a[l]|0)==0){if((c[o>>2]&1|0)==0){x=1;y=r;break b}else{z=1;A=r;break}}if((c[p>>2]|0)==1){B=27;break a}if((c[o>>2]&2|0)==0){B=27;break a}else{z=1;A=1}}}while(0);u=s+8|0;if(u>>>0<k>>>0){r=A;s=u;t=z}else{x=z;y=A;break}}if(y){C=x;B=26}else{D=x;B=23}}else{D=0;B=23}}while(0);do{if((B|0)==23){c[h>>2]=e;k=d+40|0;c[k>>2]=(c[k>>2]|0)+1;if((c[d+36>>2]|0)!=1){C=D;B=26;break}if((c[d+24>>2]|0)!=2){C=D;B=26;break}a[d+54|0]=1;if(D){B=27}else{B=28}}}while(0);if((B|0)==26){if(C){B=27}else{B=28}}if((B|0)==27){c[i>>2]=3;return}else if((B|0)==28){c[i>>2]=4;return}}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}C=c[b+12>>2]|0;D=b+16+(C<<3)|0;x=c[b+20>>2]|0;y=x>>8;if((x&1|0)==0){E=y}else{E=c[(c[e>>2]|0)+y>>2]|0}y=c[b+16>>2]|0;Pd[c[(c[y>>2]|0)+24>>2]&31](y,d,e+E|0,(x&2|0)!=0?f:2,g);x=b+24|0;if((C|0)<=1){return}C=c[b+8>>2]|0;do{if((C&2|0)==0){b=d+36|0;if((c[b>>2]|0)==1){break}if((C&1|0)==0){E=d+54|0;y=e;A=x;while(1){if((a[E]|0)!=0){B=53;break}if((c[b>>2]|0)==1){B=53;break}z=c[A+4>>2]|0;w=z>>8;if((z&1|0)==0){F=w}else{F=c[(c[y>>2]|0)+w>>2]|0}w=c[A>>2]|0;Pd[c[(c[w>>2]|0)+24>>2]&31](w,d,e+F|0,(z&2|0)!=0?f:2,g);z=A+8|0;if(z>>>0<D>>>0){A=z}else{B=53;break}}if((B|0)==53){return}}A=d+24|0;y=d+54|0;E=e;i=x;while(1){if((a[y]|0)!=0){B=53;break}if((c[b>>2]|0)==1){if((c[A>>2]|0)==1){B=53;break}}z=c[i+4>>2]|0;w=z>>8;if((z&1|0)==0){G=w}else{G=c[(c[E>>2]|0)+w>>2]|0}w=c[i>>2]|0;Pd[c[(c[w>>2]|0)+24>>2]&31](w,d,e+G|0,(z&2|0)!=0?f:2,g);z=i+8|0;if(z>>>0<D>>>0){i=z}else{B=53;break}}if((B|0)==53){return}}}while(0);G=d+54|0;F=e;C=x;while(1){if((a[G]|0)!=0){B=53;break}x=c[C+4>>2]|0;i=x>>8;if((x&1|0)==0){H=i}else{H=c[(c[F>>2]|0)+i>>2]|0}i=c[C>>2]|0;Pd[c[(c[i>>2]|0)+24>>2]&31](i,d,e+H|0,(x&2|0)!=0?f:2,g);x=C+8|0;if(x>>>0<D>>>0){C=x}else{B=53;break}}if((B|0)==53){return}}function dY(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;h=b|0;if((h|0)==(c[d+8>>2]|0)){if((c[d+4>>2]|0)!=(e|0)){return}i=d+28|0;if((c[i>>2]|0)==1){return}c[i>>2]=f;return}if((h|0)!=(c[d>>2]|0)){h=c[b+8>>2]|0;Pd[c[(c[h>>2]|0)+24>>2]&31](h,d,e,f,g);return}do{if((c[d+16>>2]|0)!=(e|0)){h=d+20|0;if((c[h>>2]|0)==(e|0)){break}c[d+32>>2]=f;i=d+44|0;if((c[i>>2]|0)==4){return}j=d+52|0;a[j]=0;k=d+53|0;a[k]=0;l=c[b+8>>2]|0;Yd[c[(c[l>>2]|0)+20>>2]&63](l,d,e,e,1,g);if((a[k]|0)==0){m=0;n=13}else{if((a[j]|0)==0){m=1;n=13}}a:do{if((n|0)==13){c[h>>2]=e;j=d+40|0;c[j>>2]=(c[j>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){n=16;break}a[d+54|0]=1;if(m){break a}}else{n=16}}while(0);if((n|0)==16){if(m){break}}c[i>>2]=4;return}}while(0);c[i>>2]=3;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function eY(b,d,e,f,g){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;if((c[d+8>>2]|0)==(b|0)){if((c[d+4>>2]|0)!=(e|0)){return}g=d+28|0;if((c[g>>2]|0)==1){return}c[g>>2]=f;return}if((c[d>>2]|0)!=(b|0)){return}do{if((c[d+16>>2]|0)!=(e|0)){b=d+20|0;if((c[b>>2]|0)==(e|0)){break}c[d+32>>2]=f;c[b>>2]=e;b=d+40|0;c[b>>2]=(c[b>>2]|0)+1;do{if((c[d+36>>2]|0)==1){if((c[d+24>>2]|0)!=2){break}a[d+54|0]=1}}while(0);c[d+44>>2]=4;return}}while(0);if((f|0)!=1){return}c[d+32>>2]=1;return}function fY(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;if((b|0)!=(c[d+8>>2]|0)){i=d+52|0;j=a[i]|0;k=d+53|0;l=a[k]|0;m=c[b+12>>2]|0;n=b+16+(m<<3)|0;a[i]=0;a[k]=0;o=c[b+20>>2]|0;p=o>>8;if((o&1|0)==0){q=p}else{q=c[(c[f>>2]|0)+p>>2]|0}p=c[b+16>>2]|0;Yd[c[(c[p>>2]|0)+20>>2]&63](p,d,e,f+q|0,(o&2|0)!=0?g:2,h);a:do{if((m|0)>1){o=d+24|0;q=b+8|0;p=d+54|0;r=f;s=b+24|0;do{if((a[p]|0)!=0){break a}do{if((a[i]|0)==0){if((a[k]|0)==0){break}if((c[q>>2]&1|0)==0){break a}}else{if((c[o>>2]|0)==1){break a}if((c[q>>2]&2|0)==0){break a}}}while(0);a[i]=0;a[k]=0;t=c[s+4>>2]|0;u=t>>8;if((t&1|0)==0){v=u}else{v=c[(c[r>>2]|0)+u>>2]|0}u=c[s>>2]|0;Yd[c[(c[u>>2]|0)+20>>2]&63](u,d,e,f+v|0,(t&2|0)!=0?g:2,h);s=s+8|0;}while(s>>>0<n>>>0)}}while(0);a[i]=j;a[k]=l;return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;l=c[f>>2]|0;if((l|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((l|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;l=c[e>>2]|0;if((l|0)==2){c[e>>2]=g;w=g}else{w=l}if(!((c[d+48>>2]|0)==1&(w|0)==1)){return}a[d+54|0]=1;return}function gY(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0;if((b|0)!=(c[d+8>>2]|0)){i=c[b+8>>2]|0;Yd[c[(c[i>>2]|0)+20>>2]&63](i,d,e,f,g,h);return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;h=c[f>>2]|0;if((h|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((h|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;h=c[e>>2]|0;if((h|0)==2){c[e>>2]=g;j=g}else{j=h}if(!((c[d+48>>2]|0)==1&(j|0)==1)){return}a[d+54|0]=1;return}function hY(b,d,e,f,g,h){b=b|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;if((c[d+8>>2]|0)!=(b|0)){return}a[d+53|0]=1;if((c[d+4>>2]|0)!=(f|0)){return}a[d+52|0]=1;f=d+16|0;b=c[f>>2]|0;if((b|0)==0){c[f>>2]=e;c[d+24>>2]=g;c[d+36>>2]=1;if(!((c[d+48>>2]|0)==1&(g|0)==1)){return}a[d+54|0]=1;return}if((b|0)!=(e|0)){e=d+36|0;c[e>>2]=(c[e>>2]|0)+1;a[d+54|0]=1;return}e=d+24|0;b=c[e>>2]|0;if((b|0)==2){c[e>>2]=g;i=g}else{i=b}if(!((c[d+48>>2]|0)==1&(i|0)==1)){return}a[d+54|0]=1;return}function iY(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;do{if(a>>>0<245>>>0){if(a>>>0<11>>>0){b=16}else{b=a+11&-8}d=b>>>3;e=c[412696]|0;f=e>>>(d>>>0);if((f&3|0)!=0){g=(f&1^1)+d|0;h=g<<1;i=1650824+(h<<2)|0;j=1650824+(h+2<<2)|0;h=c[j>>2]|0;k=h+8|0;l=c[k>>2]|0;do{if((i|0)==(l|0)){c[412696]=e&~(1<<g)}else{if(l>>>0<(c[412700]|0)>>>0){jd();return 0}m=l+12|0;if((c[m>>2]|0)==(h|0)){c[m>>2]=i;c[j>>2]=l;break}else{jd();return 0}}}while(0);l=g<<3;c[h+4>>2]=l|3;j=h+(l|4)|0;c[j>>2]=c[j>>2]|1;n=k;return n|0}if(!(b>>>0>(c[412698]|0)>>>0)){o=b;break}if((f|0)!=0){j=2<<d;l=f<<d&(j|-j);j=(l&-l)-1|0;l=j>>>12&16;i=j>>>(l>>>0);j=i>>>5&8;m=i>>>(j>>>0);i=m>>>2&4;p=m>>>(i>>>0);m=p>>>1&2;q=p>>>(m>>>0);p=q>>>1&1;r=(j|l|i|m|p)+(q>>>(p>>>0))|0;p=r<<1;q=1650824+(p<<2)|0;m=1650824+(p+2<<2)|0;p=c[m>>2]|0;i=p+8|0;l=c[i>>2]|0;do{if((q|0)==(l|0)){c[412696]=e&~(1<<r)}else{if(l>>>0<(c[412700]|0)>>>0){jd();return 0}j=l+12|0;if((c[j>>2]|0)==(p|0)){c[j>>2]=q;c[m>>2]=l;break}else{jd();return 0}}}while(0);l=r<<3;m=l-b|0;c[p+4>>2]=b|3;q=p;e=q+b|0;c[q+(b|4)>>2]=m|1;c[q+l>>2]=m;l=c[412698]|0;if((l|0)!=0){q=c[412701]|0;d=l>>>3;l=d<<1;f=1650824+(l<<2)|0;k=c[412696]|0;h=1<<d;do{if((k&h|0)==0){c[412696]=k|h;s=f;t=1650824+(l+2<<2)|0}else{d=1650824+(l+2<<2)|0;g=c[d>>2]|0;if(!(g>>>0<(c[412700]|0)>>>0)){s=g;t=d;break}jd();return 0}}while(0);c[t>>2]=q;c[s+12>>2]=q;c[q+8>>2]=s;c[q+12>>2]=f}c[412698]=m;c[412701]=e;n=i;return n|0}l=c[412697]|0;if((l|0)==0){o=b;break}h=(l&-l)-1|0;l=h>>>12&16;k=h>>>(l>>>0);h=k>>>5&8;p=k>>>(h>>>0);k=p>>>2&4;r=p>>>(k>>>0);p=r>>>1&2;d=r>>>(p>>>0);r=d>>>1&1;g=c[1651088+((h|l|k|p|r)+(d>>>(r>>>0))<<2)>>2]|0;r=g;d=g;p=(c[g+4>>2]&-8)-b|0;while(1){g=c[r+16>>2]|0;if((g|0)==0){k=c[r+20>>2]|0;if((k|0)==0){break}else{u=k}}else{u=g}g=(c[u+4>>2]&-8)-b|0;k=g>>>0<p>>>0;r=u;d=k?u:d;p=k?g:p}r=d;i=c[412700]|0;if(r>>>0<i>>>0){jd();return 0}e=r+b|0;m=e;if(!(r>>>0<e>>>0)){jd();return 0}e=c[d+24>>2]|0;f=c[d+12>>2]|0;do{if((f|0)==(d|0)){q=d+20|0;g=c[q>>2]|0;if((g|0)==0){k=d+16|0;l=c[k>>2]|0;if((l|0)==0){v=0;break}else{w=l;x=k}}else{w=g;x=q}while(1){q=w+20|0;g=c[q>>2]|0;if((g|0)!=0){w=g;x=q;continue}q=w+16|0;g=c[q>>2]|0;if((g|0)==0){break}else{w=g;x=q}}if(x>>>0<i>>>0){jd();return 0}else{c[x>>2]=0;v=w;break}}else{q=c[d+8>>2]|0;if(q>>>0<i>>>0){jd();return 0}g=q+12|0;if((c[g>>2]|0)!=(d|0)){jd();return 0}k=f+8|0;if((c[k>>2]|0)==(d|0)){c[g>>2]=f;c[k>>2]=q;v=f;break}else{jd();return 0}}}while(0);a:do{if((e|0)!=0){f=c[d+28>>2]|0;i=1651088+(f<<2)|0;do{if((d|0)==(c[i>>2]|0)){c[i>>2]=v;if((v|0)!=0){break}c[412697]=c[412697]&~(1<<f);break a}else{if(e>>>0<(c[412700]|0)>>>0){jd();return 0}q=e+16|0;if((c[q>>2]|0)==(d|0)){c[q>>2]=v}else{c[e+20>>2]=v}if((v|0)==0){break a}}}while(0);if(v>>>0<(c[412700]|0)>>>0){jd();return 0}c[v+24>>2]=e;f=c[d+16>>2]|0;do{if((f|0)!=0){if(f>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[v+16>>2]=f;c[f+24>>2]=v;break}}}while(0);f=c[d+20>>2]|0;if((f|0)==0){break}if(f>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[v+20>>2]=f;c[f+24>>2]=v;break}}}while(0);if(p>>>0<16>>>0){e=p+b|0;c[d+4>>2]=e|3;f=r+(e+4)|0;c[f>>2]=c[f>>2]|1}else{c[d+4>>2]=b|3;c[r+(b|4)>>2]=p|1;c[r+(p+b)>>2]=p;f=c[412698]|0;if((f|0)!=0){e=c[412701]|0;i=f>>>3;f=i<<1;q=1650824+(f<<2)|0;k=c[412696]|0;g=1<<i;do{if((k&g|0)==0){c[412696]=k|g;y=q;z=1650824+(f+2<<2)|0}else{i=1650824+(f+2<<2)|0;l=c[i>>2]|0;if(!(l>>>0<(c[412700]|0)>>>0)){y=l;z=i;break}jd();return 0}}while(0);c[z>>2]=e;c[y+12>>2]=e;c[e+8>>2]=y;c[e+12>>2]=q}c[412698]=p;c[412701]=m}f=d+8|0;if((f|0)==0){o=b;break}else{n=f}return n|0}else{if(a>>>0>4294967231>>>0){o=-1;break}f=a+11|0;g=f&-8;k=c[412697]|0;if((k|0)==0){o=g;break}r=-g|0;i=f>>>8;do{if((i|0)==0){A=0}else{if(g>>>0>16777215>>>0){A=31;break}f=(i+1048320|0)>>>16&8;l=i<<f;h=(l+520192|0)>>>16&4;j=l<<h;l=(j+245760|0)>>>16&2;B=14-(h|f|l)+(j<<l>>>15)|0;A=g>>>((B+7|0)>>>0)&1|B<<1}}while(0);i=c[1651088+(A<<2)>>2]|0;b:do{if((i|0)==0){C=0;D=r;E=0}else{if((A|0)==31){F=0}else{F=25-(A>>>1)|0}d=0;m=r;p=i;q=g<<F;e=0;while(1){B=c[p+4>>2]&-8;l=B-g|0;if(l>>>0<m>>>0){if((B|0)==(g|0)){C=p;D=l;E=p;break b}else{G=p;H=l}}else{G=d;H=m}l=c[p+20>>2]|0;B=c[p+16+(q>>>31<<2)>>2]|0;j=(l|0)==0|(l|0)==(B|0)?e:l;if((B|0)==0){C=G;D=H;E=j;break}else{d=G;m=H;p=B;q=q<<1;e=j}}}}while(0);if((E|0)==0&(C|0)==0){i=2<<A;r=k&(i|-i);if((r|0)==0){o=g;break}i=(r&-r)-1|0;r=i>>>12&16;e=i>>>(r>>>0);i=e>>>5&8;q=e>>>(i>>>0);e=q>>>2&4;p=q>>>(e>>>0);q=p>>>1&2;m=p>>>(q>>>0);p=m>>>1&1;I=c[1651088+((i|r|e|q|p)+(m>>>(p>>>0))<<2)>>2]|0}else{I=E}if((I|0)==0){J=D;K=C}else{p=I;m=D;q=C;while(1){e=(c[p+4>>2]&-8)-g|0;r=e>>>0<m>>>0;i=r?e:m;e=r?p:q;r=c[p+16>>2]|0;if((r|0)!=0){p=r;m=i;q=e;continue}r=c[p+20>>2]|0;if((r|0)==0){J=i;K=e;break}else{p=r;m=i;q=e}}}if((K|0)==0){o=g;break}if(!(J>>>0<((c[412698]|0)-g|0)>>>0)){o=g;break}q=K;m=c[412700]|0;if(q>>>0<m>>>0){jd();return 0}p=q+g|0;k=p;if(!(q>>>0<p>>>0)){jd();return 0}e=c[K+24>>2]|0;i=c[K+12>>2]|0;do{if((i|0)==(K|0)){r=K+20|0;d=c[r>>2]|0;if((d|0)==0){j=K+16|0;B=c[j>>2]|0;if((B|0)==0){L=0;break}else{M=B;N=j}}else{M=d;N=r}while(1){r=M+20|0;d=c[r>>2]|0;if((d|0)!=0){M=d;N=r;continue}r=M+16|0;d=c[r>>2]|0;if((d|0)==0){break}else{M=d;N=r}}if(N>>>0<m>>>0){jd();return 0}else{c[N>>2]=0;L=M;break}}else{r=c[K+8>>2]|0;if(r>>>0<m>>>0){jd();return 0}d=r+12|0;if((c[d>>2]|0)!=(K|0)){jd();return 0}j=i+8|0;if((c[j>>2]|0)==(K|0)){c[d>>2]=i;c[j>>2]=r;L=i;break}else{jd();return 0}}}while(0);c:do{if((e|0)!=0){i=c[K+28>>2]|0;m=1651088+(i<<2)|0;do{if((K|0)==(c[m>>2]|0)){c[m>>2]=L;if((L|0)!=0){break}c[412697]=c[412697]&~(1<<i);break c}else{if(e>>>0<(c[412700]|0)>>>0){jd();return 0}r=e+16|0;if((c[r>>2]|0)==(K|0)){c[r>>2]=L}else{c[e+20>>2]=L}if((L|0)==0){break c}}}while(0);if(L>>>0<(c[412700]|0)>>>0){jd();return 0}c[L+24>>2]=e;i=c[K+16>>2]|0;do{if((i|0)!=0){if(i>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[L+16>>2]=i;c[i+24>>2]=L;break}}}while(0);i=c[K+20>>2]|0;if((i|0)==0){break}if(i>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[L+20>>2]=i;c[i+24>>2]=L;break}}}while(0);do{if(J>>>0<16>>>0){e=J+g|0;c[K+4>>2]=e|3;i=q+(e+4)|0;c[i>>2]=c[i>>2]|1}else{c[K+4>>2]=g|3;c[q+(g|4)>>2]=J|1;c[q+(J+g)>>2]=J;i=J>>>3;if(J>>>0<256>>>0){e=i<<1;m=1650824+(e<<2)|0;r=c[412696]|0;j=1<<i;do{if((r&j|0)==0){c[412696]=r|j;O=m;P=1650824+(e+2<<2)|0}else{i=1650824+(e+2<<2)|0;d=c[i>>2]|0;if(!(d>>>0<(c[412700]|0)>>>0)){O=d;P=i;break}jd();return 0}}while(0);c[P>>2]=k;c[O+12>>2]=k;c[q+(g+8)>>2]=O;c[q+(g+12)>>2]=m;break}e=p;j=J>>>8;do{if((j|0)==0){Q=0}else{if(J>>>0>16777215>>>0){Q=31;break}r=(j+1048320|0)>>>16&8;i=j<<r;d=(i+520192|0)>>>16&4;B=i<<d;i=(B+245760|0)>>>16&2;l=14-(d|r|i)+(B<<i>>>15)|0;Q=J>>>((l+7|0)>>>0)&1|l<<1}}while(0);j=1651088+(Q<<2)|0;c[q+(g+28)>>2]=Q;c[q+(g+20)>>2]=0;c[q+(g+16)>>2]=0;m=c[412697]|0;l=1<<Q;if((m&l|0)==0){c[412697]=m|l;c[j>>2]=e;c[q+(g+24)>>2]=j;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}if((Q|0)==31){R=0}else{R=25-(Q>>>1)|0}l=J<<R;m=c[j>>2]|0;while(1){if((c[m+4>>2]&-8|0)==(J|0)){break}S=m+16+(l>>>31<<2)|0;j=c[S>>2]|0;if((j|0)==0){T=151;break}else{l=l<<1;m=j}}if((T|0)==151){if(S>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[S>>2]=e;c[q+(g+24)>>2]=m;c[q+(g+12)>>2]=e;c[q+(g+8)>>2]=e;break}}l=m+8|0;j=c[l>>2]|0;i=c[412700]|0;if(m>>>0<i>>>0){jd();return 0}if(j>>>0<i>>>0){jd();return 0}else{c[j+12>>2]=e;c[l>>2]=e;c[q+(g+8)>>2]=j;c[q+(g+12)>>2]=m;c[q+(g+24)>>2]=0;break}}}while(0);q=K+8|0;if((q|0)==0){o=g;break}else{n=q}return n|0}}while(0);K=c[412698]|0;if(!(o>>>0>K>>>0)){S=K-o|0;J=c[412701]|0;if(S>>>0>15>>>0){R=J;c[412701]=R+o;c[412698]=S;c[R+(o+4)>>2]=S|1;c[R+K>>2]=S;c[J+4>>2]=o|3}else{c[412698]=0;c[412701]=0;c[J+4>>2]=K|3;S=J+(K+4)|0;c[S>>2]=c[S>>2]|1}n=J+8|0;return n|0}J=c[412699]|0;if(o>>>0<J>>>0){S=J-o|0;c[412699]=S;J=c[412702]|0;K=J;c[412702]=K+o;c[K+(o+4)>>2]=S|1;c[J+4>>2]=o|3;n=J+8|0;return n|0}do{if((c[409168]|0)==0){J=Bc(30)|0;if((J-1&J|0)==0){c[409170]=J;c[409169]=J;c[409171]=-1;c[409172]=-1;c[409173]=0;c[412807]=0;c[409168]=(Ld(0)|0)&-16^1431655768;break}else{jd();return 0}}}while(0);J=o+48|0;S=c[409170]|0;K=o+47|0;R=S+K|0;Q=-S|0;S=R&Q;if(!(S>>>0>o>>>0)){n=0;return n|0}O=c[412806]|0;do{if((O|0)!=0){P=c[412804]|0;L=P+S|0;if(L>>>0<=P>>>0|L>>>0>O>>>0){n=0}else{break}return n|0}}while(0);d:do{if((c[412807]&4|0)==0){O=c[412702]|0;e:do{if((O|0)==0){T=181}else{L=O;P=1651232;while(1){U=P|0;M=c[U>>2]|0;if(!(M>>>0>L>>>0)){V=P+4|0;if((M+(c[V>>2]|0)|0)>>>0>L>>>0){break}}M=c[P+8>>2]|0;if((M|0)==0){T=181;break e}else{P=M}}if((P|0)==0){T=181;break}L=R-(c[412699]|0)&Q;if(!(L>>>0<2147483647>>>0)){W=0;break}m=Sc(L|0)|0;e=(m|0)==((c[U>>2]|0)+(c[V>>2]|0)|0);X=e?m:-1;Y=e?L:0;Z=m;_=L;T=190}}while(0);do{if((T|0)==181){O=Sc(0)|0;if((O|0)==-1){W=0;break}g=O;L=c[409169]|0;m=L-1|0;if((m&g|0)==0){$=S}else{$=S-g+(m+g&-L)|0}L=c[412804]|0;g=L+$|0;if(!($>>>0>o>>>0&$>>>0<2147483647>>>0)){W=0;break}m=c[412806]|0;if((m|0)!=0){if(g>>>0<=L>>>0|g>>>0>m>>>0){W=0;break}}m=Sc($|0)|0;g=(m|0)==(O|0);X=g?O:-1;Y=g?$:0;Z=m;_=$;T=190}}while(0);f:do{if((T|0)==190){m=-_|0;if(!((X|0)==-1)){aa=Y;ba=X;T=201;break d}do{if((Z|0)!=-1&_>>>0<2147483647>>>0&_>>>0<J>>>0){g=c[409170]|0;O=K-_+g&-g;if(!(O>>>0<2147483647>>>0)){ca=_;break}if((Sc(O|0)|0)==-1){Sc(m|0)|0;W=Y;break f}else{ca=O+_|0;break}}else{ca=_}}while(0);if((Z|0)==-1){W=Y}else{aa=ca;ba=Z;T=201;break d}}}while(0);c[412807]=c[412807]|4;da=W;T=198}else{da=0;T=198}}while(0);do{if((T|0)==198){if(!(S>>>0<2147483647>>>0)){break}W=Sc(S|0)|0;Z=Sc(0)|0;if(!((Z|0)!=-1&(W|0)!=-1&W>>>0<Z>>>0)){break}ca=Z-W|0;Z=ca>>>0>(o+40|0)>>>0;Y=Z?W:-1;if(!((Y|0)==-1)){aa=Z?ca:da;ba=Y;T=201}}}while(0);do{if((T|0)==201){da=(c[412804]|0)+aa|0;c[412804]=da;if(da>>>0>(c[412805]|0)>>>0){c[412805]=da}da=c[412702]|0;g:do{if((da|0)==0){S=c[412700]|0;if((S|0)==0|ba>>>0<S>>>0){c[412700]=ba}c[412808]=ba;c[412809]=aa;c[412811]=0;c[412705]=c[409168];c[412704]=-1;S=0;do{Y=S<<1;ca=1650824+(Y<<2)|0;c[1650824+(Y+3<<2)>>2]=ca;c[1650824+(Y+2<<2)>>2]=ca;S=S+1|0;}while(S>>>0<32>>>0);S=ba+8|0;if((S&7|0)==0){ea=0}else{ea=-S&7}S=aa-40-ea|0;c[412702]=ba+ea;c[412699]=S;c[ba+(ea+4)>>2]=S|1;c[ba+(aa-36)>>2]=40;c[412703]=c[409172]}else{S=1651232;while(1){fa=c[S>>2]|0;ga=S+4|0;ha=c[ga>>2]|0;if((ba|0)==(fa+ha|0)){T=213;break}ca=c[S+8>>2]|0;if((ca|0)==0){break}else{S=ca}}do{if((T|0)==213){if((c[S+12>>2]&8|0)!=0){break}ca=da;if(!(ca>>>0>=fa>>>0&ca>>>0<ba>>>0)){break}c[ga>>2]=ha+aa;Y=(c[412699]|0)+aa|0;Z=da+8|0;if((Z&7|0)==0){ia=0}else{ia=-Z&7}Z=Y-ia|0;c[412702]=ca+ia;c[412699]=Z;c[ca+(ia+4)>>2]=Z|1;c[ca+(Y+4)>>2]=40;c[412703]=c[409172];break g}}while(0);if(ba>>>0<(c[412700]|0)>>>0){c[412700]=ba}S=ba+aa|0;Y=1651232;while(1){ja=Y|0;if((c[ja>>2]|0)==(S|0)){T=223;break}ca=c[Y+8>>2]|0;if((ca|0)==0){break}else{Y=ca}}do{if((T|0)==223){if((c[Y+12>>2]&8|0)!=0){break}c[ja>>2]=ba;S=Y+4|0;c[S>>2]=(c[S>>2]|0)+aa;S=ba+8|0;if((S&7|0)==0){ka=0}else{ka=-S&7}S=ba+(aa+8)|0;if((S&7|0)==0){la=0}else{la=-S&7}S=ba+(la+aa)|0;ca=S;Z=ka+o|0;W=ba+Z|0;_=W;K=S-(ba+ka)-o|0;c[ba+(ka+4)>>2]=o|3;do{if((ca|0)==(c[412702]|0)){J=(c[412699]|0)+K|0;c[412699]=J;c[412702]=_;c[ba+(Z+4)>>2]=J|1}else{if((ca|0)==(c[412701]|0)){J=(c[412698]|0)+K|0;c[412698]=J;c[412701]=_;c[ba+(Z+4)>>2]=J|1;c[ba+(J+Z)>>2]=J;break}J=aa+4|0;X=c[ba+(J+la)>>2]|0;if((X&3|0)==1){$=X&-8;V=X>>>3;h:do{if(X>>>0<256>>>0){U=c[ba+((la|8)+aa)>>2]|0;Q=c[ba+(aa+12+la)>>2]|0;R=1650824+(V<<1<<2)|0;do{if((U|0)!=(R|0)){if(U>>>0<(c[412700]|0)>>>0){jd();return 0}if((c[U+12>>2]|0)==(ca|0)){break}jd();return 0}}while(0);if((Q|0)==(U|0)){c[412696]=c[412696]&~(1<<V);break}do{if((Q|0)==(R|0)){ma=Q+8|0}else{if(Q>>>0<(c[412700]|0)>>>0){jd();return 0}m=Q+8|0;if((c[m>>2]|0)==(ca|0)){ma=m;break}jd();return 0}}while(0);c[U+12>>2]=Q;c[ma>>2]=U}else{R=S;m=c[ba+((la|24)+aa)>>2]|0;P=c[ba+(aa+12+la)>>2]|0;do{if((P|0)==(R|0)){O=la|16;g=ba+(J+O)|0;L=c[g>>2]|0;if((L|0)==0){e=ba+(O+aa)|0;O=c[e>>2]|0;if((O|0)==0){na=0;break}else{oa=O;pa=e}}else{oa=L;pa=g}while(1){g=oa+20|0;L=c[g>>2]|0;if((L|0)!=0){oa=L;pa=g;continue}g=oa+16|0;L=c[g>>2]|0;if((L|0)==0){break}else{oa=L;pa=g}}if(pa>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[pa>>2]=0;na=oa;break}}else{g=c[ba+((la|8)+aa)>>2]|0;if(g>>>0<(c[412700]|0)>>>0){jd();return 0}L=g+12|0;if((c[L>>2]|0)!=(R|0)){jd();return 0}e=P+8|0;if((c[e>>2]|0)==(R|0)){c[L>>2]=P;c[e>>2]=g;na=P;break}else{jd();return 0}}}while(0);if((m|0)==0){break}P=c[ba+(aa+28+la)>>2]|0;U=1651088+(P<<2)|0;do{if((R|0)==(c[U>>2]|0)){c[U>>2]=na;if((na|0)!=0){break}c[412697]=c[412697]&~(1<<P);break h}else{if(m>>>0<(c[412700]|0)>>>0){jd();return 0}Q=m+16|0;if((c[Q>>2]|0)==(R|0)){c[Q>>2]=na}else{c[m+20>>2]=na}if((na|0)==0){break h}}}while(0);if(na>>>0<(c[412700]|0)>>>0){jd();return 0}c[na+24>>2]=m;R=la|16;P=c[ba+(R+aa)>>2]|0;do{if((P|0)!=0){if(P>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[na+16>>2]=P;c[P+24>>2]=na;break}}}while(0);P=c[ba+(J+R)>>2]|0;if((P|0)==0){break}if(P>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[na+20>>2]=P;c[P+24>>2]=na;break}}}while(0);qa=ba+(($|la)+aa)|0;ra=$+K|0}else{qa=ca;ra=K}J=qa+4|0;c[J>>2]=c[J>>2]&-2;c[ba+(Z+4)>>2]=ra|1;c[ba+(ra+Z)>>2]=ra;J=ra>>>3;if(ra>>>0<256>>>0){V=J<<1;X=1650824+(V<<2)|0;P=c[412696]|0;m=1<<J;do{if((P&m|0)==0){c[412696]=P|m;sa=X;ta=1650824+(V+2<<2)|0}else{J=1650824+(V+2<<2)|0;U=c[J>>2]|0;if(!(U>>>0<(c[412700]|0)>>>0)){sa=U;ta=J;break}jd();return 0}}while(0);c[ta>>2]=_;c[sa+12>>2]=_;c[ba+(Z+8)>>2]=sa;c[ba+(Z+12)>>2]=X;break}V=W;m=ra>>>8;do{if((m|0)==0){ua=0}else{if(ra>>>0>16777215>>>0){ua=31;break}P=(m+1048320|0)>>>16&8;$=m<<P;J=($+520192|0)>>>16&4;U=$<<J;$=(U+245760|0)>>>16&2;Q=14-(J|P|$)+(U<<$>>>15)|0;ua=ra>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=1651088+(ua<<2)|0;c[ba+(Z+28)>>2]=ua;c[ba+(Z+20)>>2]=0;c[ba+(Z+16)>>2]=0;X=c[412697]|0;Q=1<<ua;if((X&Q|0)==0){c[412697]=X|Q;c[m>>2]=V;c[ba+(Z+24)>>2]=m;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}if((ua|0)==31){va=0}else{va=25-(ua>>>1)|0}Q=ra<<va;X=c[m>>2]|0;while(1){if((c[X+4>>2]&-8|0)==(ra|0)){break}wa=X+16+(Q>>>31<<2)|0;m=c[wa>>2]|0;if((m|0)==0){T=296;break}else{Q=Q<<1;X=m}}if((T|0)==296){if(wa>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[wa>>2]=V;c[ba+(Z+24)>>2]=X;c[ba+(Z+12)>>2]=V;c[ba+(Z+8)>>2]=V;break}}Q=X+8|0;m=c[Q>>2]|0;$=c[412700]|0;if(X>>>0<$>>>0){jd();return 0}if(m>>>0<$>>>0){jd();return 0}else{c[m+12>>2]=V;c[Q>>2]=V;c[ba+(Z+8)>>2]=m;c[ba+(Z+12)>>2]=X;c[ba+(Z+24)>>2]=0;break}}}while(0);n=ba+(ka|8)|0;return n|0}}while(0);Y=da;Z=1651232;while(1){xa=c[Z>>2]|0;if(!(xa>>>0>Y>>>0)){ya=c[Z+4>>2]|0;za=xa+ya|0;if(za>>>0>Y>>>0){break}}Z=c[Z+8>>2]|0}Z=xa+(ya-39)|0;if((Z&7|0)==0){Aa=0}else{Aa=-Z&7}Z=xa+(ya-47+Aa)|0;W=Z>>>0<(da+16|0)>>>0?Y:Z;Z=W+8|0;_=ba+8|0;if((_&7|0)==0){Ba=0}else{Ba=-_&7}_=aa-40-Ba|0;c[412702]=ba+Ba;c[412699]=_;c[ba+(Ba+4)>>2]=_|1;c[ba+(aa-36)>>2]=40;c[412703]=c[409172];c[W+4>>2]=27;c[Z>>2]=c[412808];c[Z+4>>2]=c[412809];c[Z+8>>2]=c[412810];c[Z+12>>2]=c[412811];c[412808]=ba;c[412809]=aa;c[412811]=0;c[412810]=Z;Z=W+28|0;c[Z>>2]=7;if((W+32|0)>>>0<za>>>0){_=Z;while(1){Z=_+4|0;c[Z>>2]=7;if((_+8|0)>>>0<za>>>0){_=Z}else{break}}}if((W|0)==(Y|0)){break}_=W-da|0;Z=Y+(_+4)|0;c[Z>>2]=c[Z>>2]&-2;c[da+4>>2]=_|1;c[Y+_>>2]=_;Z=_>>>3;if(_>>>0<256>>>0){K=Z<<1;ca=1650824+(K<<2)|0;S=c[412696]|0;m=1<<Z;do{if((S&m|0)==0){c[412696]=S|m;Ca=ca;Da=1650824+(K+2<<2)|0}else{Z=1650824+(K+2<<2)|0;Q=c[Z>>2]|0;if(!(Q>>>0<(c[412700]|0)>>>0)){Ca=Q;Da=Z;break}jd();return 0}}while(0);c[Da>>2]=da;c[Ca+12>>2]=da;c[da+8>>2]=Ca;c[da+12>>2]=ca;break}K=da;m=_>>>8;do{if((m|0)==0){Ea=0}else{if(_>>>0>16777215>>>0){Ea=31;break}S=(m+1048320|0)>>>16&8;Y=m<<S;W=(Y+520192|0)>>>16&4;Z=Y<<W;Y=(Z+245760|0)>>>16&2;Q=14-(W|S|Y)+(Z<<Y>>>15)|0;Ea=_>>>((Q+7|0)>>>0)&1|Q<<1}}while(0);m=1651088+(Ea<<2)|0;c[da+28>>2]=Ea;c[da+20>>2]=0;c[da+16>>2]=0;ca=c[412697]|0;Q=1<<Ea;if((ca&Q|0)==0){c[412697]=ca|Q;c[m>>2]=K;c[da+24>>2]=m;c[da+12>>2]=da;c[da+8>>2]=da;break}if((Ea|0)==31){Fa=0}else{Fa=25-(Ea>>>1)|0}Q=_<<Fa;ca=c[m>>2]|0;while(1){if((c[ca+4>>2]&-8|0)==(_|0)){break}Ga=ca+16+(Q>>>31<<2)|0;m=c[Ga>>2]|0;if((m|0)==0){T=331;break}else{Q=Q<<1;ca=m}}if((T|0)==331){if(Ga>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[Ga>>2]=K;c[da+24>>2]=ca;c[da+12>>2]=da;c[da+8>>2]=da;break}}Q=ca+8|0;_=c[Q>>2]|0;m=c[412700]|0;if(ca>>>0<m>>>0){jd();return 0}if(_>>>0<m>>>0){jd();return 0}else{c[_+12>>2]=K;c[Q>>2]=K;c[da+8>>2]=_;c[da+12>>2]=ca;c[da+24>>2]=0;break}}}while(0);da=c[412699]|0;if(!(da>>>0>o>>>0)){break}_=da-o|0;c[412699]=_;da=c[412702]|0;Q=da;c[412702]=Q+o;c[Q+(o+4)>>2]=_|1;c[da+4>>2]=o|3;n=da+8|0;return n|0}}while(0);c[(Vc()|0)>>2]=12;n=0;return n|0}function jY(a){a=a|0;var b=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;if((a|0)==0){return}b=a-8|0;d=b;e=c[412700]|0;if(b>>>0<e>>>0){jd()}f=c[a-4>>2]|0;g=f&3;if((g|0)==1){jd()}h=f&-8;i=a+(h-8)|0;j=i;a:do{if((f&1|0)==0){k=c[b>>2]|0;if((g|0)==0){return}l=-8-k|0;m=a+l|0;n=m;o=k+h|0;if(m>>>0<e>>>0){jd()}if((n|0)==(c[412701]|0)){p=a+(h-4)|0;if((c[p>>2]&3|0)!=3){q=n;r=o;break}c[412698]=o;c[p>>2]=c[p>>2]&-2;c[a+(l+4)>>2]=o|1;c[i>>2]=o;return}p=k>>>3;if(k>>>0<256>>>0){k=c[a+(l+8)>>2]|0;s=c[a+(l+12)>>2]|0;t=1650824+(p<<1<<2)|0;do{if((k|0)!=(t|0)){if(k>>>0<e>>>0){jd()}if((c[k+12>>2]|0)==(n|0)){break}jd()}}while(0);if((s|0)==(k|0)){c[412696]=c[412696]&~(1<<p);q=n;r=o;break}do{if((s|0)==(t|0)){u=s+8|0}else{if(s>>>0<e>>>0){jd()}v=s+8|0;if((c[v>>2]|0)==(n|0)){u=v;break}jd()}}while(0);c[k+12>>2]=s;c[u>>2]=k;q=n;r=o;break}t=m;p=c[a+(l+24)>>2]|0;v=c[a+(l+12)>>2]|0;do{if((v|0)==(t|0)){w=a+(l+20)|0;x=c[w>>2]|0;if((x|0)==0){y=a+(l+16)|0;z=c[y>>2]|0;if((z|0)==0){A=0;break}else{B=z;C=y}}else{B=x;C=w}while(1){w=B+20|0;x=c[w>>2]|0;if((x|0)!=0){B=x;C=w;continue}w=B+16|0;x=c[w>>2]|0;if((x|0)==0){break}else{B=x;C=w}}if(C>>>0<e>>>0){jd()}else{c[C>>2]=0;A=B;break}}else{w=c[a+(l+8)>>2]|0;if(w>>>0<e>>>0){jd()}x=w+12|0;if((c[x>>2]|0)!=(t|0)){jd()}y=v+8|0;if((c[y>>2]|0)==(t|0)){c[x>>2]=v;c[y>>2]=w;A=v;break}else{jd()}}}while(0);if((p|0)==0){q=n;r=o;break}v=c[a+(l+28)>>2]|0;m=1651088+(v<<2)|0;do{if((t|0)==(c[m>>2]|0)){c[m>>2]=A;if((A|0)!=0){break}c[412697]=c[412697]&~(1<<v);q=n;r=o;break a}else{if(p>>>0<(c[412700]|0)>>>0){jd()}k=p+16|0;if((c[k>>2]|0)==(t|0)){c[k>>2]=A}else{c[p+20>>2]=A}if((A|0)==0){q=n;r=o;break a}}}while(0);if(A>>>0<(c[412700]|0)>>>0){jd()}c[A+24>>2]=p;t=c[a+(l+16)>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[412700]|0)>>>0){jd()}else{c[A+16>>2]=t;c[t+24>>2]=A;break}}}while(0);t=c[a+(l+20)>>2]|0;if((t|0)==0){q=n;r=o;break}if(t>>>0<(c[412700]|0)>>>0){jd()}else{c[A+20>>2]=t;c[t+24>>2]=A;q=n;r=o;break}}else{q=d;r=h}}while(0);d=q;if(!(d>>>0<i>>>0)){jd()}A=a+(h-4)|0;e=c[A>>2]|0;if((e&1|0)==0){jd()}do{if((e&2|0)==0){if((j|0)==(c[412702]|0)){B=(c[412699]|0)+r|0;c[412699]=B;c[412702]=q;c[q+4>>2]=B|1;if((q|0)!=(c[412701]|0)){return}c[412701]=0;c[412698]=0;return}if((j|0)==(c[412701]|0)){B=(c[412698]|0)+r|0;c[412698]=B;c[412701]=q;c[q+4>>2]=B|1;c[d+B>>2]=B;return}B=(e&-8)+r|0;C=e>>>3;b:do{if(e>>>0<256>>>0){u=c[a+h>>2]|0;g=c[a+(h|4)>>2]|0;b=1650824+(C<<1<<2)|0;do{if((u|0)!=(b|0)){if(u>>>0<(c[412700]|0)>>>0){jd()}if((c[u+12>>2]|0)==(j|0)){break}jd()}}while(0);if((g|0)==(u|0)){c[412696]=c[412696]&~(1<<C);break}do{if((g|0)==(b|0)){D=g+8|0}else{if(g>>>0<(c[412700]|0)>>>0){jd()}f=g+8|0;if((c[f>>2]|0)==(j|0)){D=f;break}jd()}}while(0);c[u+12>>2]=g;c[D>>2]=u}else{b=i;f=c[a+(h+16)>>2]|0;t=c[a+(h|4)>>2]|0;do{if((t|0)==(b|0)){p=a+(h+12)|0;v=c[p>>2]|0;if((v|0)==0){m=a+(h+8)|0;k=c[m>>2]|0;if((k|0)==0){E=0;break}else{F=k;G=m}}else{F=v;G=p}while(1){p=F+20|0;v=c[p>>2]|0;if((v|0)!=0){F=v;G=p;continue}p=F+16|0;v=c[p>>2]|0;if((v|0)==0){break}else{F=v;G=p}}if(G>>>0<(c[412700]|0)>>>0){jd()}else{c[G>>2]=0;E=F;break}}else{p=c[a+h>>2]|0;if(p>>>0<(c[412700]|0)>>>0){jd()}v=p+12|0;if((c[v>>2]|0)!=(b|0)){jd()}m=t+8|0;if((c[m>>2]|0)==(b|0)){c[v>>2]=t;c[m>>2]=p;E=t;break}else{jd()}}}while(0);if((f|0)==0){break}t=c[a+(h+20)>>2]|0;u=1651088+(t<<2)|0;do{if((b|0)==(c[u>>2]|0)){c[u>>2]=E;if((E|0)!=0){break}c[412697]=c[412697]&~(1<<t);break b}else{if(f>>>0<(c[412700]|0)>>>0){jd()}g=f+16|0;if((c[g>>2]|0)==(b|0)){c[g>>2]=E}else{c[f+20>>2]=E}if((E|0)==0){break b}}}while(0);if(E>>>0<(c[412700]|0)>>>0){jd()}c[E+24>>2]=f;b=c[a+(h+8)>>2]|0;do{if((b|0)!=0){if(b>>>0<(c[412700]|0)>>>0){jd()}else{c[E+16>>2]=b;c[b+24>>2]=E;break}}}while(0);b=c[a+(h+12)>>2]|0;if((b|0)==0){break}if(b>>>0<(c[412700]|0)>>>0){jd()}else{c[E+20>>2]=b;c[b+24>>2]=E;break}}}while(0);c[q+4>>2]=B|1;c[d+B>>2]=B;if((q|0)!=(c[412701]|0)){H=B;break}c[412698]=B;return}else{c[A>>2]=e&-2;c[q+4>>2]=r|1;c[d+r>>2]=r;H=r}}while(0);r=H>>>3;if(H>>>0<256>>>0){d=r<<1;e=1650824+(d<<2)|0;A=c[412696]|0;E=1<<r;do{if((A&E|0)==0){c[412696]=A|E;I=e;J=1650824+(d+2<<2)|0}else{r=1650824+(d+2<<2)|0;h=c[r>>2]|0;if(!(h>>>0<(c[412700]|0)>>>0)){I=h;J=r;break}jd()}}while(0);c[J>>2]=q;c[I+12>>2]=q;c[q+8>>2]=I;c[q+12>>2]=e;return}e=q;I=H>>>8;do{if((I|0)==0){K=0}else{if(H>>>0>16777215>>>0){K=31;break}J=(I+1048320|0)>>>16&8;d=I<<J;E=(d+520192|0)>>>16&4;A=d<<E;d=(A+245760|0)>>>16&2;r=14-(E|J|d)+(A<<d>>>15)|0;K=H>>>((r+7|0)>>>0)&1|r<<1}}while(0);I=1651088+(K<<2)|0;c[q+28>>2]=K;c[q+20>>2]=0;c[q+16>>2]=0;r=c[412697]|0;d=1<<K;do{if((r&d|0)==0){c[412697]=r|d;c[I>>2]=e;c[q+24>>2]=I;c[q+12>>2]=q;c[q+8>>2]=q}else{if((K|0)==31){L=0}else{L=25-(K>>>1)|0}A=H<<L;J=c[I>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(H|0)){break}M=J+16+(A>>>31<<2)|0;E=c[M>>2]|0;if((E|0)==0){N=129;break}else{A=A<<1;J=E}}if((N|0)==129){if(M>>>0<(c[412700]|0)>>>0){jd()}else{c[M>>2]=e;c[q+24>>2]=J;c[q+12>>2]=q;c[q+8>>2]=q;break}}A=J+8|0;B=c[A>>2]|0;E=c[412700]|0;if(J>>>0<E>>>0){jd()}if(B>>>0<E>>>0){jd()}else{c[B+12>>2]=e;c[A>>2]=e;c[q+8>>2]=B;c[q+12>>2]=J;c[q+24>>2]=0;break}}}while(0);q=(c[412704]|0)-1|0;c[412704]=q;if((q|0)==0){O=1651240}else{return}while(1){q=c[O>>2]|0;if((q|0)==0){break}else{O=q+8|0}}c[412704]=-1;return}function kY(a,b){a=a|0;b=b|0;var d=0,e=0;do{if((a|0)==0){d=0}else{e=ga(b,a)|0;if(!((b|a)>>>0>65535>>>0)){d=e;break}d=((e>>>0)/(a>>>0)|0|0)==(b|0)?e:-1}}while(0);b=iY(d)|0;if((b|0)==0){return b|0}if((c[b-4>>2]&3|0)==0){return b|0}NY(b|0,0,d|0)|0;return b|0}function lY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;if((a|0)==0){d=iY(b)|0;return d|0}if(b>>>0>4294967231>>>0){c[(Vc()|0)>>2]=12;d=0;return d|0}if(b>>>0<11>>>0){e=16}else{e=b+11&-8}f=mY(a-8|0,e)|0;if((f|0)!=0){d=f+8|0;return d|0}f=iY(b)|0;if((f|0)==0){d=0;return d|0}e=c[a-4>>2]|0;g=(e&-8)-((e&3|0)==0?8:4)|0;MY(f|0,a|0,g>>>0<b>>>0?g:b)|0;jY(a);d=f;return d|0}function mY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;d=a+4|0;e=c[d>>2]|0;f=e&-8;g=a;h=g+f|0;i=h;j=c[412700]|0;if(g>>>0<j>>>0){jd();return 0}k=e&3;if(!((k|0)!=1&g>>>0<h>>>0)){jd();return 0}l=g+(f|4)|0;m=c[l>>2]|0;if((m&1|0)==0){jd();return 0}if((k|0)==0){if(b>>>0<256>>>0){n=0;return n|0}do{if(!(f>>>0<(b+4|0)>>>0)){if((f-b|0)>>>0>c[409170]<<1>>>0){break}else{n=a}return n|0}}while(0);n=0;return n|0}if(!(f>>>0<b>>>0)){k=f-b|0;if(!(k>>>0>15>>>0)){n=a;return n|0}c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|3;c[l>>2]=c[l>>2]|1;nY(g+b|0,k);n=a;return n|0}if((i|0)==(c[412702]|0)){k=(c[412699]|0)+f|0;if(!(k>>>0>b>>>0)){n=0;return n|0}l=k-b|0;c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=l|1;c[412702]=g+b;c[412699]=l;n=a;return n|0}if((i|0)==(c[412701]|0)){l=(c[412698]|0)+f|0;if(l>>>0<b>>>0){n=0;return n|0}k=l-b|0;if(k>>>0>15>>>0){c[d>>2]=e&1|b|2;c[g+(b+4)>>2]=k|1;c[g+l>>2]=k;o=g+(l+4)|0;c[o>>2]=c[o>>2]&-2;p=g+b|0;q=k}else{c[d>>2]=e&1|l|2;e=g+(l+4)|0;c[e>>2]=c[e>>2]|1;p=0;q=0}c[412698]=q;c[412701]=p;n=a;return n|0}if((m&2|0)!=0){n=0;return n|0}p=(m&-8)+f|0;if(p>>>0<b>>>0){n=0;return n|0}q=p-b|0;e=m>>>3;a:do{if(m>>>0<256>>>0){l=c[g+(f+8)>>2]|0;k=c[g+(f+12)>>2]|0;o=1650824+(e<<1<<2)|0;do{if((l|0)!=(o|0)){if(l>>>0<j>>>0){jd();return 0}if((c[l+12>>2]|0)==(i|0)){break}jd();return 0}}while(0);if((k|0)==(l|0)){c[412696]=c[412696]&~(1<<e);break}do{if((k|0)==(o|0)){r=k+8|0}else{if(k>>>0<j>>>0){jd();return 0}s=k+8|0;if((c[s>>2]|0)==(i|0)){r=s;break}jd();return 0}}while(0);c[l+12>>2]=k;c[r>>2]=l}else{o=h;s=c[g+(f+24)>>2]|0;t=c[g+(f+12)>>2]|0;do{if((t|0)==(o|0)){u=g+(f+20)|0;v=c[u>>2]|0;if((v|0)==0){w=g+(f+16)|0;x=c[w>>2]|0;if((x|0)==0){y=0;break}else{z=x;A=w}}else{z=v;A=u}while(1){u=z+20|0;v=c[u>>2]|0;if((v|0)!=0){z=v;A=u;continue}u=z+16|0;v=c[u>>2]|0;if((v|0)==0){break}else{z=v;A=u}}if(A>>>0<j>>>0){jd();return 0}else{c[A>>2]=0;y=z;break}}else{u=c[g+(f+8)>>2]|0;if(u>>>0<j>>>0){jd();return 0}v=u+12|0;if((c[v>>2]|0)!=(o|0)){jd();return 0}w=t+8|0;if((c[w>>2]|0)==(o|0)){c[v>>2]=t;c[w>>2]=u;y=t;break}else{jd();return 0}}}while(0);if((s|0)==0){break}t=c[g+(f+28)>>2]|0;l=1651088+(t<<2)|0;do{if((o|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[412697]=c[412697]&~(1<<t);break a}else{if(s>>>0<(c[412700]|0)>>>0){jd();return 0}k=s+16|0;if((c[k>>2]|0)==(o|0)){c[k>>2]=y}else{c[s+20>>2]=y}if((y|0)==0){break a}}}while(0);if(y>>>0<(c[412700]|0)>>>0){jd();return 0}c[y+24>>2]=s;o=c[g+(f+16)>>2]|0;do{if((o|0)!=0){if(o>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[y+16>>2]=o;c[o+24>>2]=y;break}}}while(0);o=c[g+(f+20)>>2]|0;if((o|0)==0){break}if(o>>>0<(c[412700]|0)>>>0){jd();return 0}else{c[y+20>>2]=o;c[o+24>>2]=y;break}}}while(0);if(q>>>0<16>>>0){c[d>>2]=p|c[d>>2]&1|2;y=g+(p|4)|0;c[y>>2]=c[y>>2]|1;n=a;return n|0}else{c[d>>2]=c[d>>2]&1|b|2;c[g+(b+4)>>2]=q|3;d=g+(p|4)|0;c[d>>2]=c[d>>2]|1;nY(g+b|0,q);n=a;return n|0}return 0}function nY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;d=a;e=d+b|0;f=e;g=c[a+4>>2]|0;a:do{if((g&1|0)==0){h=c[a>>2]|0;if((g&3|0)==0){return}i=d+(-h|0)|0;j=i;k=h+b|0;l=c[412700]|0;if(i>>>0<l>>>0){jd()}if((j|0)==(c[412701]|0)){m=d+(b+4)|0;if((c[m>>2]&3|0)!=3){n=j;o=k;break}c[412698]=k;c[m>>2]=c[m>>2]&-2;c[d+(4-h)>>2]=k|1;c[e>>2]=k;return}m=h>>>3;if(h>>>0<256>>>0){p=c[d+(8-h)>>2]|0;q=c[d+(12-h)>>2]|0;r=1650824+(m<<1<<2)|0;do{if((p|0)!=(r|0)){if(p>>>0<l>>>0){jd()}if((c[p+12>>2]|0)==(j|0)){break}jd()}}while(0);if((q|0)==(p|0)){c[412696]=c[412696]&~(1<<m);n=j;o=k;break}do{if((q|0)==(r|0)){s=q+8|0}else{if(q>>>0<l>>>0){jd()}t=q+8|0;if((c[t>>2]|0)==(j|0)){s=t;break}jd()}}while(0);c[p+12>>2]=q;c[s>>2]=p;n=j;o=k;break}r=i;m=c[d+(24-h)>>2]|0;t=c[d+(12-h)>>2]|0;do{if((t|0)==(r|0)){u=16-h|0;v=d+(u+4)|0;w=c[v>>2]|0;if((w|0)==0){x=d+u|0;u=c[x>>2]|0;if((u|0)==0){y=0;break}else{z=u;A=x}}else{z=w;A=v}while(1){v=z+20|0;w=c[v>>2]|0;if((w|0)!=0){z=w;A=v;continue}v=z+16|0;w=c[v>>2]|0;if((w|0)==0){break}else{z=w;A=v}}if(A>>>0<l>>>0){jd()}else{c[A>>2]=0;y=z;break}}else{v=c[d+(8-h)>>2]|0;if(v>>>0<l>>>0){jd()}w=v+12|0;if((c[w>>2]|0)!=(r|0)){jd()}x=t+8|0;if((c[x>>2]|0)==(r|0)){c[w>>2]=t;c[x>>2]=v;y=t;break}else{jd()}}}while(0);if((m|0)==0){n=j;o=k;break}t=c[d+(28-h)>>2]|0;l=1651088+(t<<2)|0;do{if((r|0)==(c[l>>2]|0)){c[l>>2]=y;if((y|0)!=0){break}c[412697]=c[412697]&~(1<<t);n=j;o=k;break a}else{if(m>>>0<(c[412700]|0)>>>0){jd()}i=m+16|0;if((c[i>>2]|0)==(r|0)){c[i>>2]=y}else{c[m+20>>2]=y}if((y|0)==0){n=j;o=k;break a}}}while(0);if(y>>>0<(c[412700]|0)>>>0){jd()}c[y+24>>2]=m;r=16-h|0;t=c[d+r>>2]|0;do{if((t|0)!=0){if(t>>>0<(c[412700]|0)>>>0){jd()}else{c[y+16>>2]=t;c[t+24>>2]=y;break}}}while(0);t=c[d+(r+4)>>2]|0;if((t|0)==0){n=j;o=k;break}if(t>>>0<(c[412700]|0)>>>0){jd()}else{c[y+20>>2]=t;c[t+24>>2]=y;n=j;o=k;break}}else{n=a;o=b}}while(0);a=c[412700]|0;if(e>>>0<a>>>0){jd()}y=d+(b+4)|0;z=c[y>>2]|0;do{if((z&2|0)==0){if((f|0)==(c[412702]|0)){A=(c[412699]|0)+o|0;c[412699]=A;c[412702]=n;c[n+4>>2]=A|1;if((n|0)!=(c[412701]|0)){return}c[412701]=0;c[412698]=0;return}if((f|0)==(c[412701]|0)){A=(c[412698]|0)+o|0;c[412698]=A;c[412701]=n;c[n+4>>2]=A|1;c[n+A>>2]=A;return}A=(z&-8)+o|0;s=z>>>3;b:do{if(z>>>0<256>>>0){g=c[d+(b+8)>>2]|0;t=c[d+(b+12)>>2]|0;h=1650824+(s<<1<<2)|0;do{if((g|0)!=(h|0)){if(g>>>0<a>>>0){jd()}if((c[g+12>>2]|0)==(f|0)){break}jd()}}while(0);if((t|0)==(g|0)){c[412696]=c[412696]&~(1<<s);break}do{if((t|0)==(h|0)){B=t+8|0}else{if(t>>>0<a>>>0){jd()}m=t+8|0;if((c[m>>2]|0)==(f|0)){B=m;break}jd()}}while(0);c[g+12>>2]=t;c[B>>2]=g}else{h=e;m=c[d+(b+24)>>2]|0;l=c[d+(b+12)>>2]|0;do{if((l|0)==(h|0)){i=d+(b+20)|0;p=c[i>>2]|0;if((p|0)==0){q=d+(b+16)|0;v=c[q>>2]|0;if((v|0)==0){C=0;break}else{D=v;E=q}}else{D=p;E=i}while(1){i=D+20|0;p=c[i>>2]|0;if((p|0)!=0){D=p;E=i;continue}i=D+16|0;p=c[i>>2]|0;if((p|0)==0){break}else{D=p;E=i}}if(E>>>0<a>>>0){jd()}else{c[E>>2]=0;C=D;break}}else{i=c[d+(b+8)>>2]|0;if(i>>>0<a>>>0){jd()}p=i+12|0;if((c[p>>2]|0)!=(h|0)){jd()}q=l+8|0;if((c[q>>2]|0)==(h|0)){c[p>>2]=l;c[q>>2]=i;C=l;break}else{jd()}}}while(0);if((m|0)==0){break}l=c[d+(b+28)>>2]|0;g=1651088+(l<<2)|0;do{if((h|0)==(c[g>>2]|0)){c[g>>2]=C;if((C|0)!=0){break}c[412697]=c[412697]&~(1<<l);break b}else{if(m>>>0<(c[412700]|0)>>>0){jd()}t=m+16|0;if((c[t>>2]|0)==(h|0)){c[t>>2]=C}else{c[m+20>>2]=C}if((C|0)==0){break b}}}while(0);if(C>>>0<(c[412700]|0)>>>0){jd()}c[C+24>>2]=m;h=c[d+(b+16)>>2]|0;do{if((h|0)!=0){if(h>>>0<(c[412700]|0)>>>0){jd()}else{c[C+16>>2]=h;c[h+24>>2]=C;break}}}while(0);h=c[d+(b+20)>>2]|0;if((h|0)==0){break}if(h>>>0<(c[412700]|0)>>>0){jd()}else{c[C+20>>2]=h;c[h+24>>2]=C;break}}}while(0);c[n+4>>2]=A|1;c[n+A>>2]=A;if((n|0)!=(c[412701]|0)){F=A;break}c[412698]=A;return}else{c[y>>2]=z&-2;c[n+4>>2]=o|1;c[n+o>>2]=o;F=o}}while(0);o=F>>>3;if(F>>>0<256>>>0){z=o<<1;y=1650824+(z<<2)|0;C=c[412696]|0;b=1<<o;do{if((C&b|0)==0){c[412696]=C|b;G=y;H=1650824+(z+2<<2)|0}else{o=1650824+(z+2<<2)|0;d=c[o>>2]|0;if(!(d>>>0<(c[412700]|0)>>>0)){G=d;H=o;break}jd()}}while(0);c[H>>2]=n;c[G+12>>2]=n;c[n+8>>2]=G;c[n+12>>2]=y;return}y=n;G=F>>>8;do{if((G|0)==0){I=0}else{if(F>>>0>16777215>>>0){I=31;break}H=(G+1048320|0)>>>16&8;z=G<<H;b=(z+520192|0)>>>16&4;C=z<<b;z=(C+245760|0)>>>16&2;o=14-(b|H|z)+(C<<z>>>15)|0;I=F>>>((o+7|0)>>>0)&1|o<<1}}while(0);G=1651088+(I<<2)|0;c[n+28>>2]=I;c[n+20>>2]=0;c[n+16>>2]=0;o=c[412697]|0;z=1<<I;if((o&z|0)==0){c[412697]=o|z;c[G>>2]=y;c[n+24>>2]=G;c[n+12>>2]=n;c[n+8>>2]=n;return}if((I|0)==31){J=0}else{J=25-(I>>>1)|0}I=F<<J;J=c[G>>2]|0;while(1){if((c[J+4>>2]&-8|0)==(F|0)){break}K=J+16+(I>>>31<<2)|0;G=c[K>>2]|0;if((G|0)==0){L=126;break}else{I=I<<1;J=G}}if((L|0)==126){if(K>>>0<(c[412700]|0)>>>0){jd()}c[K>>2]=y;c[n+24>>2]=J;c[n+12>>2]=n;c[n+8>>2]=n;return}K=J+8|0;L=c[K>>2]|0;I=c[412700]|0;if(J>>>0<I>>>0){jd()}if(L>>>0<I>>>0){jd()}c[L+12>>2]=y;c[K>>2]=y;c[n+8>>2]=L;c[n+12>>2]=J;c[n+24>>2]=0;return}function oY(a){a=a|0;var b=0,d=0,e=0;b=(a|0)==0?1:a;while(1){d=iY(b)|0;if((d|0)!=0){e=10;break}a=(I=c[413674]|0,c[413674]=I+0,I);if((a|0)==0){break}he[a&15]()}if((e|0)==10){return d|0}d=xd(4)|0;c[d>>2]=1613312;tc(d|0,1619720,196);return 0}function pY(a){a=a|0;return oY(a)|0}function qY(a){a=a|0;if((a|0)==0){return}jY(a);return}function rY(a){a=a|0;qY(a);return}function sY(a){a=a|0;qY(a);return}function tY(a){a=a|0;return}function uY(a){a=a|0;return 73376}function vY(){var a=0;a=xd(4)|0;c[a>>2]=1613312;tc(a|0,1619720,196)}function wY(b,e,f){b=b|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0.0,S=0.0,T=0,U=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ha=0.0,ia=0.0,ja=0,ka=0,la=0.0,ma=0.0,na=0,oa=0.0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0.0,ya=0,za=0.0,Aa=0,Ba=0.0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0,Ha=0.0,Ia=0.0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0.0,zc=0,Ac=0,Bc=0.0,Cc=0.0,Dc=0.0,Ec=0.0,Fc=0.0,Gc=0.0,Hc=0.0,Ic=0,Jc=0,Kc=0.0,Lc=0,Mc=0;g=i;i=i+512|0;h=g|0;if((e|0)==0){j=-149;k=24}else if((e|0)==2){j=-1074;k=53}else if((e|0)==1){j=-1074;k=53}else{l=0.0;i=g;return+l}e=b+4|0;m=b+100|0;do{n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;o=d[n]|0}else{o=zY(b)|0}}while((ab(o|0)|0)!=0);do{if((o|0)==45|(o|0)==43){n=1-(((o|0)==45)<<1)|0;p=c[e>>2]|0;if(p>>>0<(c[m>>2]|0)>>>0){c[e>>2]=p+1;q=d[p]|0;r=n;break}else{q=zY(b)|0;r=n;break}}else{q=o;r=1}}while(0);o=0;n=q;while(1){if((n|32|0)!=(a[44680+o|0]|0)){s=o;t=n;break}do{if(o>>>0<7>>>0){q=c[e>>2]|0;if(q>>>0<(c[m>>2]|0)>>>0){c[e>>2]=q+1;u=d[q]|0;break}else{u=zY(b)|0;break}}else{u=n}}while(0);q=o+1|0;if(q>>>0<8>>>0){o=q;n=u}else{s=q;t=u;break}}do{if((s|0)==3){x=23}else if((s|0)!=8){u=(f|0)==0;if(!(s>>>0<4>>>0|u)){if((s|0)==8){break}else{x=23;break}}do{if((s|0)==0){if((t|32|0)==110){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;y=d[n]|0}else{y=zY(b)|0}if((y|32|0)!=97){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;z=d[n]|0}else{z=zY(b)|0}if((z|32|0)!=110){break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;A=d[n]|0}else{A=zY(b)|0}if((A|0)==40){B=1}else{if((c[m>>2]|0)==0){l=+v;i=g;return+l}c[e>>2]=(c[e>>2]|0)-1;l=+v;i=g;return+l}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;C=d[n]|0}else{C=zY(b)|0}if(!((C-48|0)>>>0<10>>>0|(C-65|0)>>>0<26>>>0)){if(!((C-97|0)>>>0<26>>>0|(C|0)==95)){break}}B=B+1|0}if((C|0)==41){l=+v;i=g;return+l}n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}if(u){c[(Vc()|0)>>2]=22;yY(b,0);l=0.0;i=g;return+l}if((B|0)==0|n){l=+v;i=g;return+l}else{D=B}while(1){n=D-1|0;c[e>>2]=(c[e>>2]|0)-1;if((n|0)==0){l=+v;break}else{D=n}}i=g;return+l}do{if((t|0)==48){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;E=d[n]|0}else{E=zY(b)|0}if((E|32|0)!=120){if((c[m>>2]|0)==0){F=48;break}c[e>>2]=(c[e>>2]|0)-1;F=48;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=0}else{G=zY(b)|0;H=0}while(1){if((G|0)==46){x=68;break}else if((G|0)!=48){I=G;J=0;L=0;M=0;N=0;O=H;P=0;Q=0;R=1.0;S=0.0;T=0;break}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;G=d[n]|0;H=1;continue}else{G=zY(b)|0;H=1;continue}}a:do{if((x|0)==68){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;U=d[n]|0}else{U=zY(b)|0}if((U|0)==48){W=-1;X=-1}else{I=U;J=0;L=0;M=0;N=0;O=H;P=1;Q=0;R=1.0;S=0.0;T=0;break}while(1){n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;Y=d[n]|0}else{Y=zY(b)|0}if((Y|0)!=48){I=Y;J=0;L=0;M=W;N=X;O=1;P=1;Q=0;R=1.0;S=0.0;T=0;break a}n=UY(X,W,-1,-1)|0;W=K;X=n}}}while(0);b:while(1){n=I-48|0;do{if(n>>>0<10>>>0){Z=n;x=82}else{o=I|32;q=(I|0)==46;if(!((o-97|0)>>>0<6>>>0|q)){_=I;break b}if(q){if((P|0)==0){$=J;aa=L;ba=J;ca=L;da=O;ea=1;fa=Q;ha=R;ia=S;ja=T;break}else{_=46;break b}}else{Z=(I|0)>57?o-87|0:n;x=82;break}}}while(0);if((x|0)==82){x=0;n=0;do{if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){ka=Q;la=R;ma=S;na=Z+(T<<4)|0}else{o=0;if((J|0)<(o|0)|(J|0)==(o|0)&L>>>0<14>>>0){oa=R*.0625;ka=Q;la=oa;ma=S+oa*+(Z|0);na=T;break}if(!((Z|0)!=0&(Q|0)==0)){ka=Q;la=R;ma=S;na=T;break}ka=1;la=R;ma=S+R*.5;na=T}}while(0);n=UY(L,J,1,0)|0;$=K;aa=n;ba=M;ca=N;da=1;ea=P;fa=ka;ha=la;ia=ma;ja=na}n=c[e>>2]|0;if(n>>>0<(c[m>>2]|0)>>>0){c[e>>2]=n+1;I=d[n]|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}else{I=zY(b)|0;J=$;L=aa;M=ba;N=ca;O=da;P=ea;Q=fa;R=ha;S=ia;T=ja;continue}}if((O|0)==0){n=(c[m>>2]|0)==0;if(!n){c[e>>2]=(c[e>>2]|0)-1}do{if(u){yY(b,0)}else{if(n){break}o=c[e>>2]|0;c[e>>2]=o-1;if((P|0)==0){break}c[e>>2]=o-2}}while(0);l=+(r|0)*0.0;i=g;return+l}n=(P|0)==0;o=n?L:N;q=n?J:M;n=0;if((J|0)<(n|0)|(J|0)==(n|0)&L>>>0<8>>>0){n=T;p=J;pa=L;while(1){qa=n<<4;ra=UY(pa,p,1,0)|0;sa=K;ta=0;if((sa|0)<(ta|0)|(sa|0)==(ta|0)&ra>>>0<8>>>0){n=qa;p=sa;pa=ra}else{ua=qa;break}}}else{ua=T}do{if((_|32|0)==112){pa=xY(b,f)|0;p=K;if(!((pa|0)==0&(p|0)==(-2147483648|0))){va=p;wa=pa;break}if(u){yY(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0;break}}else{if((c[m>>2]|0)==0){va=0;wa=0;break}c[e>>2]=(c[e>>2]|0)-1;va=0;wa=0}}while(0);pa=UY(o<<2|0>>>30,q<<2|o>>>30,-32,-1)|0;p=UY(pa,K,wa,va)|0;pa=K;if((ua|0)==0){l=+(r|0)*0.0;i=g;return+l}n=0;if((pa|0)>(n|0)|(pa|0)==(n|0)&p>>>0>(-j|0)>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}n=j-106|0;qa=(n|0)<0|0?-1:0;if((pa|0)<(qa|0)|(pa|0)==(qa|0)&p>>>0<n>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((ua|0)>-1){n=ua;oa=S;qa=pa;ra=p;while(1){sa=n<<1;if(oa<.5){xa=oa;ya=sa}else{xa=oa+-1.0;ya=sa|1}za=oa+xa;sa=UY(ra,qa,-1,-1)|0;ta=K;if((ya|0)>-1){n=ya;oa=za;qa=ta;ra=sa}else{Aa=ya;Ba=za;Ca=ta;Da=sa;break}}}else{Aa=ua;Ba=S;Ca=pa;Da=p}ra=0;qa=VY(32,0,j,(j|0)<0|0?-1:0)|0;n=UY(Da,Ca,qa,K)|0;qa=K;if((ra|0)>(qa|0)|(ra|0)==(qa|0)&k>>>0>n>>>0){qa=n;Ea=(qa|0)<0?0:qa}else{Ea=k}do{if((Ea|0)<53){oa=+(r|0);za=+oc(+(+AY(1.0,84-Ea|0)),+oa);if(!((Ea|0)<32&Ba!=0.0)){Fa=Ba;Ga=Aa;Ha=za;Ia=oa;break}qa=Aa&1;Fa=(qa|0)==0?0.0:Ba;Ga=(qa^1)+Aa|0;Ha=za;Ia=oa}else{Fa=Ba;Ga=Aa;Ha=0.0;Ia=+(r|0)}}while(0);oa=Ia*Fa+(Ha+Ia*+(Ga>>>0>>>0))-Ha;if(!(oa!=0.0)){c[(Vc()|0)>>2]=34}l=+BY(oa,Da);i=g;return+l}else{F=t}}while(0);p=j+k|0;pa=3-p|0;qa=F;n=0;while(1){if((qa|0)==46){x=137;break}else if((qa|0)!=48){Ja=qa;Ka=0;La=n;Ma=0;Na=0;break}ra=c[e>>2]|0;if(ra>>>0<(c[m>>2]|0)>>>0){c[e>>2]=ra+1;qa=d[ra]|0;n=1;continue}else{qa=zY(b)|0;n=1;continue}}c:do{if((x|0)==137){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Oa=d[qa]|0}else{Oa=zY(b)|0}if((Oa|0)==48){Pa=-1;Qa=-1}else{Ja=Oa;Ka=1;La=n;Ma=0;Na=0;break}while(1){qa=c[e>>2]|0;if(qa>>>0<(c[m>>2]|0)>>>0){c[e>>2]=qa+1;Ra=d[qa]|0}else{Ra=zY(b)|0}if((Ra|0)!=48){Ja=Ra;Ka=1;La=1;Ma=Pa;Na=Qa;break c}qa=UY(Qa,Pa,-1,-1)|0;Pa=K;Qa=qa}}}while(0);n=h|0;c[n>>2]=0;qa=Ja-48|0;ra=(Ja|0)==46;d:do{if(qa>>>0<10>>>0|ra){o=h+496|0;q=Ma;sa=Na;ta=0;Sa=0;Ta=0;Ua=La;Va=Ka;Wa=0;Xa=0;Ya=Ja;Za=qa;_a=ra;while(1){do{if(_a){if((Va|0)==0){$a=Xa;bb=Wa;cb=1;db=Ua;eb=Ta;fb=ta;gb=Sa;hb=ta;ib=Sa}else{jb=q;kb=sa;lb=ta;mb=Sa;nb=Ta;ob=Ua;pb=Wa;qb=Xa;rb=Ya;break d}}else{sb=UY(Sa,ta,1,0)|0;tb=K;ub=(Ya|0)!=48;if((Wa|0)>=125){if(!ub){$a=Xa;bb=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}c[o>>2]=c[o>>2]|1;$a=Xa;bb=Wa;cb=Va;db=Ua;eb=Ta;fb=tb;gb=sb;hb=q;ib=sa;break}vb=h+(Wa<<2)|0;if((Xa|0)==0){wb=Za}else{wb=Ya-48+((c[vb>>2]|0)*10|0)|0}c[vb>>2]=wb;vb=Xa+1|0;xb=(vb|0)==9;$a=xb?0:vb;bb=(xb&1)+Wa|0;cb=Va;db=1;eb=ub?sb:Ta;fb=tb;gb=sb;hb=q;ib=sa}}while(0);sb=c[e>>2]|0;if(sb>>>0<(c[m>>2]|0)>>>0){c[e>>2]=sb+1;yb=d[sb]|0}else{yb=zY(b)|0}sb=yb-48|0;tb=(yb|0)==46;if(sb>>>0<10>>>0|tb){q=hb;sa=ib;ta=fb;Sa=gb;Ta=eb;Ua=db;Va=cb;Wa=bb;Xa=$a;Ya=yb;Za=sb;_a=tb}else{zb=hb;Ab=ib;Bb=fb;Cb=gb;Db=eb;Eb=db;Fb=cb;Gb=bb;Hb=$a;Ib=yb;x=160;break}}}else{zb=Ma;Ab=Na;Bb=0;Cb=0;Db=0;Eb=La;Fb=Ka;Gb=0;Hb=0;Ib=Ja;x=160}}while(0);if((x|0)==160){ra=(Fb|0)==0;jb=ra?Bb:zb;kb=ra?Cb:Ab;lb=Bb;mb=Cb;nb=Db;ob=Eb;pb=Gb;qb=Hb;rb=Ib}ra=(ob|0)!=0;do{if(ra){if((rb|32|0)!=101){x=169;break}qa=xY(b,f)|0;_a=K;do{if((qa|0)==0&(_a|0)==(-2147483648|0)){if(u){yY(b,0);l=0.0;i=g;return+l}else{if((c[m>>2]|0)==0){Jb=0;Kb=0;break}c[e>>2]=(c[e>>2]|0)-1;Jb=0;Kb=0;break}}else{Jb=_a;Kb=qa}}while(0);qa=UY(Kb,Jb,kb,jb)|0;Lb=K;Mb=qa}else{x=169}}while(0);do{if((x|0)==169){if(!((rb|0)>-1)){Lb=jb;Mb=kb;break}if((c[m>>2]|0)==0){Lb=jb;Mb=kb;break}c[e>>2]=(c[e>>2]|0)-1;Lb=jb;Mb=kb}}while(0);if(!ra){c[(Vc()|0)>>2]=22;yY(b,0);l=0.0;i=g;return+l}qa=c[n>>2]|0;if((qa|0)==0){l=+(r|0)*0.0;i=g;return+l}_a=0;do{if((Mb|0)==(mb|0)&(Lb|0)==(lb|0)&((lb|0)<(_a|0)|(lb|0)==(_a|0)&mb>>>0<10>>>0)){if(!(k>>>0>30>>>0)){if((qa>>>(k>>>0)|0)!=0){break}}l=+(r|0)*+(qa>>>0>>>0);i=g;return+l}}while(0);qa=(j|0)/-2|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)>(_a|0)|(Lb|0)==(_a|0)&Mb>>>0>qa>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*1.7976931348623157e+308*1.7976931348623157e+308;i=g;return+l}qa=j-106|0;_a=(qa|0)<0|0?-1:0;if((Lb|0)<(_a|0)|(Lb|0)==(_a|0)&Mb>>>0<qa>>>0){c[(Vc()|0)>>2]=34;l=+(r|0)*2.2250738585072014e-308*2.2250738585072014e-308;i=g;return+l}if((qb|0)==0){Nb=pb}else{if((qb|0)<9){qa=h+(pb<<2)|0;_a=qb;ra=c[qa>>2]|0;do{ra=ra*10|0;_a=_a+1|0;}while((_a|0)<9);c[qa>>2]=ra}Nb=pb+1|0}_a=Mb;do{if((nb|0)<9){if(!((nb|0)<=(_a|0)&(_a|0)<18)){break}if((_a|0)==9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0);i=g;return+l}if((_a|0)<9){l=+(r|0)*+((c[n>>2]|0)>>>0>>>0)/+(c[17688+(8-_a<<2)>>2]|0);i=g;return+l}Za=k+27+(_a*-3|0)|0;Ya=c[n>>2]|0;if((Za|0)<=30){if((Ya>>>(Za>>>0)|0)!=0){break}}l=+(r|0)*+(Ya>>>0>>>0)*+(c[17688+(_a-10<<2)>>2]|0);i=g;return+l}}while(0);n=(_a|0)%9|0;if((n|0)==0){Ob=0;Pb=Nb;Qb=0;Rb=_a}else{ra=(_a|0)>-1?n:n+9|0;n=c[17688+(8-ra<<2)>>2]|0;do{if((Nb|0)==0){Sb=0;Tb=0;Ub=_a}else{qa=1e9/(n|0)|0;Ya=_a;Za=0;Xa=0;Wa=0;while(1){Va=h+(Xa<<2)|0;Ua=c[Va>>2]|0;Ta=((Ua>>>0)/(n>>>0)|0)+Wa|0;c[Va>>2]=Ta;Wb=ga((Ua>>>0)%(n>>>0)|0,qa)|0;Ua=Xa+1|0;if((Xa|0)==(Za|0)&(Ta|0)==0){Xb=Ua&127;Yb=Ya-9|0}else{Xb=Za;Yb=Ya}if((Ua|0)==(Nb|0)){break}else{Ya=Yb;Za=Xb;Xa=Ua;Wa=Wb}}if((Wb|0)==0){Sb=Nb;Tb=Xb;Ub=Yb;break}c[h+(Nb<<2)>>2]=Wb;Sb=Nb+1|0;Tb=Xb;Ub=Yb}}while(0);Ob=Tb;Pb=Sb;Qb=0;Rb=9-ra+Ub|0}e:while(1){n=h+(Ob<<2)|0;if((Rb|0)<18){_a=Pb;Wa=Qb;while(1){Xa=0;Za=_a+127|0;Ya=_a;while(1){qa=Za&127;Ua=h+(qa<<2)|0;Ta=c[Ua>>2]|0;Va=UY(Ta<<29|0>>>3,0<<29|Ta>>>3,Xa,0)|0;Ta=K;Sa=0;if(Ta>>>0>Sa>>>0|Ta>>>0==Sa>>>0&Va>>>0>1e9>>>0){Sa=dZ(Va,Ta,1e9,0)|0;ta=eZ(Va,Ta,1e9,0)|0;Zb=Sa;_b=ta}else{Zb=0;_b=Va}c[Ua>>2]=_b;Ua=(qa|0)==(Ob|0);if((qa|0)!=(Ya+127&127|0)|Ua){$b=Ya}else{$b=(_b|0)==0?qa:Ya}if(Ua){break}else{Xa=Zb;Za=qa-1|0;Ya=$b}}Ya=Wa-29|0;if((Zb|0)==0){_a=$b;Wa=Ya}else{ac=Ya;bc=$b;cc=Zb;break}}}else{if((Rb|0)==18){dc=Pb;ec=Qb}else{fc=Ob;gc=Pb;hc=Qb;ic=Rb;break}while(1){if(!((c[n>>2]|0)>>>0<9007199>>>0)){fc=Ob;gc=dc;hc=ec;ic=18;break e}Wa=0;_a=dc+127|0;Ya=dc;while(1){Za=_a&127;Xa=h+(Za<<2)|0;qa=c[Xa>>2]|0;Ua=UY(qa<<29|0>>>3,0<<29|qa>>>3,Wa,0)|0;qa=K;Va=0;if(qa>>>0>Va>>>0|qa>>>0==Va>>>0&Ua>>>0>1e9>>>0){Va=dZ(Ua,qa,1e9,0)|0;ta=eZ(Ua,qa,1e9,0)|0;jc=Va;kc=ta}else{jc=0;kc=Ua}c[Xa>>2]=kc;Xa=(Za|0)==(Ob|0);if((Za|0)!=(Ya+127&127|0)|Xa){lc=Ya}else{lc=(kc|0)==0?Za:Ya}if(Xa){break}else{Wa=jc;_a=Za-1|0;Ya=lc}}Ya=ec-29|0;if((jc|0)==0){dc=lc;ec=Ya}else{ac=Ya;bc=lc;cc=jc;break}}}n=Ob+127&127;if((n|0)==(bc|0)){Ya=bc+127&127;_a=h+((bc+126&127)<<2)|0;c[_a>>2]=c[_a>>2]|c[h+(Ya<<2)>>2];mc=Ya}else{mc=bc}c[h+(n<<2)>>2]=cc;Ob=n;Pb=mc;Qb=ac;Rb=Rb+9|0}f:while(1){nc=gc+1&127;ra=h+((gc+127&127)<<2)|0;n=fc;Ya=hc;_a=ic;while(1){Wa=(_a|0)==18;Za=(_a|0)>27?9:1;pc=n;qc=Ya;while(1){Xa=0;while(1){if((Xa|0)>=2){rc=Xa;break}Ua=Xa+pc&127;if((Ua|0)==(gc|0)){rc=2;break}ta=c[h+(Ua<<2)>>2]|0;Ua=c[17680+(Xa<<2)>>2]|0;if(ta>>>0<Ua>>>0){rc=2;break}if(ta>>>0>Ua>>>0){rc=Xa;break}else{Xa=Xa+1|0}}if((rc|0)==2&Wa){break f}sc=Za+qc|0;if((pc|0)==(gc|0)){pc=gc;qc=sc}else{break}}Wa=(1<<Za)-1|0;Xa=1e9>>>(Za>>>0);tc=_a;uc=pc;Ua=pc;vc=0;do{ta=h+(Ua<<2)|0;Va=c[ta>>2]|0;qa=(Va>>>(Za>>>0))+vc|0;c[ta>>2]=qa;vc=ga(Va&Wa,Xa)|0;Va=(Ua|0)==(uc|0)&(qa|0)==0;Ua=Ua+1&127;tc=Va?tc-9|0:tc;uc=Va?Ua:uc;}while((Ua|0)!=(gc|0));if((vc|0)==0){n=uc;Ya=sc;_a=tc;continue}if((nc|0)!=(uc|0)){break}c[ra>>2]=c[ra>>2]|1;n=uc;Ya=sc;_a=tc}c[h+(gc<<2)>>2]=vc;fc=uc;gc=nc;hc=sc;ic=tc}_a=pc&127;if((_a|0)==(gc|0)){c[h+(nc-1<<2)>>2]=0;wc=nc}else{wc=gc}oa=+((c[h+(_a<<2)>>2]|0)>>>0>>>0);_a=pc+1&127;if((_a|0)==(wc|0)){Ya=wc+1&127;c[h+(Ya-1<<2)>>2]=0;xc=Ya}else{xc=wc}za=+(r|0);yc=za*(oa*1.0e9+ +((c[h+(_a<<2)>>2]|0)>>>0>>>0));_a=qc+53|0;Ya=_a-j|0;if((Ya|0)<(k|0)){zc=(Ya|0)<0?0:Ya;Ac=1}else{zc=k;Ac=0}if((zc|0)<53){oa=+oc(+(+AY(1.0,105-zc|0)),+yc);Bc=+Vb(+yc,+(+AY(1.0,53-zc|0)));Cc=oa;Dc=Bc;Ec=oa+(yc-Bc)}else{Cc=0.0;Dc=0.0;Ec=yc}n=pc+2&127;do{if((n|0)==(xc|0)){Fc=Dc}else{ra=c[h+(n<<2)>>2]|0;do{if(ra>>>0<5e8>>>0){if((ra|0)==0){if((pc+3&127|0)==(xc|0)){Gc=Dc;break}}Gc=za*.25+Dc}else{if(ra>>>0>5e8>>>0){Gc=za*.75+Dc;break}if((pc+3&127|0)==(xc|0)){Gc=za*.5+Dc;break}else{Gc=za*.75+Dc;break}}}while(0);if((53-zc|0)<=1){Fc=Gc;break}if(+Vb(+Gc,+1.0)!=0.0){Fc=Gc;break}Fc=Gc+1.0}}while(0);za=Ec+Fc-Cc;do{if((_a&2147483647|0)>(-2-p|0)){if(+V(+za)<9007199254740992.0){Hc=za;Ic=Ac;Jc=qc}else{Hc=za*.5;Ic=(Ac|0)!=0&(zc|0)==(Ya|0)?0:Ac;Jc=qc+1|0}if((Jc+53|0)<=(pa|0)){if(!((Ic|0)!=0&Fc!=0.0)){Kc=Hc;Lc=Jc;break}}c[(Vc()|0)>>2]=34;Kc=Hc;Lc=Jc}else{Kc=za;Lc=qc}}while(0);l=+BY(Kc,Lc);i=g;return+l}}while(0);if((c[m>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}c[(Vc()|0)>>2]=22;yY(b,0);l=0.0;i=g;return+l}}while(0);do{if((x|0)==23){b=(c[m>>2]|0)==0;if(!b){c[e>>2]=(c[e>>2]|0)-1}if(s>>>0<4>>>0|(f|0)==0|b){break}else{Mc=s}do{c[e>>2]=(c[e>>2]|0)-1;Mc=Mc-1|0;}while(Mc>>>0>3>>>0)}}while(0);l=+(r|0)*w;i=g;return+l}function xY(a,b){a=a|0;b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=a+4|0;f=c[e>>2]|0;g=a+100|0;if(f>>>0<(c[g>>2]|0)>>>0){c[e>>2]=f+1;h=d[f]|0}else{h=zY(a)|0}do{if((h|0)==45|(h|0)==43){f=(h|0)==45|0;i=c[e>>2]|0;if(i>>>0<(c[g>>2]|0)>>>0){c[e>>2]=i+1;j=d[i]|0}else{j=zY(a)|0}if((j-48|0)>>>0<10>>>0|(b|0)==0){k=f;l=j;break}if((c[g>>2]|0)==0){k=f;l=j;break}c[e>>2]=(c[e>>2]|0)-1;k=f;l=j}else{k=0;l=h}}while(0);if((l-48|0)>>>0>9>>>0){if((c[g>>2]|0)==0){m=-2147483648;n=0;return(K=m,n)|0}c[e>>2]=(c[e>>2]|0)-1;m=-2147483648;n=0;return(K=m,n)|0}else{o=l;p=0}while(1){q=o-48+p|0;l=c[e>>2]|0;if(l>>>0<(c[g>>2]|0)>>>0){c[e>>2]=l+1;r=d[l]|0}else{r=zY(a)|0}if(!((r-48|0)>>>0<10>>>0&(q|0)<214748364)){break}o=r;p=q*10|0}p=q;o=(q|0)<0|0?-1:0;if((r-48|0)>>>0<10>>>0){q=r;l=o;h=p;while(1){j=cZ(h,l,10,0)|0;b=K;f=UY(q,(q|0)<0|0?-1:0,-48,-1)|0;i=UY(f,K,j,b)|0;b=K;j=c[e>>2]|0;if(j>>>0<(c[g>>2]|0)>>>0){c[e>>2]=j+1;s=d[j]|0}else{s=zY(a)|0}j=21474836;if((s-48|0)>>>0<10>>>0&((b|0)<(j|0)|(b|0)==(j|0)&i>>>0<2061584302>>>0)){q=s;l=b;h=i}else{t=s;u=b;v=i;break}}}else{t=r;u=o;v=p}if((t-48|0)>>>0<10>>>0){do{t=c[e>>2]|0;if(t>>>0<(c[g>>2]|0)>>>0){c[e>>2]=t+1;w=d[t]|0}else{w=zY(a)|0}}while((w-48|0)>>>0<10>>>0)}if((c[g>>2]|0)!=0){c[e>>2]=(c[e>>2]|0)-1}e=(k|0)!=0;k=VY(0,0,v,u)|0;m=e?K:u;n=e?k:v;return(K=m,n)|0}function yY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0;c[a+104>>2]=b;d=c[a+8>>2]|0;e=c[a+4>>2]|0;f=d-e|0;c[a+108>>2]=f;if((b|0)!=0&(f|0)>(b|0)){c[a+100>>2]=e+b;return}else{c[a+100>>2]=d;return}}function zY(b){b=b|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;e=b+104|0;f=c[e>>2]|0;if((f|0)==0){g=3}else{if((c[b+108>>2]|0)<(f|0)){g=3}}do{if((g|0)==3){f=DY(b)|0;if((f|0)<0){break}h=c[e>>2]|0;i=c[b+8>>2]|0;do{if((h|0)==0){g=8}else{j=c[b+4>>2]|0;k=h-(c[b+108>>2]|0)-1|0;if((i-j|0)<=(k|0)){g=8;break}c[b+100>>2]=j+k}}while(0);if((g|0)==8){c[b+100>>2]=i}h=c[b+4>>2]|0;if((i|0)!=0){k=b+108|0;c[k>>2]=i+1-h+(c[k>>2]|0)}k=h-1|0;if((d[k]|0|0)==(f|0)){l=f;return l|0}a[k]=f;l=f;return l|0}}while(0);c[b+100>>2]=0;l=-1;return l|0}function AY(a,b){a=+a;b=b|0;var d=0.0,e=0,f=0.0,g=0;do{if((b|0)>1023){d=a*8.98846567431158e+307;e=b-1023|0;if((e|0)<=1023){f=d;g=e;break}e=b-2046|0;f=d*8.98846567431158e+307;g=(e|0)>1023?1023:e}else{if(!((b|0)<-1022)){f=a;g=b;break}d=a*2.2250738585072014e-308;e=b+1022|0;if(!((e|0)<-1022)){f=d;g=e;break}e=b+2044|0;f=d*2.2250738585072014e-308;g=(e|0)<-1022?-1022:e}}while(0);return+(f*(c[k>>2]=0<<20|0>>>12,c[k+4>>2]=g+1023<<20|0>>>12,+h[k>>3]))}function BY(a,b){a=+a;b=b|0;return+(+AY(a,b))}function CY(b){b=b|0;var d=0,e=0,f=0,g=0,h=0;d=b+74|0;e=a[d]|0;a[d]=e-1&255|e;e=b+20|0;d=b+44|0;if((c[e>>2]|0)>>>0>(c[d>>2]|0)>>>0){Vd[c[b+36>>2]&127](b,0,0)|0}c[b+16>>2]=0;c[b+28>>2]=0;c[e>>2]=0;e=b|0;f=c[e>>2]|0;if((f&20|0)==0){g=c[d>>2]|0;c[b+8>>2]=g;c[b+4>>2]=g;h=0;return h|0}if((f&4|0)==0){h=-1;return h|0}c[e>>2]=f|32;h=-1;return h|0}function DY(a){a=a|0;var b=0,e=0,f=0,g=0;b=i;i=i+8|0;e=b|0;if((c[a+8>>2]|0)==0){if((CY(a)|0)==0){f=3}else{g=-1}}else{f=3}do{if((f|0)==3){if((Vd[c[a+32>>2]&127](a,e,1)|0)!=1){g=-1;break}g=d[e]|0}}while(0);i=b;return g|0}function EY(a){a=a|0;return+(+FY(a,0))}function FY(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;NY(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;yY(e,0);h=+wY(e,1,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function GY(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0.0,j=0,k=0,l=0,m=0;d=i;i=i+112|0;e=d|0;NY(e|0,0,112)|0;f=e+4|0;c[f>>2]=a;g=e+8|0;c[g>>2]=-1;c[e+44>>2]=a;c[e+76>>2]=-1;yY(e,0);h=+wY(e,2,1);j=(c[f>>2]|0)-(c[g>>2]|0)+(c[e+108>>2]|0)|0;if((b|0)==0){k=112;l=0;i=d;return+h}if((j|0)==0){m=a}else{m=a+j|0}c[b>>2]=m;k=112;l=0;i=d;return+h}function HY(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;if((d|0)==0){e=0;return e|0}else{f=d;g=b;h=c}while(1){i=a[g]|0;j=a[h]|0;if(!(i<<24>>24==j<<24>>24)){break}c=f-1|0;if((c|0)==0){e=0;k=5;break}else{f=c;g=g+1|0;h=h+1|0}}if((k|0)==5){return e|0}e=(i&255)-(j&255)|0;return e|0}function IY(b,c){b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0;d=a[b]|0;e=a[c]|0;if(d<<24>>24!=e<<24>>24|d<<24>>24==0|e<<24>>24==0){f=d;g=e;h=f&255;i=g&255;j=h-i|0;return j|0}else{k=b;l=c}while(1){c=k+1|0;b=l+1|0;e=a[c]|0;d=a[b]|0;if(e<<24>>24!=d<<24>>24|e<<24>>24==0|d<<24>>24==0){f=e;g=d;break}else{k=c;l=b}}h=f&255;i=g&255;j=h-i|0;return j|0}function JY(b,c,e){b=b|0;c=c|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;if((e|0)==0){f=0;return f|0}g=a[b]|0;a:do{if(g<<24>>24==0){h=c;i=0}else{j=b;k=c;l=e;m=g;while(1){n=l-1|0;o=a[k]|0;if(!((n|0)!=0&o<<24>>24!=0&m<<24>>24==o<<24>>24)){h=k;i=m;break a}o=j+1|0;p=k+1|0;q=a[o]|0;if(q<<24>>24==0){h=p;i=0;break}else{j=o;k=p;l=n;m=q}}}}while(0);f=(i&255)-(d[h]|0)|0;return f|0}function KY(b){b=b|0;var c=0;c=b;while(a[c]|0){c=c+1|0}return c-b|0}function LY(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;while((e|0)<(d|0)){a[b+e|0]=f?0:a[c+e|0]|0;f=f?1:(a[c+e|0]|0)==0;e=e+1|0}return b|0}function MY(b,d,e){b=b|0;d=d|0;e=e|0;var f=0;if((e|0)>=4096)return uc(b|0,d|0,e|0)|0;f=b|0;if((b&3)==(d&3)){while(b&3){if((e|0)==0)return f|0;a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}while((e|0)>=4){c[b>>2]=c[d>>2];b=b+4|0;d=d+4|0;e=e-4|0}}while((e|0)>0){a[b]=a[d]|0;b=b+1|0;d=d+1|0;e=e-1|0}return f|0}function NY(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;f=b+e|0;if((e|0)>=20){d=d&255;g=b&3;h=d|d<<8|d<<16|d<<24;i=f&~3;if(g){g=b+4-g|0;while((b|0)<(g|0)){a[b]=d;b=b+1|0}}while((b|0)<(i|0)){c[b>>2]=h;b=b+4|0}}while((b|0)<(f|0)){a[b]=d;b=b+1|0}return b-e|0}function OY(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;z=z+1|0;c[a>>2]=z;while((e|0)<40){if((c[d+(e<<2)>>2]|0)==0){c[d+(e<<2)>>2]=z;c[d+((e<<2)+4)>>2]=b;c[d+((e<<2)+8)>>2]=0;return 0}e=e+2|0}kc(116);kc(111);kc(111);kc(32);kc(109);kc(97);kc(110);kc(121);kc(32);kc(115);kc(101);kc(116);kc(106);kc(109);kc(112);kc(115);kc(32);kc(105);kc(110);kc(32);kc(97);kc(32);kc(102);kc(117);kc(110);kc(99);kc(116);kc(105);kc(111);kc(110);kc(32);kc(99);kc(97);kc(108);kc(108);kc(44);kc(32);kc(98);kc(117);kc(105);kc(108);kc(100);kc(32);kc(119);kc(105);kc(116);kc(104);kc(32);kc(97);kc(32);kc(104);kc(105);kc(103);kc(104);kc(101);kc(114);kc(32);kc(118);kc(97);kc(108);kc(117);kc(101);kc(32);kc(102);kc(111);kc(114);kc(32);kc(77);kc(65);kc(88);kc(95);kc(83);kc(69);kc(84);kc(74);kc(77);kc(80);kc(83);kc(10);ha(0);return 0}function PY(a,b){a=a|0;b=b|0;var d=0,e=0;while((d|0)<20){e=c[b+(d<<2)>>2]|0;if((e|0)==0)break;if((e|0)==(a|0)){return c[b+((d<<2)+4)>>2]|0}d=d+2|0}return 0}function QY(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;if((c|0)<(b|0)&(b|0)<(c+d|0)){e=b;c=c+d|0;b=b+d|0;while((d|0)>0){b=b-1|0;c=c-1|0;d=d-1|0;a[b]=a[c]|0}b=e}else{MY(b,c,d)|0}return b|0}function RY(a){a=a|0;var b=0;b=(ga(c[a>>2]|0,31010991)|0)+1735287159&2147483647;c[a>>2]=b;return b|0}function SY(){return RY(o)|0}function TY(b,c){b=b|0;c=c|0;var d=0;do{a[b+d|0]=a[c+d|0];d=d+1|0}while(a[c+(d-1)|0]|0);return b|0}function UY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=a+c>>>0;return(K=b+d+(e>>>0<a>>>0|0)>>>0,e|0)|0}function VY(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b-d>>>0;e=b-d-(c>>>0>a>>>0|0)>>>0;return(K=e,a-c>>>0|0)|0}function WY(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}K=a<<c-32;return 0}function XY(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=0;return b>>>c-32|0}function YY(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){K=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}K=(b|0)<0?-1:0;return b>>c-32|0}function ZY(b){b=b|0;var c=0;c=a[n+(b>>>24)|0]|0;if((c|0)<8)return c|0;c=a[n+(b>>16&255)|0]|0;if((c|0)<8)return c+8|0;c=a[n+(b>>8&255)|0]|0;if((c|0)<8)return c+16|0;return(a[n+(b&255)|0]|0)+24|0}function _Y(b){b=b|0;var c=0;c=a[m+(b&255)|0]|0;if((c|0)<8)return c|0;c=a[m+(b>>8&255)|0]|0;if((c|0)<8)return c+8|0;c=a[m+(b>>16&255)|0]|0;if((c|0)<8)return c+16|0;return(a[m+(b>>>24)|0]|0)+24|0}function $Y(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=a&65535;d=b&65535;e=ga(d,c)|0;f=a>>>16;a=(e>>>16)+(ga(d,f)|0)|0;d=b>>>16;b=ga(d,c)|0;return(K=(a>>>16)+(ga(d,f)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|e&65535|0)|0}function aZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;e=b>>31|((b|0)<0?-1:0)<<1;f=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;g=d>>31|((d|0)<0?-1:0)<<1;h=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;i=VY(e^a,f^b,e,f)|0;b=K;a=g^e;e=h^f;f=VY((fZ(i,b,VY(g^c,h^d,g,h)|0,K,0)|0)^a,K^e,a,e)|0;return(K=K,f)|0}function bZ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0;f=i;i=i+8|0;g=f|0;h=b>>31|((b|0)<0?-1:0)<<1;j=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=e>>31|((e|0)<0?-1:0)<<1;l=((e|0)<0?-1:0)>>31|((e|0)<0?-1:0)<<1;m=VY(h^a,j^b,h,j)|0;b=K;fZ(m,b,VY(k^d,l^e,k,l)|0,K,g)|0;l=VY(c[g>>2]^h,c[g+4>>2]^j,h,j)|0;j=K;i=f;return(K=j,l)|0}function cZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;a=c;c=$Y(e,a)|0;f=K;return(K=(ga(b,a)|0)+(ga(d,e)|0)+f|f&0,c|0|0)|0}function dZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=fZ(a,b,c,d,0)|0;return(K=K,e)|0}function eZ(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=f|0;fZ(a,b,d,e,g)|0;i=f;return(K=c[g+4>>2]|0,c[g>>2]|0)|0}function fZ(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0;g=a;h=b;i=h;j=d;k=e;l=k;if((i|0)==0){m=(f|0)!=0;if((l|0)==0){if(m){c[f>>2]=(g>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(g>>>0)/(j>>>0)>>>0;return(K=n,o)|0}else{if(!m){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=b&0;n=0;o=0;return(K=n,o)|0}}m=(l|0)==0;do{if((j|0)==0){if(m){if((f|0)!=0){c[f>>2]=(i>>>0)%(j>>>0);c[f+4>>2]=0}n=0;o=(i>>>0)/(j>>>0)>>>0;return(K=n,o)|0}if((g|0)==0){if((f|0)!=0){c[f>>2]=0;c[f+4>>2]=(i>>>0)%(l>>>0)}n=0;o=(i>>>0)/(l>>>0)>>>0;return(K=n,o)|0}p=l-1|0;if((p&l|0)==0){if((f|0)!=0){c[f>>2]=a|0;c[f+4>>2]=p&i|b&0}n=0;o=i>>>((_Y(l|0)|0)>>>0);return(K=n,o)|0}p=(ZY(l|0)|0)-(ZY(i|0)|0)|0;if(p>>>0<=30){q=p+1|0;r=31-p|0;s=q;t=i<<r|g>>>(q>>>0);u=i>>>(q>>>0);v=0;w=g<<r;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}else{if(!m){r=(ZY(l|0)|0)-(ZY(i|0)|0)|0;if(r>>>0<=31){q=r+1|0;p=31-r|0;x=r-31>>31;s=q;t=g>>>(q>>>0)&x|i<<p;u=i>>>(q>>>0)&x;v=0;w=g<<p;break}if((f|0)==0){n=0;o=0;return(K=n,o)|0}c[f>>2]=a|0;c[f+4>>2]=h|b&0;n=0;o=0;return(K=n,o)|0}p=j-1|0;if((p&j|0)!=0){x=(ZY(j|0)|0)+33-(ZY(i|0)|0)|0;q=64-x|0;r=32-x|0;y=r>>31;z=x-32|0;A=z>>31;s=x;t=r-1>>31&i>>>(z>>>0)|(i<<r|g>>>(x>>>0))&A;u=A&i>>>(x>>>0);v=g<<q&y;w=(i<<q|g>>>(z>>>0))&y|g<<r&x-33>>31;break}if((f|0)!=0){c[f>>2]=p&g;c[f+4>>2]=0}if((j|0)==1){n=h|b&0;o=a|0|0;return(K=n,o)|0}else{p=_Y(j|0)|0;n=i>>>(p>>>0)|0;o=i<<32-p|g>>>(p>>>0)|0;return(K=n,o)|0}}}while(0);if((s|0)==0){B=w;C=v;D=u;E=t;F=0;G=0}else{g=d|0|0;d=k|e&0;e=UY(g,d,-1,-1)|0;k=K;i=w;w=v;v=u;u=t;t=s;s=0;while(1){H=w>>>31|i<<1;I=s|w<<1;j=u<<1|i>>>31|0;a=u>>>31|v<<1|0;VY(e,k,j,a)|0;b=K;h=b>>31|((b|0)<0?-1:0)<<1;J=h&1;L=VY(j,a,h&g,(((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1)&d)|0;M=K;b=t-1|0;if((b|0)==0){break}else{i=H;w=I;v=M;u=L;t=b;s=J}}B=H;C=I;D=M;E=L;F=0;G=J}J=C;C=0;if((f|0)!=0){c[f>>2]=E;c[f+4>>2]=D}n=(J|0)>>>31|(B|C)<<1|(C<<1|J>>>31)&0|F;o=(J<<1|0>>>31)&-2|G;return(K=n,o)|0}function gZ(a){a=a|0;qc(a|0)}function hZ(a){a=a|0;return Rb(a|0)|0}function iZ(a){a=a|0;return Zb(a|0)|0}function jZ(a){a=a|0;return Sa(a|0)|0}function kZ(a){a=a|0;return Ic(a|0)|0}function lZ(a){a=a|0;return Oa(a|0)|0}function mZ(a){a=a|0;return od(a|0)|0}function nZ(a){a=a|0;return gb(a|0)|0}function oZ(a,b){a=a|0;b=b|0;return Pb(a|0,b|0)|0}function pZ(a,b){a=a|0;b=b|0;return ob(a|0,b|0)|0}function qZ(){return qd()|0}function rZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Xa(a|0,b|0,c|0,d|0)|0}function sZ(){db()}function tZ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return Nd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function uZ(a,b){a=a|0;b=+b;Od[a&3](+b)}function vZ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;Pd[a&31](b|0,c|0,d|0,e|0,f|0)}function wZ(a,b){a=a|0;b=b|0;Qd[a&511](b|0)}function xZ(a,b,c){a=a|0;b=b|0;c=c|0;Rd[a&127](b|0,c|0)}function yZ(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;return Sd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)|0}function zZ(a,b){a=a|0;b=b|0;return Td[a&255](b|0)|0}function AZ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Ud[a&127](b|0,c|0,d|0,e|0,f|0)|0}function BZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Vd[a&127](b|0,c|0,d|0)|0}function CZ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;Wd[a&15](b|0,c|0,d|0,e|0,f|0,+g)}function DZ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;Xd[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function EZ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;Yd[a&63](b|0,c|0,d|0,e|0,f|0,g|0)}function FZ(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;Zd[a&7](b|0,c|0,+d,e|0,f|0)}function GZ(a,b,c){a=a|0;b=b|0;c=+c;return _d[a&3](b|0,+c)|0}function HZ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;$d[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function IZ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;ae[a&7](b|0,c|0,d|0,e|0,f|0,g|0,+h)}function JZ(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;be[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0)}function KZ(a,b,c){a=a|0;b=b|0;c=c|0;return ce[a&127](b|0,c|0)|0}function LZ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;return de[a&3](b|0,c|0,d|0,e|0,+f,g|0)|0}function MZ(a){a=a|0;return ee[a&15]()|0}function NZ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return fe[a&127](b|0,c|0,d|0,e|0)|0}function OZ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ge[a&15](b|0,c|0,d|0)}function PZ(a){a=a|0;he[a&15]()}function QZ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return ie[a&31](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function RZ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;je[a&31](b|0,c|0,d|0,e|0)}function SZ(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(0);return 0}function TZ(a){a=+a;ha(1)}function UZ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(2)}function VZ(a){a=a|0;ha(3)}function WZ(a,b){a=a|0;b=b|0;ha(4)}function XZ(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ha(5);return 0}function YZ(a){a=a|0;ha(6);return 0}function ZZ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ha(7);return 0}function _Z(a,b,c){a=a|0;b=b|0;c=c|0;ha(8);return 0}function $Z(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ha(9)}function a_(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(10)}function b_(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ha(11)}function c_(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ha(12)}function d_(a,b){a=a|0;b=+b;ha(13);return 0}function e_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ha(14)}function f_(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;ha(15)}function g_(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;ha(16)}function h_(a,b){a=a|0;b=b|0;ha(17);return 0}function i_(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=f|0;ha(18);return 0}function j_(){ha(19);return 0}function k_(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(20);return 0}function l_(a,b,c){a=a|0;b=b|0;c=c|0;ha(21)}function m_(){ha(22)}function n_(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ha(23);return 0}function o_(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ha(24)}



function uC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;e=i;f=b+12|0;g=c[f>>2]|0;j=g;Fv(3);k=b|0;l=xc(c[k>>2]|0,73912)|0;if((l|0)==0){vC(j);m=c[d+536>>2]|0;n=c[k>>2]|0;o=Wc(c[(Vc()|0)>>2]|0)|0;Eu(m,62416,(p=i,i=i+16|0,c[p>>2]=n,c[p+8>>2]=o,p)|0);i=p}Xa(53472,46,1,l|0)|0;o=g+20|0;kd(l|0,45288,(p=i,i=i+8|0,c[p>>2]=c[o>>2],p)|0)|0;i=p;n=g+8|0;kd(l|0,37696,(p=i,i=i+8|0,c[p>>2]=c[n>>2],p)|0)|0;i=p;Xa(31424,40,1,l|0)|0;Xa(25896,11,1,l|0)|0;Xa(1611440,14,1,l|0)|0;if((c[n>>2]|0)>0){m=g;q=0;do{r=ga(c[o>>2]|0,q)|0;s=+h[(c[m>>2]|0)+(r<<3)>>3];wC(l,s,s);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Va(10,l|0)|0;if((c[b+8>>2]|0)==0){t=1}else{Xa(1600704,18,1,l|0)|0;if((c[n>>2]|0)>0){b=g;q=0;do{m=ga(c[o>>2]|0,q)|0;r=c[b>>2]|0;wC(l,+h[r+(m<<3)>>3],+h[r+(m+1<<3)>>3]);q=q+1|0;}while((q|0)<(c[n>>2]|0))}Va(10,l|0)|0;t=2}q=d+116|0;b=c[q>>2]|0;if((b|0)>0){m=d+8|0;r=g;u=t;v=0;w=b;while(1){b=c[m>>2]|0;if((a[b+(v*112|0)+104|0]|0)==0){kd(l|0,1597608,(p=i,i=i+8|0,c[p>>2]=c[b+(v*112|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){b=0;do{x=ga(c[o>>2]|0,b)|0;y=c[r>>2]|0;wC(l,+h[y+(x<<3)>>3],+h[y+(x+u<<3)>>3]);b=b+1|0;}while((b|0)<(c[n>>2]|0))}Va(10,l|0)|0;z=u+1|0;A=c[q>>2]|0}else{z=u;A=w}b=v+1|0;if((b|0)<(A|0)){u=z;v=b;w=A}else{B=z;break}}}else{B=t}t=d+124|0;z=c[t>>2]|0;if((z|0)>0){A=d+12|0;w=g;v=B;u=0;q=z;while(1){z=c[A>>2]|0;if((a[z+(u*60|0)+56|0]|0)==0){kd(l|0,1597608,(p=i,i=i+8|0,c[p>>2]=c[z+(u*60|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){z=0;do{r=ga(c[o>>2]|0,z)|0;m=c[w>>2]|0;wC(l,+h[m+(r<<3)>>3],+h[m+(r+v<<3)>>3]);z=z+1|0;}while((z|0)<(c[n>>2]|0))}Va(10,l|0)|0;C=v+1|0;D=c[t>>2]|0}else{C=v;D=q}z=u+1|0;if((z|0)<(D|0)){v=C;u=z;q=D}else{E=C;break}}}else{E=B}B=d+128|0;C=c[B>>2]|0;if((C|0)>0){D=d+16|0;q=g;u=E;v=0;t=C;while(1){C=c[D>>2]|0;if((a[C+(v*48|0)+44|0]|0)==0){kd(l|0,1597608,(p=i,i=i+8|0,c[p>>2]=c[C+(v*48|0)+4>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){C=0;do{w=ga(c[o>>2]|0,C)|0;A=c[q>>2]|0;wC(l,+h[A+(w<<3)>>3],+h[A+(w+u<<3)>>3]);C=C+1|0;}while((C|0)<(c[n>>2]|0))}Va(10,l|0)|0;F=u+1|0;G=c[B>>2]|0}else{F=u;G=t}C=v+1|0;if((C|0)<(G|0)){u=F;v=C;t=G}else{H=F;break}}}else{H=E}E=d+216|0;F=c[E>>2]|0;if((F|0)>0){G=d+40|0;t=g;v=H;u=0;B=F;while(1){F=c[G>>2]|0;if((a[F+(u*52|0)+48|0]|0)==0){kd(l|0,1597608,(p=i,i=i+8|0,c[p>>2]=c[F+(u*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){F=0;do{q=ga(c[o>>2]|0,F)|0;D=c[t>>2]|0;wC(l,+h[D+(q<<3)>>3],+h[D+(q+v<<3)>>3]);F=F+1|0;}while((F|0)<(c[n>>2]|0))}Va(10,l|0)|0;I=v+1|0;J=c[E>>2]|0}else{I=v;J=B}F=u+1|0;if((F|0)<(J|0)){v=I;u=F;B=J}else{K=I;break}}}else{K=H}H=d+220|0;I=c[H>>2]|0;if((I|0)>0){J=d+44|0;B=g;u=K;v=0;E=I;while(1){I=c[J>>2]|0;if((a[I+(v*52|0)+48|0]|0)==0){kd(l|0,1597608,(p=i,i=i+8|0,c[p>>2]=c[I+(v*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){I=0;do{t=ga(c[o>>2]|0,I)|0;G=c[B>>2]|0;wC(l,+h[G+(t<<3)>>3],+h[G+(t+u<<3)>>3]);I=I+1|0;}while((I|0)<(c[n>>2]|0))}Va(10,l|0)|0;L=u+1|0;M=c[H>>2]|0}else{L=u;M=E}I=v+1|0;if((I|0)<(M|0)){u=L;v=I;E=M}else{N=L;break}}}else{N=K}K=d+224|0;L=c[K>>2]|0;if((L|0)>0){M=d+48|0;E=g;g=N;N=0;v=L;while(1){L=c[M>>2]|0;if((a[L+(N*52|0)+48|0]|0)==0){kd(l|0,1597608,(p=i,i=i+8|0,c[p>>2]=c[L+(N*52|0)+16>>2],p)|0)|0;i=p;if((c[n>>2]|0)>0){L=0;do{u=ga(c[o>>2]|0,L)|0;H=c[E>>2]|0;wC(l,+h[H+(u<<3)>>3],+h[H+(u+g<<3)>>3]);L=L+1|0;}while((L|0)<(c[n>>2]|0))}Va(10,l|0)|0;O=g+1|0;P=c[K>>2]|0}else{O=g;P=v}L=N+1|0;if((L|0)<(P|0)){g=O;N=L;v=P}else{break}}}vC(j);if((Oa(l|0)|0)==0){jY(c[f>>2]|0);c[f>>2]=0;Iv(3);i=e;return}else{Eu(c[d+536>>2]|0,1595528,(p=i,i=i+8|0,c[p>>2]=c[k>>2],p)|0);i=p}}function vC(a){a=a|0;var b=0;b=a|0;a=c[b>>2]|0;if((a|0)==0){return}jY(a);c[b>>2]=0;return}function wC(a,b,c){a=a|0;b=+b;c=+c;var d=0;d=i;kd(a|0,1594096,(a=i,i=i+16|0,h[a>>3]=b,h[a+8>>3]=c,a)|0)|0;i=a;i=d;return}function xC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+64|0;e=d|0;f=d+16|0;g=d+32|0;h=d+48|0;j=oY(192)|0;NY(j|0,0,192)|0;yC(j);c[a+12>>2]=j;k=j;l=a|0;Vy(k,c[l>>2]|0,36);if(QO(j+(c[(c[j>>2]|0)-12>>2]|0)|0)|0){Eu(c[b+536>>2]|0,1594792,(a=i,i=i+8|0,c[a>>2]=c[l>>2],a)|0);i=a}a=j;tQ(a,16560,14)|0;uQ(e,a);l=gA(e)|0;e=j+184|0;c[e>>2]=l;tQ(a,1650248,4)|0;zC(k,b+8|0);uQ(f,a);b=gA(f)|0;f=b;b=j+188|0;c[b>>2]=f;j=c[e>>2]|0;Uy(g,j,(j|0)<0|0?-1:0);vQ(a,g)|0;AC(k,-4-j+f|0);f=c[b>>2]|0;Uy(h,f,(f|0)<0|0?-1:0);vQ(a,h)|0;Iv(3);i=d;return}function yC(a){a=a|0;TC(a);return}function zC(a,b){a=a|0;b=b|0;CC(a,3);DC(a,81040);CC(a,0);DC(a,79792);CC(a,2);OC(a,b);PC(a,b);DC(a,78736);CC(a,0);return}function AC(a,b){a=a|0;b=b|0;c[409258]=ed(b|0)|0;tQ(a,1637032,4)|0;return}function BC(b,d,e,f){b=b|0;d=+d;e=e|0;f=f|0;var g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;g=i;i=i+80|0;j=g|0;k=g+16|0;l=g+32|0;m=g+48|0;n=g+64|0;o=b;uQ(j,o);p=gA(j)|0;AC(b,0);uQ(k,o);j=gA(k)|0;k=j;CC(b,1);DC(b,1586936);j=e+128|0;q=e+132|0;r=e+136|0;s=e+140|0;EC(b,(c[j>>2]|0)+1+(c[q>>2]|0)+(c[r>>2]|0)+(c[s>>2]|0)|0);FC(b,d);if((c[j>>2]|0)>0){e=f+176|0;t=0;do{FC(b,+h[(c[e>>2]|0)+(t<<3)>>3]);t=t+1|0;}while((t|0)<(c[j>>2]|0))}if((c[q>>2]|0)>0){j=f+180|0;t=0;do{GC(b,c[(c[j>>2]|0)+(t<<2)>>2]|0);t=t+1|0;}while((t|0)<(c[q>>2]|0))}if((c[r>>2]|0)>0){q=f+184|0;t=0;do{HC(b,(a[(c[q>>2]|0)+t|0]|0)!=0);t=t+1|0;}while((t|0)<(c[r>>2]|0))}if((c[s>>2]|0)>0){r=f+188|0;f=0;do{DC(b,c[(c[r>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[s>>2]|0))}uQ(l,o);s=gA(l)|0;l=s;s=p;Uy(m,s,(s|0)<0|0?-1:0);vQ(o,m)|0;AC(b,l-k|0);Uy(n,l,(l|0)<0|0?-1:0);vQ(o,n)|0;i=g;return}function CC(b,d){b=b|0;d=d|0;a[1650200]=-33;c[409260]=ed(d|0)|0;d=b;tQ(d,1650200,1)|0;tQ(d,1637040,4)|0;return}function DC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+8|0;f=e|0;c[f>>2]=ed(KY(d|0)|0)|0;a[1650208]=-37;g=b;tQ(g,1650208,1)|0;tQ(g,f,4)|0;tQ(g,d,KY(d|0)|0)|0;i=e;return}function EC(b,d){b=b|0;d=d|0;a[1650216]=-35;c[409262]=ed(d|0)|0;d=b;tQ(d,1650216,1)|0;tQ(d,1637048,4)|0;return}function FC(b,c){b=b|0;c=+c;var d=0;a[1650224]=-53;NC(c);d=b;tQ(d,1650224,1)|0;tQ(d,1650120,8)|0;return}function GC(b,d){b=b|0;d=d|0;a[1650232]=-46;c[409264]=ed(d|0)|0;d=b;tQ(d,1650232,1)|0;tQ(d,1637056,4)|0;return}function HC(b,c){b=b|0;c=c|0;a[1650240]=c?-61:-62;tQ(b,1650240,1)|0;return}function IC(a,b){a=a|0;b=b|0;var d=0,e=0;d=c[a+12>>2]|0;a=b+8|0;e=b+240|0;BC(d,+h[e>>3],a,e);BC(d,+h[b+248>>3],a,e);return}function JC(b,d){b=b|0;d=d|0;var e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;e=i;i=i+80|0;f=e|0;g=e+16|0;j=e+32|0;k=e+48|0;l=e+64|0;m=c[b+12>>2]|0;b=m;n=m;uQ(f,n);m=gA(f)|0;AC(b,0);uQ(g,n);f=gA(g)|0;g=f;CC(b,1);DC(b,73896);f=d+116|0;o=d+124|0;p=d+128|0;q=d+132|0;EC(b,(c[f>>2]|0)+1+(c[o>>2]|0)+(c[p>>2]|0)+(c[q>>2]|0)|0);r=d+4|0;FC(b,+h[c[c[r>>2]>>2]>>3]);if((c[f>>2]|0)>0){d=0;do{FC(b,+h[(c[(c[c[r>>2]>>2]|0)+8>>2]|0)+(d<<3)>>3]);d=d+1|0;}while((d|0)<(c[f>>2]|0))}if((c[o>>2]|0)>0){f=0;do{GC(b,c[(c[(c[c[r>>2]>>2]|0)+12>>2]|0)+(f<<2)>>2]|0);f=f+1|0;}while((f|0)<(c[o>>2]|0))}if((c[p>>2]|0)>0){o=0;do{HC(b,(a[(c[(c[c[r>>2]>>2]|0)+16>>2]|0)+o|0]|0)!=0);o=o+1|0;}while((o|0)<(c[p>>2]|0))}if((c[q>>2]|0)>0){p=0;do{DC(b,c[(c[(c[c[r>>2]>>2]|0)+20>>2]|0)+(p<<2)>>2]|0);p=p+1|0;}while((p|0)<(c[q>>2]|0))}uQ(j,n);q=gA(j)|0;j=q;q=m;Uy(k,q,(q|0)<0|0?-1:0);vQ(n,k)|0;AC(b,j-g|0);Uy(l,j,(j|0)<0|0?-1:0);vQ(n,l)|0;i=e;return}function KC(a,b){a=a|0;b=b|0;b=a+12|0;a=c[b>>2]|0;Py(a);Fv(3);if((a|0)==0){c[b>>2]=0;Iv(3);return}LC(a);qY(a);c[b>>2]=0;Iv(3);return}function LC(a){a=a|0;MC(a);return}function MC(a){a=a|0;jA(a|0);return}function NC(b){b=+b;var d=0,e=0,f=0,g=0,j=0;d=i;i=i+8|0;e=d|0;f=e;h[e>>3]=b;if((ed(1)|0)==1){g=e;e=c[g+4>>2]|0;j=1650120;c[j>>2]=c[g>>2];c[j+4>>2]=e;i=d;return}h[k>>3]=b;e=0;j=c[k>>2]&255;while(1){a[1650120+(7-e)|0]=j;g=e+1|0;if((g|0)>=8){break}e=g;j=a[f+g|0]|0}i=d;return}function OC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;d=i;i=i+16|0;e=d|0;DC(a,1586936);CC(a,4);DC(a,77688);CC(a,0);DC(a,76640);f=b+128|0;g=b+132|0;h=b+136|0;j=b+140|0;EC(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);DC(a,75776);if((c[f>>2]|0)>0){k=b+16|0;l=0;do{DC(a,c[(c[k>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){l=b+20|0;k=0;do{DC(a,c[(c[l>>2]|0)+(k*60|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){k=b+24|0;l=0;do{DC(a,c[(c[k>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[h>>2]|0))}if((c[j>>2]|0)>0){l=b+28|0;k=0;do{DC(a,c[(c[l>>2]|0)+(k*52|0)+4>>2]|0);k=k+1|0;}while((k|0)<(c[j>>2]|0))}k=e;c[k>>2]=c[4120];c[k+4>>2]=c[4121];c[k+8>>2]=c[4122];QC(a,b,e|0);DC(a,74872);CC(a,(c[f>>2]|0)+1+(c[g>>2]|0)+(c[h>>2]|0)+(c[j>>2]|0)|0);RC(a,75776,73200);if((c[f>>2]|0)>0){e=b+16|0;k=0;do{l=c[e>>2]|0;RC(a,c[l+(k*112|0)+4>>2]|0,c[l+(k*112|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[f>>2]|0))}if((c[g>>2]|0)>0){f=b+20|0;k=0;do{e=c[f>>2]|0;RC(a,c[e+(k*60|0)+4>>2]|0,c[e+(k*60|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[g>>2]|0))}if((c[h>>2]|0)>0){g=b+24|0;k=0;do{f=c[g>>2]|0;RC(a,c[f+(k*48|0)+4>>2]|0,c[f+(k*48|0)+8>>2]|0);k=k+1|0;}while((k|0)<(c[h>>2]|0))}if((c[j>>2]|0)<=0){i=d;return}h=b+28|0;b=0;do{k=c[h>>2]|0;RC(a,c[k+(b*52|0)+4>>2]|0,c[k+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[j>>2]|0));i=d;return}function PC(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;d=i;i=i+16|0;e=d|0;f=b+108|0;g=c[f>>2]|0;h=b+116|0;j=c[h>>2]|0;k=b+120|0;l=c[k>>2]|0;m=b+124|0;n=c[m>>2]|0;DC(a,73896);CC(a,4);DC(a,77688);CC(a,0);DC(a,76640);o=g+1+j+l+n|0;EC(a,o);DC(a,75776);if((c[f>>2]|0)>0){n=b|0;l=0;do{DC(a,c[(c[n>>2]|0)+(l*112|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){l=b+4|0;n=0;do{DC(a,c[(c[l>>2]|0)+(n*60|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){n=b+8|0;l=0;do{DC(a,c[(c[n>>2]|0)+(l*48|0)+4>>2]|0);l=l+1|0;}while((l|0)<(c[k>>2]|0))}if((c[m>>2]|0)>0){l=b+12|0;n=0;do{DC(a,c[(c[l>>2]|0)+(n*52|0)+4>>2]|0);n=n+1|0;}while((n|0)<(c[m>>2]|0))}n=e;c[n>>2]=c[4124];c[n+4>>2]=c[4125];c[n+8>>2]=c[4126];QC(a,b,e|0);DC(a,74872);CC(a,o);RC(a,75776,73200);if((c[f>>2]|0)>0){o=b|0;e=0;do{n=c[o>>2]|0;RC(a,c[n+(e*112|0)+4>>2]|0,c[n+(e*112|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[f>>2]|0))}if((c[h>>2]|0)>0){f=b+4|0;e=0;do{o=c[f>>2]|0;RC(a,c[o+(e*60|0)+4>>2]|0,c[o+(e*60|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[h>>2]|0))}if((c[k>>2]|0)>0){h=b+8|0;e=0;do{f=c[h>>2]|0;RC(a,c[f+(e*48|0)+4>>2]|0,c[f+(e*48|0)+8>>2]|0);e=e+1|0;}while((e|0)<(c[k>>2]|0))}if((c[m>>2]|0)<=0){i=d;return}k=b+12|0;b=0;do{e=c[k>>2]|0;RC(a,c[e+(b*52|0)+4>>2]|0,c[e+(b*52|0)+8>>2]|0);b=b+1|0;}while((b|0)<(c[m>>2]|0));i=d;return}function QC(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;DC(b,70912);f=d+208|0;g=c[f>>2]|0;if((g|0)>0){h=c[d+32>>2]|0;i=0;j=0;while(1){k=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+j|0;l=i+1|0;if((l|0)<(g|0)){i=l;j=k}else{m=k;break}}}else{m=0}j=d+212|0;i=c[j>>2]|0;if((i|0)>0){g=c[d+36>>2]|0;h=0;k=m;while(1){l=(c[e+(a[g+(h*52|0)+8|0]<<2)>>2]|0)+k|0;n=h+1|0;if((n|0)<(i|0)){h=n;k=l}else{o=l;break}}}else{o=m}m=d+216|0;k=c[m>>2]|0;if((k|0)>0){h=c[d+40>>2]|0;i=0;g=o;while(1){l=(c[e+(a[h+(i*52|0)+8|0]<<2)>>2]|0)+g|0;n=i+1|0;if((n|0)<(k|0)){i=n;g=l}else{p=l;break}}}else{p=o}o=d+220|0;g=c[o>>2]|0;if((g|0)>0){i=c[d+44>>2]|0;k=0;h=p;while(1){l=(c[e+(a[i+(k*52|0)+8|0]<<2)>>2]|0)+h|0;n=k+1|0;if((n|0)<(g|0)){k=n;h=l}else{q=l;break}}}else{q=p}CC(b,q);q=c[f>>2]|0;if((q|0)>0){p=d+32|0;h=d+16|0;k=d|0;g=0;i=0;l=q;while(1){q=c[p>>2]|0;n=a[q+(g*52|0)+8|0]|0;if((c[e+(n<<24>>24<<2)>>2]|0)==0){r=i;s=l}else{t=n<<24>>24==2?75776:i;if((n<<24>>24|0)==1){u=c[(c[h>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else if((n<<24>>24|0)==0){u=c[(c[k>>2]|0)+((c[q+(g*52|0)+4>>2]|0)*112|0)+4>>2]|0}else{u=t}SC(b,c[q+(g*52|0)+16>>2]|0,u,(c[q+(g*52|0)>>2]|0)!=0);r=u;s=c[f>>2]|0}q=g+1|0;if((q|0)<(s|0)){g=q;i=r;l=s}else{v=r;break}}}else{v=0}r=c[j>>2]|0;if((r|0)>0){s=d+36|0;l=d+20|0;i=d+4|0;g=0;f=v;u=r;while(1){r=c[s>>2]|0;k=a[r+(g*52|0)+8|0]|0;if((c[e+(k<<24>>24<<2)>>2]|0)==0){w=f;x=u}else{h=k<<24>>24==2?75776:f;if((k<<24>>24|0)==1){y=c[(c[l>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else if((k<<24>>24|0)==0){y=c[(c[i>>2]|0)+((c[r+(g*52|0)+4>>2]|0)*60|0)+4>>2]|0}else{y=h}SC(b,c[r+(g*52|0)+16>>2]|0,y,(c[r+(g*52|0)>>2]|0)!=0);w=y;x=c[j>>2]|0}r=g+1|0;if((r|0)<(x|0)){g=r;f=w;u=x}else{z=w;break}}}else{z=v}v=c[m>>2]|0;if((v|0)>0){w=d+40|0;x=d+24|0;u=d+8|0;f=0;g=z;j=v;while(1){v=c[w>>2]|0;y=a[v+(f*52|0)+8|0]|0;if((c[e+(y<<24>>24<<2)>>2]|0)==0){A=g;B=j}else{i=y<<24>>24==2?75776:g;if((y<<24>>24|0)==1){C=c[(c[x>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else if((y<<24>>24|0)==0){C=c[(c[u>>2]|0)+((c[v+(f*52|0)+4>>2]|0)*48|0)+4>>2]|0}else{C=i}SC(b,c[v+(f*52|0)+16>>2]|0,C,(c[v+(f*52|0)>>2]|0)!=0);A=C;B=c[m>>2]|0}v=f+1|0;if((v|0)<(B|0)){f=v;g=A;j=B}else{D=A;break}}}else{D=z}z=c[o>>2]|0;if((z|0)<=0){return}A=d+44|0;B=d+28|0;j=d+12|0;d=0;g=D;D=z;while(1){z=c[A>>2]|0;f=a[z+(d*52|0)+8|0]|0;if((c[e+(f<<24>>24<<2)>>2]|0)==0){E=g;F=D}else{m=f<<24>>24==2?75776:g;if((f<<24>>24|0)==1){G=c[(c[B>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else if((f<<24>>24|0)==0){G=c[(c[j>>2]|0)+((c[z+(d*52|0)+4>>2]|0)*52|0)+4>>2]|0}else{G=m}SC(b,c[z+(d*52|0)+16>>2]|0,G,(c[z+(d*52|0)>>2]|0)!=0);E=G;F=c[o>>2]|0}z=d+1|0;if((z|0)<(F|0)){d=z;g=E;D=F}else{break}}return}function RC(a,b,c){a=a|0;b=b|0;c=c|0;DC(a,b);CC(a,1);DC(a,72e3);DC(a,c);return}function SC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;DC(a,b);CC(a,d?2:1);DC(a,7e4);DC(a,c);if(!d){return}DC(a,69e3);DC(a,67960);return}function TC(a){a=a|0;$B(a|0);return}function UC(b,d){b=b|0;d=d|0;var e=0,f=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,C=0;e=i;i=i+12840|0;VC(e|0);TN(e+200|0);WC(e+216|0,e+232|0);WC(e+240|0,e+256|0);do{if((c[(b+92|0)>>2]|0)==0){if((c[407063]|0)==0){ZN(e+296|0,c[b+80>>2]|0);XC(e+280|0,e+296|0,1594576);eO(e+200|0,e+280|0)|0;dO(e+280|0);dO(e+296|0)}else{fO(e+200|0,c[407033]|0)|0}f=xc(AO(e+200|0)|0,62408)|0;if((f|0)!=0){j=f;break}f=AO(e+200|0)|0;Eu(0,53368,(k=i,i=i+8|0,c[k>>2]=f,k)|0);i=k}else{j=0}}while(0);f=Bp(0)|0;if((f|0)==0){Oa(j|0)|0;Eu(0,45208,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}Mp(f,e|0);Np(f,8,10);l=c[(b+92|0)>>2]|0;do{if((l|0)==0){NY(e+312|0|0|0,0,1024)|0;while(1){m=gd(e+312|0|0|0,1,1024,j|0)|0;if((Op(f,e+312|0|0,m,m>>>0<1024>>>0&1)|0)==0){break}if(m>>>0<1024>>>0){n=49;break}}if((n|0)==49){Oa(j|0)|0;break}Oa(j|0)|0;m=AO(e+200|0)|0;o=Wp(Tp(f)|0)|0;p=Up(f)|0;Cu(1,0,37608,(k=i,i=i+24|0,c[k>>2]=m,c[k+8>>2]=o,c[k+16>>2]=p,k)|0);i=k;Ip(f);Eu(0,31400,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}else{if((Op(f,l,KY(l|0)|0,1)|0)!=0){break}p=c[u>>2]|0;o=c[(b+92|0)>>2]|0;m=Wp(Tp(f)|0)|0;q=Up(f)|0;kd(p|0,25880,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0)|0;i=k;q=c[(b+92|0)>>2]|0;m=Wp(Tp(f)|0)|0;o=Up(f)|0;Cu(1,0,1611352,(k=i,i=i+24|0,c[k>>2]=q,c[k+8>>2]=m,c[k+16>>2]=o,k)|0);i=k;Ip(f);Eu(0,31400,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);l=e|0|0;ZN(e+1344|0,1605080);$C(e+1336|0,l,e+1344|0);aD(e+1360|0,l);j=_C(e+1336|0,e+1360|0)|0;dO(e+1344|0);n=c[(b+88|0)>>2]|0;do{if(j){o=AO(e+200|0)|0;Cu(1,0,1600656,(k=i,i=i+16|0,c[k>>2]=n,c[k+8>>2]=o,k)|0);i=k}else{ZN(e+1368|0,1605080);o=IY(n,AO(bD(l,e+1368|0)|0)|0)|0;dO(e+1368|0);if((o|0)==0){break}Ip(f);ZN(e+1384|0,1605080);o=AO(bD(l,e+1384|0)|0)|0;m=AO(e+200|0)|0;q=c[(b+88|0)>>2]|0;Cu(1,0,1597512,(k=i,i=i+24|0,c[k>>2]=o,c[k+8>>2]=m,c[k+16>>2]=q,k)|0);i=k;dO(e+1384|0);Eu(0,31400,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k}}while(0);cD(e|0,b,c[407054]|0,c[407055]|0);Au(23,1,1595488,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;ZN(e+1416|0,1594080);VN(e+1400|0,bD((e|0)+12|0,e+1416|0)|0);dD(e+1400|0,d|0,0.0);dO(e+1400|0);dO(e+1416|0);Au(23,0,1592832,(k=i,i=i+8|0,h[k>>3]=+h[(d|0)>>3],k)|0);i=k;ZN(e+1448|0,1591576);VN(e+1432|0,bD((e|0)+12|0,e+1448|0)|0);dD(e+1432|0,d+8|0,1.0);dO(e+1432|0);dO(e+1448|0);Au(23,0,1590640,(k=i,i=i+8|0,h[k>>3]=+h[(d+8|0)>>3],k)|0);i=k;ZN(e+1480|0,1589704);VN(e+1464|0,bD((e|0)+12|0,e+1480|0)|0);dD(e+1464|0,d+24|0,(+h[(d+8|0)>>3]- +h[(d|0)>>3])/500.0);dO(e+1464|0);dO(e+1480|0);Au(23,0,1588688,(k=i,i=i+8|0,h[k>>3]=+h[(d+24|0)>>3],k)|0);i=k;ZN(e+1512|0,1587712);VN(e+1496|0,bD((e|0)+12|0,e+1512|0)|0);dD(e+1496|0,d+32|0,1.0e-5);dO(e+1496|0);dO(e+1512|0);Au(23,0,1586392,(k=i,i=i+8|0,h[k>>3]=+h[(d+32|0)>>3],k)|0);i=k;ZN(e+1544|0,1337072);VN(e+1528|0,bD((e|0)+12|0,e+1544|0)|0);eD(e+1528|0,d+40|0);dO(e+1528|0);dO(e+1544|0);Au(23,0,82168,(k=i,i=i+8|0,c[k>>2]=c[(d+40|0)>>2],k)|0);i=k;ZN(e+1576|0,81024);VN(e+1560|0,bD((e|0)+12|0,e+1576|0)|0);eD(e+1560|0,d+44|0);dO(e+1560|0);dO(e+1576|0);Au(23,0,79768,(k=i,i=i+8|0,c[k>>2]=c[(d+44|0)>>2],k)|0);i=k;ZN(e+1608|0,78720);VN(e+1592|0,bD((e|0)+12|0,e+1608|0)|0);eD(e+1592|0,d+48|0);dO(e+1592|0);dO(e+1608|0);Au(23,0,77664,(k=i,i=i+8|0,c[k>>2]=c[(d+48|0)>>2],k)|0);i=k;ZN(e+1640|0,76616);VN(e+1624|0,bD(l,e+1640|0)|0);eD(e+1624|0,d+268|0);dO(e+1624|0);dO(e+1640|0);Au(23,0,75752,(k=i,i=i+8|0,c[k>>2]=c[(d+268|0)>>2],k)|0);i=k;if((c[406903]|0)!=0){Qd[c[3538]&511](23)}ZN(e+1744|0,74840);VN(e+1728|0,bD(l,e+1744|0)|0);fD(e+1728|0,e+1656|0,0);dO(e+1728|0);dO(e+1744|0);ZN(e+1776|0,73168);VN(e+1760|0,bD(l,e+1776|0)|0);fD(e+1760|0,e+1664|0,0);dO(e+1760|0);dO(e+1776|0);ZN(e+1808|0,71976);VN(e+1792|0,bD(l,e+1808|0)|0);fD(e+1792|0,e+1672|0,0);dO(e+1792|0);dO(e+1808|0);ZN(e+1840|0,70880);VN(e+1824|0,bD(l,e+1840|0)|0);fD(e+1824|0,e+1688|0,0);dO(e+1824|0);dO(e+1840|0);ZN(e+1872|0,69960);VN(e+1856|0,bD(l,e+1872|0)|0);fD(e+1856|0,e+1680|0,0);dO(e+1856|0);dO(e+1872|0);ZN(e+1904|0,68968);VN(e+1888|0,bD(l,e+1904|0)|0);fD(e+1888|0,e+1704|0,0);dO(e+1888|0);dO(e+1904|0);ZN(e+1936|0,67920);VN(e+1920|0,bD(l,e+1936|0)|0);fD(e+1920|0,e+1696|0,0);dO(e+1920|0);dO(e+1936|0);ZN(e+1968|0,66984);VN(e+1952|0,bD(l,e+1968|0)|0);fD(e+1952|0,e+1720|0,0);dO(e+1952|0);dO(e+1968|0);ZN(e+2e3|0,65448);VN(e+1984|0,bD(l,e+2e3|0)|0);fD(e+1984|0,e+1712|0,0);dO(e+1984|0);dO(e+2e3|0);l=c[(e+1656|0)>>2]|0;do{if((l|0)==(c[(b+104|0)>>2]|0)){if((c[(e+1664|0)>>2]|0)!=((c[(b+108|0)>>2]|0)-(l<<1)|0)){break}if((c[(e+1672|0)>>2]|0)!=(c[(b+128|0)>>2]|0)){break}if((c[(e+1688|0)>>2]|0)!=(c[(b+132|0)>>2]|0)){break}if((c[(e+1680|0)>>2]|0)!=(c[(b+116|0)>>2]|0)){break}if((c[(e+1704|0)>>2]|0)!=(c[(b+136|0)>>2]|0)){break}if((c[(e+1696|0)>>2]|0)!=(c[(b+120|0)>>2]|0)){break}if((c[(e+1720|0)>>2]|0)!=(c[(b+140|0)>>2]|0)){break}if((c[(e+1712|0)>>2]|0)!=(c[(b+124|0)>>2]|0)){break}Au(4,1,55088,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){d=(e|0)+24|0;n=0;do{c[(e+2032|0)>>2]=n;j=gD(d,e+2032|0)|0;ZN(e+2040|0,54256);VN(e+2016|0,bD(j,e+2040|0)|0);eD(e+2016|0,(c[(b|0)>>2]|0)+(n*112|0)+4|0);dO(e+2016|0);dO(e+2040|0);c[(e+2072|0)>>2]=n;j=gD(d,e+2072|0)|0;ZN(e+2080|0,52016);VN(e+2056|0,bD(j,e+2080|0)|0);hD(e+2056|0,(c[(b|0)>>2]|0)+(n*112|0)|0);dO(e+2056|0);dO(e+2080|0);c[(e+2112|0)>>2]=n;j=gD(d,e+2112|0)|0;ZN(e+2120|0,50368);VN(e+2096|0,bD(j,e+2120|0)|0);eD(e+2096|0,(c[(b|0)>>2]|0)+(n*112|0)+8|0);dO(e+2096|0);dO(e+2120|0);c[(e+2152|0)>>2]=n;j=gD(d,e+2152|0)|0;ZN(e+2160|0,48872);VN(e+2136|0,bD(j,e+2160|0)|0);eD(e+2136|0,(c[(b|0)>>2]|0)+(n*112|0)+12|0);dO(e+2136|0);dO(e+2160|0);c[(e+2192|0)>>2]=n;j=gD(d,e+2192|0)|0;ZN(e+2200|0,47408);VN(e+2176|0,bD(j,e+2200|0)|0);fD(e+2176|0,(c[(b|0)>>2]|0)+(n*112|0)+16|0,0);dO(e+2176|0);dO(e+2200|0);c[(e+2232|0)>>2]=n;j=gD(d,e+2232|0)|0;ZN(e+2240|0,46104);VN(e+2216|0,bD(j,e+2240|0)|0);fD(e+2216|0,(c[(b|0)>>2]|0)+(n*112|0)+20|0,0);dO(e+2216|0);dO(e+2240|0);c[(e+2272|0)>>2]=n;j=gD(d,e+2272|0)|0;ZN(e+2280|0,43680);VN(e+2256|0,bD(j,e+2280|0)|0);fD(e+2256|0,(c[(b|0)>>2]|0)+(n*112|0)+24|0,0);dO(e+2256|0);dO(e+2280|0);c[(e+2312|0)>>2]=n;j=gD(d,e+2312|0)|0;ZN(e+2320|0,42192);VN(e+2296|0,bD(j,e+2320|0)|0);fD(e+2296|0,(c[(b|0)>>2]|0)+(n*112|0)+28|0,0);dO(e+2296|0);dO(e+2320|0);c[(e+2352|0)>>2]=n;j=gD(d,e+2352|0)|0;ZN(e+2360|0,40792);VN(e+2336|0,bD(j,e+2360|0)|0);fD(e+2336|0,(c[(b|0)>>2]|0)+(n*112|0)+32|0,0);dO(e+2336|0);dO(e+2360|0);c[(e+2392|0)>>2]=n;j=gD(d,e+2392|0)|0;ZN(e+2400|0,39240);VN(e+2376|0,bD(j,e+2400|0)|0);iD(e+2376|0,(c[(b|0)>>2]|0)+(n*112|0)+88|0);dO(e+2376|0);dO(e+2400|0);c[(e+2432|0)>>2]=n;j=gD(d,e+2432|0)|0;ZN(e+2440|0,38680);VN(e+2416|0,bD(j,e+2440|0)|0);dD(e+2416|0,(c[(b|0)>>2]|0)+(n*112|0)+96|0,0.0);dO(e+2416|0);dO(e+2440|0);c[(e+2472|0)>>2]=n;j=gD(d,e+2472|0)|0;ZN(e+2480|0,38152);VN(e+2456|0,bD(j,e+2480|0)|0);iD(e+2456|0,(c[(b|0)>>2]|0)+(n*112|0)+72|0);dO(e+2456|0);dO(e+2480|0);c[(e+2512|0)>>2]=n;j=gD(d,e+2512|0)|0;ZN(e+2520|0,37208);VN(e+2496|0,bD(j,e+2520|0)|0);iD(e+2496|0,(c[(b|0)>>2]|0)+(n*112|0)+73|0);dO(e+2496|0);dO(e+2520|0);c[(e+2552|0)>>2]=n;j=gD(d,e+2552|0)|0;ZN(e+2560|0,36496);VN(e+2536|0,bD(j,e+2560|0)|0);dD(e+2536|0,(c[(b|0)>>2]|0)+(n*112|0)+80|0,1.0);dO(e+2536|0);dO(e+2560|0);c[(e+2592|0)>>2]=n;j=gD(d,e+2592|0)|0;ZN(e+2600|0,35928);VN(e+2576|0,bD(j,e+2600|0)|0);dD(e+2576|0,(c[(b|0)>>2]|0)+(n*112|0)+56|0,-1.7976931348623157e+308);dO(e+2576|0);dO(e+2600|0);c[(e+2632|0)>>2]=n;j=gD(d,e+2632|0)|0;ZN(e+2640|0,35208);VN(e+2616|0,bD(j,e+2640|0)|0);dD(e+2616|0,(c[(b|0)>>2]|0)+(n*112|0)+64|0,1.7976931348623157e+308);dO(e+2616|0);dO(e+2640|0);j=c[(b|0)>>2]|0;q=(a[j+(n*112|0)+88|0]|0)!=0;r=+h[j+(n*112|0)+96>>3];m=(a[j+(n*112|0)+72|0]|0)!=0?32336:31976;o=(a[j+(n*112|0)+73|0]|0)!=0;s=+h[j+(n*112|0)+80>>3];t=+h[j+(n*112|0)+56>>3];v=+h[j+(n*112|0)+64>>3];Au(4,0,34352,(k=i,i=i+80|0,c[k>>2]=c[j+(n*112|0)+4>>2],c[k+8>>2]=q?1650608:33328,h[k+16>>3]=r,c[k+24>>2]=q?1650608:32856,c[k+32>>2]=m,c[k+40>>2]=o?1650608:33328,h[k+48>>3]=s,c[k+56>>2]=o?1650608:32856,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;o=c[(b|0)>>2]|0;m=c[o+(n*112|0)+4>>2]|0;if((a[m]|0)==36){a[o+(n*112|0)+104|0]=1;w=c[(c[(b|0)>>2]|0)+(n*112|0)+4>>2]|0}else{w=m}ZN(e+2656|0,w);c[(jD(e+216|0,e+2656|0)|0)>>2]=n;dO(e+2656|0);n=n+1|0;}while((n|0)<(c[(b+104|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,30400,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+104|0)>>2]|0)>0){n=(e|0)+36|0;d=0;do{c[(e+2688|0)>>2]=d;m=gD(n,e+2688|0)|0;ZN(e+2696|0,54256);VN(e+2672|0,bD(m,e+2696|0)|0);eD(e+2672|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+4|0);dO(e+2672|0);dO(e+2696|0);c[(e+2728|0)>>2]=d;m=gD(n,e+2728|0)|0;ZN(e+2736|0,52016);VN(e+2712|0,bD(m,e+2736|0)|0);hD(e+2712|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)|0);dO(e+2712|0);dO(e+2736|0);c[(e+2768|0)>>2]=d;m=gD(n,e+2768|0)|0;ZN(e+2776|0,50368);VN(e+2752|0,bD(m,e+2776|0)|0);eD(e+2752|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+8|0);dO(e+2752|0);dO(e+2776|0);c[(e+2808|0)>>2]=d;m=gD(n,e+2808|0)|0;ZN(e+2816|0,48872);VN(e+2792|0,bD(m,e+2816|0)|0);eD(e+2792|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+12|0);dO(e+2792|0);dO(e+2816|0);c[(e+2848|0)>>2]=d;m=gD(n,e+2848|0)|0;ZN(e+2856|0,47408);VN(e+2832|0,bD(m,e+2856|0)|0);fD(e+2832|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+16|0,0);dO(e+2832|0);dO(e+2856|0);c[(e+2888|0)>>2]=d;m=gD(n,e+2888|0)|0;ZN(e+2896|0,46104);VN(e+2872|0,bD(m,e+2896|0)|0);fD(e+2872|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+20|0,0);dO(e+2872|0);dO(e+2896|0);c[(e+2928|0)>>2]=d;m=gD(n,e+2928|0)|0;ZN(e+2936|0,43680);VN(e+2912|0,bD(m,e+2936|0)|0);fD(e+2912|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+24|0,0);dO(e+2912|0);dO(e+2936|0);c[(e+2968|0)>>2]=d;m=gD(n,e+2968|0)|0;ZN(e+2976|0,42192);VN(e+2952|0,bD(m,e+2976|0)|0);fD(e+2952|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+28|0,0);dO(e+2952|0);dO(e+2976|0);c[(e+3008|0)>>2]=d;m=gD(n,e+3008|0)|0;ZN(e+3016|0,40792);VN(e+2992|0,bD(m,e+3016|0)|0);fD(e+2992|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+32|0,0);dO(e+2992|0);dO(e+3016|0);c[(e+3048|0)>>2]=d;m=gD(n,e+3048|0)|0;ZN(e+3056|0,39240);VN(e+3032|0,bD(m,e+3056|0)|0);iD(e+3032|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+88|0);dO(e+3032|0);dO(e+3056|0);c[(e+3088|0)>>2]=d;m=gD(n,e+3088|0)|0;ZN(e+3096|0,38680);VN(e+3072|0,bD(m,e+3096|0)|0);dD(e+3072|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+96|0,0.0);dO(e+3072|0);dO(e+3096|0);c[(e+3128|0)>>2]=d;m=gD(n,e+3128|0)|0;ZN(e+3136|0,38152);VN(e+3112|0,bD(m,e+3136|0)|0);iD(e+3112|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+72|0);dO(e+3112|0);dO(e+3136|0);c[(e+3168|0)>>2]=d;m=gD(n,e+3168|0)|0;ZN(e+3176|0,37208);VN(e+3152|0,bD(m,e+3176|0)|0);iD(e+3152|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+73|0);dO(e+3152|0);dO(e+3176|0);c[(e+3208|0)>>2]=d;m=gD(n,e+3208|0)|0;ZN(e+3216|0,36496);VN(e+3192|0,bD(m,e+3216|0)|0);dD(e+3192|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+80|0,1.0);dO(e+3192|0);dO(e+3216|0);c[(e+3248|0)>>2]=d;m=gD(n,e+3248|0)|0;ZN(e+3256|0,35928);VN(e+3232|0,bD(m,e+3256|0)|0);dD(e+3232|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+56|0,-1.7976931348623157e+308);dO(e+3232|0);dO(e+3256|0);c[(e+3288|0)>>2]=d;m=gD(n,e+3288|0)|0;ZN(e+3296|0,35208);VN(e+3272|0,bD(m,e+3296|0)|0);dD(e+3272|0,(c[(b|0)>>2]|0)+(((c[(b+104|0)>>2]|0)+d|0)*112|0)+64|0,1.7976931348623157e+308);dO(e+3272|0);dO(e+3296|0);m=(c[(b+104|0)>>2]|0)+d|0;o=c[(b|0)>>2]|0;q=(a[o+(m*112|0)+88|0]|0)!=0;v=+h[o+(m*112|0)+96>>3];j=(a[o+(m*112|0)+72|0]|0)!=0?32336:31976;p=(a[o+(m*112|0)+73|0]|0)!=0;t=+h[o+(m*112|0)+80>>3];s=+h[o+(m*112|0)+56>>3];r=+h[o+(m*112|0)+64>>3];Au(4,0,34352,(k=i,i=i+80|0,c[k>>2]=c[o+(m*112|0)+4>>2],c[k+8>>2]=q?1650608:33328,h[k+16>>3]=v,c[k+24>>2]=q?1650608:32856,c[k+32>>2]=j,c[k+40>>2]=p?1650608:33328,h[k+48>>3]=t,c[k+56>>2]=p?1650608:32856,h[k+64>>3]=s,h[k+72>>3]=r,k)|0);i=k;p=c[(b+104|0)>>2]|0;j=p+d|0;q=c[(b|0)>>2]|0;if((a[c[q+(j*112|0)+4>>2]|0]|0)==36){a[q+(j*112|0)+104|0]=1;x=c[(b+104|0)>>2]|0;y=c[(b|0)>>2]|0}else{x=p;y=q}q=x+d|0;ZN(e+3312|0,c[y+(q*112|0)+4>>2]|0);c[(jD(e+216|0,e+3312|0)|0)>>2]=q;dO(e+3312|0);d=d+1|0;}while((d|0)<(c[(b+104|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,29024,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;d=c[(b+104|0)>>2]<<1;if(((c[(b+108|0)>>2]|0)-d|0)>0){n=(e|0)+48|0;q=0;p=d;do{d=p+q|0;c[(e+3344|0)>>2]=q;j=gD(n,e+3344|0)|0;ZN(e+3352|0,54256);VN(e+3328|0,bD(j,e+3352|0)|0);eD(e+3328|0,(c[(b|0)>>2]|0)+(d*112|0)+4|0);dO(e+3328|0);dO(e+3352|0);c[(e+3384|0)>>2]=q;j=gD(n,e+3384|0)|0;ZN(e+3392|0,52016);VN(e+3368|0,bD(j,e+3392|0)|0);hD(e+3368|0,(c[(b|0)>>2]|0)+(d*112|0)|0);dO(e+3368|0);dO(e+3392|0);c[(e+3424|0)>>2]=q;j=gD(n,e+3424|0)|0;ZN(e+3432|0,50368);VN(e+3408|0,bD(j,e+3432|0)|0);eD(e+3408|0,(c[(b|0)>>2]|0)+(d*112|0)+8|0);dO(e+3408|0);dO(e+3432|0);c[(e+3464|0)>>2]=q;j=gD(n,e+3464|0)|0;ZN(e+3472|0,48872);VN(e+3448|0,bD(j,e+3472|0)|0);eD(e+3448|0,(c[(b|0)>>2]|0)+(d*112|0)+12|0);dO(e+3448|0);dO(e+3472|0);c[(e+3504|0)>>2]=q;j=gD(n,e+3504|0)|0;ZN(e+3512|0,47408);VN(e+3488|0,bD(j,e+3512|0)|0);fD(e+3488|0,(c[(b|0)>>2]|0)+(d*112|0)+16|0,0);dO(e+3488|0);dO(e+3512|0);c[(e+3544|0)>>2]=q;j=gD(n,e+3544|0)|0;ZN(e+3552|0,46104);VN(e+3528|0,bD(j,e+3552|0)|0);fD(e+3528|0,(c[(b|0)>>2]|0)+(d*112|0)+20|0,0);dO(e+3528|0);dO(e+3552|0);c[(e+3584|0)>>2]=q;j=gD(n,e+3584|0)|0;ZN(e+3592|0,43680);VN(e+3568|0,bD(j,e+3592|0)|0);fD(e+3568|0,(c[(b|0)>>2]|0)+(d*112|0)+24|0,0);dO(e+3568|0);dO(e+3592|0);c[(e+3624|0)>>2]=q;j=gD(n,e+3624|0)|0;ZN(e+3632|0,42192);VN(e+3608|0,bD(j,e+3632|0)|0);fD(e+3608|0,(c[(b|0)>>2]|0)+(d*112|0)+28|0,0);dO(e+3608|0);dO(e+3632|0);c[(e+3664|0)>>2]=q;j=gD(n,e+3664|0)|0;ZN(e+3672|0,40792);VN(e+3648|0,bD(j,e+3672|0)|0);fD(e+3648|0,(c[(b|0)>>2]|0)+(d*112|0)+32|0,0);dO(e+3648|0);dO(e+3672|0);c[(e+3704|0)>>2]=q;j=gD(n,e+3704|0)|0;ZN(e+3712|0,39240);VN(e+3688|0,bD(j,e+3712|0)|0);iD(e+3688|0,(c[(b|0)>>2]|0)+(d*112|0)+88|0);dO(e+3688|0);dO(e+3712|0);c[(e+3744|0)>>2]=q;j=gD(n,e+3744|0)|0;ZN(e+3752|0,38680);VN(e+3728|0,bD(j,e+3752|0)|0);dD(e+3728|0,(c[(b|0)>>2]|0)+(d*112|0)+96|0,0.0);dO(e+3728|0);dO(e+3752|0);c[(e+3784|0)>>2]=q;j=gD(n,e+3784|0)|0;ZN(e+3792|0,38152);VN(e+3768|0,bD(j,e+3792|0)|0);iD(e+3768|0,(c[(b|0)>>2]|0)+(d*112|0)+72|0);dO(e+3768|0);dO(e+3792|0);c[(e+3824|0)>>2]=q;j=gD(n,e+3824|0)|0;ZN(e+3832|0,37208);VN(e+3808|0,bD(j,e+3832|0)|0);iD(e+3808|0,(c[(b|0)>>2]|0)+(d*112|0)+73|0);dO(e+3808|0);dO(e+3832|0);c[(e+3864|0)>>2]=q;j=gD(n,e+3864|0)|0;ZN(e+3872|0,36496);VN(e+3848|0,bD(j,e+3872|0)|0);dD(e+3848|0,(c[(b|0)>>2]|0)+(d*112|0)+80|0,1.0);dO(e+3848|0);dO(e+3872|0);c[(e+3904|0)>>2]=q;j=gD(n,e+3904|0)|0;ZN(e+3912|0,35928);VN(e+3888|0,bD(j,e+3912|0)|0);dD(e+3888|0,(c[(b|0)>>2]|0)+(d*112|0)+56|0,-1.7976931348623157e+308);dO(e+3888|0);dO(e+3912|0);c[(e+3944|0)>>2]=q;j=gD(n,e+3944|0)|0;ZN(e+3952|0,35208);VN(e+3928|0,bD(j,e+3952|0)|0);dD(e+3928|0,(c[(b|0)>>2]|0)+(d*112|0)+64|0,1.7976931348623157e+308);dO(e+3928|0);dO(e+3952|0);j=c[(b|0)>>2]|0;m=(a[j+(d*112|0)+88|0]|0)!=0;r=+h[j+(d*112|0)+96>>3];o=(a[j+(d*112|0)+72|0]|0)!=0?32336:31976;z=(a[j+(d*112|0)+73|0]|0)!=0;s=+h[j+(d*112|0)+80>>3];t=+h[j+(d*112|0)+56>>3];v=+h[j+(d*112|0)+64>>3];Au(4,0,34352,(k=i,i=i+80|0,c[k>>2]=c[j+(d*112|0)+4>>2],c[k+8>>2]=m?1650608:33328,h[k+16>>3]=r,c[k+24>>2]=m?1650608:32856,c[k+32>>2]=o,c[k+40>>2]=z?1650608:33328,h[k+48>>3]=s,c[k+56>>2]=z?1650608:32856,h[k+64>>3]=t,h[k+72>>3]=v,k)|0);i=k;z=c[(b|0)>>2]|0;o=c[z+(d*112|0)+4>>2]|0;if((a[o]|0)==36){a[z+(d*112|0)+104|0]=1;A=c[(c[(b|0)>>2]|0)+(d*112|0)+4>>2]|0}else{A=o}ZN(e+3968|0,A);c[(jD(e+216|0,e+3968|0)|0)>>2]=d;dO(e+3968|0);q=q+1|0;p=c[(b+104|0)>>2]<<1;}while((q|0)<((c[(b+108|0)>>2]|0)-p|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,28048,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;if((c[(b+116|0)>>2]|0)>0){p=(e|0)+84|0;q=0;do{c[(e+4e3|0)>>2]=q;n=gD(p,e+4e3|0)|0;ZN(e+4008|0,54256);VN(e+3984|0,bD(n,e+4008|0)|0);eD(e+3984|0,(c[(b+4|0)>>2]|0)+(q*60|0)+4|0);dO(e+3984|0);dO(e+4008|0);c[(e+4040|0)>>2]=q;n=gD(p,e+4040|0)|0;ZN(e+4048|0,52016);VN(e+4024|0,bD(n,e+4048|0)|0);hD(e+4024|0,(c[(b+4|0)>>2]|0)+(q*60|0)|0);dO(e+4024|0);dO(e+4048|0);c[(e+4080|0)>>2]=q;n=gD(p,e+4080|0)|0;ZN(e+4088|0,50368);VN(e+4064|0,bD(n,e+4088|0)|0);eD(e+4064|0,(c[(b+4|0)>>2]|0)+(q*60|0)+8|0);dO(e+4064|0);dO(e+4088|0);c[(e+4120|0)>>2]=q;n=gD(p,e+4120|0)|0;ZN(e+4128|0,48872);VN(e+4104|0,bD(n,e+4128|0)|0);eD(e+4104|0,(c[(b+4|0)>>2]|0)+(q*60|0)+12|0);dO(e+4104|0);dO(e+4128|0);c[(e+4160|0)>>2]=q;n=gD(p,e+4160|0)|0;ZN(e+4168|0,47408);VN(e+4144|0,bD(n,e+4168|0)|0);fD(e+4144|0,(c[(b+4|0)>>2]|0)+(q*60|0)+16|0,0);dO(e+4144|0);dO(e+4168|0);c[(e+4200|0)>>2]=q;n=gD(p,e+4200|0)|0;ZN(e+4208|0,46104);VN(e+4184|0,bD(n,e+4208|0)|0);fD(e+4184|0,(c[(b+4|0)>>2]|0)+(q*60|0)+20|0,0);dO(e+4184|0);dO(e+4208|0);c[(e+4240|0)>>2]=q;n=gD(p,e+4240|0)|0;ZN(e+4248|0,43680);VN(e+4224|0,bD(n,e+4248|0)|0);fD(e+4224|0,(c[(b+4|0)>>2]|0)+(q*60|0)+24|0,0);dO(e+4224|0);dO(e+4248|0);c[(e+4280|0)>>2]=q;n=gD(p,e+4280|0)|0;ZN(e+4288|0,42192);VN(e+4264|0,bD(n,e+4288|0)|0);fD(e+4264|0,(c[(b+4|0)>>2]|0)+(q*60|0)+28|0,0);dO(e+4264|0);dO(e+4288|0);c[(e+4320|0)>>2]=q;n=gD(p,e+4320|0)|0;ZN(e+4328|0,40792);VN(e+4304|0,bD(n,e+4328|0)|0);fD(e+4304|0,(c[(b+4|0)>>2]|0)+(q*60|0)+32|0,0);dO(e+4304|0);dO(e+4328|0);c[(e+4360|0)>>2]=q;n=gD(p,e+4360|0)|0;ZN(e+4368|0,39240);VN(e+4344|0,bD(n,e+4368|0)|0);iD(e+4344|0,(c[(b+4|0)>>2]|0)+(q*60|0)+49|0);dO(e+4344|0);dO(e+4368|0);c[(e+4400|0)>>2]=q;n=gD(p,e+4400|0)|0;ZN(e+4408|0,38680);VN(e+4384|0,bD(n,e+4408|0)|0);fD(e+4384|0,(c[(b+4|0)>>2]|0)+(q*60|0)+52|0,0);dO(e+4384|0);dO(e+4408|0);c[(e+4440|0)>>2]=q;n=gD(p,e+4440|0)|0;ZN(e+4448|0,38152);VN(e+4424|0,bD(n,e+4448|0)|0);iD(e+4424|0,(c[(b+4|0)>>2]|0)+(q*60|0)+48|0);dO(e+4424|0);dO(e+4448|0);c[(e+4480|0)>>2]=q;n=gD(p,e+4480|0)|0;ZN(e+4488|0,35928);VN(e+4464|0,bD(n,e+4488|0)|0);fD(e+4464|0,(c[(b+4|0)>>2]|0)+(q*60|0)+40|0,-2147483648);dO(e+4464|0);dO(e+4488|0);c[(e+4520|0)>>2]=q;n=gD(p,e+4520|0)|0;ZN(e+4528|0,35208);VN(e+4504|0,bD(n,e+4528|0)|0);fD(e+4504|0,(c[(b+4|0)>>2]|0)+(q*60|0)+44|0,2147483647);dO(e+4504|0);dO(e+4528|0);n=c[(b+4|0)>>2]|0;d=(a[n+(q*60|0)+49|0]|0)!=0;o=c[n+(q*60|0)+52>>2]|0;z=(a[n+(q*60|0)+48|0]|0)!=0?32336:31976;m=c[n+(q*60|0)+40>>2]|0;j=c[n+(q*60|0)+44>>2]|0;Au(4,0,27552,(k=i,i=i+56|0,c[k>>2]=c[n+(q*60|0)+4>>2],c[k+8>>2]=d?1650608:33328,c[k+16>>2]=o,c[k+24>>2]=d?1650608:32856,c[k+32>>2]=z,c[k+40>>2]=m,c[k+48>>2]=j,k)|0);i=k;j=c[(b+4|0)>>2]|0;m=c[j+(q*60|0)+4>>2]|0;if((a[m]|0)==36){a[j+(q*60|0)+56|0]=1;C=c[(c[(b+4|0)>>2]|0)+(q*60|0)+4>>2]|0}else{C=m}ZN(e+4544|0,C);c[(jD(e+216|0,e+4544|0)|0)>>2]=q;dO(e+4544|0);q=q+1|0;}while((q|0)<(c[(b+116|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,26376,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;c[e+9720>>2]=b;c[e+9760>>2]=f;c[e+12744>>2]=k;c[e+12760>>2]=0;c[e+12764>>2]=0;_read_input_xml$0(e);k=c[e+12744>>2]|0;I=c[e+12760>>2]|0;B=c[e+12764>>2]|0;J=+g[e+12764>>2];c[e+12760>>2]=0;c[e+12764>>2]=0;if((I|0)==5){return}}}while(0);if((c[406902]|c[406964]|0)!=0){Cu(22,1,64536,(k=i,i=i+1|0,i=i+7&-8,c[k>>2]=0,k)|0);i=k;C=c[(b+104|0)>>2]|0;Cu(22,0,63504,(k=i,i=i+16|0,c[k>>2]=l,c[k+8>>2]=C,k)|0);i=k;C=(c[b+108>>2]|0)-(c[(b+104|0)>>2]<<1)|0;Cu(22,0,61768,(k=i,i=i+16|0,c[k>>2]=c[(e+1664|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+128>>2]|0;Cu(22,0,60744,(k=i,i=i+16|0,c[k>>2]=c[(e+1672|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+132>>2]|0;Cu(22,0,59824,(k=i,i=i+16|0,c[k>>2]=c[(e+1688|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+116>>2]|0;Cu(22,0,58992,(k=i,i=i+16|0,c[k>>2]=c[(e+1680|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+136>>2]|0;Cu(22,0,58168,(k=i,i=i+16|0,c[k>>2]=c[(e+1704|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+120>>2]|0;Cu(22,0,57320,(k=i,i=i+16|0,c[k>>2]=c[(e+1696|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+140>>2]|0;Cu(22,0,56680,(k=i,i=i+16|0,c[k>>2]=c[(e+1720|0)>>2],c[k+8>>2]=C,k)|0);i=k;C=c[b+124>>2]|0;Cu(22,0,55976,(k=i,i=i+16|0,c[k>>2]=c[(e+1712|0)>>2],c[k+8>>2]=C,k)|0);i=k;Qd[c[3538]&511](22)}Ip(f);Sa(0)|0;qc(-1|0)}function VC(a){a=a|0;$J(a);return}function WC(a,b){a=a|0;b=b|0;GF(a,0);return}function XC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=i;i=i+8|0;UN(a,d|0);e=bO(b)|0;f=QD(c)|0;EO(a,cO(b)|0,e,f+e|0);wO(a,c,f)|0;i=d;return}function YC(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;e=i;i=i+184|0;f=e|0;g=e+16|0;h=e+32|0;j=e+48|0;k=e+56|0;l=e+72|0;m=e+88|0;n=e+104|0;o=e+120|0;p=e+136|0;q=e+152|0;r=e+168|0;if((IY(b,1593512)|0)==0){s=c[d>>2]|0;if((s|0)==0){i=e;return}t=a;u=0;v=s;do{ZN(f,v);s=bD(t,f)|0;fO(s,c[d+((u|1)<<2)>>2]|0)|0;dO(f);u=u+2|0;v=c[d+(u<<2)>>2]|0;}while((v|0)!=0);i=e;return}if((IY(b,1593480)|0)==0){v=c[d>>2]|0;if((v|0)==0){i=e;return}u=a+12|0;f=0;t=v;do{ZN(g,t);v=bD(u,g)|0;fO(v,c[d+((f|1)<<2)>>2]|0)|0;dO(g);f=f+2|0;t=c[d+(f<<2)>>2]|0;}while((t|0)!=0);i=e;return}if((IY(b,1593416)|0)!=0){do{if((IY(b,1591136)|0)!=0){if((IY(b,1591112)|0)==0){break}if((IY(b,1591064)|0)==0){break}if((IY(b,1591056)|0)==0){break}i=e;return}}while(0);t=(c[d>>2]|0)==0;f=a+196|0;g=a+192|0;u=gD(c[f>>2]|0,g)|0;if(t){w=u}else{t=0;v=d;s=u;while(1){ZN(q,c[v>>2]|0);u=bD(s,q)|0;fO(u,c[d+((t|1)<<2)>>2]|0)|0;dO(q);u=t+2|0;x=d+(u<<2)|0;y=(c[x>>2]|0)==0;z=gD(c[f>>2]|0,g)|0;if(y){w=z;break}else{t=u;v=x;s=z}}}ZN(r,1590952);fO(bD(w,r)|0,b)|0;dO(r);i=e;return}rD(h,j);TN(k);TN(l);j=a+192|0;c[j>>2]=-1;r=a+196|0;c[r>>2]=0;b=c[d>>2]|0;if((b|0)!=0){w=0;s=b;do{ZN(m,s);b=bD(h,m)|0;fO(b,c[d+((w|1)<<2)>>2]|0)|0;dO(m);w=w+2|0;s=c[d+(w<<2)>>2]|0;}while((s|0)!=0)}ZN(n,1593400);eO(k,bD(h,n)|0)|0;dO(n);ZN(o,1593264);eO(l,bD(h,o)|0)|0;dO(o);c[j>>2]=Oc(AO(k)|0)|0;if((DO(l,1593216)|0)==0){A=a+24|0}else{A=c[r>>2]|0}c[r>>2]=A;if((DO(l,1593192)|0)==0){B=a+36|0}else{B=c[r>>2]|0}c[r>>2]=B;if((DO(l,1593056)|0)==0){C=a+48|0}else{C=c[r>>2]|0}c[r>>2]=C;if((DO(l,1593008)|0)==0){D=a+60|0}else{D=c[r>>2]|0}c[r>>2]=D;if((DO(l,1593e3)|0)==0){E=a+72|0}else{E=c[r>>2]|0}c[r>>2]=E;if((DO(l,1592360)|0)==0){F=a+84|0}else{F=c[r>>2]|0}c[r>>2]=F;if((DO(l,1592344)|0)==0){G=a+96|0}else{G=c[r>>2]|0}c[r>>2]=G;if((DO(l,1592336)|0)==0){H=a+108|0}else{H=c[r>>2]|0}c[r>>2]=H;if((DO(l,1592152)|0)==0){I=a+120|0}else{I=c[r>>2]|0}c[r>>2]=I;if((DO(l,1592080)|0)==0){J=a+132|0}else{J=c[r>>2]|0}c[r>>2]=J;if((DO(l,1592072)|0)==0){K=a+144|0}else{K=c[r>>2]|0}c[r>>2]=K;if((DO(l,1592008)|0)==0){L=a+156|0}else{L=c[r>>2]|0}c[r>>2]=L;if((DO(l,1591848)|0)==0){M=a+168|0}else{M=c[r>>2]|0}c[r>>2]=M;if((DO(l,1591768)|0)==0){N=a+180|0}else{N=c[r>>2]|0}c[r>>2]=N;a=AO(l)|0;ZN(p,54256);M=AO(bD(h,p)|0)|0;Du(0,(N|0)!=0|0,1591672,(N=i,i=i+16|0,c[N>>2]=a,c[N+8>>2]=M,N)|0);i=N;dO(p);EI(gD(c[r>>2]|0,j)|0,h)|0;dO(l);dO(k);zD(h);i=e;return}function ZC(a,b){a=a|0;b=b|0;return}function _C(a,b){a=a|0;b=b|0;return pF(a|0,b|0)|0}function $C(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;yF(e,b|0,c);qF(a,e);i=d;return}function aD(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;rF(d,b|0);qF(a,d);i=c;return}function bD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=_G(a,e,b)|0;k=c[j>>2]|0;Gz(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}aH(h,a,b);bH(g,h);$G(f,g);cH(h);h=c[e>>2]|0;dH(a|0,h,j,eH(f)|0);j=fH(f)|0;cH(f);l=j;m=l+28|0;i=d;return m|0}function cD(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,lc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0;f=i;i=i+2120|0;g=f|0;h=f+24|0;j=f+216|0;k=f+232|0;l=f+248|0;m=f+264|0;n=f+280|0;o=f+296|0;p=f+312|0;q=f+328|0;r=f+344|0;s=f+360|0;t=f+376|0;u=f+392|0;v=f+408|0;w=f+424|0;x=f+440|0;y=f+456|0;z=f+472|0;A=f+488|0;B=f+504|0;C=f+520|0;D=f+536|0;E=f+552|0;F=f+568|0;G=f+584|0;H=f+600|0;I=f+616|0;J=f+632|0;K=f+648|0;L=f+664|0;M=f+680|0;N=f+696|0;O=f+712|0;P=f+728|0;Q=f+744|0;R=f+760|0;S=f+776|0;T=f+784|0;U=f+800|0;V=f+808|0;W=f+824|0;X=f+832|0;Y=f+848|0;Z=f+856|0;_=f+872|0;$=f+880|0;aa=f+896|0;ba=f+904|0;ca=f+920|0;da=f+928|0;ea=f+944|0;fa=f+952|0;ga=f+968|0;ha=f+976|0;ia=f+992|0;ja=f+1e3|0;ka=f+1016|0;la=f+1024|0;ma=f+1040|0;na=f+1048|0;oa=f+1064|0;pa=f+1072|0;qa=f+1088|0;ra=f+1096|0;sa=f+1112|0;ta=f+1120|0;ua=f+1136|0;va=f+1144|0;wa=f+1160|0;xa=f+1168|0;ya=f+1184|0;za=f+1192|0;Aa=f+1208|0;Ba=f+1216|0;Ca=f+1232|0;Da=f+1240|0;Ea=f+1256|0;Fa=f+1264|0;Ga=f+1280|0;Ha=f+1288|0;Ia=f+1304|0;Ja=f+1312|0;Ka=f+1328|0;La=f+1336|0;Ma=f+1352|0;Na=f+1360|0;Oa=f+1376|0;Pa=f+1384|0;Qa=f+1400|0;Ra=f+1408|0;Sa=f+1424|0;Ta=f+1432|0;Ua=f+1448|0;Va=f+1456|0;Xa=f+1472|0;Ya=f+1480|0;Za=f+1496|0;_a=f+1504|0;$a=f+1520|0;ab=f+1528|0;bb=f+1544|0;cb=f+1552|0;db=f+1568|0;eb=f+1576|0;fb=f+1592|0;gb=f+1600|0;hb=f+1616|0;ib=f+1624|0;jb=f+1640|0;kb=f+1648|0;lb=f+1664|0;mb=f+1672|0;nb=f+1688|0;ob=f+1696|0;pb=f+1712|0;qb=f+1720|0;rb=f+1736|0;sb=f+1744|0;tb=f+1760|0;ub=f+1768|0;vb=f+1784|0;wb=f+1792|0;xb=f+1808|0;yb=f+1816|0;zb=f+1832|0;Ab=f+1840|0;Bb=f+1856|0;Cb=f+1864|0;Db=f+1880|0;Eb=f+1888|0;Fb=f+1904|0;Gb=f+1912|0;Hb=f+1928|0;Ib=f+1936|0;Jb=f+1952|0;Kb=f+1960|0;Lb=f+1976|0;Mb=f+1984|0;Nb=f+2e3|0;Ob=f+2008|0;Pb=f+2024|0;Qb=f+2032|0;Rb=f+2048|0;Sb=f+2056|0;Tb=f+2072|0;Ub=f+2080|0;Vb=f+2096|0;Wb=f+2104|0;rD(g,f+16|0);Xb=(d|0)!=0;Yb=(e|0)==0;if(!(Yb|Xb^1)){Eu(0,1597960,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb}if(Xb){_b=Ic(d|0)|0}else{_b=0}if(Yb){$b=_b}else{Au(23,0,1597320,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb;sD(h);tD(h,e,8);if(!(uD(h)|0)){Eu(0,1596904,(Zb=i,i=i+8|0,c[Zb>>2]=e,Zb)|0);i=Zb}TN(j);e=h;vD(e,j)|0;VN(k,j);while(1){_b=vD(e,j)|0;if(!(PO(_b+(c[(c[_b>>2]|0)-12>>2]|0)|0)|0)){break}OO(l,1596776,j);uO(k,l)|0;dO(l)}l=Ic(AO(k)|0)|0;wD(h);dO(k);dO(j);xD(h);$b=l}if(($b|0)==0){Au(23,0,1595992,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;zD(g);i=f;return}TN(m);TN(n);Au(23,0,1596592,(Zb=i,i=i+8|0,c[Zb>>2]=$b,Zb)|0);i=Zb;l=Wa($b|0,1596776)|0;if((l|0)!=0){h=l;do{l=oY(12)|0;ZN(l,h);j=BO(l,1596424,0)|0;zO(o,l,0,j);eO(m,o)|0;dO(o);zO(p,l,j+1|0,(kO(l)|0)+~j|0);eO(n,p)|0;dO(p);eO(bD(g,m)|0,n)|0;j=AO(m)|0;l=AO(n)|0;Au(23,0,1596216,(Zb=i,i=i+16|0,c[Zb>>2]=j,c[Zb+8>>2]=l,Zb)|0);i=Zb;h=Wa(0,1596776)|0;}while((h|0)!=0)}jY($b);$b=a+12|0;ZN(q,1337072);h=bD($b,q)|0;ZN(r,1337072);if((yD(g,r)|0)==0){ZN(t,1337072);ac=bD($b,t)|0;bc=1;cc=0}else{ZN(s,1337072);ac=bD(g,s)|0;bc=0;cc=1}eO(h,ac)|0;if(bc){dO(t)}if(cc){dO(s)}dO(r);dO(q);ZN(u,1594080);q=bD($b,u)|0;ZN(v,1594080);if((yD(g,v)|0)==0){ZN(x,1594080);dc=bD($b,x)|0;ec=1;fc=0}else{ZN(w,1594080);dc=bD(g,w)|0;ec=0;fc=1}eO(q,dc)|0;if(ec){dO(x)}if(fc){dO(w)}dO(v);dO(u);ZN(y,1591576);u=bD($b,y)|0;ZN(z,1591576);if((yD(g,z)|0)==0){ZN(B,1591576);gc=bD($b,B)|0;hc=1;ic=0}else{ZN(A,1591576);gc=bD(g,A)|0;hc=0;ic=1}eO(u,gc)|0;if(hc){dO(B)}if(ic){dO(A)}dO(z);dO(y);ZN(C,1589704);y=bD($b,C)|0;ZN(D,1589704);if((yD(g,D)|0)==0){ZN(F,1589704);jc=bD($b,F)|0;kc=1;lc=0}else{ZN(E,1589704);jc=bD(g,E)|0;kc=0;lc=1}eO(y,jc)|0;if(kc){dO(F)}if(lc){dO(E)}dO(D);dO(C);ZN(G,1587712);C=bD($b,G)|0;ZN(H,1587712);if((yD(g,H)|0)==0){ZN(J,1587712);mc=bD($b,J)|0;nc=1;oc=0}else{ZN(I,1587712);mc=bD(g,I)|0;nc=0;oc=1}eO(C,mc)|0;if(nc){dO(J)}if(oc){dO(I)}dO(H);dO(G);ZN(K,81024);G=bD($b,K)|0;ZN(L,81024);if((yD(g,L)|0)==0){ZN(N,81024);pc=bD($b,N)|0;qc=1;rc=0}else{ZN(M,81024);pc=bD(g,M)|0;qc=0;rc=1}eO(G,pc)|0;if(qc){dO(N)}if(rc){dO(M)}dO(L);dO(K);ZN(O,78720);K=bD($b,O)|0;ZN(P,78720);if((yD(g,P)|0)==0){ZN(R,78720);sc=bD($b,R)|0;tc=1;uc=0}else{ZN(Q,78720);sc=bD(g,Q)|0;tc=0;uc=1}eO(K,sc)|0;if(tc){dO(R)}if(uc){dO(Q)}dO(P);dO(O);O=b+104|0;P=c[O>>2]|0;if((P|0)>0){Q=a+24|0;uc=a+36|0;R=0;while(1){c[S>>2]=R;tc=gD(Q,S)|0;ZN(T,38680);sc=bD(tc,T)|0;c[U>>2]=R;tc=gD(Q,U)|0;ZN(V,54256);if((yD(g,bD(tc,V)|0)|0)==0){c[Y>>2]=R;tc=gD(Q,Y)|0;ZN(Z,38680);vc=bD(tc,Z)|0;wc=1;xc=0}else{c[W>>2]=R;tc=gD(Q,W)|0;ZN(X,54256);vc=bD(g,bD(tc,X)|0)|0;wc=0;xc=1}eO(sc,vc)|0;if(wc){dO(Z)}if(xc){dO(X)}dO(V);dO(T);c[_>>2]=R;sc=gD(uc,_)|0;ZN($,38680);tc=bD(sc,$)|0;c[aa>>2]=R;sc=gD(uc,aa)|0;ZN(ba,54256);if((yD(g,bD(sc,ba)|0)|0)==0){c[ea>>2]=R;sc=gD(uc,ea)|0;ZN(fa,38680);yc=bD(sc,fa)|0;zc=1;Ac=0}else{c[ca>>2]=R;sc=gD(uc,ca)|0;ZN(da,54256);yc=bD(g,bD(sc,da)|0)|0;zc=0;Ac=1}eO(tc,yc)|0;if(zc){dO(fa)}if(Ac){dO(da)}dO(ba);dO($);tc=R+1|0;sc=c[O>>2]|0;if((tc|0)<(sc|0)){R=tc}else{Bc=sc;break}}}else{Bc=P}P=b+108|0;if(((c[P>>2]|0)-(Bc<<1)|0)>0){Bc=a+48|0;R=0;do{c[ga>>2]=R;$=gD(Bc,ga)|0;ZN(ha,38680);ba=bD($,ha)|0;c[ia>>2]=R;$=gD(Bc,ia)|0;ZN(ja,54256);if((yD(g,bD($,ja)|0)|0)==0){c[ma>>2]=R;$=gD(Bc,ma)|0;ZN(na,38680);Cc=bD($,na)|0;Dc=1;Ec=0}else{c[ka>>2]=R;$=gD(Bc,ka)|0;ZN(la,54256);Cc=bD(g,bD($,la)|0)|0;Dc=0;Ec=1}eO(ba,Cc)|0;if(Dc){dO(na)}if(Ec){dO(la)}dO(ja);dO(ha);R=R+1|0;}while((R|0)<((c[P>>2]|0)-(c[O>>2]<<1)|0))}O=b+116|0;if((c[O>>2]|0)>0){P=a+84|0;R=0;do{c[oa>>2]=R;ha=gD(P,oa)|0;ZN(pa,38680);ja=bD(ha,pa)|0;c[qa>>2]=R;ha=gD(P,qa)|0;ZN(ra,54256);if((yD(g,bD(ha,ra)|0)|0)==0){c[ua>>2]=R;ha=gD(P,ua)|0;ZN(va,38680);Fc=bD(ha,va)|0;Gc=1;Hc=0}else{c[sa>>2]=R;ha=gD(P,sa)|0;ZN(ta,54256);Fc=bD(g,bD(ha,ta)|0)|0;Gc=0;Hc=1}eO(ja,Fc)|0;if(Gc){dO(va)}if(Hc){dO(ta)}dO(ra);dO(pa);R=R+1|0;}while((R|0)<(c[O>>2]|0))}O=b+120|0;if((c[O>>2]|0)>0){R=a+120|0;pa=0;do{c[wa>>2]=pa;ra=gD(R,wa)|0;ZN(xa,38680);ta=bD(ra,xa)|0;c[ya>>2]=pa;ra=gD(R,ya)|0;ZN(za,54256);if((yD(g,bD(ra,za)|0)|0)==0){c[Ca>>2]=pa;ra=gD(R,Ca)|0;ZN(Da,38680);Jc=bD(ra,Da)|0;Kc=1;Lc=0}else{c[Aa>>2]=pa;ra=gD(R,Aa)|0;ZN(Ba,54256);Jc=bD(g,bD(ra,Ba)|0)|0;Kc=0;Lc=1}eO(ta,Jc)|0;if(Kc){dO(Da)}if(Lc){dO(Ba)}dO(za);dO(xa);pa=pa+1|0;}while((pa|0)<(c[O>>2]|0))}O=b+124|0;if((c[O>>2]|0)>0){pa=a+156|0;xa=0;do{c[Ea>>2]=xa;za=gD(pa,Ea)|0;ZN(Fa,38680);Ba=bD(za,Fa)|0;c[Ga>>2]=xa;za=gD(pa,Ga)|0;ZN(Ha,54256);if((yD(g,bD(za,Ha)|0)|0)==0){c[Ka>>2]=xa;za=gD(pa,Ka)|0;ZN(La,38680);Mc=bD(za,La)|0;Nc=1;Oc=0}else{c[Ia>>2]=xa;za=gD(pa,Ia)|0;ZN(Ja,54256);Mc=bD(g,bD(za,Ja)|0)|0;Nc=0;Oc=1}eO(Ba,Mc)|0;if(Nc){dO(La)}if(Oc){dO(Ja)}dO(Ha);dO(Fa);xa=xa+1|0;}while((xa|0)<(c[O>>2]|0))}O=b+128|0;if((c[O>>2]|0)>0){xa=a+60|0;Fa=0;do{c[Ma>>2]=Fa;Ha=gD(xa,Ma)|0;ZN(Na,38680);Ja=bD(Ha,Na)|0;c[Oa>>2]=Fa;Ha=gD(xa,Oa)|0;ZN(Pa,54256);if((yD(g,bD(Ha,Pa)|0)|0)==0){c[Sa>>2]=Fa;Ha=gD(xa,Sa)|0;ZN(Ta,38680);Pc=bD(Ha,Ta)|0;Qc=1;Rc=0}else{c[Qa>>2]=Fa;Ha=gD(xa,Qa)|0;ZN(Ra,54256);Pc=bD(g,bD(Ha,Ra)|0)|0;Qc=0;Rc=1}eO(Ja,Pc)|0;if(Qc){dO(Ta)}if(Rc){dO(Ra)}dO(Pa);dO(Na);Fa=Fa+1|0;}while((Fa|0)<(c[O>>2]|0))}O=b+132|0;if((c[O>>2]|0)>0){Fa=a+96|0;Na=0;do{c[Ua>>2]=Na;Pa=gD(Fa,Ua)|0;ZN(Va,38680);Ra=bD(Pa,Va)|0;c[Xa>>2]=Na;Pa=gD(Fa,Xa)|0;ZN(Ya,54256);if((yD(g,bD(Pa,Ya)|0)|0)==0){c[$a>>2]=Na;Pa=gD(Fa,$a)|0;ZN(ab,38680);Sc=bD(Pa,ab)|0;Tc=1;Uc=0}else{c[Za>>2]=Na;Pa=gD(Fa,Za)|0;ZN(_a,54256);Sc=bD(g,bD(Pa,_a)|0)|0;Tc=0;Uc=1}eO(Ra,Sc)|0;if(Tc){dO(ab)}if(Uc){dO(_a)}dO(Ya);dO(Va);Na=Na+1|0;}while((Na|0)<(c[O>>2]|0))}O=b+136|0;if((c[O>>2]|0)>0){Na=a+132|0;Va=0;do{c[bb>>2]=Va;Ya=gD(Na,bb)|0;ZN(cb,38680);_a=bD(Ya,cb)|0;c[db>>2]=Va;Ya=gD(Na,db)|0;ZN(eb,54256);if((yD(g,bD(Ya,eb)|0)|0)==0){c[hb>>2]=Va;Ya=gD(Na,hb)|0;ZN(ib,38680);Vc=bD(Ya,ib)|0;Wc=1;Xc=0}else{c[fb>>2]=Va;Ya=gD(Na,fb)|0;ZN(gb,54256);Vc=bD(g,bD(Ya,gb)|0)|0;Wc=0;Xc=1}eO(_a,Vc)|0;if(Wc){dO(ib)}if(Xc){dO(gb)}dO(eb);dO(cb);Va=Va+1|0;}while((Va|0)<(c[O>>2]|0))}O=b+140|0;if((c[O>>2]|0)>0){Va=a+168|0;cb=0;do{c[jb>>2]=cb;eb=gD(Va,jb)|0;ZN(kb,38680);gb=bD(eb,kb)|0;c[lb>>2]=cb;eb=gD(Va,lb)|0;ZN(mb,54256);if((yD(g,bD(eb,mb)|0)|0)==0){c[pb>>2]=cb;eb=gD(Va,pb)|0;ZN(qb,38680);Yc=bD(eb,qb)|0;Zc=1;_c=0}else{c[nb>>2]=cb;eb=gD(Va,nb)|0;ZN(ob,54256);Yc=bD(g,bD(eb,ob)|0)|0;Zc=0;_c=1}eO(gb,Yc)|0;if(Zc){dO(qb)}if(_c){dO(ob)}dO(mb);dO(kb);cb=cb+1|0;}while((cb|0)<(c[O>>2]|0))}O=b+208|0;if((c[O>>2]|0)>0){cb=a+72|0;kb=0;do{c[rb>>2]=kb;mb=gD(cb,rb)|0;ZN(sb,38680);ob=bD(mb,sb)|0;c[tb>>2]=kb;mb=gD(cb,tb)|0;ZN(ub,54256);if((yD(g,bD(mb,ub)|0)|0)==0){c[xb>>2]=kb;mb=gD(cb,xb)|0;ZN(yb,38680);$c=bD(mb,yb)|0;ad=1;bd=0}else{c[vb>>2]=kb;mb=gD(cb,vb)|0;ZN(wb,54256);$c=bD(g,bD(mb,wb)|0)|0;ad=0;bd=1}eO(ob,$c)|0;if(ad){dO(yb)}if(bd){dO(wb)}dO(ub);dO(sb);kb=kb+1|0;}while((kb|0)<(c[O>>2]|0))}O=b+212|0;if((c[O>>2]|0)>0){kb=a+108|0;sb=0;do{c[zb>>2]=sb;ub=gD(kb,zb)|0;ZN(Ab,38680);wb=bD(ub,Ab)|0;c[Bb>>2]=sb;ub=gD(kb,Bb)|0;ZN(Cb,54256);if((yD(g,bD(ub,Cb)|0)|0)==0){c[Fb>>2]=sb;ub=gD(kb,Fb)|0;ZN(Gb,38680);cd=bD(ub,Gb)|0;dd=1;ed=0}else{c[Db>>2]=sb;ub=gD(kb,Db)|0;ZN(Eb,54256);cd=bD(g,bD(ub,Eb)|0)|0;dd=0;ed=1}eO(wb,cd)|0;if(dd){dO(Gb)}if(ed){dO(Eb)}dO(Cb);dO(Ab);sb=sb+1|0;}while((sb|0)<(c[O>>2]|0))}O=b+216|0;if((c[O>>2]|0)>0){sb=a+144|0;Ab=0;do{c[Hb>>2]=Ab;Cb=gD(sb,Hb)|0;ZN(Ib,38680);Eb=bD(Cb,Ib)|0;c[Jb>>2]=Ab;Cb=gD(sb,Jb)|0;ZN(Kb,54256);if((yD(g,bD(Cb,Kb)|0)|0)==0){c[Nb>>2]=Ab;Cb=gD(sb,Nb)|0;ZN(Ob,38680);fd=bD(Cb,Ob)|0;gd=1;hd=0}else{c[Lb>>2]=Ab;Cb=gD(sb,Lb)|0;ZN(Mb,54256);fd=bD(g,bD(Cb,Mb)|0)|0;gd=0;hd=1}eO(Eb,fd)|0;if(gd){dO(Ob)}if(hd){dO(Mb)}dO(Kb);dO(Ib);Ab=Ab+1|0;}while((Ab|0)<(c[O>>2]|0))}O=b+220|0;if((c[O>>2]|0)>0){b=a+180|0;a=0;do{c[Pb>>2]=a;Ab=gD(b,Pb)|0;ZN(Qb,38680);Ib=bD(Ab,Qb)|0;c[Rb>>2]=a;Ab=gD(b,Rb)|0;ZN(Sb,54256);if((yD(g,bD(Ab,Sb)|0)|0)==0){c[Vb>>2]=a;Ab=gD(b,Vb)|0;ZN(Wb,38680);id=bD(Ab,Wb)|0;jd=1;kd=0}else{c[Tb>>2]=a;Ab=gD(b,Tb)|0;ZN(Ub,54256);id=bD(g,bD(Ab,Ub)|0)|0;jd=0;kd=1}eO(Ib,id)|0;if(jd){dO(Wb)}if(kd){dO(Ub)}dO(Sb);dO(Qb);a=a+1|0;}while((a|0)<(c[O>>2]|0))}Au(23,0,1596040,(Zb=i,i=i+1|0,i=i+7&-8,c[Zb>>2]=0,Zb)|0);i=Zb;dO(n);dO(m);zD(g);i=f;return}function dD(a,b,c){a=a|0;b=b|0;c=+c;if((DO(a,1650608)|0)==0){h[b>>3]=c;return}if((DO(a,32336)|0)==0){h[b>>3]=1.0;return}if((DO(a,31976)|0)==0){h[b>>3]=0.0;return}else{h[b>>3]=+EY(AO(a)|0);return}}function eD(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;if((b|0)==0){Cu(22,0,1594304,(e=i,i=i+1|0,i=i+7&-8,c[e>>2]=0,e)|0);i=e;i=d;return}else{c[b>>2]=Ic(AO(a)|0)|0;i=d;return}}function fD(a,b,d){a=a|0;b=b|0;d=d|0;if((DO(a,1650608)|0)==0){c[b>>2]=d}if((DO(a,32336)|0)==0){c[b>>2]=1;return}if((DO(a,31976)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Oc(AO(a)|0)|0;return}}function gD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=PF(a,e,b)|0;k=c[j>>2]|0;Gz(d+8|0);if((k|0)!=0){l=k;m=l+20|0;i=d;return m|0}RF(h,a,b);SF(g,h);QF(f,g);TF(h);h=c[e>>2]|0;UF(a|0,h,j,VF(f)|0);j=WF(f)|0;TF(f);l=j;m=l+20|0;i=d;return m|0}function hD(a,b){a=a|0;b=b|0;if((DO(a,32336)|0)==0){c[b>>2]=1;return}if((DO(a,31976)|0)==0){c[b>>2]=0;return}else{c[b>>2]=Oc(AO(a)|0)|0;return}}function iD(b,c){b=b|0;c=c|0;a[c]=(DO(b,32336)|0)==0|0;return}function jD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0;d=i;i=i+56|0;e=d|0;f=d+16|0;g=d+32|0;h=d+40|0;j=rE(a,e,b)|0;k=c[j>>2]|0;Gz(d+8|0);if((k|0)!=0){l=k;m=l+28|0;i=d;return m|0}tE(h,a,b);uE(g,h);sE(f,g);vE(h);h=c[e>>2]|0;wE(a|0,h,j,xE(f)|0);j=yE(f)|0;vE(f);l=j;m=l+28|0;i=d;return m|0}function kD(a,b){a=a|0;b=b|0;eO(b,a)|0;return}function lD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=i;i=i+8|0;e=d|0;iE(e,b|0,c);aE(a,e);i=d;return}function mD(a,b){a=a|0;b=b|0;return _D(a|0,b|0)|0}function nD(a,b){a=a|0;b=b|0;var c=0,d=0;c=i;i=i+8|0;d=c|0;bE(d,b|0);aE(a,d);i=c;return}function oD(a){a=a|0;return XD(a|0)|0}function pD(a){a=a|0;uI(a);return}function qD(a){a=a|0;hI(a);return}function rD(a,b){a=a|0;b=b|0;QG(a,0);return}function sD(a){a=a|0;var b=0,d=0,e=0;b=a+108|0;aP(b);d=a|0;c[d>>2]=1615436;e=b|0;c[e>>2]=1615456;b=a+8|0;UP(a,1616396,b|0);c[d>>2]=1615436;c[e>>2]=1615456;nC(b);return}function tD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0;e=(Oz(a+8|0,b,d|8)|0)==0;d=a+(c[(c[a>>2]|0)-12>>2]|0)|0;if(e){TO(d,4);return}else{RO(d,0);return}}function uD(a){a=a|0;return SD(a+8|0)|0}function vD(a,b){a=a|0;b=b|0;return RD(a,b,_O(a+(c[(c[a>>2]|0)-12>>2]|0)|0,10)|0)|0}function wD(a){a=a|0;if((Qz(a+8|0)|0)!=0){return}TO(a+(c[(c[a>>2]|0)-12>>2]|0)|0,4);return}function xD(a){a=a|0;WD(a,1616392);XO(a+108|0);return}function yD(a,b){a=a|0;b=b|0;return AD(a|0,b)|0}function zD(a){a=a|0;YH(a);return}function AD(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0,h=0,j=0,k=0;d=i;i=i+8|0;e=d|0;f=CD(a)|0;Gz(e);if((f|0)==0){g=0;i=d;return g|0}h=DD(a)|0;a=f;while(1){f=a+16|0;if(ED(h,b,f)|0){j=a|0}else{if(!(FD(h,f,b)|0)){g=1;k=8;break}j=a+4|0}f=c[j>>2]|0;Gz(e);if((f|0)==0){g=0;k=8;break}else{a=f}}if((k|0)==8){i=d;return g|0}return 0}function BD(a){a=a|0;return rz(LD(a+4|0)|0)|0}function CD(a){a=a|0;return c[(BD(a)|0)>>2]|0}function DD(a){a=a|0;return JD(a+8|0)|0}function ED(a,b,c){a=a|0;b=b|0;c=c|0;return GD(0,b,c|0)|0}function FD(a,b,c){a=a|0;b=b|0;c=c|0;return GD(0,b|0,c)|0}function GD(a,b,c){a=a|0;b=b|0;c=c|0;return HD(b,c)|0}function HD(a,b){a=a|0;b=b|0;return(CO(a,b)|0)<0|0}function ID(a,b,c){a=a|0;b=b|0;c=c|0;return HY(a,b,c)|0}function JD(a){a=a|0;return KD(a|0)|0}function KD(a){a=a|0;return a|0}function LD(a){a=a|0;return MD(a|0)|0}function MD(a){a=a|0;return a|0}function ND(a,b){a=a|0;b=b|0;return PD(0,b,0)|0}function OD(b,c){b=b|0;c=c|0;a[b]=a[c]|0;return}function PD(a,b,c){a=a|0;b=b|0;c=c|0;return oY(b)|0}function QD(a){a=a|0;return KY(a|0)|0}function RD(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;e=i;i=i+8|0;f=e|0;ZP(f,a,1);if(!(aQ(f)|0)){i=e;return a|0}tO(b);f=a;g=a;h=0;while(1){j=gP(YO(g+(c[(c[f>>2]|0)-12>>2]|0)|0)|0)|0;if(AA(j,-1)|0){k=h;l=2;break}m=h+1|0;n=BA(j)|0;if(FA(n,d)|0){k=m;l=0;break}vO(b,n);if((bO(b)|0)==-17){k=m;l=4;break}else{h=m}}TO(g+(c[(c[f>>2]|0)-12>>2]|0)|0,(k|0)==0?l|4:l);i=e;return a|0}function SD(a){a=a|0;return(c[a+64>>2]|0)!=0|0}function TD(a){a=a|0;xD(a);qY(a);return}function UD(a){a=a|0;xD(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function VD(a){a=a|0;TD(a+(c[(c[a>>2]|0)-12>>2]|0)|0);return}function WD(a,b){a=a|0;b=b|0;var d=0;d=c[b>>2]|0;c[a>>2]=d;c[a+(c[d-12>>2]|0)>>2]=c[b+12>>2];oA(a+8|0);return}function XD(a){a=a|0;return YD((c[a>>2]|0)+16|0)|0}function YD(a){a=a|0;return ZD(a)|0}function ZD(a){a=a|0;return a|0}function _D(a,b){a=a|0;b=b|0;return($D(a,b)|0)^1|0}function $D(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function aE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];hE(a,b);i=d;return}function bE(a,b){a=a|0;b=b|0;cE(a,dE(b)|0);return}function cE(a,b){a=a|0;b=b|0;gE(a,b);return}function dE(a){a=a|0;return rz(eE(a+4|0)|0)|0}function eE(a){a=a|0;return fE(a|0)|0}function fE(a){a=a|0;return a|0}function gE(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function hE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function iE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=kE(b)|0;jE(f,b,d,h,dE(b)|0);bE(g,b);do{if(_D(f,g)|0){h=lE(b)|0;if(mE(h,d,nE(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);bE(a,b);i=e;return}function jE(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Gz(h);a:do{if((e|0)==0){j=f}else{k=lE(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(qE(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Gz(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Gz(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);cE(a,j);i=g;return}function kE(a){a=a|0;return c[(dE(a)|0)>>2]|0}function lE(a){a=a|0;return oE(a+8|0)|0}function mE(a,b,c){a=a|0;b=b|0;c=c|0;return GD(0,b,c|0)|0}function nE(a){a=a|0;return(c[a>>2]|0)+16|0}function oE(a){a=a|0;return pE(a|0)|0}function pE(a){a=a|0;return a|0}function qE(a,b,c){a=a|0;b=b|0;c=c|0;return GD(0,b|0,c)|0}function rE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;e=i;i=i+24|0;f=e+8|0;g=e+16|0;h=a|0;a=kE(h)|0;Gz(e|0);if((a|0)==0){j=dE(h)|0;c[b>>2]=j;k=j|0;i=e;return k|0}else{l=a}while(1){a=l+16|0;if(GD(0,d,a)|0){m=l|0;j=c[m>>2]|0;Gz(f);if((j|0)==0){n=4;break}else{o=m}}else{p=l|0;if(!(GD(0,a,d)|0)){n=9;break}q=l+4|0;a=c[q>>2]|0;Gz(g);if((a|0)==0){n=8;break}else{o=q}}l=c[o>>2]|0}if((n|0)==4){c[b>>2]=l;k=m;i=e;return k|0}else if((n|0)==8){c[b>>2]=p;k=q;i=e;return k|0}else if((n|0)==9){c[b>>2]=p;k=b;i=e;return k|0}return 0}function sE(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];nF(a,b);i=d;return}function tE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,k=0;e=i;i=i+48|0;f=e|0;g=e+16|0;h=e+24|0;j=e+32|0;k=UE(c|0)|0;c=WE(k,1)|0;XE(g,k);VE(f,c,g);YE(0,NE((ZE(f)|0)+16|0)|0,d);d=_E(f)|0;a[d+4|0]=1;$E(0,LE((ZE(f)|0)+28|0)|0);a[d+5|0]=1;aF(j,f);uE(h,j);sE(b,h);vE(j);vE(f);i=e;return}function uE(a,b){a=a|0;b=b|0;SE(a,b);return}function vE(a){a=a|0;HE(a);return}function wE(a,b,d,e){a=a|0;b=b|0;d=d|0;e=e|0;var f=0;f=i;i=i+24|0;Gz(f|0);c[e>>2]=0;Gz(f+8|0);c[e+4>>2]=0;c[e+8>>2]=b;c[d>>2]=e;e=DE(a)|0;b=c[c[e>>2]>>2]|0;Gz(f+16|0);if((b|0)!=0){c[e>>2]=c[c[e>>2]>>2]}e=c[(dE(a)|0)>>2]|0;qB(e,c[d>>2]|0);d=EE(a)|0;c[d>>2]=(c[d>>2]|0)+1;i=f;return}function xE(a){a=a|0;return c[(BE(a|0)|0)>>2]|0}function yE(a){a=a|0;var b=0;b=zE(a|0)|0;a=c[b>>2]|0;c[b>>2]=0;return a|0}function zE(a){a=a|0;return AE(a|0)|0}function AE(a){a=a|0;return a|0}function BE(a){a=a|0;return CE(a|0)|0}function CE(a){a=a|0;return a|0}function DE(a){a=a|0;return a|0}function EE(a){a=a|0;return FE(a+8|0)|0}function FE(a){a=a|0;return GE(a|0)|0}function GE(a){a=a|0;return a|0}function HE(a){a=a|0;IE(a,0);return}function IE(a,b){a=a|0;b=b|0;var d=0,e=0;d=a|0;a=zE(d)|0;e=c[a>>2]|0;c[a>>2]=b;if((e|0)==0){return}KE(JE(d)|0,e);return}function JE(a){a=a|0;return RE(a|0)|0}function KE(b,d){b=b|0;d=d|0;var e=0;if((a[b+4|0]|0)!=0){e=c[b>>2]|0;ME(e,NE(d+16|0)|0)}if((d|0)==0){return}OE(c[b>>2]|0,d,1);return}function LE(a){a=a|0;return a|0}function ME(a,b){a=a|0;b=b|0;a=i;i=i+8|0;QE(a|0,0,b);i=a;return}function NE(a){a=a|0;return a|0}function OE(a,b,c){a=a|0;b=b|0;c=c|0;PE(0,b,0);return}function PE(a,b,c){a=a|0;b=b|0;c=c|0;qY(b);return}function QE(b,c,d){b=b|0;c=c|0;d=d|0;var e=0;c=i;e=b;b=i;i=i+1|0;i=i+7&-8;a[b]=a[e]|0;dO(d);i=c;return}function RE(a){a=a|0;return a+4|0}function SE(a,b){a=a|0;b=b|0;TE(a,b);return}function TE(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function UE(a){a=a|0;return lF(a+4|0)|0}function VE(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];dF(a,b,d);i=e;return}function WE(a,b){a=a|0;b=b|0;return cF(0,b,0)|0}function XE(a,b){a=a|0;b=b|0;bF(a,b);return}function YE(a,b,c){a=a|0;b=b|0;c=c|0;if((b|0)==0){return}VN(b,c);return}function ZE(a){a=a|0;return c[(BE(a|0)|0)>>2]|0}function _E(a){a=a|0;return JE(a|0)|0}function $E(a,b){a=a|0;b=b|0;if((b|0)==0){return}c[b>>2]=0;return}function aF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=i;i=i+32|0;d=c|0;e=c+8|0;f=c+24|0;SE(f,b);sE(e,f);uE(d,e);sE(a,d);vE(e);i=c;return}function bF(b,d){b=b|0;d=d|0;c[b>>2]=d;a[b+4|0]=0;a[b+5|0]=0;return}function cF(a,b,c){a=a|0;b=b|0;c=c|0;return oY(b<<5)|0}function dF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(fF(f)|0)>>2]|0;f=gF(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;eF(a|0,b,g);i=e;return}function eF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];hF(a,b,d);i=e;return}function fF(a){a=a|0;return a|0}function gF(a){a=a|0;return a|0}function hF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0;e=i;i=i+16|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;g=e+8|0;c[f>>2]=b;b=c[(jF(f)|0)>>2]|0;f=kF(d)|0;d=c[f+4>>2]|0;c[g>>2]=c[f>>2];c[g+4>>2]=d;iF(a|0,b,g);i=e;return}function iF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0;e=i;i=i+8|0;f=d;d=i;i=i+8|0;c[d>>2]=c[f>>2];c[d+4>>2]=c[f+4>>2];f=e|0;c[f>>2]=b;c[a>>2]=c[(jF(f)|0)>>2];f=kF(d)|0;d=a+4|0;a=c[f+4>>2]|0;c[d>>2]=c[f>>2];c[d+4>>2]=a;i=e;return}function jF(a){a=a|0;return a|0}function kF(a){a=a|0;return a|0}function lF(a){a=a|0;return mF(a|0)|0}function mF(a){a=a|0;return a|0}function nF(a,b){a=a|0;b=b|0;var d=0,e=0,f=0,g=0;d=i;i=i+8|0;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];e=d|0;f=yE(oF(b)|0)|0;g=kF(_E(oF(b)|0)|0)|0;b=c[g+4>>2]|0;c[e>>2]=c[g>>2];c[e+4>>2]=b;eF(a|0,f,e);i=d;return}function oF(a){a=a|0;return c[a>>2]|0}function pF(a,b){a=a|0;b=b|0;return(c[a>>2]|0)==(c[b>>2]|0)|0}function qF(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];xF(a,b);i=d;return}function rF(a,b){a=a|0;b=b|0;sF(a,tF(b)|0);return}function sF(a,b){a=a|0;b=b|0;wF(a,b);return}function tF(a){a=a|0;return rz(uF(a+4|0)|0)|0}function uF(a){a=a|0;return vF(a|0)|0}function vF(a){a=a|0;return a|0}function wF(a,b){a=a|0;b=b|0;c[a>>2]=b;return}function xF(a,b){a=a|0;b=b|0;var d=0,e=0;d=i;e=b;b=i;i=i+4|0;i=i+7&-8;c[b>>2]=c[e>>2];c[a>>2]=c[b>>2];i=d;return}function yF(a,b,d){a=a|0;b=b|0;d=d|0;var e=0,f=0,g=0,h=0;e=i;i=i+16|0;f=e|0;g=e+8|0;h=AF(b)|0;zF(f,b,d,h,tF(b)|0);rF(g,b);do{if(BF(f,g)|0){h=CF(b)|0;if(ED(h,d,DF(f)|0)|0){break}c[a>>2]=c[f>>2];i=e;return}}while(0);rF(a,b);i=e;return}function zF(a,b,d,e,f){a=a|0;b=b|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,k=0,l=0,m=0,n=0,o=0;g=i;i=i+8|0;h=g|0;Gz(h);a:do{if((e|0)==0){j=f}else{k=CF(b)|0;l=e;m=f;while(1){n=l;while(1){if(!(FD(k,n+16|0,d)|0)){break}o=c[n+4>>2]|0;Gz(h);if((o|0)==0){j=m;break a}else{n=o}}o=c[n>>2]|0;Gz(h);if((o|0)==0){j=n;break}else{l=o;m=n}}}}while(0);sF(a,j);i=g;return}function AF(a){a=a|0;return c[(tF(a)|0)>>2]|0}function BF(a,b){a=a|0;b=b|0;return(pF(a,b)|0)^1|0}function CF(a){a=a|0;return EF(a+8|0)|0}function DF(a){a=a|0;return(c[a>>2]|0)+16|0}function EF(a){a=a|0;return FF(a|0)|0}function FF(a){a=a|0;return a|0}function GF(a,b){a=a|0;b=b|0;b=i;i=i+8|0;HF(a|0,b|0);i=b;return}function HF(a,b){a=a|0;b=b|0;IF(a,0);return}function IF(a,b){a=a|0;b=b|0;var d=0;b=i;i=i+8|0;JF(a+4|0);KF(a+8|0,0,b|0);d=dE(a)|0;c[(DE(a)|0)>>2]=d;i=b;return}function JF(a){a=a|0;NF(a);return}function KF(b,c,d){b=b|0;c=c|0;d=d|0;var e=0,f=0;e=i;f=d;d=i;i=i+1|0;i=i+7&-8;a[d]=a[f]|0;LF(b,c,d);i=e;return}function LF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+16|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;MF(b|0,c[(iC(g)|0)>>2]|0,f+8|0);i=f;return}function MF(b,d,e){b=b|0;d=d|0;e=e|0;var f=0,g=0;f=i;i=i+8|0;g=e;e=i;i=i+1|0;i=i+7&-8;a[e]=a[g]|0;g=f|0;c[g>>2]=d;c[b>>2]=c[(iC(g)|0)>>2];i=f;return}function NF(a){a=a|0;OF(a|0);return}function OF(a){a=a|0;lC(a|0);return}function _read_input_xml$0(b){b=b|0;var d=0,e=0,f=0,g=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0,y=0,z=0;d=c[b+9720>>2]|0;e=c[b+9760>>2]|0;f=c[b+12744>>2]|0;a:do{if((c[(d+120|0)>>2]|0)>0){g=(b|0)+120|0;j=0;do{c[(b+4576|0)>>2]=j;k=gD(g,b+4576|0)|0;ZN(b+4584|0,54256);VN(b+4560|0,bD(k,b+4584|0)|0);eD(b+4560|0,(c[(d+8|0)>>2]|0)+(j*48|0)+4|0);dO(b+4560|0);dO(b+4584|0);c[(b+4616|0)>>2]=j;k=gD(g,b+4616|0)|0;ZN(b+4624|0,52016);VN(b+4600|0,bD(k,b+4624|0)|0);hD(b+4600|0,(c[(d+8|0)>>2]|0)+(j*48|0)|0);dO(b+4600|0);dO(b+4624|0);c[(b+4656|0)>>2]=j;k=gD(g,b+4656|0)|0;ZN(b+4664|0,50368);VN(b+4640|0,bD(k,b+4664|0)|0);eD(b+4640|0,(c[(d+8|0)>>2]|0)+(j*48|0)+8|0);dO(b+4640|0);dO(b+4664|0);c[(b+4696|0)>>2]=j;k=gD(g,b+4696|0)|0;ZN(b+4704|0,48872);VN(b+4680|0,bD(k,b+4704|0)|0);eD(b+4680|0,(c[(d+8|0)>>2]|0)+(j*48|0)+12|0);dO(b+4680|0);dO(b+4704|0);c[(b+4736|0)>>2]=j;k=gD(g,b+4736|0)|0;ZN(b+4744|0,47408);VN(b+4720|0,bD(k,b+4744|0)|0);fD(b+4720|0,(c[(d+8|0)>>2]|0)+(j*48|0)+16|0,0);dO(b+4720|0);dO(b+4744|0);c[(b+4776|0)>>2]=j;k=gD(g,b+4776|0)|0;ZN(b+4784|0,46104);VN(b+4760|0,bD(k,b+4784|0)|0);fD(b+4760|0,(c[(d+8|0)>>2]|0)+(j*48|0)+20|0,0);dO(b+4760|0);dO(b+4784|0);c[(b+4816|0)>>2]=j;k=gD(g,b+4816|0)|0;ZN(b+4824|0,43680);VN(b+4800|0,bD(k,b+4824|0)|0);fD(b+4800|0,(c[(d+8|0)>>2]|0)+(j*48|0)+24|0,0);dO(b+4800|0);dO(b+4824|0);c[(b+4856|0)>>2]=j;k=gD(g,b+4856|0)|0;ZN(b+4864|0,42192);VN(b+4840|0,bD(k,b+4864|0)|0);fD(b+4840|0,(c[(d+8|0)>>2]|0)+(j*48|0)+28|0,0);dO(b+4840|0);dO(b+4864|0);c[(b+4896|0)>>2]=j;k=gD(g,b+4896|0)|0;ZN(b+4904|0,40792);VN(b+4880|0,bD(k,b+4904|0)|0);fD(b+4880|0,(c[(d+8|0)>>2]|0)+(j*48|0)+32|0,0);dO(b+4880|0);dO(b+4904|0);c[(b+4936|0)>>2]=j;k=gD(g,b+4936|0)|0;ZN(b+4944|0,39240);VN(b+4920|0,bD(k,b+4944|0)|0);iD(b+4920|0,(c[(d+8|0)>>2]|0)+(j*48|0)+41|0);dO(b+4920|0);dO(b+4944|0);c[(b+4976|0)>>2]=j;k=gD(g,b+4976|0)|0;ZN(b+4984|0,38680);VN(b+4960|0,bD(k,b+4984|0)|0);iD(b+4960|0,(c[(d+8|0)>>2]|0)+(j*48|0)+42|0);dO(b+4960|0);dO(b+4984|0);c[(b+5016|0)>>2]=j;k=gD(g,b+5016|0)|0;ZN(b+5024|0,38152);VN(b+5e3|0,bD(k,b+5024|0)|0);iD(b+5e3|0,(c[(d+8|0)>>2]|0)+(j*48|0)+40|0);dO(b+5e3|0);dO(b+5024|0);k=c[(d+8|0)>>2]|0;l=(a[k+(j*48|0)+41|0]|0)!=0;m=(a[k+(j*48|0)+42|0]|0)!=0?32336:31976;n=(a[k+(j*48|0)+40|0]|0)!=0?32336:31976;Au(4,0,25120,(f=i,i=i+40|0,c[f>>2]=c[k+(j*48|0)+4>>2],c[f+8>>2]=l?1650608:33328,c[f+16>>2]=m,c[f+24>>2]=l?1650608:32856,c[f+32>>2]=n,f)|0);i=f;n=c[(d+8|0)>>2]|0;l=c[n+(j*48|0)+4>>2]|0;if((a[l]|0)==36){a[n+(j*48|0)+44|0]=1;o=c[(c[(d+8|0)>>2]|0)+(j*48|0)+4>>2]|0}else{o=l}ZN(b+5040|0,o);c[(jD(b+216|0,b+5040|0)|0)>>2]=j;dO(b+5040|0);j=j+1|0;}while((j|0)<(c[(d+120|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,24056,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+124|0)>>2]|0)>0){j=(b|0)+156|0;g=0;do{c[(b+5072|0)>>2]=g;l=gD(j,b+5072|0)|0;ZN(b+5080|0,54256);VN(b+5056|0,bD(l,b+5080|0)|0);eD(b+5056|0,(c[(d+12|0)>>2]|0)+(g*52|0)+4|0);dO(b+5056|0);dO(b+5080|0);c[(b+5112|0)>>2]=g;l=gD(j,b+5112|0)|0;ZN(b+5120|0,52016);VN(b+5096|0,bD(l,b+5120|0)|0);hD(b+5096|0,(c[(d+12|0)>>2]|0)+(g*52|0)|0);dO(b+5096|0);dO(b+5120|0);c[(b+5152|0)>>2]=g;l=gD(j,b+5152|0)|0;ZN(b+5160|0,50368);VN(b+5136|0,bD(l,b+5160|0)|0);eD(b+5136|0,(c[(d+12|0)>>2]|0)+(g*52|0)+8|0);dO(b+5136|0);dO(b+5160|0);c[(b+5192|0)>>2]=g;l=gD(j,b+5192|0)|0;ZN(b+5200|0,48872);VN(b+5176|0,bD(l,b+5200|0)|0);eD(b+5176|0,(c[(d+12|0)>>2]|0)+(g*52|0)+12|0);dO(b+5176|0);dO(b+5200|0);c[(b+5232|0)>>2]=g;l=gD(j,b+5232|0)|0;ZN(b+5240|0,47408);VN(b+5216|0,bD(l,b+5240|0)|0);fD(b+5216|0,(c[(d+12|0)>>2]|0)+(g*52|0)+16|0,0);dO(b+5216|0);dO(b+5240|0);c[(b+5272|0)>>2]=g;l=gD(j,b+5272|0)|0;ZN(b+5280|0,46104);VN(b+5256|0,bD(l,b+5280|0)|0);fD(b+5256|0,(c[(d+12|0)>>2]|0)+(g*52|0)+20|0,0);dO(b+5256|0);dO(b+5280|0);c[(b+5312|0)>>2]=g;l=gD(j,b+5312|0)|0;ZN(b+5320|0,43680);VN(b+5296|0,bD(l,b+5320|0)|0);fD(b+5296|0,(c[(d+12|0)>>2]|0)+(g*52|0)+24|0,0);dO(b+5296|0);dO(b+5320|0);c[(b+5352|0)>>2]=g;l=gD(j,b+5352|0)|0;ZN(b+5360|0,42192);VN(b+5336|0,bD(l,b+5360|0)|0);fD(b+5336|0,(c[(d+12|0)>>2]|0)+(g*52|0)+28|0,0);dO(b+5336|0);dO(b+5360|0);c[(b+5392|0)>>2]=g;l=gD(j,b+5392|0)|0;ZN(b+5400|0,40792);VN(b+5376|0,bD(l,b+5400|0)|0);fD(b+5376|0,(c[(d+12|0)>>2]|0)+(g*52|0)+32|0,0);dO(b+5376|0);dO(b+5400|0);c[(b+5432|0)>>2]=g;l=gD(j,b+5432|0)|0;ZN(b+5440|0,39240);VN(b+5416|0,bD(l,b+5440|0)|0);iD(b+5416|0,(c[(d+12|0)>>2]|0)+(g*52|0)+40|0);dO(b+5416|0);dO(b+5440|0);c[(b+5472|0)>>2]=g;l=gD(j,b+5472|0)|0;ZN(b+5480|0,38680);VN(b+5456|0,bD(l,b+5480|0)|0);eD(b+5456|0,(c[(d+12|0)>>2]|0)+(g*52|0)+44|0);dO(b+5456|0);dO(b+5480|0);l=c[(d+12|0)>>2]|0;n=(a[l+(g*52|0)+40|0]|0)!=0;m=c[l+(g*52|0)+44>>2]|0;Au(4,0,23512,(f=i,i=i+32|0,c[f>>2]=c[l+(g*52|0)+4>>2],c[f+8>>2]=n?1650608:33328,c[f+16>>2]=m,c[f+24>>2]=n?1650608:32856,f)|0);i=f;n=c[(d+12|0)>>2]|0;m=c[n+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[n+(g*52|0)+48|0]=1;p=c[(c[(d+12|0)>>2]|0)+(g*52|0)+4>>2]|0}else{p=m}ZN(b+5496|0,p);c[(jD(b+216|0,b+5496|0)|0)>>2]=g;dO(b+5496|0);g=g+1|0;}while((g|0)<(c[(d+124|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,22536,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+128|0)>>2]|0)>0){g=(b|0)+60|0;j=0;do{c[(b+5528|0)>>2]=j;m=gD(g,b+5528|0)|0;ZN(b+5536|0,54256);VN(b+5512|0,bD(m,b+5536|0)|0);eD(b+5512|0,(c[(d+16|0)>>2]|0)+(j*112|0)+4|0);dO(b+5512|0);dO(b+5536|0);c[(b+5568|0)>>2]=j;m=gD(g,b+5568|0)|0;ZN(b+5576|0,52016);VN(b+5552|0,bD(m,b+5576|0)|0);hD(b+5552|0,(c[(d+16|0)>>2]|0)+(j*112|0)|0);dO(b+5552|0);dO(b+5576|0);c[(b+5608|0)>>2]=j;m=gD(g,b+5608|0)|0;ZN(b+5616|0,50368);VN(b+5592|0,bD(m,b+5616|0)|0);eD(b+5592|0,(c[(d+16|0)>>2]|0)+(j*112|0)+8|0);dO(b+5592|0);dO(b+5616|0);c[(b+5648|0)>>2]=j;m=gD(g,b+5648|0)|0;ZN(b+5656|0,48872);VN(b+5632|0,bD(m,b+5656|0)|0);eD(b+5632|0,(c[(d+16|0)>>2]|0)+(j*112|0)+12|0);dO(b+5632|0);dO(b+5656|0);c[(b+5688|0)>>2]=j;m=gD(g,b+5688|0)|0;ZN(b+5696|0,47408);VN(b+5672|0,bD(m,b+5696|0)|0);fD(b+5672|0,(c[(d+16|0)>>2]|0)+(j*112|0)+16|0,0);dO(b+5672|0);dO(b+5696|0);c[(b+5728|0)>>2]=j;m=gD(g,b+5728|0)|0;ZN(b+5736|0,46104);VN(b+5712|0,bD(m,b+5736|0)|0);fD(b+5712|0,(c[(d+16|0)>>2]|0)+(j*112|0)+20|0,0);dO(b+5712|0);dO(b+5736|0);c[(b+5768|0)>>2]=j;m=gD(g,b+5768|0)|0;ZN(b+5776|0,43680);VN(b+5752|0,bD(m,b+5776|0)|0);fD(b+5752|0,(c[(d+16|0)>>2]|0)+(j*112|0)+24|0,0);dO(b+5752|0);dO(b+5776|0);c[(b+5808|0)>>2]=j;m=gD(g,b+5808|0)|0;ZN(b+5816|0,42192);VN(b+5792|0,bD(m,b+5816|0)|0);fD(b+5792|0,(c[(d+16|0)>>2]|0)+(j*112|0)+28|0,0);dO(b+5792|0);dO(b+5816|0);c[(b+5848|0)>>2]=j;m=gD(g,b+5848|0)|0;ZN(b+5856|0,40792);VN(b+5832|0,bD(m,b+5856|0)|0);fD(b+5832|0,(c[(d+16|0)>>2]|0)+(j*112|0)+32|0,0);dO(b+5832|0);dO(b+5856|0);c[(b+5888|0)>>2]=j;m=gD(g,b+5888|0)|0;ZN(b+5896|0,39240);VN(b+5872|0,bD(m,b+5896|0)|0);iD(b+5872|0,(c[(d+16|0)>>2]|0)+(j*112|0)+88|0);dO(b+5872|0);dO(b+5896|0);c[(b+5928|0)>>2]=j;m=gD(g,b+5928|0)|0;ZN(b+5936|0,38680);VN(b+5912|0,bD(m,b+5936|0)|0);dD(b+5912|0,(c[(d+16|0)>>2]|0)+(j*112|0)+96|0,0.0);dO(b+5912|0);dO(b+5936|0);c[(b+5968|0)>>2]=j;m=gD(g,b+5968|0)|0;ZN(b+5976|0,38152);VN(b+5952|0,bD(m,b+5976|0)|0);iD(b+5952|0,(c[(d+16|0)>>2]|0)+(j*112|0)+72|0);dO(b+5952|0);dO(b+5976|0);c[(b+6008|0)>>2]=j;m=gD(g,b+6008|0)|0;ZN(b+6016|0,37208);VN(b+5992|0,bD(m,b+6016|0)|0);iD(b+5992|0,(c[(d+16|0)>>2]|0)+(j*112|0)+73|0);dO(b+5992|0);dO(b+6016|0);c[(b+6048|0)>>2]=j;m=gD(g,b+6048|0)|0;ZN(b+6056|0,36496);VN(b+6032|0,bD(m,b+6056|0)|0);dD(b+6032|0,(c[(d+16|0)>>2]|0)+(j*112|0)+80|0,1.0);dO(b+6032|0);dO(b+6056|0);c[(b+6088|0)>>2]=j;m=gD(g,b+6088|0)|0;ZN(b+6096|0,35928);VN(b+6072|0,bD(m,b+6096|0)|0);dD(b+6072|0,(c[(d+16|0)>>2]|0)+(j*112|0)+56|0,-1.7976931348623157e+308);dO(b+6072|0);dO(b+6096|0);c[(b+6128|0)>>2]=j;m=gD(g,b+6128|0)|0;ZN(b+6136|0,35208);VN(b+6112|0,bD(m,b+6136|0)|0);dD(b+6112|0,(c[(d+16|0)>>2]|0)+(j*112|0)+64|0,1.7976931348623157e+308);dO(b+6112|0);dO(b+6136|0);m=c[(d+16|0)>>2]|0;n=(a[m+(j*112|0)+88|0]|0)!=0;q=+h[m+(j*112|0)+96>>3];l=(a[m+(j*112|0)+72|0]|0)!=0?32336:31976;k=(a[m+(j*112|0)+73|0]|0)!=0;r=+h[m+(j*112|0)+80>>3];s=+h[m+(j*112|0)+56>>3];t=+h[m+(j*112|0)+64>>3];Au(4,0,22008,(f=i,i=i+80|0,c[f>>2]=c[m+(j*112|0)+4>>2],c[f+8>>2]=n?1650608:33328,h[f+16>>3]=q,c[f+24>>2]=n?1650608:32856,c[f+32>>2]=l,c[f+40>>2]=k?1650608:33328,h[f+48>>3]=r,c[f+56>>2]=k?1650608:32856,h[f+64>>3]=s,h[f+72>>3]=t,f)|0);i=f;k=c[(d+16|0)>>2]|0;l=c[k+(j*112|0)+4>>2]|0;if((a[l]|0)==36){a[k+(j*112|0)+104|0]=1;u=c[(c[(d+16|0)>>2]|0)+(j*112|0)+4>>2]|0}else{u=l}ZN(b+6152|0,u);c[(jD(b+240|0,b+6152|0)|0)>>2]=j;dO(b+6152|0);j=j+1|0;}while((j|0)<(c[(d+128|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,1612016,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+132|0)>>2]|0)>0){j=(b|0)+96|0;g=0;do{c[(b+6184|0)>>2]=g;l=gD(j,b+6184|0)|0;ZN(b+6192|0,54256);VN(b+6168|0,bD(l,b+6192|0)|0);eD(b+6168|0,(c[(d+20|0)>>2]|0)+(g*60|0)+4|0);dO(b+6168|0);dO(b+6192|0);c[(b+6224|0)>>2]=g;l=gD(j,b+6224|0)|0;ZN(b+6232|0,52016);VN(b+6208|0,bD(l,b+6232|0)|0);hD(b+6208|0,(c[(d+20|0)>>2]|0)+(g*60|0)|0);dO(b+6208|0);dO(b+6232|0);c[(b+6264|0)>>2]=g;l=gD(j,b+6264|0)|0;ZN(b+6272|0,50368);VN(b+6248|0,bD(l,b+6272|0)|0);eD(b+6248|0,(c[(d+20|0)>>2]|0)+(g*60|0)+8|0);dO(b+6248|0);dO(b+6272|0);c[(b+6304|0)>>2]=g;l=gD(j,b+6304|0)|0;ZN(b+6312|0,48872);VN(b+6288|0,bD(l,b+6312|0)|0);eD(b+6288|0,(c[(d+20|0)>>2]|0)+(g*60|0)+12|0);dO(b+6288|0);dO(b+6312|0);c[(b+6344|0)>>2]=g;l=gD(j,b+6344|0)|0;ZN(b+6352|0,47408);VN(b+6328|0,bD(l,b+6352|0)|0);fD(b+6328|0,(c[(d+20|0)>>2]|0)+(g*60|0)+16|0,0);dO(b+6328|0);dO(b+6352|0);c[(b+6384|0)>>2]=g;l=gD(j,b+6384|0)|0;ZN(b+6392|0,46104);VN(b+6368|0,bD(l,b+6392|0)|0);fD(b+6368|0,(c[(d+20|0)>>2]|0)+(g*60|0)+20|0,0);dO(b+6368|0);dO(b+6392|0);c[(b+6424|0)>>2]=g;l=gD(j,b+6424|0)|0;ZN(b+6432|0,43680);VN(b+6408|0,bD(l,b+6432|0)|0);fD(b+6408|0,(c[(d+20|0)>>2]|0)+(g*60|0)+24|0,0);dO(b+6408|0);dO(b+6432|0);c[(b+6464|0)>>2]=g;l=gD(j,b+6464|0)|0;ZN(b+6472|0,42192);VN(b+6448|0,bD(l,b+6472|0)|0);fD(b+6448|0,(c[(d+20|0)>>2]|0)+(g*60|0)+28|0,0);dO(b+6448|0);dO(b+6472|0);c[(b+6504|0)>>2]=g;l=gD(j,b+6504|0)|0;ZN(b+6512|0,40792);VN(b+6488|0,bD(l,b+6512|0)|0);fD(b+6488|0,(c[(d+20|0)>>2]|0)+(g*60|0)+32|0,0);dO(b+6488|0);dO(b+6512|0);c[(b+6544|0)>>2]=g;l=gD(j,b+6544|0)|0;ZN(b+6552|0,39240);VN(b+6528|0,bD(l,b+6552|0)|0);iD(b+6528|0,(c[(d+20|0)>>2]|0)+(g*60|0)+49|0);dO(b+6528|0);dO(b+6552|0);c[(b+6584|0)>>2]=g;l=gD(j,b+6584|0)|0;ZN(b+6592|0,38680);VN(b+6568|0,bD(l,b+6592|0)|0);fD(b+6568|0,(c[(d+20|0)>>2]|0)+(g*60|0)+52|0,0);dO(b+6568|0);dO(b+6592|0);c[(b+6624|0)>>2]=g;l=gD(j,b+6624|0)|0;ZN(b+6632|0,38152);VN(b+6608|0,bD(l,b+6632|0)|0);iD(b+6608|0,(c[(d+20|0)>>2]|0)+(g*60|0)+48|0);dO(b+6608|0);dO(b+6632|0);c[(b+6664|0)>>2]=g;l=gD(j,b+6664|0)|0;ZN(b+6672|0,35928);VN(b+6648|0,bD(l,b+6672|0)|0);fD(b+6648|0,(c[(d+20|0)>>2]|0)+(g*60|0)+40|0,-2147483648);dO(b+6648|0);dO(b+6672|0);c[(b+6704|0)>>2]=g;l=gD(j,b+6704|0)|0;ZN(b+6712|0,35208);VN(b+6688|0,bD(l,b+6712|0)|0);fD(b+6688|0,(c[(d+20|0)>>2]|0)+(g*60|0)+44|0,2147483647);dO(b+6688|0);dO(b+6712|0);l=c[(d+20|0)>>2]|0;k=(a[l+(g*60|0)+49|0]|0)!=0;n=c[l+(g*60|0)+52>>2]|0;m=(a[l+(g*60|0)+48|0]|0)!=0?32336:31976;v=c[l+(g*60|0)+40>>2]|0;w=c[l+(g*60|0)+44>>2]|0;Au(4,0,1611136,(f=i,i=i+56|0,c[f>>2]=c[l+(g*60|0)+4>>2],c[f+8>>2]=k?1650608:33328,c[f+16>>2]=n,c[f+24>>2]=k?1650608:32856,c[f+32>>2]=m,c[f+40>>2]=v,c[f+48>>2]=w,f)|0);i=f;w=c[(d+20|0)>>2]|0;v=c[w+(g*60|0)+4>>2]|0;if((a[v]|0)==36){a[w+(g*60|0)+56|0]=1;x=c[(c[(d+20|0)>>2]|0)+(g*60|0)+4>>2]|0}else{x=v}ZN(b+6728|0,x);c[(jD(b+240|0,b+6728|0)|0)>>2]=g;dO(b+6728|0);g=g+1|0;}while((g|0)<(c[(d+132|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,1610392,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+136|0)>>2]|0)>0){g=(b|0)+132|0;j=0;do{c[(b+6760|0)>>2]=j;v=gD(g,b+6760|0)|0;ZN(b+6768|0,54256);VN(b+6744|0,bD(v,b+6768|0)|0);eD(b+6744|0,(c[(d+24|0)>>2]|0)+(j*48|0)+4|0);dO(b+6744|0);dO(b+6768|0);c[(b+6800|0)>>2]=j;v=gD(g,b+6800|0)|0;ZN(b+6808|0,52016);VN(b+6784|0,bD(v,b+6808|0)|0);hD(b+6784|0,(c[(d+24|0)>>2]|0)+(j*48|0)|0);dO(b+6784|0);dO(b+6808|0);c[(b+6840|0)>>2]=j;v=gD(g,b+6840|0)|0;ZN(b+6848|0,50368);VN(b+6824|0,bD(v,b+6848|0)|0);eD(b+6824|0,(c[(d+24|0)>>2]|0)+(j*48|0)+8|0);dO(b+6824|0);dO(b+6848|0);c[(b+6880|0)>>2]=j;v=gD(g,b+6880|0)|0;ZN(b+6888|0,48872);VN(b+6864|0,bD(v,b+6888|0)|0);eD(b+6864|0,(c[(d+24|0)>>2]|0)+(j*48|0)+12|0);dO(b+6864|0);dO(b+6888|0);c[(b+6920|0)>>2]=j;v=gD(g,b+6920|0)|0;ZN(b+6928|0,47408);VN(b+6904|0,bD(v,b+6928|0)|0);fD(b+6904|0,(c[(d+24|0)>>2]|0)+(j*48|0)+16|0,0);dO(b+6904|0);dO(b+6928|0);c[(b+6960|0)>>2]=j;v=gD(g,b+6960|0)|0;ZN(b+6968|0,46104);VN(b+6944|0,bD(v,b+6968|0)|0);fD(b+6944|0,(c[(d+24|0)>>2]|0)+(j*48|0)+20|0,0);dO(b+6944|0);dO(b+6968|0);c[(b+7e3|0)>>2]=j;v=gD(g,b+7e3|0)|0;ZN(b+7008|0,43680);VN(b+6984|0,bD(v,b+7008|0)|0);fD(b+6984|0,(c[(d+24|0)>>2]|0)+(j*48|0)+24|0,0);dO(b+6984|0);dO(b+7008|0);c[(b+7040|0)>>2]=j;v=gD(g,b+7040|0)|0;ZN(b+7048|0,42192);VN(b+7024|0,bD(v,b+7048|0)|0);fD(b+7024|0,(c[(d+24|0)>>2]|0)+(j*48|0)+28|0,0);dO(b+7024|0);dO(b+7048|0);c[(b+7080|0)>>2]=j;v=gD(g,b+7080|0)|0;ZN(b+7088|0,40792);VN(b+7064|0,bD(v,b+7088|0)|0);fD(b+7064|0,(c[(d+24|0)>>2]|0)+(j*48|0)+32|0,0);dO(b+7064|0);dO(b+7088|0);c[(b+7120|0)>>2]=j;v=gD(g,b+7120|0)|0;ZN(b+7128|0,39240);VN(b+7104|0,bD(v,b+7128|0)|0);iD(b+7104|0,(c[(d+24|0)>>2]|0)+(j*48|0)+41|0);dO(b+7104|0);dO(b+7128|0);c[(b+7160|0)>>2]=j;v=gD(g,b+7160|0)|0;ZN(b+7168|0,38680);VN(b+7144|0,bD(v,b+7168|0)|0);iD(b+7144|0,(c[(d+24|0)>>2]|0)+(j*48|0)+42|0);dO(b+7144|0);dO(b+7168|0);c[(b+7200|0)>>2]=j;v=gD(g,b+7200|0)|0;ZN(b+7208|0,38152);VN(b+7184|0,bD(v,b+7208|0)|0);iD(b+7184|0,(c[(d+24|0)>>2]|0)+(j*48|0)+40|0);dO(b+7184|0);dO(b+7208|0);v=c[(d+24|0)>>2]|0;w=(a[v+(j*48|0)+41|0]|0)!=0;m=(a[v+(j*48|0)+42|0]|0)!=0?32336:31976;k=(a[v+(j*48|0)+40|0]|0)!=0?32336:31976;Au(4,0,1609808,(f=i,i=i+40|0,c[f>>2]=c[v+(j*48|0)+4>>2],c[f+8>>2]=w?1650608:33328,c[f+16>>2]=m,c[f+24>>2]=w?1650608:32856,c[f+32>>2]=k,f)|0);i=f;k=c[(d+24|0)>>2]|0;w=c[k+(j*48|0)+4>>2]|0;if((a[w]|0)==36){a[k+(j*48|0)+44|0]=1;y=c[(c[(d+24|0)>>2]|0)+(j*48|0)+4>>2]|0}else{y=w}ZN(b+7224|0,y);c[(jD(b+240|0,b+7224|0)|0)>>2]=j;dO(b+7224|0);j=j+1|0;}while((j|0)<(c[(d+136|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,1609096,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;if((c[(d+140|0)>>2]|0)>0){j=(b|0)+168|0;g=0;do{c[(b+7256|0)>>2]=g;w=gD(j,b+7256|0)|0;ZN(b+7264|0,54256);VN(b+7240|0,bD(w,b+7264|0)|0);eD(b+7240|0,(c[(d+28|0)>>2]|0)+(g*52|0)+4|0);dO(b+7240|0);dO(b+7264|0);c[(b+7296|0)>>2]=g;w=gD(j,b+7296|0)|0;ZN(b+7304|0,52016);VN(b+7280|0,bD(w,b+7304|0)|0);hD(b+7280|0,(c[(d+28|0)>>2]|0)+(g*52|0)|0);dO(b+7280|0);dO(b+7304|0);c[(b+7336|0)>>2]=g;w=gD(j,b+7336|0)|0;ZN(b+7344|0,50368);VN(b+7320|0,bD(w,b+7344|0)|0);eD(b+7320|0,(c[(d+28|0)>>2]|0)+(g*52|0)+8|0);dO(b+7320|0);dO(b+7344|0);c[(b+7376|0)>>2]=g;w=gD(j,b+7376|0)|0;ZN(b+7384|0,48872);VN(b+7360|0,bD(w,b+7384|0)|0);eD(b+7360|0,(c[(d+28|0)>>2]|0)+(g*52|0)+12|0);dO(b+7360|0);dO(b+7384|0);c[(b+7416|0)>>2]=g;w=gD(j,b+7416|0)|0;ZN(b+7424|0,47408);VN(b+7400|0,bD(w,b+7424|0)|0);fD(b+7400|0,(c[(d+28|0)>>2]|0)+(g*52|0)+16|0,0);dO(b+7400|0);dO(b+7424|0);c[(b+7456|0)>>2]=g;w=gD(j,b+7456|0)|0;ZN(b+7464|0,46104);VN(b+7440|0,bD(w,b+7464|0)|0);fD(b+7440|0,(c[(d+28|0)>>2]|0)+(g*52|0)+20|0,0);dO(b+7440|0);dO(b+7464|0);c[(b+7496|0)>>2]=g;w=gD(j,b+7496|0)|0;ZN(b+7504|0,43680);VN(b+7480|0,bD(w,b+7504|0)|0);fD(b+7480|0,(c[(d+28|0)>>2]|0)+(g*52|0)+24|0,0);dO(b+7480|0);dO(b+7504|0);c[(b+7536|0)>>2]=g;w=gD(j,b+7536|0)|0;ZN(b+7544|0,42192);VN(b+7520|0,bD(w,b+7544|0)|0);fD(b+7520|0,(c[(d+28|0)>>2]|0)+(g*52|0)+28|0,0);dO(b+7520|0);dO(b+7544|0);c[(b+7576|0)>>2]=g;w=gD(j,b+7576|0)|0;ZN(b+7584|0,40792);VN(b+7560|0,bD(w,b+7584|0)|0);fD(b+7560|0,(c[(d+28|0)>>2]|0)+(g*52|0)+32|0,0);dO(b+7560|0);dO(b+7584|0);c[(b+7616|0)>>2]=g;w=gD(j,b+7616|0)|0;ZN(b+7624|0,39240);VN(b+7600|0,bD(w,b+7624|0)|0);iD(b+7600|0,(c[(d+28|0)>>2]|0)+(g*52|0)+40|0);dO(b+7600|0);dO(b+7624|0);c[(b+7656|0)>>2]=g;w=gD(j,b+7656|0)|0;ZN(b+7664|0,38680);VN(b+7640|0,bD(w,b+7664|0)|0);eD(b+7640|0,(c[(d+28|0)>>2]|0)+(g*52|0)+44|0);dO(b+7640|0);dO(b+7664|0);w=c[(d+28|0)>>2]|0;k=(a[w+(g*52|0)+40|0]|0)!=0;m=c[w+(g*52|0)+44>>2]|0;Au(4,0,1608544,(f=i,i=i+32|0,c[f>>2]=c[w+(g*52|0)+4>>2],c[f+8>>2]=k?1650608:33328,c[f+16>>2]=m,c[f+24>>2]=k?1650608:32856,f)|0);i=f;k=c[(d+28|0)>>2]|0;m=c[k+(g*52|0)+4>>2]|0;if((a[m]|0)==36){a[k+(g*52|0)+48|0]=1;z=c[(c[(d+28|0)>>2]|0)+(g*52|0)+4>>2]|0}else{z=m}ZN(b+7680|0,z);c[(jD(b+240|0,b+7680|0)|0)>>2]=g;dO(b+7680|0);g=g+1|0;}while((g|0)<(c[(d+140|0)>>2]|0))}if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,1608072,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;b:do{if((c[(d+208|0)>>2]|0)>0){g=(b|0)+72|0;j=0;c:while(1){c[(b+7712|0)>>2]=j;m=gD(g,b+7712|0)|0;ZN(b+7720|0,54256);VN(b+7696|0,bD(m,b+7720|0)|0);eD(b+7696|0,(c[(d+32|0)>>2]|0)+(j*52|0)+16|0);dO(b+7696|0);dO(b+7720|0);c[(b+7752|0)>>2]=j;m=gD(g,b+7752|0)|0;ZN(b+7760|0,52016);VN(b+7736|0,bD(m,b+7760|0)|0);hD(b+7736|0,(c[(d+32|0)>>2]|0)+(j*52|0)+12|0);dO(b+7736|0);dO(b+7760|0);c[(b+7792|0)>>2]=j;m=gD(g,b+7792|0)|0;ZN(b+7800|0,50368);VN(b+7776|0,bD(m,b+7800|0)|0);eD(b+7776|0,(c[(d+32|0)>>2]|0)+(j*52|0)+20|0);dO(b+7776|0);dO(b+7800|0);c[(b+7832|0)>>2]=j;m=gD(g,b+7832|0)|0;ZN(b+7840|0,48872);VN(b+7816|0,bD(m,b+7840|0)|0);eD(b+7816|0,(c[(d+32|0)>>2]|0)+(j*52|0)+24|0);dO(b+7816|0);dO(b+7840|0);c[(b+7872|0)>>2]=j;m=gD(g,b+7872|0)|0;ZN(b+7880|0,47408);VN(b+7856|0,bD(m,b+7880|0)|0);fD(b+7856|0,(c[(d+32|0)>>2]|0)+(j*52|0)+28|0,0);dO(b+7856|0);dO(b+7880|0);c[(b+7912|0)>>2]=j;m=gD(g,b+7912|0)|0;ZN(b+7920|0,46104);VN(b+7896|0,bD(m,b+7920|0)|0);fD(b+7896|0,(c[(d+32|0)>>2]|0)+(j*52|0)+32|0,0);dO(b+7896|0);dO(b+7920|0);c[(b+7952|0)>>2]=j;m=gD(g,b+7952|0)|0;ZN(b+7960|0,43680);VN(b+7936|0,bD(m,b+7960|0)|0);fD(b+7936|0,(c[(d+32|0)>>2]|0)+(j*52|0)+36|0,0);dO(b+7936|0);dO(b+7960|0);c[(b+7992|0)>>2]=j;m=gD(g,b+7992|0)|0;ZN(b+8e3|0,42192);VN(b+7976|0,bD(m,b+8e3|0)|0);fD(b+7976|0,(c[(d+32|0)>>2]|0)+(j*52|0)+40|0,0);dO(b+7976|0);dO(b+8e3|0);c[(b+8032|0)>>2]=j;m=gD(g,b+8032|0)|0;ZN(b+8040|0,40792);VN(b+8016|0,bD(m,b+8040|0)|0);fD(b+8016|0,(c[(d+32|0)>>2]|0)+(j*52|0)+44|0,0);dO(b+8016|0);dO(b+8040|0);TN(b+8056|0);c[(b+8088|0)>>2]=j;m=gD(g,b+8088|0)|0;ZN(b+8096|0,1607584);VN(b+8072|0,bD(m,b+8096|0)|0);kD(b+8072|0,b+8056|0);dO(b+8072|0);dO(b+8096|0);m=(DO(b+8056|0,1607128)|0)==0;c[(c[(d+32|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+32|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;Au(4,0,1606328,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+32|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+8128|0)>>2]=j;k=gD(g,b+8128|0)|0;ZN(b+8136|0,1606136);VN(b+8112|0,bD(k,b+8136|0)|0);kD(b+8112|0,b+8056|0);dO(b+8112|0);dO(b+8136|0);lD(b+264|0,b+216|0,b+8056|0);lD(b+272|0,b+240|0,b+8056|0);nD(b+8152|0,b+216|0);do{if(mD(b+264|0,b+8152|0)|0){k=c[(oD(b+264|0)|0)+12>>2]|0;m=c[(d+32|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{nD(b+8160|0,b+240|0);if(mD(b+272|0,b+8160|0)|0){m=c[(oD(b+272|0)|0)+12>>2]|0;k=c[(d+32|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1;break}if((DO(b+8056|0,1604648)|0)!=0){break c}a[(c[(d+32|0)>>2]|0)+(j*52|0)+8|0]=2}}while(0);dO(b+8056|0);j=j+1|0;if((j|0)>=(c[(d+208|0)>>2]|0)){break b}}OO(b+8184|0,1603880,b+8056|0);XC(b+8168|0,b+8184|0,1603304);dO(b+8184|0);j=AO(b+8168|0)|0;Eu(0,1602640,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,1601544,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;d:do{if((c[(d+212|0)>>2]|0)>0){j=(b|0)+108|0;g=0;while(1){c[(b+8216|0)>>2]=g;k=gD(j,b+8216|0)|0;ZN(b+8224|0,54256);VN(b+8200|0,bD(k,b+8224|0)|0);eD(b+8200|0,(c[(d+36|0)>>2]|0)+(g*52|0)+16|0);dO(b+8200|0);dO(b+8224|0);c[(b+8256|0)>>2]=g;k=gD(j,b+8256|0)|0;ZN(b+8264|0,52016);VN(b+8240|0,bD(k,b+8264|0)|0);hD(b+8240|0,(c[(d+36|0)>>2]|0)+(g*52|0)+12|0);dO(b+8240|0);dO(b+8264|0);c[(b+8296|0)>>2]=g;k=gD(j,b+8296|0)|0;ZN(b+8304|0,50368);VN(b+8280|0,bD(k,b+8304|0)|0);eD(b+8280|0,(c[(d+36|0)>>2]|0)+(g*52|0)+20|0);dO(b+8280|0);dO(b+8304|0);c[(b+8336|0)>>2]=g;k=gD(j,b+8336|0)|0;ZN(b+8344|0,48872);VN(b+8320|0,bD(k,b+8344|0)|0);eD(b+8320|0,(c[(d+36|0)>>2]|0)+(g*52|0)+24|0);dO(b+8320|0);dO(b+8344|0);c[(b+8376|0)>>2]=g;k=gD(j,b+8376|0)|0;ZN(b+8384|0,47408);VN(b+8360|0,bD(k,b+8384|0)|0);fD(b+8360|0,(c[(d+36|0)>>2]|0)+(g*52|0)+28|0,0);dO(b+8360|0);dO(b+8384|0);c[(b+8416|0)>>2]=g;k=gD(j,b+8416|0)|0;ZN(b+8424|0,46104);VN(b+8400|0,bD(k,b+8424|0)|0);fD(b+8400|0,(c[(d+36|0)>>2]|0)+(g*52|0)+32|0,0);dO(b+8400|0);dO(b+8424|0);c[(b+8456|0)>>2]=g;k=gD(j,b+8456|0)|0;ZN(b+8464|0,43680);VN(b+8440|0,bD(k,b+8464|0)|0);fD(b+8440|0,(c[(d+36|0)>>2]|0)+(g*52|0)+36|0,0);dO(b+8440|0);dO(b+8464|0);c[(b+8496|0)>>2]=g;k=gD(j,b+8496|0)|0;ZN(b+8504|0,42192);VN(b+8480|0,bD(k,b+8504|0)|0);fD(b+8480|0,(c[(d+36|0)>>2]|0)+(g*52|0)+40|0,0);dO(b+8480|0);dO(b+8504|0);c[(b+8536|0)>>2]=g;k=gD(j,b+8536|0)|0;ZN(b+8544|0,40792);VN(b+8520|0,bD(k,b+8544|0)|0);fD(b+8520|0,(c[(d+36|0)>>2]|0)+(g*52|0)+44|0,0);dO(b+8520|0);dO(b+8544|0);TN(b+8560|0);c[(b+8592|0)>>2]=g;k=gD(j,b+8592|0)|0;ZN(b+8600|0,1607584);VN(b+8576|0,bD(k,b+8600|0)|0);kD(b+8576|0,b+8560|0);dO(b+8576|0);dO(b+8600|0);k=(DO(b+8560|0,1607128)|0)==0;c[(c[(d+36|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+36|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;Au(4,0,1606328,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+36|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+8632|0)>>2]=g;m=gD(j,b+8632|0)|0;ZN(b+8640|0,1606136);VN(b+8616|0,bD(m,b+8640|0)|0);kD(b+8616|0,b+8560|0);dO(b+8616|0);dO(b+8640|0);lD(b+264|0,b+216|0,b+8560|0);lD(b+272|0,b+240|0,b+8560|0);nD(b+8656|0,b+216|0);if(mD(b+264|0,b+8656|0)|0){m=c[(oD(b+264|0)|0)+12>>2]|0;k=c[(d+36|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{nD(b+8664|0,b+240|0);if(!(mD(b+272|0,b+8664|0)|0)){break}k=c[(oD(b+272|0)|0)+12>>2]|0;m=c[(d+36|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}dO(b+8560|0);g=g+1|0;if((g|0)>=(c[(d+212|0)>>2]|0)){break d}}OO(b+8688|0,1601272,b+8560|0);XC(b+8672|0,b+8688|0,1603304);dO(b+8688|0);g=AO(b+8672|0)|0;Eu(0,1602640,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,1599992,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;e:do{if((c[(d+216|0)>>2]|0)>0){g=(b|0)+144|0;j=0;while(1){c[(b+8720|0)>>2]=j;m=gD(g,b+8720|0)|0;ZN(b+8728|0,54256);VN(b+8704|0,bD(m,b+8728|0)|0);eD(b+8704|0,(c[(d+40|0)>>2]|0)+(j*52|0)+16|0);dO(b+8704|0);dO(b+8728|0);c[(b+8760|0)>>2]=j;m=gD(g,b+8760|0)|0;ZN(b+8768|0,52016);VN(b+8744|0,bD(m,b+8768|0)|0);hD(b+8744|0,(c[(d+40|0)>>2]|0)+(j*52|0)+12|0);dO(b+8744|0);dO(b+8768|0);c[(b+8800|0)>>2]=j;m=gD(g,b+8800|0)|0;ZN(b+8808|0,50368);VN(b+8784|0,bD(m,b+8808|0)|0);eD(b+8784|0,(c[(d+40|0)>>2]|0)+(j*52|0)+20|0);dO(b+8784|0);dO(b+8808|0);c[(b+8840|0)>>2]=j;m=gD(g,b+8840|0)|0;ZN(b+8848|0,48872);VN(b+8824|0,bD(m,b+8848|0)|0);eD(b+8824|0,(c[(d+40|0)>>2]|0)+(j*52|0)+24|0);dO(b+8824|0);dO(b+8848|0);c[(b+8880|0)>>2]=j;m=gD(g,b+8880|0)|0;ZN(b+8888|0,47408);VN(b+8864|0,bD(m,b+8888|0)|0);iD(b+8864|0,(c[(d+40|0)>>2]|0)+(j*52|0)+28|0);dO(b+8864|0);dO(b+8888|0);c[(b+8920|0)>>2]=j;m=gD(g,b+8920|0)|0;ZN(b+8928|0,46104);VN(b+8904|0,bD(m,b+8928|0)|0);iD(b+8904|0,(c[(d+40|0)>>2]|0)+(j*52|0)+32|0);dO(b+8904|0);dO(b+8928|0);c[(b+8960|0)>>2]=j;m=gD(g,b+8960|0)|0;ZN(b+8968|0,43680);VN(b+8944|0,bD(m,b+8968|0)|0);iD(b+8944|0,(c[(d+40|0)>>2]|0)+(j*52|0)+36|0);dO(b+8944|0);dO(b+8968|0);c[(b+9e3|0)>>2]=j;m=gD(g,b+9e3|0)|0;ZN(b+9008|0,42192);VN(b+8984|0,bD(m,b+9008|0)|0);iD(b+8984|0,(c[(d+40|0)>>2]|0)+(j*52|0)+40|0);dO(b+8984|0);dO(b+9008|0);c[(b+9040|0)>>2]=j;m=gD(g,b+9040|0)|0;ZN(b+9048|0,40792);VN(b+9024|0,bD(m,b+9048|0)|0);iD(b+9024|0,(c[(d+40|0)>>2]|0)+(j*52|0)+44|0);dO(b+9024|0);dO(b+9048|0);TN(b+9064|0);c[(b+9096|0)>>2]=j;m=gD(g,b+9096|0)|0;ZN(b+9104|0,1607584);VN(b+9080|0,bD(m,b+9104|0)|0);kD(b+9080|0,b+9064|0);dO(b+9080|0);dO(b+9104|0);m=(DO(b+9064|0,1607128)|0)==0;c[(c[(d+40|0)>>2]|0)+(j*52|0)>>2]=m&1;m=c[(d+40|0)>>2]|0;k=c[m+(j*52|0)>>2]|0;Au(4,0,1606328,(f=i,i=i+16|0,c[f>>2]=c[m+(j*52|0)+16>>2],c[f+8>>2]=k,f)|0);i=f;k=c[(d+40|0)>>2]|0;if((a[c[k+(j*52|0)+16>>2]|0]|0)==36){a[k+(j*52|0)+48|0]=1}c[(b+9136|0)>>2]=j;k=gD(g,b+9136|0)|0;ZN(b+9144|0,1606136);VN(b+9120|0,bD(k,b+9144|0)|0);kD(b+9120|0,b+9064|0);dO(b+9120|0);dO(b+9144|0);lD(b+264|0,b+216|0,b+9064|0);lD(b+272|0,b+240|0,b+9064|0);nD(b+9160|0,b+216|0);if(mD(b+264|0,b+9160|0)|0){k=c[(oD(b+264|0)|0)+12>>2]|0;m=c[(d+40|0)>>2]|0;c[m+(j*52|0)+4>>2]=k;a[m+(j*52|0)+8|0]=0}else{nD(b+9168|0,b+240|0);if(!(mD(b+272|0,b+9168|0)|0)){break}m=c[(oD(b+272|0)|0)+12>>2]|0;k=c[(d+40|0)>>2]|0;c[k+(j*52|0)+4>>2]=m;a[k+(j*52|0)+8|0]=1}dO(b+9064|0);j=j+1|0;if((j|0)>=(c[(d+216|0)>>2]|0)){break e}}OO(b+9192|0,1599480,b+9064|0);XC(b+9176|0,b+9192|0,1603304);dO(b+9192|0);j=AO(b+9176|0)|0;Eu(0,1602640,(f=i,i=i+8|0,c[f>>2]=j,f)|0);i=f}}while(0);if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Au(4,1,1598776,(f=i,i=i+1|0,i=i+7&-8,c[f>>2]=0,f)|0);i=f;f:do{if((c[(d+220|0)>>2]|0)>0){j=(b|0)+180|0;g=0;while(1){c[(b+9224|0)>>2]=g;k=gD(j,b+9224|0)|0;ZN(b+9232|0,54256);VN(b+9208|0,bD(k,b+9232|0)|0);eD(b+9208|0,(c[(d+44|0)>>2]|0)+(g*52|0)+16|0);dO(b+9208|0);dO(b+9232|0);c[(b+9264|0)>>2]=g;k=gD(j,b+9264|0)|0;ZN(b+9272|0,52016);VN(b+9248|0,bD(k,b+9272|0)|0);hD(b+9248|0,(c[(d+44|0)>>2]|0)+(g*52|0)+12|0);dO(b+9248|0);dO(b+9272|0);c[(b+9304|0)>>2]=g;k=gD(j,b+9304|0)|0;ZN(b+9312|0,50368);VN(b+9288|0,bD(k,b+9312|0)|0);eD(b+9288|0,(c[(d+44|0)>>2]|0)+(g*52|0)+20|0);dO(b+9288|0);dO(b+9312|0);c[(b+9344|0)>>2]=g;k=gD(j,b+9344|0)|0;ZN(b+9352|0,48872);VN(b+9328|0,bD(k,b+9352|0)|0);eD(b+9328|0,(c[(d+44|0)>>2]|0)+(g*52|0)+24|0);dO(b+9328|0);dO(b+9352|0);c[(b+9384|0)>>2]=g;k=gD(j,b+9384|0)|0;ZN(b+9392|0,47408);VN(b+9368|0,bD(k,b+9392|0)|0);eD(b+9368|0,(c[(d+44|0)>>2]|0)+(g*52|0)+28|0);dO(b+9368|0);dO(b+9392|0);c[(b+9424|0)>>2]=g;k=gD(j,b+9424|0)|0;ZN(b+9432|0,46104);VN(b+9408|0,bD(k,b+9432|0)|0);eD(b+9408|0,(c[(d+44|0)>>2]|0)+(g*52|0)+32|0);dO(b+9408|0);dO(b+9432|0);c[(b+9464|0)>>2]=g;k=gD(j,b+9464|0)|0;ZN(b+9472|0,43680);VN(b+9448|0,bD(k,b+9472|0)|0);eD(b+9448|0,(c[(d+44|0)>>2]|0)+(g*52|0)+36|0);dO(b+9448|0);dO(b+9472|0);c[(b+9504|0)>>2]=g;k=gD(j,b+9504|0)|0;ZN(b+9512|0,42192);VN(b+9488|0,bD(k,b+9512|0)|0);eD(b+9488|0,(c[(d+44|0)>>2]|0)+(g*52|0)+40|0);dO(b+9488|0);dO(b+9512|0);c[(b+9544|0)>>2]=g;k=gD(j,b+9544|0)|0;ZN(b+9552|0,40792);VN(b+9528|0,bD(k,b+9552|0)|0);eD(b+9528|0,(c[(d+44|0)>>2]|0)+(g*52|0)+44|0);dO(b+9528|0);dO(b+9552|0);TN(b+9568|0);c[(b+9600|0)>>2]=g;k=gD(j,b+9600|0)|0;ZN(b+9608|0,1607584);VN(b+9584|0,bD(k,b+9608|0)|0);kD(b+9584|0,b+9568|0);dO(b+9584|0);dO(b+9608|0);k=(DO(b+9568|0,1607128)|0)==0;c[(c[(d+44|0)>>2]|0)+(g*52|0)>>2]=k&1;k=c[(d+44|0)>>2]|0;m=c[k+(g*52|0)>>2]|0;Au(4,0,1606328,(f=i,i=i+16|0,c[f>>2]=c[k+(g*52|0)+16>>2],c[f+8>>2]=m,f)|0);i=f;m=c[(d+44|0)>>2]|0;if((a[c[m+(g*52|0)+16>>2]|0]|0)==36){a[m+(g*52|0)+48|0]=1}c[(b+9640|0)>>2]=g;m=gD(j,b+9640|0)|0;ZN(b+9648|0,1606136);VN(b+9624|0,bD(m,b+9648|0)|0);kD(b+9624|0,b+9568|0);dO(b+9624|0);dO(b+9648|0);lD(b+264|0,b+216|0,b+9568|0);lD(b+272|0,b+240|0,b+9568|0);nD(b+9664|0,b+216|0);if(mD(b+264|0,b+9664|0)|0){m=c[(oD(b+264|0)|0)+12>>2]|0;k=c[(d+44|0)>>2]|0;c[k+(g*52|0)+4>>2]=m;a[k+(g*52|0)+8|0]=0}else{nD(b+9672|0,b+240|0);if(!(mD(b+272|0,b+9672|0)|0)){break}k=c[(oD(b+272|0)|0)+12>>2]|0;m=c[(d+44|0)>>2]|0;c[m+(g*52|0)+4>>2]=k;a[m+(g*52|0)+8|0]=1}dO(b+9568|0);g=g+1|0;if((g|0)>=(c[(d+220|0)>>2]|0)){break f}}OO(b+9696|0,1598568,b+9568|0);XC(b+9680|0,b+9696|0,1603304);dO(b+9696|0);g=AO(b+9680|0)|0;Eu(0,1602640,(f=i,i=i+8|0,c[f>>2]=g,f)|0);i=f}}while(0);if((c[406884]|0)!=0){Qd[c[3538]&511](4)}Ip(e);pD(b+240|0);pD(b+216|0);dO(b+200|0);qD(b|0);i=b;c[b+12760>>2]=5;break a}while(0);c[b+12744>>2]=f}




// EMSCRIPTEN_END_FUNCS
var Nd=[SZ,SZ,zw,SZ,Bw,SZ,zp,SZ,Gw,SZ,SZ,SZ,SZ,SZ,SZ,SZ];var Od=[TZ,TZ,ox,TZ];var Pd=[UZ,UZ,is,UZ,Er,UZ,eY,UZ,lt,UZ,jt,UZ,dY,UZ,Yq,UZ,Zq,UZ,Ns,UZ,Fr,UZ,kt,UZ,Os,UZ,js,UZ,cY,UZ,UZ,UZ];var Qd=[VZ,VZ,zU,VZ,TQ,VZ,uU,VZ,yN,VZ,FN,VZ,dP,VZ,EU,VZ,SU,VZ,lN,VZ,_M,VZ,NU,VZ,UR,VZ,nx,VZ,xN,VZ,EV,VZ,DN,VZ,qR,VZ,GN,VZ,JQ,VZ,FQ,VZ,VD,VZ,ZK,VZ,yN,VZ,ah,VZ,QU,VZ,eV,VZ,JS,VZ,rR,VZ,PX,VZ,xQ,VZ,ex,VZ,vU,VZ,RU,VZ,aL,VZ,$g,VZ,hS,VZ,XP,VZ,UQ,VZ,wT,VZ,JU,VZ,$x,VZ,UX,VZ,qA,VZ,aW,VZ,HO,VZ,DN,VZ,PQ,VZ,bT,VZ,dW,VZ,TU,VZ,jY,VZ,oU,VZ,$V,VZ,HQ,VZ,lA,VZ,dQ,VZ,ZM,VZ,OQ,VZ,YS,VZ,RW,VZ,yN,VZ,LW,VZ,VR,VZ,bW,VZ,PV,VZ,_K,VZ,mA,VZ,UD,VZ,yu,VZ,xT,VZ,WP,VZ,lQ,VZ,VS,VZ,IS,VZ,lT,VZ,sY,VZ,jA,VZ,cP,VZ,Yg,VZ,gZ,VZ,VO,VZ,OW,VZ,PW,VZ,DQ,VZ,xD,VZ,yQ,VZ,HP,VZ,XX,VZ,oV,VZ,RX,VZ,YP,VZ,EQ,VZ,ST,VZ,RM,VZ,HT,VZ,zQ,VZ,wu,VZ,tY,VZ,VX,VZ,eN,VZ,IU,VZ,WS,VZ,bU,VZ,QX,VZ,_V,VZ,VT,VZ,pU,VZ,QW,VZ,aT,VZ,gS,VZ,IQ,VZ,TD,VZ,nA,VZ,GQ,VZ,KQ,VZ,fQ,VZ,xK,VZ,wV,VZ,iU,VZ,aU,VZ,cW,VZ,vS,VZ,YK,VZ,RX,VZ,YX,VZ,dl,VZ,kQ,VZ,qM,VZ,PN,VZ,VP,VZ,LK,VZ,fN,VZ,WO,VZ,wQ,VZ,oA,VZ,cL,VZ,UO,VZ,jQ,VZ,ON,VZ,mN,VZ,LU,VZ,bh,VZ,IT,VZ,uS,VZ,mT,VZ,TM,VZ,eQ,VZ,GP,VZ,iQ,VZ,NW,VZ,WX,VZ,AU,VZ,Iv,VZ,SM,VZ,eh,VZ,TX,VZ,ZS,VZ,jU,VZ,TT,VZ,ch,VZ,dO,VZ,fV,VZ,CN,VZ,cQ,VZ,SW,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ,VZ];var Rd=[WZ,WZ,mW,WZ,gT,WZ,_y,WZ,NT,WZ,ZC,WZ,pT,WZ,BL,WZ,jW,WZ,Jy,WZ,GT,WZ,Ly,WZ,JC,WZ,Qy,WZ,Iy,WZ,iW,WZ,vT,WZ,UM,WZ,yU,WZ,KC,WZ,IP,WZ,hT,WZ,QT,WZ,dh,WZ,IC,WZ,DT,WZ,eT,WZ,OT,WZ,MU,WZ,Ky,WZ,My,WZ,gN,WZ,RT,WZ,xC,WZ,lW,WZ,rA,WZ,qT,WZ,BN,WZ,LT,WZ,uC,WZ,nW,WZ,FT,WZ,sT,WZ,kW,WZ,uT,WZ,$M,WZ,uP,WZ,sC,WZ,DU,WZ,nN,WZ,AT,WZ,kT,WZ,jT,WZ,fT,WZ,qC,WZ,az,WZ,BT,WZ,CT,WZ,MT,WZ,rT,WZ,WZ,WZ,WZ,WZ,WZ,WZ,WZ,WZ];var Sd=[XZ,XZ,Fw,XZ,er,XZ,lr,XZ,Aw,XZ,Cw,XZ,Dw,XZ,Ew,XZ];var Td=[YZ,YZ,qK,YZ,cl,YZ,BW,YZ,BP,YZ,tV,YZ,rW,YZ,CP,YZ,WV,YZ,zW,YZ,el,YZ,nT,YZ,hZ,YZ,wS,YZ,pW,YZ,np,YZ,rp,YZ,qp,YZ,pp,YZ,op,YZ,pN,YZ,wx,YZ,QP,YZ,iY,YZ,PP,YZ,Fx,YZ,tp,YZ,VV,YZ,vW,YZ,cn,YZ,tW,YZ,up,YZ,EN,YZ,Vg,YZ,eW,YZ,uW,YZ,vA,YZ,fW,YZ,yP,YZ,wA,YZ,sV,YZ,PT,YZ,wW,YZ,VM,YZ,iZ,YZ,wp,YZ,oT,YZ,Su,YZ,vp,YZ,jZ,YZ,kZ,YZ,BV,YZ,JT,YZ,oW,YZ,aN,YZ,De,YZ,Mx,YZ,BQ,YZ,iT,YZ,gl,YZ,LV,YZ,NP,YZ,bN,YZ,lZ,YZ,gW,YZ,zP,YZ,SX,YZ,MP,YZ,hN,YZ,hh,YZ,mp,YZ,vV,YZ,tT,YZ,AW,YZ,Ug,YZ,oN,YZ,KV,YZ,uY,YZ,cT,YZ,qW,YZ,dT,YZ,zN,YZ,kh,YZ,yT,YZ,DV,YZ,ET,YZ,zT,YZ,sW,YZ,KT,YZ,AV,YZ,KS,YZ,hW,YZ,bn,YZ,sp,YZ,fL,YZ,Fe,YZ,yW,YZ,JM,YZ,xW,YZ,OV,YZ,mZ,YZ,jh,YZ,Ee,YZ,ZV,YZ,nZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ,YZ];var Ud=[ZZ,ZZ,rt,ZZ,Dt,ZZ,At,ZZ,Et,ZZ,Ft,ZZ,Gt,ZZ,Vt,ZZ,cu,ZZ,dV,ZZ,tt,ZZ,gu,ZZ,hu,ZZ,JV,ZZ,st,ZZ,eu,ZZ,du,ZZ,Zt,ZZ,$t,ZZ,xt,ZZ,Yt,ZZ,bu,ZZ,fu,ZZ,nV,ZZ,QQ,ZZ,XV,ZZ,Ht,ZZ,MV,ZZ,Mt,ZZ,Nt,ZZ,Ot,ZZ,Jt,ZZ,Kt,ZZ,zt,ZZ,It,ZZ,Lt,ZZ,au,ZZ,Ct,ZZ,iu,ZZ,Xt,ZZ,Rt,ZZ,St,ZZ,Ut,ZZ,Wt,ZZ,Pt,ZZ,yt,ZZ,Tt,ZZ,Qt,ZZ,ju,ZZ,LQ,ZZ,mu,ZZ,rV,ZZ,uV,ZZ,ut,ZZ,zV,ZZ,wt,ZZ,_t,ZZ,UV,ZZ,CV,ZZ,nu,ZZ,Bt,ZZ,ku,ZZ,lu,ZZ,ZZ,ZZ];var Vd=[_Z,_Z,SP,_Z,$q,_Z,NQ,_Z,$U,_Z,wK,_Z,sK,_Z,ZX,_Z,wU,_Z,sA,_Z,gr,_Z,hV,_Z,cV,_Z,vr,_Z,BM,_Z,$r,_Z,SQ,_Z,gh,_Z,Br,_Z,JN,_Z,Es,_Z,EP,_Z,AP,_Z,UU,_Z,JP,_Z,BU,_Z,ir,_Z,mV,_Z,mr,_Z,ZU,_Z,WM,_Z,OP,_Z,KN,_Z,jV,_Z,fs,_Z,vP,_Z,Ks,_Z,iN,_Z,zK,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z,_Z];var Wd=[$Z,$Z,rS,$Z,pS,$Z,eS,$Z,bS,$Z,$Z,$Z,$Z,$Z,$Z,$Z];var Xd=[a_,a_,_S,a_,XS,a_,UT,a_,cU,a_,YT,a_,eU,a_,a_,a_];var Yd=[b_,b_,fY,b_,nS,b_,jS,b_,iS,b_,gY,b_,uu,b_,sS,b_,tA,b_,KP,b_,fS,b_,xU,b_,WR,b_,$R,b_,XR,b_,dL,b_,hY,b_,wP,b_,tu,b_,CU,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_,b_];var Zd=[c_,c_,Dx,c_,Ex,c_,c_,c_];var _d=[d_,d_,Xg,d_];var $d=[e_,e_,xS,e_,BS,e_,LS,e_,NS,e_,tU,e_,oS,e_,mS,e_,nU,e_,AS,e_,OS,e_,MR,e_,ZQ,e_,zS,e_,AR,e_,dR,e_,MS,e_,aS,e_,_R,e_,ER,e_,wR,e_,yR,e_,nR,e_,CR,e_,uR,e_,sR,e_,KR,e_,IR,e_,GR,e_,PS,e_,bR,e_,yS,e_,fR,e_,$Q,e_,XQ,e_,lR,e_,jR,e_,hR,e_,VQ,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_,e_];var ae=[f_,f_,qU,f_,kU,f_,f_,f_];var be=[g_,g_,QS,g_,CS,g_,g_,g_];var ce=[h_,h_,qN,h_,Ss,h_,Ts,h_,fh,h_,Vq,h_,aV,h_,RP,h_,kV,h_,Hs,h_,gV,h_,cN,h_,jN,h_,YU,h_,bs,h_,Wq,h_,hL,h_,Us,h_,Ws,h_,Vs,h_,Rs,h_,lh,h_,xA,h_,CX,h_,iV,h_,Js,h_,xp,h_,Ce,h_,cs,h_,Xq,h_,FP,h_,yp,h_,bv,h_,TP,h_,_U,h_,oZ,h_,es,h_,pZ,h_,Gs,h_,gL,h_,Ar,h_,yA,h_,DP,h_,XM,h_,xr,h_,ih,h_,Qs,h_,Ps,h_,yr,h_,lY,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_,h_];var de=[i_,i_,ny,i_];var ee=[j_,j_,OM,j_,Ap,j_,PM,j_,MM,j_,qZ,j_,Tu,j_,j_,j_];var fe=[k_,k_,Qp,k_,jq,k_,Dr,k_,Wr,k_,Nq,k_,hs,k_,jr,k_,Is,k_,wr,k_,Bs,k_,Fs,k_,Tq,k_,qr,k_,zr,k_,Xr,k_,VU,k_,Hq,k_,As,k_,ys,k_,nr,k_,rZ,k_,br,k_,pr,k_,WU,k_,Zr,k_,ur,k_,sr,k_,Ds,k_,lV,k_,Ms,k_,rr,k_,Yr,k_,Bq,k_,Eq,k_,as,k_,tr,k_,Gq,k_,eq,k_,zs,k_,Cs,k_,cr,k_,_r,k_,bV,k_,ds,k_,sq,k_,kr,k_,XU,k_,Vr,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_,k_];var ge=[l_,l_,AK,l_,Dy,l_,Fy,l_,YC,l_,IN,l_,CQ,l_,AL,l_];var he=[m_,m_,_g,m_,NL,m_,ou,m_,sZ,m_,Ru,m_,qu,m_,m_,m_];var ie=[n_,n_,xV,n_,HV,n_,FV,n_,QV,n_,SV,n_,yV,n_,pV,n_,qV,n_,n_,n_,n_,n_,n_,n_,n_,n_,n_,n_,n_,n_,n_,n_];var je=[o_,o_,eL,o_,$X,o_,dr,o_,uA,o_,Cr,o_,_X,o_,Cu,o_,Ls,o_,xP,o_,RQ,o_,LP,o_,aY,o_,Au,o_,MQ,o_,gs,o_];return{_testSetjmp:PY,_strlen:KY,_free:jY,_main:Zg,_rand_r:RY,_realloc:lY,_strncpy:LY,_memmove:QY,__GLOBAL__I_a:sN,_saveSetjmp:OY,_memset:NY,_malloc:iY,_memcpy:MY,_strcpy:TY,_calloc:kY,_rand:SY,runPostSets:Ae,stackAlloc:ke,stackSave:le,stackRestore:me,setThrew:ne,setTempRet0:qe,setTempRet1:re,setTempRet2:se,setTempRet3:te,setTempRet4:ue,setTempRet5:ve,setTempRet6:we,setTempRet7:xe,setTempRet8:ye,setTempRet9:ze,dynCall_iiiiiiii:tZ,dynCall_vd:uZ,dynCall_viiiii:vZ,dynCall_vi:wZ,dynCall_vii:xZ,dynCall_iiiiiiiiiii:yZ,dynCall_ii:zZ,dynCall_iiiiii:AZ,dynCall_iiii:BZ,dynCall_viiiiid:CZ,dynCall_viiiiiiii:DZ,dynCall_viiiiii:EZ,dynCall_viidii:FZ,dynCall_iid:GZ,dynCall_viiiiiii:HZ,dynCall_viiiiiid:IZ,dynCall_viiiiiiiii:JZ,dynCall_iii:KZ,dynCall_iiiiidi:LZ,dynCall_i:MZ,dynCall_iiiii:NZ,dynCall_viii:OZ,dynCall_v:PZ,dynCall_iiiiiiiii:QZ,dynCall_viiii:RZ}})


// EMSCRIPTEN_END_ASM
({ "Math": Math, "Int8Array": Int8Array, "Int16Array": Int16Array, "Int32Array": Int32Array, "Uint8Array": Uint8Array, "Uint16Array": Uint16Array, "Uint32Array": Uint32Array, "Float32Array": Float32Array, "Float64Array": Float64Array }, { "abort": abort, "assert": assert, "asmPrintInt": asmPrintInt, "asmPrintFloat": asmPrintFloat, "min": Math_min, "invoke_iiiiiiii": invoke_iiiiiiii, "invoke_vd": invoke_vd, "invoke_viiiii": invoke_viiiii, "invoke_vi": invoke_vi, "invoke_vii": invoke_vii, "invoke_iiiiiiiiiii": invoke_iiiiiiiiiii, "invoke_ii": invoke_ii, "invoke_iiiiii": invoke_iiiiii, "invoke_iiii": invoke_iiii, "invoke_viiiiid": invoke_viiiiid, "invoke_viiiiiiii": invoke_viiiiiiii, "invoke_viiiiii": invoke_viiiiii, "invoke_viidii": invoke_viidii, "invoke_iid": invoke_iid, "invoke_viiiiiii": invoke_viiiiiii, "invoke_viiiiiid": invoke_viiiiiid, "invoke_viiiiiiiii": invoke_viiiiiiiii, "invoke_iii": invoke_iii, "invoke_iiiiidi": invoke_iiiiidi, "invoke_i": invoke_i, "invoke_iiiii": invoke_iiiii, "invoke_viii": invoke_viii, "invoke_v": invoke_v, "invoke_iiiiiiiii": invoke_iiiiiiiii, "invoke_viiii": invoke_viiii, "_llvm_lifetime_end": _llvm_lifetime_end, "_lseek": _lseek, "__scanString": __scanString, "_fclose": _fclose, "_pthread_mutex_lock": _pthread_mutex_lock, "___cxa_end_catch": ___cxa_end_catch, "_strtoull": _strtoull, "_fflush": _fflush, "_lis_solver_create": _lis_solver_create, "_strtol": _strtol, "_fputc": _fputc, "_strtok": _strtok, "_fwrite": _fwrite, "_send": _send, "_fputs": _fputs, "_emscripten_get_now": _emscripten_get_now, "_tmpnam": _tmpnam, "_isspace": _isspace, "_localtime": _localtime, "_read": _read, "_GC_init": _GC_init, "_ceil": _ceil, "___ctype_b_loc": ___ctype_b_loc, "_GC_malloc_atomic": _GC_malloc_atomic, "_isxdigit_l": _isxdigit_l, "_strstr": _strstr, "_fileno": _fileno, "_perror": _perror, "_fsync": _fsync, "___cxa_guard_abort": ___cxa_guard_abort, "_newlocale": _newlocale, "_signal": _signal, "___gxx_personality_v0": ___gxx_personality_v0, "_pthread_cond_wait": _pthread_cond_wait, "___cxa_rethrow": ___cxa_rethrow, "_freopen": _freopen, "___resumeException": ___resumeException, "_sscanf": _sscanf, "_round": _round, "_llvm_va_end": _llvm_va_end, "_clock_gettime": _clock_gettime, "_tmpfile": _tmpfile, "_vsscanf": _vsscanf, "_snprintf": _snprintf, "_fgetc": _fgetc, "_pclose": _pclose, "__getFloat": __getFloat, "_atexit": _atexit, "___cxa_free_exception": ___cxa_free_exception, "_close": _close, "_isdigit_l": _isdigit_l, "_vasprintf": _vasprintf, "___setErrNo": ___setErrNo, "_isxdigit": _isxdigit, "_access": _access, "_ftell": _ftell, "_exit": _exit, "_sprintf": _sprintf, "_pthread_setspecific": _pthread_setspecific, "_asprintf": _asprintf, "_GC_strdup": _GC_strdup, "_strrchr": _strrchr, "_freelocale": _freelocale, "_catgets": _catgets, "_fmod": _fmod, "__isLeapYear": __isLeapYear, "_fmax": _fmax, "___cxa_is_number_type": ___cxa_is_number_type, "_GC_malloc": _GC_malloc, "___cxa_does_inherit": ___cxa_does_inherit, "___cxa_guard_acquire": ___cxa_guard_acquire, "_lis_vector_destroy": _lis_vector_destroy, "_localtime_r": _localtime_r, "___cxa_begin_catch": ___cxa_begin_catch, "_lis_vector_create": _lis_vector_create, "__ZNSt9exceptionD2Ev": __ZNSt9exceptionD2Ev, "_recv": _recv, "__parseInt64": __parseInt64, "__ZSt18uncaught_exceptionv": __ZSt18uncaught_exceptionv, "_cos": _cos, "_lis_matrix_set_value": _lis_matrix_set_value, "_putchar": _putchar, "___cxa_call_unexpected": ___cxa_call_unexpected, "_popen": _popen, "_isblank": _isblank, "_copysign": _copysign, "_bsearch": _bsearch, "__exit": __exit, "_strftime": _strftime, "_tzset": _tzset, "___cxa_throw": ___cxa_throw, "_emscripten_memcpy_big": _emscripten_memcpy_big, "_printf": _printf, "_pread": _pread, "_fopen": _fopen, "_open": _open, "_strtoull_l": _strtoull_l, "__arraySum": __arraySum, "_sysconf": _sysconf, "_puts": _puts, "_pthread_key_create": _pthread_key_create, "_strtoll_l": _strtoll_l, "_qsort": _qsort, "_system": _system, "___cxa_find_matching_catch": ___cxa_find_matching_catch, "_strdup": _strdup, "_srand": _srand, "_isatty": _isatty, "__formatString": __formatString, "_pthread_cond_broadcast": _pthread_cond_broadcast, "__ZSt9terminatev": __ZSt9terminatev, "_atoi": _atoi, "_vfprintf": _vfprintf, "_pthread_mutex_unlock": _pthread_mutex_unlock, "_llvm_pow_f64": _llvm_pow_f64, "_sbrk": _sbrk, "_fscanf": _fscanf, "_lis_solver_destroy": _lis_solver_destroy, "___errno_location": ___errno_location, "_strerror": _strerror, "_fstat": _fstat, "_catclose": _catclose, "_llvm_lifetime_start": _llvm_lifetime_start, "__parseInt": __parseInt, "___cxa_guard_release": ___cxa_guard_release, "_ungetc": _ungetc, "_ftruncate": _ftruncate, "_uselocale": _uselocale, "_vsnprintf": _vsnprintf, "_htonl": _htonl, "___assert_fail": ___assert_fail, "_fread": _fread, "_strtok_r": _strtok_r, "_strftime_l": _strftime_l, "_abort": _abort, "_fprintf": _fprintf, "_isdigit": _isdigit, "_strtoll": _strtoll, "__addDays": __addDays, "_pthread_getspecific": _pthread_getspecific, "_fabs": _fabs, "_GC_collect_a_little": _GC_collect_a_little, "__reallyNegative": __reallyNegative, "_fseek": _fseek, "_sqrt": _sqrt, "_write": _write, "_mkport": _mkport, "_rewind": _rewind, "___cxa_allocate_exception": ___cxa_allocate_exception, "_sin": _sin, "_stat": _stat, "_longjmp": _longjmp, "_truncate": _truncate, "_catopen": _catopen, "___ctype_toupper_loc": ___ctype_toupper_loc, "___ctype_tolower_loc": ___ctype_tolower_loc, "_lis_vector_set_size": _lis_vector_set_size, "_unlink": _unlink, "_pwrite": _pwrite, "_strerror_r": _strerror_r, "_floor": _floor, "_lis_solver_set_option": _lis_solver_set_option, "_time": _time, "STACKTOP": STACKTOP, "STACK_MAX": STACK_MAX, "tempDoublePtr": tempDoublePtr, "ABORT": ABORT, "cttz_i8": cttz_i8, "ctlz_i8": ctlz_i8, "___rand_seed": ___rand_seed, "NaN": NaN, "Infinity": Infinity, "_stdin": _stdin, "__ZTVN10__cxxabiv117__class_type_infoE": __ZTVN10__cxxabiv117__class_type_infoE, "_stdout": _stdout, "___dso_handle": ___dso_handle, "__ZTVN10__cxxabiv120__si_class_type_infoE": __ZTVN10__cxxabiv120__si_class_type_infoE, "_stderr": _stderr }, buffer);
var _testSetjmp = Module["_testSetjmp"] = asm["_testSetjmp"];
var _strlen = Module["_strlen"] = asm["_strlen"];
var _free = Module["_free"] = asm["_free"];
var _main = Module["_main"] = asm["_main"];
var _rand_r = Module["_rand_r"] = asm["_rand_r"];
var _realloc = Module["_realloc"] = asm["_realloc"];
var _strncpy = Module["_strncpy"] = asm["_strncpy"];
var _memmove = Module["_memmove"] = asm["_memmove"];
var __GLOBAL__I_a = Module["__GLOBAL__I_a"] = asm["__GLOBAL__I_a"];
var _saveSetjmp = Module["_saveSetjmp"] = asm["_saveSetjmp"];
var _memset = Module["_memset"] = asm["_memset"];
var _malloc = Module["_malloc"] = asm["_malloc"];
var _memcpy = Module["_memcpy"] = asm["_memcpy"];
var _strcpy = Module["_strcpy"] = asm["_strcpy"];
var _calloc = Module["_calloc"] = asm["_calloc"];
var _rand = Module["_rand"] = asm["_rand"];
var runPostSets = Module["runPostSets"] = asm["runPostSets"];
var dynCall_iiiiiiii = Module["dynCall_iiiiiiii"] = asm["dynCall_iiiiiiii"];
var dynCall_vd = Module["dynCall_vd"] = asm["dynCall_vd"];
var dynCall_viiiii = Module["dynCall_viiiii"] = asm["dynCall_viiiii"];
var dynCall_vi = Module["dynCall_vi"] = asm["dynCall_vi"];
var dynCall_vii = Module["dynCall_vii"] = asm["dynCall_vii"];
var dynCall_iiiiiiiiiii = Module["dynCall_iiiiiiiiiii"] = asm["dynCall_iiiiiiiiiii"];
var dynCall_ii = Module["dynCall_ii"] = asm["dynCall_ii"];
var dynCall_iiiiii = Module["dynCall_iiiiii"] = asm["dynCall_iiiiii"];
var dynCall_iiii = Module["dynCall_iiii"] = asm["dynCall_iiii"];
var dynCall_viiiiid = Module["dynCall_viiiiid"] = asm["dynCall_viiiiid"];
var dynCall_viiiiiiii = Module["dynCall_viiiiiiii"] = asm["dynCall_viiiiiiii"];
var dynCall_viiiiii = Module["dynCall_viiiiii"] = asm["dynCall_viiiiii"];
var dynCall_viidii = Module["dynCall_viidii"] = asm["dynCall_viidii"];
var dynCall_iid = Module["dynCall_iid"] = asm["dynCall_iid"];
var dynCall_viiiiiii = Module["dynCall_viiiiiii"] = asm["dynCall_viiiiiii"];
var dynCall_viiiiiid = Module["dynCall_viiiiiid"] = asm["dynCall_viiiiiid"];
var dynCall_viiiiiiiii = Module["dynCall_viiiiiiiii"] = asm["dynCall_viiiiiiiii"];
var dynCall_iii = Module["dynCall_iii"] = asm["dynCall_iii"];
var dynCall_iiiiidi = Module["dynCall_iiiiidi"] = asm["dynCall_iiiiidi"];
var dynCall_i = Module["dynCall_i"] = asm["dynCall_i"];
var dynCall_iiiii = Module["dynCall_iiiii"] = asm["dynCall_iiiii"];
var dynCall_viii = Module["dynCall_viii"] = asm["dynCall_viii"];
var dynCall_v = Module["dynCall_v"] = asm["dynCall_v"];
var dynCall_iiiiiiiii = Module["dynCall_iiiiiiiii"] = asm["dynCall_iiiiiiiii"];
var dynCall_viiii = Module["dynCall_viiii"] = asm["dynCall_viiii"];

Runtime.stackAlloc = function(size) { return asm['stackAlloc'](size) };
Runtime.stackSave = function() { return asm['stackSave']() };
Runtime.stackRestore = function(top) { asm['stackRestore'](top) };

// TODO: strip out parts of this we do not need

//======= begin closure i64 code =======

// Copyright 2009 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * @fileoverview Defines a Long class for representing a 64-bit two's-complement
 * integer value, which faithfully simulates the behavior of a Java "long". This
 * implementation is derived from LongLib in GWT.
 *
 */

var i64Math = (function() { // Emscripten wrapper
  var goog = { math: {} };


  /**
   * Constructs a 64-bit two's-complement integer, given its low and high 32-bit
   * values as *signed* integers.  See the from* functions below for more
   * convenient ways of constructing Longs.
   *
   * The internal representation of a long is the two given signed, 32-bit values.
   * We use 32-bit pieces because these are the size of integers on which
   * Javascript performs bit-operations.  For operations like addition and
   * multiplication, we split each number into 16-bit pieces, which can easily be
   * multiplied within Javascript's floating-point representation without overflow
   * or change in sign.
   *
   * In the algorithms below, we frequently reduce the negative case to the
   * positive case by negating the input(s) and then post-processing the result.
   * Note that we must ALWAYS check specially whether those values are MIN_VALUE
   * (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
   * a positive number, it overflows back into a negative).  Not handling this
   * case would often result in infinite recursion.
   *
   * @param {number} low  The low (signed) 32 bits of the long.
   * @param {number} high  The high (signed) 32 bits of the long.
   * @constructor
   */
  goog.math.Long = function(low, high) {
    /**
     * @type {number}
     * @private
     */
    this.low_ = low | 0;  // force into 32 signed bits.

    /**
     * @type {number}
     * @private
     */
    this.high_ = high | 0;  // force into 32 signed bits.
  };


  // NOTE: Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the
  // from* methods on which they depend.


  /**
   * A cache of the Long representations of small integer values.
   * @type {!Object}
   * @private
   */
  goog.math.Long.IntCache_ = {};


  /**
   * Returns a Long representing the given (32-bit) integer value.
   * @param {number} value The 32-bit integer in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromInt = function(value) {
    if (-128 <= value && value < 128) {
      var cachedObj = goog.math.Long.IntCache_[value];
      if (cachedObj) {
        return cachedObj;
      }
    }

    var obj = new goog.math.Long(value | 0, value < 0 ? -1 : 0);
    if (-128 <= value && value < 128) {
      goog.math.Long.IntCache_[value] = obj;
    }
    return obj;
  };


  /**
   * Returns a Long representing the given value, provided that it is a finite
   * number.  Otherwise, zero is returned.
   * @param {number} value The number in question.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromNumber = function(value) {
    if (isNaN(value) || !isFinite(value)) {
      return goog.math.Long.ZERO;
    } else if (value <= -goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MIN_VALUE;
    } else if (value + 1 >= goog.math.Long.TWO_PWR_63_DBL_) {
      return goog.math.Long.MAX_VALUE;
    } else if (value < 0) {
      return goog.math.Long.fromNumber(-value).negate();
    } else {
      return new goog.math.Long(
          (value % goog.math.Long.TWO_PWR_32_DBL_) | 0,
          (value / goog.math.Long.TWO_PWR_32_DBL_) | 0);
    }
  };


  /**
   * Returns a Long representing the 64-bit integer that comes by concatenating
   * the given high and low bits.  Each is assumed to use 32 bits.
   * @param {number} lowBits The low 32-bits.
   * @param {number} highBits The high 32-bits.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromBits = function(lowBits, highBits) {
    return new goog.math.Long(lowBits, highBits);
  };


  /**
   * Returns a Long representation of the given string, written using the given
   * radix.
   * @param {string} str The textual representation of the Long.
   * @param {number=} opt_radix The radix in which the text is written.
   * @return {!goog.math.Long} The corresponding Long value.
   */
  goog.math.Long.fromString = function(str, opt_radix) {
    if (str.length == 0) {
      throw Error('number format error: empty string');
    }

    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (str.charAt(0) == '-') {
      return goog.math.Long.fromString(str.substring(1), radix).negate();
    } else if (str.indexOf('-') >= 0) {
      throw Error('number format error: interior "-" character: ' + str);
    }

    // Do several (8) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 8));

    var result = goog.math.Long.ZERO;
    for (var i = 0; i < str.length; i += 8) {
      var size = Math.min(8, str.length - i);
      var value = parseInt(str.substring(i, i + size), radix);
      if (size < 8) {
        var power = goog.math.Long.fromNumber(Math.pow(radix, size));
        result = result.multiply(power).add(goog.math.Long.fromNumber(value));
      } else {
        result = result.multiply(radixToPower);
        result = result.add(goog.math.Long.fromNumber(value));
      }
    }
    return result;
  };


  // NOTE: the compiler should inline these constant values below and then remove
  // these variables, so there should be no runtime penalty for these.


  /**
   * Number used repeated below in calculations.  This must appear before the
   * first call to any from* function below.
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_16_DBL_ = 1 << 16;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_24_DBL_ = 1 << 24;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_32_DBL_ =
      goog.math.Long.TWO_PWR_16_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_31_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ / 2;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_48_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_16_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_64_DBL_ =
      goog.math.Long.TWO_PWR_32_DBL_ * goog.math.Long.TWO_PWR_32_DBL_;


  /**
   * @type {number}
   * @private
   */
  goog.math.Long.TWO_PWR_63_DBL_ =
      goog.math.Long.TWO_PWR_64_DBL_ / 2;


  /** @type {!goog.math.Long} */
  goog.math.Long.ZERO = goog.math.Long.fromInt(0);


  /** @type {!goog.math.Long} */
  goog.math.Long.ONE = goog.math.Long.fromInt(1);


  /** @type {!goog.math.Long} */
  goog.math.Long.NEG_ONE = goog.math.Long.fromInt(-1);


  /** @type {!goog.math.Long} */
  goog.math.Long.MAX_VALUE =
      goog.math.Long.fromBits(0xFFFFFFFF | 0, 0x7FFFFFFF | 0);


  /** @type {!goog.math.Long} */
  goog.math.Long.MIN_VALUE = goog.math.Long.fromBits(0, 0x80000000 | 0);


  /**
   * @type {!goog.math.Long}
   * @private
   */
  goog.math.Long.TWO_PWR_24_ = goog.math.Long.fromInt(1 << 24);


  /** @return {number} The value, assuming it is a 32-bit integer. */
  goog.math.Long.prototype.toInt = function() {
    return this.low_;
  };


  /** @return {number} The closest floating-point representation to this value. */
  goog.math.Long.prototype.toNumber = function() {
    return this.high_ * goog.math.Long.TWO_PWR_32_DBL_ +
           this.getLowBitsUnsigned();
  };


  /**
   * @param {number=} opt_radix The radix in which the text should be written.
   * @return {string} The textual representation of this value.
   */
  goog.math.Long.prototype.toString = function(opt_radix) {
    var radix = opt_radix || 10;
    if (radix < 2 || 36 < radix) {
      throw Error('radix out of range: ' + radix);
    }

    if (this.isZero()) {
      return '0';
    }

    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        // We need to change the Long value before it can be negated, so we remove
        // the bottom-most digit in this base and then recurse to do the rest.
        var radixLong = goog.math.Long.fromNumber(radix);
        var div = this.div(radixLong);
        var rem = div.multiply(radixLong).subtract(this);
        return div.toString(radix) + rem.toInt().toString(radix);
      } else {
        return '-' + this.negate().toString(radix);
      }
    }

    // Do several (6) digits each time through the loop, so as to
    // minimize the calls to the very expensive emulated div.
    var radixToPower = goog.math.Long.fromNumber(Math.pow(radix, 6));

    var rem = this;
    var result = '';
    while (true) {
      var remDiv = rem.div(radixToPower);
      var intval = rem.subtract(remDiv.multiply(radixToPower)).toInt();
      var digits = intval.toString(radix);

      rem = remDiv;
      if (rem.isZero()) {
        return digits + result;
      } else {
        while (digits.length < 6) {
          digits = '0' + digits;
        }
        result = '' + digits + result;
      }
    }
  };


  /** @return {number} The high 32-bits as a signed value. */
  goog.math.Long.prototype.getHighBits = function() {
    return this.high_;
  };


  /** @return {number} The low 32-bits as a signed value. */
  goog.math.Long.prototype.getLowBits = function() {
    return this.low_;
  };


  /** @return {number} The low 32-bits as an unsigned value. */
  goog.math.Long.prototype.getLowBitsUnsigned = function() {
    return (this.low_ >= 0) ?
        this.low_ : goog.math.Long.TWO_PWR_32_DBL_ + this.low_;
  };


  /**
   * @return {number} Returns the number of bits needed to represent the absolute
   *     value of this Long.
   */
  goog.math.Long.prototype.getNumBitsAbs = function() {
    if (this.isNegative()) {
      if (this.equals(goog.math.Long.MIN_VALUE)) {
        return 64;
      } else {
        return this.negate().getNumBitsAbs();
      }
    } else {
      var val = this.high_ != 0 ? this.high_ : this.low_;
      for (var bit = 31; bit > 0; bit--) {
        if ((val & (1 << bit)) != 0) {
          break;
        }
      }
      return this.high_ != 0 ? bit + 33 : bit + 1;
    }
  };


  /** @return {boolean} Whether this value is zero. */
  goog.math.Long.prototype.isZero = function() {
    return this.high_ == 0 && this.low_ == 0;
  };


  /** @return {boolean} Whether this value is negative. */
  goog.math.Long.prototype.isNegative = function() {
    return this.high_ < 0;
  };


  /** @return {boolean} Whether this value is odd. */
  goog.math.Long.prototype.isOdd = function() {
    return (this.low_ & 1) == 1;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long equals the other.
   */
  goog.math.Long.prototype.equals = function(other) {
    return (this.high_ == other.high_) && (this.low_ == other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long does not equal the other.
   */
  goog.math.Long.prototype.notEquals = function(other) {
    return (this.high_ != other.high_) || (this.low_ != other.low_);
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than the other.
   */
  goog.math.Long.prototype.lessThan = function(other) {
    return this.compare(other) < 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is less than or equal to the other.
   */
  goog.math.Long.prototype.lessThanOrEqual = function(other) {
    return this.compare(other) <= 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than the other.
   */
  goog.math.Long.prototype.greaterThan = function(other) {
    return this.compare(other) > 0;
  };


  /**
   * @param {goog.math.Long} other Long to compare against.
   * @return {boolean} Whether this Long is greater than or equal to the other.
   */
  goog.math.Long.prototype.greaterThanOrEqual = function(other) {
    return this.compare(other) >= 0;
  };


  /**
   * Compares this Long with the given one.
   * @param {goog.math.Long} other Long to compare against.
   * @return {number} 0 if they are the same, 1 if the this is greater, and -1
   *     if the given one is greater.
   */
  goog.math.Long.prototype.compare = function(other) {
    if (this.equals(other)) {
      return 0;
    }

    var thisNeg = this.isNegative();
    var otherNeg = other.isNegative();
    if (thisNeg && !otherNeg) {
      return -1;
    }
    if (!thisNeg && otherNeg) {
      return 1;
    }

    // at this point, the signs are the same, so subtraction will not overflow
    if (this.subtract(other).isNegative()) {
      return -1;
    } else {
      return 1;
    }
  };


  /** @return {!goog.math.Long} The negation of this value. */
  goog.math.Long.prototype.negate = function() {
    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.MIN_VALUE;
    } else {
      return this.not().add(goog.math.Long.ONE);
    }
  };


  /**
   * Returns the sum of this and the given Long.
   * @param {goog.math.Long} other Long to add to this one.
   * @return {!goog.math.Long} The sum of this and the given Long.
   */
  goog.math.Long.prototype.add = function(other) {
    // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 + b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 + b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 + b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 + b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns the difference of this and the given Long.
   * @param {goog.math.Long} other Long to subtract from this.
   * @return {!goog.math.Long} The difference of this and the given Long.
   */
  goog.math.Long.prototype.subtract = function(other) {
    return this.add(other.negate());
  };


  /**
   * Returns the product of this and the given long.
   * @param {goog.math.Long} other Long to multiply with this.
   * @return {!goog.math.Long} The product of this and the other.
   */
  goog.math.Long.prototype.multiply = function(other) {
    if (this.isZero()) {
      return goog.math.Long.ZERO;
    } else if (other.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      return other.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return this.isOdd() ? goog.math.Long.MIN_VALUE : goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().multiply(other.negate());
      } else {
        return this.negate().multiply(other).negate();
      }
    } else if (other.isNegative()) {
      return this.multiply(other.negate()).negate();
    }

    // If both longs are small, use float multiplication
    if (this.lessThan(goog.math.Long.TWO_PWR_24_) &&
        other.lessThan(goog.math.Long.TWO_PWR_24_)) {
      return goog.math.Long.fromNumber(this.toNumber() * other.toNumber());
    }

    // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
    // We can skip products that would overflow.

    var a48 = this.high_ >>> 16;
    var a32 = this.high_ & 0xFFFF;
    var a16 = this.low_ >>> 16;
    var a00 = this.low_ & 0xFFFF;

    var b48 = other.high_ >>> 16;
    var b32 = other.high_ & 0xFFFF;
    var b16 = other.low_ >>> 16;
    var b00 = other.low_ & 0xFFFF;

    var c48 = 0, c32 = 0, c16 = 0, c00 = 0;
    c00 += a00 * b00;
    c16 += c00 >>> 16;
    c00 &= 0xFFFF;
    c16 += a16 * b00;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c16 += a00 * b16;
    c32 += c16 >>> 16;
    c16 &= 0xFFFF;
    c32 += a32 * b00;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a16 * b16;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c32 += a00 * b32;
    c48 += c32 >>> 16;
    c32 &= 0xFFFF;
    c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
    c48 &= 0xFFFF;
    return goog.math.Long.fromBits((c16 << 16) | c00, (c48 << 16) | c32);
  };


  /**
   * Returns this Long divided by the given one.
   * @param {goog.math.Long} other Long by which to divide.
   * @return {!goog.math.Long} This Long divided by the given one.
   */
  goog.math.Long.prototype.div = function(other) {
    if (other.isZero()) {
      throw Error('division by zero');
    } else if (this.isZero()) {
      return goog.math.Long.ZERO;
    }

    if (this.equals(goog.math.Long.MIN_VALUE)) {
      if (other.equals(goog.math.Long.ONE) ||
          other.equals(goog.math.Long.NEG_ONE)) {
        return goog.math.Long.MIN_VALUE;  // recall that -MIN_VALUE == MIN_VALUE
      } else if (other.equals(goog.math.Long.MIN_VALUE)) {
        return goog.math.Long.ONE;
      } else {
        // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
        var halfThis = this.shiftRight(1);
        var approx = halfThis.div(other).shiftLeft(1);
        if (approx.equals(goog.math.Long.ZERO)) {
          return other.isNegative() ? goog.math.Long.ONE : goog.math.Long.NEG_ONE;
        } else {
          var rem = this.subtract(other.multiply(approx));
          var result = approx.add(rem.div(other));
          return result;
        }
      }
    } else if (other.equals(goog.math.Long.MIN_VALUE)) {
      return goog.math.Long.ZERO;
    }

    if (this.isNegative()) {
      if (other.isNegative()) {
        return this.negate().div(other.negate());
      } else {
        return this.negate().div(other).negate();
      }
    } else if (other.isNegative()) {
      return this.div(other.negate()).negate();
    }

    // Repeat the following until the remainder is less than other:  find a
    // floating-point that approximates remainder / other *from below*, add this
    // into the result, and subtract it from the remainder.  It is critical that
    // the approximate value is less than or equal to the real value so that the
    // remainder never becomes negative.
    var res = goog.math.Long.ZERO;
    var rem = this;
    while (rem.greaterThanOrEqual(other)) {
      // Approximate the result of division. This may be a little greater or
      // smaller than the actual value.
      var approx = Math.max(1, Math.floor(rem.toNumber() / other.toNumber()));

      // We will tweak the approximate result by changing it in the 48-th digit or
      // the smallest non-fractional digit, whichever is larger.
      var log2 = Math.ceil(Math.log(approx) / Math.LN2);
      var delta = (log2 <= 48) ? 1 : Math.pow(2, log2 - 48);

      // Decrease the approximation until it is smaller than the remainder.  Note
      // that if it is too large, the product overflows and is negative.
      var approxRes = goog.math.Long.fromNumber(approx);
      var approxRem = approxRes.multiply(other);
      while (approxRem.isNegative() || approxRem.greaterThan(rem)) {
        approx -= delta;
        approxRes = goog.math.Long.fromNumber(approx);
        approxRem = approxRes.multiply(other);
      }

      // We know the answer can't be zero... and actually, zero would cause
      // infinite recursion since we would make no progress.
      if (approxRes.isZero()) {
        approxRes = goog.math.Long.ONE;
      }

      res = res.add(approxRes);
      rem = rem.subtract(approxRem);
    }
    return res;
  };


  /**
   * Returns this Long modulo the given one.
   * @param {goog.math.Long} other Long by which to mod.
   * @return {!goog.math.Long} This Long modulo the given one.
   */
  goog.math.Long.prototype.modulo = function(other) {
    return this.subtract(this.div(other).multiply(other));
  };


  /** @return {!goog.math.Long} The bitwise-NOT of this value. */
  goog.math.Long.prototype.not = function() {
    return goog.math.Long.fromBits(~this.low_, ~this.high_);
  };


  /**
   * Returns the bitwise-AND of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to AND.
   * @return {!goog.math.Long} The bitwise-AND of this and the other.
   */
  goog.math.Long.prototype.and = function(other) {
    return goog.math.Long.fromBits(this.low_ & other.low_,
                                   this.high_ & other.high_);
  };


  /**
   * Returns the bitwise-OR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to OR.
   * @return {!goog.math.Long} The bitwise-OR of this and the other.
   */
  goog.math.Long.prototype.or = function(other) {
    return goog.math.Long.fromBits(this.low_ | other.low_,
                                   this.high_ | other.high_);
  };


  /**
   * Returns the bitwise-XOR of this Long and the given one.
   * @param {goog.math.Long} other The Long with which to XOR.
   * @return {!goog.math.Long} The bitwise-XOR of this and the other.
   */
  goog.math.Long.prototype.xor = function(other) {
    return goog.math.Long.fromBits(this.low_ ^ other.low_,
                                   this.high_ ^ other.high_);
  };


  /**
   * Returns this Long with bits shifted to the left by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the left by the given amount.
   */
  goog.math.Long.prototype.shiftLeft = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var low = this.low_;
      if (numBits < 32) {
        var high = this.high_;
        return goog.math.Long.fromBits(
            low << numBits,
            (high << numBits) | (low >>> (32 - numBits)));
      } else {
        return goog.math.Long.fromBits(0, low << (numBits - 32));
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount.
   */
  goog.math.Long.prototype.shiftRight = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >> numBits);
      } else {
        return goog.math.Long.fromBits(
            high >> (numBits - 32),
            high >= 0 ? 0 : -1);
      }
    }
  };


  /**
   * Returns this Long with bits shifted to the right by the given amount, with
   * the new top bits matching the current sign bit.
   * @param {number} numBits The number of bits by which to shift.
   * @return {!goog.math.Long} This shifted to the right by the given amount, with
   *     zeros placed into the new leading bits.
   */
  goog.math.Long.prototype.shiftRightUnsigned = function(numBits) {
    numBits &= 63;
    if (numBits == 0) {
      return this;
    } else {
      var high = this.high_;
      if (numBits < 32) {
        var low = this.low_;
        return goog.math.Long.fromBits(
            (low >>> numBits) | (high << (32 - numBits)),
            high >>> numBits);
      } else if (numBits == 32) {
        return goog.math.Long.fromBits(high, 0);
      } else {
        return goog.math.Long.fromBits(high >>> (numBits - 32), 0);
      }
    }
  };

  //======= begin jsbn =======

  var navigator = { appName: 'Modern Browser' }; // polyfill a little

  // Copyright (c) 2005  Tom Wu
  // All Rights Reserved.
  // http://www-cs-students.stanford.edu/~tjw/jsbn/

  /*
   * Copyright (c) 2003-2005  Tom Wu
   * All Rights Reserved.
   *
   * Permission is hereby granted, free of charge, to any person obtaining
   * a copy of this software and associated documentation files (the
   * "Software"), to deal in the Software without restriction, including
   * without limitation the rights to use, copy, modify, merge, publish,
   * distribute, sublicense, and/or sell copies of the Software, and to
   * permit persons to whom the Software is furnished to do so, subject to
   * the following conditions:
   *
   * The above copyright notice and this permission notice shall be
   * included in all copies or substantial portions of the Software.
   *
   * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
   * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
   * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
   *
   * IN NO EVENT SHALL TOM WU BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
   * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER
   * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED OF
   * THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT
   * OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
   *
   * In addition, the following condition applies:
   *
   * All redistributions must retain an intact copy of this copyright notice
   * and disclaimer.
   */

  // Basic JavaScript BN library - subset useful for RSA encryption.

  // Bits per digit
  var dbits;

  // JavaScript engine analysis
  var canary = 0xdeadbeefcafe;
  var j_lm = ((canary&0xffffff)==0xefcafe);

  // (public) Constructor
  function BigInteger(a,b,c) {
    if(a != null)
      if("number" == typeof a) this.fromNumber(a,b,c);
      else if(b == null && "string" != typeof a) this.fromString(a,256);
      else this.fromString(a,b);
  }

  // return new, unset BigInteger
  function nbi() { return new BigInteger(null); }

  // am: Compute w_j += (x*this_i), propagate carries,
  // c is initial carry, returns final carry.
  // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
  // We need to select the fastest one that works in this environment.

  // am1: use a single mult and divide to get the high bits,
  // max digit bits should be 26 because
  // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
  function am1(i,x,w,j,c,n) {
    while(--n >= 0) {
      var v = x*this[i++]+w[j]+c;
      c = Math.floor(v/0x4000000);
      w[j++] = v&0x3ffffff;
    }
    return c;
  }
  // am2 avoids a big mult-and-extract completely.
  // Max digit bits should be <= 30 because we do bitwise ops
  // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
  function am2(i,x,w,j,c,n) {
    var xl = x&0x7fff, xh = x>>15;
    while(--n >= 0) {
      var l = this[i]&0x7fff;
      var h = this[i++]>>15;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x7fff)<<15)+w[j]+(c&0x3fffffff);
      c = (l>>>30)+(m>>>15)+xh*h+(c>>>30);
      w[j++] = l&0x3fffffff;
    }
    return c;
  }
  // Alternately, set max digit bits to 28 since some
  // browsers slow down when dealing with 32-bit numbers.
  function am3(i,x,w,j,c,n) {
    var xl = x&0x3fff, xh = x>>14;
    while(--n >= 0) {
      var l = this[i]&0x3fff;
      var h = this[i++]>>14;
      var m = xh*l+h*xl;
      l = xl*l+((m&0x3fff)<<14)+w[j]+c;
      c = (l>>28)+(m>>14)+xh*h;
      w[j++] = l&0xfffffff;
    }
    return c;
  }
  if(j_lm && (navigator.appName == "Microsoft Internet Explorer")) {
    BigInteger.prototype.am = am2;
    dbits = 30;
  }
  else if(j_lm && (navigator.appName != "Netscape")) {
    BigInteger.prototype.am = am1;
    dbits = 26;
  }
  else { // Mozilla/Netscape seems to prefer am3
    BigInteger.prototype.am = am3;
    dbits = 28;
  }

  BigInteger.prototype.DB = dbits;
  BigInteger.prototype.DM = ((1<<dbits)-1);
  BigInteger.prototype.DV = (1<<dbits);

  var BI_FP = 52;
  BigInteger.prototype.FV = Math.pow(2,BI_FP);
  BigInteger.prototype.F1 = BI_FP-dbits;
  BigInteger.prototype.F2 = 2*dbits-BI_FP;

  // Digit conversions
  var BI_RM = "0123456789abcdefghijklmnopqrstuvwxyz";
  var BI_RC = new Array();
  var rr,vv;
  rr = "0".charCodeAt(0);
  for(vv = 0; vv <= 9; ++vv) BI_RC[rr++] = vv;
  rr = "a".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;
  rr = "A".charCodeAt(0);
  for(vv = 10; vv < 36; ++vv) BI_RC[rr++] = vv;

  function int2char(n) { return BI_RM.charAt(n); }
  function intAt(s,i) {
    var c = BI_RC[s.charCodeAt(i)];
    return (c==null)?-1:c;
  }

  // (protected) copy this to r
  function bnpCopyTo(r) {
    for(var i = this.t-1; i >= 0; --i) r[i] = this[i];
    r.t = this.t;
    r.s = this.s;
  }

  // (protected) set from integer value x, -DV <= x < DV
  function bnpFromInt(x) {
    this.t = 1;
    this.s = (x<0)?-1:0;
    if(x > 0) this[0] = x;
    else if(x < -1) this[0] = x+DV;
    else this.t = 0;
  }

  // return bigint initialized to value
  function nbv(i) { var r = nbi(); r.fromInt(i); return r; }

  // (protected) set from string and radix
  function bnpFromString(s,b) {
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 256) k = 8; // byte array
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else { this.fromRadix(s,b); return; }
    this.t = 0;
    this.s = 0;
    var i = s.length, mi = false, sh = 0;
    while(--i >= 0) {
      var x = (k==8)?s[i]&0xff:intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-") mi = true;
        continue;
      }
      mi = false;
      if(sh == 0)
        this[this.t++] = x;
      else if(sh+k > this.DB) {
        this[this.t-1] |= (x&((1<<(this.DB-sh))-1))<<sh;
        this[this.t++] = (x>>(this.DB-sh));
      }
      else
        this[this.t-1] |= x<<sh;
      sh += k;
      if(sh >= this.DB) sh -= this.DB;
    }
    if(k == 8 && (s[0]&0x80) != 0) {
      this.s = -1;
      if(sh > 0) this[this.t-1] |= ((1<<(this.DB-sh))-1)<<sh;
    }
    this.clamp();
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) clamp off excess high words
  function bnpClamp() {
    var c = this.s&this.DM;
    while(this.t > 0 && this[this.t-1] == c) --this.t;
  }

  // (public) return string representation in given radix
  function bnToString(b) {
    if(this.s < 0) return "-"+this.negate().toString(b);
    var k;
    if(b == 16) k = 4;
    else if(b == 8) k = 3;
    else if(b == 2) k = 1;
    else if(b == 32) k = 5;
    else if(b == 4) k = 2;
    else return this.toRadix(b);
    var km = (1<<k)-1, d, m = false, r = "", i = this.t;
    var p = this.DB-(i*this.DB)%k;
    if(i-- > 0) {
      if(p < this.DB && (d = this[i]>>p) > 0) { m = true; r = int2char(d); }
      while(i >= 0) {
        if(p < k) {
          d = (this[i]&((1<<p)-1))<<(k-p);
          d |= this[--i]>>(p+=this.DB-k);
        }
        else {
          d = (this[i]>>(p-=k))&km;
          if(p <= 0) { p += this.DB; --i; }
        }
        if(d > 0) m = true;
        if(m) r += int2char(d);
      }
    }
    return m?r:"0";
  }

  // (public) -this
  function bnNegate() { var r = nbi(); BigInteger.ZERO.subTo(this,r); return r; }

  // (public) |this|
  function bnAbs() { return (this.s<0)?this.negate():this; }

  // (public) return + if this > a, - if this < a, 0 if equal
  function bnCompareTo(a) {
    var r = this.s-a.s;
    if(r != 0) return r;
    var i = this.t;
    r = i-a.t;
    if(r != 0) return (this.s<0)?-r:r;
    while(--i >= 0) if((r=this[i]-a[i]) != 0) return r;
    return 0;
  }

  // returns bit length of the integer x
  function nbits(x) {
    var r = 1, t;
    if((t=x>>>16) != 0) { x = t; r += 16; }
    if((t=x>>8) != 0) { x = t; r += 8; }
    if((t=x>>4) != 0) { x = t; r += 4; }
    if((t=x>>2) != 0) { x = t; r += 2; }
    if((t=x>>1) != 0) { x = t; r += 1; }
    return r;
  }

  // (public) return the number of bits in "this"
  function bnBitLength() {
    if(this.t <= 0) return 0;
    return this.DB*(this.t-1)+nbits(this[this.t-1]^(this.s&this.DM));
  }

  // (protected) r = this << n*DB
  function bnpDLShiftTo(n,r) {
    var i;
    for(i = this.t-1; i >= 0; --i) r[i+n] = this[i];
    for(i = n-1; i >= 0; --i) r[i] = 0;
    r.t = this.t+n;
    r.s = this.s;
  }

  // (protected) r = this >> n*DB
  function bnpDRShiftTo(n,r) {
    for(var i = n; i < this.t; ++i) r[i-n] = this[i];
    r.t = Math.max(this.t-n,0);
    r.s = this.s;
  }

  // (protected) r = this << n
  function bnpLShiftTo(n,r) {
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<cbs)-1;
    var ds = Math.floor(n/this.DB), c = (this.s<<bs)&this.DM, i;
    for(i = this.t-1; i >= 0; --i) {
      r[i+ds+1] = (this[i]>>cbs)|c;
      c = (this[i]&bm)<<bs;
    }
    for(i = ds-1; i >= 0; --i) r[i] = 0;
    r[ds] = c;
    r.t = this.t+ds+1;
    r.s = this.s;
    r.clamp();
  }

  // (protected) r = this >> n
  function bnpRShiftTo(n,r) {
    r.s = this.s;
    var ds = Math.floor(n/this.DB);
    if(ds >= this.t) { r.t = 0; return; }
    var bs = n%this.DB;
    var cbs = this.DB-bs;
    var bm = (1<<bs)-1;
    r[0] = this[ds]>>bs;
    for(var i = ds+1; i < this.t; ++i) {
      r[i-ds-1] |= (this[i]&bm)<<cbs;
      r[i-ds] = this[i]>>bs;
    }
    if(bs > 0) r[this.t-ds-1] |= (this.s&bm)<<cbs;
    r.t = this.t-ds;
    r.clamp();
  }

  // (protected) r = this - a
  function bnpSubTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]-a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c -= a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c -= a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c -= a.s;
    }
    r.s = (c<0)?-1:0;
    if(c < -1) r[i++] = this.DV+c;
    else if(c > 0) r[i++] = c;
    r.t = i;
    r.clamp();
  }

  // (protected) r = this * a, r != this,a (HAC 14.12)
  // "this" should be the larger one if appropriate.
  function bnpMultiplyTo(a,r) {
    var x = this.abs(), y = a.abs();
    var i = x.t;
    r.t = i+y.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < y.t; ++i) r[i+x.t] = x.am(0,y[i],r,i,0,x.t);
    r.s = 0;
    r.clamp();
    if(this.s != a.s) BigInteger.ZERO.subTo(r,r);
  }

  // (protected) r = this^2, r != this (HAC 14.16)
  function bnpSquareTo(r) {
    var x = this.abs();
    var i = r.t = 2*x.t;
    while(--i >= 0) r[i] = 0;
    for(i = 0; i < x.t-1; ++i) {
      var c = x.am(i,x[i],r,2*i,0,1);
      if((r[i+x.t]+=x.am(i+1,2*x[i],r,2*i+1,c,x.t-i-1)) >= x.DV) {
        r[i+x.t] -= x.DV;
        r[i+x.t+1] = 1;
      }
    }
    if(r.t > 0) r[r.t-1] += x.am(i,x[i],r,2*i,0,1);
    r.s = 0;
    r.clamp();
  }

  // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
  // r != q, this != m.  q or r may be null.
  function bnpDivRemTo(m,q,r) {
    var pm = m.abs();
    if(pm.t <= 0) return;
    var pt = this.abs();
    if(pt.t < pm.t) {
      if(q != null) q.fromInt(0);
      if(r != null) this.copyTo(r);
      return;
    }
    if(r == null) r = nbi();
    var y = nbi(), ts = this.s, ms = m.s;
    var nsh = this.DB-nbits(pm[pm.t-1]);	// normalize modulus
    if(nsh > 0) { pm.lShiftTo(nsh,y); pt.lShiftTo(nsh,r); }
    else { pm.copyTo(y); pt.copyTo(r); }
    var ys = y.t;
    var y0 = y[ys-1];
    if(y0 == 0) return;
    var yt = y0*(1<<this.F1)+((ys>1)?y[ys-2]>>this.F2:0);
    var d1 = this.FV/yt, d2 = (1<<this.F1)/yt, e = 1<<this.F2;
    var i = r.t, j = i-ys, t = (q==null)?nbi():q;
    y.dlShiftTo(j,t);
    if(r.compareTo(t) >= 0) {
      r[r.t++] = 1;
      r.subTo(t,r);
    }
    BigInteger.ONE.dlShiftTo(ys,t);
    t.subTo(y,y);	// "negative" y so we can replace sub with am later
    while(y.t < ys) y[y.t++] = 0;
    while(--j >= 0) {
      // Estimate quotient digit
      var qd = (r[--i]==y0)?this.DM:Math.floor(r[i]*d1+(r[i-1]+e)*d2);
      if((r[i]+=y.am(0,qd,r,j,0,ys)) < qd) {	// Try it out
        y.dlShiftTo(j,t);
        r.subTo(t,r);
        while(r[i] < --qd) r.subTo(t,r);
      }
    }
    if(q != null) {
      r.drShiftTo(ys,q);
      if(ts != ms) BigInteger.ZERO.subTo(q,q);
    }
    r.t = ys;
    r.clamp();
    if(nsh > 0) r.rShiftTo(nsh,r);	// Denormalize remainder
    if(ts < 0) BigInteger.ZERO.subTo(r,r);
  }

  // (public) this mod a
  function bnMod(a) {
    var r = nbi();
    this.abs().divRemTo(a,null,r);
    if(this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) a.subTo(r,r);
    return r;
  }

  // Modular reduction using "classic" algorithm
  function Classic(m) { this.m = m; }
  function cConvert(x) {
    if(x.s < 0 || x.compareTo(this.m) >= 0) return x.mod(this.m);
    else return x;
  }
  function cRevert(x) { return x; }
  function cReduce(x) { x.divRemTo(this.m,null,x); }
  function cMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }
  function cSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  Classic.prototype.convert = cConvert;
  Classic.prototype.revert = cRevert;
  Classic.prototype.reduce = cReduce;
  Classic.prototype.mulTo = cMulTo;
  Classic.prototype.sqrTo = cSqrTo;

  // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
  // justification:
  //         xy == 1 (mod m)
  //         xy =  1+km
  //   xy(2-xy) = (1+km)(1-km)
  // x[y(2-xy)] = 1-k^2m^2
  // x[y(2-xy)] == 1 (mod m^2)
  // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
  // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
  // JS multiply "overflows" differently from C/C++, so care is needed here.
  function bnpInvDigit() {
    if(this.t < 1) return 0;
    var x = this[0];
    if((x&1) == 0) return 0;
    var y = x&3;		// y == 1/x mod 2^2
    y = (y*(2-(x&0xf)*y))&0xf;	// y == 1/x mod 2^4
    y = (y*(2-(x&0xff)*y))&0xff;	// y == 1/x mod 2^8
    y = (y*(2-(((x&0xffff)*y)&0xffff)))&0xffff;	// y == 1/x mod 2^16
    // last step - calculate inverse mod DV directly;
    // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
    y = (y*(2-x*y%this.DV))%this.DV;		// y == 1/x mod 2^dbits
    // we really want the negative inverse, and -DV < y < DV
    return (y>0)?this.DV-y:-y;
  }

  // Montgomery reduction
  function Montgomery(m) {
    this.m = m;
    this.mp = m.invDigit();
    this.mpl = this.mp&0x7fff;
    this.mph = this.mp>>15;
    this.um = (1<<(m.DB-15))-1;
    this.mt2 = 2*m.t;
  }

  // xR mod m
  function montConvert(x) {
    var r = nbi();
    x.abs().dlShiftTo(this.m.t,r);
    r.divRemTo(this.m,null,r);
    if(x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) this.m.subTo(r,r);
    return r;
  }

  // x/R mod m
  function montRevert(x) {
    var r = nbi();
    x.copyTo(r);
    this.reduce(r);
    return r;
  }

  // x = x/R mod m (HAC 14.32)
  function montReduce(x) {
    while(x.t <= this.mt2)	// pad x so am has enough room later
      x[x.t++] = 0;
    for(var i = 0; i < this.m.t; ++i) {
      // faster way of calculating u0 = x[i]*mp mod DV
      var j = x[i]&0x7fff;
      var u0 = (j*this.mpl+(((j*this.mph+(x[i]>>15)*this.mpl)&this.um)<<15))&x.DM;
      // use am to combine the multiply-shift-add into one call
      j = i+this.m.t;
      x[j] += this.m.am(0,u0,x,i,0,this.m.t);
      // propagate carry
      while(x[j] >= x.DV) { x[j] -= x.DV; x[++j]++; }
    }
    x.clamp();
    x.drShiftTo(this.m.t,x);
    if(x.compareTo(this.m) >= 0) x.subTo(this.m,x);
  }

  // r = "x^2/R mod m"; x != r
  function montSqrTo(x,r) { x.squareTo(r); this.reduce(r); }

  // r = "xy/R mod m"; x,y != r
  function montMulTo(x,y,r) { x.multiplyTo(y,r); this.reduce(r); }

  Montgomery.prototype.convert = montConvert;
  Montgomery.prototype.revert = montRevert;
  Montgomery.prototype.reduce = montReduce;
  Montgomery.prototype.mulTo = montMulTo;
  Montgomery.prototype.sqrTo = montSqrTo;

  // (protected) true iff this is even
  function bnpIsEven() { return ((this.t>0)?(this[0]&1):this.s) == 0; }

  // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
  function bnpExp(e,z) {
    if(e > 0xffffffff || e < 1) return BigInteger.ONE;
    var r = nbi(), r2 = nbi(), g = z.convert(this), i = nbits(e)-1;
    g.copyTo(r);
    while(--i >= 0) {
      z.sqrTo(r,r2);
      if((e&(1<<i)) > 0) z.mulTo(r2,g,r);
      else { var t = r; r = r2; r2 = t; }
    }
    return z.revert(r);
  }

  // (public) this^e % m, 0 <= e < 2^32
  function bnModPowInt(e,m) {
    var z;
    if(e < 256 || m.isEven()) z = new Classic(m); else z = new Montgomery(m);
    return this.exp(e,z);
  }

  // protected
  BigInteger.prototype.copyTo = bnpCopyTo;
  BigInteger.prototype.fromInt = bnpFromInt;
  BigInteger.prototype.fromString = bnpFromString;
  BigInteger.prototype.clamp = bnpClamp;
  BigInteger.prototype.dlShiftTo = bnpDLShiftTo;
  BigInteger.prototype.drShiftTo = bnpDRShiftTo;
  BigInteger.prototype.lShiftTo = bnpLShiftTo;
  BigInteger.prototype.rShiftTo = bnpRShiftTo;
  BigInteger.prototype.subTo = bnpSubTo;
  BigInteger.prototype.multiplyTo = bnpMultiplyTo;
  BigInteger.prototype.squareTo = bnpSquareTo;
  BigInteger.prototype.divRemTo = bnpDivRemTo;
  BigInteger.prototype.invDigit = bnpInvDigit;
  BigInteger.prototype.isEven = bnpIsEven;
  BigInteger.prototype.exp = bnpExp;

  // public
  BigInteger.prototype.toString = bnToString;
  BigInteger.prototype.negate = bnNegate;
  BigInteger.prototype.abs = bnAbs;
  BigInteger.prototype.compareTo = bnCompareTo;
  BigInteger.prototype.bitLength = bnBitLength;
  BigInteger.prototype.mod = bnMod;
  BigInteger.prototype.modPowInt = bnModPowInt;

  // "constants"
  BigInteger.ZERO = nbv(0);
  BigInteger.ONE = nbv(1);

  // jsbn2 stuff

  // (protected) convert from radix string
  function bnpFromRadix(s,b) {
    this.fromInt(0);
    if(b == null) b = 10;
    var cs = this.chunkSize(b);
    var d = Math.pow(b,cs), mi = false, j = 0, w = 0;
    for(var i = 0; i < s.length; ++i) {
      var x = intAt(s,i);
      if(x < 0) {
        if(s.charAt(i) == "-" && this.signum() == 0) mi = true;
        continue;
      }
      w = b*w+x;
      if(++j >= cs) {
        this.dMultiply(d);
        this.dAddOffset(w,0);
        j = 0;
        w = 0;
      }
    }
    if(j > 0) {
      this.dMultiply(Math.pow(b,j));
      this.dAddOffset(w,0);
    }
    if(mi) BigInteger.ZERO.subTo(this,this);
  }

  // (protected) return x s.t. r^x < DV
  function bnpChunkSize(r) { return Math.floor(Math.LN2*this.DB/Math.log(r)); }

  // (public) 0 if this == 0, 1 if this > 0
  function bnSigNum() {
    if(this.s < 0) return -1;
    else if(this.t <= 0 || (this.t == 1 && this[0] <= 0)) return 0;
    else return 1;
  }

  // (protected) this *= n, this >= 0, 1 < n < DV
  function bnpDMultiply(n) {
    this[this.t] = this.am(0,n-1,this,0,0,this.t);
    ++this.t;
    this.clamp();
  }

  // (protected) this += n << w words, this >= 0
  function bnpDAddOffset(n,w) {
    if(n == 0) return;
    while(this.t <= w) this[this.t++] = 0;
    this[w] += n;
    while(this[w] >= this.DV) {
      this[w] -= this.DV;
      if(++w >= this.t) this[this.t++] = 0;
      ++this[w];
    }
  }

  // (protected) convert to radix string
  function bnpToRadix(b) {
    if(b == null) b = 10;
    if(this.signum() == 0 || b < 2 || b > 36) return "0";
    var cs = this.chunkSize(b);
    var a = Math.pow(b,cs);
    var d = nbv(a), y = nbi(), z = nbi(), r = "";
    this.divRemTo(d,y,z);
    while(y.signum() > 0) {
      r = (a+z.intValue()).toString(b).substr(1) + r;
      y.divRemTo(d,y,z);
    }
    return z.intValue().toString(b) + r;
  }

  // (public) return value as integer
  function bnIntValue() {
    if(this.s < 0) {
      if(this.t == 1) return this[0]-this.DV;
      else if(this.t == 0) return -1;
    }
    else if(this.t == 1) return this[0];
    else if(this.t == 0) return 0;
    // assumes 16 < DB < 32
    return ((this[1]&((1<<(32-this.DB))-1))<<this.DB)|this[0];
  }

  // (protected) r = this + a
  function bnpAddTo(a,r) {
    var i = 0, c = 0, m = Math.min(a.t,this.t);
    while(i < m) {
      c += this[i]+a[i];
      r[i++] = c&this.DM;
      c >>= this.DB;
    }
    if(a.t < this.t) {
      c += a.s;
      while(i < this.t) {
        c += this[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += this.s;
    }
    else {
      c += this.s;
      while(i < a.t) {
        c += a[i];
        r[i++] = c&this.DM;
        c >>= this.DB;
      }
      c += a.s;
    }
    r.s = (c<0)?-1:0;
    if(c > 0) r[i++] = c;
    else if(c < -1) r[i++] = this.DV+c;
    r.t = i;
    r.clamp();
  }

  BigInteger.prototype.fromRadix = bnpFromRadix;
  BigInteger.prototype.chunkSize = bnpChunkSize;
  BigInteger.prototype.signum = bnSigNum;
  BigInteger.prototype.dMultiply = bnpDMultiply;
  BigInteger.prototype.dAddOffset = bnpDAddOffset;
  BigInteger.prototype.toRadix = bnpToRadix;
  BigInteger.prototype.intValue = bnIntValue;
  BigInteger.prototype.addTo = bnpAddTo;

  //======= end jsbn =======

  // Emscripten wrapper
  var Wrapper = {
    abs: function(l, h) {
      var x = new goog.math.Long(l, h);
      var ret;
      if (x.isNegative()) {
        ret = x.negate();
      } else {
        ret = x;
      }
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
    },
    ensureTemps: function() {
      if (Wrapper.ensuredTemps) return;
      Wrapper.ensuredTemps = true;
      Wrapper.two32 = new BigInteger();
      Wrapper.two32.fromString('4294967296', 10);
      Wrapper.two64 = new BigInteger();
      Wrapper.two64.fromString('18446744073709551616', 10);
      Wrapper.temp1 = new BigInteger();
      Wrapper.temp2 = new BigInteger();
    },
    lh2bignum: function(l, h) {
      var a = new BigInteger();
      a.fromString(h.toString(), 10);
      var b = new BigInteger();
      a.multiplyTo(Wrapper.two32, b);
      var c = new BigInteger();
      c.fromString(l.toString(), 10);
      var d = new BigInteger();
      c.addTo(b, d);
      return d;
    },
    stringify: function(l, h, unsigned) {
      var ret = new goog.math.Long(l, h).toString();
      if (unsigned && ret[0] == '-') {
        // unsign slowly using jsbn bignums
        Wrapper.ensureTemps();
        var bignum = new BigInteger();
        bignum.fromString(ret, 10);
        ret = new BigInteger();
        Wrapper.two64.addTo(bignum, ret);
        ret = ret.toString(10);
      }
      return ret;
    },
    fromString: function(str, base, min, max, unsigned) {
      Wrapper.ensureTemps();
      var bignum = new BigInteger();
      bignum.fromString(str, base);
      var bigmin = new BigInteger();
      bigmin.fromString(min, 10);
      var bigmax = new BigInteger();
      bigmax.fromString(max, 10);
      if (unsigned && bignum.compareTo(BigInteger.ZERO) < 0) {
        var temp = new BigInteger();
        bignum.addTo(Wrapper.two64, temp);
        bignum = temp;
      }
      var error = false;
      if (bignum.compareTo(bigmin) < 0) {
        bignum = bigmin;
        error = true;
      } else if (bignum.compareTo(bigmax) > 0) {
        bignum = bigmax;
        error = true;
      }
      var ret = goog.math.Long.fromString(bignum.toString()); // min-max checks should have clamped this to a range goog.math.Long can handle well
      HEAP32[tempDoublePtr>>2] = ret.low_;
      HEAP32[tempDoublePtr+4>>2] = ret.high_;
      if (error) throw 'range error';
    }
  };
  return Wrapper;
})();

//======= end closure i64 code =======



// === Auto-generated postamble setup entry stuff ===

if (memoryInitializer) {
  function applyData(data) {
    HEAPU8.set(data, STATIC_BASE);
  }
  if (ENVIRONMENT_IS_NODE || ENVIRONMENT_IS_SHELL) {
    applyData(Module['readBinary'](memoryInitializer));
  } else {
    addRunDependency('memory initializer');
    Browser.asyncLoad(memoryInitializer, function(data) {
      applyData(data);
      removeRunDependency('memory initializer');
    }, function(data) {
      throw 'could not load memory initializer ' + memoryInitializer;
    });
  }
}

function ExitStatus(status) {
  this.name = "ExitStatus";
  this.message = "Program terminated with exit(" + status + ")";
  this.status = status;
};
ExitStatus.prototype = new Error();
ExitStatus.prototype.constructor = ExitStatus;

var initialStackTop;
var preloadStartTime = null;
var calledMain = false;

dependenciesFulfilled = function runCaller() {
  // If run has never been called, and we should call run (INVOKE_RUN is true, and Module.noInitialRun is not false)
  if (!Module['calledRun'] && shouldRunNow) run();
  if (!Module['calledRun']) dependenciesFulfilled = runCaller; // try this again later, after new deps are fulfilled
}

Module['callMain'] = Module.callMain = function callMain(args) {
  assert(runDependencies == 0, 'cannot call main when async dependencies remain! (listen on __ATMAIN__)');
  assert(__ATPRERUN__.length == 0, 'cannot call main when preRun functions remain to be called');

  args = args || [];

  if (ENVIRONMENT_IS_WEB && preloadStartTime !== null) {
    Module.printErr('preload time: ' + (Date.now() - preloadStartTime) + ' ms');
  }

  ensureInitRuntime();

  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [allocate(intArrayFromString("/bin/this.program"), 'i8', ALLOC_NORMAL) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(allocate(intArrayFromString(args[i]), 'i8', ALLOC_NORMAL));
    pad();
  }
  argv.push(0);
  argv = allocate(argv, 'i32', ALLOC_NORMAL);

  initialStackTop = STACKTOP;

  try {

    var ret = Module['_main'](argc, argv, 0);


    // if we're not running an evented main loop, it's time to exit
    if (!Module['noExitRuntime']) {
      exit(ret);
    }
  }
  catch(e) {
    if (e instanceof ExitStatus) {
      // exit() throws this once it's done to make sure execution
      // has been stopped completely
      return;
    } else if (e == 'SimulateInfiniteLoop') {
      // running an evented main loop, don't immediately exit
      Module['noExitRuntime'] = true;
      return;
    } else {
      if (e && typeof e === 'object' && e.stack) Module.printErr('exception thrown: ' + [e, e.stack]);
      throw e;
    }
  } finally {
    calledMain = true;
  }
}




function run(args) {
  args = args || Module['arguments'];

  if (preloadStartTime === null) preloadStartTime = Date.now();

  if (runDependencies > 0) {
    Module.printErr('run() called, but dependencies remain, so not running');
    return;
  }

  preRun();

  if (runDependencies > 0) return; // a preRun added a dependency, run will be called later
  if (Module['calledRun']) return; // run may have just been called through dependencies being fulfilled just in this very frame

  function doRun() {
    if (Module['calledRun']) return; // run may have just been called while the async setStatus time below was happening
    Module['calledRun'] = true;

    ensureInitRuntime();

    preMain();

    if (Module['_main'] && shouldRunNow) {
      Module['callMain'](args);
    }

    postRun();
  }

  if (Module['setStatus']) {
    Module['setStatus']('Running...');
    setTimeout(function() {
      setTimeout(function() {
        Module['setStatus']('');
      }, 1);
      if (!ABORT) doRun();
    }, 1);
  } else {
    doRun();
  }
}
Module['run'] = Module.run = run;

function exit(status) {
  ABORT = true;
  EXITSTATUS = status;
  STACKTOP = initialStackTop;

  // exit the runtime
  exitRuntime();

  // TODO We should handle this differently based on environment.
  // In the browser, the best we can do is throw an exception
  // to halt execution, but in node we could process.exit and
  // I'd imagine SM shell would have something equivalent.
  // This would let us set a proper exit status (which
  // would be great for checking test exit statuses).
  // https://github.com/kripken/emscripten/issues/1371

  // throw an exception to halt the current execution
  throw new ExitStatus(status);
}
Module['exit'] = Module.exit = exit;

function abort(text) {
  if (text) {
    Module.print(text);
    Module.printErr(text);
  }

  ABORT = true;
  EXITSTATUS = 1;

  throw 'abort() at ' + stackTrace();
}
Module['abort'] = Module.abort = abort;

// {{PRE_RUN_ADDITIONS}}

if (Module['preInit']) {
  if (typeof Module['preInit'] == 'function') Module['preInit'] = [Module['preInit']];
  while (Module['preInit'].length > 0) {
    Module['preInit'].pop()();
  }
}

// shouldRunNow refers to calling main(), not run().
var shouldRunNow = true;
if (Module['noInitialRun']) {
  shouldRunNow = false;
}


run();

// {{POST_RUN_ADDITIONS}}






// {{MODULE_ADDITIONS}}






